/*********************************************************************
*               SEGGER MICROCONTROLLER GmbH & Co KG                  *
*       Solutions for real time microcontroller applications         *
**********************************************************************
*                                                                    *
*       (c) 1995 - 2012  SEGGER Microcontroller GmbH & Co KG         *
*                                                                    *
*       www.segger.com     Support: support@segger.com               *
*                                                                    *
**********************************************************************
*                                                                    *
*       embOS * Real time operating system for microcontrollers      *
*                                                                    *
*                                                                    *
*       Please note:                                                 *
*                                                                    *
*       Knowledge of this file may under no circumstances            *
*       be used to write a similar product or a real-time            *
*       operating system for in-house use.                           *
*                                                                    *
*       Thank you for your fairness !                                *
*                                                                    *
**********************************************************************
*                                                                    *
*       OS version: 3.86k                                            *
*                                                                    *
**********************************************************************

----------------------------------------------------------------------

File    : LowInit_V850ES_SG2.
Purpose : Contains Low-level-init

*      This module contains the function `__low_level_init', a function
*      that is called before the `main' function of the program.  Normally
*      low-level initializations - such as setting the prefered interrupt
*      level or setting the watchdog - can be performed here.
*
*      Note that this function is called before the data segments are
*      initialized, this means that this function can't rely on the
*      values of global or static variables.
*
*      Using embOS, this function has to return 1 to ensure the
*      initialization of the data segments.

------ END-OF-HEADER -----------------------------------------------*/

#include "io70f3281y.h"   /* V850ES GS2 */

#include "intrinsics.h"

unsigned char __low_level_init (void) {

  /*====================================*/
  /*  The following lines ensure        */
  /*  that this function is called      */
  /*  by the startup sequence.          */
  /*====================================*/

  extern void *__cstart_low_level_init; 
  
  /*====================================*/
  /*  Check your watch dog if needed    */
  /*====================================*/

  RCM   = 0x01; /* stop ring oscillator */
  WDTM2 = 0x0f; /* Stop watchdog        */
  

  /*====================================*/
  /*  Sfr setups which must be done     */
  /*  before segment initializations    */
  /*====================================*/

  /* PLL may be initialized here        */
  
  /*====================================*/
  /* segment initialization             */
  /* required for embOS !               */
  /* Return: 1 to run seg_init          */
  /*====================================*/

  return (1);
}
