/*-------------------------------------------------------------------------
 *      Declarations of Peripheral I/O registers, I/O register bits,
 *      Interrupt/Exeption vectors, Trap vectors and, V850E only, Callt
 *      vectors for V850E2M microcontroller uPD70F3512.
 *
 *      This header file can be used by both the V850 assembler, AV850,
 *      and the V850 C/C++ compiler, ICCV850.
 *
 *      This header file is generated from the device file:
 *          DF3512.800
 *          Copyright(C) 2011 Renesas
 *          Format version 1.00, File version 1.12a
 *
 *-------------------------------------------------------------------------*/

#ifndef __IO70F3512_H__
#define __IO70F3512_H__

#if ((__TID__ >> 8) & 0x7F) != 85
#error "IO70F3512.H file for use with AV850 / ICCV850 only"
#endif

#if __CPU__ != 3
#error "IO70F3512.H file for use with AV850 / ICCV850 option -v3 only"
#endif

#pragma language=extended
#pragma system_include

/***********************************************
 *       I/O register macros
 ***********************************************/

#include "io_macros.h"

/***********************************************
 *       Peripheral I/O register declarations
 ***********************************************/


__IO_REG32(     SBSC,                            0xF9900004,  __READ_WRITE )
__IO_REG32(     SSMC0,                           0xF9900008,  __READ_WRITE )
__IO_REG32(     SSMC1,                           0xF990000C,  __READ_WRITE )
__IO_REG32(     SSMC2,                           0xF9900010,  __READ_WRITE )
__IO_REG32(     SSMC3,                           0xF9900014,  __READ_WRITE )

__IO_REG32(     SDMC0,                           0xF990001C,  __READ_WRITE )

__IO_REG32(     SRFC0,                           0xF990002C,  __READ_WRITE )

__IO_REG32(     SN0SA0,                          0xF9900400,  __READ_WRITE )
__IO_REG32(     SN0DA0,                          0xF9900404,  __READ_WRITE )
__IO_REG32(     SN0TB0,                          0xF9900408,  __READ_WRITE )

__IO_REG32(     SCRSA0,                          0xF9900418,  __READ       )
__IO_REG32(     SCRDA0,                          0xF990041C,  __READ       )
__IO_REG32(     SCRTB0,                          0xF9900420,  __READ       )
__IO_REG32(     SCHSTAT0,                        0xF9900424,  __READ       )
__IO_REG32(     SCHCTRL0,                        0xF9900428,  __READ_WRITE )
__IO_REG32(     SCHCFG0,                         0xF990042C,  __READ_WRITE )
__IO_REG32(     SCHITVL0,                        0xF9900430,  __READ_WRITE )
__IO_REG32(     SCHEXT0,                         0xF9900434,  __READ_WRITE )
__IO_REG32(     SNXLA0,                          0xF9900438,  __READ_WRITE )
__IO_REG32(     SCRLA0,                          0xF990043C,  __READ       )
__IO_REG32(     SN0SA1,                          0xF9900440,  __READ_WRITE )
__IO_REG32(     SN0DA1,                          0xF9900444,  __READ_WRITE )
__IO_REG32(     SN0TB1,                          0xF9900448,  __READ_WRITE )

__IO_REG32(     SCRSA1,                          0xF9900458,  __READ       )
__IO_REG32(     SCRDA1,                          0xF990045C,  __READ       )
__IO_REG32(     SCRTB1,                          0xF9900460,  __READ       )
__IO_REG32(     SCHSTAT1,                        0xF9900464,  __READ       )
__IO_REG32(     SCHCTRL1,                        0xF9900468,  __READ_WRITE )
__IO_REG32(     SCHCFG1,                         0xF990046C,  __READ_WRITE )
__IO_REG32(     SCHITVL1,                        0xF9900470,  __READ_WRITE )
__IO_REG32(     SCHEXT1,                         0xF9900474,  __READ_WRITE )
__IO_REG32(     SNXLA1,                          0xF9900478,  __READ_WRITE )
__IO_REG32(     SCRLA1,                          0xF990047C,  __READ       )
__IO_REG32(     SN0SA2,                          0xF9900480,  __READ_WRITE )
__IO_REG32(     SN0DA2,                          0xF9900484,  __READ_WRITE )
__IO_REG32(     SN0TB2,                          0xF9900488,  __READ_WRITE )

__IO_REG32(     SCRSA2,                          0xF9900498,  __READ       )
__IO_REG32(     SCRDA2,                          0xF990049C,  __READ       )
__IO_REG32(     SCRTB2,                          0xF99004A0,  __READ       )
__IO_REG32(     SCHSTAT2,                        0xF99004A4,  __READ       )
__IO_REG32(     SCHCTRL2,                        0xF99004A8,  __READ_WRITE )
__IO_REG32(     SCHCFG2,                         0xF99004AC,  __READ_WRITE )
__IO_REG32(     SCHITVL2,                        0xF99004B0,  __READ_WRITE )
__IO_REG32(     SCHEXT2,                         0xF99004B4,  __READ_WRITE )
__IO_REG32(     SNXLA2,                          0xF99004B8,  __READ_WRITE )
__IO_REG32(     SCRLA2,                          0xF99004BC,  __READ       )
__IO_REG32(     SN0SA3,                          0xF99004C0,  __READ_WRITE )
__IO_REG32(     SN0DA3,                          0xF99004C4,  __READ_WRITE )
__IO_REG32(     SN0TB3,                          0xF99004C8,  __READ_WRITE )

__IO_REG32(     SCRSA3,                          0xF99004D8,  __READ       )
__IO_REG32(     SCRDA3,                          0xF99004DC,  __READ       )
__IO_REG32(     SCRTB3,                          0xF99004E0,  __READ       )
__IO_REG32(     SCHSTAT3,                        0xF99004E4,  __READ       )
__IO_REG32(     SCHCTRL3,                        0xF99004E8,  __READ_WRITE )
__IO_REG32(     SCHCFG3,                         0xF99004EC,  __READ_WRITE )
__IO_REG32(     SCHITVL3,                        0xF99004F0,  __READ_WRITE )
__IO_REG32(     SCHEXT3,                         0xF99004F4,  __READ_WRITE )
__IO_REG32(     SNXLA3,                          0xF99004F8,  __READ_WRITE )
__IO_REG32(     SCRLA3,                          0xF99004FC,  __READ       )
__IO_REG32(     SN0SA4,                          0xF9900500,  __READ_WRITE )
__IO_REG32(     SN0DA4,                          0xF9900504,  __READ_WRITE )
__IO_REG32(     SN0TB4,                          0xF9900508,  __READ_WRITE )

__IO_REG32(     SCRSA4,                          0xF9900518,  __READ       )
__IO_REG32(     SCRDA4,                          0xF990051C,  __READ       )
__IO_REG32(     SCRTB4,                          0xF9900520,  __READ       )
__IO_REG32(     SCHSTAT4,                        0xF9900524,  __READ       )
__IO_REG32(     SCHCTRL4,                        0xF9900528,  __READ_WRITE )
__IO_REG32(     SCHCFG4,                         0xF990052C,  __READ_WRITE )
__IO_REG32(     SCHITVL4,                        0xF9900530,  __READ_WRITE )
__IO_REG32(     SCHEXT4,                         0xF9900534,  __READ_WRITE )
__IO_REG32(     SNXLA4,                          0xF9900538,  __READ_WRITE )
__IO_REG32(     SCRLA4,                          0xF990053C,  __READ       )
__IO_REG32(     SN0SA5,                          0xF9900540,  __READ_WRITE )
__IO_REG32(     SN0DA5,                          0xF9900544,  __READ_WRITE )
__IO_REG32(     SN0TB5,                          0xF9900548,  __READ_WRITE )

__IO_REG32(     SCRSA5,                          0xF9900558,  __READ       )
__IO_REG32(     SCRDA5,                          0xF990055C,  __READ       )
__IO_REG32(     SCRTB5,                          0xF9900560,  __READ       )
__IO_REG32(     SCHSTAT5,                        0xF9900564,  __READ       )
__IO_REG32(     SCHCTRL5,                        0xF9900568,  __READ_WRITE )
__IO_REG32(     SCHCFG5,                         0xF990056C,  __READ_WRITE )
__IO_REG32(     SCHITVL5,                        0xF9900570,  __READ_WRITE )
__IO_REG32(     SCHEXT5,                         0xF9900574,  __READ_WRITE )
__IO_REG32(     SNXLA5,                          0xF9900578,  __READ_WRITE )
__IO_REG32(     SCRLA5,                          0xF990057C,  __READ       )
__IO_REG32(     SN0SA6,                          0xF9900580,  __READ_WRITE )
__IO_REG32(     SN0DA6,                          0xF9900584,  __READ_WRITE )
__IO_REG32(     SN0TB6,                          0xF9900588,  __READ_WRITE )

__IO_REG32(     SCRSA6,                          0xF9900598,  __READ       )
__IO_REG32(     SCRDA6,                          0xF990059C,  __READ       )
__IO_REG32(     SCRTB6,                          0xF99005A0,  __READ       )
__IO_REG32(     SCHSTAT6,                        0xF99005A4,  __READ       )
__IO_REG32(     SCHCTRL6,                        0xF99005A8,  __READ_WRITE )
__IO_REG32(     SCHCFG6,                         0xF99005AC,  __READ_WRITE )
__IO_REG32(     SCHITVL6,                        0xF99005B0,  __READ_WRITE )
__IO_REG32(     SCHEXT6,                         0xF99005B4,  __READ_WRITE )
__IO_REG32(     SNXLA6,                          0xF99005B8,  __READ_WRITE )
__IO_REG32(     SCRLA6,                          0xF99005BC,  __READ       )
__IO_REG32(     SN0SA7,                          0xF99005C0,  __READ_WRITE )
__IO_REG32(     SN0DA7,                          0xF99005C4,  __READ_WRITE )
__IO_REG32(     SN0TB7,                          0xF99005C8,  __READ_WRITE )

__IO_REG32(     SCRSA7,                          0xF99005D8,  __READ       )
__IO_REG32(     SCRDA7,                          0xF99005DC,  __READ       )
__IO_REG32(     SCRTB7,                          0xF99005E0,  __READ       )
__IO_REG32(     SCHSTAT7,                        0xF99005E4,  __READ       )
__IO_REG32(     SCHCTRL7,                        0xF99005E8,  __READ_WRITE )
__IO_REG32(     SCHCFG7,                         0xF99005EC,  __READ_WRITE )
__IO_REG32(     SCHITVL7,                        0xF99005F0,  __READ_WRITE )
__IO_REG32(     SCHEXT7,                         0xF99005F4,  __READ_WRITE )
__IO_REG32(     SNXLA7,                          0xF99005F8,  __READ_WRITE )
__IO_REG32(     SCRLA7,                          0xF99005FC,  __READ       )
__IO_REG32(     SSCNT0,                          0xF9900600,  __READ_WRITE )
__IO_REG32(     SSSKP0,                          0xF9900604,  __READ_WRITE )
__IO_REG32(     SDCNT0,                          0xF9900608,  __READ_WRITE )
__IO_REG32(     SDSKP0,                          0xF990060C,  __READ_WRITE )

__IO_REG32(     SSCNT1,                          0xF9900620,  __READ_WRITE )
__IO_REG32(     SSSKP1,                          0xF9900624,  __READ_WRITE )
__IO_REG32(     SDCNT1,                          0xF9900628,  __READ_WRITE )
__IO_REG32(     SDSKP1,                          0xF990062C,  __READ_WRITE )

__IO_REG32(     SSCNT2,                          0xF9900640,  __READ_WRITE )
__IO_REG32(     SSSKP2,                          0xF9900644,  __READ_WRITE )
__IO_REG32(     SDCNT2,                          0xF9900648,  __READ_WRITE )
__IO_REG32(     SDSKP2,                          0xF990064C,  __READ_WRITE )

__IO_REG32(     SSCNT3,                          0xF9900660,  __READ_WRITE )
__IO_REG32(     SSSKP3,                          0xF9900664,  __READ_WRITE )
__IO_REG32(     SDCNT3,                          0xF9900668,  __READ_WRITE )
__IO_REG32(     SDSKP3,                          0xF990066C,  __READ_WRITE )

__IO_REG32(     SSCNT4,                          0xF9900680,  __READ_WRITE )
__IO_REG32(     SSSKP4,                          0xF9900684,  __READ_WRITE )
__IO_REG32(     SDCNT4,                          0xF9900688,  __READ_WRITE )
__IO_REG32(     SDSKP4,                          0xF990068C,  __READ_WRITE )

__IO_REG32(     SSCNT5,                          0xF99006A0,  __READ_WRITE )
__IO_REG32(     SSSKP5,                          0xF99006A4,  __READ_WRITE )
__IO_REG32(     SDCNT5,                          0xF99006A8,  __READ_WRITE )
__IO_REG32(     SDSKP5,                          0xF99006AC,  __READ_WRITE )

__IO_REG32(     SSCNT6,                          0xF99006C0,  __READ_WRITE )
__IO_REG32(     SSSKP6,                          0xF99006C4,  __READ_WRITE )
__IO_REG32(     SDCNT6,                          0xF99006C8,  __READ_WRITE )
__IO_REG32(     SDSKP6,                          0xF99006CC,  __READ_WRITE )

__IO_REG32(     SSCNT7,                          0xF99006E0,  __READ_WRITE )
__IO_REG32(     SSSKP7,                          0xF99006E4,  __READ_WRITE )
__IO_REG32(     SDCNT7,                          0xF99006E8,  __READ_WRITE )
__IO_REG32(     SDSKP7,                          0xF99006EC,  __READ_WRITE )

__IO_REG32(     SDCTRL,                          0xF9900700,  __READ_WRITE )
__IO_REG32(     SDSCITVL,                        0xF9900704,  __READ_WRITE )

__IO_REG32(     SDSTAT_EN,                       0xF9900710,  __READ       )
__IO_REG32(     SDSTAT_ER,                       0xF9900714,  __READ       )
__IO_REG32(     SDSTAT_END,                      0xF9900718,  __READ       )
__IO_REG32(     SDSTAT_TC,                       0xF990071C,  __READ       )
__IO_REG32(     SDSTAT_SUS,                      0xF9900720,  __READ       )

__IO_REG32(     DMAIFC0,                         0xF9900C00,  __READ_WRITE )
__IO_REG32(     DMAIFC1,                         0xF9900C04,  __READ_WRITE )
__IO_REG32(     DMAIFC2,                         0xF9900C08,  __READ_WRITE )
__IO_REG32(     DMAIFC3,                         0xF9900C0C,  __READ_WRITE )

__IO_REG32(     USHBC,                           0xF9901000,  __READ_WRITE )
__IO_REG32(     USFBC,                           0xF9901004,  __READ_WRITE )

__IO_REG16(     USHA0PCICMD,                     0xF9930804,  __READ_WRITE )
__IO_REG16(     USHA0PCISTS,                     0xF9930806,  __READ_WRITE )

__IO_REG32(     USHA0BAR0,                       0xF9930810,  __READ_WRITE )

__IO_REG32(     USHA0ACR0,                       0xF99308A0,  __READ_WRITE )

__IO_REG32(     USHA0RBTYPE,                     0xF99308CC,  __READ_WRITE )

__IO_REG32(     USHA0PCIBARE,                    0xF99308EC,  __READ_WRITE )

__IO_REG32(     USHA0CNFIGADDR,                  0xF99308F8,  __READ_WRITE )
__IO_REG32(     USHA0CNFIGDATA,                  0xF99308FC,  __READ_WRITE )

__IO_REG32(     USFA0E0N,                        0xF9931000,  __READ_WRITE )
__IO_REG32(     USFA0E0NA,                       0xF9931004,  __READ_WRITE )
__IO_REG32(     USFA0EN,                         0xF9931008,  __READ_WRITE )
__IO_REG32(     USFA0ENM,                        0xF993100C,  __READ_WRITE )
__IO_REG32(     USFA0SDS,                        0xF9931010,  __READ_WRITE )
__IO_REG32(     USFA0CLR,                        0xF9931014,  __READ       )
__IO_REG32(     USFA0SET,                        0xF9931018,  __READ       )
__IO_REG32(     USFA0EPS0,                       0xF993101C,  __READ       )
__IO_REG32(     USFA0EPS1,                       0xF9931020,  __READ       )
__IO_REG32(     USFA0EPS2,                       0xF9931024,  __READ       )

__IO_REG32(     USFA0IS0,                        0xF9931040,  __READ       )
__IO_REG32(     USFA0IS1,                        0xF9931044,  __READ       )
__IO_REG32(     USFA0IS2,                        0xF9931048,  __READ       )
__IO_REG32(     USFA0IS3,                        0xF993104C,  __READ       )
__IO_REG32(     USFA0IS4,                        0xF9931050,  __READ       )

__IO_REG32(     USFA0IM0,                        0xF993105C,  __READ_WRITE )
__IO_REG32(     USFA0IM1,                        0xF9931060,  __READ_WRITE )
__IO_REG32(     USFA0IM2,                        0xF9931064,  __READ_WRITE )
__IO_REG32(     USFA0IM3,                        0xF9931068,  __READ_WRITE )
__IO_REG32(     USFA0IM4,                        0xF993106C,  __READ_WRITE )

__IO_REG32(     USFA0IC0,                        0xF9931078,  __WRITE      )
__IO_REG32(     USFA0IC1,                        0xF993107C,  __WRITE      )
__IO_REG32(     USFA0IC2,                        0xF9931080,  __WRITE      )
__IO_REG32(     USFA0IC3,                        0xF9931084,  __WRITE      )
__IO_REG32(     USFA0IC4,                        0xF9931088,  __WRITE      )

__IO_REG32(     USFA0IDR,                        0xF9931098,  __READ_WRITE )
__IO_REG32(     USFA0DMS0,                       0xF993109C,  __READ       )
__IO_REG32(     USFA0DMS1,                       0xF99310A0,  __READ       )

__IO_REG32(     USFA0FIC0,                       0xF99310C0,  __WRITE      )
__IO_REG32(     USFA0FIC1,                       0xF99310C4,  __WRITE      )

__IO_REG32(     USFA0DEND,                       0xF99310D4,  __READ_WRITE )

__IO_REG32(     USFA0GPR,                        0xF99310DC,  __WRITE      )

__IO_REG32(     USFA0MODC,                       0xF99310E8,  __READ_WRITE )

__IO_REG32(     USFA0MODS,                       0xF99310F0,  __READ       )

__IO_REG32(     USFA0AIFN,                       0xF9931100,  __READ_WRITE )
__IO_REG32(     USFA0AAS,                        0xF9931104,  __READ_WRITE )
__IO_REG32(     USFA0ASS,                        0xF9931108,  __READ       )
__IO_REG32(     USFA0E1IM,                       0xF993110C,  __READ_WRITE )
__IO_REG32(     USFA0E2IM,                       0xF9931110,  __READ_WRITE )
__IO_REG32(     USFA0E3IM,                       0xF9931114,  __READ_WRITE )
__IO_REG32(     USFA0E4IM,                       0xF9931118,  __READ_WRITE )

__IO_REG32(     USFA0E7IM,                       0xF9931124,  __READ_WRITE )
__IO_REG32(     USFA0E8IM,                       0xF9931128,  __READ_WRITE )

__IO_REG32(     USFA0E0R,                        0xF9931200,  __READ       )
__IO_REG32(     USFA0E0L,                        0xF9931204,  __READ       )
__IO_REG32(     USFA0E0ST,                       0xF9931208,  __READ       )
__IO_REG32(     USFA0E0W,                        0xF993120C,  __WRITE      )
__IO_REG32(     USFA0BO1,                        0xF9931210,  __READ       )
__IO_REG32(     USFA0BO1L,                       0xF9931214,  __READ       )
__IO_REG32(     USFA0BO2,                        0xF9931218,  __READ       )
__IO_REG32(     USFA0BO2L,                       0xF993121C,  __READ       )
__IO_REG32(     USFA0BI1,                        0xF9931220,  __WRITE      )
__IO_REG32(     USFA0BI2,                        0xF9931224,  __WRITE      )
__IO_REG32(     USFA0INT1,                       0xF9931228,  __WRITE      )
__IO_REG32(     USFA0INT2,                       0xF993122C,  __WRITE      )

__IO_REG32(     USFA0DST,                        0xF9931288,  __READ_WRITE )

__IO_REG32(     USFA0E0S,                        0xF9931298,  __READ_WRITE )

__IO_REG32(     USFA0E1S,                        0xF99312A0,  __READ_WRITE )

__IO_REG32(     USFA0E2S,                        0xF99312A8,  __READ_WRITE )

__IO_REG32(     USFA0E3S,                        0xF99312B0,  __READ_WRITE )

__IO_REG32(     USFA0E4S,                        0xF99312B8,  __READ_WRITE )

__IO_REG32(     USFA0E7S,                        0xF99312D0,  __READ_WRITE )

__IO_REG32(     USFA0E8S,                        0xF99312D8,  __READ_WRITE )

__IO_REG32(     USFA0ADRS,                       0xF9931300,  __READ       )
__IO_REG32(     USFA0CNF,                        0xF9931304,  __READ       )
__IO_REG32(     USFA0IF0,                        0xF9931308,  __READ       )
__IO_REG32(     USFA0IF1,                        0xF993130C,  __READ       )
__IO_REG32(     USFA0IF2,                        0xF9931310,  __READ       )
__IO_REG32(     USFA0IF3,                        0xF9931314,  __READ       )
__IO_REG32(     USFA0IF4,                        0xF9931318,  __READ       )

__IO_REG32(     USFA0DSCL,                       0xF9931340,  __READ_WRITE )
__IO_REG32(     USFA0DD0,                        0xF9931344,  __READ_WRITE )
__IO_REG32(     USFA0DD1,                        0xF9931348,  __READ_WRITE )
__IO_REG32(     USFA0DD2,                        0xF993134C,  __READ_WRITE )
__IO_REG32(     USFA0DD3,                        0xF9931350,  __READ_WRITE )
__IO_REG32(     USFA0DD4,                        0xF9931354,  __READ_WRITE )
__IO_REG32(     USFA0DD5,                        0xF9931358,  __READ_WRITE )
__IO_REG32(     USFA0DD6,                        0xF993135C,  __READ_WRITE )
__IO_REG32(     USFA0DD7,                        0xF9931360,  __READ_WRITE )
__IO_REG32(     USFA0DD8,                        0xF9931364,  __READ_WRITE )
__IO_REG32(     USFA0DD9,                        0xF9931368,  __READ_WRITE )
__IO_REG32(     USFA0DD10,                       0xF993136C,  __READ_WRITE )
__IO_REG32(     USFA0DD11,                       0xF9931370,  __READ_WRITE )
__IO_REG32(     USFA0DD12,                       0xF9931374,  __READ_WRITE )
__IO_REG32(     USFA0DD13,                       0xF9931378,  __READ_WRITE )
__IO_REG32(     USFA0DD14,                       0xF993137C,  __READ_WRITE )
__IO_REG32(     USFA0DD15,                       0xF9931380,  __READ_WRITE )
__IO_REG32(     USFA0DD16,                       0xF9931384,  __READ_WRITE )
__IO_REG32(     USFA0DD17,                       0xF9931388,  __READ_WRITE )
__IO_REG32(     USFA0CIE0,                       0xF993138C,  __READ_WRITE )
__IO_REG32(     USFA0CIE1,                       0xF9931390,  __READ_WRITE )
__IO_REG32(     USFA0CIE2,                       0xF9931394,  __READ_WRITE )
__IO_REG32(     USFA0CIE3,                       0xF9931398,  __READ_WRITE )
__IO_REG32(     USFA0CIE4,                       0xF993139C,  __READ_WRITE )
__IO_REG32(     USFA0CIE5,                       0xF99313A0,  __READ_WRITE )
__IO_REG32(     USFA0CIE6,                       0xF99313A4,  __READ_WRITE )
__IO_REG32(     USFA0CIE7,                       0xF99313A8,  __READ_WRITE )
__IO_REG32(     USFA0CIE8,                       0xF99313AC,  __READ_WRITE )
__IO_REG32(     USFA0CIE9,                       0xF99313B0,  __READ_WRITE )
__IO_REG32(     USFA0CIE10,                      0xF99313B4,  __READ_WRITE )
__IO_REG32(     USFA0CIE11,                      0xF99313B8,  __READ_WRITE )
__IO_REG32(     USFA0CIE12,                      0xF99313BC,  __READ_WRITE )
__IO_REG32(     USFA0CIE13,                      0xF99313C0,  __READ_WRITE )
__IO_REG32(     USFA0CIE14,                      0xF99313C4,  __READ_WRITE )
__IO_REG32(     USFA0CIE15,                      0xF99313C8,  __READ_WRITE )
__IO_REG32(     USFA0CIE16,                      0xF99313CC,  __READ_WRITE )
__IO_REG32(     USFA0CIE17,                      0xF99313D0,  __READ_WRITE )
__IO_REG32(     USFA0CIE18,                      0xF99313D4,  __READ_WRITE )
__IO_REG32(     USFA0CIE19,                      0xF99313D8,  __READ_WRITE )
__IO_REG32(     USFA0CIE20,                      0xF99313DC,  __READ_WRITE )
__IO_REG32(     USFA0CIE21,                      0xF99313E0,  __READ_WRITE )
__IO_REG32(     USFA0CIE22,                      0xF99313E4,  __READ_WRITE )
__IO_REG32(     USFA0CIE23,                      0xF99313E8,  __READ_WRITE )
__IO_REG32(     USFA0CIE24,                      0xF99313EC,  __READ_WRITE )
__IO_REG32(     USFA0CIE25,                      0xF99313F0,  __READ_WRITE )
__IO_REG32(     USFA0CIE26,                      0xF99313F4,  __READ_WRITE )
__IO_REG32(     USFA0CIE27,                      0xF99313F8,  __READ_WRITE )
__IO_REG32(     USFA0CIE28,                      0xF99313FC,  __READ_WRITE )
__IO_REG32(     USFA0CIE29,                      0xF9931400,  __READ_WRITE )
__IO_REG32(     USFA0CIE30,                      0xF9931404,  __READ_WRITE )
__IO_REG32(     USFA0CIE31,                      0xF9931408,  __READ_WRITE )
__IO_REG32(     USFA0CIE32,                      0xF993140C,  __READ_WRITE )
__IO_REG32(     USFA0CIE33,                      0xF9931410,  __READ_WRITE )
__IO_REG32(     USFA0CIE34,                      0xF9931414,  __READ_WRITE )
__IO_REG32(     USFA0CIE35,                      0xF9931418,  __READ_WRITE )
__IO_REG32(     USFA0CIE36,                      0xF993141C,  __READ_WRITE )
__IO_REG32(     USFA0CIE37,                      0xF9931420,  __READ_WRITE )
__IO_REG32(     USFA0CIE38,                      0xF9931424,  __READ_WRITE )
__IO_REG32(     USFA0CIE39,                      0xF9931428,  __READ_WRITE )
__IO_REG32(     USFA0CIE40,                      0xF993142C,  __READ_WRITE )
__IO_REG32(     USFA0CIE41,                      0xF9931430,  __READ_WRITE )
__IO_REG32(     USFA0CIE42,                      0xF9931434,  __READ_WRITE )
__IO_REG32(     USFA0CIE43,                      0xF9931438,  __READ_WRITE )
__IO_REG32(     USFA0CIE44,                      0xF993143C,  __READ_WRITE )
__IO_REG32(     USFA0CIE45,                      0xF9931440,  __READ_WRITE )
__IO_REG32(     USFA0CIE46,                      0xF9931444,  __READ_WRITE )
__IO_REG32(     USFA0CIE47,                      0xF9931448,  __READ_WRITE )
__IO_REG32(     USFA0CIE48,                      0xF993144C,  __READ_WRITE )
__IO_REG32(     USFA0CIE49,                      0xF9931450,  __READ_WRITE )
__IO_REG32(     USFA0CIE50,                      0xF9931454,  __READ_WRITE )
__IO_REG32(     USFA0CIE51,                      0xF9931458,  __READ_WRITE )
__IO_REG32(     USFA0CIE52,                      0xF993145C,  __READ_WRITE )
__IO_REG32(     USFA0CIE53,                      0xF9931460,  __READ_WRITE )
__IO_REG32(     USFA0CIE54,                      0xF9931464,  __READ_WRITE )
__IO_REG32(     USFA0CIE55,                      0xF9931468,  __READ_WRITE )
__IO_REG32(     USFA0CIE56,                      0xF993146C,  __READ_WRITE )
__IO_REG32(     USFA0CIE57,                      0xF9931470,  __READ_WRITE )
__IO_REG32(     USFA0CIE58,                      0xF9931474,  __READ_WRITE )
__IO_REG32(     USFA0CIE59,                      0xF9931478,  __READ_WRITE )
__IO_REG32(     USFA0CIE60,                      0xF993147C,  __READ_WRITE )
__IO_REG32(     USFA0CIE61,                      0xF9931480,  __READ_WRITE )
__IO_REG32(     USFA0CIE62,                      0xF9931484,  __READ_WRITE )
__IO_REG32(     USFA0CIE63,                      0xF9931488,  __READ_WRITE )
__IO_REG32(     USFA0CIE64,                      0xF993148C,  __READ_WRITE )
__IO_REG32(     USFA0CIE65,                      0xF9931490,  __READ_WRITE )
__IO_REG32(     USFA0CIE66,                      0xF9931494,  __READ_WRITE )
__IO_REG32(     USFA0CIE67,                      0xF9931498,  __READ_WRITE )
__IO_REG32(     USFA0CIE68,                      0xF993149C,  __READ_WRITE )
__IO_REG32(     USFA0CIE69,                      0xF99314A0,  __READ_WRITE )
__IO_REG32(     USFA0CIE70,                      0xF99314A4,  __READ_WRITE )
__IO_REG32(     USFA0CIE71,                      0xF99314A8,  __READ_WRITE )
__IO_REG32(     USFA0CIE72,                      0xF99314AC,  __READ_WRITE )
__IO_REG32(     USFA0CIE73,                      0xF99314B0,  __READ_WRITE )
__IO_REG32(     USFA0CIE74,                      0xF99314B4,  __READ_WRITE )
__IO_REG32(     USFA0CIE75,                      0xF99314B8,  __READ_WRITE )
__IO_REG32(     USFA0CIE76,                      0xF99314BC,  __READ_WRITE )
__IO_REG32(     USFA0CIE77,                      0xF99314C0,  __READ_WRITE )
__IO_REG32(     USFA0CIE78,                      0xF99314C4,  __READ_WRITE )
__IO_REG32(     USFA0CIE79,                      0xF99314C8,  __READ_WRITE )
__IO_REG32(     USFA0CIE80,                      0xF99314CC,  __READ_WRITE )
__IO_REG32(     USFA0CIE81,                      0xF99314D0,  __READ_WRITE )
__IO_REG32(     USFA0CIE82,                      0xF99314D4,  __READ_WRITE )
__IO_REG32(     USFA0CIE83,                      0xF99314D8,  __READ_WRITE )
__IO_REG32(     USFA0CIE84,                      0xF99314DC,  __READ_WRITE )
__IO_REG32(     USFA0CIE85,                      0xF99314E0,  __READ_WRITE )
__IO_REG32(     USFA0CIE86,                      0xF99314E4,  __READ_WRITE )
__IO_REG32(     USFA0CIE87,                      0xF99314E8,  __READ_WRITE )
__IO_REG32(     USFA0CIE88,                      0xF99314EC,  __READ_WRITE )
__IO_REG32(     USFA0CIE89,                      0xF99314F0,  __READ_WRITE )
__IO_REG32(     USFA0CIE90,                      0xF99314F4,  __READ_WRITE )
__IO_REG32(     USFA0CIE91,                      0xF99314F8,  __READ_WRITE )
__IO_REG32(     USFA0CIE92,                      0xF99314FC,  __READ_WRITE )
__IO_REG32(     USFA0CIE93,                      0xF9931500,  __READ_WRITE )
__IO_REG32(     USFA0CIE94,                      0xF9931504,  __READ_WRITE )
__IO_REG32(     USFA0CIE95,                      0xF9931508,  __READ_WRITE )
__IO_REG32(     USFA0CIE96,                      0xF993150C,  __READ_WRITE )
__IO_REG32(     USFA0CIE97,                      0xF9931510,  __READ_WRITE )
__IO_REG32(     USFA0CIE98,                      0xF9931514,  __READ_WRITE )
__IO_REG32(     USFA0CIE99,                      0xF9931518,  __READ_WRITE )
__IO_REG32(     USFA0CIE100,                     0xF993151C,  __READ_WRITE )
__IO_REG32(     USFA0CIE101,                     0xF9931520,  __READ_WRITE )
__IO_REG32(     USFA0CIE102,                     0xF9931524,  __READ_WRITE )
__IO_REG32(     USFA0CIE103,                     0xF9931528,  __READ_WRITE )
__IO_REG32(     USFA0CIE104,                     0xF993152C,  __READ_WRITE )
__IO_REG32(     USFA0CIE105,                     0xF9931530,  __READ_WRITE )
__IO_REG32(     USFA0CIE106,                     0xF9931534,  __READ_WRITE )
__IO_REG32(     USFA0CIE107,                     0xF9931538,  __READ_WRITE )
__IO_REG32(     USFA0CIE108,                     0xF993153C,  __READ_WRITE )
__IO_REG32(     USFA0CIE109,                     0xF9931540,  __READ_WRITE )
__IO_REG32(     USFA0CIE110,                     0xF9931544,  __READ_WRITE )
__IO_REG32(     USFA0CIE111,                     0xF9931548,  __READ_WRITE )
__IO_REG32(     USFA0CIE112,                     0xF993154C,  __READ_WRITE )
__IO_REG32(     USFA0CIE113,                     0xF9931550,  __READ_WRITE )
__IO_REG32(     USFA0CIE114,                     0xF9931554,  __READ_WRITE )
__IO_REG32(     USFA0CIE115,                     0xF9931558,  __READ_WRITE )
__IO_REG32(     USFA0CIE116,                     0xF993155C,  __READ_WRITE )
__IO_REG32(     USFA0CIE117,                     0xF9931560,  __READ_WRITE )
__IO_REG32(     USFA0CIE118,                     0xF9931564,  __READ_WRITE )
__IO_REG32(     USFA0CIE119,                     0xF9931568,  __READ_WRITE )
__IO_REG32(     USFA0CIE120,                     0xF993156C,  __READ_WRITE )
__IO_REG32(     USFA0CIE121,                     0xF9931570,  __READ_WRITE )
__IO_REG32(     USFA0CIE122,                     0xF9931574,  __READ_WRITE )
__IO_REG32(     USFA0CIE123,                     0xF9931578,  __READ_WRITE )
__IO_REG32(     USFA0CIE124,                     0xF993157C,  __READ_WRITE )
__IO_REG32(     USFA0CIE125,                     0xF9931580,  __READ_WRITE )
__IO_REG32(     USFA0CIE126,                     0xF9931584,  __READ_WRITE )
__IO_REG32(     USFA0CIE127,                     0xF9931588,  __READ_WRITE )
__IO_REG32(     USFA0CIE128,                     0xF993158C,  __READ_WRITE )
__IO_REG32(     USFA0CIE129,                     0xF9931590,  __READ_WRITE )
__IO_REG32(     USFA0CIE130,                     0xF9931594,  __READ_WRITE )
__IO_REG32(     USFA0CIE131,                     0xF9931598,  __READ_WRITE )
__IO_REG32(     USFA0CIE132,                     0xF993159C,  __READ_WRITE )
__IO_REG32(     USFA0CIE133,                     0xF99315A0,  __READ_WRITE )
__IO_REG32(     USFA0CIE134,                     0xF99315A4,  __READ_WRITE )
__IO_REG32(     USFA0CIE135,                     0xF99315A8,  __READ_WRITE )
__IO_REG32(     USFA0CIE136,                     0xF99315AC,  __READ_WRITE )
__IO_REG32(     USFA0CIE137,                     0xF99315B0,  __READ_WRITE )
__IO_REG32(     USFA0CIE138,                     0xF99315B4,  __READ_WRITE )
__IO_REG32(     USFA0CIE139,                     0xF99315B8,  __READ_WRITE )
__IO_REG32(     USFA0CIE140,                     0xF99315BC,  __READ_WRITE )
__IO_REG32(     USFA0CIE141,                     0xF99315C0,  __READ_WRITE )
__IO_REG32(     USFA0CIE142,                     0xF99315C4,  __READ_WRITE )
__IO_REG32(     USFA0CIE143,                     0xF99315C8,  __READ_WRITE )
__IO_REG32(     USFA0CIE144,                     0xF99315CC,  __READ_WRITE )
__IO_REG32(     USFA0CIE145,                     0xF99315D0,  __READ_WRITE )
__IO_REG32(     USFA0CIE146,                     0xF99315D4,  __READ_WRITE )
__IO_REG32(     USFA0CIE147,                     0xF99315D8,  __READ_WRITE )
__IO_REG32(     USFA0CIE148,                     0xF99315DC,  __READ_WRITE )
__IO_REG32(     USFA0CIE149,                     0xF99315E0,  __READ_WRITE )
__IO_REG32(     USFA0CIE150,                     0xF99315E4,  __READ_WRITE )
__IO_REG32(     USFA0CIE151,                     0xF99315E8,  __READ_WRITE )
__IO_REG32(     USFA0CIE152,                     0xF99315EC,  __READ_WRITE )
__IO_REG32(     USFA0CIE153,                     0xF99315F0,  __READ_WRITE )
__IO_REG32(     USFA0CIE154,                     0xF99315F4,  __READ_WRITE )
__IO_REG32(     USFA0CIE155,                     0xF99315F8,  __READ_WRITE )
__IO_REG32(     USFA0CIE156,                     0xF99315FC,  __READ_WRITE )
__IO_REG32(     USFA0CIE157,                     0xF9931600,  __READ_WRITE )
__IO_REG32(     USFA0CIE158,                     0xF9931604,  __READ_WRITE )
__IO_REG32(     USFA0CIE159,                     0xF9931608,  __READ_WRITE )
__IO_REG32(     USFA0CIE160,                     0xF993160C,  __READ_WRITE )
__IO_REG32(     USFA0CIE161,                     0xF9931610,  __READ_WRITE )
__IO_REG32(     USFA0CIE162,                     0xF9931614,  __READ_WRITE )
__IO_REG32(     USFA0CIE163,                     0xF9931618,  __READ_WRITE )
__IO_REG32(     USFA0CIE164,                     0xF993161C,  __READ_WRITE )
__IO_REG32(     USFA0CIE165,                     0xF9931620,  __READ_WRITE )
__IO_REG32(     USFA0CIE166,                     0xF9931624,  __READ_WRITE )
__IO_REG32(     USFA0CIE167,                     0xF9931628,  __READ_WRITE )
__IO_REG32(     USFA0CIE168,                     0xF993162C,  __READ_WRITE )
__IO_REG32(     USFA0CIE169,                     0xF9931630,  __READ_WRITE )
__IO_REG32(     USFA0CIE170,                     0xF9931634,  __READ_WRITE )
__IO_REG32(     USFA0CIE171,                     0xF9931638,  __READ_WRITE )
__IO_REG32(     USFA0CIE172,                     0xF993163C,  __READ_WRITE )
__IO_REG32(     USFA0CIE173,                     0xF9931640,  __READ_WRITE )
__IO_REG32(     USFA0CIE174,                     0xF9931644,  __READ_WRITE )
__IO_REG32(     USFA0CIE175,                     0xF9931648,  __READ_WRITE )
__IO_REG32(     USFA0CIE176,                     0xF993164C,  __READ_WRITE )
__IO_REG32(     USFA0CIE177,                     0xF9931650,  __READ_WRITE )
__IO_REG32(     USFA0CIE178,                     0xF9931654,  __READ_WRITE )
__IO_REG32(     USFA0CIE179,                     0xF9931658,  __READ_WRITE )
__IO_REG32(     USFA0CIE180,                     0xF993165C,  __READ_WRITE )
__IO_REG32(     USFA0CIE181,                     0xF9931660,  __READ_WRITE )
__IO_REG32(     USFA0CIE182,                     0xF9931664,  __READ_WRITE )
__IO_REG32(     USFA0CIE183,                     0xF9931668,  __READ_WRITE )
__IO_REG32(     USFA0CIE184,                     0xF993166C,  __READ_WRITE )
__IO_REG32(     USFA0CIE185,                     0xF9931670,  __READ_WRITE )
__IO_REG32(     USFA0CIE186,                     0xF9931674,  __READ_WRITE )
__IO_REG32(     USFA0CIE187,                     0xF9931678,  __READ_WRITE )
__IO_REG32(     USFA0CIE188,                     0xF993167C,  __READ_WRITE )
__IO_REG32(     USFA0CIE189,                     0xF9931680,  __READ_WRITE )
__IO_REG32(     USFA0CIE190,                     0xF9931684,  __READ_WRITE )
__IO_REG32(     USFA0CIE191,                     0xF9931688,  __READ_WRITE )
__IO_REG32(     USFA0CIE192,                     0xF993168C,  __READ_WRITE )
__IO_REG32(     USFA0CIE193,                     0xF9931690,  __READ_WRITE )
__IO_REG32(     USFA0CIE194,                     0xF9931694,  __READ_WRITE )
__IO_REG32(     USFA0CIE195,                     0xF9931698,  __READ_WRITE )
__IO_REG32(     USFA0CIE196,                     0xF993169C,  __READ_WRITE )
__IO_REG32(     USFA0CIE197,                     0xF99316A0,  __READ_WRITE )
__IO_REG32(     USFA0CIE198,                     0xF99316A4,  __READ_WRITE )
__IO_REG32(     USFA0CIE199,                     0xF99316A8,  __READ_WRITE )
__IO_REG32(     USFA0CIE200,                     0xF99316AC,  __READ_WRITE )
__IO_REG32(     USFA0CIE201,                     0xF99316B0,  __READ_WRITE )
__IO_REG32(     USFA0CIE202,                     0xF99316B4,  __READ_WRITE )
__IO_REG32(     USFA0CIE203,                     0xF99316B8,  __READ_WRITE )
__IO_REG32(     USFA0CIE204,                     0xF99316BC,  __READ_WRITE )
__IO_REG32(     USFA0CIE205,                     0xF99316C0,  __READ_WRITE )
__IO_REG32(     USFA0CIE206,                     0xF99316C4,  __READ_WRITE )
__IO_REG32(     USFA0CIE207,                     0xF99316C8,  __READ_WRITE )
__IO_REG32(     USFA0CIE208,                     0xF99316CC,  __READ_WRITE )
__IO_REG32(     USFA0CIE209,                     0xF99316D0,  __READ_WRITE )
__IO_REG32(     USFA0CIE210,                     0xF99316D4,  __READ_WRITE )
__IO_REG32(     USFA0CIE211,                     0xF99316D8,  __READ_WRITE )
__IO_REG32(     USFA0CIE212,                     0xF99316DC,  __READ_WRITE )
__IO_REG32(     USFA0CIE213,                     0xF99316E0,  __READ_WRITE )
__IO_REG32(     USFA0CIE214,                     0xF99316E4,  __READ_WRITE )
__IO_REG32(     USFA0CIE215,                     0xF99316E8,  __READ_WRITE )
__IO_REG32(     USFA0CIE216,                     0xF99316EC,  __READ_WRITE )
__IO_REG32(     USFA0CIE217,                     0xF99316F0,  __READ_WRITE )
__IO_REG32(     USFA0CIE218,                     0xF99316F4,  __READ_WRITE )
__IO_REG32(     USFA0CIE219,                     0xF99316F8,  __READ_WRITE )
__IO_REG32(     USFA0CIE220,                     0xF99316FC,  __READ_WRITE )
__IO_REG32(     USFA0CIE221,                     0xF9931700,  __READ_WRITE )
__IO_REG32(     USFA0CIE222,                     0xF9931704,  __READ_WRITE )
__IO_REG32(     USFA0CIE223,                     0xF9931708,  __READ_WRITE )
__IO_REG32(     USFA0CIE224,                     0xF993170C,  __READ_WRITE )
__IO_REG32(     USFA0CIE225,                     0xF9931710,  __READ_WRITE )
__IO_REG32(     USFA0CIE226,                     0xF9931714,  __READ_WRITE )
__IO_REG32(     USFA0CIE227,                     0xF9931718,  __READ_WRITE )
__IO_REG32(     USFA0CIE228,                     0xF993171C,  __READ_WRITE )
__IO_REG32(     USFA0CIE229,                     0xF9931720,  __READ_WRITE )
__IO_REG32(     USFA0CIE230,                     0xF9931724,  __READ_WRITE )
__IO_REG32(     USFA0CIE231,                     0xF9931728,  __READ_WRITE )
__IO_REG32(     USFA0CIE232,                     0xF993172C,  __READ_WRITE )
__IO_REG32(     USFA0CIE233,                     0xF9931730,  __READ_WRITE )
__IO_REG32(     USFA0CIE234,                     0xF9931734,  __READ_WRITE )
__IO_REG32(     USFA0CIE235,                     0xF9931738,  __READ_WRITE )
__IO_REG32(     USFA0CIE236,                     0xF993173C,  __READ_WRITE )
__IO_REG32(     USFA0CIE237,                     0xF9931740,  __READ_WRITE )
__IO_REG32(     USFA0CIE238,                     0xF9931744,  __READ_WRITE )
__IO_REG32(     USFA0CIE239,                     0xF9931748,  __READ_WRITE )
__IO_REG32(     USFA0CIE240,                     0xF993174C,  __READ_WRITE )
__IO_REG32(     USFA0CIE241,                     0xF9931750,  __READ_WRITE )
__IO_REG32(     USFA0CIE242,                     0xF9931754,  __READ_WRITE )
__IO_REG32(     USFA0CIE243,                     0xF9931758,  __READ_WRITE )
__IO_REG32(     USFA0CIE244,                     0xF993175C,  __READ_WRITE )
__IO_REG32(     USFA0CIE245,                     0xF9931760,  __READ_WRITE )
__IO_REG32(     USFA0CIE246,                     0xF9931764,  __READ_WRITE )
__IO_REG32(     USFA0CIE247,                     0xF9931768,  __READ_WRITE )
__IO_REG32(     USFA0CIE248,                     0xF993176C,  __READ_WRITE )
__IO_REG32(     USFA0CIE249,                     0xF9931770,  __READ_WRITE )
__IO_REG32(     USFA0CIE250,                     0xF9931774,  __READ_WRITE )
__IO_REG32(     USFA0CIE251,                     0xF9931778,  __READ_WRITE )
__IO_REG32(     USFA0CIE252,                     0xF993177C,  __READ_WRITE )
__IO_REG32(     USFA0CIE253,                     0xF9931780,  __READ_WRITE )
__IO_REG32(     USFA0CIE254,                     0xF9931784,  __READ_WRITE )
__IO_REG32(     USFA0CIE255,                     0xF9931788,  __READ_WRITE )

__IO_REG32(     USFA0BRGINT,                     0xF9931808,  __READ_WRITE )
__IO_REG32(     USFA0BRGINTE,                    0xF993180C,  __READ_WRITE )
__IO_REG32(     USFA0EPCINT,                     0xF9931810,  __READ       )
__IO_REG32(     USFA0EPCINTE,                    0xF9931814,  __READ_WRITE )
__IO_REG32(     USFA0EPCCTL,                     0xF9931818,  __READ_WRITE )

__IO_REG32(     USFA0E1DC1,                      0xF9931910,  __READ_WRITE )
__IO_REG32(     USFA0E1DC2,                      0xF9931914,  __READ_WRITE )
__IO_REG32(     USFA0E1TAD,                      0xF9931918,  __READ_WRITE )

__IO_REG32(     USFA0E2DC1,                      0xF9931920,  __READ_WRITE )
__IO_REG32(     USFA0E2DC2,                      0xF9931924,  __READ_WRITE )
__IO_REG32(     USFA0E2TAD,                      0xF9931928,  __READ_WRITE )

__IO_REG32(     USFA0E3DC1,                      0xF9931930,  __READ_WRITE )
__IO_REG32(     USFA0E3DC2,                      0xF9931934,  __READ_WRITE )
__IO_REG32(     USFA0E3TAD,                      0xF9931938,  __READ_WRITE )

__IO_REG32(     USFA0E4DC1,                      0xF9931940,  __READ_WRITE )
__IO_REG32(     USFA0E4DC2,                      0xF9931944,  __READ_WRITE )
__IO_REG32(     USFA0E4TAD,                      0xF9931948,  __READ_WRITE )

__IO_REG32(     ETHA0MACC1,                      0xF9932000,  __READ_WRITE )
__IO_REG32(     ETHA0MACC2,                      0xF9932004,  __READ_WRITE )
__IO_REG32(     ETHA0IPGT,                       0xF9932008,  __READ_WRITE )
__IO_REG32(     ETHA0IPGR,                       0xF993200C,  __READ_WRITE )
__IO_REG32(     ETHA0CLRT,                       0xF9932010,  __READ_WRITE )
__IO_REG32(     ETHA0LMAX,                       0xF9932014,  __READ_WRITE )

__IO_REG32(     ETHA0LSA1,                       0xF9932054,  __READ_WRITE )
__IO_REG32(     ETHA0LSA2,                       0xF9932058,  __READ_WRITE )
__IO_REG32(     ETHA0PTVR,                       0xF993205C,  __READ       )

__IO_REG32(     ETHA0VLTP,                       0xF9932064,  __READ_WRITE )

__IO_REG32(     ETHA0MIIC,                       0xF9932080,  __READ_WRITE )

__IO_REG32(     ETHA0MCMD,                       0xF9932094,  __WRITE      )
__IO_REG32(     ETHA0MADR,                       0xF9932098,  __READ_WRITE )
__IO_REG32(     ETHA0MWTD,                       0xF993209C,  __READ_WRITE )
__IO_REG32(     ETHA0MRDD,                       0xF99320A0,  __READ       )
__IO_REG32(     ETHA0MIND,                       0xF99320A4,  __READ       )

__IO_REG32(     ETHA0AFR,                        0xF99320C8,  __READ_WRITE )
__IO_REG32(     ETHA0HT1,                        0xF99320CC,  __READ_WRITE )
__IO_REG32(     ETHA0HT2,                        0xF99320D0,  __READ_WRITE )

__IO_REG32(     ETHA0CAR1,                       0xF99320DC,  __READ_WRITE )
__IO_REG32(     ETHA0CAR2,                       0xF99320E0,  __READ_WRITE )

__IO_REG32(     ETHA0CAM1,                       0xF9932130,  __READ_WRITE )
__IO_REG32(     ETHA0CAM2,                       0xF9932134,  __READ_WRITE )

__IO_REG32(     ETHA0RBYT,                       0xF9932140,  __READ_WRITE )
__IO_REG32(     ETHA0RPKT,                       0xF9932144,  __READ_WRITE )
__IO_REG32(     ETHA0RFCS,                       0xF9932148,  __READ_WRITE )
__IO_REG32(     ETHA0RMCA,                       0xF993214C,  __READ_WRITE )
__IO_REG32(     ETHA0RBCA,                       0xF9932150,  __READ_WRITE )
__IO_REG32(     ETHA0RXCF,                       0xF9932154,  __READ_WRITE )
__IO_REG32(     ETHA0RXPF,                       0xF9932158,  __READ_WRITE )
__IO_REG32(     ETHA0RXUO,                       0xF993215C,  __READ_WRITE )
__IO_REG32(     ETHA0RALN,                       0xF9932160,  __READ_WRITE )
__IO_REG32(     ETHA0RFLR,                       0xF9932164,  __READ_WRITE )
__IO_REG32(     ETHA0RCDE,                       0xF9932168,  __READ_WRITE )
__IO_REG32(     ETHA0RFCR,                       0xF993216C,  __READ_WRITE )
__IO_REG32(     ETHA0RUND,                       0xF9932170,  __READ_WRITE )
__IO_REG32(     ETHA0ROVR,                       0xF9932174,  __READ_WRITE )
__IO_REG32(     ETHA0RFRG,                       0xF9932178,  __READ_WRITE )
__IO_REG32(     ETHA0RJBR,                       0xF993217C,  __READ_WRITE )
__IO_REG32(     ETHA0R64,                        0xF9932180,  __READ_WRITE )
__IO_REG32(     ETHA0R127,                       0xF9932184,  __READ_WRITE )
__IO_REG32(     ETHA0R255,                       0xF9932188,  __READ_WRITE )
__IO_REG32(     ETHA0R511,                       0xF993218C,  __READ_WRITE )
__IO_REG32(     ETHA0R1K,                        0xF9932190,  __READ_WRITE )
__IO_REG32(     ETHA0RMAX,                       0xF9932194,  __READ_WRITE )
__IO_REG32(     ETHA0RVBT,                       0xF9932198,  __READ_WRITE )

__IO_REG32(     ETHA0TBYT,                       0xF99321C0,  __READ_WRITE )
__IO_REG32(     ETHA0TPKT,                       0xF99321C4,  __READ_WRITE )
__IO_REG32(     ETHA0TFCS,                       0xF99321C8,  __READ_WRITE )
__IO_REG32(     ETHA0TMCA,                       0xF99321CC,  __READ_WRITE )
__IO_REG32(     ETHA0TBCA,                       0xF99321D0,  __READ_WRITE )
__IO_REG32(     ETHA0TUCA,                       0xF99321D4,  __READ_WRITE )
__IO_REG32(     ETHA0TXPF,                       0xF99321D8,  __READ_WRITE )
__IO_REG32(     ETHA0TDFR,                       0xF99321DC,  __READ_WRITE )
__IO_REG32(     ETHA0TXDF,                       0xF99321E0,  __READ_WRITE )
__IO_REG32(     ETHA0TSCL,                       0xF99321E4,  __READ_WRITE )
__IO_REG32(     ETHA0TMCL,                       0xF99321E8,  __READ_WRITE )
__IO_REG32(     ETHA0TLCL,                       0xF99321EC,  __READ_WRITE )
__IO_REG32(     ETHA0TXCL,                       0xF99321F0,  __READ_WRITE )
__IO_REG32(     ETHA0TNCL,                       0xF99321F4,  __READ_WRITE )
__IO_REG32(     ETHA0TCSE,                       0xF99321F8,  __READ_WRITE )
__IO_REG32(     ETHA0TIME,                       0xF99321FC,  __READ_WRITE )
__IO_REG32(     ETHA0MFFCONT,                    0xF9932200,  __READ_WRITE )
__IO_REG32(     ETHA0RSTCNT,                     0xF9932204,  __READ_WRITE )

__IO_REG32(     ETHA0FLOWTH,                     0xF9932218,  __READ_WRITE )
__IO_REG32(     ETHA0PAUSETM,                    0xF993221C,  __READ_WRITE )
__IO_REG32(     ETHA0RXERSEL,                    0xF9932220,  __READ_WRITE )

__IO_REG32(     ETHA0TXSTMONI1,                  0xF9932230,  __READ       )
__IO_REG32(     ETHA0TXSTMONI2,                  0xF9932234,  __READ       )
__IO_REG32(     ETHA0TXFINF1,                    0xF9932238,  __READ       )
__IO_REG32(     ETHA0TXFINF2,                    0xF993223C,  __READ       )
__IO_REG32(     ETHA0RXSTMONI,                   0xF9932240,  __READ       )
__IO_REG32(     ETHA0RXFINF1,                    0xF9932244,  __READ       )
__IO_REG32(     ETHA0RXFINF2,                    0xF9932248,  __READ       )
__IO_REG32(     ETHA0RXFINF3,                    0xF993224C,  __READ       )
__IO_REG32(     ETHA0FSTATUS,                    0xF9932250,  __READ       )
__IO_REG32(     ETHA0FSTATMK,                    0xF9932254,  __READ_WRITE )
__IO_REG32(     ETHA0TXSTATUS,                   0xF9932258,  __READ       )
__IO_REG32(     ETHA0TXSTATMK,                   0xF993225C,  __READ_WRITE )
__IO_REG32(     ETHA0RXSTATUS,                   0xF9932260,  __READ       )
__IO_REG32(     ETHA0RXSTATMK,                   0xF9932264,  __READ_WRITE )

__IO_REG32(     ETHA0TXABTCNT,                   0xF9932270,  __READ_WRITE )
__IO_REG32(     ETHA0RXABTCNT,                   0xF9932274,  __READ_WRITE )

__IO_REG32(     ETHA0MODE,                       0xF9932300,  __READ_WRITE )
__IO_REG32(     ETHA0INTMS,                      0xF9932304,  __READ_WRITE )
__IO_REG32(     ETHA0TRANSCTL,                   0xF9932308,  __READ_WRITE )
__IO_REG32(     ETHA0SFTRST,                     0xF993230C,  __READ_WRITE )
__IO_REG32(     ETHA0DMACM,                      0xF9932310,  __READ_WRITE )

__IO_REG32(     ETHA0RXDP,                       0xF9932320,  __READ_WRITE )
__IO_REG32(     ETHA0LSTRXDP,                    0xF9932324,  __READ       )
__IO_REG32(     ETHA0TXDP,                       0xF9932328,  __READ_WRITE )
__IO_REG32(     ETHA0LSTTXDP,                    0xF993232C,  __READ       )

__IO_REG32(     ETHA0CMODE,                      0xF9933300,  __READ_WRITE )
__IO_REG32(     ETHA0CINTMS,                     0xF9933304,  __READ_WRITE )
__IO_REG32(     ETHA0CTRANSCTL,                  0xF9933308,  __READ_WRITE )
__IO_REG32(     ETHA0CSFTRST,                    0xF993330C,  __READ_WRITE )
__IO_REG32(     ETHA0CDMACM,                     0xF9933310,  __READ_WRITE )

__IO_REG32(     ETHA0CRXDP,                      0xF9933320,  __READ_WRITE )
__IO_REG32(     ETHA0CLSTRXDP,                   0xF9933324,  __READ       )
__IO_REG32(     ETHA0CTXDP,                      0xF9933328,  __READ_WRITE )
__IO_REG32(     ETHA0CLSTTXDP,                   0xF993332C,  __READ       )

__IO_REG16(     PIBC0,                           0xFF404000,  __READ_WRITE )

__IO_REG16(     PIBC1,                           0xFF404004,  __READ_WRITE )

__IO_REG16(     PIBC2,                           0xFF404008,  __READ_WRITE )

__IO_REG16(     PIBC3,                           0xFF40400C,  __READ_WRITE )

__IO_REG16(     PIBC4,                           0xFF404010,  __READ_WRITE )

__IO_REG16(     PIBC5,                           0xFF404014,  __READ_WRITE )

__IO_REG16(     PIBC6,                           0xFF404018,  __READ_WRITE )

__IO_REG16(     PIBC7,                           0xFF40401C,  __READ_WRITE )

__IO_REG16(     PIBC8,                           0xFF404020,  __READ_WRITE )

__IO_REG16(     PIBC9,                           0xFF404024,  __READ_WRITE )

__IO_REG16(     PIBC10,                          0xFF404028,  __READ_WRITE )

__IO_REG16(     PIBC11,                          0xFF40402C,  __READ_WRITE )

__IO_REG16(     PIBC12,                          0xFF404030,  __READ_WRITE )

__IO_REG16(     PIBC13,                          0xFF404034,  __READ_WRITE )

__IO_REG16(     PIBC14,                          0xFF404038,  __READ_WRITE )

__IO_REG16(     PBDC0,                           0xFF404100,  __READ_WRITE )

__IO_REG16(     PBDC1,                           0xFF404104,  __READ_WRITE )

__IO_REG16(     PBDC2,                           0xFF404108,  __READ_WRITE )

__IO_REG16(     PBDC3,                           0xFF40410C,  __READ_WRITE )

__IO_REG16(     PBDC4,                           0xFF404110,  __READ_WRITE )

__IO_REG16(     PBDC5,                           0xFF404114,  __READ_WRITE )

__IO_REG16(     PBDC6,                           0xFF404118,  __READ_WRITE )

__IO_REG16(     PBDC7,                           0xFF40411C,  __READ_WRITE )

__IO_REG16(     PBDC8,                           0xFF404120,  __READ_WRITE )

__IO_REG16(     PBDC9,                           0xFF404124,  __READ_WRITE )

__IO_REG16(     PBDC10,                          0xFF404128,  __READ_WRITE )

__IO_REG16(     PBDC11,                          0xFF40412C,  __READ_WRITE )

__IO_REG16(     PBDC12,                          0xFF404130,  __READ_WRITE )

__IO_REG16(     PBDC13,                          0xFF404134,  __READ_WRITE )

__IO_REG16(     PIPC0,                           0xFF404200,  __READ_WRITE )

__IO_REG16(     PIPC1,                           0xFF404204,  __READ_WRITE )

__IO_REG16(     PIPC2,                           0xFF404208,  __READ_WRITE )

__IO_REG16(     PIPC3,                           0xFF40420C,  __READ_WRITE )

__IO_REG16(     PIPC4,                           0xFF404210,  __READ_WRITE )

__IO_REG16(     PIPC5,                           0xFF404214,  __READ_WRITE )

__IO_REG16(     PIPC6,                           0xFF404218,  __READ_WRITE )

__IO_REG16(     PIPC7,                           0xFF40421C,  __READ_WRITE )

__IO_REG16(     PIPC8,                           0xFF404220,  __READ_WRITE )

__IO_REG16(     PIPC9,                           0xFF404224,  __READ_WRITE )

__IO_REG16(     PIPC10,                          0xFF404228,  __READ_WRITE )

__IO_REG16(     PIPC11,                          0xFF40422C,  __READ_WRITE )

__IO_REG16(     PIPC12,                          0xFF404230,  __READ_WRITE )

__IO_REG16(     PIPC13,                          0xFF404234,  __READ_WRITE )

__IO_REG16(     PU2,                             0xFF404308,  __READ_WRITE )

__IO_REG16(     PU3,                             0xFF40430C,  __READ_WRITE )

__IO_REG16(     PU4,                             0xFF404310,  __READ_WRITE )

__IO_REG16(     PU5,                             0xFF404314,  __READ_WRITE )

__IO_REG16(     PU6,                             0xFF404318,  __READ_WRITE )

__IO_REG16(     PU7,                             0xFF40431C,  __READ_WRITE )

__IO_REG16(     PU8,                             0xFF404320,  __READ_WRITE )

__IO_REG16(     PU9,                             0xFF404324,  __READ_WRITE )

__IO_REG16(     PU10,                            0xFF404328,  __READ_WRITE )

__IO_REG16(     PU11,                            0xFF40432C,  __READ_WRITE )

__IO_REG16(     PU12,                            0xFF404330,  __READ_WRITE )

__IO_REG16(     PU13,                            0xFF404334,  __READ_WRITE )

__IO_REG16(     PD2,                             0xFF404408,  __READ_WRITE )

__IO_REG16(     PD3,                             0xFF40440C,  __READ_WRITE )

__IO_REG16(     PD4,                             0xFF404410,  __READ_WRITE )

__IO_REG16(     PD5,                             0xFF404414,  __READ_WRITE )

__IO_REG16(     PD6,                             0xFF404418,  __READ_WRITE )

__IO_REG16(     PD7,                             0xFF40441C,  __READ_WRITE )

__IO_REG16(     PD8,                             0xFF404420,  __READ_WRITE )

__IO_REG16(     PD9,                             0xFF404424,  __READ_WRITE )

__IO_REG16(     PD10,                            0xFF404428,  __READ_WRITE )

__IO_REG16(     PD11,                            0xFF40442C,  __READ_WRITE )

__IO_REG16(     PD12,                            0xFF404430,  __READ_WRITE )

__IO_REG16(     PD13,                            0xFF404434,  __READ_WRITE )

__IO_REG32(     PODC0,                           0xFF404500,  __READ_WRITE )
__IO_REG32(     PODC1,                           0xFF404504,  __READ_WRITE )
__IO_REG32(     PODC2,                           0xFF404508,  __READ_WRITE )
__IO_REG32(     PODC3,                           0xFF40450C,  __READ_WRITE )
__IO_REG32(     PODC4,                           0xFF404510,  __READ_WRITE )
__IO_REG32(     PODC5,                           0xFF404514,  __READ_WRITE )
__IO_REG32(     PODC6,                           0xFF404518,  __READ_WRITE )
__IO_REG32(     PODC7,                           0xFF40451C,  __READ_WRITE )
__IO_REG32(     PODC8,                           0xFF404520,  __READ_WRITE )
__IO_REG32(     PODC9,                           0xFF404524,  __READ_WRITE )
__IO_REG32(     PODC10,                          0xFF404528,  __READ_WRITE )
__IO_REG32(     PODC11,                          0xFF40452C,  __READ_WRITE )
__IO_REG32(     PODC12,                          0xFF404530,  __READ_WRITE )
__IO_REG32(     PODC13,                          0xFF404534,  __READ_WRITE )

__IO_REG32(     PDSC0,                           0xFF404600,  __READ_WRITE )
__IO_REG32(     PDSC1,                           0xFF404604,  __READ_WRITE )
__IO_REG32(     PDSC2,                           0xFF404608,  __READ_WRITE )
__IO_REG32(     PDSC3,                           0xFF40460C,  __READ_WRITE )
__IO_REG32(     PDSC4,                           0xFF404610,  __READ_WRITE )
__IO_REG32(     PDSC5,                           0xFF404614,  __READ_WRITE )
__IO_REG32(     PDSC6,                           0xFF404618,  __READ_WRITE )
__IO_REG32(     PDSC7,                           0xFF40461C,  __READ_WRITE )
__IO_REG32(     PDSC8,                           0xFF404620,  __READ_WRITE )
__IO_REG32(     PDSC9,                           0xFF404624,  __READ_WRITE )
__IO_REG32(     PDSC10,                          0xFF404628,  __READ_WRITE )
__IO_REG32(     PDSC11,                          0xFF40462C,  __READ_WRITE )
__IO_REG32(     PDSC12,                          0xFF404630,  __READ_WRITE )
__IO_REG32(     PDSC13,                          0xFF404634,  __READ_WRITE )

__IO_REG16(     PIS2,                            0xFF404708,  __READ_WRITE )

__IO_REG16(     PIS4,                            0xFF404710,  __READ_WRITE )

__IO_REG16(     PIS9,                            0xFF404724,  __READ_WRITE )

__IO_REG16(     PIS10,                           0xFF404728,  __READ_WRITE )

__IO_REG16(     PIS12,                           0xFF404730,  __READ_WRITE )

__IO_REG16(     PIS13,                           0xFF404734,  __READ_WRITE )

__IO_REG16(     PISE2,                           0xFF404808,  __READ_WRITE )

__IO_REG16(     PISE4,                           0xFF404810,  __READ_WRITE )

__IO_REG16(     PISE9,                           0xFF404824,  __READ_WRITE )

__IO_REG16(     PISE10,                          0xFF404828,  __READ_WRITE )

__IO_REG16(     PISE12,                          0xFF404830,  __READ_WRITE )

__IO_REG16(     PISE13,                          0xFF404834,  __READ_WRITE )

__IO_REG16(     PISA0,                           0xFF404A00,  __READ_WRITE )

__IO_REG16(     PISA1,                           0xFF404A04,  __READ_WRITE )

__IO_REG16(     PISA2,                           0xFF404A08,  __READ_WRITE )

__IO_REG16(     PISA4,                           0xFF404A10,  __READ_WRITE )

__IO_REG16(     PISA7,                           0xFF404A1C,  __READ_WRITE )

__IO_REG16(     PISA8,                           0xFF404A20,  __READ_WRITE )

__IO_REG16(     PISA9,                           0xFF404A24,  __READ_WRITE )

__IO_REG16(     PISA10,                          0xFF404A28,  __READ_WRITE )

__IO_REG16(     PISA13,                          0xFF404A34,  __READ_WRITE )

__IO_REG8(      PPROTS0,                         0xFF404B00,  __READ       )

__IO_REG8(      PPROTS1,                         0xFF404B04,  __READ       )

__IO_REG8(      PPROTS2,                         0xFF404B08,  __READ       )

__IO_REG8(      PPROTS3,                         0xFF404B0C,  __READ       )

__IO_REG8(      PPROTS4,                         0xFF404B10,  __READ       )

__IO_REG8(      PPROTS5,                         0xFF404B14,  __READ       )

__IO_REG8(      PPROTS6,                         0xFF404B18,  __READ       )

__IO_REG8(      PPROTS7,                         0xFF404B1C,  __READ       )

__IO_REG8(      PPROTS8,                         0xFF404B20,  __READ       )

__IO_REG8(      PPROTS9,                         0xFF404B24,  __READ       )

__IO_REG8(      PPROTS10,                        0xFF404B28,  __READ       )

__IO_REG8(      PPROTS11,                        0xFF404B2C,  __READ       )

__IO_REG8(      PPROTS12,                        0xFF404B30,  __READ       )

__IO_REG8(      PPROTS13,                        0xFF404B34,  __READ       )

__IO_REG8(      PPCMD0,                          0xFF404C00,  __READ_WRITE )

__IO_REG8(      PPCMD1,                          0xFF404C04,  __READ_WRITE )

__IO_REG8(      PPCMD2,                          0xFF404C08,  __READ_WRITE )

__IO_REG8(      PPCMD3,                          0xFF404C0C,  __READ_WRITE )

__IO_REG8(      PPCMD4,                          0xFF404C10,  __READ_WRITE )

__IO_REG8(      PPCMD5,                          0xFF404C14,  __READ_WRITE )

__IO_REG8(      PPCMD6,                          0xFF404C18,  __READ_WRITE )

__IO_REG8(      PPCMD7,                          0xFF404C1C,  __READ_WRITE )

__IO_REG8(      PPCMD8,                          0xFF404C20,  __READ_WRITE )

__IO_REG8(      PPCMD9,                          0xFF404C24,  __READ_WRITE )

__IO_REG8(      PPCMD10,                         0xFF404C28,  __READ_WRITE )

__IO_REG8(      PPCMD11,                         0xFF404C2C,  __READ_WRITE )

__IO_REG8(      PPCMD12,                         0xFF404C30,  __READ_WRITE )

__IO_REG8(      PPCMD13,                         0xFF404C34,  __READ_WRITE )

__IO_REG8(      DNFA0CTL,                        0xFF410000,  __READ_WRITE )

__IO_REG16(     DNFA0EN,                         0xFF410004,  __READ_WRITE )

__IO_REG8_BIT(  DNFA0ENH,                        0xFF410008,  __READ_WRITE )

__IO_REG8_BIT(  DNFA0ENL,                        0xFF41000C,  __READ_WRITE )

__IO_REG8(      DNFA2CTL,                        0xFF410200,  __READ_WRITE )

__IO_REG16(     DNFA2EN,                         0xFF410204,  __READ_WRITE )

__IO_REG8_BIT(  DNFA2ENH,                        0xFF410208,  __READ_WRITE )

__IO_REG8_BIT(  DNFA2ENL,                        0xFF41020C,  __READ_WRITE )

__IO_REG8(      DNFA4CTL,                        0xFF410400,  __READ_WRITE )

__IO_REG16(     DNFA4EN,                         0xFF410404,  __READ_WRITE )

__IO_REG8_BIT(  DNFA4ENH,                        0xFF410408,  __READ_WRITE )

__IO_REG8_BIT(  DNFA4ENL,                        0xFF41040C,  __READ_WRITE )

__IO_REG8(      DNFA6CTL,                        0xFF410600,  __READ_WRITE )

__IO_REG16(     DNFA6EN,                         0xFF410604,  __READ_WRITE )

__IO_REG8_BIT(  DNFA6ENH,                        0xFF410608,  __READ_WRITE )

__IO_REG8_BIT(  DNFA6ENL,                        0xFF41060C,  __READ_WRITE )

__IO_REG8(      DNFA8CTL,                        0xFF410800,  __READ_WRITE )

__IO_REG16(     DNFA8EN,                         0xFF410804,  __READ_WRITE )

__IO_REG8_BIT(  DNFA8ENL,                        0xFF41080C,  __READ_WRITE )

__IO_REG8(      DNFA9CTL,                        0xFF410900,  __READ_WRITE )

__IO_REG16(     DNFA9EN,                         0xFF410904,  __READ_WRITE )

__IO_REG8_BIT(  DNFA9ENL,                        0xFF41090C,  __READ_WRITE )

__IO_REG8(      DNFA10CTL,                       0xFF410A00,  __READ_WRITE )

__IO_REG16(     DNFA10EN,                        0xFF410A04,  __READ_WRITE )

__IO_REG8_BIT(  DNFA10ENL,                       0xFF410A0C,  __READ_WRITE )

__IO_REG8(      DNFA11CTL,                       0xFF410B00,  __READ_WRITE )

__IO_REG16(     DNFA11EN,                        0xFF410B04,  __READ_WRITE )

__IO_REG8_BIT(  DNFA11ENL,                       0xFF410B0C,  __READ_WRITE )

__IO_REG8(      DNFA12CTL,                       0xFF410C00,  __READ_WRITE )

__IO_REG16(     DNFA12EN,                        0xFF410C04,  __READ_WRITE )

__IO_REG8_BIT(  DNFA12ENL,                       0xFF410C0C,  __READ_WRITE )

__IO_REG8(      DNFA13CTL,                       0xFF410D00,  __READ_WRITE )

__IO_REG16(     DNFA13EN,                        0xFF410D04,  __READ_WRITE )

__IO_REG8_BIT(  DNFA13ENL,                       0xFF410D0C,  __READ_WRITE )

__IO_REG8(      DNFA14CTL,                       0xFF410E00,  __READ_WRITE )

__IO_REG16(     DNFA14EN,                        0xFF410E04,  __READ_WRITE )

__IO_REG8_BIT(  DNFA14ENL,                       0xFF410E0C,  __READ_WRITE )

__IO_REG8(      FCLA11CTL0,                      0xFF414B00,  __READ_WRITE )

__IO_REG8(      FCLA11CTL1,                      0xFF414B04,  __READ_WRITE )

__IO_REG8(      FCLA11CTL2,                      0xFF414B08,  __READ_WRITE )

__IO_REG8(      FCLA11CTL3,                      0xFF414B0C,  __READ_WRITE )

__IO_REG8(      FCLA11CTL4,                      0xFF414B10,  __READ_WRITE )

__IO_REG8(      FCLA11CTL5,                      0xFF414B14,  __READ_WRITE )

__IO_REG8(      FCLA12CTL0,                      0xFF414C00,  __READ_WRITE )

__IO_REG8(      FCLA12CTL1,                      0xFF414C04,  __READ_WRITE )

__IO_REG8(      FCLA12CTL2,                      0xFF414C08,  __READ_WRITE )

__IO_REG8(      FCLA12CTL3,                      0xFF414C0C,  __READ_WRITE )

__IO_REG8(      FCLA12CTL4,                      0xFF414C10,  __READ_WRITE )

__IO_REG8(      FCLA12CTL5,                      0xFF414C14,  __READ_WRITE )

__IO_REG8(      FCLA12CTL6,                      0xFF414C18,  __READ_WRITE )

__IO_REG8(      FCLA12CTL7,                      0xFF414C1C,  __READ_WRITE )

__IO_REG8(      FCLA13CTL0,                      0xFF414D00,  __READ_WRITE )

__IO_REG8(      FCLA13CTL1,                      0xFF414D04,  __READ_WRITE )

__IO_REG8(      FCLA13CTL2,                      0xFF414D08,  __READ_WRITE )

__IO_REG8(      FCLA13CTL3,                      0xFF414D0C,  __READ_WRITE )

__IO_REG8(      FCLA13CTL4,                      0xFF414D10,  __READ_WRITE )

__IO_REG8(      FCLA13CTL5,                      0xFF414D14,  __READ_WRITE )

__IO_REG8(      FCLA13CTL6,                      0xFF414D18,  __READ_WRITE )

__IO_REG8(      FCLA13CTL7,                      0xFF414D1C,  __READ_WRITE )

__IO_REG8(      FCLA14CTL0,                      0xFF414E00,  __READ_WRITE )

__IO_REG8(      FCLA14CTL1,                      0xFF414E04,  __READ_WRITE )

__IO_REG8(      FCLA14CTL2,                      0xFF414E08,  __READ_WRITE )

__IO_REG8(      FCLA14CTL3,                      0xFF414E0C,  __READ_WRITE )

__IO_REG8(      FCLA14CTL4,                      0xFF414E10,  __READ_WRITE )

__IO_REG8(      FCLA14CTL5,                      0xFF414E14,  __READ_WRITE )

__IO_REG8(      FCLA14CTL6,                      0xFF414E18,  __READ_WRITE )

__IO_REG8(      FCLA15CTL0,                      0xFF414F00,  __READ_WRITE )

__IO_REG8(      FCLA15CTL1,                      0xFF414F04,  __READ_WRITE )

__IO_REG8(      FCLA15CTL2,                      0xFF414F08,  __READ_WRITE )

__IO_REG8(      FCLA15CTL3,                      0xFF414F0C,  __READ_WRITE )

__IO_REG8(      FCLA15CTL4,                      0xFF414F10,  __READ_WRITE )

__IO_REG8(      FCLA15CTL5,                      0xFF414F14,  __READ_WRITE )

__IO_REG8(      FCLA16CTL0,                      0xFF415000,  __READ_WRITE )

__IO_REG8(      FCLA16CTL1,                      0xFF415004,  __READ_WRITE )

__IO_REG8(      FCLA16CTL2,                      0xFF415008,  __READ_WRITE )

__IO_REG8(      FCLA16CTL3,                      0xFF41500C,  __READ_WRITE )

__IO_REG8(      SFRCTL3,                         0xFF420038,  __READ_WRITE )

__IO_REG16(     SFR3CKST,                        0xFF42003C,  __READ       )

__IO_REG8(      RESF,                            0xFF420040,  __READ       )

__IO_REG8(      RESC,                            0xFF420044,  __WRITE      )

__IO_REG8(      SWREST,                          0xFF422000,  __READ_WRITE )

__IO_REG8(      FLMDCNT,                         0xFF438000,  __READ_WRITE )

__IO_REG8(      FLMDPCMD,                        0xFF438004,  __WRITE      )

__IO_REG8(      FLMDPS,                          0xFF438008,  __READ       )

__IO_REG32(     OPBT0,                           0xFF47000C,  __READ       )

__IO_REG8(      FCN0GMCSPRE,                     0xFF480008,  __READ_WRITE )

__IO_REG8(      FCN0GMADCTL,                     0xFF480020,  __READ_WRITE )

__IO_REG8(      FCN0CMLCSTR,                     0xFF480248,  __READ_WRITE )

__IO_REG8(      FCN0CMINSTR,                     0xFF48024C,  __READ       )

__IO_REG8(      FCN0CMBRPRS,                     0xFF480268,  __READ_WRITE )

__IO_REG8(      FCN0CMLISTR,                     0xFF480278,  __READ       )

__IO_REG8(      FCN0CMLOSTR,                     0xFF480288,  __READ       )

__IO_REG8(      FCN0M000DAT0B,                   0xFF481000,  __READ_WRITE )

__IO_REG8(      FCN0M000DAT1B,                   0xFF481004,  __READ_WRITE )

__IO_REG8(      FCN0M000DAT2B,                   0xFF481008,  __READ_WRITE )

__IO_REG8(      FCN0M000DAT3B,                   0xFF48100C,  __READ_WRITE )

__IO_REG8(      FCN0M000DAT4B,                   0xFF481010,  __READ_WRITE )

__IO_REG8(      FCN0M000DAT5B,                   0xFF481014,  __READ_WRITE )

__IO_REG8(      FCN0M000DAT6B,                   0xFF481018,  __READ_WRITE )

__IO_REG8(      FCN0M000DAT7B,                   0xFF48101C,  __READ_WRITE )

__IO_REG8(      FCN0M000DTLGB,                   0xFF481020,  __READ_WRITE )

__IO_REG8(      FCN0M000STRB,                    0xFF481024,  __READ_WRITE )

__IO_REG8(      FCN0M001DAT0B,                   0xFF481040,  __READ_WRITE )

__IO_REG8(      FCN0M001DAT1B,                   0xFF481044,  __READ_WRITE )

__IO_REG8(      FCN0M001DAT2B,                   0xFF481048,  __READ_WRITE )

__IO_REG8(      FCN0M001DAT3B,                   0xFF48104C,  __READ_WRITE )

__IO_REG8(      FCN0M001DAT4B,                   0xFF481050,  __READ_WRITE )

__IO_REG8(      FCN0M001DAT5B,                   0xFF481054,  __READ_WRITE )

__IO_REG8(      FCN0M001DAT6B,                   0xFF481058,  __READ_WRITE )

__IO_REG8(      FCN0M001DAT7B,                   0xFF48105C,  __READ_WRITE )

__IO_REG8(      FCN0M001DTLGB,                   0xFF481060,  __READ_WRITE )

__IO_REG8(      FCN0M001STRB,                    0xFF481064,  __READ_WRITE )

__IO_REG8(      FCN0M002DAT0B,                   0xFF481080,  __READ_WRITE )

__IO_REG8(      FCN0M002DAT1B,                   0xFF481084,  __READ_WRITE )

__IO_REG8(      FCN0M002DAT2B,                   0xFF481088,  __READ_WRITE )

__IO_REG8(      FCN0M002DAT3B,                   0xFF48108C,  __READ_WRITE )

__IO_REG8(      FCN0M002DAT4B,                   0xFF481090,  __READ_WRITE )

__IO_REG8(      FCN0M002DAT5B,                   0xFF481094,  __READ_WRITE )

__IO_REG8(      FCN0M002DAT6B,                   0xFF481098,  __READ_WRITE )

__IO_REG8(      FCN0M002DAT7B,                   0xFF48109C,  __READ_WRITE )

__IO_REG8(      FCN0M002DTLGB,                   0xFF4810A0,  __READ_WRITE )

__IO_REG8(      FCN0M002STRB,                    0xFF4810A4,  __READ_WRITE )

__IO_REG8(      FCN0M003DAT0B,                   0xFF4810C0,  __READ_WRITE )

__IO_REG8(      FCN0M003DAT1B,                   0xFF4810C4,  __READ_WRITE )

__IO_REG8(      FCN0M003DAT2B,                   0xFF4810C8,  __READ_WRITE )

__IO_REG8(      FCN0M003DAT3B,                   0xFF4810CC,  __READ_WRITE )

__IO_REG8(      FCN0M003DAT4B,                   0xFF4810D0,  __READ_WRITE )

__IO_REG8(      FCN0M003DAT5B,                   0xFF4810D4,  __READ_WRITE )

__IO_REG8(      FCN0M003DAT6B,                   0xFF4810D8,  __READ_WRITE )

__IO_REG8(      FCN0M003DAT7B,                   0xFF4810DC,  __READ_WRITE )

__IO_REG8(      FCN0M003DTLGB,                   0xFF4810E0,  __READ_WRITE )

__IO_REG8(      FCN0M003STRB,                    0xFF4810E4,  __READ_WRITE )

__IO_REG8(      FCN0M004DAT0B,                   0xFF481100,  __READ_WRITE )

__IO_REG8(      FCN0M004DAT1B,                   0xFF481104,  __READ_WRITE )

__IO_REG8(      FCN0M004DAT2B,                   0xFF481108,  __READ_WRITE )

__IO_REG8(      FCN0M004DAT3B,                   0xFF48110C,  __READ_WRITE )

__IO_REG8(      FCN0M004DAT4B,                   0xFF481110,  __READ_WRITE )

__IO_REG8(      FCN0M004DAT5B,                   0xFF481114,  __READ_WRITE )

__IO_REG8(      FCN0M004DAT6B,                   0xFF481118,  __READ_WRITE )

__IO_REG8(      FCN0M004DAT7B,                   0xFF48111C,  __READ_WRITE )

__IO_REG8(      FCN0M004DTLGB,                   0xFF481120,  __READ_WRITE )

__IO_REG8(      FCN0M004STRB,                    0xFF481124,  __READ_WRITE )

__IO_REG8(      FCN0M005DAT0B,                   0xFF481140,  __READ_WRITE )

__IO_REG8(      FCN0M005DAT1B,                   0xFF481144,  __READ_WRITE )

__IO_REG8(      FCN0M005DAT2B,                   0xFF481148,  __READ_WRITE )

__IO_REG8(      FCN0M005DAT3B,                   0xFF48114C,  __READ_WRITE )

__IO_REG8(      FCN0M005DAT4B,                   0xFF481150,  __READ_WRITE )

__IO_REG8(      FCN0M005DAT5B,                   0xFF481154,  __READ_WRITE )

__IO_REG8(      FCN0M005DAT6B,                   0xFF481158,  __READ_WRITE )

__IO_REG8(      FCN0M005DAT7B,                   0xFF48115C,  __READ_WRITE )

__IO_REG8(      FCN0M005DTLGB,                   0xFF481160,  __READ_WRITE )

__IO_REG8(      FCN0M005STRB,                    0xFF481164,  __READ_WRITE )

__IO_REG8(      FCN0M006DAT0B,                   0xFF481180,  __READ_WRITE )

__IO_REG8(      FCN0M006DAT1B,                   0xFF481184,  __READ_WRITE )

__IO_REG8(      FCN0M006DAT2B,                   0xFF481188,  __READ_WRITE )

__IO_REG8(      FCN0M006DAT3B,                   0xFF48118C,  __READ_WRITE )

__IO_REG8(      FCN0M006DAT4B,                   0xFF481190,  __READ_WRITE )

__IO_REG8(      FCN0M006DAT5B,                   0xFF481194,  __READ_WRITE )

__IO_REG8(      FCN0M006DAT6B,                   0xFF481198,  __READ_WRITE )

__IO_REG8(      FCN0M006DAT7B,                   0xFF48119C,  __READ_WRITE )

__IO_REG8(      FCN0M006DTLGB,                   0xFF4811A0,  __READ_WRITE )

__IO_REG8(      FCN0M006STRB,                    0xFF4811A4,  __READ_WRITE )

__IO_REG8(      FCN0M007DAT0B,                   0xFF4811C0,  __READ_WRITE )

__IO_REG8(      FCN0M007DAT1B,                   0xFF4811C4,  __READ_WRITE )

__IO_REG8(      FCN0M007DAT2B,                   0xFF4811C8,  __READ_WRITE )

__IO_REG8(      FCN0M007DAT3B,                   0xFF4811CC,  __READ_WRITE )

__IO_REG8(      FCN0M007DAT4B,                   0xFF4811D0,  __READ_WRITE )

__IO_REG8(      FCN0M007DAT5B,                   0xFF4811D4,  __READ_WRITE )

__IO_REG8(      FCN0M007DAT6B,                   0xFF4811D8,  __READ_WRITE )

__IO_REG8(      FCN0M007DAT7B,                   0xFF4811DC,  __READ_WRITE )

__IO_REG8(      FCN0M007DTLGB,                   0xFF4811E0,  __READ_WRITE )

__IO_REG8(      FCN0M007STRB,                    0xFF4811E4,  __READ_WRITE )

__IO_REG8(      FCN0M008DAT0B,                   0xFF481200,  __READ_WRITE )

__IO_REG8(      FCN0M008DAT1B,                   0xFF481204,  __READ_WRITE )

__IO_REG8(      FCN0M008DAT2B,                   0xFF481208,  __READ_WRITE )

__IO_REG8(      FCN0M008DAT3B,                   0xFF48120C,  __READ_WRITE )

__IO_REG8(      FCN0M008DAT4B,                   0xFF481210,  __READ_WRITE )

__IO_REG8(      FCN0M008DAT5B,                   0xFF481214,  __READ_WRITE )

__IO_REG8(      FCN0M008DAT6B,                   0xFF481218,  __READ_WRITE )

__IO_REG8(      FCN0M008DAT7B,                   0xFF48121C,  __READ_WRITE )

__IO_REG8(      FCN0M008DTLGB,                   0xFF481220,  __READ_WRITE )

__IO_REG8(      FCN0M008STRB,                    0xFF481224,  __READ_WRITE )

__IO_REG8(      FCN0M009DAT0B,                   0xFF481240,  __READ_WRITE )

__IO_REG8(      FCN0M009DAT1B,                   0xFF481244,  __READ_WRITE )

__IO_REG8(      FCN0M009DAT2B,                   0xFF481248,  __READ_WRITE )

__IO_REG8(      FCN0M009DAT3B,                   0xFF48124C,  __READ_WRITE )

__IO_REG8(      FCN0M009DAT4B,                   0xFF481250,  __READ_WRITE )

__IO_REG8(      FCN0M009DAT5B,                   0xFF481254,  __READ_WRITE )

__IO_REG8(      FCN0M009DAT6B,                   0xFF481258,  __READ_WRITE )

__IO_REG8(      FCN0M009DAT7B,                   0xFF48125C,  __READ_WRITE )

__IO_REG8(      FCN0M009DTLGB,                   0xFF481260,  __READ_WRITE )

__IO_REG8(      FCN0M009STRB,                    0xFF481264,  __READ_WRITE )

__IO_REG8(      FCN0M010DAT0B,                   0xFF481280,  __READ_WRITE )

__IO_REG8(      FCN0M010DAT1B,                   0xFF481284,  __READ_WRITE )

__IO_REG8(      FCN0M010DAT2B,                   0xFF481288,  __READ_WRITE )

__IO_REG8(      FCN0M010DAT3B,                   0xFF48128C,  __READ_WRITE )

__IO_REG8(      FCN0M010DAT4B,                   0xFF481290,  __READ_WRITE )

__IO_REG8(      FCN0M010DAT5B,                   0xFF481294,  __READ_WRITE )

__IO_REG8(      FCN0M010DAT6B,                   0xFF481298,  __READ_WRITE )

__IO_REG8(      FCN0M010DAT7B,                   0xFF48129C,  __READ_WRITE )

__IO_REG8(      FCN0M010DTLGB,                   0xFF4812A0,  __READ_WRITE )

__IO_REG8(      FCN0M010STRB,                    0xFF4812A4,  __READ_WRITE )

__IO_REG8(      FCN0M011DAT0B,                   0xFF4812C0,  __READ_WRITE )

__IO_REG8(      FCN0M011DAT1B,                   0xFF4812C4,  __READ_WRITE )

__IO_REG8(      FCN0M011DAT2B,                   0xFF4812C8,  __READ_WRITE )

__IO_REG8(      FCN0M011DAT3B,                   0xFF4812CC,  __READ_WRITE )

__IO_REG8(      FCN0M011DAT4B,                   0xFF4812D0,  __READ_WRITE )

__IO_REG8(      FCN0M011DAT5B,                   0xFF4812D4,  __READ_WRITE )

__IO_REG8(      FCN0M011DAT6B,                   0xFF4812D8,  __READ_WRITE )

__IO_REG8(      FCN0M011DAT7B,                   0xFF4812DC,  __READ_WRITE )

__IO_REG8(      FCN0M011DTLGB,                   0xFF4812E0,  __READ_WRITE )

__IO_REG8(      FCN0M011STRB,                    0xFF4812E4,  __READ_WRITE )

__IO_REG8(      FCN0M012DAT0B,                   0xFF481300,  __READ_WRITE )

__IO_REG8(      FCN0M012DAT1B,                   0xFF481304,  __READ_WRITE )

__IO_REG8(      FCN0M012DAT2B,                   0xFF481308,  __READ_WRITE )

__IO_REG8(      FCN0M012DAT3B,                   0xFF48130C,  __READ_WRITE )

__IO_REG8(      FCN0M012DAT4B,                   0xFF481310,  __READ_WRITE )

__IO_REG8(      FCN0M012DAT5B,                   0xFF481314,  __READ_WRITE )

__IO_REG8(      FCN0M012DAT6B,                   0xFF481318,  __READ_WRITE )

__IO_REG8(      FCN0M012DAT7B,                   0xFF48131C,  __READ_WRITE )

__IO_REG8(      FCN0M012DTLGB,                   0xFF481320,  __READ_WRITE )

__IO_REG8(      FCN0M012STRB,                    0xFF481324,  __READ_WRITE )

__IO_REG8(      FCN0M013DAT0B,                   0xFF481340,  __READ_WRITE )

__IO_REG8(      FCN0M013DAT1B,                   0xFF481344,  __READ_WRITE )

__IO_REG8(      FCN0M013DAT2B,                   0xFF481348,  __READ_WRITE )

__IO_REG8(      FCN0M013DAT3B,                   0xFF48134C,  __READ_WRITE )

__IO_REG8(      FCN0M013DAT4B,                   0xFF481350,  __READ_WRITE )

__IO_REG8(      FCN0M013DAT5B,                   0xFF481354,  __READ_WRITE )

__IO_REG8(      FCN0M013DAT6B,                   0xFF481358,  __READ_WRITE )

__IO_REG8(      FCN0M013DAT7B,                   0xFF48135C,  __READ_WRITE )

__IO_REG8(      FCN0M013DTLGB,                   0xFF481360,  __READ_WRITE )

__IO_REG8(      FCN0M013STRB,                    0xFF481364,  __READ_WRITE )

__IO_REG8(      FCN0M014DAT0B,                   0xFF481380,  __READ_WRITE )

__IO_REG8(      FCN0M014DAT1B,                   0xFF481384,  __READ_WRITE )

__IO_REG8(      FCN0M014DAT2B,                   0xFF481388,  __READ_WRITE )

__IO_REG8(      FCN0M014DAT3B,                   0xFF48138C,  __READ_WRITE )

__IO_REG8(      FCN0M014DAT4B,                   0xFF481390,  __READ_WRITE )

__IO_REG8(      FCN0M014DAT5B,                   0xFF481394,  __READ_WRITE )

__IO_REG8(      FCN0M014DAT6B,                   0xFF481398,  __READ_WRITE )

__IO_REG8(      FCN0M014DAT7B,                   0xFF48139C,  __READ_WRITE )

__IO_REG8(      FCN0M014DTLGB,                   0xFF4813A0,  __READ_WRITE )

__IO_REG8(      FCN0M014STRB,                    0xFF4813A4,  __READ_WRITE )

__IO_REG8(      FCN0M015DAT0B,                   0xFF4813C0,  __READ_WRITE )

__IO_REG8(      FCN0M015DAT1B,                   0xFF4813C4,  __READ_WRITE )

__IO_REG8(      FCN0M015DAT2B,                   0xFF4813C8,  __READ_WRITE )

__IO_REG8(      FCN0M015DAT3B,                   0xFF4813CC,  __READ_WRITE )

__IO_REG8(      FCN0M015DAT4B,                   0xFF4813D0,  __READ_WRITE )

__IO_REG8(      FCN0M015DAT5B,                   0xFF4813D4,  __READ_WRITE )

__IO_REG8(      FCN0M015DAT6B,                   0xFF4813D8,  __READ_WRITE )

__IO_REG8(      FCN0M015DAT7B,                   0xFF4813DC,  __READ_WRITE )

__IO_REG8(      FCN0M015DTLGB,                   0xFF4813E0,  __READ_WRITE )

__IO_REG8(      FCN0M015STRB,                    0xFF4813E4,  __READ_WRITE )

__IO_REG8(      FCN0M016DAT0B,                   0xFF481400,  __READ_WRITE )

__IO_REG8(      FCN0M016DAT1B,                   0xFF481404,  __READ_WRITE )

__IO_REG8(      FCN0M016DAT2B,                   0xFF481408,  __READ_WRITE )

__IO_REG8(      FCN0M016DAT3B,                   0xFF48140C,  __READ_WRITE )

__IO_REG8(      FCN0M016DAT4B,                   0xFF481410,  __READ_WRITE )

__IO_REG8(      FCN0M016DAT5B,                   0xFF481414,  __READ_WRITE )

__IO_REG8(      FCN0M016DAT6B,                   0xFF481418,  __READ_WRITE )

__IO_REG8(      FCN0M016DAT7B,                   0xFF48141C,  __READ_WRITE )

__IO_REG8(      FCN0M016DTLGB,                   0xFF481420,  __READ_WRITE )

__IO_REG8(      FCN0M016STRB,                    0xFF481424,  __READ_WRITE )

__IO_REG8(      FCN0M017DAT0B,                   0xFF481440,  __READ_WRITE )

__IO_REG8(      FCN0M017DAT1B,                   0xFF481444,  __READ_WRITE )

__IO_REG8(      FCN0M017DAT2B,                   0xFF481448,  __READ_WRITE )

__IO_REG8(      FCN0M017DAT3B,                   0xFF48144C,  __READ_WRITE )

__IO_REG8(      FCN0M017DAT4B,                   0xFF481450,  __READ_WRITE )

__IO_REG8(      FCN0M017DAT5B,                   0xFF481454,  __READ_WRITE )

__IO_REG8(      FCN0M017DAT6B,                   0xFF481458,  __READ_WRITE )

__IO_REG8(      FCN0M017DAT7B,                   0xFF48145C,  __READ_WRITE )

__IO_REG8(      FCN0M017DTLGB,                   0xFF481460,  __READ_WRITE )

__IO_REG8(      FCN0M017STRB,                    0xFF481464,  __READ_WRITE )

__IO_REG8(      FCN0M018DAT0B,                   0xFF481480,  __READ_WRITE )

__IO_REG8(      FCN0M018DAT1B,                   0xFF481484,  __READ_WRITE )

__IO_REG8(      FCN0M018DAT2B,                   0xFF481488,  __READ_WRITE )

__IO_REG8(      FCN0M018DAT3B,                   0xFF48148C,  __READ_WRITE )

__IO_REG8(      FCN0M018DAT4B,                   0xFF481490,  __READ_WRITE )

__IO_REG8(      FCN0M018DAT5B,                   0xFF481494,  __READ_WRITE )

__IO_REG8(      FCN0M018DAT6B,                   0xFF481498,  __READ_WRITE )

__IO_REG8(      FCN0M018DAT7B,                   0xFF48149C,  __READ_WRITE )

__IO_REG8(      FCN0M018DTLGB,                   0xFF4814A0,  __READ_WRITE )

__IO_REG8(      FCN0M018STRB,                    0xFF4814A4,  __READ_WRITE )

__IO_REG8(      FCN0M019DAT0B,                   0xFF4814C0,  __READ_WRITE )

__IO_REG8(      FCN0M019DAT1B,                   0xFF4814C4,  __READ_WRITE )

__IO_REG8(      FCN0M019DAT2B,                   0xFF4814C8,  __READ_WRITE )

__IO_REG8(      FCN0M019DAT3B,                   0xFF4814CC,  __READ_WRITE )

__IO_REG8(      FCN0M019DAT4B,                   0xFF4814D0,  __READ_WRITE )

__IO_REG8(      FCN0M019DAT5B,                   0xFF4814D4,  __READ_WRITE )

__IO_REG8(      FCN0M019DAT6B,                   0xFF4814D8,  __READ_WRITE )

__IO_REG8(      FCN0M019DAT7B,                   0xFF4814DC,  __READ_WRITE )

__IO_REG8(      FCN0M019DTLGB,                   0xFF4814E0,  __READ_WRITE )

__IO_REG8(      FCN0M019STRB,                    0xFF4814E4,  __READ_WRITE )

__IO_REG8(      FCN0M020DAT0B,                   0xFF481500,  __READ_WRITE )

__IO_REG8(      FCN0M020DAT1B,                   0xFF481504,  __READ_WRITE )

__IO_REG8(      FCN0M020DAT2B,                   0xFF481508,  __READ_WRITE )

__IO_REG8(      FCN0M020DAT3B,                   0xFF48150C,  __READ_WRITE )

__IO_REG8(      FCN0M020DAT4B,                   0xFF481510,  __READ_WRITE )

__IO_REG8(      FCN0M020DAT5B,                   0xFF481514,  __READ_WRITE )

__IO_REG8(      FCN0M020DAT6B,                   0xFF481518,  __READ_WRITE )

__IO_REG8(      FCN0M020DAT7B,                   0xFF48151C,  __READ_WRITE )

__IO_REG8(      FCN0M020DTLGB,                   0xFF481520,  __READ_WRITE )

__IO_REG8(      FCN0M020STRB,                    0xFF481524,  __READ_WRITE )

__IO_REG8(      FCN0M021DAT0B,                   0xFF481540,  __READ_WRITE )

__IO_REG8(      FCN0M021DAT1B,                   0xFF481544,  __READ_WRITE )

__IO_REG8(      FCN0M021DAT2B,                   0xFF481548,  __READ_WRITE )

__IO_REG8(      FCN0M021DAT3B,                   0xFF48154C,  __READ_WRITE )

__IO_REG8(      FCN0M021DAT4B,                   0xFF481550,  __READ_WRITE )

__IO_REG8(      FCN0M021DAT5B,                   0xFF481554,  __READ_WRITE )

__IO_REG8(      FCN0M021DAT6B,                   0xFF481558,  __READ_WRITE )

__IO_REG8(      FCN0M021DAT7B,                   0xFF48155C,  __READ_WRITE )

__IO_REG8(      FCN0M021DTLGB,                   0xFF481560,  __READ_WRITE )

__IO_REG8(      FCN0M021STRB,                    0xFF481564,  __READ_WRITE )

__IO_REG8(      FCN0M022DAT0B,                   0xFF481580,  __READ_WRITE )

__IO_REG8(      FCN0M022DAT1B,                   0xFF481584,  __READ_WRITE )

__IO_REG8(      FCN0M022DAT2B,                   0xFF481588,  __READ_WRITE )

__IO_REG8(      FCN0M022DAT3B,                   0xFF48158C,  __READ_WRITE )

__IO_REG8(      FCN0M022DAT4B,                   0xFF481590,  __READ_WRITE )

__IO_REG8(      FCN0M022DAT5B,                   0xFF481594,  __READ_WRITE )

__IO_REG8(      FCN0M022DAT6B,                   0xFF481598,  __READ_WRITE )

__IO_REG8(      FCN0M022DAT7B,                   0xFF48159C,  __READ_WRITE )

__IO_REG8(      FCN0M022DTLGB,                   0xFF4815A0,  __READ_WRITE )

__IO_REG8(      FCN0M022STRB,                    0xFF4815A4,  __READ_WRITE )

__IO_REG8(      FCN0M023DAT0B,                   0xFF4815C0,  __READ_WRITE )

__IO_REG8(      FCN0M023DAT1B,                   0xFF4815C4,  __READ_WRITE )

__IO_REG8(      FCN0M023DAT2B,                   0xFF4815C8,  __READ_WRITE )

__IO_REG8(      FCN0M023DAT3B,                   0xFF4815CC,  __READ_WRITE )

__IO_REG8(      FCN0M023DAT4B,                   0xFF4815D0,  __READ_WRITE )

__IO_REG8(      FCN0M023DAT5B,                   0xFF4815D4,  __READ_WRITE )

__IO_REG8(      FCN0M023DAT6B,                   0xFF4815D8,  __READ_WRITE )

__IO_REG8(      FCN0M023DAT7B,                   0xFF4815DC,  __READ_WRITE )

__IO_REG8(      FCN0M023DTLGB,                   0xFF4815E0,  __READ_WRITE )

__IO_REG8(      FCN0M023STRB,                    0xFF4815E4,  __READ_WRITE )

__IO_REG8(      FCN0M024DAT0B,                   0xFF481600,  __READ_WRITE )

__IO_REG8(      FCN0M024DAT1B,                   0xFF481604,  __READ_WRITE )

__IO_REG8(      FCN0M024DAT2B,                   0xFF481608,  __READ_WRITE )

__IO_REG8(      FCN0M024DAT3B,                   0xFF48160C,  __READ_WRITE )

__IO_REG8(      FCN0M024DAT4B,                   0xFF481610,  __READ_WRITE )

__IO_REG8(      FCN0M024DAT5B,                   0xFF481614,  __READ_WRITE )

__IO_REG8(      FCN0M024DAT6B,                   0xFF481618,  __READ_WRITE )

__IO_REG8(      FCN0M024DAT7B,                   0xFF48161C,  __READ_WRITE )

__IO_REG8(      FCN0M024DTLGB,                   0xFF481620,  __READ_WRITE )

__IO_REG8(      FCN0M024STRB,                    0xFF481624,  __READ_WRITE )

__IO_REG8(      FCN0M025DAT0B,                   0xFF481640,  __READ_WRITE )

__IO_REG8(      FCN0M025DAT1B,                   0xFF481644,  __READ_WRITE )

__IO_REG8(      FCN0M025DAT2B,                   0xFF481648,  __READ_WRITE )

__IO_REG8(      FCN0M025DAT3B,                   0xFF48164C,  __READ_WRITE )

__IO_REG8(      FCN0M025DAT4B,                   0xFF481650,  __READ_WRITE )

__IO_REG8(      FCN0M025DAT5B,                   0xFF481654,  __READ_WRITE )

__IO_REG8(      FCN0M025DAT6B,                   0xFF481658,  __READ_WRITE )

__IO_REG8(      FCN0M025DAT7B,                   0xFF48165C,  __READ_WRITE )

__IO_REG8(      FCN0M025DTLGB,                   0xFF481660,  __READ_WRITE )

__IO_REG8(      FCN0M025STRB,                    0xFF481664,  __READ_WRITE )

__IO_REG8(      FCN0M026DAT0B,                   0xFF481680,  __READ_WRITE )

__IO_REG8(      FCN0M026DAT1B,                   0xFF481684,  __READ_WRITE )

__IO_REG8(      FCN0M026DAT2B,                   0xFF481688,  __READ_WRITE )

__IO_REG8(      FCN0M026DAT3B,                   0xFF48168C,  __READ_WRITE )

__IO_REG8(      FCN0M026DAT4B,                   0xFF481690,  __READ_WRITE )

__IO_REG8(      FCN0M026DAT5B,                   0xFF481694,  __READ_WRITE )

__IO_REG8(      FCN0M026DAT6B,                   0xFF481698,  __READ_WRITE )

__IO_REG8(      FCN0M026DAT7B,                   0xFF48169C,  __READ_WRITE )

__IO_REG8(      FCN0M026DTLGB,                   0xFF4816A0,  __READ_WRITE )

__IO_REG8(      FCN0M026STRB,                    0xFF4816A4,  __READ_WRITE )

__IO_REG8(      FCN0M027DAT0B,                   0xFF4816C0,  __READ_WRITE )

__IO_REG8(      FCN0M027DAT1B,                   0xFF4816C4,  __READ_WRITE )

__IO_REG8(      FCN0M027DAT2B,                   0xFF4816C8,  __READ_WRITE )

__IO_REG8(      FCN0M027DAT3B,                   0xFF4816CC,  __READ_WRITE )

__IO_REG8(      FCN0M027DAT4B,                   0xFF4816D0,  __READ_WRITE )

__IO_REG8(      FCN0M027DAT5B,                   0xFF4816D4,  __READ_WRITE )

__IO_REG8(      FCN0M027DAT6B,                   0xFF4816D8,  __READ_WRITE )

__IO_REG8(      FCN0M027DAT7B,                   0xFF4816DC,  __READ_WRITE )

__IO_REG8(      FCN0M027DTLGB,                   0xFF4816E0,  __READ_WRITE )

__IO_REG8(      FCN0M027STRB,                    0xFF4816E4,  __READ_WRITE )

__IO_REG8(      FCN0M028DAT0B,                   0xFF481700,  __READ_WRITE )

__IO_REG8(      FCN0M028DAT1B,                   0xFF481704,  __READ_WRITE )

__IO_REG8(      FCN0M028DAT2B,                   0xFF481708,  __READ_WRITE )

__IO_REG8(      FCN0M028DAT3B,                   0xFF48170C,  __READ_WRITE )

__IO_REG8(      FCN0M028DAT4B,                   0xFF481710,  __READ_WRITE )

__IO_REG8(      FCN0M028DAT5B,                   0xFF481714,  __READ_WRITE )

__IO_REG8(      FCN0M028DAT6B,                   0xFF481718,  __READ_WRITE )

__IO_REG8(      FCN0M028DAT7B,                   0xFF48171C,  __READ_WRITE )

__IO_REG8(      FCN0M028DTLGB,                   0xFF481720,  __READ_WRITE )

__IO_REG8(      FCN0M028STRB,                    0xFF481724,  __READ_WRITE )

__IO_REG8(      FCN0M029DAT0B,                   0xFF481740,  __READ_WRITE )

__IO_REG8(      FCN0M029DAT1B,                   0xFF481744,  __READ_WRITE )

__IO_REG8(      FCN0M029DAT2B,                   0xFF481748,  __READ_WRITE )

__IO_REG8(      FCN0M029DAT3B,                   0xFF48174C,  __READ_WRITE )

__IO_REG8(      FCN0M029DAT4B,                   0xFF481750,  __READ_WRITE )

__IO_REG8(      FCN0M029DAT5B,                   0xFF481754,  __READ_WRITE )

__IO_REG8(      FCN0M029DAT6B,                   0xFF481758,  __READ_WRITE )

__IO_REG8(      FCN0M029DAT7B,                   0xFF48175C,  __READ_WRITE )

__IO_REG8(      FCN0M029DTLGB,                   0xFF481760,  __READ_WRITE )

__IO_REG8(      FCN0M029STRB,                    0xFF481764,  __READ_WRITE )

__IO_REG8(      FCN0M030DAT0B,                   0xFF481780,  __READ_WRITE )

__IO_REG8(      FCN0M030DAT1B,                   0xFF481784,  __READ_WRITE )

__IO_REG8(      FCN0M030DAT2B,                   0xFF481788,  __READ_WRITE )

__IO_REG8(      FCN0M030DAT3B,                   0xFF48178C,  __READ_WRITE )

__IO_REG8(      FCN0M030DAT4B,                   0xFF481790,  __READ_WRITE )

__IO_REG8(      FCN0M030DAT5B,                   0xFF481794,  __READ_WRITE )

__IO_REG8(      FCN0M030DAT6B,                   0xFF481798,  __READ_WRITE )

__IO_REG8(      FCN0M030DAT7B,                   0xFF48179C,  __READ_WRITE )

__IO_REG8(      FCN0M030DTLGB,                   0xFF4817A0,  __READ_WRITE )

__IO_REG8(      FCN0M030STRB,                    0xFF4817A4,  __READ_WRITE )

__IO_REG8(      FCN0M031DAT0B,                   0xFF4817C0,  __READ_WRITE )

__IO_REG8(      FCN0M031DAT1B,                   0xFF4817C4,  __READ_WRITE )

__IO_REG8(      FCN0M031DAT2B,                   0xFF4817C8,  __READ_WRITE )

__IO_REG8(      FCN0M031DAT3B,                   0xFF4817CC,  __READ_WRITE )

__IO_REG8(      FCN0M031DAT4B,                   0xFF4817D0,  __READ_WRITE )

__IO_REG8(      FCN0M031DAT5B,                   0xFF4817D4,  __READ_WRITE )

__IO_REG8(      FCN0M031DAT6B,                   0xFF4817D8,  __READ_WRITE )

__IO_REG8(      FCN0M031DAT7B,                   0xFF4817DC,  __READ_WRITE )

__IO_REG8(      FCN0M031DTLGB,                   0xFF4817E0,  __READ_WRITE )

__IO_REG8(      FCN0M031STRB,                    0xFF4817E4,  __READ_WRITE )

__IO_REG8(      FCN0M032DAT0B,                   0xFF481800,  __READ_WRITE )

__IO_REG8(      FCN0M032DAT1B,                   0xFF481804,  __READ_WRITE )

__IO_REG8(      FCN0M032DAT2B,                   0xFF481808,  __READ_WRITE )

__IO_REG8(      FCN0M032DAT3B,                   0xFF48180C,  __READ_WRITE )

__IO_REG8(      FCN0M032DAT4B,                   0xFF481810,  __READ_WRITE )

__IO_REG8(      FCN0M032DAT5B,                   0xFF481814,  __READ_WRITE )

__IO_REG8(      FCN0M032DAT6B,                   0xFF481818,  __READ_WRITE )

__IO_REG8(      FCN0M032DAT7B,                   0xFF48181C,  __READ_WRITE )

__IO_REG8(      FCN0M032DTLGB,                   0xFF481820,  __READ_WRITE )

__IO_REG8(      FCN0M032STRB,                    0xFF481824,  __READ_WRITE )

__IO_REG8(      FCN0M033DAT0B,                   0xFF481840,  __READ_WRITE )

__IO_REG8(      FCN0M033DAT1B,                   0xFF481844,  __READ_WRITE )

__IO_REG8(      FCN0M033DAT2B,                   0xFF481848,  __READ_WRITE )

__IO_REG8(      FCN0M033DAT3B,                   0xFF48184C,  __READ_WRITE )

__IO_REG8(      FCN0M033DAT4B,                   0xFF481850,  __READ_WRITE )

__IO_REG8(      FCN0M033DAT5B,                   0xFF481854,  __READ_WRITE )

__IO_REG8(      FCN0M033DAT6B,                   0xFF481858,  __READ_WRITE )

__IO_REG8(      FCN0M033DAT7B,                   0xFF48185C,  __READ_WRITE )

__IO_REG8(      FCN0M033DTLGB,                   0xFF481860,  __READ_WRITE )

__IO_REG8(      FCN0M033STRB,                    0xFF481864,  __READ_WRITE )

__IO_REG8(      FCN0M034DAT0B,                   0xFF481880,  __READ_WRITE )

__IO_REG8(      FCN0M034DAT1B,                   0xFF481884,  __READ_WRITE )

__IO_REG8(      FCN0M034DAT2B,                   0xFF481888,  __READ_WRITE )

__IO_REG8(      FCN0M034DAT3B,                   0xFF48188C,  __READ_WRITE )

__IO_REG8(      FCN0M034DAT4B,                   0xFF481890,  __READ_WRITE )

__IO_REG8(      FCN0M034DAT5B,                   0xFF481894,  __READ_WRITE )

__IO_REG8(      FCN0M034DAT6B,                   0xFF481898,  __READ_WRITE )

__IO_REG8(      FCN0M034DAT7B,                   0xFF48189C,  __READ_WRITE )

__IO_REG8(      FCN0M034DTLGB,                   0xFF4818A0,  __READ_WRITE )

__IO_REG8(      FCN0M034STRB,                    0xFF4818A4,  __READ_WRITE )

__IO_REG8(      FCN0M035DAT0B,                   0xFF4818C0,  __READ_WRITE )

__IO_REG8(      FCN0M035DAT1B,                   0xFF4818C4,  __READ_WRITE )

__IO_REG8(      FCN0M035DAT2B,                   0xFF4818C8,  __READ_WRITE )

__IO_REG8(      FCN0M035DAT3B,                   0xFF4818CC,  __READ_WRITE )

__IO_REG8(      FCN0M035DAT4B,                   0xFF4818D0,  __READ_WRITE )

__IO_REG8(      FCN0M035DAT5B,                   0xFF4818D4,  __READ_WRITE )

__IO_REG8(      FCN0M035DAT6B,                   0xFF4818D8,  __READ_WRITE )

__IO_REG8(      FCN0M035DAT7B,                   0xFF4818DC,  __READ_WRITE )

__IO_REG8(      FCN0M035DTLGB,                   0xFF4818E0,  __READ_WRITE )

__IO_REG8(      FCN0M035STRB,                    0xFF4818E4,  __READ_WRITE )

__IO_REG8(      FCN0M036DAT0B,                   0xFF481900,  __READ_WRITE )

__IO_REG8(      FCN0M036DAT1B,                   0xFF481904,  __READ_WRITE )

__IO_REG8(      FCN0M036DAT2B,                   0xFF481908,  __READ_WRITE )

__IO_REG8(      FCN0M036DAT3B,                   0xFF48190C,  __READ_WRITE )

__IO_REG8(      FCN0M036DAT4B,                   0xFF481910,  __READ_WRITE )

__IO_REG8(      FCN0M036DAT5B,                   0xFF481914,  __READ_WRITE )

__IO_REG8(      FCN0M036DAT6B,                   0xFF481918,  __READ_WRITE )

__IO_REG8(      FCN0M036DAT7B,                   0xFF48191C,  __READ_WRITE )

__IO_REG8(      FCN0M036DTLGB,                   0xFF481920,  __READ_WRITE )

__IO_REG8(      FCN0M036STRB,                    0xFF481924,  __READ_WRITE )

__IO_REG8(      FCN0M037DAT0B,                   0xFF481940,  __READ_WRITE )

__IO_REG8(      FCN0M037DAT1B,                   0xFF481944,  __READ_WRITE )

__IO_REG8(      FCN0M037DAT2B,                   0xFF481948,  __READ_WRITE )

__IO_REG8(      FCN0M037DAT3B,                   0xFF48194C,  __READ_WRITE )

__IO_REG8(      FCN0M037DAT4B,                   0xFF481950,  __READ_WRITE )

__IO_REG8(      FCN0M037DAT5B,                   0xFF481954,  __READ_WRITE )

__IO_REG8(      FCN0M037DAT6B,                   0xFF481958,  __READ_WRITE )

__IO_REG8(      FCN0M037DAT7B,                   0xFF48195C,  __READ_WRITE )

__IO_REG8(      FCN0M037DTLGB,                   0xFF481960,  __READ_WRITE )

__IO_REG8(      FCN0M037STRB,                    0xFF481964,  __READ_WRITE )

__IO_REG8(      FCN0M038DAT0B,                   0xFF481980,  __READ_WRITE )

__IO_REG8(      FCN0M038DAT1B,                   0xFF481984,  __READ_WRITE )

__IO_REG8(      FCN0M038DAT2B,                   0xFF481988,  __READ_WRITE )

__IO_REG8(      FCN0M038DAT3B,                   0xFF48198C,  __READ_WRITE )

__IO_REG8(      FCN0M038DAT4B,                   0xFF481990,  __READ_WRITE )

__IO_REG8(      FCN0M038DAT5B,                   0xFF481994,  __READ_WRITE )

__IO_REG8(      FCN0M038DAT6B,                   0xFF481998,  __READ_WRITE )

__IO_REG8(      FCN0M038DAT7B,                   0xFF48199C,  __READ_WRITE )

__IO_REG8(      FCN0M038DTLGB,                   0xFF4819A0,  __READ_WRITE )

__IO_REG8(      FCN0M038STRB,                    0xFF4819A4,  __READ_WRITE )

__IO_REG8(      FCN0M039DAT0B,                   0xFF4819C0,  __READ_WRITE )

__IO_REG8(      FCN0M039DAT1B,                   0xFF4819C4,  __READ_WRITE )

__IO_REG8(      FCN0M039DAT2B,                   0xFF4819C8,  __READ_WRITE )

__IO_REG8(      FCN0M039DAT3B,                   0xFF4819CC,  __READ_WRITE )

__IO_REG8(      FCN0M039DAT4B,                   0xFF4819D0,  __READ_WRITE )

__IO_REG8(      FCN0M039DAT5B,                   0xFF4819D4,  __READ_WRITE )

__IO_REG8(      FCN0M039DAT6B,                   0xFF4819D8,  __READ_WRITE )

__IO_REG8(      FCN0M039DAT7B,                   0xFF4819DC,  __READ_WRITE )

__IO_REG8(      FCN0M039DTLGB,                   0xFF4819E0,  __READ_WRITE )

__IO_REG8(      FCN0M039STRB,                    0xFF4819E4,  __READ_WRITE )

__IO_REG8(      FCN0M040DAT0B,                   0xFF481A00,  __READ_WRITE )

__IO_REG8(      FCN0M040DAT1B,                   0xFF481A04,  __READ_WRITE )

__IO_REG8(      FCN0M040DAT2B,                   0xFF481A08,  __READ_WRITE )

__IO_REG8(      FCN0M040DAT3B,                   0xFF481A0C,  __READ_WRITE )

__IO_REG8(      FCN0M040DAT4B,                   0xFF481A10,  __READ_WRITE )

__IO_REG8(      FCN0M040DAT5B,                   0xFF481A14,  __READ_WRITE )

__IO_REG8(      FCN0M040DAT6B,                   0xFF481A18,  __READ_WRITE )

__IO_REG8(      FCN0M040DAT7B,                   0xFF481A1C,  __READ_WRITE )

__IO_REG8(      FCN0M040DTLGB,                   0xFF481A20,  __READ_WRITE )

__IO_REG8(      FCN0M040STRB,                    0xFF481A24,  __READ_WRITE )

__IO_REG8(      FCN0M041DAT0B,                   0xFF481A40,  __READ_WRITE )

__IO_REG8(      FCN0M041DAT1B,                   0xFF481A44,  __READ_WRITE )

__IO_REG8(      FCN0M041DAT2B,                   0xFF481A48,  __READ_WRITE )

__IO_REG8(      FCN0M041DAT3B,                   0xFF481A4C,  __READ_WRITE )

__IO_REG8(      FCN0M041DAT4B,                   0xFF481A50,  __READ_WRITE )

__IO_REG8(      FCN0M041DAT5B,                   0xFF481A54,  __READ_WRITE )

__IO_REG8(      FCN0M041DAT6B,                   0xFF481A58,  __READ_WRITE )

__IO_REG8(      FCN0M041DAT7B,                   0xFF481A5C,  __READ_WRITE )

__IO_REG8(      FCN0M041DTLGB,                   0xFF481A60,  __READ_WRITE )

__IO_REG8(      FCN0M041STRB,                    0xFF481A64,  __READ_WRITE )

__IO_REG8(      FCN0M042DAT0B,                   0xFF481A80,  __READ_WRITE )

__IO_REG8(      FCN0M042DAT1B,                   0xFF481A84,  __READ_WRITE )

__IO_REG8(      FCN0M042DAT2B,                   0xFF481A88,  __READ_WRITE )

__IO_REG8(      FCN0M042DAT3B,                   0xFF481A8C,  __READ_WRITE )

__IO_REG8(      FCN0M042DAT4B,                   0xFF481A90,  __READ_WRITE )

__IO_REG8(      FCN0M042DAT5B,                   0xFF481A94,  __READ_WRITE )

__IO_REG8(      FCN0M042DAT6B,                   0xFF481A98,  __READ_WRITE )

__IO_REG8(      FCN0M042DAT7B,                   0xFF481A9C,  __READ_WRITE )

__IO_REG8(      FCN0M042DTLGB,                   0xFF481AA0,  __READ_WRITE )

__IO_REG8(      FCN0M042STRB,                    0xFF481AA4,  __READ_WRITE )

__IO_REG8(      FCN0M043DAT0B,                   0xFF481AC0,  __READ_WRITE )

__IO_REG8(      FCN0M043DAT1B,                   0xFF481AC4,  __READ_WRITE )

__IO_REG8(      FCN0M043DAT2B,                   0xFF481AC8,  __READ_WRITE )

__IO_REG8(      FCN0M043DAT3B,                   0xFF481ACC,  __READ_WRITE )

__IO_REG8(      FCN0M043DAT4B,                   0xFF481AD0,  __READ_WRITE )

__IO_REG8(      FCN0M043DAT5B,                   0xFF481AD4,  __READ_WRITE )

__IO_REG8(      FCN0M043DAT6B,                   0xFF481AD8,  __READ_WRITE )

__IO_REG8(      FCN0M043DAT7B,                   0xFF481ADC,  __READ_WRITE )

__IO_REG8(      FCN0M043DTLGB,                   0xFF481AE0,  __READ_WRITE )

__IO_REG8(      FCN0M043STRB,                    0xFF481AE4,  __READ_WRITE )

__IO_REG8(      FCN0M044DAT0B,                   0xFF481B00,  __READ_WRITE )

__IO_REG8(      FCN0M044DAT1B,                   0xFF481B04,  __READ_WRITE )

__IO_REG8(      FCN0M044DAT2B,                   0xFF481B08,  __READ_WRITE )

__IO_REG8(      FCN0M044DAT3B,                   0xFF481B0C,  __READ_WRITE )

__IO_REG8(      FCN0M044DAT4B,                   0xFF481B10,  __READ_WRITE )

__IO_REG8(      FCN0M044DAT5B,                   0xFF481B14,  __READ_WRITE )

__IO_REG8(      FCN0M044DAT6B,                   0xFF481B18,  __READ_WRITE )

__IO_REG8(      FCN0M044DAT7B,                   0xFF481B1C,  __READ_WRITE )

__IO_REG8(      FCN0M044DTLGB,                   0xFF481B20,  __READ_WRITE )

__IO_REG8(      FCN0M044STRB,                    0xFF481B24,  __READ_WRITE )

__IO_REG8(      FCN0M045DAT0B,                   0xFF481B40,  __READ_WRITE )

__IO_REG8(      FCN0M045DAT1B,                   0xFF481B44,  __READ_WRITE )

__IO_REG8(      FCN0M045DAT2B,                   0xFF481B48,  __READ_WRITE )

__IO_REG8(      FCN0M045DAT3B,                   0xFF481B4C,  __READ_WRITE )

__IO_REG8(      FCN0M045DAT4B,                   0xFF481B50,  __READ_WRITE )

__IO_REG8(      FCN0M045DAT5B,                   0xFF481B54,  __READ_WRITE )

__IO_REG8(      FCN0M045DAT6B,                   0xFF481B58,  __READ_WRITE )

__IO_REG8(      FCN0M045DAT7B,                   0xFF481B5C,  __READ_WRITE )

__IO_REG8(      FCN0M045DTLGB,                   0xFF481B60,  __READ_WRITE )

__IO_REG8(      FCN0M045STRB,                    0xFF481B64,  __READ_WRITE )

__IO_REG8(      FCN0M046DAT0B,                   0xFF481B80,  __READ_WRITE )

__IO_REG8(      FCN0M046DAT1B,                   0xFF481B84,  __READ_WRITE )

__IO_REG8(      FCN0M046DAT2B,                   0xFF481B88,  __READ_WRITE )

__IO_REG8(      FCN0M046DAT3B,                   0xFF481B8C,  __READ_WRITE )

__IO_REG8(      FCN0M046DAT4B,                   0xFF481B90,  __READ_WRITE )

__IO_REG8(      FCN0M046DAT5B,                   0xFF481B94,  __READ_WRITE )

__IO_REG8(      FCN0M046DAT6B,                   0xFF481B98,  __READ_WRITE )

__IO_REG8(      FCN0M046DAT7B,                   0xFF481B9C,  __READ_WRITE )

__IO_REG8(      FCN0M046DTLGB,                   0xFF481BA0,  __READ_WRITE )

__IO_REG8(      FCN0M046STRB,                    0xFF481BA4,  __READ_WRITE )

__IO_REG8(      FCN0M047DAT0B,                   0xFF481BC0,  __READ_WRITE )

__IO_REG8(      FCN0M047DAT1B,                   0xFF481BC4,  __READ_WRITE )

__IO_REG8(      FCN0M047DAT2B,                   0xFF481BC8,  __READ_WRITE )

__IO_REG8(      FCN0M047DAT3B,                   0xFF481BCC,  __READ_WRITE )

__IO_REG8(      FCN0M047DAT4B,                   0xFF481BD0,  __READ_WRITE )

__IO_REG8(      FCN0M047DAT5B,                   0xFF481BD4,  __READ_WRITE )

__IO_REG8(      FCN0M047DAT6B,                   0xFF481BD8,  __READ_WRITE )

__IO_REG8(      FCN0M047DAT7B,                   0xFF481BDC,  __READ_WRITE )

__IO_REG8(      FCN0M047DTLGB,                   0xFF481BE0,  __READ_WRITE )

__IO_REG8(      FCN0M047STRB,                    0xFF481BE4,  __READ_WRITE )

__IO_REG8(      FCN0M048DAT0B,                   0xFF481C00,  __READ_WRITE )

__IO_REG8(      FCN0M048DAT1B,                   0xFF481C04,  __READ_WRITE )

__IO_REG8(      FCN0M048DAT2B,                   0xFF481C08,  __READ_WRITE )

__IO_REG8(      FCN0M048DAT3B,                   0xFF481C0C,  __READ_WRITE )

__IO_REG8(      FCN0M048DAT4B,                   0xFF481C10,  __READ_WRITE )

__IO_REG8(      FCN0M048DAT5B,                   0xFF481C14,  __READ_WRITE )

__IO_REG8(      FCN0M048DAT6B,                   0xFF481C18,  __READ_WRITE )

__IO_REG8(      FCN0M048DAT7B,                   0xFF481C1C,  __READ_WRITE )

__IO_REG8(      FCN0M048DTLGB,                   0xFF481C20,  __READ_WRITE )

__IO_REG8(      FCN0M048STRB,                    0xFF481C24,  __READ_WRITE )

__IO_REG8(      FCN0M049DAT0B,                   0xFF481C40,  __READ_WRITE )

__IO_REG8(      FCN0M049DAT1B,                   0xFF481C44,  __READ_WRITE )

__IO_REG8(      FCN0M049DAT2B,                   0xFF481C48,  __READ_WRITE )

__IO_REG8(      FCN0M049DAT3B,                   0xFF481C4C,  __READ_WRITE )

__IO_REG8(      FCN0M049DAT4B,                   0xFF481C50,  __READ_WRITE )

__IO_REG8(      FCN0M049DAT5B,                   0xFF481C54,  __READ_WRITE )

__IO_REG8(      FCN0M049DAT6B,                   0xFF481C58,  __READ_WRITE )

__IO_REG8(      FCN0M049DAT7B,                   0xFF481C5C,  __READ_WRITE )

__IO_REG8(      FCN0M049DTLGB,                   0xFF481C60,  __READ_WRITE )

__IO_REG8(      FCN0M049STRB,                    0xFF481C64,  __READ_WRITE )

__IO_REG8(      FCN0M050DAT0B,                   0xFF481C80,  __READ_WRITE )

__IO_REG8(      FCN0M050DAT1B,                   0xFF481C84,  __READ_WRITE )

__IO_REG8(      FCN0M050DAT2B,                   0xFF481C88,  __READ_WRITE )

__IO_REG8(      FCN0M050DAT3B,                   0xFF481C8C,  __READ_WRITE )

__IO_REG8(      FCN0M050DAT4B,                   0xFF481C90,  __READ_WRITE )

__IO_REG8(      FCN0M050DAT5B,                   0xFF481C94,  __READ_WRITE )

__IO_REG8(      FCN0M050DAT6B,                   0xFF481C98,  __READ_WRITE )

__IO_REG8(      FCN0M050DAT7B,                   0xFF481C9C,  __READ_WRITE )

__IO_REG8(      FCN0M050DTLGB,                   0xFF481CA0,  __READ_WRITE )

__IO_REG8(      FCN0M050STRB,                    0xFF481CA4,  __READ_WRITE )

__IO_REG8(      FCN0M051DAT0B,                   0xFF481CC0,  __READ_WRITE )

__IO_REG8(      FCN0M051DAT1B,                   0xFF481CC4,  __READ_WRITE )

__IO_REG8(      FCN0M051DAT2B,                   0xFF481CC8,  __READ_WRITE )

__IO_REG8(      FCN0M051DAT3B,                   0xFF481CCC,  __READ_WRITE )

__IO_REG8(      FCN0M051DAT4B,                   0xFF481CD0,  __READ_WRITE )

__IO_REG8(      FCN0M051DAT5B,                   0xFF481CD4,  __READ_WRITE )

__IO_REG8(      FCN0M051DAT6B,                   0xFF481CD8,  __READ_WRITE )

__IO_REG8(      FCN0M051DAT7B,                   0xFF481CDC,  __READ_WRITE )

__IO_REG8(      FCN0M051DTLGB,                   0xFF481CE0,  __READ_WRITE )

__IO_REG8(      FCN0M051STRB,                    0xFF481CE4,  __READ_WRITE )

__IO_REG8(      FCN0M052DAT0B,                   0xFF481D00,  __READ_WRITE )

__IO_REG8(      FCN0M052DAT1B,                   0xFF481D04,  __READ_WRITE )

__IO_REG8(      FCN0M052DAT2B,                   0xFF481D08,  __READ_WRITE )

__IO_REG8(      FCN0M052DAT3B,                   0xFF481D0C,  __READ_WRITE )

__IO_REG8(      FCN0M052DAT4B,                   0xFF481D10,  __READ_WRITE )

__IO_REG8(      FCN0M052DAT5B,                   0xFF481D14,  __READ_WRITE )

__IO_REG8(      FCN0M052DAT6B,                   0xFF481D18,  __READ_WRITE )

__IO_REG8(      FCN0M052DAT7B,                   0xFF481D1C,  __READ_WRITE )

__IO_REG8(      FCN0M052DTLGB,                   0xFF481D20,  __READ_WRITE )

__IO_REG8(      FCN0M052STRB,                    0xFF481D24,  __READ_WRITE )

__IO_REG8(      FCN0M053DAT0B,                   0xFF481D40,  __READ_WRITE )

__IO_REG8(      FCN0M053DAT1B,                   0xFF481D44,  __READ_WRITE )

__IO_REG8(      FCN0M053DAT2B,                   0xFF481D48,  __READ_WRITE )

__IO_REG8(      FCN0M053DAT3B,                   0xFF481D4C,  __READ_WRITE )

__IO_REG8(      FCN0M053DAT4B,                   0xFF481D50,  __READ_WRITE )

__IO_REG8(      FCN0M053DAT5B,                   0xFF481D54,  __READ_WRITE )

__IO_REG8(      FCN0M053DAT6B,                   0xFF481D58,  __READ_WRITE )

__IO_REG8(      FCN0M053DAT7B,                   0xFF481D5C,  __READ_WRITE )

__IO_REG8(      FCN0M053DTLGB,                   0xFF481D60,  __READ_WRITE )

__IO_REG8(      FCN0M053STRB,                    0xFF481D64,  __READ_WRITE )

__IO_REG8(      FCN0M054DAT0B,                   0xFF481D80,  __READ_WRITE )

__IO_REG8(      FCN0M054DAT1B,                   0xFF481D84,  __READ_WRITE )

__IO_REG8(      FCN0M054DAT2B,                   0xFF481D88,  __READ_WRITE )

__IO_REG8(      FCN0M054DAT3B,                   0xFF481D8C,  __READ_WRITE )

__IO_REG8(      FCN0M054DAT4B,                   0xFF481D90,  __READ_WRITE )

__IO_REG8(      FCN0M054DAT5B,                   0xFF481D94,  __READ_WRITE )

__IO_REG8(      FCN0M054DAT6B,                   0xFF481D98,  __READ_WRITE )

__IO_REG8(      FCN0M054DAT7B,                   0xFF481D9C,  __READ_WRITE )

__IO_REG8(      FCN0M054DTLGB,                   0xFF481DA0,  __READ_WRITE )

__IO_REG8(      FCN0M054STRB,                    0xFF481DA4,  __READ_WRITE )

__IO_REG8(      FCN0M055DAT0B,                   0xFF481DC0,  __READ_WRITE )

__IO_REG8(      FCN0M055DAT1B,                   0xFF481DC4,  __READ_WRITE )

__IO_REG8(      FCN0M055DAT2B,                   0xFF481DC8,  __READ_WRITE )

__IO_REG8(      FCN0M055DAT3B,                   0xFF481DCC,  __READ_WRITE )

__IO_REG8(      FCN0M055DAT4B,                   0xFF481DD0,  __READ_WRITE )

__IO_REG8(      FCN0M055DAT5B,                   0xFF481DD4,  __READ_WRITE )

__IO_REG8(      FCN0M055DAT6B,                   0xFF481DD8,  __READ_WRITE )

__IO_REG8(      FCN0M055DAT7B,                   0xFF481DDC,  __READ_WRITE )

__IO_REG8(      FCN0M055DTLGB,                   0xFF481DE0,  __READ_WRITE )

__IO_REG8(      FCN0M055STRB,                    0xFF481DE4,  __READ_WRITE )

__IO_REG8(      FCN0M056DAT0B,                   0xFF481E00,  __READ_WRITE )

__IO_REG8(      FCN0M056DAT1B,                   0xFF481E04,  __READ_WRITE )

__IO_REG8(      FCN0M056DAT2B,                   0xFF481E08,  __READ_WRITE )

__IO_REG8(      FCN0M056DAT3B,                   0xFF481E0C,  __READ_WRITE )

__IO_REG8(      FCN0M056DAT4B,                   0xFF481E10,  __READ_WRITE )

__IO_REG8(      FCN0M056DAT5B,                   0xFF481E14,  __READ_WRITE )

__IO_REG8(      FCN0M056DAT6B,                   0xFF481E18,  __READ_WRITE )

__IO_REG8(      FCN0M056DAT7B,                   0xFF481E1C,  __READ_WRITE )

__IO_REG8(      FCN0M056DTLGB,                   0xFF481E20,  __READ_WRITE )

__IO_REG8(      FCN0M056STRB,                    0xFF481E24,  __READ_WRITE )

__IO_REG8(      FCN0M057DAT0B,                   0xFF481E40,  __READ_WRITE )

__IO_REG8(      FCN0M057DAT1B,                   0xFF481E44,  __READ_WRITE )

__IO_REG8(      FCN0M057DAT2B,                   0xFF481E48,  __READ_WRITE )

__IO_REG8(      FCN0M057DAT3B,                   0xFF481E4C,  __READ_WRITE )

__IO_REG8(      FCN0M057DAT4B,                   0xFF481E50,  __READ_WRITE )

__IO_REG8(      FCN0M057DAT5B,                   0xFF481E54,  __READ_WRITE )

__IO_REG8(      FCN0M057DAT6B,                   0xFF481E58,  __READ_WRITE )

__IO_REG8(      FCN0M057DAT7B,                   0xFF481E5C,  __READ_WRITE )

__IO_REG8(      FCN0M057DTLGB,                   0xFF481E60,  __READ_WRITE )

__IO_REG8(      FCN0M057STRB,                    0xFF481E64,  __READ_WRITE )

__IO_REG8(      FCN0M058DAT0B,                   0xFF481E80,  __READ_WRITE )

__IO_REG8(      FCN0M058DAT1B,                   0xFF481E84,  __READ_WRITE )

__IO_REG8(      FCN0M058DAT2B,                   0xFF481E88,  __READ_WRITE )

__IO_REG8(      FCN0M058DAT3B,                   0xFF481E8C,  __READ_WRITE )

__IO_REG8(      FCN0M058DAT4B,                   0xFF481E90,  __READ_WRITE )

__IO_REG8(      FCN0M058DAT5B,                   0xFF481E94,  __READ_WRITE )

__IO_REG8(      FCN0M058DAT6B,                   0xFF481E98,  __READ_WRITE )

__IO_REG8(      FCN0M058DAT7B,                   0xFF481E9C,  __READ_WRITE )

__IO_REG8(      FCN0M058DTLGB,                   0xFF481EA0,  __READ_WRITE )

__IO_REG8(      FCN0M058STRB,                    0xFF481EA4,  __READ_WRITE )

__IO_REG8(      FCN0M059DAT0B,                   0xFF481EC0,  __READ_WRITE )

__IO_REG8(      FCN0M059DAT1B,                   0xFF481EC4,  __READ_WRITE )

__IO_REG8(      FCN0M059DAT2B,                   0xFF481EC8,  __READ_WRITE )

__IO_REG8(      FCN0M059DAT3B,                   0xFF481ECC,  __READ_WRITE )

__IO_REG8(      FCN0M059DAT4B,                   0xFF481ED0,  __READ_WRITE )

__IO_REG8(      FCN0M059DAT5B,                   0xFF481ED4,  __READ_WRITE )

__IO_REG8(      FCN0M059DAT6B,                   0xFF481ED8,  __READ_WRITE )

__IO_REG8(      FCN0M059DAT7B,                   0xFF481EDC,  __READ_WRITE )

__IO_REG8(      FCN0M059DTLGB,                   0xFF481EE0,  __READ_WRITE )

__IO_REG8(      FCN0M059STRB,                    0xFF481EE4,  __READ_WRITE )

__IO_REG8(      FCN0M060DAT0B,                   0xFF481F00,  __READ_WRITE )

__IO_REG8(      FCN0M060DAT1B,                   0xFF481F04,  __READ_WRITE )

__IO_REG8(      FCN0M060DAT2B,                   0xFF481F08,  __READ_WRITE )

__IO_REG8(      FCN0M060DAT3B,                   0xFF481F0C,  __READ_WRITE )

__IO_REG8(      FCN0M060DAT4B,                   0xFF481F10,  __READ_WRITE )

__IO_REG8(      FCN0M060DAT5B,                   0xFF481F14,  __READ_WRITE )

__IO_REG8(      FCN0M060DAT6B,                   0xFF481F18,  __READ_WRITE )

__IO_REG8(      FCN0M060DAT7B,                   0xFF481F1C,  __READ_WRITE )

__IO_REG8(      FCN0M060DTLGB,                   0xFF481F20,  __READ_WRITE )

__IO_REG8(      FCN0M060STRB,                    0xFF481F24,  __READ_WRITE )

__IO_REG8(      FCN0M061DAT0B,                   0xFF481F40,  __READ_WRITE )

__IO_REG8(      FCN0M061DAT1B,                   0xFF481F44,  __READ_WRITE )

__IO_REG8(      FCN0M061DAT2B,                   0xFF481F48,  __READ_WRITE )

__IO_REG8(      FCN0M061DAT3B,                   0xFF481F4C,  __READ_WRITE )

__IO_REG8(      FCN0M061DAT4B,                   0xFF481F50,  __READ_WRITE )

__IO_REG8(      FCN0M061DAT5B,                   0xFF481F54,  __READ_WRITE )

__IO_REG8(      FCN0M061DAT6B,                   0xFF481F58,  __READ_WRITE )

__IO_REG8(      FCN0M061DAT7B,                   0xFF481F5C,  __READ_WRITE )

__IO_REG8(      FCN0M061DTLGB,                   0xFF481F60,  __READ_WRITE )

__IO_REG8(      FCN0M061STRB,                    0xFF481F64,  __READ_WRITE )

__IO_REG8(      FCN0M062DAT0B,                   0xFF481F80,  __READ_WRITE )

__IO_REG8(      FCN0M062DAT1B,                   0xFF481F84,  __READ_WRITE )

__IO_REG8(      FCN0M062DAT2B,                   0xFF481F88,  __READ_WRITE )

__IO_REG8(      FCN0M062DAT3B,                   0xFF481F8C,  __READ_WRITE )

__IO_REG8(      FCN0M062DAT4B,                   0xFF481F90,  __READ_WRITE )

__IO_REG8(      FCN0M062DAT5B,                   0xFF481F94,  __READ_WRITE )

__IO_REG8(      FCN0M062DAT6B,                   0xFF481F98,  __READ_WRITE )

__IO_REG8(      FCN0M062DAT7B,                   0xFF481F9C,  __READ_WRITE )

__IO_REG8(      FCN0M062DTLGB,                   0xFF481FA0,  __READ_WRITE )

__IO_REG8(      FCN0M062STRB,                    0xFF481FA4,  __READ_WRITE )

__IO_REG8(      FCN0M063DAT0B,                   0xFF481FC0,  __READ_WRITE )

__IO_REG8(      FCN0M063DAT1B,                   0xFF481FC4,  __READ_WRITE )

__IO_REG8(      FCN0M063DAT2B,                   0xFF481FC8,  __READ_WRITE )

__IO_REG8(      FCN0M063DAT3B,                   0xFF481FCC,  __READ_WRITE )

__IO_REG8(      FCN0M063DAT4B,                   0xFF481FD0,  __READ_WRITE )

__IO_REG8(      FCN0M063DAT5B,                   0xFF481FD4,  __READ_WRITE )

__IO_REG8(      FCN0M063DAT6B,                   0xFF481FD8,  __READ_WRITE )

__IO_REG8(      FCN0M063DAT7B,                   0xFF481FDC,  __READ_WRITE )

__IO_REG8(      FCN0M063DTLGB,                   0xFF481FE0,  __READ_WRITE )

__IO_REG8(      FCN0M063STRB,                    0xFF481FE4,  __READ_WRITE )

__IO_REG16(     FCN0GMCLCTL,                     0xFF488000,  __READ_WRITE )

__IO_REG16(     FCN0GMABCTL,                     0xFF488018,  __READ_WRITE )

__IO_REG16(     FCN0CMCLCTL,                     0xFF488240,  __READ_WRITE )

__IO_REG16(     FCN0CMERCNT,                     0xFF488250,  __READ       )

__IO_REG16(     FCN0CMIECTL,                     0xFF488258,  __READ_WRITE )

__IO_REG16(     FCN0CMISCTL,                     0xFF488260,  __READ_WRITE )

__IO_REG16(     FCN0CMBTCTL,                     0xFF488270,  __READ_WRITE )

__IO_REG16(     FCN0CMRGRX,                      0xFF488280,  __READ_WRITE )

__IO_REG16(     FCN0CMTGTX,                      0xFF488290,  __READ_WRITE )

__IO_REG16(     FCN0CMTSCTL,                     0xFF488298,  __READ_WRITE )

__IO_REG16(     FCN0CMMKCTL01H,                  0xFF488300,  __READ_WRITE )

__IO_REG16(     FCN0CMMKCTL02H,                  0xFF488308,  __READ_WRITE )

__IO_REG16(     FCN0CMMKCTL03H,                  0xFF488310,  __READ_WRITE )

__IO_REG16(     FCN0CMMKCTL04H,                  0xFF488318,  __READ_WRITE )

__IO_REG16(     FCN0CMMKCTL05H,                  0xFF488320,  __READ_WRITE )

__IO_REG16(     FCN0CMMKCTL06H,                  0xFF488328,  __READ_WRITE )

__IO_REG16(     FCN0CMMKCTL07H,                  0xFF488330,  __READ_WRITE )

__IO_REG16(     FCN0CMMKCTL08H,                  0xFF488338,  __READ_WRITE )

__IO_REG16(     FCN0CMMKCTL09H,                  0xFF488340,  __READ_WRITE )

__IO_REG16(     FCN0CMMKCTL10H,                  0xFF488348,  __READ_WRITE )

__IO_REG16(     FCN0CMMKCTL11H,                  0xFF488350,  __READ_WRITE )

__IO_REG16(     FCN0CMMKCTL12H,                  0xFF488358,  __READ_WRITE )

__IO_REG16(     FCN0CMMKCTL13H,                  0xFF488360,  __READ_WRITE )

__IO_REG16(     FCN0CMMKCTL14H,                  0xFF488368,  __READ_WRITE )

__IO_REG16(     FCN0CMMKCTL15H,                  0xFF488370,  __READ_WRITE )

__IO_REG16(     FCN0CMMKCTL16H,                  0xFF488378,  __READ_WRITE )

__IO_REG16(     FCN0M000DAT0H,                   0xFF489000,  __READ_WRITE )

__IO_REG16(     FCN0M000DAT2H,                   0xFF489008,  __READ_WRITE )

__IO_REG16(     FCN0M000DAT4H,                   0xFF489010,  __READ_WRITE )

__IO_REG16(     FCN0M000DAT6H,                   0xFF489018,  __READ_WRITE )

__IO_REG16(     FCN0M000MID0H,                   0xFF489028,  __READ_WRITE )

__IO_REG16(     FCN0M000MID1H,                   0xFF489030,  __READ_WRITE )

__IO_REG16(     FCN0M000CTL,                     0xFF489038,  __READ_WRITE )

__IO_REG16(     FCN0M001DAT0H,                   0xFF489040,  __READ_WRITE )

__IO_REG16(     FCN0M001DAT2H,                   0xFF489048,  __READ_WRITE )

__IO_REG16(     FCN0M001DAT4H,                   0xFF489050,  __READ_WRITE )

__IO_REG16(     FCN0M001DAT6H,                   0xFF489058,  __READ_WRITE )

__IO_REG16(     FCN0M001MID0H,                   0xFF489068,  __READ_WRITE )

__IO_REG16(     FCN0M001MID1H,                   0xFF489070,  __READ_WRITE )

__IO_REG16(     FCN0M001CTL,                     0xFF489078,  __READ_WRITE )

__IO_REG16(     FCN0M002DAT0H,                   0xFF489080,  __READ_WRITE )

__IO_REG16(     FCN0M002DAT2H,                   0xFF489088,  __READ_WRITE )

__IO_REG16(     FCN0M002DAT4H,                   0xFF489090,  __READ_WRITE )

__IO_REG16(     FCN0M002DAT6H,                   0xFF489098,  __READ_WRITE )

__IO_REG16(     FCN0M002MID0H,                   0xFF4890A8,  __READ_WRITE )

__IO_REG16(     FCN0M002MID1H,                   0xFF4890B0,  __READ_WRITE )

__IO_REG16(     FCN0M002CTL,                     0xFF4890B8,  __READ_WRITE )

__IO_REG16(     FCN0M003DAT0H,                   0xFF4890C0,  __READ_WRITE )

__IO_REG16(     FCN0M003DAT2H,                   0xFF4890C8,  __READ_WRITE )

__IO_REG16(     FCN0M003DAT4H,                   0xFF4890D0,  __READ_WRITE )

__IO_REG16(     FCN0M003DAT6H,                   0xFF4890D8,  __READ_WRITE )

__IO_REG16(     FCN0M003MID0H,                   0xFF4890E8,  __READ_WRITE )

__IO_REG16(     FCN0M003MID1H,                   0xFF4890F0,  __READ_WRITE )

__IO_REG16(     FCN0M003CTL,                     0xFF4890F8,  __READ_WRITE )

__IO_REG16(     FCN0M004DAT0H,                   0xFF489100,  __READ_WRITE )

__IO_REG16(     FCN0M004DAT2H,                   0xFF489108,  __READ_WRITE )

__IO_REG16(     FCN0M004DAT4H,                   0xFF489110,  __READ_WRITE )

__IO_REG16(     FCN0M004DAT6H,                   0xFF489118,  __READ_WRITE )

__IO_REG16(     FCN0M004MID0H,                   0xFF489128,  __READ_WRITE )

__IO_REG16(     FCN0M004MID1H,                   0xFF489130,  __READ_WRITE )

__IO_REG16(     FCN0M004CTL,                     0xFF489138,  __READ_WRITE )

__IO_REG16(     FCN0M005DAT0H,                   0xFF489140,  __READ_WRITE )

__IO_REG16(     FCN0M005DAT2H,                   0xFF489148,  __READ_WRITE )

__IO_REG16(     FCN0M005DAT4H,                   0xFF489150,  __READ_WRITE )

__IO_REG16(     FCN0M005DAT6H,                   0xFF489158,  __READ_WRITE )

__IO_REG16(     FCN0M005MID0H,                   0xFF489168,  __READ_WRITE )

__IO_REG16(     FCN0M005MID1H,                   0xFF489170,  __READ_WRITE )

__IO_REG16(     FCN0M005CTL,                     0xFF489178,  __READ_WRITE )

__IO_REG16(     FCN0M006DAT0H,                   0xFF489180,  __READ_WRITE )

__IO_REG16(     FCN0M006DAT2H,                   0xFF489188,  __READ_WRITE )

__IO_REG16(     FCN0M006DAT4H,                   0xFF489190,  __READ_WRITE )

__IO_REG16(     FCN0M006DAT6H,                   0xFF489198,  __READ_WRITE )

__IO_REG16(     FCN0M006MID0H,                   0xFF4891A8,  __READ_WRITE )

__IO_REG16(     FCN0M006MID1H,                   0xFF4891B0,  __READ_WRITE )

__IO_REG16(     FCN0M006CTL,                     0xFF4891B8,  __READ_WRITE )

__IO_REG16(     FCN0M007DAT0H,                   0xFF4891C0,  __READ_WRITE )

__IO_REG16(     FCN0M007DAT2H,                   0xFF4891C8,  __READ_WRITE )

__IO_REG16(     FCN0M007DAT4H,                   0xFF4891D0,  __READ_WRITE )

__IO_REG16(     FCN0M007DAT6H,                   0xFF4891D8,  __READ_WRITE )

__IO_REG16(     FCN0M007MID0H,                   0xFF4891E8,  __READ_WRITE )

__IO_REG16(     FCN0M007MID1H,                   0xFF4891F0,  __READ_WRITE )

__IO_REG16(     FCN0M007CTL,                     0xFF4891F8,  __READ_WRITE )

__IO_REG16(     FCN0M008DAT0H,                   0xFF489200,  __READ_WRITE )

__IO_REG16(     FCN0M008DAT2H,                   0xFF489208,  __READ_WRITE )

__IO_REG16(     FCN0M008DAT4H,                   0xFF489210,  __READ_WRITE )

__IO_REG16(     FCN0M008DAT6H,                   0xFF489218,  __READ_WRITE )

__IO_REG16(     FCN0M008MID0H,                   0xFF489228,  __READ_WRITE )

__IO_REG16(     FCN0M008MID1H,                   0xFF489230,  __READ_WRITE )

__IO_REG16(     FCN0M008CTL,                     0xFF489238,  __READ_WRITE )

__IO_REG16(     FCN0M009DAT0H,                   0xFF489240,  __READ_WRITE )

__IO_REG16(     FCN0M009DAT2H,                   0xFF489248,  __READ_WRITE )

__IO_REG16(     FCN0M009DAT4H,                   0xFF489250,  __READ_WRITE )

__IO_REG16(     FCN0M009DAT6H,                   0xFF489258,  __READ_WRITE )

__IO_REG16(     FCN0M009MID0H,                   0xFF489268,  __READ_WRITE )

__IO_REG16(     FCN0M009MID1H,                   0xFF489270,  __READ_WRITE )

__IO_REG16(     FCN0M009CTL,                     0xFF489278,  __READ_WRITE )

__IO_REG16(     FCN0M010DAT0H,                   0xFF489280,  __READ_WRITE )

__IO_REG16(     FCN0M010DAT2H,                   0xFF489288,  __READ_WRITE )

__IO_REG16(     FCN0M010DAT4H,                   0xFF489290,  __READ_WRITE )

__IO_REG16(     FCN0M010DAT6H,                   0xFF489298,  __READ_WRITE )

__IO_REG16(     FCN0M010MID0H,                   0xFF4892A8,  __READ_WRITE )

__IO_REG16(     FCN0M010MID1H,                   0xFF4892B0,  __READ_WRITE )

__IO_REG16(     FCN0M010CTL,                     0xFF4892B8,  __READ_WRITE )

__IO_REG16(     FCN0M011DAT0H,                   0xFF4892C0,  __READ_WRITE )

__IO_REG16(     FCN0M011DAT2H,                   0xFF4892C8,  __READ_WRITE )

__IO_REG16(     FCN0M011DAT4H,                   0xFF4892D0,  __READ_WRITE )

__IO_REG16(     FCN0M011DAT6H,                   0xFF4892D8,  __READ_WRITE )

__IO_REG16(     FCN0M011MID0H,                   0xFF4892E8,  __READ_WRITE )

__IO_REG16(     FCN0M011MID1H,                   0xFF4892F0,  __READ_WRITE )

__IO_REG16(     FCN0M011CTL,                     0xFF4892F8,  __READ_WRITE )

__IO_REG16(     FCN0M012DAT0H,                   0xFF489300,  __READ_WRITE )

__IO_REG16(     FCN0M012DAT2H,                   0xFF489308,  __READ_WRITE )

__IO_REG16(     FCN0M012DAT4H,                   0xFF489310,  __READ_WRITE )

__IO_REG16(     FCN0M012DAT6H,                   0xFF489318,  __READ_WRITE )

__IO_REG16(     FCN0M012MID0H,                   0xFF489328,  __READ_WRITE )

__IO_REG16(     FCN0M012MID1H,                   0xFF489330,  __READ_WRITE )

__IO_REG16(     FCN0M012CTL,                     0xFF489338,  __READ_WRITE )

__IO_REG16(     FCN0M013DAT0H,                   0xFF489340,  __READ_WRITE )

__IO_REG16(     FCN0M013DAT2H,                   0xFF489348,  __READ_WRITE )

__IO_REG16(     FCN0M013DAT4H,                   0xFF489350,  __READ_WRITE )

__IO_REG16(     FCN0M013DAT6H,                   0xFF489358,  __READ_WRITE )

__IO_REG16(     FCN0M013MID0H,                   0xFF489368,  __READ_WRITE )

__IO_REG16(     FCN0M013MID1H,                   0xFF489370,  __READ_WRITE )

__IO_REG16(     FCN0M013CTL,                     0xFF489378,  __READ_WRITE )

__IO_REG16(     FCN0M014DAT0H,                   0xFF489380,  __READ_WRITE )

__IO_REG16(     FCN0M014DAT2H,                   0xFF489388,  __READ_WRITE )

__IO_REG16(     FCN0M014DAT4H,                   0xFF489390,  __READ_WRITE )

__IO_REG16(     FCN0M014DAT6H,                   0xFF489398,  __READ_WRITE )

__IO_REG16(     FCN0M014MID0H,                   0xFF4893A8,  __READ_WRITE )

__IO_REG16(     FCN0M014MID1H,                   0xFF4893B0,  __READ_WRITE )

__IO_REG16(     FCN0M014CTL,                     0xFF4893B8,  __READ_WRITE )

__IO_REG16(     FCN0M015DAT0H,                   0xFF4893C0,  __READ_WRITE )

__IO_REG16(     FCN0M015DAT2H,                   0xFF4893C8,  __READ_WRITE )

__IO_REG16(     FCN0M015DAT4H,                   0xFF4893D0,  __READ_WRITE )

__IO_REG16(     FCN0M015DAT6H,                   0xFF4893D8,  __READ_WRITE )

__IO_REG16(     FCN0M015MID0H,                   0xFF4893E8,  __READ_WRITE )

__IO_REG16(     FCN0M015MID1H,                   0xFF4893F0,  __READ_WRITE )

__IO_REG16(     FCN0M015CTL,                     0xFF4893F8,  __READ_WRITE )

__IO_REG16(     FCN0M016DAT0H,                   0xFF489400,  __READ_WRITE )

__IO_REG16(     FCN0M016DAT2H,                   0xFF489408,  __READ_WRITE )

__IO_REG16(     FCN0M016DAT4H,                   0xFF489410,  __READ_WRITE )

__IO_REG16(     FCN0M016DAT6H,                   0xFF489418,  __READ_WRITE )

__IO_REG16(     FCN0M016MID0H,                   0xFF489428,  __READ_WRITE )

__IO_REG16(     FCN0M016MID1H,                   0xFF489430,  __READ_WRITE )

__IO_REG16(     FCN0M016CTL,                     0xFF489438,  __READ_WRITE )

__IO_REG16(     FCN0M017DAT0H,                   0xFF489440,  __READ_WRITE )

__IO_REG16(     FCN0M017DAT2H,                   0xFF489448,  __READ_WRITE )

__IO_REG16(     FCN0M017DAT4H,                   0xFF489450,  __READ_WRITE )

__IO_REG16(     FCN0M017DAT6H,                   0xFF489458,  __READ_WRITE )

__IO_REG16(     FCN0M017MID0H,                   0xFF489468,  __READ_WRITE )

__IO_REG16(     FCN0M017MID1H,                   0xFF489470,  __READ_WRITE )

__IO_REG16(     FCN0M017CTL,                     0xFF489478,  __READ_WRITE )

__IO_REG16(     FCN0M018DAT0H,                   0xFF489480,  __READ_WRITE )

__IO_REG16(     FCN0M018DAT2H,                   0xFF489488,  __READ_WRITE )

__IO_REG16(     FCN0M018DAT4H,                   0xFF489490,  __READ_WRITE )

__IO_REG16(     FCN0M018DAT6H,                   0xFF489498,  __READ_WRITE )

__IO_REG16(     FCN0M018MID0H,                   0xFF4894A8,  __READ_WRITE )

__IO_REG16(     FCN0M018MID1H,                   0xFF4894B0,  __READ_WRITE )

__IO_REG16(     FCN0M018CTL,                     0xFF4894B8,  __READ_WRITE )

__IO_REG16(     FCN0M019DAT0H,                   0xFF4894C0,  __READ_WRITE )

__IO_REG16(     FCN0M019DAT2H,                   0xFF4894C8,  __READ_WRITE )

__IO_REG16(     FCN0M019DAT4H,                   0xFF4894D0,  __READ_WRITE )

__IO_REG16(     FCN0M019DAT6H,                   0xFF4894D8,  __READ_WRITE )

__IO_REG16(     FCN0M019MID0H,                   0xFF4894E8,  __READ_WRITE )

__IO_REG16(     FCN0M019MID1H,                   0xFF4894F0,  __READ_WRITE )

__IO_REG16(     FCN0M019CTL,                     0xFF4894F8,  __READ_WRITE )

__IO_REG16(     FCN0M020DAT0H,                   0xFF489500,  __READ_WRITE )

__IO_REG16(     FCN0M020DAT2H,                   0xFF489508,  __READ_WRITE )

__IO_REG16(     FCN0M020DAT4H,                   0xFF489510,  __READ_WRITE )

__IO_REG16(     FCN0M020DAT6H,                   0xFF489518,  __READ_WRITE )

__IO_REG16(     FCN0M020MID0H,                   0xFF489528,  __READ_WRITE )

__IO_REG16(     FCN0M020MID1H,                   0xFF489530,  __READ_WRITE )

__IO_REG16(     FCN0M020CTL,                     0xFF489538,  __READ_WRITE )

__IO_REG16(     FCN0M021DAT0H,                   0xFF489540,  __READ_WRITE )

__IO_REG16(     FCN0M021DAT2H,                   0xFF489548,  __READ_WRITE )

__IO_REG16(     FCN0M021DAT4H,                   0xFF489550,  __READ_WRITE )

__IO_REG16(     FCN0M021DAT6H,                   0xFF489558,  __READ_WRITE )

__IO_REG16(     FCN0M021MID0H,                   0xFF489568,  __READ_WRITE )

__IO_REG16(     FCN0M021MID1H,                   0xFF489570,  __READ_WRITE )

__IO_REG16(     FCN0M021CTL,                     0xFF489578,  __READ_WRITE )

__IO_REG16(     FCN0M022DAT0H,                   0xFF489580,  __READ_WRITE )

__IO_REG16(     FCN0M022DAT2H,                   0xFF489588,  __READ_WRITE )

__IO_REG16(     FCN0M022DAT4H,                   0xFF489590,  __READ_WRITE )

__IO_REG16(     FCN0M022DAT6H,                   0xFF489598,  __READ_WRITE )

__IO_REG16(     FCN0M022MID0H,                   0xFF4895A8,  __READ_WRITE )

__IO_REG16(     FCN0M022MID1H,                   0xFF4895B0,  __READ_WRITE )

__IO_REG16(     FCN0M022CTL,                     0xFF4895B8,  __READ_WRITE )

__IO_REG16(     FCN0M023DAT0H,                   0xFF4895C0,  __READ_WRITE )

__IO_REG16(     FCN0M023DAT2H,                   0xFF4895C8,  __READ_WRITE )

__IO_REG16(     FCN0M023DAT4H,                   0xFF4895D0,  __READ_WRITE )

__IO_REG16(     FCN0M023DAT6H,                   0xFF4895D8,  __READ_WRITE )

__IO_REG16(     FCN0M023MID0H,                   0xFF4895E8,  __READ_WRITE )

__IO_REG16(     FCN0M023MID1H,                   0xFF4895F0,  __READ_WRITE )

__IO_REG16(     FCN0M023CTL,                     0xFF4895F8,  __READ_WRITE )

__IO_REG16(     FCN0M024DAT0H,                   0xFF489600,  __READ_WRITE )

__IO_REG16(     FCN0M024DAT2H,                   0xFF489608,  __READ_WRITE )

__IO_REG16(     FCN0M024DAT4H,                   0xFF489610,  __READ_WRITE )

__IO_REG16(     FCN0M024DAT6H,                   0xFF489618,  __READ_WRITE )

__IO_REG16(     FCN0M024MID0H,                   0xFF489628,  __READ_WRITE )

__IO_REG16(     FCN0M024MID1H,                   0xFF489630,  __READ_WRITE )

__IO_REG16(     FCN0M024CTL,                     0xFF489638,  __READ_WRITE )

__IO_REG16(     FCN0M025DAT0H,                   0xFF489640,  __READ_WRITE )

__IO_REG16(     FCN0M025DAT2H,                   0xFF489648,  __READ_WRITE )

__IO_REG16(     FCN0M025DAT4H,                   0xFF489650,  __READ_WRITE )

__IO_REG16(     FCN0M025DAT6H,                   0xFF489658,  __READ_WRITE )

__IO_REG16(     FCN0M025MID0H,                   0xFF489668,  __READ_WRITE )

__IO_REG16(     FCN0M025MID1H,                   0xFF489670,  __READ_WRITE )

__IO_REG16(     FCN0M025CTL,                     0xFF489678,  __READ_WRITE )

__IO_REG16(     FCN0M026DAT0H,                   0xFF489680,  __READ_WRITE )

__IO_REG16(     FCN0M026DAT2H,                   0xFF489688,  __READ_WRITE )

__IO_REG16(     FCN0M026DAT4H,                   0xFF489690,  __READ_WRITE )

__IO_REG16(     FCN0M026DAT6H,                   0xFF489698,  __READ_WRITE )

__IO_REG16(     FCN0M026MID0H,                   0xFF4896A8,  __READ_WRITE )

__IO_REG16(     FCN0M026MID1H,                   0xFF4896B0,  __READ_WRITE )

__IO_REG16(     FCN0M026CTL,                     0xFF4896B8,  __READ_WRITE )

__IO_REG16(     FCN0M027DAT0H,                   0xFF4896C0,  __READ_WRITE )

__IO_REG16(     FCN0M027DAT2H,                   0xFF4896C8,  __READ_WRITE )

__IO_REG16(     FCN0M027DAT4H,                   0xFF4896D0,  __READ_WRITE )

__IO_REG16(     FCN0M027DAT6H,                   0xFF4896D8,  __READ_WRITE )

__IO_REG16(     FCN0M027MID0H,                   0xFF4896E8,  __READ_WRITE )

__IO_REG16(     FCN0M027MID1H,                   0xFF4896F0,  __READ_WRITE )

__IO_REG16(     FCN0M027CTL,                     0xFF4896F8,  __READ_WRITE )

__IO_REG16(     FCN0M028DAT0H,                   0xFF489700,  __READ_WRITE )

__IO_REG16(     FCN0M028DAT2H,                   0xFF489708,  __READ_WRITE )

__IO_REG16(     FCN0M028DAT4H,                   0xFF489710,  __READ_WRITE )

__IO_REG16(     FCN0M028DAT6H,                   0xFF489718,  __READ_WRITE )

__IO_REG16(     FCN0M028MID0H,                   0xFF489728,  __READ_WRITE )

__IO_REG16(     FCN0M028MID1H,                   0xFF489730,  __READ_WRITE )

__IO_REG16(     FCN0M028CTL,                     0xFF489738,  __READ_WRITE )

__IO_REG16(     FCN0M029DAT0H,                   0xFF489740,  __READ_WRITE )

__IO_REG16(     FCN0M029DAT2H,                   0xFF489748,  __READ_WRITE )

__IO_REG16(     FCN0M029DAT4H,                   0xFF489750,  __READ_WRITE )

__IO_REG16(     FCN0M029DAT6H,                   0xFF489758,  __READ_WRITE )

__IO_REG16(     FCN0M029MID0H,                   0xFF489768,  __READ_WRITE )

__IO_REG16(     FCN0M029MID1H,                   0xFF489770,  __READ_WRITE )

__IO_REG16(     FCN0M029CTL,                     0xFF489778,  __READ_WRITE )

__IO_REG16(     FCN0M030DAT0H,                   0xFF489780,  __READ_WRITE )

__IO_REG16(     FCN0M030DAT2H,                   0xFF489788,  __READ_WRITE )

__IO_REG16(     FCN0M030DAT4H,                   0xFF489790,  __READ_WRITE )

__IO_REG16(     FCN0M030DAT6H,                   0xFF489798,  __READ_WRITE )

__IO_REG16(     FCN0M030MID0H,                   0xFF4897A8,  __READ_WRITE )

__IO_REG16(     FCN0M030MID1H,                   0xFF4897B0,  __READ_WRITE )

__IO_REG16(     FCN0M030CTL,                     0xFF4897B8,  __READ_WRITE )

__IO_REG16(     FCN0M031DAT0H,                   0xFF4897C0,  __READ_WRITE )

__IO_REG16(     FCN0M031DAT2H,                   0xFF4897C8,  __READ_WRITE )

__IO_REG16(     FCN0M031DAT4H,                   0xFF4897D0,  __READ_WRITE )

__IO_REG16(     FCN0M031DAT6H,                   0xFF4897D8,  __READ_WRITE )

__IO_REG16(     FCN0M031MID0H,                   0xFF4897E8,  __READ_WRITE )

__IO_REG16(     FCN0M031MID1H,                   0xFF4897F0,  __READ_WRITE )

__IO_REG16(     FCN0M031CTL,                     0xFF4897F8,  __READ_WRITE )

__IO_REG16(     FCN0M032DAT0H,                   0xFF489800,  __READ_WRITE )

__IO_REG16(     FCN0M032DAT2H,                   0xFF489808,  __READ_WRITE )

__IO_REG16(     FCN0M032DAT4H,                   0xFF489810,  __READ_WRITE )

__IO_REG16(     FCN0M032DAT6H,                   0xFF489818,  __READ_WRITE )

__IO_REG16(     FCN0M032MID0H,                   0xFF489828,  __READ_WRITE )

__IO_REG16(     FCN0M032MID1H,                   0xFF489830,  __READ_WRITE )

__IO_REG16(     FCN0M032CTL,                     0xFF489838,  __READ_WRITE )

__IO_REG16(     FCN0M033DAT0H,                   0xFF489840,  __READ_WRITE )

__IO_REG16(     FCN0M033DAT2H,                   0xFF489848,  __READ_WRITE )

__IO_REG16(     FCN0M033DAT4H,                   0xFF489850,  __READ_WRITE )

__IO_REG16(     FCN0M033DAT6H,                   0xFF489858,  __READ_WRITE )

__IO_REG16(     FCN0M033MID0H,                   0xFF489868,  __READ_WRITE )

__IO_REG16(     FCN0M033MID1H,                   0xFF489870,  __READ_WRITE )

__IO_REG16(     FCN0M033CTL,                     0xFF489878,  __READ_WRITE )

__IO_REG16(     FCN0M034DAT0H,                   0xFF489880,  __READ_WRITE )

__IO_REG16(     FCN0M034DAT2H,                   0xFF489888,  __READ_WRITE )

__IO_REG16(     FCN0M034DAT4H,                   0xFF489890,  __READ_WRITE )

__IO_REG16(     FCN0M034DAT6H,                   0xFF489898,  __READ_WRITE )

__IO_REG16(     FCN0M034MID0H,                   0xFF4898A8,  __READ_WRITE )

__IO_REG16(     FCN0M034MID1H,                   0xFF4898B0,  __READ_WRITE )

__IO_REG16(     FCN0M034CTL,                     0xFF4898B8,  __READ_WRITE )

__IO_REG16(     FCN0M035DAT0H,                   0xFF4898C0,  __READ_WRITE )

__IO_REG16(     FCN0M035DAT2H,                   0xFF4898C8,  __READ_WRITE )

__IO_REG16(     FCN0M035DAT4H,                   0xFF4898D0,  __READ_WRITE )

__IO_REG16(     FCN0M035DAT6H,                   0xFF4898D8,  __READ_WRITE )

__IO_REG16(     FCN0M035MID0H,                   0xFF4898E8,  __READ_WRITE )

__IO_REG16(     FCN0M035MID1H,                   0xFF4898F0,  __READ_WRITE )

__IO_REG16(     FCN0M035CTL,                     0xFF4898F8,  __READ_WRITE )

__IO_REG16(     FCN0M036DAT0H,                   0xFF489900,  __READ_WRITE )

__IO_REG16(     FCN0M036DAT2H,                   0xFF489908,  __READ_WRITE )

__IO_REG16(     FCN0M036DAT4H,                   0xFF489910,  __READ_WRITE )

__IO_REG16(     FCN0M036DAT6H,                   0xFF489918,  __READ_WRITE )

__IO_REG16(     FCN0M036MID0H,                   0xFF489928,  __READ_WRITE )

__IO_REG16(     FCN0M036MID1H,                   0xFF489930,  __READ_WRITE )

__IO_REG16(     FCN0M036CTL,                     0xFF489938,  __READ_WRITE )

__IO_REG16(     FCN0M037DAT0H,                   0xFF489940,  __READ_WRITE )

__IO_REG16(     FCN0M037DAT2H,                   0xFF489948,  __READ_WRITE )

__IO_REG16(     FCN0M037DAT4H,                   0xFF489950,  __READ_WRITE )

__IO_REG16(     FCN0M037DAT6H,                   0xFF489958,  __READ_WRITE )

__IO_REG16(     FCN0M037MID0H,                   0xFF489968,  __READ_WRITE )

__IO_REG16(     FCN0M037MID1H,                   0xFF489970,  __READ_WRITE )

__IO_REG16(     FCN0M037CTL,                     0xFF489978,  __READ_WRITE )

__IO_REG16(     FCN0M038DAT0H,                   0xFF489980,  __READ_WRITE )

__IO_REG16(     FCN0M038DAT2H,                   0xFF489988,  __READ_WRITE )

__IO_REG16(     FCN0M038DAT4H,                   0xFF489990,  __READ_WRITE )

__IO_REG16(     FCN0M038DAT6H,                   0xFF489998,  __READ_WRITE )

__IO_REG16(     FCN0M038MID0H,                   0xFF4899A8,  __READ_WRITE )

__IO_REG16(     FCN0M038MID1H,                   0xFF4899B0,  __READ_WRITE )

__IO_REG16(     FCN0M038CTL,                     0xFF4899B8,  __READ_WRITE )

__IO_REG16(     FCN0M039DAT0H,                   0xFF4899C0,  __READ_WRITE )

__IO_REG16(     FCN0M039DAT2H,                   0xFF4899C8,  __READ_WRITE )

__IO_REG16(     FCN0M039DAT4H,                   0xFF4899D0,  __READ_WRITE )

__IO_REG16(     FCN0M039DAT6H,                   0xFF4899D8,  __READ_WRITE )

__IO_REG16(     FCN0M039MID0H,                   0xFF4899E8,  __READ_WRITE )

__IO_REG16(     FCN0M039MID1H,                   0xFF4899F0,  __READ_WRITE )

__IO_REG16(     FCN0M039CTL,                     0xFF4899F8,  __READ_WRITE )

__IO_REG16(     FCN0M040DAT0H,                   0xFF489A00,  __READ_WRITE )

__IO_REG16(     FCN0M040DAT2H,                   0xFF489A08,  __READ_WRITE )

__IO_REG16(     FCN0M040DAT4H,                   0xFF489A10,  __READ_WRITE )

__IO_REG16(     FCN0M040DAT6H,                   0xFF489A18,  __READ_WRITE )

__IO_REG16(     FCN0M040MID0H,                   0xFF489A28,  __READ_WRITE )

__IO_REG16(     FCN0M040MID1H,                   0xFF489A30,  __READ_WRITE )

__IO_REG16(     FCN0M040CTL,                     0xFF489A38,  __READ_WRITE )

__IO_REG16(     FCN0M041DAT0H,                   0xFF489A40,  __READ_WRITE )

__IO_REG16(     FCN0M041DAT2H,                   0xFF489A48,  __READ_WRITE )

__IO_REG16(     FCN0M041DAT4H,                   0xFF489A50,  __READ_WRITE )

__IO_REG16(     FCN0M041DAT6H,                   0xFF489A58,  __READ_WRITE )

__IO_REG16(     FCN0M041MID0H,                   0xFF489A68,  __READ_WRITE )

__IO_REG16(     FCN0M041MID1H,                   0xFF489A70,  __READ_WRITE )

__IO_REG16(     FCN0M041CTL,                     0xFF489A78,  __READ_WRITE )

__IO_REG16(     FCN0M042DAT0H,                   0xFF489A80,  __READ_WRITE )

__IO_REG16(     FCN0M042DAT2H,                   0xFF489A88,  __READ_WRITE )

__IO_REG16(     FCN0M042DAT4H,                   0xFF489A90,  __READ_WRITE )

__IO_REG16(     FCN0M042DAT6H,                   0xFF489A98,  __READ_WRITE )

__IO_REG16(     FCN0M042MID0H,                   0xFF489AA8,  __READ_WRITE )

__IO_REG16(     FCN0M042MID1H,                   0xFF489AB0,  __READ_WRITE )

__IO_REG16(     FCN0M042CTL,                     0xFF489AB8,  __READ_WRITE )

__IO_REG16(     FCN0M043DAT0H,                   0xFF489AC0,  __READ_WRITE )

__IO_REG16(     FCN0M043DAT2H,                   0xFF489AC8,  __READ_WRITE )

__IO_REG16(     FCN0M043DAT4H,                   0xFF489AD0,  __READ_WRITE )

__IO_REG16(     FCN0M043DAT6H,                   0xFF489AD8,  __READ_WRITE )

__IO_REG16(     FCN0M043MID0H,                   0xFF489AE8,  __READ_WRITE )

__IO_REG16(     FCN0M043MID1H,                   0xFF489AF0,  __READ_WRITE )

__IO_REG16(     FCN0M043CTL,                     0xFF489AF8,  __READ_WRITE )

__IO_REG16(     FCN0M044DAT0H,                   0xFF489B00,  __READ_WRITE )

__IO_REG16(     FCN0M044DAT2H,                   0xFF489B08,  __READ_WRITE )

__IO_REG16(     FCN0M044DAT4H,                   0xFF489B10,  __READ_WRITE )

__IO_REG16(     FCN0M044DAT6H,                   0xFF489B18,  __READ_WRITE )

__IO_REG16(     FCN0M044MID0H,                   0xFF489B28,  __READ_WRITE )

__IO_REG16(     FCN0M044MID1H,                   0xFF489B30,  __READ_WRITE )

__IO_REG16(     FCN0M044CTL,                     0xFF489B38,  __READ_WRITE )

__IO_REG16(     FCN0M045DAT0H,                   0xFF489B40,  __READ_WRITE )

__IO_REG16(     FCN0M045DAT2H,                   0xFF489B48,  __READ_WRITE )

__IO_REG16(     FCN0M045DAT4H,                   0xFF489B50,  __READ_WRITE )

__IO_REG16(     FCN0M045DAT6H,                   0xFF489B58,  __READ_WRITE )

__IO_REG16(     FCN0M045MID0H,                   0xFF489B68,  __READ_WRITE )

__IO_REG16(     FCN0M045MID1H,                   0xFF489B70,  __READ_WRITE )

__IO_REG16(     FCN0M045CTL,                     0xFF489B78,  __READ_WRITE )

__IO_REG16(     FCN0M046DAT0H,                   0xFF489B80,  __READ_WRITE )

__IO_REG16(     FCN0M046DAT2H,                   0xFF489B88,  __READ_WRITE )

__IO_REG16(     FCN0M046DAT4H,                   0xFF489B90,  __READ_WRITE )

__IO_REG16(     FCN0M046DAT6H,                   0xFF489B98,  __READ_WRITE )

__IO_REG16(     FCN0M046MID0H,                   0xFF489BA8,  __READ_WRITE )

__IO_REG16(     FCN0M046MID1H,                   0xFF489BB0,  __READ_WRITE )

__IO_REG16(     FCN0M046CTL,                     0xFF489BB8,  __READ_WRITE )

__IO_REG16(     FCN0M047DAT0H,                   0xFF489BC0,  __READ_WRITE )

__IO_REG16(     FCN0M047DAT2H,                   0xFF489BC8,  __READ_WRITE )

__IO_REG16(     FCN0M047DAT4H,                   0xFF489BD0,  __READ_WRITE )

__IO_REG16(     FCN0M047DAT6H,                   0xFF489BD8,  __READ_WRITE )

__IO_REG16(     FCN0M047MID0H,                   0xFF489BE8,  __READ_WRITE )

__IO_REG16(     FCN0M047MID1H,                   0xFF489BF0,  __READ_WRITE )

__IO_REG16(     FCN0M047CTL,                     0xFF489BF8,  __READ_WRITE )

__IO_REG16(     FCN0M048DAT0H,                   0xFF489C00,  __READ_WRITE )

__IO_REG16(     FCN0M048DAT2H,                   0xFF489C08,  __READ_WRITE )

__IO_REG16(     FCN0M048DAT4H,                   0xFF489C10,  __READ_WRITE )

__IO_REG16(     FCN0M048DAT6H,                   0xFF489C18,  __READ_WRITE )

__IO_REG16(     FCN0M048MID0H,                   0xFF489C28,  __READ_WRITE )

__IO_REG16(     FCN0M048MID1H,                   0xFF489C30,  __READ_WRITE )

__IO_REG16(     FCN0M048CTL,                     0xFF489C38,  __READ_WRITE )

__IO_REG16(     FCN0M049DAT0H,                   0xFF489C40,  __READ_WRITE )

__IO_REG16(     FCN0M049DAT2H,                   0xFF489C48,  __READ_WRITE )

__IO_REG16(     FCN0M049DAT4H,                   0xFF489C50,  __READ_WRITE )

__IO_REG16(     FCN0M049DAT6H,                   0xFF489C58,  __READ_WRITE )

__IO_REG16(     FCN0M049MID0H,                   0xFF489C68,  __READ_WRITE )

__IO_REG16(     FCN0M049MID1H,                   0xFF489C70,  __READ_WRITE )

__IO_REG16(     FCN0M049CTL,                     0xFF489C78,  __READ_WRITE )

__IO_REG16(     FCN0M050DAT0H,                   0xFF489C80,  __READ_WRITE )

__IO_REG16(     FCN0M050DAT2H,                   0xFF489C88,  __READ_WRITE )

__IO_REG16(     FCN0M050DAT4H,                   0xFF489C90,  __READ_WRITE )

__IO_REG16(     FCN0M050DAT6H,                   0xFF489C98,  __READ_WRITE )

__IO_REG16(     FCN0M050MID0H,                   0xFF489CA8,  __READ_WRITE )

__IO_REG16(     FCN0M050MID1H,                   0xFF489CB0,  __READ_WRITE )

__IO_REG16(     FCN0M050CTL,                     0xFF489CB8,  __READ_WRITE )

__IO_REG16(     FCN0M051DAT0H,                   0xFF489CC0,  __READ_WRITE )

__IO_REG16(     FCN0M051DAT2H,                   0xFF489CC8,  __READ_WRITE )

__IO_REG16(     FCN0M051DAT4H,                   0xFF489CD0,  __READ_WRITE )

__IO_REG16(     FCN0M051DAT6H,                   0xFF489CD8,  __READ_WRITE )

__IO_REG16(     FCN0M051MID0H,                   0xFF489CE8,  __READ_WRITE )

__IO_REG16(     FCN0M051MID1H,                   0xFF489CF0,  __READ_WRITE )

__IO_REG16(     FCN0M051CTL,                     0xFF489CF8,  __READ_WRITE )

__IO_REG16(     FCN0M052DAT0H,                   0xFF489D00,  __READ_WRITE )

__IO_REG16(     FCN0M052DAT2H,                   0xFF489D08,  __READ_WRITE )

__IO_REG16(     FCN0M052DAT4H,                   0xFF489D10,  __READ_WRITE )

__IO_REG16(     FCN0M052DAT6H,                   0xFF489D18,  __READ_WRITE )

__IO_REG16(     FCN0M052MID0H,                   0xFF489D28,  __READ_WRITE )

__IO_REG16(     FCN0M052MID1H,                   0xFF489D30,  __READ_WRITE )

__IO_REG16(     FCN0M052CTL,                     0xFF489D38,  __READ_WRITE )

__IO_REG16(     FCN0M053DAT0H,                   0xFF489D40,  __READ_WRITE )

__IO_REG16(     FCN0M053DAT2H,                   0xFF489D48,  __READ_WRITE )

__IO_REG16(     FCN0M053DAT4H,                   0xFF489D50,  __READ_WRITE )

__IO_REG16(     FCN0M053DAT6H,                   0xFF489D58,  __READ_WRITE )

__IO_REG16(     FCN0M053MID0H,                   0xFF489D68,  __READ_WRITE )

__IO_REG16(     FCN0M053MID1H,                   0xFF489D70,  __READ_WRITE )

__IO_REG16(     FCN0M053CTL,                     0xFF489D78,  __READ_WRITE )

__IO_REG16(     FCN0M054DAT0H,                   0xFF489D80,  __READ_WRITE )

__IO_REG16(     FCN0M054DAT2H,                   0xFF489D88,  __READ_WRITE )

__IO_REG16(     FCN0M054DAT4H,                   0xFF489D90,  __READ_WRITE )

__IO_REG16(     FCN0M054DAT6H,                   0xFF489D98,  __READ_WRITE )

__IO_REG16(     FCN0M054MID0H,                   0xFF489DA8,  __READ_WRITE )

__IO_REG16(     FCN0M054MID1H,                   0xFF489DB0,  __READ_WRITE )

__IO_REG16(     FCN0M054CTL,                     0xFF489DB8,  __READ_WRITE )

__IO_REG16(     FCN0M055DAT0H,                   0xFF489DC0,  __READ_WRITE )

__IO_REG16(     FCN0M055DAT2H,                   0xFF489DC8,  __READ_WRITE )

__IO_REG16(     FCN0M055DAT4H,                   0xFF489DD0,  __READ_WRITE )

__IO_REG16(     FCN0M055DAT6H,                   0xFF489DD8,  __READ_WRITE )

__IO_REG16(     FCN0M055MID0H,                   0xFF489DE8,  __READ_WRITE )

__IO_REG16(     FCN0M055MID1H,                   0xFF489DF0,  __READ_WRITE )

__IO_REG16(     FCN0M055CTL,                     0xFF489DF8,  __READ_WRITE )

__IO_REG16(     FCN0M056DAT0H,                   0xFF489E00,  __READ_WRITE )

__IO_REG16(     FCN0M056DAT2H,                   0xFF489E08,  __READ_WRITE )

__IO_REG16(     FCN0M056DAT4H,                   0xFF489E10,  __READ_WRITE )

__IO_REG16(     FCN0M056DAT6H,                   0xFF489E18,  __READ_WRITE )

__IO_REG16(     FCN0M056MID0H,                   0xFF489E28,  __READ_WRITE )

__IO_REG16(     FCN0M056MID1H,                   0xFF489E30,  __READ_WRITE )

__IO_REG16(     FCN0M056CTL,                     0xFF489E38,  __READ_WRITE )

__IO_REG16(     FCN0M057DAT0H,                   0xFF489E40,  __READ_WRITE )

__IO_REG16(     FCN0M057DAT2H,                   0xFF489E48,  __READ_WRITE )

__IO_REG16(     FCN0M057DAT4H,                   0xFF489E50,  __READ_WRITE )

__IO_REG16(     FCN0M057DAT6H,                   0xFF489E58,  __READ_WRITE )

__IO_REG16(     FCN0M057MID0H,                   0xFF489E68,  __READ_WRITE )

__IO_REG16(     FCN0M057MID1H,                   0xFF489E70,  __READ_WRITE )

__IO_REG16(     FCN0M057CTL,                     0xFF489E78,  __READ_WRITE )

__IO_REG16(     FCN0M058DAT0H,                   0xFF489E80,  __READ_WRITE )

__IO_REG16(     FCN0M058DAT2H,                   0xFF489E88,  __READ_WRITE )

__IO_REG16(     FCN0M058DAT4H,                   0xFF489E90,  __READ_WRITE )

__IO_REG16(     FCN0M058DAT6H,                   0xFF489E98,  __READ_WRITE )

__IO_REG16(     FCN0M058MID0H,                   0xFF489EA8,  __READ_WRITE )

__IO_REG16(     FCN0M058MID1H,                   0xFF489EB0,  __READ_WRITE )

__IO_REG16(     FCN0M058CTL,                     0xFF489EB8,  __READ_WRITE )

__IO_REG16(     FCN0M059DAT0H,                   0xFF489EC0,  __READ_WRITE )

__IO_REG16(     FCN0M059DAT2H,                   0xFF489EC8,  __READ_WRITE )

__IO_REG16(     FCN0M059DAT4H,                   0xFF489ED0,  __READ_WRITE )

__IO_REG16(     FCN0M059DAT6H,                   0xFF489ED8,  __READ_WRITE )

__IO_REG16(     FCN0M059MID0H,                   0xFF489EE8,  __READ_WRITE )

__IO_REG16(     FCN0M059MID1H,                   0xFF489EF0,  __READ_WRITE )

__IO_REG16(     FCN0M059CTL,                     0xFF489EF8,  __READ_WRITE )

__IO_REG16(     FCN0M060DAT0H,                   0xFF489F00,  __READ_WRITE )

__IO_REG16(     FCN0M060DAT2H,                   0xFF489F08,  __READ_WRITE )

__IO_REG16(     FCN0M060DAT4H,                   0xFF489F10,  __READ_WRITE )

__IO_REG16(     FCN0M060DAT6H,                   0xFF489F18,  __READ_WRITE )

__IO_REG16(     FCN0M060MID0H,                   0xFF489F28,  __READ_WRITE )

__IO_REG16(     FCN0M060MID1H,                   0xFF489F30,  __READ_WRITE )

__IO_REG16(     FCN0M060CTL,                     0xFF489F38,  __READ_WRITE )

__IO_REG16(     FCN0M061DAT0H,                   0xFF489F40,  __READ_WRITE )

__IO_REG16(     FCN0M061DAT2H,                   0xFF489F48,  __READ_WRITE )

__IO_REG16(     FCN0M061DAT4H,                   0xFF489F50,  __READ_WRITE )

__IO_REG16(     FCN0M061DAT6H,                   0xFF489F58,  __READ_WRITE )

__IO_REG16(     FCN0M061MID0H,                   0xFF489F68,  __READ_WRITE )

__IO_REG16(     FCN0M061MID1H,                   0xFF489F70,  __READ_WRITE )

__IO_REG16(     FCN0M061CTL,                     0xFF489F78,  __READ_WRITE )

__IO_REG16(     FCN0M062DAT0H,                   0xFF489F80,  __READ_WRITE )

__IO_REG16(     FCN0M062DAT2H,                   0xFF489F88,  __READ_WRITE )

__IO_REG16(     FCN0M062DAT4H,                   0xFF489F90,  __READ_WRITE )

__IO_REG16(     FCN0M062DAT6H,                   0xFF489F98,  __READ_WRITE )

__IO_REG16(     FCN0M062MID0H,                   0xFF489FA8,  __READ_WRITE )

__IO_REG16(     FCN0M062MID1H,                   0xFF489FB0,  __READ_WRITE )

__IO_REG16(     FCN0M062CTL,                     0xFF489FB8,  __READ_WRITE )

__IO_REG16(     FCN0M063DAT0H,                   0xFF489FC0,  __READ_WRITE )

__IO_REG16(     FCN0M063DAT2H,                   0xFF489FC8,  __READ_WRITE )

__IO_REG16(     FCN0M063DAT4H,                   0xFF489FD0,  __READ_WRITE )

__IO_REG16(     FCN0M063DAT6H,                   0xFF489FD8,  __READ_WRITE )

__IO_REG16(     FCN0M063MID0H,                   0xFF489FE8,  __READ_WRITE )

__IO_REG16(     FCN0M063MID1H,                   0xFF489FF0,  __READ_WRITE )

__IO_REG16(     FCN0M063CTL,                     0xFF489FF8,  __READ_WRITE )

__IO_REG32(     FCN0DNBMRX0,                     0xFF4900C0,  __READ       )

__IO_REG32(     FCN0DNBMRX1,                     0xFF4900D0,  __READ       )

__IO_REG32(     FCN0CMMKCTL01W,                  0xFF490300,  __READ_WRITE )

__IO_REG32(     FCN0CMMKCTL03W,                  0xFF490310,  __READ_WRITE )

__IO_REG32(     FCN0CMMKCTL05W,                  0xFF490320,  __READ_WRITE )

__IO_REG32(     FCN0CMMKCTL07W,                  0xFF490330,  __READ_WRITE )

__IO_REG32(     FCN0CMMKCTL09W,                  0xFF490340,  __READ_WRITE )

__IO_REG32(     FCN0CMMKCTL11W,                  0xFF490350,  __READ_WRITE )

__IO_REG32(     FCN0CMMKCTL13W,                  0xFF490360,  __READ_WRITE )

__IO_REG32(     FCN0CMMKCTL15W,                  0xFF490370,  __READ_WRITE )

__IO_REG32(     FCN0M000DAT0W,                   0xFF491000,  __READ_WRITE )

__IO_REG32(     FCN0M000DAT4W,                   0xFF491010,  __READ_WRITE )

__IO_REG32(     FCN0M000MID0W,                   0xFF491028,  __READ_WRITE )

__IO_REG32(     FCN0M001DAT0W,                   0xFF491040,  __READ_WRITE )

__IO_REG32(     FCN0M001DAT4W,                   0xFF491050,  __READ_WRITE )

__IO_REG32(     FCN0M001MID0W,                   0xFF491068,  __READ_WRITE )

__IO_REG32(     FCN0M002DAT0W,                   0xFF491080,  __READ_WRITE )

__IO_REG32(     FCN0M002DAT4W,                   0xFF491090,  __READ_WRITE )

__IO_REG32(     FCN0M002MID0W,                   0xFF4910A8,  __READ_WRITE )

__IO_REG32(     FCN0M003DAT0W,                   0xFF4910C0,  __READ_WRITE )

__IO_REG32(     FCN0M003DAT4W,                   0xFF4910D0,  __READ_WRITE )

__IO_REG32(     FCN0M003MID0W,                   0xFF4910E8,  __READ_WRITE )

__IO_REG32(     FCN0M004DAT0W,                   0xFF491100,  __READ_WRITE )

__IO_REG32(     FCN0M004DAT4W,                   0xFF491110,  __READ_WRITE )

__IO_REG32(     FCN0M004MID0W,                   0xFF491128,  __READ_WRITE )

__IO_REG32(     FCN0M005DAT0W,                   0xFF491140,  __READ_WRITE )

__IO_REG32(     FCN0M005DAT4W,                   0xFF491150,  __READ_WRITE )

__IO_REG32(     FCN0M005MID0W,                   0xFF491168,  __READ_WRITE )

__IO_REG32(     FCN0M006DAT0W,                   0xFF491180,  __READ_WRITE )

__IO_REG32(     FCN0M006DAT4W,                   0xFF491190,  __READ_WRITE )

__IO_REG32(     FCN0M006MID0W,                   0xFF4911A8,  __READ_WRITE )

__IO_REG32(     FCN0M007DAT0W,                   0xFF4911C0,  __READ_WRITE )

__IO_REG32(     FCN0M007DAT4W,                   0xFF4911D0,  __READ_WRITE )

__IO_REG32(     FCN0M007MID0W,                   0xFF4911E8,  __READ_WRITE )

__IO_REG32(     FCN0M008DAT0W,                   0xFF491200,  __READ_WRITE )

__IO_REG32(     FCN0M008DAT4W,                   0xFF491210,  __READ_WRITE )

__IO_REG32(     FCN0M008MID0W,                   0xFF491228,  __READ_WRITE )

__IO_REG32(     FCN0M009DAT0W,                   0xFF491240,  __READ_WRITE )

__IO_REG32(     FCN0M009DAT4W,                   0xFF491250,  __READ_WRITE )

__IO_REG32(     FCN0M009MID0W,                   0xFF491268,  __READ_WRITE )

__IO_REG32(     FCN0M010DAT0W,                   0xFF491280,  __READ_WRITE )

__IO_REG32(     FCN0M010DAT4W,                   0xFF491290,  __READ_WRITE )

__IO_REG32(     FCN0M010MID0W,                   0xFF4912A8,  __READ_WRITE )

__IO_REG32(     FCN0M011DAT0W,                   0xFF4912C0,  __READ_WRITE )

__IO_REG32(     FCN0M011DAT4W,                   0xFF4912D0,  __READ_WRITE )

__IO_REG32(     FCN0M011MID0W,                   0xFF4912E8,  __READ_WRITE )

__IO_REG32(     FCN0M012DAT0W,                   0xFF491300,  __READ_WRITE )

__IO_REG32(     FCN0M012DAT4W,                   0xFF491310,  __READ_WRITE )

__IO_REG32(     FCN0M012MID0W,                   0xFF491328,  __READ_WRITE )

__IO_REG32(     FCN0M013DAT0W,                   0xFF491340,  __READ_WRITE )

__IO_REG32(     FCN0M013DAT4W,                   0xFF491350,  __READ_WRITE )

__IO_REG32(     FCN0M013MID0W,                   0xFF491368,  __READ_WRITE )

__IO_REG32(     FCN0M014DAT0W,                   0xFF491380,  __READ_WRITE )

__IO_REG32(     FCN0M014DAT4W,                   0xFF491390,  __READ_WRITE )

__IO_REG32(     FCN0M014MID0W,                   0xFF4913A8,  __READ_WRITE )

__IO_REG32(     FCN0M015DAT0W,                   0xFF4913C0,  __READ_WRITE )

__IO_REG32(     FCN0M015DAT4W,                   0xFF4913D0,  __READ_WRITE )

__IO_REG32(     FCN0M015MID0W,                   0xFF4913E8,  __READ_WRITE )

__IO_REG32(     FCN0M016DAT0W,                   0xFF491400,  __READ_WRITE )

__IO_REG32(     FCN0M016DAT4W,                   0xFF491410,  __READ_WRITE )

__IO_REG32(     FCN0M016MID0W,                   0xFF491428,  __READ_WRITE )

__IO_REG32(     FCN0M017DAT0W,                   0xFF491440,  __READ_WRITE )

__IO_REG32(     FCN0M017DAT4W,                   0xFF491450,  __READ_WRITE )

__IO_REG32(     FCN0M017MID0W,                   0xFF491468,  __READ_WRITE )

__IO_REG32(     FCN0M018DAT0W,                   0xFF491480,  __READ_WRITE )

__IO_REG32(     FCN0M018DAT4W,                   0xFF491490,  __READ_WRITE )

__IO_REG32(     FCN0M018MID0W,                   0xFF4914A8,  __READ_WRITE )

__IO_REG32(     FCN0M019DAT0W,                   0xFF4914C0,  __READ_WRITE )

__IO_REG32(     FCN0M019DAT4W,                   0xFF4914D0,  __READ_WRITE )

__IO_REG32(     FCN0M019MID0W,                   0xFF4914E8,  __READ_WRITE )

__IO_REG32(     FCN0M020DAT0W,                   0xFF491500,  __READ_WRITE )

__IO_REG32(     FCN0M020DAT4W,                   0xFF491510,  __READ_WRITE )

__IO_REG32(     FCN0M020MID0W,                   0xFF491528,  __READ_WRITE )

__IO_REG32(     FCN0M021DAT0W,                   0xFF491540,  __READ_WRITE )

__IO_REG32(     FCN0M021DAT4W,                   0xFF491550,  __READ_WRITE )

__IO_REG32(     FCN0M021MID0W,                   0xFF491568,  __READ_WRITE )

__IO_REG32(     FCN0M022DAT0W,                   0xFF491580,  __READ_WRITE )

__IO_REG32(     FCN0M022DAT4W,                   0xFF491590,  __READ_WRITE )

__IO_REG32(     FCN0M022MID0W,                   0xFF4915A8,  __READ_WRITE )

__IO_REG32(     FCN0M023DAT0W,                   0xFF4915C0,  __READ_WRITE )

__IO_REG32(     FCN0M023DAT4W,                   0xFF4915D0,  __READ_WRITE )

__IO_REG32(     FCN0M023MID0W,                   0xFF4915E8,  __READ_WRITE )

__IO_REG32(     FCN0M024DAT0W,                   0xFF491600,  __READ_WRITE )

__IO_REG32(     FCN0M024DAT4W,                   0xFF491610,  __READ_WRITE )

__IO_REG32(     FCN0M024MID0W,                   0xFF491628,  __READ_WRITE )

__IO_REG32(     FCN0M025DAT0W,                   0xFF491640,  __READ_WRITE )

__IO_REG32(     FCN0M025DAT4W,                   0xFF491650,  __READ_WRITE )

__IO_REG32(     FCN0M025MID0W,                   0xFF491668,  __READ_WRITE )

__IO_REG32(     FCN0M026DAT0W,                   0xFF491680,  __READ_WRITE )

__IO_REG32(     FCN0M026DAT4W,                   0xFF491690,  __READ_WRITE )

__IO_REG32(     FCN0M026MID0W,                   0xFF4916A8,  __READ_WRITE )

__IO_REG32(     FCN0M027DAT0W,                   0xFF4916C0,  __READ_WRITE )

__IO_REG32(     FCN0M027DAT4W,                   0xFF4916D0,  __READ_WRITE )

__IO_REG32(     FCN0M027MID0W,                   0xFF4916E8,  __READ_WRITE )

__IO_REG32(     FCN0M028DAT0W,                   0xFF491700,  __READ_WRITE )

__IO_REG32(     FCN0M028DAT4W,                   0xFF491710,  __READ_WRITE )

__IO_REG32(     FCN0M028MID0W,                   0xFF491728,  __READ_WRITE )

__IO_REG32(     FCN0M029DAT0W,                   0xFF491740,  __READ_WRITE )

__IO_REG32(     FCN0M029DAT4W,                   0xFF491750,  __READ_WRITE )

__IO_REG32(     FCN0M029MID0W,                   0xFF491768,  __READ_WRITE )

__IO_REG32(     FCN0M030DAT0W,                   0xFF491780,  __READ_WRITE )

__IO_REG32(     FCN0M030DAT4W,                   0xFF491790,  __READ_WRITE )

__IO_REG32(     FCN0M030MID0W,                   0xFF4917A8,  __READ_WRITE )

__IO_REG32(     FCN0M031DAT0W,                   0xFF4917C0,  __READ_WRITE )

__IO_REG32(     FCN0M031DAT4W,                   0xFF4917D0,  __READ_WRITE )

__IO_REG32(     FCN0M031MID0W,                   0xFF4917E8,  __READ_WRITE )

__IO_REG32(     FCN0M032DAT0W,                   0xFF491800,  __READ_WRITE )

__IO_REG32(     FCN0M032DAT4W,                   0xFF491810,  __READ_WRITE )

__IO_REG32(     FCN0M032MID0W,                   0xFF491828,  __READ_WRITE )

__IO_REG32(     FCN0M033DAT0W,                   0xFF491840,  __READ_WRITE )

__IO_REG32(     FCN0M033DAT4W,                   0xFF491850,  __READ_WRITE )

__IO_REG32(     FCN0M033MID0W,                   0xFF491868,  __READ_WRITE )

__IO_REG32(     FCN0M034DAT0W,                   0xFF491880,  __READ_WRITE )

__IO_REG32(     FCN0M034DAT4W,                   0xFF491890,  __READ_WRITE )

__IO_REG32(     FCN0M034MID0W,                   0xFF4918A8,  __READ_WRITE )

__IO_REG32(     FCN0M035DAT0W,                   0xFF4918C0,  __READ_WRITE )

__IO_REG32(     FCN0M035DAT4W,                   0xFF4918D0,  __READ_WRITE )

__IO_REG32(     FCN0M035MID0W,                   0xFF4918E8,  __READ_WRITE )

__IO_REG32(     FCN0M036DAT0W,                   0xFF491900,  __READ_WRITE )

__IO_REG32(     FCN0M036DAT4W,                   0xFF491910,  __READ_WRITE )

__IO_REG32(     FCN0M036MID0W,                   0xFF491928,  __READ_WRITE )

__IO_REG32(     FCN0M037DAT0W,                   0xFF491940,  __READ_WRITE )

__IO_REG32(     FCN0M037DAT4W,                   0xFF491950,  __READ_WRITE )

__IO_REG32(     FCN0M037MID0W,                   0xFF491968,  __READ_WRITE )

__IO_REG32(     FCN0M038DAT0W,                   0xFF491980,  __READ_WRITE )

__IO_REG32(     FCN0M038DAT4W,                   0xFF491990,  __READ_WRITE )

__IO_REG32(     FCN0M038MID0W,                   0xFF4919A8,  __READ_WRITE )

__IO_REG32(     FCN0M039DAT0W,                   0xFF4919C0,  __READ_WRITE )

__IO_REG32(     FCN0M039DAT4W,                   0xFF4919D0,  __READ_WRITE )

__IO_REG32(     FCN0M039MID0W,                   0xFF4919E8,  __READ_WRITE )

__IO_REG32(     FCN0M040DAT0W,                   0xFF491A00,  __READ_WRITE )

__IO_REG32(     FCN0M040DAT4W,                   0xFF491A10,  __READ_WRITE )

__IO_REG32(     FCN0M040MID0W,                   0xFF491A28,  __READ_WRITE )

__IO_REG32(     FCN0M041DAT0W,                   0xFF491A40,  __READ_WRITE )

__IO_REG32(     FCN0M041DAT4W,                   0xFF491A50,  __READ_WRITE )

__IO_REG32(     FCN0M041MID0W,                   0xFF491A68,  __READ_WRITE )

__IO_REG32(     FCN0M042DAT0W,                   0xFF491A80,  __READ_WRITE )

__IO_REG32(     FCN0M042DAT4W,                   0xFF491A90,  __READ_WRITE )

__IO_REG32(     FCN0M042MID0W,                   0xFF491AA8,  __READ_WRITE )

__IO_REG32(     FCN0M043DAT0W,                   0xFF491AC0,  __READ_WRITE )

__IO_REG32(     FCN0M043DAT4W,                   0xFF491AD0,  __READ_WRITE )

__IO_REG32(     FCN0M043MID0W,                   0xFF491AE8,  __READ_WRITE )

__IO_REG32(     FCN0M044DAT0W,                   0xFF491B00,  __READ_WRITE )

__IO_REG32(     FCN0M044DAT4W,                   0xFF491B10,  __READ_WRITE )

__IO_REG32(     FCN0M044MID0W,                   0xFF491B28,  __READ_WRITE )

__IO_REG32(     FCN0M045DAT0W,                   0xFF491B40,  __READ_WRITE )

__IO_REG32(     FCN0M045DAT4W,                   0xFF491B50,  __READ_WRITE )

__IO_REG32(     FCN0M045MID0W,                   0xFF491B68,  __READ_WRITE )

__IO_REG32(     FCN0M046DAT0W,                   0xFF491B80,  __READ_WRITE )

__IO_REG32(     FCN0M046DAT4W,                   0xFF491B90,  __READ_WRITE )

__IO_REG32(     FCN0M046MID0W,                   0xFF491BA8,  __READ_WRITE )

__IO_REG32(     FCN0M047DAT0W,                   0xFF491BC0,  __READ_WRITE )

__IO_REG32(     FCN0M047DAT4W,                   0xFF491BD0,  __READ_WRITE )

__IO_REG32(     FCN0M047MID0W,                   0xFF491BE8,  __READ_WRITE )

__IO_REG32(     FCN0M048DAT0W,                   0xFF491C00,  __READ_WRITE )

__IO_REG32(     FCN0M048DAT4W,                   0xFF491C10,  __READ_WRITE )

__IO_REG32(     FCN0M048MID0W,                   0xFF491C28,  __READ_WRITE )

__IO_REG32(     FCN0M049DAT0W,                   0xFF491C40,  __READ_WRITE )

__IO_REG32(     FCN0M049DAT4W,                   0xFF491C50,  __READ_WRITE )

__IO_REG32(     FCN0M049MID0W,                   0xFF491C68,  __READ_WRITE )

__IO_REG32(     FCN0M050DAT0W,                   0xFF491C80,  __READ_WRITE )

__IO_REG32(     FCN0M050DAT4W,                   0xFF491C90,  __READ_WRITE )

__IO_REG32(     FCN0M050MID0W,                   0xFF491CA8,  __READ_WRITE )

__IO_REG32(     FCN0M051DAT0W,                   0xFF491CC0,  __READ_WRITE )

__IO_REG32(     FCN0M051DAT4W,                   0xFF491CD0,  __READ_WRITE )

__IO_REG32(     FCN0M051MID0W,                   0xFF491CE8,  __READ_WRITE )

__IO_REG32(     FCN0M052DAT0W,                   0xFF491D00,  __READ_WRITE )

__IO_REG32(     FCN0M052DAT4W,                   0xFF491D10,  __READ_WRITE )

__IO_REG32(     FCN0M052MID0W,                   0xFF491D28,  __READ_WRITE )

__IO_REG32(     FCN0M053DAT0W,                   0xFF491D40,  __READ_WRITE )

__IO_REG32(     FCN0M053DAT4W,                   0xFF491D50,  __READ_WRITE )

__IO_REG32(     FCN0M053MID0W,                   0xFF491D68,  __READ_WRITE )

__IO_REG32(     FCN0M054DAT0W,                   0xFF491D80,  __READ_WRITE )

__IO_REG32(     FCN0M054DAT4W,                   0xFF491D90,  __READ_WRITE )

__IO_REG32(     FCN0M054MID0W,                   0xFF491DA8,  __READ_WRITE )

__IO_REG32(     FCN0M055DAT0W,                   0xFF491DC0,  __READ_WRITE )

__IO_REG32(     FCN0M055DAT4W,                   0xFF491DD0,  __READ_WRITE )

__IO_REG32(     FCN0M055MID0W,                   0xFF491DE8,  __READ_WRITE )

__IO_REG32(     FCN0M056DAT0W,                   0xFF491E00,  __READ_WRITE )

__IO_REG32(     FCN0M056DAT4W,                   0xFF491E10,  __READ_WRITE )

__IO_REG32(     FCN0M056MID0W,                   0xFF491E28,  __READ_WRITE )

__IO_REG32(     FCN0M057DAT0W,                   0xFF491E40,  __READ_WRITE )

__IO_REG32(     FCN0M057DAT4W,                   0xFF491E50,  __READ_WRITE )

__IO_REG32(     FCN0M057MID0W,                   0xFF491E68,  __READ_WRITE )

__IO_REG32(     FCN0M058DAT0W,                   0xFF491E80,  __READ_WRITE )

__IO_REG32(     FCN0M058DAT4W,                   0xFF491E90,  __READ_WRITE )

__IO_REG32(     FCN0M058MID0W,                   0xFF491EA8,  __READ_WRITE )

__IO_REG32(     FCN0M059DAT0W,                   0xFF491EC0,  __READ_WRITE )

__IO_REG32(     FCN0M059DAT4W,                   0xFF491ED0,  __READ_WRITE )

__IO_REG32(     FCN0M059MID0W,                   0xFF491EE8,  __READ_WRITE )

__IO_REG32(     FCN0M060DAT0W,                   0xFF491F00,  __READ_WRITE )

__IO_REG32(     FCN0M060DAT4W,                   0xFF491F10,  __READ_WRITE )

__IO_REG32(     FCN0M060MID0W,                   0xFF491F28,  __READ_WRITE )

__IO_REG32(     FCN0M061DAT0W,                   0xFF491F40,  __READ_WRITE )

__IO_REG32(     FCN0M061DAT4W,                   0xFF491F50,  __READ_WRITE )

__IO_REG32(     FCN0M061MID0W,                   0xFF491F68,  __READ_WRITE )

__IO_REG32(     FCN0M062DAT0W,                   0xFF491F80,  __READ_WRITE )

__IO_REG32(     FCN0M062DAT4W,                   0xFF491F90,  __READ_WRITE )

__IO_REG32(     FCN0M062MID0W,                   0xFF491FA8,  __READ_WRITE )

__IO_REG32(     FCN0M063DAT0W,                   0xFF491FC0,  __READ_WRITE )

__IO_REG32(     FCN0M063DAT4W,                   0xFF491FD0,  __READ_WRITE )

__IO_REG32(     FCN0M063MID0W,                   0xFF491FE8,  __READ_WRITE )

__IO_REG8(      FCN1GMCSPRE,                     0xFF4A0008,  __READ_WRITE )

__IO_REG8(      FCN1GMADCTL,                     0xFF4A0020,  __READ_WRITE )

__IO_REG8(      FCN1CMLCSTR,                     0xFF4A0248,  __READ_WRITE )

__IO_REG8(      FCN1CMINSTR,                     0xFF4A024C,  __READ       )

__IO_REG8(      FCN1CMBRPRS,                     0xFF4A0268,  __READ_WRITE )

__IO_REG8(      FCN1CMLISTR,                     0xFF4A0278,  __READ       )

__IO_REG8(      FCN1CMLOSTR,                     0xFF4A0288,  __READ       )

__IO_REG8(      FCN1M000DAT0B,                   0xFF4A1000,  __READ_WRITE )

__IO_REG8(      FCN1M000DAT1B,                   0xFF4A1004,  __READ_WRITE )

__IO_REG8(      FCN1M000DAT2B,                   0xFF4A1008,  __READ_WRITE )

__IO_REG8(      FCN1M000DAT3B,                   0xFF4A100C,  __READ_WRITE )

__IO_REG8(      FCN1M000DAT4B,                   0xFF4A1010,  __READ_WRITE )

__IO_REG8(      FCN1M000DAT5B,                   0xFF4A1014,  __READ_WRITE )

__IO_REG8(      FCN1M000DAT6B,                   0xFF4A1018,  __READ_WRITE )

__IO_REG8(      FCN1M000DAT7B,                   0xFF4A101C,  __READ_WRITE )

__IO_REG8(      FCN1M000DTLGB,                   0xFF4A1020,  __READ_WRITE )

__IO_REG8(      FCN1M000STRB,                    0xFF4A1024,  __READ_WRITE )

__IO_REG8(      FCN1M001DAT0B,                   0xFF4A1040,  __READ_WRITE )

__IO_REG8(      FCN1M001DAT1B,                   0xFF4A1044,  __READ_WRITE )

__IO_REG8(      FCN1M001DAT2B,                   0xFF4A1048,  __READ_WRITE )

__IO_REG8(      FCN1M001DAT3B,                   0xFF4A104C,  __READ_WRITE )

__IO_REG8(      FCN1M001DAT4B,                   0xFF4A1050,  __READ_WRITE )

__IO_REG8(      FCN1M001DAT5B,                   0xFF4A1054,  __READ_WRITE )

__IO_REG8(      FCN1M001DAT6B,                   0xFF4A1058,  __READ_WRITE )

__IO_REG8(      FCN1M001DAT7B,                   0xFF4A105C,  __READ_WRITE )

__IO_REG8(      FCN1M001DTLGB,                   0xFF4A1060,  __READ_WRITE )

__IO_REG8(      FCN1M001STRB,                    0xFF4A1064,  __READ_WRITE )

__IO_REG8(      FCN1M002DAT0B,                   0xFF4A1080,  __READ_WRITE )

__IO_REG8(      FCN1M002DAT1B,                   0xFF4A1084,  __READ_WRITE )

__IO_REG8(      FCN1M002DAT2B,                   0xFF4A1088,  __READ_WRITE )

__IO_REG8(      FCN1M002DAT3B,                   0xFF4A108C,  __READ_WRITE )

__IO_REG8(      FCN1M002DAT4B,                   0xFF4A1090,  __READ_WRITE )

__IO_REG8(      FCN1M002DAT5B,                   0xFF4A1094,  __READ_WRITE )

__IO_REG8(      FCN1M002DAT6B,                   0xFF4A1098,  __READ_WRITE )

__IO_REG8(      FCN1M002DAT7B,                   0xFF4A109C,  __READ_WRITE )

__IO_REG8(      FCN1M002DTLGB,                   0xFF4A10A0,  __READ_WRITE )

__IO_REG8(      FCN1M002STRB,                    0xFF4A10A4,  __READ_WRITE )

__IO_REG8(      FCN1M003DAT0B,                   0xFF4A10C0,  __READ_WRITE )

__IO_REG8(      FCN1M003DAT1B,                   0xFF4A10C4,  __READ_WRITE )

__IO_REG8(      FCN1M003DAT2B,                   0xFF4A10C8,  __READ_WRITE )

__IO_REG8(      FCN1M003DAT3B,                   0xFF4A10CC,  __READ_WRITE )

__IO_REG8(      FCN1M003DAT4B,                   0xFF4A10D0,  __READ_WRITE )

__IO_REG8(      FCN1M003DAT5B,                   0xFF4A10D4,  __READ_WRITE )

__IO_REG8(      FCN1M003DAT6B,                   0xFF4A10D8,  __READ_WRITE )

__IO_REG8(      FCN1M003DAT7B,                   0xFF4A10DC,  __READ_WRITE )

__IO_REG8(      FCN1M003DTLGB,                   0xFF4A10E0,  __READ_WRITE )

__IO_REG8(      FCN1M003STRB,                    0xFF4A10E4,  __READ_WRITE )

__IO_REG8(      FCN1M004DAT0B,                   0xFF4A1100,  __READ_WRITE )

__IO_REG8(      FCN1M004DAT1B,                   0xFF4A1104,  __READ_WRITE )

__IO_REG8(      FCN1M004DAT2B,                   0xFF4A1108,  __READ_WRITE )

__IO_REG8(      FCN1M004DAT3B,                   0xFF4A110C,  __READ_WRITE )

__IO_REG8(      FCN1M004DAT4B,                   0xFF4A1110,  __READ_WRITE )

__IO_REG8(      FCN1M004DAT5B,                   0xFF4A1114,  __READ_WRITE )

__IO_REG8(      FCN1M004DAT6B,                   0xFF4A1118,  __READ_WRITE )

__IO_REG8(      FCN1M004DAT7B,                   0xFF4A111C,  __READ_WRITE )

__IO_REG8(      FCN1M004DTLGB,                   0xFF4A1120,  __READ_WRITE )

__IO_REG8(      FCN1M004STRB,                    0xFF4A1124,  __READ_WRITE )

__IO_REG8(      FCN1M005DAT0B,                   0xFF4A1140,  __READ_WRITE )

__IO_REG8(      FCN1M005DAT1B,                   0xFF4A1144,  __READ_WRITE )

__IO_REG8(      FCN1M005DAT2B,                   0xFF4A1148,  __READ_WRITE )

__IO_REG8(      FCN1M005DAT3B,                   0xFF4A114C,  __READ_WRITE )

__IO_REG8(      FCN1M005DAT4B,                   0xFF4A1150,  __READ_WRITE )

__IO_REG8(      FCN1M005DAT5B,                   0xFF4A1154,  __READ_WRITE )

__IO_REG8(      FCN1M005DAT6B,                   0xFF4A1158,  __READ_WRITE )

__IO_REG8(      FCN1M005DAT7B,                   0xFF4A115C,  __READ_WRITE )

__IO_REG8(      FCN1M005DTLGB,                   0xFF4A1160,  __READ_WRITE )

__IO_REG8(      FCN1M005STRB,                    0xFF4A1164,  __READ_WRITE )

__IO_REG8(      FCN1M006DAT0B,                   0xFF4A1180,  __READ_WRITE )

__IO_REG8(      FCN1M006DAT1B,                   0xFF4A1184,  __READ_WRITE )

__IO_REG8(      FCN1M006DAT2B,                   0xFF4A1188,  __READ_WRITE )

__IO_REG8(      FCN1M006DAT3B,                   0xFF4A118C,  __READ_WRITE )

__IO_REG8(      FCN1M006DAT4B,                   0xFF4A1190,  __READ_WRITE )

__IO_REG8(      FCN1M006DAT5B,                   0xFF4A1194,  __READ_WRITE )

__IO_REG8(      FCN1M006DAT6B,                   0xFF4A1198,  __READ_WRITE )

__IO_REG8(      FCN1M006DAT7B,                   0xFF4A119C,  __READ_WRITE )

__IO_REG8(      FCN1M006DTLGB,                   0xFF4A11A0,  __READ_WRITE )

__IO_REG8(      FCN1M006STRB,                    0xFF4A11A4,  __READ_WRITE )

__IO_REG8(      FCN1M007DAT0B,                   0xFF4A11C0,  __READ_WRITE )

__IO_REG8(      FCN1M007DAT1B,                   0xFF4A11C4,  __READ_WRITE )

__IO_REG8(      FCN1M007DAT2B,                   0xFF4A11C8,  __READ_WRITE )

__IO_REG8(      FCN1M007DAT3B,                   0xFF4A11CC,  __READ_WRITE )

__IO_REG8(      FCN1M007DAT4B,                   0xFF4A11D0,  __READ_WRITE )

__IO_REG8(      FCN1M007DAT5B,                   0xFF4A11D4,  __READ_WRITE )

__IO_REG8(      FCN1M007DAT6B,                   0xFF4A11D8,  __READ_WRITE )

__IO_REG8(      FCN1M007DAT7B,                   0xFF4A11DC,  __READ_WRITE )

__IO_REG8(      FCN1M007DTLGB,                   0xFF4A11E0,  __READ_WRITE )

__IO_REG8(      FCN1M007STRB,                    0xFF4A11E4,  __READ_WRITE )

__IO_REG8(      FCN1M008DAT0B,                   0xFF4A1200,  __READ_WRITE )

__IO_REG8(      FCN1M008DAT1B,                   0xFF4A1204,  __READ_WRITE )

__IO_REG8(      FCN1M008DAT2B,                   0xFF4A1208,  __READ_WRITE )

__IO_REG8(      FCN1M008DAT3B,                   0xFF4A120C,  __READ_WRITE )

__IO_REG8(      FCN1M008DAT4B,                   0xFF4A1210,  __READ_WRITE )

__IO_REG8(      FCN1M008DAT5B,                   0xFF4A1214,  __READ_WRITE )

__IO_REG8(      FCN1M008DAT6B,                   0xFF4A1218,  __READ_WRITE )

__IO_REG8(      FCN1M008DAT7B,                   0xFF4A121C,  __READ_WRITE )

__IO_REG8(      FCN1M008DTLGB,                   0xFF4A1220,  __READ_WRITE )

__IO_REG8(      FCN1M008STRB,                    0xFF4A1224,  __READ_WRITE )

__IO_REG8(      FCN1M009DAT0B,                   0xFF4A1240,  __READ_WRITE )

__IO_REG8(      FCN1M009DAT1B,                   0xFF4A1244,  __READ_WRITE )

__IO_REG8(      FCN1M009DAT2B,                   0xFF4A1248,  __READ_WRITE )

__IO_REG8(      FCN1M009DAT3B,                   0xFF4A124C,  __READ_WRITE )

__IO_REG8(      FCN1M009DAT4B,                   0xFF4A1250,  __READ_WRITE )

__IO_REG8(      FCN1M009DAT5B,                   0xFF4A1254,  __READ_WRITE )

__IO_REG8(      FCN1M009DAT6B,                   0xFF4A1258,  __READ_WRITE )

__IO_REG8(      FCN1M009DAT7B,                   0xFF4A125C,  __READ_WRITE )

__IO_REG8(      FCN1M009DTLGB,                   0xFF4A1260,  __READ_WRITE )

__IO_REG8(      FCN1M009STRB,                    0xFF4A1264,  __READ_WRITE )

__IO_REG8(      FCN1M010DAT0B,                   0xFF4A1280,  __READ_WRITE )

__IO_REG8(      FCN1M010DAT1B,                   0xFF4A1284,  __READ_WRITE )

__IO_REG8(      FCN1M010DAT2B,                   0xFF4A1288,  __READ_WRITE )

__IO_REG8(      FCN1M010DAT3B,                   0xFF4A128C,  __READ_WRITE )

__IO_REG8(      FCN1M010DAT4B,                   0xFF4A1290,  __READ_WRITE )

__IO_REG8(      FCN1M010DAT5B,                   0xFF4A1294,  __READ_WRITE )

__IO_REG8(      FCN1M010DAT6B,                   0xFF4A1298,  __READ_WRITE )

__IO_REG8(      FCN1M010DAT7B,                   0xFF4A129C,  __READ_WRITE )

__IO_REG8(      FCN1M010DTLGB,                   0xFF4A12A0,  __READ_WRITE )

__IO_REG8(      FCN1M010STRB,                    0xFF4A12A4,  __READ_WRITE )

__IO_REG8(      FCN1M011DAT0B,                   0xFF4A12C0,  __READ_WRITE )

__IO_REG8(      FCN1M011DAT1B,                   0xFF4A12C4,  __READ_WRITE )

__IO_REG8(      FCN1M011DAT2B,                   0xFF4A12C8,  __READ_WRITE )

__IO_REG8(      FCN1M011DAT3B,                   0xFF4A12CC,  __READ_WRITE )

__IO_REG8(      FCN1M011DAT4B,                   0xFF4A12D0,  __READ_WRITE )

__IO_REG8(      FCN1M011DAT5B,                   0xFF4A12D4,  __READ_WRITE )

__IO_REG8(      FCN1M011DAT6B,                   0xFF4A12D8,  __READ_WRITE )

__IO_REG8(      FCN1M011DAT7B,                   0xFF4A12DC,  __READ_WRITE )

__IO_REG8(      FCN1M011DTLGB,                   0xFF4A12E0,  __READ_WRITE )

__IO_REG8(      FCN1M011STRB,                    0xFF4A12E4,  __READ_WRITE )

__IO_REG8(      FCN1M012DAT0B,                   0xFF4A1300,  __READ_WRITE )

__IO_REG8(      FCN1M012DAT1B,                   0xFF4A1304,  __READ_WRITE )

__IO_REG8(      FCN1M012DAT2B,                   0xFF4A1308,  __READ_WRITE )

__IO_REG8(      FCN1M012DAT3B,                   0xFF4A130C,  __READ_WRITE )

__IO_REG8(      FCN1M012DAT4B,                   0xFF4A1310,  __READ_WRITE )

__IO_REG8(      FCN1M012DAT5B,                   0xFF4A1314,  __READ_WRITE )

__IO_REG8(      FCN1M012DAT6B,                   0xFF4A1318,  __READ_WRITE )

__IO_REG8(      FCN1M012DAT7B,                   0xFF4A131C,  __READ_WRITE )

__IO_REG8(      FCN1M012DTLGB,                   0xFF4A1320,  __READ_WRITE )

__IO_REG8(      FCN1M012STRB,                    0xFF4A1324,  __READ_WRITE )

__IO_REG8(      FCN1M013DAT0B,                   0xFF4A1340,  __READ_WRITE )

__IO_REG8(      FCN1M013DAT1B,                   0xFF4A1344,  __READ_WRITE )

__IO_REG8(      FCN1M013DAT2B,                   0xFF4A1348,  __READ_WRITE )

__IO_REG8(      FCN1M013DAT3B,                   0xFF4A134C,  __READ_WRITE )

__IO_REG8(      FCN1M013DAT4B,                   0xFF4A1350,  __READ_WRITE )

__IO_REG8(      FCN1M013DAT5B,                   0xFF4A1354,  __READ_WRITE )

__IO_REG8(      FCN1M013DAT6B,                   0xFF4A1358,  __READ_WRITE )

__IO_REG8(      FCN1M013DAT7B,                   0xFF4A135C,  __READ_WRITE )

__IO_REG8(      FCN1M013DTLGB,                   0xFF4A1360,  __READ_WRITE )

__IO_REG8(      FCN1M013STRB,                    0xFF4A1364,  __READ_WRITE )

__IO_REG8(      FCN1M014DAT0B,                   0xFF4A1380,  __READ_WRITE )

__IO_REG8(      FCN1M014DAT1B,                   0xFF4A1384,  __READ_WRITE )

__IO_REG8(      FCN1M014DAT2B,                   0xFF4A1388,  __READ_WRITE )

__IO_REG8(      FCN1M014DAT3B,                   0xFF4A138C,  __READ_WRITE )

__IO_REG8(      FCN1M014DAT4B,                   0xFF4A1390,  __READ_WRITE )

__IO_REG8(      FCN1M014DAT5B,                   0xFF4A1394,  __READ_WRITE )

__IO_REG8(      FCN1M014DAT6B,                   0xFF4A1398,  __READ_WRITE )

__IO_REG8(      FCN1M014DAT7B,                   0xFF4A139C,  __READ_WRITE )

__IO_REG8(      FCN1M014DTLGB,                   0xFF4A13A0,  __READ_WRITE )

__IO_REG8(      FCN1M014STRB,                    0xFF4A13A4,  __READ_WRITE )

__IO_REG8(      FCN1M015DAT0B,                   0xFF4A13C0,  __READ_WRITE )

__IO_REG8(      FCN1M015DAT1B,                   0xFF4A13C4,  __READ_WRITE )

__IO_REG8(      FCN1M015DAT2B,                   0xFF4A13C8,  __READ_WRITE )

__IO_REG8(      FCN1M015DAT3B,                   0xFF4A13CC,  __READ_WRITE )

__IO_REG8(      FCN1M015DAT4B,                   0xFF4A13D0,  __READ_WRITE )

__IO_REG8(      FCN1M015DAT5B,                   0xFF4A13D4,  __READ_WRITE )

__IO_REG8(      FCN1M015DAT6B,                   0xFF4A13D8,  __READ_WRITE )

__IO_REG8(      FCN1M015DAT7B,                   0xFF4A13DC,  __READ_WRITE )

__IO_REG8(      FCN1M015DTLGB,                   0xFF4A13E0,  __READ_WRITE )

__IO_REG8(      FCN1M015STRB,                    0xFF4A13E4,  __READ_WRITE )

__IO_REG8(      FCN1M016DAT0B,                   0xFF4A1400,  __READ_WRITE )

__IO_REG8(      FCN1M016DAT1B,                   0xFF4A1404,  __READ_WRITE )

__IO_REG8(      FCN1M016DAT2B,                   0xFF4A1408,  __READ_WRITE )

__IO_REG8(      FCN1M016DAT3B,                   0xFF4A140C,  __READ_WRITE )

__IO_REG8(      FCN1M016DAT4B,                   0xFF4A1410,  __READ_WRITE )

__IO_REG8(      FCN1M016DAT5B,                   0xFF4A1414,  __READ_WRITE )

__IO_REG8(      FCN1M016DAT6B,                   0xFF4A1418,  __READ_WRITE )

__IO_REG8(      FCN1M016DAT7B,                   0xFF4A141C,  __READ_WRITE )

__IO_REG8(      FCN1M016DTLGB,                   0xFF4A1420,  __READ_WRITE )

__IO_REG8(      FCN1M016STRB,                    0xFF4A1424,  __READ_WRITE )

__IO_REG8(      FCN1M017DAT0B,                   0xFF4A1440,  __READ_WRITE )

__IO_REG8(      FCN1M017DAT1B,                   0xFF4A1444,  __READ_WRITE )

__IO_REG8(      FCN1M017DAT2B,                   0xFF4A1448,  __READ_WRITE )

__IO_REG8(      FCN1M017DAT3B,                   0xFF4A144C,  __READ_WRITE )

__IO_REG8(      FCN1M017DAT4B,                   0xFF4A1450,  __READ_WRITE )

__IO_REG8(      FCN1M017DAT5B,                   0xFF4A1454,  __READ_WRITE )

__IO_REG8(      FCN1M017DAT6B,                   0xFF4A1458,  __READ_WRITE )

__IO_REG8(      FCN1M017DAT7B,                   0xFF4A145C,  __READ_WRITE )

__IO_REG8(      FCN1M017DTLGB,                   0xFF4A1460,  __READ_WRITE )

__IO_REG8(      FCN1M017STRB,                    0xFF4A1464,  __READ_WRITE )

__IO_REG8(      FCN1M018DAT0B,                   0xFF4A1480,  __READ_WRITE )

__IO_REG8(      FCN1M018DAT1B,                   0xFF4A1484,  __READ_WRITE )

__IO_REG8(      FCN1M018DAT2B,                   0xFF4A1488,  __READ_WRITE )

__IO_REG8(      FCN1M018DAT3B,                   0xFF4A148C,  __READ_WRITE )

__IO_REG8(      FCN1M018DAT4B,                   0xFF4A1490,  __READ_WRITE )

__IO_REG8(      FCN1M018DAT5B,                   0xFF4A1494,  __READ_WRITE )

__IO_REG8(      FCN1M018DAT6B,                   0xFF4A1498,  __READ_WRITE )

__IO_REG8(      FCN1M018DAT7B,                   0xFF4A149C,  __READ_WRITE )

__IO_REG8(      FCN1M018DTLGB,                   0xFF4A14A0,  __READ_WRITE )

__IO_REG8(      FCN1M018STRB,                    0xFF4A14A4,  __READ_WRITE )

__IO_REG8(      FCN1M019DAT0B,                   0xFF4A14C0,  __READ_WRITE )

__IO_REG8(      FCN1M019DAT1B,                   0xFF4A14C4,  __READ_WRITE )

__IO_REG8(      FCN1M019DAT2B,                   0xFF4A14C8,  __READ_WRITE )

__IO_REG8(      FCN1M019DAT3B,                   0xFF4A14CC,  __READ_WRITE )

__IO_REG8(      FCN1M019DAT4B,                   0xFF4A14D0,  __READ_WRITE )

__IO_REG8(      FCN1M019DAT5B,                   0xFF4A14D4,  __READ_WRITE )

__IO_REG8(      FCN1M019DAT6B,                   0xFF4A14D8,  __READ_WRITE )

__IO_REG8(      FCN1M019DAT7B,                   0xFF4A14DC,  __READ_WRITE )

__IO_REG8(      FCN1M019DTLGB,                   0xFF4A14E0,  __READ_WRITE )

__IO_REG8(      FCN1M019STRB,                    0xFF4A14E4,  __READ_WRITE )

__IO_REG8(      FCN1M020DAT0B,                   0xFF4A1500,  __READ_WRITE )

__IO_REG8(      FCN1M020DAT1B,                   0xFF4A1504,  __READ_WRITE )

__IO_REG8(      FCN1M020DAT2B,                   0xFF4A1508,  __READ_WRITE )

__IO_REG8(      FCN1M020DAT3B,                   0xFF4A150C,  __READ_WRITE )

__IO_REG8(      FCN1M020DAT4B,                   0xFF4A1510,  __READ_WRITE )

__IO_REG8(      FCN1M020DAT5B,                   0xFF4A1514,  __READ_WRITE )

__IO_REG8(      FCN1M020DAT6B,                   0xFF4A1518,  __READ_WRITE )

__IO_REG8(      FCN1M020DAT7B,                   0xFF4A151C,  __READ_WRITE )

__IO_REG8(      FCN1M020DTLGB,                   0xFF4A1520,  __READ_WRITE )

__IO_REG8(      FCN1M020STRB,                    0xFF4A1524,  __READ_WRITE )

__IO_REG8(      FCN1M021DAT0B,                   0xFF4A1540,  __READ_WRITE )

__IO_REG8(      FCN1M021DAT1B,                   0xFF4A1544,  __READ_WRITE )

__IO_REG8(      FCN1M021DAT2B,                   0xFF4A1548,  __READ_WRITE )

__IO_REG8(      FCN1M021DAT3B,                   0xFF4A154C,  __READ_WRITE )

__IO_REG8(      FCN1M021DAT4B,                   0xFF4A1550,  __READ_WRITE )

__IO_REG8(      FCN1M021DAT5B,                   0xFF4A1554,  __READ_WRITE )

__IO_REG8(      FCN1M021DAT6B,                   0xFF4A1558,  __READ_WRITE )

__IO_REG8(      FCN1M021DAT7B,                   0xFF4A155C,  __READ_WRITE )

__IO_REG8(      FCN1M021DTLGB,                   0xFF4A1560,  __READ_WRITE )

__IO_REG8(      FCN1M021STRB,                    0xFF4A1564,  __READ_WRITE )

__IO_REG8(      FCN1M022DAT0B,                   0xFF4A1580,  __READ_WRITE )

__IO_REG8(      FCN1M022DAT1B,                   0xFF4A1584,  __READ_WRITE )

__IO_REG8(      FCN1M022DAT2B,                   0xFF4A1588,  __READ_WRITE )

__IO_REG8(      FCN1M022DAT3B,                   0xFF4A158C,  __READ_WRITE )

__IO_REG8(      FCN1M022DAT4B,                   0xFF4A1590,  __READ_WRITE )

__IO_REG8(      FCN1M022DAT5B,                   0xFF4A1594,  __READ_WRITE )

__IO_REG8(      FCN1M022DAT6B,                   0xFF4A1598,  __READ_WRITE )

__IO_REG8(      FCN1M022DAT7B,                   0xFF4A159C,  __READ_WRITE )

__IO_REG8(      FCN1M022DTLGB,                   0xFF4A15A0,  __READ_WRITE )

__IO_REG8(      FCN1M022STRB,                    0xFF4A15A4,  __READ_WRITE )

__IO_REG8(      FCN1M023DAT0B,                   0xFF4A15C0,  __READ_WRITE )

__IO_REG8(      FCN1M023DAT1B,                   0xFF4A15C4,  __READ_WRITE )

__IO_REG8(      FCN1M023DAT2B,                   0xFF4A15C8,  __READ_WRITE )

__IO_REG8(      FCN1M023DAT3B,                   0xFF4A15CC,  __READ_WRITE )

__IO_REG8(      FCN1M023DAT4B,                   0xFF4A15D0,  __READ_WRITE )

__IO_REG8(      FCN1M023DAT5B,                   0xFF4A15D4,  __READ_WRITE )

__IO_REG8(      FCN1M023DAT6B,                   0xFF4A15D8,  __READ_WRITE )

__IO_REG8(      FCN1M023DAT7B,                   0xFF4A15DC,  __READ_WRITE )

__IO_REG8(      FCN1M023DTLGB,                   0xFF4A15E0,  __READ_WRITE )

__IO_REG8(      FCN1M023STRB,                    0xFF4A15E4,  __READ_WRITE )

__IO_REG8(      FCN1M024DAT0B,                   0xFF4A1600,  __READ_WRITE )

__IO_REG8(      FCN1M024DAT1B,                   0xFF4A1604,  __READ_WRITE )

__IO_REG8(      FCN1M024DAT2B,                   0xFF4A1608,  __READ_WRITE )

__IO_REG8(      FCN1M024DAT3B,                   0xFF4A160C,  __READ_WRITE )

__IO_REG8(      FCN1M024DAT4B,                   0xFF4A1610,  __READ_WRITE )

__IO_REG8(      FCN1M024DAT5B,                   0xFF4A1614,  __READ_WRITE )

__IO_REG8(      FCN1M024DAT6B,                   0xFF4A1618,  __READ_WRITE )

__IO_REG8(      FCN1M024DAT7B,                   0xFF4A161C,  __READ_WRITE )

__IO_REG8(      FCN1M024DTLGB,                   0xFF4A1620,  __READ_WRITE )

__IO_REG8(      FCN1M024STRB,                    0xFF4A1624,  __READ_WRITE )

__IO_REG8(      FCN1M025DAT0B,                   0xFF4A1640,  __READ_WRITE )

__IO_REG8(      FCN1M025DAT1B,                   0xFF4A1644,  __READ_WRITE )

__IO_REG8(      FCN1M025DAT2B,                   0xFF4A1648,  __READ_WRITE )

__IO_REG8(      FCN1M025DAT3B,                   0xFF4A164C,  __READ_WRITE )

__IO_REG8(      FCN1M025DAT4B,                   0xFF4A1650,  __READ_WRITE )

__IO_REG8(      FCN1M025DAT5B,                   0xFF4A1654,  __READ_WRITE )

__IO_REG8(      FCN1M025DAT6B,                   0xFF4A1658,  __READ_WRITE )

__IO_REG8(      FCN1M025DAT7B,                   0xFF4A165C,  __READ_WRITE )

__IO_REG8(      FCN1M025DTLGB,                   0xFF4A1660,  __READ_WRITE )

__IO_REG8(      FCN1M025STRB,                    0xFF4A1664,  __READ_WRITE )

__IO_REG8(      FCN1M026DAT0B,                   0xFF4A1680,  __READ_WRITE )

__IO_REG8(      FCN1M026DAT1B,                   0xFF4A1684,  __READ_WRITE )

__IO_REG8(      FCN1M026DAT2B,                   0xFF4A1688,  __READ_WRITE )

__IO_REG8(      FCN1M026DAT3B,                   0xFF4A168C,  __READ_WRITE )

__IO_REG8(      FCN1M026DAT4B,                   0xFF4A1690,  __READ_WRITE )

__IO_REG8(      FCN1M026DAT5B,                   0xFF4A1694,  __READ_WRITE )

__IO_REG8(      FCN1M026DAT6B,                   0xFF4A1698,  __READ_WRITE )

__IO_REG8(      FCN1M026DAT7B,                   0xFF4A169C,  __READ_WRITE )

__IO_REG8(      FCN1M026DTLGB,                   0xFF4A16A0,  __READ_WRITE )

__IO_REG8(      FCN1M026STRB,                    0xFF4A16A4,  __READ_WRITE )

__IO_REG8(      FCN1M027DAT0B,                   0xFF4A16C0,  __READ_WRITE )

__IO_REG8(      FCN1M027DAT1B,                   0xFF4A16C4,  __READ_WRITE )

__IO_REG8(      FCN1M027DAT2B,                   0xFF4A16C8,  __READ_WRITE )

__IO_REG8(      FCN1M027DAT3B,                   0xFF4A16CC,  __READ_WRITE )

__IO_REG8(      FCN1M027DAT4B,                   0xFF4A16D0,  __READ_WRITE )

__IO_REG8(      FCN1M027DAT5B,                   0xFF4A16D4,  __READ_WRITE )

__IO_REG8(      FCN1M027DAT6B,                   0xFF4A16D8,  __READ_WRITE )

__IO_REG8(      FCN1M027DAT7B,                   0xFF4A16DC,  __READ_WRITE )

__IO_REG8(      FCN1M027DTLGB,                   0xFF4A16E0,  __READ_WRITE )

__IO_REG8(      FCN1M027STRB,                    0xFF4A16E4,  __READ_WRITE )

__IO_REG8(      FCN1M028DAT0B,                   0xFF4A1700,  __READ_WRITE )

__IO_REG8(      FCN1M028DAT1B,                   0xFF4A1704,  __READ_WRITE )

__IO_REG8(      FCN1M028DAT2B,                   0xFF4A1708,  __READ_WRITE )

__IO_REG8(      FCN1M028DAT3B,                   0xFF4A170C,  __READ_WRITE )

__IO_REG8(      FCN1M028DAT4B,                   0xFF4A1710,  __READ_WRITE )

__IO_REG8(      FCN1M028DAT5B,                   0xFF4A1714,  __READ_WRITE )

__IO_REG8(      FCN1M028DAT6B,                   0xFF4A1718,  __READ_WRITE )

__IO_REG8(      FCN1M028DAT7B,                   0xFF4A171C,  __READ_WRITE )

__IO_REG8(      FCN1M028DTLGB,                   0xFF4A1720,  __READ_WRITE )

__IO_REG8(      FCN1M028STRB,                    0xFF4A1724,  __READ_WRITE )

__IO_REG8(      FCN1M029DAT0B,                   0xFF4A1740,  __READ_WRITE )

__IO_REG8(      FCN1M029DAT1B,                   0xFF4A1744,  __READ_WRITE )

__IO_REG8(      FCN1M029DAT2B,                   0xFF4A1748,  __READ_WRITE )

__IO_REG8(      FCN1M029DAT3B,                   0xFF4A174C,  __READ_WRITE )

__IO_REG8(      FCN1M029DAT4B,                   0xFF4A1750,  __READ_WRITE )

__IO_REG8(      FCN1M029DAT5B,                   0xFF4A1754,  __READ_WRITE )

__IO_REG8(      FCN1M029DAT6B,                   0xFF4A1758,  __READ_WRITE )

__IO_REG8(      FCN1M029DAT7B,                   0xFF4A175C,  __READ_WRITE )

__IO_REG8(      FCN1M029DTLGB,                   0xFF4A1760,  __READ_WRITE )

__IO_REG8(      FCN1M029STRB,                    0xFF4A1764,  __READ_WRITE )

__IO_REG8(      FCN1M030DAT0B,                   0xFF4A1780,  __READ_WRITE )

__IO_REG8(      FCN1M030DAT1B,                   0xFF4A1784,  __READ_WRITE )

__IO_REG8(      FCN1M030DAT2B,                   0xFF4A1788,  __READ_WRITE )

__IO_REG8(      FCN1M030DAT3B,                   0xFF4A178C,  __READ_WRITE )

__IO_REG8(      FCN1M030DAT4B,                   0xFF4A1790,  __READ_WRITE )

__IO_REG8(      FCN1M030DAT5B,                   0xFF4A1794,  __READ_WRITE )

__IO_REG8(      FCN1M030DAT6B,                   0xFF4A1798,  __READ_WRITE )

__IO_REG8(      FCN1M030DAT7B,                   0xFF4A179C,  __READ_WRITE )

__IO_REG8(      FCN1M030DTLGB,                   0xFF4A17A0,  __READ_WRITE )

__IO_REG8(      FCN1M030STRB,                    0xFF4A17A4,  __READ_WRITE )

__IO_REG8(      FCN1M031DAT0B,                   0xFF4A17C0,  __READ_WRITE )

__IO_REG8(      FCN1M031DAT1B,                   0xFF4A17C4,  __READ_WRITE )

__IO_REG8(      FCN1M031DAT2B,                   0xFF4A17C8,  __READ_WRITE )

__IO_REG8(      FCN1M031DAT3B,                   0xFF4A17CC,  __READ_WRITE )

__IO_REG8(      FCN1M031DAT4B,                   0xFF4A17D0,  __READ_WRITE )

__IO_REG8(      FCN1M031DAT5B,                   0xFF4A17D4,  __READ_WRITE )

__IO_REG8(      FCN1M031DAT6B,                   0xFF4A17D8,  __READ_WRITE )

__IO_REG8(      FCN1M031DAT7B,                   0xFF4A17DC,  __READ_WRITE )

__IO_REG8(      FCN1M031DTLGB,                   0xFF4A17E0,  __READ_WRITE )

__IO_REG8(      FCN1M031STRB,                    0xFF4A17E4,  __READ_WRITE )

__IO_REG8(      FCN1M032DAT0B,                   0xFF4A1800,  __READ_WRITE )

__IO_REG8(      FCN1M032DAT1B,                   0xFF4A1804,  __READ_WRITE )

__IO_REG8(      FCN1M032DAT2B,                   0xFF4A1808,  __READ_WRITE )

__IO_REG8(      FCN1M032DAT3B,                   0xFF4A180C,  __READ_WRITE )

__IO_REG8(      FCN1M032DAT4B,                   0xFF4A1810,  __READ_WRITE )

__IO_REG8(      FCN1M032DAT5B,                   0xFF4A1814,  __READ_WRITE )

__IO_REG8(      FCN1M032DAT6B,                   0xFF4A1818,  __READ_WRITE )

__IO_REG8(      FCN1M032DAT7B,                   0xFF4A181C,  __READ_WRITE )

__IO_REG8(      FCN1M032DTLGB,                   0xFF4A1820,  __READ_WRITE )

__IO_REG8(      FCN1M032STRB,                    0xFF4A1824,  __READ_WRITE )

__IO_REG8(      FCN1M033DAT0B,                   0xFF4A1840,  __READ_WRITE )

__IO_REG8(      FCN1M033DAT1B,                   0xFF4A1844,  __READ_WRITE )

__IO_REG8(      FCN1M033DAT2B,                   0xFF4A1848,  __READ_WRITE )

__IO_REG8(      FCN1M033DAT3B,                   0xFF4A184C,  __READ_WRITE )

__IO_REG8(      FCN1M033DAT4B,                   0xFF4A1850,  __READ_WRITE )

__IO_REG8(      FCN1M033DAT5B,                   0xFF4A1854,  __READ_WRITE )

__IO_REG8(      FCN1M033DAT6B,                   0xFF4A1858,  __READ_WRITE )

__IO_REG8(      FCN1M033DAT7B,                   0xFF4A185C,  __READ_WRITE )

__IO_REG8(      FCN1M033DTLGB,                   0xFF4A1860,  __READ_WRITE )

__IO_REG8(      FCN1M033STRB,                    0xFF4A1864,  __READ_WRITE )

__IO_REG8(      FCN1M034DAT0B,                   0xFF4A1880,  __READ_WRITE )

__IO_REG8(      FCN1M034DAT1B,                   0xFF4A1884,  __READ_WRITE )

__IO_REG8(      FCN1M034DAT2B,                   0xFF4A1888,  __READ_WRITE )

__IO_REG8(      FCN1M034DAT3B,                   0xFF4A188C,  __READ_WRITE )

__IO_REG8(      FCN1M034DAT4B,                   0xFF4A1890,  __READ_WRITE )

__IO_REG8(      FCN1M034DAT5B,                   0xFF4A1894,  __READ_WRITE )

__IO_REG8(      FCN1M034DAT6B,                   0xFF4A1898,  __READ_WRITE )

__IO_REG8(      FCN1M034DAT7B,                   0xFF4A189C,  __READ_WRITE )

__IO_REG8(      FCN1M034DTLGB,                   0xFF4A18A0,  __READ_WRITE )

__IO_REG8(      FCN1M034STRB,                    0xFF4A18A4,  __READ_WRITE )

__IO_REG8(      FCN1M035DAT0B,                   0xFF4A18C0,  __READ_WRITE )

__IO_REG8(      FCN1M035DAT1B,                   0xFF4A18C4,  __READ_WRITE )

__IO_REG8(      FCN1M035DAT2B,                   0xFF4A18C8,  __READ_WRITE )

__IO_REG8(      FCN1M035DAT3B,                   0xFF4A18CC,  __READ_WRITE )

__IO_REG8(      FCN1M035DAT4B,                   0xFF4A18D0,  __READ_WRITE )

__IO_REG8(      FCN1M035DAT5B,                   0xFF4A18D4,  __READ_WRITE )

__IO_REG8(      FCN1M035DAT6B,                   0xFF4A18D8,  __READ_WRITE )

__IO_REG8(      FCN1M035DAT7B,                   0xFF4A18DC,  __READ_WRITE )

__IO_REG8(      FCN1M035DTLGB,                   0xFF4A18E0,  __READ_WRITE )

__IO_REG8(      FCN1M035STRB,                    0xFF4A18E4,  __READ_WRITE )

__IO_REG8(      FCN1M036DAT0B,                   0xFF4A1900,  __READ_WRITE )

__IO_REG8(      FCN1M036DAT1B,                   0xFF4A1904,  __READ_WRITE )

__IO_REG8(      FCN1M036DAT2B,                   0xFF4A1908,  __READ_WRITE )

__IO_REG8(      FCN1M036DAT3B,                   0xFF4A190C,  __READ_WRITE )

__IO_REG8(      FCN1M036DAT4B,                   0xFF4A1910,  __READ_WRITE )

__IO_REG8(      FCN1M036DAT5B,                   0xFF4A1914,  __READ_WRITE )

__IO_REG8(      FCN1M036DAT6B,                   0xFF4A1918,  __READ_WRITE )

__IO_REG8(      FCN1M036DAT7B,                   0xFF4A191C,  __READ_WRITE )

__IO_REG8(      FCN1M036DTLGB,                   0xFF4A1920,  __READ_WRITE )

__IO_REG8(      FCN1M036STRB,                    0xFF4A1924,  __READ_WRITE )

__IO_REG8(      FCN1M037DAT0B,                   0xFF4A1940,  __READ_WRITE )

__IO_REG8(      FCN1M037DAT1B,                   0xFF4A1944,  __READ_WRITE )

__IO_REG8(      FCN1M037DAT2B,                   0xFF4A1948,  __READ_WRITE )

__IO_REG8(      FCN1M037DAT3B,                   0xFF4A194C,  __READ_WRITE )

__IO_REG8(      FCN1M037DAT4B,                   0xFF4A1950,  __READ_WRITE )

__IO_REG8(      FCN1M037DAT5B,                   0xFF4A1954,  __READ_WRITE )

__IO_REG8(      FCN1M037DAT6B,                   0xFF4A1958,  __READ_WRITE )

__IO_REG8(      FCN1M037DAT7B,                   0xFF4A195C,  __READ_WRITE )

__IO_REG8(      FCN1M037DTLGB,                   0xFF4A1960,  __READ_WRITE )

__IO_REG8(      FCN1M037STRB,                    0xFF4A1964,  __READ_WRITE )

__IO_REG8(      FCN1M038DAT0B,                   0xFF4A1980,  __READ_WRITE )

__IO_REG8(      FCN1M038DAT1B,                   0xFF4A1984,  __READ_WRITE )

__IO_REG8(      FCN1M038DAT2B,                   0xFF4A1988,  __READ_WRITE )

__IO_REG8(      FCN1M038DAT3B,                   0xFF4A198C,  __READ_WRITE )

__IO_REG8(      FCN1M038DAT4B,                   0xFF4A1990,  __READ_WRITE )

__IO_REG8(      FCN1M038DAT5B,                   0xFF4A1994,  __READ_WRITE )

__IO_REG8(      FCN1M038DAT6B,                   0xFF4A1998,  __READ_WRITE )

__IO_REG8(      FCN1M038DAT7B,                   0xFF4A199C,  __READ_WRITE )

__IO_REG8(      FCN1M038DTLGB,                   0xFF4A19A0,  __READ_WRITE )

__IO_REG8(      FCN1M038STRB,                    0xFF4A19A4,  __READ_WRITE )

__IO_REG8(      FCN1M039DAT0B,                   0xFF4A19C0,  __READ_WRITE )

__IO_REG8(      FCN1M039DAT1B,                   0xFF4A19C4,  __READ_WRITE )

__IO_REG8(      FCN1M039DAT2B,                   0xFF4A19C8,  __READ_WRITE )

__IO_REG8(      FCN1M039DAT3B,                   0xFF4A19CC,  __READ_WRITE )

__IO_REG8(      FCN1M039DAT4B,                   0xFF4A19D0,  __READ_WRITE )

__IO_REG8(      FCN1M039DAT5B,                   0xFF4A19D4,  __READ_WRITE )

__IO_REG8(      FCN1M039DAT6B,                   0xFF4A19D8,  __READ_WRITE )

__IO_REG8(      FCN1M039DAT7B,                   0xFF4A19DC,  __READ_WRITE )

__IO_REG8(      FCN1M039DTLGB,                   0xFF4A19E0,  __READ_WRITE )

__IO_REG8(      FCN1M039STRB,                    0xFF4A19E4,  __READ_WRITE )

__IO_REG8(      FCN1M040DAT0B,                   0xFF4A1A00,  __READ_WRITE )

__IO_REG8(      FCN1M040DAT1B,                   0xFF4A1A04,  __READ_WRITE )

__IO_REG8(      FCN1M040DAT2B,                   0xFF4A1A08,  __READ_WRITE )

__IO_REG8(      FCN1M040DAT3B,                   0xFF4A1A0C,  __READ_WRITE )

__IO_REG8(      FCN1M040DAT4B,                   0xFF4A1A10,  __READ_WRITE )

__IO_REG8(      FCN1M040DAT5B,                   0xFF4A1A14,  __READ_WRITE )

__IO_REG8(      FCN1M040DAT6B,                   0xFF4A1A18,  __READ_WRITE )

__IO_REG8(      FCN1M040DAT7B,                   0xFF4A1A1C,  __READ_WRITE )

__IO_REG8(      FCN1M040DTLGB,                   0xFF4A1A20,  __READ_WRITE )

__IO_REG8(      FCN1M040STRB,                    0xFF4A1A24,  __READ_WRITE )

__IO_REG8(      FCN1M041DAT0B,                   0xFF4A1A40,  __READ_WRITE )

__IO_REG8(      FCN1M041DAT1B,                   0xFF4A1A44,  __READ_WRITE )

__IO_REG8(      FCN1M041DAT2B,                   0xFF4A1A48,  __READ_WRITE )

__IO_REG8(      FCN1M041DAT3B,                   0xFF4A1A4C,  __READ_WRITE )

__IO_REG8(      FCN1M041DAT4B,                   0xFF4A1A50,  __READ_WRITE )

__IO_REG8(      FCN1M041DAT5B,                   0xFF4A1A54,  __READ_WRITE )

__IO_REG8(      FCN1M041DAT6B,                   0xFF4A1A58,  __READ_WRITE )

__IO_REG8(      FCN1M041DAT7B,                   0xFF4A1A5C,  __READ_WRITE )

__IO_REG8(      FCN1M041DTLGB,                   0xFF4A1A60,  __READ_WRITE )

__IO_REG8(      FCN1M041STRB,                    0xFF4A1A64,  __READ_WRITE )

__IO_REG8(      FCN1M042DAT0B,                   0xFF4A1A80,  __READ_WRITE )

__IO_REG8(      FCN1M042DAT1B,                   0xFF4A1A84,  __READ_WRITE )

__IO_REG8(      FCN1M042DAT2B,                   0xFF4A1A88,  __READ_WRITE )

__IO_REG8(      FCN1M042DAT3B,                   0xFF4A1A8C,  __READ_WRITE )

__IO_REG8(      FCN1M042DAT4B,                   0xFF4A1A90,  __READ_WRITE )

__IO_REG8(      FCN1M042DAT5B,                   0xFF4A1A94,  __READ_WRITE )

__IO_REG8(      FCN1M042DAT6B,                   0xFF4A1A98,  __READ_WRITE )

__IO_REG8(      FCN1M042DAT7B,                   0xFF4A1A9C,  __READ_WRITE )

__IO_REG8(      FCN1M042DTLGB,                   0xFF4A1AA0,  __READ_WRITE )

__IO_REG8(      FCN1M042STRB,                    0xFF4A1AA4,  __READ_WRITE )

__IO_REG8(      FCN1M043DAT0B,                   0xFF4A1AC0,  __READ_WRITE )

__IO_REG8(      FCN1M043DAT1B,                   0xFF4A1AC4,  __READ_WRITE )

__IO_REG8(      FCN1M043DAT2B,                   0xFF4A1AC8,  __READ_WRITE )

__IO_REG8(      FCN1M043DAT3B,                   0xFF4A1ACC,  __READ_WRITE )

__IO_REG8(      FCN1M043DAT4B,                   0xFF4A1AD0,  __READ_WRITE )

__IO_REG8(      FCN1M043DAT5B,                   0xFF4A1AD4,  __READ_WRITE )

__IO_REG8(      FCN1M043DAT6B,                   0xFF4A1AD8,  __READ_WRITE )

__IO_REG8(      FCN1M043DAT7B,                   0xFF4A1ADC,  __READ_WRITE )

__IO_REG8(      FCN1M043DTLGB,                   0xFF4A1AE0,  __READ_WRITE )

__IO_REG8(      FCN1M043STRB,                    0xFF4A1AE4,  __READ_WRITE )

__IO_REG8(      FCN1M044DAT0B,                   0xFF4A1B00,  __READ_WRITE )

__IO_REG8(      FCN1M044DAT1B,                   0xFF4A1B04,  __READ_WRITE )

__IO_REG8(      FCN1M044DAT2B,                   0xFF4A1B08,  __READ_WRITE )

__IO_REG8(      FCN1M044DAT3B,                   0xFF4A1B0C,  __READ_WRITE )

__IO_REG8(      FCN1M044DAT4B,                   0xFF4A1B10,  __READ_WRITE )

__IO_REG8(      FCN1M044DAT5B,                   0xFF4A1B14,  __READ_WRITE )

__IO_REG8(      FCN1M044DAT6B,                   0xFF4A1B18,  __READ_WRITE )

__IO_REG8(      FCN1M044DAT7B,                   0xFF4A1B1C,  __READ_WRITE )

__IO_REG8(      FCN1M044DTLGB,                   0xFF4A1B20,  __READ_WRITE )

__IO_REG8(      FCN1M044STRB,                    0xFF4A1B24,  __READ_WRITE )

__IO_REG8(      FCN1M045DAT0B,                   0xFF4A1B40,  __READ_WRITE )

__IO_REG8(      FCN1M045DAT1B,                   0xFF4A1B44,  __READ_WRITE )

__IO_REG8(      FCN1M045DAT2B,                   0xFF4A1B48,  __READ_WRITE )

__IO_REG8(      FCN1M045DAT3B,                   0xFF4A1B4C,  __READ_WRITE )

__IO_REG8(      FCN1M045DAT4B,                   0xFF4A1B50,  __READ_WRITE )

__IO_REG8(      FCN1M045DAT5B,                   0xFF4A1B54,  __READ_WRITE )

__IO_REG8(      FCN1M045DAT6B,                   0xFF4A1B58,  __READ_WRITE )

__IO_REG8(      FCN1M045DAT7B,                   0xFF4A1B5C,  __READ_WRITE )

__IO_REG8(      FCN1M045DTLGB,                   0xFF4A1B60,  __READ_WRITE )

__IO_REG8(      FCN1M045STRB,                    0xFF4A1B64,  __READ_WRITE )

__IO_REG8(      FCN1M046DAT0B,                   0xFF4A1B80,  __READ_WRITE )

__IO_REG8(      FCN1M046DAT1B,                   0xFF4A1B84,  __READ_WRITE )

__IO_REG8(      FCN1M046DAT2B,                   0xFF4A1B88,  __READ_WRITE )

__IO_REG8(      FCN1M046DAT3B,                   0xFF4A1B8C,  __READ_WRITE )

__IO_REG8(      FCN1M046DAT4B,                   0xFF4A1B90,  __READ_WRITE )

__IO_REG8(      FCN1M046DAT5B,                   0xFF4A1B94,  __READ_WRITE )

__IO_REG8(      FCN1M046DAT6B,                   0xFF4A1B98,  __READ_WRITE )

__IO_REG8(      FCN1M046DAT7B,                   0xFF4A1B9C,  __READ_WRITE )

__IO_REG8(      FCN1M046DTLGB,                   0xFF4A1BA0,  __READ_WRITE )

__IO_REG8(      FCN1M046STRB,                    0xFF4A1BA4,  __READ_WRITE )

__IO_REG8(      FCN1M047DAT0B,                   0xFF4A1BC0,  __READ_WRITE )

__IO_REG8(      FCN1M047DAT1B,                   0xFF4A1BC4,  __READ_WRITE )

__IO_REG8(      FCN1M047DAT2B,                   0xFF4A1BC8,  __READ_WRITE )

__IO_REG8(      FCN1M047DAT3B,                   0xFF4A1BCC,  __READ_WRITE )

__IO_REG8(      FCN1M047DAT4B,                   0xFF4A1BD0,  __READ_WRITE )

__IO_REG8(      FCN1M047DAT5B,                   0xFF4A1BD4,  __READ_WRITE )

__IO_REG8(      FCN1M047DAT6B,                   0xFF4A1BD8,  __READ_WRITE )

__IO_REG8(      FCN1M047DAT7B,                   0xFF4A1BDC,  __READ_WRITE )

__IO_REG8(      FCN1M047DTLGB,                   0xFF4A1BE0,  __READ_WRITE )

__IO_REG8(      FCN1M047STRB,                    0xFF4A1BE4,  __READ_WRITE )

__IO_REG8(      FCN1M048DAT0B,                   0xFF4A1C00,  __READ_WRITE )

__IO_REG8(      FCN1M048DAT1B,                   0xFF4A1C04,  __READ_WRITE )

__IO_REG8(      FCN1M048DAT2B,                   0xFF4A1C08,  __READ_WRITE )

__IO_REG8(      FCN1M048DAT3B,                   0xFF4A1C0C,  __READ_WRITE )

__IO_REG8(      FCN1M048DAT4B,                   0xFF4A1C10,  __READ_WRITE )

__IO_REG8(      FCN1M048DAT5B,                   0xFF4A1C14,  __READ_WRITE )

__IO_REG8(      FCN1M048DAT6B,                   0xFF4A1C18,  __READ_WRITE )

__IO_REG8(      FCN1M048DAT7B,                   0xFF4A1C1C,  __READ_WRITE )

__IO_REG8(      FCN1M048DTLGB,                   0xFF4A1C20,  __READ_WRITE )

__IO_REG8(      FCN1M048STRB,                    0xFF4A1C24,  __READ_WRITE )

__IO_REG8(      FCN1M049DAT0B,                   0xFF4A1C40,  __READ_WRITE )

__IO_REG8(      FCN1M049DAT1B,                   0xFF4A1C44,  __READ_WRITE )

__IO_REG8(      FCN1M049DAT2B,                   0xFF4A1C48,  __READ_WRITE )

__IO_REG8(      FCN1M049DAT3B,                   0xFF4A1C4C,  __READ_WRITE )

__IO_REG8(      FCN1M049DAT4B,                   0xFF4A1C50,  __READ_WRITE )

__IO_REG8(      FCN1M049DAT5B,                   0xFF4A1C54,  __READ_WRITE )

__IO_REG8(      FCN1M049DAT6B,                   0xFF4A1C58,  __READ_WRITE )

__IO_REG8(      FCN1M049DAT7B,                   0xFF4A1C5C,  __READ_WRITE )

__IO_REG8(      FCN1M049DTLGB,                   0xFF4A1C60,  __READ_WRITE )

__IO_REG8(      FCN1M049STRB,                    0xFF4A1C64,  __READ_WRITE )

__IO_REG8(      FCN1M050DAT0B,                   0xFF4A1C80,  __READ_WRITE )

__IO_REG8(      FCN1M050DAT1B,                   0xFF4A1C84,  __READ_WRITE )

__IO_REG8(      FCN1M050DAT2B,                   0xFF4A1C88,  __READ_WRITE )

__IO_REG8(      FCN1M050DAT3B,                   0xFF4A1C8C,  __READ_WRITE )

__IO_REG8(      FCN1M050DAT4B,                   0xFF4A1C90,  __READ_WRITE )

__IO_REG8(      FCN1M050DAT5B,                   0xFF4A1C94,  __READ_WRITE )

__IO_REG8(      FCN1M050DAT6B,                   0xFF4A1C98,  __READ_WRITE )

__IO_REG8(      FCN1M050DAT7B,                   0xFF4A1C9C,  __READ_WRITE )

__IO_REG8(      FCN1M050DTLGB,                   0xFF4A1CA0,  __READ_WRITE )

__IO_REG8(      FCN1M050STRB,                    0xFF4A1CA4,  __READ_WRITE )

__IO_REG8(      FCN1M051DAT0B,                   0xFF4A1CC0,  __READ_WRITE )

__IO_REG8(      FCN1M051DAT1B,                   0xFF4A1CC4,  __READ_WRITE )

__IO_REG8(      FCN1M051DAT2B,                   0xFF4A1CC8,  __READ_WRITE )

__IO_REG8(      FCN1M051DAT3B,                   0xFF4A1CCC,  __READ_WRITE )

__IO_REG8(      FCN1M051DAT4B,                   0xFF4A1CD0,  __READ_WRITE )

__IO_REG8(      FCN1M051DAT5B,                   0xFF4A1CD4,  __READ_WRITE )

__IO_REG8(      FCN1M051DAT6B,                   0xFF4A1CD8,  __READ_WRITE )

__IO_REG8(      FCN1M051DAT7B,                   0xFF4A1CDC,  __READ_WRITE )

__IO_REG8(      FCN1M051DTLGB,                   0xFF4A1CE0,  __READ_WRITE )

__IO_REG8(      FCN1M051STRB,                    0xFF4A1CE4,  __READ_WRITE )

__IO_REG8(      FCN1M052DAT0B,                   0xFF4A1D00,  __READ_WRITE )

__IO_REG8(      FCN1M052DAT1B,                   0xFF4A1D04,  __READ_WRITE )

__IO_REG8(      FCN1M052DAT2B,                   0xFF4A1D08,  __READ_WRITE )

__IO_REG8(      FCN1M052DAT3B,                   0xFF4A1D0C,  __READ_WRITE )

__IO_REG8(      FCN1M052DAT4B,                   0xFF4A1D10,  __READ_WRITE )

__IO_REG8(      FCN1M052DAT5B,                   0xFF4A1D14,  __READ_WRITE )

__IO_REG8(      FCN1M052DAT6B,                   0xFF4A1D18,  __READ_WRITE )

__IO_REG8(      FCN1M052DAT7B,                   0xFF4A1D1C,  __READ_WRITE )

__IO_REG8(      FCN1M052DTLGB,                   0xFF4A1D20,  __READ_WRITE )

__IO_REG8(      FCN1M052STRB,                    0xFF4A1D24,  __READ_WRITE )

__IO_REG8(      FCN1M053DAT0B,                   0xFF4A1D40,  __READ_WRITE )

__IO_REG8(      FCN1M053DAT1B,                   0xFF4A1D44,  __READ_WRITE )

__IO_REG8(      FCN1M053DAT2B,                   0xFF4A1D48,  __READ_WRITE )

__IO_REG8(      FCN1M053DAT3B,                   0xFF4A1D4C,  __READ_WRITE )

__IO_REG8(      FCN1M053DAT4B,                   0xFF4A1D50,  __READ_WRITE )

__IO_REG8(      FCN1M053DAT5B,                   0xFF4A1D54,  __READ_WRITE )

__IO_REG8(      FCN1M053DAT6B,                   0xFF4A1D58,  __READ_WRITE )

__IO_REG8(      FCN1M053DAT7B,                   0xFF4A1D5C,  __READ_WRITE )

__IO_REG8(      FCN1M053DTLGB,                   0xFF4A1D60,  __READ_WRITE )

__IO_REG8(      FCN1M053STRB,                    0xFF4A1D64,  __READ_WRITE )

__IO_REG8(      FCN1M054DAT0B,                   0xFF4A1D80,  __READ_WRITE )

__IO_REG8(      FCN1M054DAT1B,                   0xFF4A1D84,  __READ_WRITE )

__IO_REG8(      FCN1M054DAT2B,                   0xFF4A1D88,  __READ_WRITE )

__IO_REG8(      FCN1M054DAT3B,                   0xFF4A1D8C,  __READ_WRITE )

__IO_REG8(      FCN1M054DAT4B,                   0xFF4A1D90,  __READ_WRITE )

__IO_REG8(      FCN1M054DAT5B,                   0xFF4A1D94,  __READ_WRITE )

__IO_REG8(      FCN1M054DAT6B,                   0xFF4A1D98,  __READ_WRITE )

__IO_REG8(      FCN1M054DAT7B,                   0xFF4A1D9C,  __READ_WRITE )

__IO_REG8(      FCN1M054DTLGB,                   0xFF4A1DA0,  __READ_WRITE )

__IO_REG8(      FCN1M054STRB,                    0xFF4A1DA4,  __READ_WRITE )

__IO_REG8(      FCN1M055DAT0B,                   0xFF4A1DC0,  __READ_WRITE )

__IO_REG8(      FCN1M055DAT1B,                   0xFF4A1DC4,  __READ_WRITE )

__IO_REG8(      FCN1M055DAT2B,                   0xFF4A1DC8,  __READ_WRITE )

__IO_REG8(      FCN1M055DAT3B,                   0xFF4A1DCC,  __READ_WRITE )

__IO_REG8(      FCN1M055DAT4B,                   0xFF4A1DD0,  __READ_WRITE )

__IO_REG8(      FCN1M055DAT5B,                   0xFF4A1DD4,  __READ_WRITE )

__IO_REG8(      FCN1M055DAT6B,                   0xFF4A1DD8,  __READ_WRITE )

__IO_REG8(      FCN1M055DAT7B,                   0xFF4A1DDC,  __READ_WRITE )

__IO_REG8(      FCN1M055DTLGB,                   0xFF4A1DE0,  __READ_WRITE )

__IO_REG8(      FCN1M055STRB,                    0xFF4A1DE4,  __READ_WRITE )

__IO_REG8(      FCN1M056DAT0B,                   0xFF4A1E00,  __READ_WRITE )

__IO_REG8(      FCN1M056DAT1B,                   0xFF4A1E04,  __READ_WRITE )

__IO_REG8(      FCN1M056DAT2B,                   0xFF4A1E08,  __READ_WRITE )

__IO_REG8(      FCN1M056DAT3B,                   0xFF4A1E0C,  __READ_WRITE )

__IO_REG8(      FCN1M056DAT4B,                   0xFF4A1E10,  __READ_WRITE )

__IO_REG8(      FCN1M056DAT5B,                   0xFF4A1E14,  __READ_WRITE )

__IO_REG8(      FCN1M056DAT6B,                   0xFF4A1E18,  __READ_WRITE )

__IO_REG8(      FCN1M056DAT7B,                   0xFF4A1E1C,  __READ_WRITE )

__IO_REG8(      FCN1M056DTLGB,                   0xFF4A1E20,  __READ_WRITE )

__IO_REG8(      FCN1M056STRB,                    0xFF4A1E24,  __READ_WRITE )

__IO_REG8(      FCN1M057DAT0B,                   0xFF4A1E40,  __READ_WRITE )

__IO_REG8(      FCN1M057DAT1B,                   0xFF4A1E44,  __READ_WRITE )

__IO_REG8(      FCN1M057DAT2B,                   0xFF4A1E48,  __READ_WRITE )

__IO_REG8(      FCN1M057DAT3B,                   0xFF4A1E4C,  __READ_WRITE )

__IO_REG8(      FCN1M057DAT4B,                   0xFF4A1E50,  __READ_WRITE )

__IO_REG8(      FCN1M057DAT5B,                   0xFF4A1E54,  __READ_WRITE )

__IO_REG8(      FCN1M057DAT6B,                   0xFF4A1E58,  __READ_WRITE )

__IO_REG8(      FCN1M057DAT7B,                   0xFF4A1E5C,  __READ_WRITE )

__IO_REG8(      FCN1M057DTLGB,                   0xFF4A1E60,  __READ_WRITE )

__IO_REG8(      FCN1M057STRB,                    0xFF4A1E64,  __READ_WRITE )

__IO_REG8(      FCN1M058DAT0B,                   0xFF4A1E80,  __READ_WRITE )

__IO_REG8(      FCN1M058DAT1B,                   0xFF4A1E84,  __READ_WRITE )

__IO_REG8(      FCN1M058DAT2B,                   0xFF4A1E88,  __READ_WRITE )

__IO_REG8(      FCN1M058DAT3B,                   0xFF4A1E8C,  __READ_WRITE )

__IO_REG8(      FCN1M058DAT4B,                   0xFF4A1E90,  __READ_WRITE )

__IO_REG8(      FCN1M058DAT5B,                   0xFF4A1E94,  __READ_WRITE )

__IO_REG8(      FCN1M058DAT6B,                   0xFF4A1E98,  __READ_WRITE )

__IO_REG8(      FCN1M058DAT7B,                   0xFF4A1E9C,  __READ_WRITE )

__IO_REG8(      FCN1M058DTLGB,                   0xFF4A1EA0,  __READ_WRITE )

__IO_REG8(      FCN1M058STRB,                    0xFF4A1EA4,  __READ_WRITE )

__IO_REG8(      FCN1M059DAT0B,                   0xFF4A1EC0,  __READ_WRITE )

__IO_REG8(      FCN1M059DAT1B,                   0xFF4A1EC4,  __READ_WRITE )

__IO_REG8(      FCN1M059DAT2B,                   0xFF4A1EC8,  __READ_WRITE )

__IO_REG8(      FCN1M059DAT3B,                   0xFF4A1ECC,  __READ_WRITE )

__IO_REG8(      FCN1M059DAT4B,                   0xFF4A1ED0,  __READ_WRITE )

__IO_REG8(      FCN1M059DAT5B,                   0xFF4A1ED4,  __READ_WRITE )

__IO_REG8(      FCN1M059DAT6B,                   0xFF4A1ED8,  __READ_WRITE )

__IO_REG8(      FCN1M059DAT7B,                   0xFF4A1EDC,  __READ_WRITE )

__IO_REG8(      FCN1M059DTLGB,                   0xFF4A1EE0,  __READ_WRITE )

__IO_REG8(      FCN1M059STRB,                    0xFF4A1EE4,  __READ_WRITE )

__IO_REG8(      FCN1M060DAT0B,                   0xFF4A1F00,  __READ_WRITE )

__IO_REG8(      FCN1M060DAT1B,                   0xFF4A1F04,  __READ_WRITE )

__IO_REG8(      FCN1M060DAT2B,                   0xFF4A1F08,  __READ_WRITE )

__IO_REG8(      FCN1M060DAT3B,                   0xFF4A1F0C,  __READ_WRITE )

__IO_REG8(      FCN1M060DAT4B,                   0xFF4A1F10,  __READ_WRITE )

__IO_REG8(      FCN1M060DAT5B,                   0xFF4A1F14,  __READ_WRITE )

__IO_REG8(      FCN1M060DAT6B,                   0xFF4A1F18,  __READ_WRITE )

__IO_REG8(      FCN1M060DAT7B,                   0xFF4A1F1C,  __READ_WRITE )

__IO_REG8(      FCN1M060DTLGB,                   0xFF4A1F20,  __READ_WRITE )

__IO_REG8(      FCN1M060STRB,                    0xFF4A1F24,  __READ_WRITE )

__IO_REG8(      FCN1M061DAT0B,                   0xFF4A1F40,  __READ_WRITE )

__IO_REG8(      FCN1M061DAT1B,                   0xFF4A1F44,  __READ_WRITE )

__IO_REG8(      FCN1M061DAT2B,                   0xFF4A1F48,  __READ_WRITE )

__IO_REG8(      FCN1M061DAT3B,                   0xFF4A1F4C,  __READ_WRITE )

__IO_REG8(      FCN1M061DAT4B,                   0xFF4A1F50,  __READ_WRITE )

__IO_REG8(      FCN1M061DAT5B,                   0xFF4A1F54,  __READ_WRITE )

__IO_REG8(      FCN1M061DAT6B,                   0xFF4A1F58,  __READ_WRITE )

__IO_REG8(      FCN1M061DAT7B,                   0xFF4A1F5C,  __READ_WRITE )

__IO_REG8(      FCN1M061DTLGB,                   0xFF4A1F60,  __READ_WRITE )

__IO_REG8(      FCN1M061STRB,                    0xFF4A1F64,  __READ_WRITE )

__IO_REG8(      FCN1M062DAT0B,                   0xFF4A1F80,  __READ_WRITE )

__IO_REG8(      FCN1M062DAT1B,                   0xFF4A1F84,  __READ_WRITE )

__IO_REG8(      FCN1M062DAT2B,                   0xFF4A1F88,  __READ_WRITE )

__IO_REG8(      FCN1M062DAT3B,                   0xFF4A1F8C,  __READ_WRITE )

__IO_REG8(      FCN1M062DAT4B,                   0xFF4A1F90,  __READ_WRITE )

__IO_REG8(      FCN1M062DAT5B,                   0xFF4A1F94,  __READ_WRITE )

__IO_REG8(      FCN1M062DAT6B,                   0xFF4A1F98,  __READ_WRITE )

__IO_REG8(      FCN1M062DAT7B,                   0xFF4A1F9C,  __READ_WRITE )

__IO_REG8(      FCN1M062DTLGB,                   0xFF4A1FA0,  __READ_WRITE )

__IO_REG8(      FCN1M062STRB,                    0xFF4A1FA4,  __READ_WRITE )

__IO_REG8(      FCN1M063DAT0B,                   0xFF4A1FC0,  __READ_WRITE )

__IO_REG8(      FCN1M063DAT1B,                   0xFF4A1FC4,  __READ_WRITE )

__IO_REG8(      FCN1M063DAT2B,                   0xFF4A1FC8,  __READ_WRITE )

__IO_REG8(      FCN1M063DAT3B,                   0xFF4A1FCC,  __READ_WRITE )

__IO_REG8(      FCN1M063DAT4B,                   0xFF4A1FD0,  __READ_WRITE )

__IO_REG8(      FCN1M063DAT5B,                   0xFF4A1FD4,  __READ_WRITE )

__IO_REG8(      FCN1M063DAT6B,                   0xFF4A1FD8,  __READ_WRITE )

__IO_REG8(      FCN1M063DAT7B,                   0xFF4A1FDC,  __READ_WRITE )

__IO_REG8(      FCN1M063DTLGB,                   0xFF4A1FE0,  __READ_WRITE )

__IO_REG8(      FCN1M063STRB,                    0xFF4A1FE4,  __READ_WRITE )

__IO_REG16(     FCN1GMCLCTL,                     0xFF4A8000,  __READ_WRITE )

__IO_REG16(     FCN1GMABCTL,                     0xFF4A8018,  __READ_WRITE )

__IO_REG16(     FCN1CMCLCTL,                     0xFF4A8240,  __READ_WRITE )

__IO_REG16(     FCN1CMERCNT,                     0xFF4A8250,  __READ       )

__IO_REG16(     FCN1CMIECTL,                     0xFF4A8258,  __READ_WRITE )

__IO_REG16(     FCN1CMISCTL,                     0xFF4A8260,  __READ_WRITE )

__IO_REG16(     FCN1CMBTCTL,                     0xFF4A8270,  __READ_WRITE )

__IO_REG16(     FCN1CMRGRX,                      0xFF4A8280,  __READ_WRITE )

__IO_REG16(     FCN1CMTGTX,                      0xFF4A8290,  __READ_WRITE )

__IO_REG16(     FCN1CMTSCTL,                     0xFF4A8298,  __READ_WRITE )

__IO_REG16(     FCN1CMMKCTL01H,                  0xFF4A8300,  __READ_WRITE )

__IO_REG16(     FCN1CMMKCTL02H,                  0xFF4A8308,  __READ_WRITE )

__IO_REG16(     FCN1CMMKCTL03H,                  0xFF4A8310,  __READ_WRITE )

__IO_REG16(     FCN1CMMKCTL04H,                  0xFF4A8318,  __READ_WRITE )

__IO_REG16(     FCN1CMMKCTL05H,                  0xFF4A8320,  __READ_WRITE )

__IO_REG16(     FCN1CMMKCTL06H,                  0xFF4A8328,  __READ_WRITE )

__IO_REG16(     FCN1CMMKCTL07H,                  0xFF4A8330,  __READ_WRITE )

__IO_REG16(     FCN1CMMKCTL08H,                  0xFF4A8338,  __READ_WRITE )

__IO_REG16(     FCN1CMMKCTL09H,                  0xFF4A8340,  __READ_WRITE )

__IO_REG16(     FCN1CMMKCTL10H,                  0xFF4A8348,  __READ_WRITE )

__IO_REG16(     FCN1CMMKCTL11H,                  0xFF4A8350,  __READ_WRITE )

__IO_REG16(     FCN1CMMKCTL12H,                  0xFF4A8358,  __READ_WRITE )

__IO_REG16(     FCN1CMMKCTL13H,                  0xFF4A8360,  __READ_WRITE )

__IO_REG16(     FCN1CMMKCTL14H,                  0xFF4A8368,  __READ_WRITE )

__IO_REG16(     FCN1CMMKCTL15H,                  0xFF4A8370,  __READ_WRITE )

__IO_REG16(     FCN1CMMKCTL16H,                  0xFF4A8378,  __READ_WRITE )

__IO_REG16(     FCN1M000DAT0H,                   0xFF4A9000,  __READ_WRITE )

__IO_REG16(     FCN1M000DAT2H,                   0xFF4A9008,  __READ_WRITE )

__IO_REG16(     FCN1M000DAT4H,                   0xFF4A9010,  __READ_WRITE )

__IO_REG16(     FCN1M000DAT6H,                   0xFF4A9018,  __READ_WRITE )

__IO_REG16(     FCN1M000MID0H,                   0xFF4A9028,  __READ_WRITE )

__IO_REG16(     FCN1M000MID1H,                   0xFF4A9030,  __READ_WRITE )

__IO_REG16(     FCN1M000CTL,                     0xFF4A9038,  __READ_WRITE )

__IO_REG16(     FCN1M001DAT0H,                   0xFF4A9040,  __READ_WRITE )

__IO_REG16(     FCN1M001DAT2H,                   0xFF4A9048,  __READ_WRITE )

__IO_REG16(     FCN1M001DAT4H,                   0xFF4A9050,  __READ_WRITE )

__IO_REG16(     FCN1M001DAT6H,                   0xFF4A9058,  __READ_WRITE )

__IO_REG16(     FCN1M001MID0H,                   0xFF4A9068,  __READ_WRITE )

__IO_REG16(     FCN1M001MID1H,                   0xFF4A9070,  __READ_WRITE )

__IO_REG16(     FCN1M001CTL,                     0xFF4A9078,  __READ_WRITE )

__IO_REG16(     FCN1M002DAT0H,                   0xFF4A9080,  __READ_WRITE )

__IO_REG16(     FCN1M002DAT2H,                   0xFF4A9088,  __READ_WRITE )

__IO_REG16(     FCN1M002DAT4H,                   0xFF4A9090,  __READ_WRITE )

__IO_REG16(     FCN1M002DAT6H,                   0xFF4A9098,  __READ_WRITE )

__IO_REG16(     FCN1M002MID0H,                   0xFF4A90A8,  __READ_WRITE )

__IO_REG16(     FCN1M002MID1H,                   0xFF4A90B0,  __READ_WRITE )

__IO_REG16(     FCN1M002CTL,                     0xFF4A90B8,  __READ_WRITE )

__IO_REG16(     FCN1M003DAT0H,                   0xFF4A90C0,  __READ_WRITE )

__IO_REG16(     FCN1M003DAT2H,                   0xFF4A90C8,  __READ_WRITE )

__IO_REG16(     FCN1M003DAT4H,                   0xFF4A90D0,  __READ_WRITE )

__IO_REG16(     FCN1M003DAT6H,                   0xFF4A90D8,  __READ_WRITE )

__IO_REG16(     FCN1M003MID0H,                   0xFF4A90E8,  __READ_WRITE )

__IO_REG16(     FCN1M003MID1H,                   0xFF4A90F0,  __READ_WRITE )

__IO_REG16(     FCN1M003CTL,                     0xFF4A90F8,  __READ_WRITE )

__IO_REG16(     FCN1M004DAT0H,                   0xFF4A9100,  __READ_WRITE )

__IO_REG16(     FCN1M004DAT2H,                   0xFF4A9108,  __READ_WRITE )

__IO_REG16(     FCN1M004DAT4H,                   0xFF4A9110,  __READ_WRITE )

__IO_REG16(     FCN1M004DAT6H,                   0xFF4A9118,  __READ_WRITE )

__IO_REG16(     FCN1M004MID0H,                   0xFF4A9128,  __READ_WRITE )

__IO_REG16(     FCN1M004MID1H,                   0xFF4A9130,  __READ_WRITE )

__IO_REG16(     FCN1M004CTL,                     0xFF4A9138,  __READ_WRITE )

__IO_REG16(     FCN1M005DAT0H,                   0xFF4A9140,  __READ_WRITE )

__IO_REG16(     FCN1M005DAT2H,                   0xFF4A9148,  __READ_WRITE )

__IO_REG16(     FCN1M005DAT4H,                   0xFF4A9150,  __READ_WRITE )

__IO_REG16(     FCN1M005DAT6H,                   0xFF4A9158,  __READ_WRITE )

__IO_REG16(     FCN1M005MID0H,                   0xFF4A9168,  __READ_WRITE )

__IO_REG16(     FCN1M005MID1H,                   0xFF4A9170,  __READ_WRITE )

__IO_REG16(     FCN1M005CTL,                     0xFF4A9178,  __READ_WRITE )

__IO_REG16(     FCN1M006DAT0H,                   0xFF4A9180,  __READ_WRITE )

__IO_REG16(     FCN1M006DAT2H,                   0xFF4A9188,  __READ_WRITE )

__IO_REG16(     FCN1M006DAT4H,                   0xFF4A9190,  __READ_WRITE )

__IO_REG16(     FCN1M006DAT6H,                   0xFF4A9198,  __READ_WRITE )

__IO_REG16(     FCN1M006MID0H,                   0xFF4A91A8,  __READ_WRITE )

__IO_REG16(     FCN1M006MID1H,                   0xFF4A91B0,  __READ_WRITE )

__IO_REG16(     FCN1M006CTL,                     0xFF4A91B8,  __READ_WRITE )

__IO_REG16(     FCN1M007DAT0H,                   0xFF4A91C0,  __READ_WRITE )

__IO_REG16(     FCN1M007DAT2H,                   0xFF4A91C8,  __READ_WRITE )

__IO_REG16(     FCN1M007DAT4H,                   0xFF4A91D0,  __READ_WRITE )

__IO_REG16(     FCN1M007DAT6H,                   0xFF4A91D8,  __READ_WRITE )

__IO_REG16(     FCN1M007MID0H,                   0xFF4A91E8,  __READ_WRITE )

__IO_REG16(     FCN1M007MID1H,                   0xFF4A91F0,  __READ_WRITE )

__IO_REG16(     FCN1M007CTL,                     0xFF4A91F8,  __READ_WRITE )

__IO_REG16(     FCN1M008DAT0H,                   0xFF4A9200,  __READ_WRITE )

__IO_REG16(     FCN1M008DAT2H,                   0xFF4A9208,  __READ_WRITE )

__IO_REG16(     FCN1M008DAT4H,                   0xFF4A9210,  __READ_WRITE )

__IO_REG16(     FCN1M008DAT6H,                   0xFF4A9218,  __READ_WRITE )

__IO_REG16(     FCN1M008MID0H,                   0xFF4A9228,  __READ_WRITE )

__IO_REG16(     FCN1M008MID1H,                   0xFF4A9230,  __READ_WRITE )

__IO_REG16(     FCN1M008CTL,                     0xFF4A9238,  __READ_WRITE )

__IO_REG16(     FCN1M009DAT0H,                   0xFF4A9240,  __READ_WRITE )

__IO_REG16(     FCN1M009DAT2H,                   0xFF4A9248,  __READ_WRITE )

__IO_REG16(     FCN1M009DAT4H,                   0xFF4A9250,  __READ_WRITE )

__IO_REG16(     FCN1M009DAT6H,                   0xFF4A9258,  __READ_WRITE )

__IO_REG16(     FCN1M009MID0H,                   0xFF4A9268,  __READ_WRITE )

__IO_REG16(     FCN1M009MID1H,                   0xFF4A9270,  __READ_WRITE )

__IO_REG16(     FCN1M009CTL,                     0xFF4A9278,  __READ_WRITE )

__IO_REG16(     FCN1M010DAT0H,                   0xFF4A9280,  __READ_WRITE )

__IO_REG16(     FCN1M010DAT2H,                   0xFF4A9288,  __READ_WRITE )

__IO_REG16(     FCN1M010DAT4H,                   0xFF4A9290,  __READ_WRITE )

__IO_REG16(     FCN1M010DAT6H,                   0xFF4A9298,  __READ_WRITE )

__IO_REG16(     FCN1M010MID0H,                   0xFF4A92A8,  __READ_WRITE )

__IO_REG16(     FCN1M010MID1H,                   0xFF4A92B0,  __READ_WRITE )

__IO_REG16(     FCN1M010CTL,                     0xFF4A92B8,  __READ_WRITE )

__IO_REG16(     FCN1M011DAT0H,                   0xFF4A92C0,  __READ_WRITE )

__IO_REG16(     FCN1M011DAT2H,                   0xFF4A92C8,  __READ_WRITE )

__IO_REG16(     FCN1M011DAT4H,                   0xFF4A92D0,  __READ_WRITE )

__IO_REG16(     FCN1M011DAT6H,                   0xFF4A92D8,  __READ_WRITE )

__IO_REG16(     FCN1M011MID0H,                   0xFF4A92E8,  __READ_WRITE )

__IO_REG16(     FCN1M011MID1H,                   0xFF4A92F0,  __READ_WRITE )

__IO_REG16(     FCN1M011CTL,                     0xFF4A92F8,  __READ_WRITE )

__IO_REG16(     FCN1M012DAT0H,                   0xFF4A9300,  __READ_WRITE )

__IO_REG16(     FCN1M012DAT2H,                   0xFF4A9308,  __READ_WRITE )

__IO_REG16(     FCN1M012DAT4H,                   0xFF4A9310,  __READ_WRITE )

__IO_REG16(     FCN1M012DAT6H,                   0xFF4A9318,  __READ_WRITE )

__IO_REG16(     FCN1M012MID0H,                   0xFF4A9328,  __READ_WRITE )

__IO_REG16(     FCN1M012MID1H,                   0xFF4A9330,  __READ_WRITE )

__IO_REG16(     FCN1M012CTL,                     0xFF4A9338,  __READ_WRITE )

__IO_REG16(     FCN1M013DAT0H,                   0xFF4A9340,  __READ_WRITE )

__IO_REG16(     FCN1M013DAT2H,                   0xFF4A9348,  __READ_WRITE )

__IO_REG16(     FCN1M013DAT4H,                   0xFF4A9350,  __READ_WRITE )

__IO_REG16(     FCN1M013DAT6H,                   0xFF4A9358,  __READ_WRITE )

__IO_REG16(     FCN1M013MID0H,                   0xFF4A9368,  __READ_WRITE )

__IO_REG16(     FCN1M013MID1H,                   0xFF4A9370,  __READ_WRITE )

__IO_REG16(     FCN1M013CTL,                     0xFF4A9378,  __READ_WRITE )

__IO_REG16(     FCN1M014DAT0H,                   0xFF4A9380,  __READ_WRITE )

__IO_REG16(     FCN1M014DAT2H,                   0xFF4A9388,  __READ_WRITE )

__IO_REG16(     FCN1M014DAT4H,                   0xFF4A9390,  __READ_WRITE )

__IO_REG16(     FCN1M014DAT6H,                   0xFF4A9398,  __READ_WRITE )

__IO_REG16(     FCN1M014MID0H,                   0xFF4A93A8,  __READ_WRITE )

__IO_REG16(     FCN1M014MID1H,                   0xFF4A93B0,  __READ_WRITE )

__IO_REG16(     FCN1M014CTL,                     0xFF4A93B8,  __READ_WRITE )

__IO_REG16(     FCN1M015DAT0H,                   0xFF4A93C0,  __READ_WRITE )

__IO_REG16(     FCN1M015DAT2H,                   0xFF4A93C8,  __READ_WRITE )

__IO_REG16(     FCN1M015DAT4H,                   0xFF4A93D0,  __READ_WRITE )

__IO_REG16(     FCN1M015DAT6H,                   0xFF4A93D8,  __READ_WRITE )

__IO_REG16(     FCN1M015MID0H,                   0xFF4A93E8,  __READ_WRITE )

__IO_REG16(     FCN1M015MID1H,                   0xFF4A93F0,  __READ_WRITE )

__IO_REG16(     FCN1M015CTL,                     0xFF4A93F8,  __READ_WRITE )

__IO_REG16(     FCN1M016DAT0H,                   0xFF4A9400,  __READ_WRITE )

__IO_REG16(     FCN1M016DAT2H,                   0xFF4A9408,  __READ_WRITE )

__IO_REG16(     FCN1M016DAT4H,                   0xFF4A9410,  __READ_WRITE )

__IO_REG16(     FCN1M016DAT6H,                   0xFF4A9418,  __READ_WRITE )

__IO_REG16(     FCN1M016MID0H,                   0xFF4A9428,  __READ_WRITE )

__IO_REG16(     FCN1M016MID1H,                   0xFF4A9430,  __READ_WRITE )

__IO_REG16(     FCN1M016CTL,                     0xFF4A9438,  __READ_WRITE )

__IO_REG16(     FCN1M017DAT0H,                   0xFF4A9440,  __READ_WRITE )

__IO_REG16(     FCN1M017DAT2H,                   0xFF4A9448,  __READ_WRITE )

__IO_REG16(     FCN1M017DAT4H,                   0xFF4A9450,  __READ_WRITE )

__IO_REG16(     FCN1M017DAT6H,                   0xFF4A9458,  __READ_WRITE )

__IO_REG16(     FCN1M017MID0H,                   0xFF4A9468,  __READ_WRITE )

__IO_REG16(     FCN1M017MID1H,                   0xFF4A9470,  __READ_WRITE )

__IO_REG16(     FCN1M017CTL,                     0xFF4A9478,  __READ_WRITE )

__IO_REG16(     FCN1M018DAT0H,                   0xFF4A9480,  __READ_WRITE )

__IO_REG16(     FCN1M018DAT2H,                   0xFF4A9488,  __READ_WRITE )

__IO_REG16(     FCN1M018DAT4H,                   0xFF4A9490,  __READ_WRITE )

__IO_REG16(     FCN1M018DAT6H,                   0xFF4A9498,  __READ_WRITE )

__IO_REG16(     FCN1M018MID0H,                   0xFF4A94A8,  __READ_WRITE )

__IO_REG16(     FCN1M018MID1H,                   0xFF4A94B0,  __READ_WRITE )

__IO_REG16(     FCN1M018CTL,                     0xFF4A94B8,  __READ_WRITE )

__IO_REG16(     FCN1M019DAT0H,                   0xFF4A94C0,  __READ_WRITE )

__IO_REG16(     FCN1M019DAT2H,                   0xFF4A94C8,  __READ_WRITE )

__IO_REG16(     FCN1M019DAT4H,                   0xFF4A94D0,  __READ_WRITE )

__IO_REG16(     FCN1M019DAT6H,                   0xFF4A94D8,  __READ_WRITE )

__IO_REG16(     FCN1M019MID0H,                   0xFF4A94E8,  __READ_WRITE )

__IO_REG16(     FCN1M019MID1H,                   0xFF4A94F0,  __READ_WRITE )

__IO_REG16(     FCN1M019CTL,                     0xFF4A94F8,  __READ_WRITE )

__IO_REG16(     FCN1M020DAT0H,                   0xFF4A9500,  __READ_WRITE )

__IO_REG16(     FCN1M020DAT2H,                   0xFF4A9508,  __READ_WRITE )

__IO_REG16(     FCN1M020DAT4H,                   0xFF4A9510,  __READ_WRITE )

__IO_REG16(     FCN1M020DAT6H,                   0xFF4A9518,  __READ_WRITE )

__IO_REG16(     FCN1M020MID0H,                   0xFF4A9528,  __READ_WRITE )

__IO_REG16(     FCN1M020MID1H,                   0xFF4A9530,  __READ_WRITE )

__IO_REG16(     FCN1M020CTL,                     0xFF4A9538,  __READ_WRITE )

__IO_REG16(     FCN1M021DAT0H,                   0xFF4A9540,  __READ_WRITE )

__IO_REG16(     FCN1M021DAT2H,                   0xFF4A9548,  __READ_WRITE )

__IO_REG16(     FCN1M021DAT4H,                   0xFF4A9550,  __READ_WRITE )

__IO_REG16(     FCN1M021DAT6H,                   0xFF4A9558,  __READ_WRITE )

__IO_REG16(     FCN1M021MID0H,                   0xFF4A9568,  __READ_WRITE )

__IO_REG16(     FCN1M021MID1H,                   0xFF4A9570,  __READ_WRITE )

__IO_REG16(     FCN1M021CTL,                     0xFF4A9578,  __READ_WRITE )

__IO_REG16(     FCN1M022DAT0H,                   0xFF4A9580,  __READ_WRITE )

__IO_REG16(     FCN1M022DAT2H,                   0xFF4A9588,  __READ_WRITE )

__IO_REG16(     FCN1M022DAT4H,                   0xFF4A9590,  __READ_WRITE )

__IO_REG16(     FCN1M022DAT6H,                   0xFF4A9598,  __READ_WRITE )

__IO_REG16(     FCN1M022MID0H,                   0xFF4A95A8,  __READ_WRITE )

__IO_REG16(     FCN1M022MID1H,                   0xFF4A95B0,  __READ_WRITE )

__IO_REG16(     FCN1M022CTL,                     0xFF4A95B8,  __READ_WRITE )

__IO_REG16(     FCN1M023DAT0H,                   0xFF4A95C0,  __READ_WRITE )

__IO_REG16(     FCN1M023DAT2H,                   0xFF4A95C8,  __READ_WRITE )

__IO_REG16(     FCN1M023DAT4H,                   0xFF4A95D0,  __READ_WRITE )

__IO_REG16(     FCN1M023DAT6H,                   0xFF4A95D8,  __READ_WRITE )

__IO_REG16(     FCN1M023MID0H,                   0xFF4A95E8,  __READ_WRITE )

__IO_REG16(     FCN1M023MID1H,                   0xFF4A95F0,  __READ_WRITE )

__IO_REG16(     FCN1M023CTL,                     0xFF4A95F8,  __READ_WRITE )

__IO_REG16(     FCN1M024DAT0H,                   0xFF4A9600,  __READ_WRITE )

__IO_REG16(     FCN1M024DAT2H,                   0xFF4A9608,  __READ_WRITE )

__IO_REG16(     FCN1M024DAT4H,                   0xFF4A9610,  __READ_WRITE )

__IO_REG16(     FCN1M024DAT6H,                   0xFF4A9618,  __READ_WRITE )

__IO_REG16(     FCN1M024MID0H,                   0xFF4A9628,  __READ_WRITE )

__IO_REG16(     FCN1M024MID1H,                   0xFF4A9630,  __READ_WRITE )

__IO_REG16(     FCN1M024CTL,                     0xFF4A9638,  __READ_WRITE )

__IO_REG16(     FCN1M025DAT0H,                   0xFF4A9640,  __READ_WRITE )

__IO_REG16(     FCN1M025DAT2H,                   0xFF4A9648,  __READ_WRITE )

__IO_REG16(     FCN1M025DAT4H,                   0xFF4A9650,  __READ_WRITE )

__IO_REG16(     FCN1M025DAT6H,                   0xFF4A9658,  __READ_WRITE )

__IO_REG16(     FCN1M025MID0H,                   0xFF4A9668,  __READ_WRITE )

__IO_REG16(     FCN1M025MID1H,                   0xFF4A9670,  __READ_WRITE )

__IO_REG16(     FCN1M025CTL,                     0xFF4A9678,  __READ_WRITE )

__IO_REG16(     FCN1M026DAT0H,                   0xFF4A9680,  __READ_WRITE )

__IO_REG16(     FCN1M026DAT2H,                   0xFF4A9688,  __READ_WRITE )

__IO_REG16(     FCN1M026DAT4H,                   0xFF4A9690,  __READ_WRITE )

__IO_REG16(     FCN1M026DAT6H,                   0xFF4A9698,  __READ_WRITE )

__IO_REG16(     FCN1M026MID0H,                   0xFF4A96A8,  __READ_WRITE )

__IO_REG16(     FCN1M026MID1H,                   0xFF4A96B0,  __READ_WRITE )

__IO_REG16(     FCN1M026CTL,                     0xFF4A96B8,  __READ_WRITE )

__IO_REG16(     FCN1M027DAT0H,                   0xFF4A96C0,  __READ_WRITE )

__IO_REG16(     FCN1M027DAT2H,                   0xFF4A96C8,  __READ_WRITE )

__IO_REG16(     FCN1M027DAT4H,                   0xFF4A96D0,  __READ_WRITE )

__IO_REG16(     FCN1M027DAT6H,                   0xFF4A96D8,  __READ_WRITE )

__IO_REG16(     FCN1M027MID0H,                   0xFF4A96E8,  __READ_WRITE )

__IO_REG16(     FCN1M027MID1H,                   0xFF4A96F0,  __READ_WRITE )

__IO_REG16(     FCN1M027CTL,                     0xFF4A96F8,  __READ_WRITE )

__IO_REG16(     FCN1M028DAT0H,                   0xFF4A9700,  __READ_WRITE )

__IO_REG16(     FCN1M028DAT2H,                   0xFF4A9708,  __READ_WRITE )

__IO_REG16(     FCN1M028DAT4H,                   0xFF4A9710,  __READ_WRITE )

__IO_REG16(     FCN1M028DAT6H,                   0xFF4A9718,  __READ_WRITE )

__IO_REG16(     FCN1M028MID0H,                   0xFF4A9728,  __READ_WRITE )

__IO_REG16(     FCN1M028MID1H,                   0xFF4A9730,  __READ_WRITE )

__IO_REG16(     FCN1M028CTL,                     0xFF4A9738,  __READ_WRITE )

__IO_REG16(     FCN1M029DAT0H,                   0xFF4A9740,  __READ_WRITE )

__IO_REG16(     FCN1M029DAT2H,                   0xFF4A9748,  __READ_WRITE )

__IO_REG16(     FCN1M029DAT4H,                   0xFF4A9750,  __READ_WRITE )

__IO_REG16(     FCN1M029DAT6H,                   0xFF4A9758,  __READ_WRITE )

__IO_REG16(     FCN1M029MID0H,                   0xFF4A9768,  __READ_WRITE )

__IO_REG16(     FCN1M029MID1H,                   0xFF4A9770,  __READ_WRITE )

__IO_REG16(     FCN1M029CTL,                     0xFF4A9778,  __READ_WRITE )

__IO_REG16(     FCN1M030DAT0H,                   0xFF4A9780,  __READ_WRITE )

__IO_REG16(     FCN1M030DAT2H,                   0xFF4A9788,  __READ_WRITE )

__IO_REG16(     FCN1M030DAT4H,                   0xFF4A9790,  __READ_WRITE )

__IO_REG16(     FCN1M030DAT6H,                   0xFF4A9798,  __READ_WRITE )

__IO_REG16(     FCN1M030MID0H,                   0xFF4A97A8,  __READ_WRITE )

__IO_REG16(     FCN1M030MID1H,                   0xFF4A97B0,  __READ_WRITE )

__IO_REG16(     FCN1M030CTL,                     0xFF4A97B8,  __READ_WRITE )

__IO_REG16(     FCN1M031DAT0H,                   0xFF4A97C0,  __READ_WRITE )

__IO_REG16(     FCN1M031DAT2H,                   0xFF4A97C8,  __READ_WRITE )

__IO_REG16(     FCN1M031DAT4H,                   0xFF4A97D0,  __READ_WRITE )

__IO_REG16(     FCN1M031DAT6H,                   0xFF4A97D8,  __READ_WRITE )

__IO_REG16(     FCN1M031MID0H,                   0xFF4A97E8,  __READ_WRITE )

__IO_REG16(     FCN1M031MID1H,                   0xFF4A97F0,  __READ_WRITE )

__IO_REG16(     FCN1M031CTL,                     0xFF4A97F8,  __READ_WRITE )

__IO_REG16(     FCN1M032DAT0H,                   0xFF4A9800,  __READ_WRITE )

__IO_REG16(     FCN1M032DAT2H,                   0xFF4A9808,  __READ_WRITE )

__IO_REG16(     FCN1M032DAT4H,                   0xFF4A9810,  __READ_WRITE )

__IO_REG16(     FCN1M032DAT6H,                   0xFF4A9818,  __READ_WRITE )

__IO_REG16(     FCN1M032MID0H,                   0xFF4A9828,  __READ_WRITE )

__IO_REG16(     FCN1M032MID1H,                   0xFF4A9830,  __READ_WRITE )

__IO_REG16(     FCN1M032CTL,                     0xFF4A9838,  __READ_WRITE )

__IO_REG16(     FCN1M033DAT0H,                   0xFF4A9840,  __READ_WRITE )

__IO_REG16(     FCN1M033DAT2H,                   0xFF4A9848,  __READ_WRITE )

__IO_REG16(     FCN1M033DAT4H,                   0xFF4A9850,  __READ_WRITE )

__IO_REG16(     FCN1M033DAT6H,                   0xFF4A9858,  __READ_WRITE )

__IO_REG16(     FCN1M033MID0H,                   0xFF4A9868,  __READ_WRITE )

__IO_REG16(     FCN1M033MID1H,                   0xFF4A9870,  __READ_WRITE )

__IO_REG16(     FCN1M033CTL,                     0xFF4A9878,  __READ_WRITE )

__IO_REG16(     FCN1M034DAT0H,                   0xFF4A9880,  __READ_WRITE )

__IO_REG16(     FCN1M034DAT2H,                   0xFF4A9888,  __READ_WRITE )

__IO_REG16(     FCN1M034DAT4H,                   0xFF4A9890,  __READ_WRITE )

__IO_REG16(     FCN1M034DAT6H,                   0xFF4A9898,  __READ_WRITE )

__IO_REG16(     FCN1M034MID0H,                   0xFF4A98A8,  __READ_WRITE )

__IO_REG16(     FCN1M034MID1H,                   0xFF4A98B0,  __READ_WRITE )

__IO_REG16(     FCN1M034CTL,                     0xFF4A98B8,  __READ_WRITE )

__IO_REG16(     FCN1M035DAT0H,                   0xFF4A98C0,  __READ_WRITE )

__IO_REG16(     FCN1M035DAT2H,                   0xFF4A98C8,  __READ_WRITE )

__IO_REG16(     FCN1M035DAT4H,                   0xFF4A98D0,  __READ_WRITE )

__IO_REG16(     FCN1M035DAT6H,                   0xFF4A98D8,  __READ_WRITE )

__IO_REG16(     FCN1M035MID0H,                   0xFF4A98E8,  __READ_WRITE )

__IO_REG16(     FCN1M035MID1H,                   0xFF4A98F0,  __READ_WRITE )

__IO_REG16(     FCN1M035CTL,                     0xFF4A98F8,  __READ_WRITE )

__IO_REG16(     FCN1M036DAT0H,                   0xFF4A9900,  __READ_WRITE )

__IO_REG16(     FCN1M036DAT2H,                   0xFF4A9908,  __READ_WRITE )

__IO_REG16(     FCN1M036DAT4H,                   0xFF4A9910,  __READ_WRITE )

__IO_REG16(     FCN1M036DAT6H,                   0xFF4A9918,  __READ_WRITE )

__IO_REG16(     FCN1M036MID0H,                   0xFF4A9928,  __READ_WRITE )

__IO_REG16(     FCN1M036MID1H,                   0xFF4A9930,  __READ_WRITE )

__IO_REG16(     FCN1M036CTL,                     0xFF4A9938,  __READ_WRITE )

__IO_REG16(     FCN1M037DAT0H,                   0xFF4A9940,  __READ_WRITE )

__IO_REG16(     FCN1M037DAT2H,                   0xFF4A9948,  __READ_WRITE )

__IO_REG16(     FCN1M037DAT4H,                   0xFF4A9950,  __READ_WRITE )

__IO_REG16(     FCN1M037DAT6H,                   0xFF4A9958,  __READ_WRITE )

__IO_REG16(     FCN1M037MID0H,                   0xFF4A9968,  __READ_WRITE )

__IO_REG16(     FCN1M037MID1H,                   0xFF4A9970,  __READ_WRITE )

__IO_REG16(     FCN1M037CTL,                     0xFF4A9978,  __READ_WRITE )

__IO_REG16(     FCN1M038DAT0H,                   0xFF4A9980,  __READ_WRITE )

__IO_REG16(     FCN1M038DAT2H,                   0xFF4A9988,  __READ_WRITE )

__IO_REG16(     FCN1M038DAT4H,                   0xFF4A9990,  __READ_WRITE )

__IO_REG16(     FCN1M038DAT6H,                   0xFF4A9998,  __READ_WRITE )

__IO_REG16(     FCN1M038MID0H,                   0xFF4A99A8,  __READ_WRITE )

__IO_REG16(     FCN1M038MID1H,                   0xFF4A99B0,  __READ_WRITE )

__IO_REG16(     FCN1M038CTL,                     0xFF4A99B8,  __READ_WRITE )

__IO_REG16(     FCN1M039DAT0H,                   0xFF4A99C0,  __READ_WRITE )

__IO_REG16(     FCN1M039DAT2H,                   0xFF4A99C8,  __READ_WRITE )

__IO_REG16(     FCN1M039DAT4H,                   0xFF4A99D0,  __READ_WRITE )

__IO_REG16(     FCN1M039DAT6H,                   0xFF4A99D8,  __READ_WRITE )

__IO_REG16(     FCN1M039MID0H,                   0xFF4A99E8,  __READ_WRITE )

__IO_REG16(     FCN1M039MID1H,                   0xFF4A99F0,  __READ_WRITE )

__IO_REG16(     FCN1M039CTL,                     0xFF4A99F8,  __READ_WRITE )

__IO_REG16(     FCN1M040DAT0H,                   0xFF4A9A00,  __READ_WRITE )

__IO_REG16(     FCN1M040DAT2H,                   0xFF4A9A08,  __READ_WRITE )

__IO_REG16(     FCN1M040DAT4H,                   0xFF4A9A10,  __READ_WRITE )

__IO_REG16(     FCN1M040DAT6H,                   0xFF4A9A18,  __READ_WRITE )

__IO_REG16(     FCN1M040MID0H,                   0xFF4A9A28,  __READ_WRITE )

__IO_REG16(     FCN1M040MID1H,                   0xFF4A9A30,  __READ_WRITE )

__IO_REG16(     FCN1M040CTL,                     0xFF4A9A38,  __READ_WRITE )

__IO_REG16(     FCN1M041DAT0H,                   0xFF4A9A40,  __READ_WRITE )

__IO_REG16(     FCN1M041DAT2H,                   0xFF4A9A48,  __READ_WRITE )

__IO_REG16(     FCN1M041DAT4H,                   0xFF4A9A50,  __READ_WRITE )

__IO_REG16(     FCN1M041DAT6H,                   0xFF4A9A58,  __READ_WRITE )

__IO_REG16(     FCN1M041MID0H,                   0xFF4A9A68,  __READ_WRITE )

__IO_REG16(     FCN1M041MID1H,                   0xFF4A9A70,  __READ_WRITE )

__IO_REG16(     FCN1M041CTL,                     0xFF4A9A78,  __READ_WRITE )

__IO_REG16(     FCN1M042DAT0H,                   0xFF4A9A80,  __READ_WRITE )

__IO_REG16(     FCN1M042DAT2H,                   0xFF4A9A88,  __READ_WRITE )

__IO_REG16(     FCN1M042DAT4H,                   0xFF4A9A90,  __READ_WRITE )

__IO_REG16(     FCN1M042DAT6H,                   0xFF4A9A98,  __READ_WRITE )

__IO_REG16(     FCN1M042MID0H,                   0xFF4A9AA8,  __READ_WRITE )

__IO_REG16(     FCN1M042MID1H,                   0xFF4A9AB0,  __READ_WRITE )

__IO_REG16(     FCN1M042CTL,                     0xFF4A9AB8,  __READ_WRITE )

__IO_REG16(     FCN1M043DAT0H,                   0xFF4A9AC0,  __READ_WRITE )

__IO_REG16(     FCN1M043DAT2H,                   0xFF4A9AC8,  __READ_WRITE )

__IO_REG16(     FCN1M043DAT4H,                   0xFF4A9AD0,  __READ_WRITE )

__IO_REG16(     FCN1M043DAT6H,                   0xFF4A9AD8,  __READ_WRITE )

__IO_REG16(     FCN1M043MID0H,                   0xFF4A9AE8,  __READ_WRITE )

__IO_REG16(     FCN1M043MID1H,                   0xFF4A9AF0,  __READ_WRITE )

__IO_REG16(     FCN1M043CTL,                     0xFF4A9AF8,  __READ_WRITE )

__IO_REG16(     FCN1M044DAT0H,                   0xFF4A9B00,  __READ_WRITE )

__IO_REG16(     FCN1M044DAT2H,                   0xFF4A9B08,  __READ_WRITE )

__IO_REG16(     FCN1M044DAT4H,                   0xFF4A9B10,  __READ_WRITE )

__IO_REG16(     FCN1M044DAT6H,                   0xFF4A9B18,  __READ_WRITE )

__IO_REG16(     FCN1M044MID0H,                   0xFF4A9B28,  __READ_WRITE )

__IO_REG16(     FCN1M044MID1H,                   0xFF4A9B30,  __READ_WRITE )

__IO_REG16(     FCN1M044CTL,                     0xFF4A9B38,  __READ_WRITE )

__IO_REG16(     FCN1M045DAT0H,                   0xFF4A9B40,  __READ_WRITE )

__IO_REG16(     FCN1M045DAT2H,                   0xFF4A9B48,  __READ_WRITE )

__IO_REG16(     FCN1M045DAT4H,                   0xFF4A9B50,  __READ_WRITE )

__IO_REG16(     FCN1M045DAT6H,                   0xFF4A9B58,  __READ_WRITE )

__IO_REG16(     FCN1M045MID0H,                   0xFF4A9B68,  __READ_WRITE )

__IO_REG16(     FCN1M045MID1H,                   0xFF4A9B70,  __READ_WRITE )

__IO_REG16(     FCN1M045CTL,                     0xFF4A9B78,  __READ_WRITE )

__IO_REG16(     FCN1M046DAT0H,                   0xFF4A9B80,  __READ_WRITE )

__IO_REG16(     FCN1M046DAT2H,                   0xFF4A9B88,  __READ_WRITE )

__IO_REG16(     FCN1M046DAT4H,                   0xFF4A9B90,  __READ_WRITE )

__IO_REG16(     FCN1M046DAT6H,                   0xFF4A9B98,  __READ_WRITE )

__IO_REG16(     FCN1M046MID0H,                   0xFF4A9BA8,  __READ_WRITE )

__IO_REG16(     FCN1M046MID1H,                   0xFF4A9BB0,  __READ_WRITE )

__IO_REG16(     FCN1M046CTL,                     0xFF4A9BB8,  __READ_WRITE )

__IO_REG16(     FCN1M047DAT0H,                   0xFF4A9BC0,  __READ_WRITE )

__IO_REG16(     FCN1M047DAT2H,                   0xFF4A9BC8,  __READ_WRITE )

__IO_REG16(     FCN1M047DAT4H,                   0xFF4A9BD0,  __READ_WRITE )

__IO_REG16(     FCN1M047DAT6H,                   0xFF4A9BD8,  __READ_WRITE )

__IO_REG16(     FCN1M047MID0H,                   0xFF4A9BE8,  __READ_WRITE )

__IO_REG16(     FCN1M047MID1H,                   0xFF4A9BF0,  __READ_WRITE )

__IO_REG16(     FCN1M047CTL,                     0xFF4A9BF8,  __READ_WRITE )

__IO_REG16(     FCN1M048DAT0H,                   0xFF4A9C00,  __READ_WRITE )

__IO_REG16(     FCN1M048DAT2H,                   0xFF4A9C08,  __READ_WRITE )

__IO_REG16(     FCN1M048DAT4H,                   0xFF4A9C10,  __READ_WRITE )

__IO_REG16(     FCN1M048DAT6H,                   0xFF4A9C18,  __READ_WRITE )

__IO_REG16(     FCN1M048MID0H,                   0xFF4A9C28,  __READ_WRITE )

__IO_REG16(     FCN1M048MID1H,                   0xFF4A9C30,  __READ_WRITE )

__IO_REG16(     FCN1M048CTL,                     0xFF4A9C38,  __READ_WRITE )

__IO_REG16(     FCN1M049DAT0H,                   0xFF4A9C40,  __READ_WRITE )

__IO_REG16(     FCN1M049DAT2H,                   0xFF4A9C48,  __READ_WRITE )

__IO_REG16(     FCN1M049DAT4H,                   0xFF4A9C50,  __READ_WRITE )

__IO_REG16(     FCN1M049DAT6H,                   0xFF4A9C58,  __READ_WRITE )

__IO_REG16(     FCN1M049MID0H,                   0xFF4A9C68,  __READ_WRITE )

__IO_REG16(     FCN1M049MID1H,                   0xFF4A9C70,  __READ_WRITE )

__IO_REG16(     FCN1M049CTL,                     0xFF4A9C78,  __READ_WRITE )

__IO_REG16(     FCN1M050DAT0H,                   0xFF4A9C80,  __READ_WRITE )

__IO_REG16(     FCN1M050DAT2H,                   0xFF4A9C88,  __READ_WRITE )

__IO_REG16(     FCN1M050DAT4H,                   0xFF4A9C90,  __READ_WRITE )

__IO_REG16(     FCN1M050DAT6H,                   0xFF4A9C98,  __READ_WRITE )

__IO_REG16(     FCN1M050MID0H,                   0xFF4A9CA8,  __READ_WRITE )

__IO_REG16(     FCN1M050MID1H,                   0xFF4A9CB0,  __READ_WRITE )

__IO_REG16(     FCN1M050CTL,                     0xFF4A9CB8,  __READ_WRITE )

__IO_REG16(     FCN1M051DAT0H,                   0xFF4A9CC0,  __READ_WRITE )

__IO_REG16(     FCN1M051DAT2H,                   0xFF4A9CC8,  __READ_WRITE )

__IO_REG16(     FCN1M051DAT4H,                   0xFF4A9CD0,  __READ_WRITE )

__IO_REG16(     FCN1M051DAT6H,                   0xFF4A9CD8,  __READ_WRITE )

__IO_REG16(     FCN1M051MID0H,                   0xFF4A9CE8,  __READ_WRITE )

__IO_REG16(     FCN1M051MID1H,                   0xFF4A9CF0,  __READ_WRITE )

__IO_REG16(     FCN1M051CTL,                     0xFF4A9CF8,  __READ_WRITE )

__IO_REG16(     FCN1M052DAT0H,                   0xFF4A9D00,  __READ_WRITE )

__IO_REG16(     FCN1M052DAT2H,                   0xFF4A9D08,  __READ_WRITE )

__IO_REG16(     FCN1M052DAT4H,                   0xFF4A9D10,  __READ_WRITE )

__IO_REG16(     FCN1M052DAT6H,                   0xFF4A9D18,  __READ_WRITE )

__IO_REG16(     FCN1M052MID0H,                   0xFF4A9D28,  __READ_WRITE )

__IO_REG16(     FCN1M052MID1H,                   0xFF4A9D30,  __READ_WRITE )

__IO_REG16(     FCN1M052CTL,                     0xFF4A9D38,  __READ_WRITE )

__IO_REG16(     FCN1M053DAT0H,                   0xFF4A9D40,  __READ_WRITE )

__IO_REG16(     FCN1M053DAT2H,                   0xFF4A9D48,  __READ_WRITE )

__IO_REG16(     FCN1M053DAT4H,                   0xFF4A9D50,  __READ_WRITE )

__IO_REG16(     FCN1M053DAT6H,                   0xFF4A9D58,  __READ_WRITE )

__IO_REG16(     FCN1M053MID0H,                   0xFF4A9D68,  __READ_WRITE )

__IO_REG16(     FCN1M053MID1H,                   0xFF4A9D70,  __READ_WRITE )

__IO_REG16(     FCN1M053CTL,                     0xFF4A9D78,  __READ_WRITE )

__IO_REG16(     FCN1M054DAT0H,                   0xFF4A9D80,  __READ_WRITE )

__IO_REG16(     FCN1M054DAT2H,                   0xFF4A9D88,  __READ_WRITE )

__IO_REG16(     FCN1M054DAT4H,                   0xFF4A9D90,  __READ_WRITE )

__IO_REG16(     FCN1M054DAT6H,                   0xFF4A9D98,  __READ_WRITE )

__IO_REG16(     FCN1M054MID0H,                   0xFF4A9DA8,  __READ_WRITE )

__IO_REG16(     FCN1M054MID1H,                   0xFF4A9DB0,  __READ_WRITE )

__IO_REG16(     FCN1M054CTL,                     0xFF4A9DB8,  __READ_WRITE )

__IO_REG16(     FCN1M055DAT0H,                   0xFF4A9DC0,  __READ_WRITE )

__IO_REG16(     FCN1M055DAT2H,                   0xFF4A9DC8,  __READ_WRITE )

__IO_REG16(     FCN1M055DAT4H,                   0xFF4A9DD0,  __READ_WRITE )

__IO_REG16(     FCN1M055DAT6H,                   0xFF4A9DD8,  __READ_WRITE )

__IO_REG16(     FCN1M055MID0H,                   0xFF4A9DE8,  __READ_WRITE )

__IO_REG16(     FCN1M055MID1H,                   0xFF4A9DF0,  __READ_WRITE )

__IO_REG16(     FCN1M055CTL,                     0xFF4A9DF8,  __READ_WRITE )

__IO_REG16(     FCN1M056DAT0H,                   0xFF4A9E00,  __READ_WRITE )

__IO_REG16(     FCN1M056DAT2H,                   0xFF4A9E08,  __READ_WRITE )

__IO_REG16(     FCN1M056DAT4H,                   0xFF4A9E10,  __READ_WRITE )

__IO_REG16(     FCN1M056DAT6H,                   0xFF4A9E18,  __READ_WRITE )

__IO_REG16(     FCN1M056MID0H,                   0xFF4A9E28,  __READ_WRITE )

__IO_REG16(     FCN1M056MID1H,                   0xFF4A9E30,  __READ_WRITE )

__IO_REG16(     FCN1M056CTL,                     0xFF4A9E38,  __READ_WRITE )

__IO_REG16(     FCN1M057DAT0H,                   0xFF4A9E40,  __READ_WRITE )

__IO_REG16(     FCN1M057DAT2H,                   0xFF4A9E48,  __READ_WRITE )

__IO_REG16(     FCN1M057DAT4H,                   0xFF4A9E50,  __READ_WRITE )

__IO_REG16(     FCN1M057DAT6H,                   0xFF4A9E58,  __READ_WRITE )

__IO_REG16(     FCN1M057MID0H,                   0xFF4A9E68,  __READ_WRITE )

__IO_REG16(     FCN1M057MID1H,                   0xFF4A9E70,  __READ_WRITE )

__IO_REG16(     FCN1M057CTL,                     0xFF4A9E78,  __READ_WRITE )

__IO_REG16(     FCN1M058DAT0H,                   0xFF4A9E80,  __READ_WRITE )

__IO_REG16(     FCN1M058DAT2H,                   0xFF4A9E88,  __READ_WRITE )

__IO_REG16(     FCN1M058DAT4H,                   0xFF4A9E90,  __READ_WRITE )

__IO_REG16(     FCN1M058DAT6H,                   0xFF4A9E98,  __READ_WRITE )

__IO_REG16(     FCN1M058MID0H,                   0xFF4A9EA8,  __READ_WRITE )

__IO_REG16(     FCN1M058MID1H,                   0xFF4A9EB0,  __READ_WRITE )

__IO_REG16(     FCN1M058CTL,                     0xFF4A9EB8,  __READ_WRITE )

__IO_REG16(     FCN1M059DAT0H,                   0xFF4A9EC0,  __READ_WRITE )

__IO_REG16(     FCN1M059DAT2H,                   0xFF4A9EC8,  __READ_WRITE )

__IO_REG16(     FCN1M059DAT4H,                   0xFF4A9ED0,  __READ_WRITE )

__IO_REG16(     FCN1M059DAT6H,                   0xFF4A9ED8,  __READ_WRITE )

__IO_REG16(     FCN1M059MID0H,                   0xFF4A9EE8,  __READ_WRITE )

__IO_REG16(     FCN1M059MID1H,                   0xFF4A9EF0,  __READ_WRITE )

__IO_REG16(     FCN1M059CTL,                     0xFF4A9EF8,  __READ_WRITE )

__IO_REG16(     FCN1M060DAT0H,                   0xFF4A9F00,  __READ_WRITE )

__IO_REG16(     FCN1M060DAT2H,                   0xFF4A9F08,  __READ_WRITE )

__IO_REG16(     FCN1M060DAT4H,                   0xFF4A9F10,  __READ_WRITE )

__IO_REG16(     FCN1M060DAT6H,                   0xFF4A9F18,  __READ_WRITE )

__IO_REG16(     FCN1M060MID0H,                   0xFF4A9F28,  __READ_WRITE )

__IO_REG16(     FCN1M060MID1H,                   0xFF4A9F30,  __READ_WRITE )

__IO_REG16(     FCN1M060CTL,                     0xFF4A9F38,  __READ_WRITE )

__IO_REG16(     FCN1M061DAT0H,                   0xFF4A9F40,  __READ_WRITE )

__IO_REG16(     FCN1M061DAT2H,                   0xFF4A9F48,  __READ_WRITE )

__IO_REG16(     FCN1M061DAT4H,                   0xFF4A9F50,  __READ_WRITE )

__IO_REG16(     FCN1M061DAT6H,                   0xFF4A9F58,  __READ_WRITE )

__IO_REG16(     FCN1M061MID0H,                   0xFF4A9F68,  __READ_WRITE )

__IO_REG16(     FCN1M061MID1H,                   0xFF4A9F70,  __READ_WRITE )

__IO_REG16(     FCN1M061CTL,                     0xFF4A9F78,  __READ_WRITE )

__IO_REG16(     FCN1M062DAT0H,                   0xFF4A9F80,  __READ_WRITE )

__IO_REG16(     FCN1M062DAT2H,                   0xFF4A9F88,  __READ_WRITE )

__IO_REG16(     FCN1M062DAT4H,                   0xFF4A9F90,  __READ_WRITE )

__IO_REG16(     FCN1M062DAT6H,                   0xFF4A9F98,  __READ_WRITE )

__IO_REG16(     FCN1M062MID0H,                   0xFF4A9FA8,  __READ_WRITE )

__IO_REG16(     FCN1M062MID1H,                   0xFF4A9FB0,  __READ_WRITE )

__IO_REG16(     FCN1M062CTL,                     0xFF4A9FB8,  __READ_WRITE )

__IO_REG16(     FCN1M063DAT0H,                   0xFF4A9FC0,  __READ_WRITE )

__IO_REG16(     FCN1M063DAT2H,                   0xFF4A9FC8,  __READ_WRITE )

__IO_REG16(     FCN1M063DAT4H,                   0xFF4A9FD0,  __READ_WRITE )

__IO_REG16(     FCN1M063DAT6H,                   0xFF4A9FD8,  __READ_WRITE )

__IO_REG16(     FCN1M063MID0H,                   0xFF4A9FE8,  __READ_WRITE )

__IO_REG16(     FCN1M063MID1H,                   0xFF4A9FF0,  __READ_WRITE )

__IO_REG16(     FCN1M063CTL,                     0xFF4A9FF8,  __READ_WRITE )

__IO_REG32(     FCN1DNBMRX0,                     0xFF4B00C0,  __READ       )

__IO_REG32(     FCN1DNBMRX1,                     0xFF4B00D0,  __READ       )

__IO_REG32(     FCN1CMMKCTL01W,                  0xFF4B0300,  __READ_WRITE )

__IO_REG32(     FCN1CMMKCTL03W,                  0xFF4B0310,  __READ_WRITE )

__IO_REG32(     FCN1CMMKCTL05W,                  0xFF4B0320,  __READ_WRITE )

__IO_REG32(     FCN1CMMKCTL07W,                  0xFF4B0330,  __READ_WRITE )

__IO_REG32(     FCN1CMMKCTL09W,                  0xFF4B0340,  __READ_WRITE )

__IO_REG32(     FCN1CMMKCTL11W,                  0xFF4B0350,  __READ_WRITE )

__IO_REG32(     FCN1CMMKCTL13W,                  0xFF4B0360,  __READ_WRITE )

__IO_REG32(     FCN1CMMKCTL15W,                  0xFF4B0370,  __READ_WRITE )

__IO_REG32(     FCN1M000DAT0W,                   0xFF4B1000,  __READ_WRITE )

__IO_REG32(     FCN1M000DAT4W,                   0xFF4B1010,  __READ_WRITE )

__IO_REG32(     FCN1M000MID0W,                   0xFF4B1028,  __READ_WRITE )

__IO_REG32(     FCN1M001DAT0W,                   0xFF4B1040,  __READ_WRITE )

__IO_REG32(     FCN1M001DAT4W,                   0xFF4B1050,  __READ_WRITE )

__IO_REG32(     FCN1M001MID0W,                   0xFF4B1068,  __READ_WRITE )

__IO_REG32(     FCN1M002DAT0W,                   0xFF4B1080,  __READ_WRITE )

__IO_REG32(     FCN1M002DAT4W,                   0xFF4B1090,  __READ_WRITE )

__IO_REG32(     FCN1M002MID0W,                   0xFF4B10A8,  __READ_WRITE )

__IO_REG32(     FCN1M003DAT0W,                   0xFF4B10C0,  __READ_WRITE )

__IO_REG32(     FCN1M003DAT4W,                   0xFF4B10D0,  __READ_WRITE )

__IO_REG32(     FCN1M003MID0W,                   0xFF4B10E8,  __READ_WRITE )

__IO_REG32(     FCN1M004DAT0W,                   0xFF4B1100,  __READ_WRITE )

__IO_REG32(     FCN1M004DAT4W,                   0xFF4B1110,  __READ_WRITE )

__IO_REG32(     FCN1M004MID0W,                   0xFF4B1128,  __READ_WRITE )

__IO_REG32(     FCN1M005DAT0W,                   0xFF4B1140,  __READ_WRITE )

__IO_REG32(     FCN1M005DAT4W,                   0xFF4B1150,  __READ_WRITE )

__IO_REG32(     FCN1M005MID0W,                   0xFF4B1168,  __READ_WRITE )

__IO_REG32(     FCN1M006DAT0W,                   0xFF4B1180,  __READ_WRITE )

__IO_REG32(     FCN1M006DAT4W,                   0xFF4B1190,  __READ_WRITE )

__IO_REG32(     FCN1M006MID0W,                   0xFF4B11A8,  __READ_WRITE )

__IO_REG32(     FCN1M007DAT0W,                   0xFF4B11C0,  __READ_WRITE )

__IO_REG32(     FCN1M007DAT4W,                   0xFF4B11D0,  __READ_WRITE )

__IO_REG32(     FCN1M007MID0W,                   0xFF4B11E8,  __READ_WRITE )

__IO_REG32(     FCN1M008DAT0W,                   0xFF4B1200,  __READ_WRITE )

__IO_REG32(     FCN1M008DAT4W,                   0xFF4B1210,  __READ_WRITE )

__IO_REG32(     FCN1M008MID0W,                   0xFF4B1228,  __READ_WRITE )

__IO_REG32(     FCN1M009DAT0W,                   0xFF4B1240,  __READ_WRITE )

__IO_REG32(     FCN1M009DAT4W,                   0xFF4B1250,  __READ_WRITE )

__IO_REG32(     FCN1M009MID0W,                   0xFF4B1268,  __READ_WRITE )

__IO_REG32(     FCN1M010DAT0W,                   0xFF4B1280,  __READ_WRITE )

__IO_REG32(     FCN1M010DAT4W,                   0xFF4B1290,  __READ_WRITE )

__IO_REG32(     FCN1M010MID0W,                   0xFF4B12A8,  __READ_WRITE )

__IO_REG32(     FCN1M011DAT0W,                   0xFF4B12C0,  __READ_WRITE )

__IO_REG32(     FCN1M011DAT4W,                   0xFF4B12D0,  __READ_WRITE )

__IO_REG32(     FCN1M011MID0W,                   0xFF4B12E8,  __READ_WRITE )

__IO_REG32(     FCN1M012DAT0W,                   0xFF4B1300,  __READ_WRITE )

__IO_REG32(     FCN1M012DAT4W,                   0xFF4B1310,  __READ_WRITE )

__IO_REG32(     FCN1M012MID0W,                   0xFF4B1328,  __READ_WRITE )

__IO_REG32(     FCN1M013DAT0W,                   0xFF4B1340,  __READ_WRITE )

__IO_REG32(     FCN1M013DAT4W,                   0xFF4B1350,  __READ_WRITE )

__IO_REG32(     FCN1M013MID0W,                   0xFF4B1368,  __READ_WRITE )

__IO_REG32(     FCN1M014DAT0W,                   0xFF4B1380,  __READ_WRITE )

__IO_REG32(     FCN1M014DAT4W,                   0xFF4B1390,  __READ_WRITE )

__IO_REG32(     FCN1M014MID0W,                   0xFF4B13A8,  __READ_WRITE )

__IO_REG32(     FCN1M015DAT0W,                   0xFF4B13C0,  __READ_WRITE )

__IO_REG32(     FCN1M015DAT4W,                   0xFF4B13D0,  __READ_WRITE )

__IO_REG32(     FCN1M015MID0W,                   0xFF4B13E8,  __READ_WRITE )

__IO_REG32(     FCN1M016DAT0W,                   0xFF4B1400,  __READ_WRITE )

__IO_REG32(     FCN1M016DAT4W,                   0xFF4B1410,  __READ_WRITE )

__IO_REG32(     FCN1M016MID0W,                   0xFF4B1428,  __READ_WRITE )

__IO_REG32(     FCN1M017DAT0W,                   0xFF4B1440,  __READ_WRITE )

__IO_REG32(     FCN1M017DAT4W,                   0xFF4B1450,  __READ_WRITE )

__IO_REG32(     FCN1M017MID0W,                   0xFF4B1468,  __READ_WRITE )

__IO_REG32(     FCN1M018DAT0W,                   0xFF4B1480,  __READ_WRITE )

__IO_REG32(     FCN1M018DAT4W,                   0xFF4B1490,  __READ_WRITE )

__IO_REG32(     FCN1M018MID0W,                   0xFF4B14A8,  __READ_WRITE )

__IO_REG32(     FCN1M019DAT0W,                   0xFF4B14C0,  __READ_WRITE )

__IO_REG32(     FCN1M019DAT4W,                   0xFF4B14D0,  __READ_WRITE )

__IO_REG32(     FCN1M019MID0W,                   0xFF4B14E8,  __READ_WRITE )

__IO_REG32(     FCN1M020DAT0W,                   0xFF4B1500,  __READ_WRITE )

__IO_REG32(     FCN1M020DAT4W,                   0xFF4B1510,  __READ_WRITE )

__IO_REG32(     FCN1M020MID0W,                   0xFF4B1528,  __READ_WRITE )

__IO_REG32(     FCN1M021DAT0W,                   0xFF4B1540,  __READ_WRITE )

__IO_REG32(     FCN1M021DAT4W,                   0xFF4B1550,  __READ_WRITE )

__IO_REG32(     FCN1M021MID0W,                   0xFF4B1568,  __READ_WRITE )

__IO_REG32(     FCN1M022DAT0W,                   0xFF4B1580,  __READ_WRITE )

__IO_REG32(     FCN1M022DAT4W,                   0xFF4B1590,  __READ_WRITE )

__IO_REG32(     FCN1M022MID0W,                   0xFF4B15A8,  __READ_WRITE )

__IO_REG32(     FCN1M023DAT0W,                   0xFF4B15C0,  __READ_WRITE )

__IO_REG32(     FCN1M023DAT4W,                   0xFF4B15D0,  __READ_WRITE )

__IO_REG32(     FCN1M023MID0W,                   0xFF4B15E8,  __READ_WRITE )

__IO_REG32(     FCN1M024DAT0W,                   0xFF4B1600,  __READ_WRITE )

__IO_REG32(     FCN1M024DAT4W,                   0xFF4B1610,  __READ_WRITE )

__IO_REG32(     FCN1M024MID0W,                   0xFF4B1628,  __READ_WRITE )

__IO_REG32(     FCN1M025DAT0W,                   0xFF4B1640,  __READ_WRITE )

__IO_REG32(     FCN1M025DAT4W,                   0xFF4B1650,  __READ_WRITE )

__IO_REG32(     FCN1M025MID0W,                   0xFF4B1668,  __READ_WRITE )

__IO_REG32(     FCN1M026DAT0W,                   0xFF4B1680,  __READ_WRITE )

__IO_REG32(     FCN1M026DAT4W,                   0xFF4B1690,  __READ_WRITE )

__IO_REG32(     FCN1M026MID0W,                   0xFF4B16A8,  __READ_WRITE )

__IO_REG32(     FCN1M027DAT0W,                   0xFF4B16C0,  __READ_WRITE )

__IO_REG32(     FCN1M027DAT4W,                   0xFF4B16D0,  __READ_WRITE )

__IO_REG32(     FCN1M027MID0W,                   0xFF4B16E8,  __READ_WRITE )

__IO_REG32(     FCN1M028DAT0W,                   0xFF4B1700,  __READ_WRITE )

__IO_REG32(     FCN1M028DAT4W,                   0xFF4B1710,  __READ_WRITE )

__IO_REG32(     FCN1M028MID0W,                   0xFF4B1728,  __READ_WRITE )

__IO_REG32(     FCN1M029DAT0W,                   0xFF4B1740,  __READ_WRITE )

__IO_REG32(     FCN1M029DAT4W,                   0xFF4B1750,  __READ_WRITE )

__IO_REG32(     FCN1M029MID0W,                   0xFF4B1768,  __READ_WRITE )

__IO_REG32(     FCN1M030DAT0W,                   0xFF4B1780,  __READ_WRITE )

__IO_REG32(     FCN1M030DAT4W,                   0xFF4B1790,  __READ_WRITE )

__IO_REG32(     FCN1M030MID0W,                   0xFF4B17A8,  __READ_WRITE )

__IO_REG32(     FCN1M031DAT0W,                   0xFF4B17C0,  __READ_WRITE )

__IO_REG32(     FCN1M031DAT4W,                   0xFF4B17D0,  __READ_WRITE )

__IO_REG32(     FCN1M031MID0W,                   0xFF4B17E8,  __READ_WRITE )

__IO_REG32(     FCN1M032DAT0W,                   0xFF4B1800,  __READ_WRITE )

__IO_REG32(     FCN1M032DAT4W,                   0xFF4B1810,  __READ_WRITE )

__IO_REG32(     FCN1M032MID0W,                   0xFF4B1828,  __READ_WRITE )

__IO_REG32(     FCN1M033DAT0W,                   0xFF4B1840,  __READ_WRITE )

__IO_REG32(     FCN1M033DAT4W,                   0xFF4B1850,  __READ_WRITE )

__IO_REG32(     FCN1M033MID0W,                   0xFF4B1868,  __READ_WRITE )

__IO_REG32(     FCN1M034DAT0W,                   0xFF4B1880,  __READ_WRITE )

__IO_REG32(     FCN1M034DAT4W,                   0xFF4B1890,  __READ_WRITE )

__IO_REG32(     FCN1M034MID0W,                   0xFF4B18A8,  __READ_WRITE )

__IO_REG32(     FCN1M035DAT0W,                   0xFF4B18C0,  __READ_WRITE )

__IO_REG32(     FCN1M035DAT4W,                   0xFF4B18D0,  __READ_WRITE )

__IO_REG32(     FCN1M035MID0W,                   0xFF4B18E8,  __READ_WRITE )

__IO_REG32(     FCN1M036DAT0W,                   0xFF4B1900,  __READ_WRITE )

__IO_REG32(     FCN1M036DAT4W,                   0xFF4B1910,  __READ_WRITE )

__IO_REG32(     FCN1M036MID0W,                   0xFF4B1928,  __READ_WRITE )

__IO_REG32(     FCN1M037DAT0W,                   0xFF4B1940,  __READ_WRITE )

__IO_REG32(     FCN1M037DAT4W,                   0xFF4B1950,  __READ_WRITE )

__IO_REG32(     FCN1M037MID0W,                   0xFF4B1968,  __READ_WRITE )

__IO_REG32(     FCN1M038DAT0W,                   0xFF4B1980,  __READ_WRITE )

__IO_REG32(     FCN1M038DAT4W,                   0xFF4B1990,  __READ_WRITE )

__IO_REG32(     FCN1M038MID0W,                   0xFF4B19A8,  __READ_WRITE )

__IO_REG32(     FCN1M039DAT0W,                   0xFF4B19C0,  __READ_WRITE )

__IO_REG32(     FCN1M039DAT4W,                   0xFF4B19D0,  __READ_WRITE )

__IO_REG32(     FCN1M039MID0W,                   0xFF4B19E8,  __READ_WRITE )

__IO_REG32(     FCN1M040DAT0W,                   0xFF4B1A00,  __READ_WRITE )

__IO_REG32(     FCN1M040DAT4W,                   0xFF4B1A10,  __READ_WRITE )

__IO_REG32(     FCN1M040MID0W,                   0xFF4B1A28,  __READ_WRITE )

__IO_REG32(     FCN1M041DAT0W,                   0xFF4B1A40,  __READ_WRITE )

__IO_REG32(     FCN1M041DAT4W,                   0xFF4B1A50,  __READ_WRITE )

__IO_REG32(     FCN1M041MID0W,                   0xFF4B1A68,  __READ_WRITE )

__IO_REG32(     FCN1M042DAT0W,                   0xFF4B1A80,  __READ_WRITE )

__IO_REG32(     FCN1M042DAT4W,                   0xFF4B1A90,  __READ_WRITE )

__IO_REG32(     FCN1M042MID0W,                   0xFF4B1AA8,  __READ_WRITE )

__IO_REG32(     FCN1M043DAT0W,                   0xFF4B1AC0,  __READ_WRITE )

__IO_REG32(     FCN1M043DAT4W,                   0xFF4B1AD0,  __READ_WRITE )

__IO_REG32(     FCN1M043MID0W,                   0xFF4B1AE8,  __READ_WRITE )

__IO_REG32(     FCN1M044DAT0W,                   0xFF4B1B00,  __READ_WRITE )

__IO_REG32(     FCN1M044DAT4W,                   0xFF4B1B10,  __READ_WRITE )

__IO_REG32(     FCN1M044MID0W,                   0xFF4B1B28,  __READ_WRITE )

__IO_REG32(     FCN1M045DAT0W,                   0xFF4B1B40,  __READ_WRITE )

__IO_REG32(     FCN1M045DAT4W,                   0xFF4B1B50,  __READ_WRITE )

__IO_REG32(     FCN1M045MID0W,                   0xFF4B1B68,  __READ_WRITE )

__IO_REG32(     FCN1M046DAT0W,                   0xFF4B1B80,  __READ_WRITE )

__IO_REG32(     FCN1M046DAT4W,                   0xFF4B1B90,  __READ_WRITE )

__IO_REG32(     FCN1M046MID0W,                   0xFF4B1BA8,  __READ_WRITE )

__IO_REG32(     FCN1M047DAT0W,                   0xFF4B1BC0,  __READ_WRITE )

__IO_REG32(     FCN1M047DAT4W,                   0xFF4B1BD0,  __READ_WRITE )

__IO_REG32(     FCN1M047MID0W,                   0xFF4B1BE8,  __READ_WRITE )

__IO_REG32(     FCN1M048DAT0W,                   0xFF4B1C00,  __READ_WRITE )

__IO_REG32(     FCN1M048DAT4W,                   0xFF4B1C10,  __READ_WRITE )

__IO_REG32(     FCN1M048MID0W,                   0xFF4B1C28,  __READ_WRITE )

__IO_REG32(     FCN1M049DAT0W,                   0xFF4B1C40,  __READ_WRITE )

__IO_REG32(     FCN1M049DAT4W,                   0xFF4B1C50,  __READ_WRITE )

__IO_REG32(     FCN1M049MID0W,                   0xFF4B1C68,  __READ_WRITE )

__IO_REG32(     FCN1M050DAT0W,                   0xFF4B1C80,  __READ_WRITE )

__IO_REG32(     FCN1M050DAT4W,                   0xFF4B1C90,  __READ_WRITE )

__IO_REG32(     FCN1M050MID0W,                   0xFF4B1CA8,  __READ_WRITE )

__IO_REG32(     FCN1M051DAT0W,                   0xFF4B1CC0,  __READ_WRITE )

__IO_REG32(     FCN1M051DAT4W,                   0xFF4B1CD0,  __READ_WRITE )

__IO_REG32(     FCN1M051MID0W,                   0xFF4B1CE8,  __READ_WRITE )

__IO_REG32(     FCN1M052DAT0W,                   0xFF4B1D00,  __READ_WRITE )

__IO_REG32(     FCN1M052DAT4W,                   0xFF4B1D10,  __READ_WRITE )

__IO_REG32(     FCN1M052MID0W,                   0xFF4B1D28,  __READ_WRITE )

__IO_REG32(     FCN1M053DAT0W,                   0xFF4B1D40,  __READ_WRITE )

__IO_REG32(     FCN1M053DAT4W,                   0xFF4B1D50,  __READ_WRITE )

__IO_REG32(     FCN1M053MID0W,                   0xFF4B1D68,  __READ_WRITE )

__IO_REG32(     FCN1M054DAT0W,                   0xFF4B1D80,  __READ_WRITE )

__IO_REG32(     FCN1M054DAT4W,                   0xFF4B1D90,  __READ_WRITE )

__IO_REG32(     FCN1M054MID0W,                   0xFF4B1DA8,  __READ_WRITE )

__IO_REG32(     FCN1M055DAT0W,                   0xFF4B1DC0,  __READ_WRITE )

__IO_REG32(     FCN1M055DAT4W,                   0xFF4B1DD0,  __READ_WRITE )

__IO_REG32(     FCN1M055MID0W,                   0xFF4B1DE8,  __READ_WRITE )

__IO_REG32(     FCN1M056DAT0W,                   0xFF4B1E00,  __READ_WRITE )

__IO_REG32(     FCN1M056DAT4W,                   0xFF4B1E10,  __READ_WRITE )

__IO_REG32(     FCN1M056MID0W,                   0xFF4B1E28,  __READ_WRITE )

__IO_REG32(     FCN1M057DAT0W,                   0xFF4B1E40,  __READ_WRITE )

__IO_REG32(     FCN1M057DAT4W,                   0xFF4B1E50,  __READ_WRITE )

__IO_REG32(     FCN1M057MID0W,                   0xFF4B1E68,  __READ_WRITE )

__IO_REG32(     FCN1M058DAT0W,                   0xFF4B1E80,  __READ_WRITE )

__IO_REG32(     FCN1M058DAT4W,                   0xFF4B1E90,  __READ_WRITE )

__IO_REG32(     FCN1M058MID0W,                   0xFF4B1EA8,  __READ_WRITE )

__IO_REG32(     FCN1M059DAT0W,                   0xFF4B1EC0,  __READ_WRITE )

__IO_REG32(     FCN1M059DAT4W,                   0xFF4B1ED0,  __READ_WRITE )

__IO_REG32(     FCN1M059MID0W,                   0xFF4B1EE8,  __READ_WRITE )

__IO_REG32(     FCN1M060DAT0W,                   0xFF4B1F00,  __READ_WRITE )

__IO_REG32(     FCN1M060DAT4W,                   0xFF4B1F10,  __READ_WRITE )

__IO_REG32(     FCN1M060MID0W,                   0xFF4B1F28,  __READ_WRITE )

__IO_REG32(     FCN1M061DAT0W,                   0xFF4B1F40,  __READ_WRITE )

__IO_REG32(     FCN1M061DAT4W,                   0xFF4B1F50,  __READ_WRITE )

__IO_REG32(     FCN1M061MID0W,                   0xFF4B1F68,  __READ_WRITE )

__IO_REG32(     FCN1M062DAT0W,                   0xFF4B1F80,  __READ_WRITE )

__IO_REG32(     FCN1M062DAT4W,                   0xFF4B1F90,  __READ_WRITE )

__IO_REG32(     FCN1M062MID0W,                   0xFF4B1FA8,  __READ_WRITE )

__IO_REG32(     FCN1M063DAT0W,                   0xFF4B1FC0,  __READ_WRITE )

__IO_REG32(     FCN1M063DAT4W,                   0xFF4B1FD0,  __READ_WRITE )

__IO_REG32(     FCN1M063MID0W,                   0xFF4B1FE8,  __READ_WRITE )

__IO_REG16(     URTJ0CTL1,                       0xFF5C0020,  __READ_WRITE )

__IO_REG16(     URTJ0CTL2,                       0xFF5C0024,  __READ_WRITE )

__IO_REG8_BIT(  URTJ0EMU,                        0xFF5C0034,  __READ_WRITE )

__IO_REG8(      URTJ0FCTL1,                      0xFF5C1020,  __READ_WRITE )

__IO_REG16(     URTJ1CTL1,                       0xFF5D0020,  __READ_WRITE )

__IO_REG16(     URTJ1CTL2,                       0xFF5D0024,  __READ_WRITE )

__IO_REG8_BIT(  URTJ1EMU,                        0xFF5D0034,  __READ_WRITE )

__IO_REG8(      URTJ1FCTL1,                      0xFF5D1020,  __READ_WRITE )

__IO_REG16(     URTJ2CTL1,                       0xFF5E0020,  __READ_WRITE )

__IO_REG16(     URTJ2CTL2,                       0xFF5E0024,  __READ_WRITE )

__IO_REG8_BIT(  URTJ2EMU,                        0xFF5E0034,  __READ_WRITE )

__IO_REG8(      URTJ2FCTL1,                      0xFF5E1020,  __READ_WRITE )

__IO_REG16(     URTJ3CTL1,                       0xFF5F0020,  __READ_WRITE )

__IO_REG16(     URTJ3CTL2,                       0xFF5F0024,  __READ_WRITE )

__IO_REG8_BIT(  URTJ3EMU,                        0xFF5F0034,  __READ_WRITE )

__IO_REG8(      URTJ3FCTL1,                      0xFF5F1020,  __READ_WRITE )

__IO_REG16(     URTE0CTL1,                       0xFF600020,  __READ_WRITE )

__IO_REG16(     URTE0CTL2,                       0xFF600024,  __READ_WRITE )

__IO_REG8_BIT(  URTE0EMU,                        0xFF600034,  __READ_WRITE )

__IO_REG16(     URTE1CTL1,                       0xFF610020,  __READ_WRITE )

__IO_REG16(     URTE1CTL2,                       0xFF610024,  __READ_WRITE )

__IO_REG8_BIT(  URTE1EMU,                        0xFF610034,  __READ_WRITE )

__IO_REG16(     URTE2CTL1,                       0xFF620020,  __READ_WRITE )

__IO_REG16(     URTE2CTL2,                       0xFF620024,  __READ_WRITE )

__IO_REG8_BIT(  URTE2EMU,                        0xFF620034,  __READ_WRITE )

__IO_REG16(     URTE3CTL1,                       0xFF630020,  __READ_WRITE )

__IO_REG16(     URTE3CTL2,                       0xFF630024,  __READ_WRITE )

__IO_REG8_BIT(  URTE3EMU,                        0xFF630034,  __READ_WRITE )

__IO_REG16(     URTE4CTL1,                       0xFF640020,  __READ_WRITE )

__IO_REG16(     URTE4CTL2,                       0xFF640024,  __READ_WRITE )

__IO_REG8_BIT(  URTE4EMU,                        0xFF640034,  __READ_WRITE )

__IO_REG16(     URTE5CTL1,                       0xFF650020,  __READ_WRITE )

__IO_REG16(     URTE5CTL2,                       0xFF650024,  __READ_WRITE )

__IO_REG8_BIT(  URTE5EMU,                        0xFF650034,  __READ_WRITE )

__IO_REG32(     CSIH0CTL1,                       0xFF6C0010,  __READ_WRITE )

__IO_REG16(     CSIH0CTL2,                       0xFF6C0014,  __READ_WRITE )

__IO_REG8_BIT(  CSIH0EMU,                        0xFF6C0018,  __READ_WRITE )

__IO_REG16(     CSIH0MCTL0,                      0xFF6C1040,  __READ_WRITE )
__IO_REG32(     CSIH0CFG0,                       0xFF6C1044,  __READ_WRITE )
__IO_REG32(     CSIH0CFG1,                       0xFF6C1048,  __READ_WRITE )
__IO_REG32(     CSIH0CFG2,                       0xFF6C104C,  __READ_WRITE )
__IO_REG32(     CSIH0CFG3,                       0xFF6C1050,  __READ_WRITE )
__IO_REG32(     CSIH0CFG4,                       0xFF6C1054,  __READ_WRITE )
__IO_REG32(     CSIH0CFG5,                       0xFF6C1058,  __READ_WRITE )
__IO_REG32(     CSIH0CFG6,                       0xFF6C105C,  __READ_WRITE )
__IO_REG32(     CSIH0CFG7,                       0xFF6C1060,  __READ_WRITE )

__IO_REG32(     CSIH1CTL1,                       0xFF6D0010,  __READ_WRITE )

__IO_REG16(     CSIH1CTL2,                       0xFF6D0014,  __READ_WRITE )

__IO_REG8_BIT(  CSIH1EMU,                        0xFF6D0018,  __READ_WRITE )

__IO_REG16(     CSIH1MCTL0,                      0xFF6D1040,  __READ_WRITE )
__IO_REG32(     CSIH1CFG0,                       0xFF6D1044,  __READ_WRITE )
__IO_REG32(     CSIH1CFG1,                       0xFF6D1048,  __READ_WRITE )
__IO_REG32(     CSIH1CFG2,                       0xFF6D104C,  __READ_WRITE )
__IO_REG32(     CSIH1CFG3,                       0xFF6D1050,  __READ_WRITE )
__IO_REG32(     CSIH1CFG4,                       0xFF6D1054,  __READ_WRITE )
__IO_REG32(     CSIH1CFG5,                       0xFF6D1058,  __READ_WRITE )
__IO_REG32(     CSIH1CFG6,                       0xFF6D105C,  __READ_WRITE )
__IO_REG32(     CSIH1CFG7,                       0xFF6D1060,  __READ_WRITE )

__IO_REG32(     CSIH2CTL1,                       0xFF6E0010,  __READ_WRITE )

__IO_REG16(     CSIH2CTL2,                       0xFF6E0014,  __READ_WRITE )

__IO_REG8_BIT(  CSIH2EMU,                        0xFF6E0018,  __READ_WRITE )

__IO_REG16(     CSIH2MCTL0,                      0xFF6E1040,  __READ_WRITE )
__IO_REG32(     CSIH2CFG0,                       0xFF6E1044,  __READ_WRITE )
__IO_REG32(     CSIH2CFG1,                       0xFF6E1048,  __READ_WRITE )
__IO_REG32(     CSIH2CFG2,                       0xFF6E104C,  __READ_WRITE )
__IO_REG32(     CSIH2CFG3,                       0xFF6E1050,  __READ_WRITE )
__IO_REG32(     CSIH2CFG4,                       0xFF6E1054,  __READ_WRITE )
__IO_REG32(     CSIH2CFG5,                       0xFF6E1058,  __READ_WRITE )
__IO_REG32(     CSIH2CFG6,                       0xFF6E105C,  __READ_WRITE )
__IO_REG32(     CSIH2CFG7,                       0xFF6E1060,  __READ_WRITE )

__IO_REG32(     CSIH3CTL1,                       0xFF6F0010,  __READ_WRITE )

__IO_REG16(     CSIH3CTL2,                       0xFF6F0014,  __READ_WRITE )

__IO_REG8_BIT(  CSIH3EMU,                        0xFF6F0018,  __READ_WRITE )

__IO_REG16(     CSIH3MCTL0,                      0xFF6F1040,  __READ_WRITE )
__IO_REG32(     CSIH3CFG0,                       0xFF6F1044,  __READ_WRITE )
__IO_REG32(     CSIH3CFG1,                       0xFF6F1048,  __READ_WRITE )
__IO_REG32(     CSIH3CFG2,                       0xFF6F104C,  __READ_WRITE )
__IO_REG32(     CSIH3CFG3,                       0xFF6F1050,  __READ_WRITE )
__IO_REG32(     CSIH3CFG4,                       0xFF6F1054,  __READ_WRITE )
__IO_REG32(     CSIH3CFG5,                       0xFF6F1058,  __READ_WRITE )
__IO_REG32(     CSIH3CFG6,                       0xFF6F105C,  __READ_WRITE )
__IO_REG32(     CSIH3CFG7,                       0xFF6F1060,  __READ_WRITE )

__IO_REG32(     CSIG0CTL1,                       0xFF700010,  __READ_WRITE )

__IO_REG16(     CSIG0CTL2,                       0xFF700014,  __READ_WRITE )

__IO_REG8_BIT(  CSIG0EMU,                        0xFF700018,  __READ_WRITE )

__IO_REG32(     CSIG0CFG0,                       0xFF701010,  __READ_WRITE )

__IO_REG32(     CSIG1CTL1,                       0xFF710010,  __READ_WRITE )

__IO_REG16(     CSIG1CTL2,                       0xFF710014,  __READ_WRITE )

__IO_REG8_BIT(  CSIG1EMU,                        0xFF710018,  __READ_WRITE )

__IO_REG32(     CSIG1CFG0,                       0xFF711010,  __READ_WRITE )

__IO_REG32(     CSIG2CTL1,                       0xFF720010,  __READ_WRITE )

__IO_REG16(     CSIG2CTL2,                       0xFF720014,  __READ_WRITE )

__IO_REG8_BIT(  CSIG2EMU,                        0xFF720018,  __READ_WRITE )

__IO_REG32(     CSIG2CFG0,                       0xFF721010,  __READ_WRITE )

__IO_REG32(     CSIG3CTL1,                       0xFF730010,  __READ_WRITE )

__IO_REG16(     CSIG3CTL2,                       0xFF730014,  __READ_WRITE )

__IO_REG8_BIT(  CSIG3EMU,                        0xFF730018,  __READ_WRITE )

__IO_REG32(     CSIG3CFG0,                       0xFF731010,  __READ_WRITE )

__IO_REG32(     CSIG4CTL1,                       0xFF740010,  __READ_WRITE )

__IO_REG16(     CSIG4CTL2,                       0xFF740014,  __READ_WRITE )

__IO_REG8_BIT(  CSIG4EMU,                        0xFF740018,  __READ_WRITE )

__IO_REG32(     CSIG4CFG0,                       0xFF741010,  __READ_WRITE )

__IO_REG32(     CSIG5CTL1,                       0xFF750010,  __READ_WRITE )

__IO_REG16(     CSIG5CTL2,                       0xFF750014,  __READ_WRITE )

__IO_REG8_BIT(  CSIG5EMU,                        0xFF750018,  __READ_WRITE )

__IO_REG32(     CSIG5CFG0,                       0xFF751010,  __READ_WRITE )

__IO_REG32(     OSTM0CMP,                        0xFF800000,  __READ_WRITE )
__IO_REG32(     OSTM0CNT,                        0xFF800004,  __READ       )

__IO_REG8(      OSTM0TO,                         0xFF800008,  __READ_WRITE )

__IO_REG8(      OSTM0TOE,                        0xFF80000C,  __READ_WRITE )

__IO_REG8(      OSTM0TE,                         0xFF800010,  __READ       )

__IO_REG8(      OSTM0TS,                         0xFF800014,  __WRITE      )

__IO_REG8(      OSTM0TT,                         0xFF800018,  __WRITE      )

__IO_REG8(      OSTM0CTL,                        0xFF800020,  __READ_WRITE )

__IO_REG8(      OSTM0EMU,                        0xFF800024,  __READ_WRITE )

__IO_REG16(     TAUA0CMOR0,                      0xFF808200,  __READ_WRITE )

__IO_REG16(     TAUA0CMOR1,                      0xFF808204,  __READ_WRITE )

__IO_REG16(     TAUA0CMOR2,                      0xFF808208,  __READ_WRITE )

__IO_REG16(     TAUA0CMOR3,                      0xFF80820C,  __READ_WRITE )

__IO_REG16(     TAUA0CMOR4,                      0xFF808210,  __READ_WRITE )

__IO_REG16(     TAUA0CMOR5,                      0xFF808214,  __READ_WRITE )

__IO_REG16(     TAUA0CMOR6,                      0xFF808218,  __READ_WRITE )

__IO_REG16(     TAUA0CMOR7,                      0xFF80821C,  __READ_WRITE )

__IO_REG16(     TAUA0CMOR8,                      0xFF808220,  __READ_WRITE )

__IO_REG16(     TAUA0CMOR9,                      0xFF808224,  __READ_WRITE )

__IO_REG16(     TAUA0CMOR10,                     0xFF808228,  __READ_WRITE )

__IO_REG16(     TAUA0CMOR11,                     0xFF80822C,  __READ_WRITE )

__IO_REG16(     TAUA0CMOR12,                     0xFF808230,  __READ_WRITE )

__IO_REG16(     TAUA0CMOR13,                     0xFF808234,  __READ_WRITE )

__IO_REG16(     TAUA0CMOR14,                     0xFF808238,  __READ_WRITE )

__IO_REG16(     TAUA0CMOR15,                     0xFF80823C,  __READ_WRITE )

__IO_REG16(     TAUA0TPS,                        0xFF808240,  __READ_WRITE )

__IO_REG8(      TAUA0BRS,                        0xFF808244,  __READ_WRITE )

__IO_REG16(     TAUA0TOM,                        0xFF808248,  __READ_WRITE )

__IO_REG16(     TAUA0TOC,                        0xFF80824C,  __READ_WRITE )

__IO_REG16(     TAUA0TDE,                        0xFF808250,  __READ_WRITE )

__IO_REG16(     TAUA0TDM,                        0xFF808254,  __READ_WRITE )

__IO_REG16(     TAUA0TRE,                        0xFF808258,  __READ_WRITE )

__IO_REG16(     TAUA0TRC,                        0xFF80825C,  __READ_WRITE )

__IO_REG16(     TAUA0RDE,                        0xFF808260,  __READ_WRITE )

__IO_REG16(     TAUA0RDM,                        0xFF808264,  __READ_WRITE )

__IO_REG16(     TAUA0RDS,                        0xFF808268,  __READ_WRITE )

__IO_REG16(     TAUA0RDC,                        0xFF80826C,  __READ_WRITE )

__IO_REG16(     TAUA0DAS0,                       0xFF808270,  __READ_WRITE )

__IO_REG16(     TAUA0DAS1,                       0xFF808274,  __READ_WRITE )

__IO_REG16(     TAUA0DAS2,                       0xFF808278,  __READ_WRITE )

__IO_REG16(     TAUA0DAS3,                       0xFF80827C,  __READ_WRITE )

__IO_REG16(     TAUA0DAS4,                       0xFF808280,  __READ_WRITE )

__IO_REG16(     TAUA0DAS5,                       0xFF808284,  __READ_WRITE )

__IO_REG16(     TAUA0DAS6,                       0xFF808288,  __READ_WRITE )

__IO_REG16(     TAUA0DAS7,                       0xFF80828C,  __READ_WRITE )

__IO_REG8(      TAUA0EMU,                        0xFF808290,  __READ_WRITE )

__IO_REG16(     TAUA1CMOR0,                      0xFF809200,  __READ_WRITE )

__IO_REG16(     TAUA1CMOR1,                      0xFF809204,  __READ_WRITE )

__IO_REG16(     TAUA1CMOR2,                      0xFF809208,  __READ_WRITE )

__IO_REG16(     TAUA1CMOR3,                      0xFF80920C,  __READ_WRITE )

__IO_REG16(     TAUA1CMOR4,                      0xFF809210,  __READ_WRITE )

__IO_REG16(     TAUA1CMOR5,                      0xFF809214,  __READ_WRITE )

__IO_REG16(     TAUA1CMOR6,                      0xFF809218,  __READ_WRITE )

__IO_REG16(     TAUA1CMOR7,                      0xFF80921C,  __READ_WRITE )

__IO_REG16(     TAUA1CMOR8,                      0xFF809220,  __READ_WRITE )

__IO_REG16(     TAUA1CMOR9,                      0xFF809224,  __READ_WRITE )

__IO_REG16(     TAUA1CMOR10,                     0xFF809228,  __READ_WRITE )

__IO_REG16(     TAUA1CMOR11,                     0xFF80922C,  __READ_WRITE )

__IO_REG16(     TAUA1CMOR12,                     0xFF809230,  __READ_WRITE )

__IO_REG16(     TAUA1CMOR13,                     0xFF809234,  __READ_WRITE )

__IO_REG16(     TAUA1CMOR14,                     0xFF809238,  __READ_WRITE )

__IO_REG16(     TAUA1CMOR15,                     0xFF80923C,  __READ_WRITE )

__IO_REG16(     TAUA1TPS,                        0xFF809240,  __READ_WRITE )

__IO_REG8(      TAUA1BRS,                        0xFF809244,  __READ_WRITE )

__IO_REG16(     TAUA1TOM,                        0xFF809248,  __READ_WRITE )

__IO_REG16(     TAUA1TOC,                        0xFF80924C,  __READ_WRITE )

__IO_REG16(     TAUA1TDE,                        0xFF809250,  __READ_WRITE )

__IO_REG16(     TAUA1TDM,                        0xFF809254,  __READ_WRITE )

__IO_REG16(     TAUA1TRE,                        0xFF809258,  __READ_WRITE )

__IO_REG16(     TAUA1TRC,                        0xFF80925C,  __READ_WRITE )

__IO_REG16(     TAUA1RDE,                        0xFF809260,  __READ_WRITE )

__IO_REG16(     TAUA1RDM,                        0xFF809264,  __READ_WRITE )

__IO_REG16(     TAUA1RDS,                        0xFF809268,  __READ_WRITE )

__IO_REG16(     TAUA1RDC,                        0xFF80926C,  __READ_WRITE )

__IO_REG16(     TAUA1DAS0,                       0xFF809270,  __READ_WRITE )

__IO_REG16(     TAUA1DAS1,                       0xFF809274,  __READ_WRITE )

__IO_REG16(     TAUA1DAS2,                       0xFF809278,  __READ_WRITE )

__IO_REG16(     TAUA1DAS3,                       0xFF80927C,  __READ_WRITE )

__IO_REG16(     TAUA1DAS4,                       0xFF809280,  __READ_WRITE )

__IO_REG16(     TAUA1DAS5,                       0xFF809284,  __READ_WRITE )

__IO_REG16(     TAUA1DAS6,                       0xFF809288,  __READ_WRITE )

__IO_REG16(     TAUA1DAS7,                       0xFF80928C,  __READ_WRITE )

__IO_REG8(      TAUA1EMU,                        0xFF809290,  __READ_WRITE )

__IO_REG16(     TAUA2CMOR0,                      0xFF80A200,  __READ_WRITE )

__IO_REG16(     TAUA2CMOR1,                      0xFF80A204,  __READ_WRITE )

__IO_REG16(     TAUA2CMOR2,                      0xFF80A208,  __READ_WRITE )

__IO_REG16(     TAUA2CMOR3,                      0xFF80A20C,  __READ_WRITE )

__IO_REG16(     TAUA2CMOR4,                      0xFF80A210,  __READ_WRITE )

__IO_REG16(     TAUA2CMOR5,                      0xFF80A214,  __READ_WRITE )

__IO_REG16(     TAUA2CMOR6,                      0xFF80A218,  __READ_WRITE )

__IO_REG16(     TAUA2CMOR7,                      0xFF80A21C,  __READ_WRITE )

__IO_REG16(     TAUA2CMOR8,                      0xFF80A220,  __READ_WRITE )

__IO_REG16(     TAUA2CMOR9,                      0xFF80A224,  __READ_WRITE )

__IO_REG16(     TAUA2CMOR10,                     0xFF80A228,  __READ_WRITE )

__IO_REG16(     TAUA2CMOR11,                     0xFF80A22C,  __READ_WRITE )

__IO_REG16(     TAUA2CMOR12,                     0xFF80A230,  __READ_WRITE )

__IO_REG16(     TAUA2CMOR13,                     0xFF80A234,  __READ_WRITE )

__IO_REG16(     TAUA2CMOR14,                     0xFF80A238,  __READ_WRITE )

__IO_REG16(     TAUA2CMOR15,                     0xFF80A23C,  __READ_WRITE )

__IO_REG16(     TAUA2TPS,                        0xFF80A240,  __READ_WRITE )

__IO_REG8(      TAUA2BRS,                        0xFF80A244,  __READ_WRITE )

__IO_REG16(     TAUA2TOM,                        0xFF80A248,  __READ_WRITE )

__IO_REG16(     TAUA2TOC,                        0xFF80A24C,  __READ_WRITE )

__IO_REG16(     TAUA2TDE,                        0xFF80A250,  __READ_WRITE )

__IO_REG16(     TAUA2TDM,                        0xFF80A254,  __READ_WRITE )

__IO_REG16(     TAUA2TRE,                        0xFF80A258,  __READ_WRITE )

__IO_REG16(     TAUA2TRC,                        0xFF80A25C,  __READ_WRITE )

__IO_REG16(     TAUA2RDE,                        0xFF80A260,  __READ_WRITE )

__IO_REG16(     TAUA2RDM,                        0xFF80A264,  __READ_WRITE )

__IO_REG16(     TAUA2RDS,                        0xFF80A268,  __READ_WRITE )

__IO_REG16(     TAUA2RDC,                        0xFF80A26C,  __READ_WRITE )

__IO_REG16(     TAUA2DAS0,                       0xFF80A270,  __READ_WRITE )

__IO_REG16(     TAUA2DAS1,                       0xFF80A274,  __READ_WRITE )

__IO_REG16(     TAUA2DAS2,                       0xFF80A278,  __READ_WRITE )

__IO_REG16(     TAUA2DAS3,                       0xFF80A27C,  __READ_WRITE )

__IO_REG16(     TAUA2DAS4,                       0xFF80A280,  __READ_WRITE )

__IO_REG16(     TAUA2DAS5,                       0xFF80A284,  __READ_WRITE )

__IO_REG16(     TAUA2DAS6,                       0xFF80A288,  __READ_WRITE )

__IO_REG16(     TAUA2DAS7,                       0xFF80A28C,  __READ_WRITE )

__IO_REG8(      TAUA2EMU,                        0xFF80A290,  __READ_WRITE )

__IO_REG16(     TAUA3CMOR0,                      0xFF80B200,  __READ_WRITE )

__IO_REG16(     TAUA3CMOR1,                      0xFF80B204,  __READ_WRITE )

__IO_REG16(     TAUA3CMOR2,                      0xFF80B208,  __READ_WRITE )

__IO_REG16(     TAUA3CMOR3,                      0xFF80B20C,  __READ_WRITE )

__IO_REG16(     TAUA3CMOR4,                      0xFF80B210,  __READ_WRITE )

__IO_REG16(     TAUA3CMOR5,                      0xFF80B214,  __READ_WRITE )

__IO_REG16(     TAUA3CMOR6,                      0xFF80B218,  __READ_WRITE )

__IO_REG16(     TAUA3CMOR7,                      0xFF80B21C,  __READ_WRITE )

__IO_REG16(     TAUA3CMOR8,                      0xFF80B220,  __READ_WRITE )

__IO_REG16(     TAUA3CMOR9,                      0xFF80B224,  __READ_WRITE )

__IO_REG16(     TAUA3CMOR10,                     0xFF80B228,  __READ_WRITE )

__IO_REG16(     TAUA3CMOR11,                     0xFF80B22C,  __READ_WRITE )

__IO_REG16(     TAUA3CMOR12,                     0xFF80B230,  __READ_WRITE )

__IO_REG16(     TAUA3CMOR13,                     0xFF80B234,  __READ_WRITE )

__IO_REG16(     TAUA3CMOR14,                     0xFF80B238,  __READ_WRITE )

__IO_REG16(     TAUA3CMOR15,                     0xFF80B23C,  __READ_WRITE )

__IO_REG16(     TAUA3TPS,                        0xFF80B240,  __READ_WRITE )

__IO_REG8(      TAUA3BRS,                        0xFF80B244,  __READ_WRITE )

__IO_REG16(     TAUA3TOM,                        0xFF80B248,  __READ_WRITE )

__IO_REG16(     TAUA3TOC,                        0xFF80B24C,  __READ_WRITE )

__IO_REG16(     TAUA3TDE,                        0xFF80B250,  __READ_WRITE )

__IO_REG16(     TAUA3TDM,                        0xFF80B254,  __READ_WRITE )

__IO_REG16(     TAUA3TRE,                        0xFF80B258,  __READ_WRITE )

__IO_REG16(     TAUA3TRC,                        0xFF80B25C,  __READ_WRITE )

__IO_REG16(     TAUA3RDE,                        0xFF80B260,  __READ_WRITE )

__IO_REG16(     TAUA3RDM,                        0xFF80B264,  __READ_WRITE )

__IO_REG16(     TAUA3RDS,                        0xFF80B268,  __READ_WRITE )

__IO_REG16(     TAUA3RDC,                        0xFF80B26C,  __READ_WRITE )

__IO_REG16(     TAUA3DAS0,                       0xFF80B270,  __READ_WRITE )

__IO_REG16(     TAUA3DAS1,                       0xFF80B274,  __READ_WRITE )

__IO_REG16(     TAUA3DAS2,                       0xFF80B278,  __READ_WRITE )

__IO_REG16(     TAUA3DAS3,                       0xFF80B27C,  __READ_WRITE )

__IO_REG16(     TAUA3DAS4,                       0xFF80B280,  __READ_WRITE )

__IO_REG16(     TAUA3DAS5,                       0xFF80B284,  __READ_WRITE )

__IO_REG16(     TAUA3DAS6,                       0xFF80B288,  __READ_WRITE )

__IO_REG16(     TAUA3DAS7,                       0xFF80B28C,  __READ_WRITE )

__IO_REG8(      TAUA3EMU,                        0xFF80B290,  __READ_WRITE )

__IO_REG16(     TAUJ0CMOR0,                      0xFF811080,  __READ_WRITE )

__IO_REG16(     TAUJ0CMOR1,                      0xFF811084,  __READ_WRITE )

__IO_REG16(     TAUJ0CMOR2,                      0xFF811088,  __READ_WRITE )

__IO_REG16(     TAUJ0CMOR3,                      0xFF81108C,  __READ_WRITE )

__IO_REG16(     TAUJ0TPS,                        0xFF811090,  __READ_WRITE )

__IO_REG8(      TAUJ0BRS,                        0xFF811094,  __READ_WRITE )

__IO_REG8(      TAUJ0TOM,                        0xFF811098,  __READ_WRITE )

__IO_REG8(      TAUJ0TOC,                        0xFF81109C,  __READ_WRITE )

__IO_REG8(      TAUJ0RDE,                        0xFF8110A0,  __READ_WRITE )

__IO_REG8(      TAUJ0RDM,                        0xFF8110A4,  __READ_WRITE )

__IO_REG8(      TAUJ0EMU,                        0xFF8110A8,  __READ_WRITE )

__IO_REG16(     TAPA0CTL0,                       0xFF815020,  __READ_WRITE )

__IO_REG8(      TAPA0CTL1,                       0xFF815024,  __READ_WRITE )

__IO_REG8(      TAPA0EMU,                        0xFF815028,  __READ_WRITE )

__IO_REG16(     TAPA1CTL0,                       0xFF816020,  __READ_WRITE )

__IO_REG8(      TAPA1CTL1,                       0xFF816024,  __READ_WRITE )

__IO_REG8(      TAPA1EMU,                        0xFF816028,  __READ_WRITE )

__IO_REG16(     TAPA2CTL0,                       0xFF817020,  __READ_WRITE )

__IO_REG8(      TAPA2CTL1,                       0xFF817024,  __READ_WRITE )

__IO_REG8(      TAPA2EMU,                        0xFF817028,  __READ_WRITE )

__IO_REG16(     TAPA3CTL0,                       0xFF818020,  __READ_WRITE )

__IO_REG8(      TAPA3CTL1,                       0xFF818024,  __READ_WRITE )

__IO_REG8(      TAPA3EMU,                        0xFF818028,  __READ_WRITE )

__IO_REG16(     ENCA0CTL,                        0xFF819040,  __READ_WRITE )

__IO_REG8(      ENCA0IOC1,                       0xFF819044,  __READ_WRITE )

__IO_REG8(      ENCA0EMU,                        0xFF819048,  __READ_WRITE )

__IO_REG16(     ENCA1CTL,                        0xFF81A040,  __READ_WRITE )

__IO_REG8(      ENCA1IOC1,                       0xFF81A044,  __READ_WRITE )

__IO_REG8(      ENCA1EMU,                        0xFF81A048,  __READ_WRITE )

__IO_REG16(     PIC0SSER0,                       0xFF81C080,  __READ_WRITE )

__IO_REG16(     PIC0SSER1,                       0xFF81C084,  __READ_WRITE )

__IO_REG16(     PIC0SSER2,                       0xFF81C088,  __READ_WRITE )
__IO_REG32(     PIC0REG200,                      0xFF81C08C,  __READ_WRITE )

__IO_REG32(     PIC0REG210,                      0xFF81C09C,  __READ_WRITE )

__IO_REG8_BIT(  PIC0HIZCEN0,                     0xFF81C0B4,  __READ_WRITE )

__IO_REG8_BIT(  PIC0HIZCEN1,                     0xFF81C0B8,  __READ_WRITE )

__IO_REG32(     PIC0REG31,                       0xFF81C0C0,  __READ_WRITE )

__IO_REG16(     PIC0ADTEN400,                    0xFF81C0C4,  __READ_WRITE )

__IO_REG16(     PIC0ADTEN401,                    0xFF81C0C8,  __READ_WRITE )

__IO_REG16(     PIC0ADTEN402,                    0xFF81C0CC,  __READ_WRITE )

__IO_REG16(     PIC0ADTEN410,                    0xFF81C0D0,  __READ_WRITE )

__IO_REG16(     PIC0ADTEN411,                    0xFF81C0D4,  __READ_WRITE )

__IO_REG16(     PIC0ADTEN412,                    0xFF81C0D8,  __READ_WRITE )

__IO_REG8_BIT(  PIC0HIZCEN2,                     0xFF81C0DC,  __READ_WRITE )

__IO_REG8_BIT(  PIC0HIZCEN3,                     0xFF81C0E4,  __READ_WRITE )

__IO_REG16(     ADCA0CTL0,                       0xFF81D100,  __READ_WRITE )
__IO_REG32(     ADCA0CTL1,                       0xFF81D104,  __READ_WRITE )

__IO_REG16(     ADCA0TSEL0,                      0xFF81D108,  __READ_WRITE )

__IO_REG16(     ADCA0TSEL1,                      0xFF81D10C,  __READ_WRITE )

__IO_REG16(     ADCA0TSEL2,                      0xFF81D110,  __READ_WRITE )

__IO_REG8(      ADCA0CNT,                        0xFF81D114,  __READ_WRITE )
__IO_REG32(     ADCA0SHCTL,                      0xFF81D118,  __READ_WRITE )

__IO_REG8(      ADCA0EMU,                        0xFF81D128,  __READ_WRITE )

__IO_REG8_BIT(  IICB0CTL1,                       0xFF820020,  __READ_WRITE )

__IO_REG16(     IICB0WL,                         0xFF820024,  __READ_WRITE )

__IO_REG16(     IICB0WH,                         0xFF820028,  __READ_WRITE )

__IO_REG8_BIT(  IICB0EMU,                        0xFF820034,  __READ_WRITE )

__IO_REG8_BIT(  IICB1CTL1,                       0xFF821020,  __READ_WRITE )

__IO_REG16(     IICB1WL,                         0xFF821024,  __READ_WRITE )

__IO_REG16(     IICB1WH,                         0xFF821028,  __READ_WRITE )

__IO_REG8_BIT(  IICB1EMU,                        0xFF821034,  __READ_WRITE )

__IO_REG8_BIT(  IICB2CTL1,                       0xFF822020,  __READ_WRITE )

__IO_REG16(     IICB2WL,                         0xFF822024,  __READ_WRITE )

__IO_REG16(     IICB2WH,                         0xFF822028,  __READ_WRITE )

__IO_REG8_BIT(  IICB2EMU,                        0xFF822034,  __READ_WRITE )

__IO_REG8_BIT(  IICB3CTL1,                       0xFF823020,  __READ_WRITE )

__IO_REG16(     IICB3WL,                         0xFF823024,  __READ_WRITE )

__IO_REG16(     IICB3WH,                         0xFF823028,  __READ_WRITE )

__IO_REG8_BIT(  IICB3EMU,                        0xFF823034,  __READ_WRITE )

__IO_REG8_BIT(  IICB4CTL1,                       0xFF824020,  __READ_WRITE )

__IO_REG16(     IICB4WL,                         0xFF824024,  __READ_WRITE )

__IO_REG16(     IICB4WH,                         0xFF824028,  __READ_WRITE )

__IO_REG8_BIT(  IICB4EMU,                        0xFF824034,  __READ_WRITE )

__IO_REG8_BIT(  IICB5CTL1,                       0xFF825020,  __READ_WRITE )

__IO_REG16(     IICB5WL,                         0xFF825024,  __READ_WRITE )

__IO_REG16(     IICB5WH,                         0xFF825028,  __READ_WRITE )

__IO_REG8_BIT(  IICB5EMU,                        0xFF825034,  __READ_WRITE )

__IO_REG32(     TSEC,                            0xFFFF5000,  __READ_WRITE )
__IO_REG16(     TSECL,                           0xFFFF5000,  __READ_WRITE )
__IO_REG8_BIT(  TSECLL,                          0xFFFF5000,  __READ_WRITE )
__IO_REG32(     TSECR,                           0xFFFF5004,  __READ_WRITE )
__IO_REG16(     TSECRL,                          0xFFFF5004,  __READ_WRITE )
__IO_REG8(      TSECRLL,                         0xFFFF5004,  __READ_WRITE )
__IO_REG8(      TSECRLH,                         0xFFFF5005,  __READ_WRITE )
__IO_REG16(     TSECRH,                          0xFFFF5006,  __READ_WRITE )
__IO_REG8(      TSECRHL,                         0xFFFF5006,  __READ_WRITE )
__IO_REG8(      TSECRHH,                         0xFFFF5007,  __READ_WRITE )

__IO_REG32(     TSCCFG0,                         0xFFFF5020,  __READ_WRITE )
__IO_REG16(     TSCCFG0L,                        0xFFFF5020,  __READ_WRITE )
__IO_REG8(      TSCCFG0LL,                       0xFFFF5020,  __READ_WRITE )
__IO_REG8(      TSCCFG0LH,                       0xFFFF5021,  __READ_WRITE )
__IO_REG16(     TSCCFG0H,                        0xFFFF5022,  __READ_WRITE )
__IO_REG8(      TSCCFG0HL,                       0xFFFF5022,  __READ_WRITE )
__IO_REG8(      TSCCFG0HH,                       0xFFFF5023,  __READ_WRITE )
__IO_REG32(     TSCCNT0,                         0xFFFF5024,  __READ_WRITE )
__IO_REG32(     TSCCMP0,                         0xFFFF5028,  __READ_WRITE )
__IO_REG32(     TSCRLD0,                         0xFFFF502C,  __READ_WRITE )
__IO_REG32(     TSCCFG1,                         0xFFFF5030,  __READ_WRITE )
__IO_REG16(     TSCCFG1L,                        0xFFFF5030,  __READ_WRITE )
__IO_REG8(      TSCCFG1LL,                       0xFFFF5030,  __READ_WRITE )
__IO_REG8(      TSCCFG1LH,                       0xFFFF5031,  __READ_WRITE )
__IO_REG16(     TSCCFG1H,                        0xFFFF5032,  __READ_WRITE )
__IO_REG8(      TSCCFG1HL,                       0xFFFF5032,  __READ_WRITE )
__IO_REG8(      TSCCFG1HH,                       0xFFFF5033,  __READ_WRITE )
__IO_REG32(     TSCCNT1,                         0xFFFF5034,  __READ_WRITE )
__IO_REG32(     TSCCMP1,                         0xFFFF5038,  __READ_WRITE )
__IO_REG32(     TSCRLD1,                         0xFFFF503C,  __READ_WRITE )
__IO_REG32(     TSCCFG2,                         0xFFFF5040,  __READ_WRITE )
__IO_REG16(     TSCCFG2L,                        0xFFFF5040,  __READ_WRITE )
__IO_REG8(      TSCCFG2LL,                       0xFFFF5040,  __READ_WRITE )
__IO_REG8(      TSCCFG2LH,                       0xFFFF5041,  __READ_WRITE )
__IO_REG16(     TSCCFG2H,                        0xFFFF5042,  __READ_WRITE )
__IO_REG8(      TSCCFG2HL,                       0xFFFF5042,  __READ_WRITE )
__IO_REG8(      TSCCFG2HH,                       0xFFFF5043,  __READ_WRITE )
__IO_REG32(     TSCCNT2,                         0xFFFF5044,  __READ_WRITE )
__IO_REG32(     TSCCMP2,                         0xFFFF5048,  __READ_WRITE )
__IO_REG32(     TSCRLD2,                         0xFFFF504C,  __READ_WRITE )
__IO_REG32(     TSCCFG3,                         0xFFFF5050,  __READ_WRITE )
__IO_REG16(     TSCCFG3L,                        0xFFFF5050,  __READ_WRITE )
__IO_REG8(      TSCCFG3LL,                       0xFFFF5050,  __READ_WRITE )
__IO_REG8(      TSCCFG3LH,                       0xFFFF5051,  __READ_WRITE )
__IO_REG16(     TSCCFG3H,                        0xFFFF5052,  __READ_WRITE )
__IO_REG8(      TSCCFG3HL,                       0xFFFF5052,  __READ_WRITE )
__IO_REG8(      TSCCFG3HH,                       0xFFFF5053,  __READ_WRITE )
__IO_REG32(     TSCCNT3,                         0xFFFF5054,  __READ_WRITE )
__IO_REG32(     TSCCMP3,                         0xFFFF5058,  __READ_WRITE )
__IO_REG32(     TSCRLD3,                         0xFFFF505C,  __READ_WRITE )
__IO_REG32(     TSCCFG4,                         0xFFFF5060,  __READ_WRITE )
__IO_REG16(     TSCCFG4L,                        0xFFFF5060,  __READ_WRITE )
__IO_REG8(      TSCCFG4LL,                       0xFFFF5060,  __READ_WRITE )
__IO_REG8(      TSCCFG4LH,                       0xFFFF5061,  __READ_WRITE )
__IO_REG16(     TSCCFG4H,                        0xFFFF5062,  __READ_WRITE )
__IO_REG8(      TSCCFG4HL,                       0xFFFF5062,  __READ_WRITE )
__IO_REG8(      TSCCFG4HH,                       0xFFFF5063,  __READ_WRITE )
__IO_REG32(     TSCCNT4,                         0xFFFF5064,  __READ_WRITE )
__IO_REG32(     TSCCMP4,                         0xFFFF5068,  __READ_WRITE )
__IO_REG32(     TSCRLD4,                         0xFFFF506C,  __READ_WRITE )
__IO_REG32(     TSCCFG5,                         0xFFFF5070,  __READ_WRITE )
__IO_REG16(     TSCCFG5L,                        0xFFFF5070,  __READ_WRITE )
__IO_REG8(      TSCCFG5LL,                       0xFFFF5070,  __READ_WRITE )
__IO_REG8(      TSCCFG5LH,                       0xFFFF5071,  __READ_WRITE )
__IO_REG16(     TSCCFG5H,                        0xFFFF5072,  __READ_WRITE )
__IO_REG8(      TSCCFG5HL,                       0xFFFF5072,  __READ_WRITE )
__IO_REG8(      TSCCFG5HH,                       0xFFFF5073,  __READ_WRITE )
__IO_REG32(     TSCCNT5,                         0xFFFF5074,  __READ_WRITE )
__IO_REG32(     TSCCMP5,                         0xFFFF5078,  __READ_WRITE )
__IO_REG32(     TSCRLD5,                         0xFFFF507C,  __READ_WRITE )

__IO_REG32(     PPM,                             0xFFFF5100,  __READ_WRITE )
__IO_REG16(     PPML,                            0xFFFF5100,  __READ_WRITE )
__IO_REG8_BIT(  PPMLL,                           0xFFFF5100,  __READ_WRITE )
__IO_REG32(     PPEC,                            0xFFFF5104,  __READ_WRITE )
__IO_REG16(     PPECL,                           0xFFFF5104,  __READ_WRITE )
__IO_REG8(      PPECLL,                          0xFFFF5104,  __READ_WRITE )
__IO_REG8(      PPECLH,                          0xFFFF5105,  __READ_WRITE )
__IO_REG16(     PPECH,                           0xFFFF5106,  __READ_WRITE )
__IO_REG8(      PPECHL,                          0xFFFF5106,  __READ_WRITE )
__IO_REG8(      PPECHH,                          0xFFFF5107,  __READ_WRITE )

__IO_REG32(     VPNECR,                          0xFFFF5110,  __READ_WRITE )
__IO_REG16(     VPNECRL,                         0xFFFF5110,  __READ_WRITE )
__IO_REG8(      VPNECRLL,                        0xFFFF5110,  __READ_WRITE )
__IO_REG8(      VPNECRLH,                        0xFFFF5111,  __READ_WRITE )
__IO_REG16(     VPNECRH,                         0xFFFF5112,  __READ_WRITE )
__IO_REG8(      VPNECRHL,                        0xFFFF5112,  __READ_WRITE )
__IO_REG8(      VPNECRHH,                        0xFFFF5113,  __READ_WRITE )
__IO_REG32(     VPNADR,                          0xFFFF5114,  __READ_WRITE )
__IO_REG16(     VPNADRL,                         0xFFFF5114,  __READ_WRITE )
__IO_REG8(      VPNADRLL,                        0xFFFF5114,  __READ_WRITE )
__IO_REG8(      VPNADRLH,                        0xFFFF5115,  __READ_WRITE )
__IO_REG16(     VPNADRH,                         0xFFFF5116,  __READ_WRITE )
__IO_REG8(      VPNADRHL,                        0xFFFF5116,  __READ_WRITE )
__IO_REG8(      VPNADRHH,                        0xFFFF5117,  __READ_WRITE )
__IO_REG32(     VPNTID,                          0xFFFF5118,  __READ_WRITE )
__IO_REG16(     VPNTIDL,                         0xFFFF5118,  __READ_WRITE )
__IO_REG8(      VPNTIDLL,                        0xFFFF5118,  __READ_WRITE )
__IO_REG8(      VPNTIDLH,                        0xFFFF5119,  __READ_WRITE )
__IO_REG16(     VPNTIDH,                         0xFFFF511A,  __READ_WRITE )
__IO_REG8(      VPNTIDHL,                        0xFFFF511A,  __READ_WRITE )
__IO_REG8(      VPNTIDHH,                        0xFFFF511B,  __READ_WRITE )

__IO_REG32(     VPTECR,                          0xFFFF5120,  __READ_WRITE )
__IO_REG16(     VPTECRL,                         0xFFFF5120,  __READ_WRITE )
__IO_REG8(      VPTECRLL,                        0xFFFF5120,  __READ_WRITE )
__IO_REG8(      VPTECRLH,                        0xFFFF5121,  __READ_WRITE )
__IO_REG16(     VPTECRH,                         0xFFFF5122,  __READ_WRITE )
__IO_REG8(      VPTECRHL,                        0xFFFF5122,  __READ_WRITE )
__IO_REG8(      VPTECRHH,                        0xFFFF5123,  __READ_WRITE )
__IO_REG32(     VPTADR,                          0xFFFF5124,  __READ_WRITE )
__IO_REG16(     VPTADRL,                         0xFFFF5124,  __READ_WRITE )
__IO_REG8(      VPTADRLL,                        0xFFFF5124,  __READ_WRITE )
__IO_REG8(      VPTADRLH,                        0xFFFF5125,  __READ_WRITE )
__IO_REG16(     VPTADRH,                         0xFFFF5126,  __READ_WRITE )
__IO_REG8(      VPTADRHL,                        0xFFFF5126,  __READ_WRITE )
__IO_REG8(      VPTADRHH,                        0xFFFF5127,  __READ_WRITE )
__IO_REG32(     VPTTID,                          0xFFFF5128,  __READ_WRITE )
__IO_REG16(     VPTTIDL,                         0xFFFF5128,  __READ_WRITE )
__IO_REG8(      VPTTIDLL,                        0xFFFF5128,  __READ_WRITE )
__IO_REG8(      VPTTIDLH,                        0xFFFF5129,  __READ_WRITE )
__IO_REG16(     VPTTIDH,                         0xFFFF512A,  __READ_WRITE )
__IO_REG8(      VPTTIDHL,                        0xFFFF512A,  __READ_WRITE )
__IO_REG8(      VPTTIDHH,                        0xFFFF512B,  __READ_WRITE )

__IO_REG32(     PPV0,                            0xFFFF5140,  __READ_WRITE )
__IO_REG16(     PPV0L,                           0xFFFF5140,  __READ_WRITE )
__IO_REG8_BIT(  PPV0LL,                          0xFFFF5140,  __READ_WRITE )
__IO_REG8_BIT(  PPV0LH,                          0xFFFF5141,  __READ_WRITE )
__IO_REG16(     PPV0H,                           0xFFFF5142,  __READ_WRITE )
__IO_REG8_BIT(  PPV0HL,                          0xFFFF5142,  __READ_WRITE )
__IO_REG8_BIT(  PPV0HH,                          0xFFFF5143,  __READ_WRITE )
__IO_REG32(     PPT0,                            0xFFFF5144,  __READ_WRITE )
__IO_REG16(     PPT0L,                           0xFFFF5144,  __READ_WRITE )
__IO_REG8_BIT(  PPT0LL,                          0xFFFF5144,  __READ_WRITE )
__IO_REG8_BIT(  PPT0LH,                          0xFFFF5145,  __READ_WRITE )
__IO_REG16(     PPT0H,                           0xFFFF5146,  __READ_WRITE )
__IO_REG8_BIT(  PPT0HL,                          0xFFFF5146,  __READ_WRITE )
__IO_REG8_BIT(  PPT0HH,                          0xFFFF5147,  __READ_WRITE )
__IO_REG32(     PPP0,                            0xFFFF5148,  __READ_WRITE )
__IO_REG16(     PPP0L,                           0xFFFF5148,  __READ_WRITE )
__IO_REG8_BIT(  PPP0LL,                          0xFFFF5148,  __READ_WRITE )
__IO_REG8_BIT(  PPP0LH,                          0xFFFF5149,  __READ_WRITE )
__IO_REG16(     PPP0H,                           0xFFFF514A,  __READ_WRITE )
__IO_REG8_BIT(  PPP0HL,                          0xFFFF514A,  __READ_WRITE )
__IO_REG8_BIT(  PPP0HH,                          0xFFFF514B,  __READ_WRITE )
__IO_REG32(     PPS0,                            0xFFFF514C,  __READ_WRITE )
__IO_REG16(     PPS0L,                           0xFFFF514C,  __READ_WRITE )
__IO_REG8_BIT(  PPS0LL,                          0xFFFF514C,  __READ_WRITE )
__IO_REG8_BIT(  PPS0LH,                          0xFFFF514D,  __READ_WRITE )
__IO_REG16(     PPS0H,                           0xFFFF514E,  __READ_WRITE )
__IO_REG8_BIT(  PPS0HL,                          0xFFFF514E,  __READ_WRITE )
__IO_REG8_BIT(  PPS0HH,                          0xFFFF514F,  __READ_WRITE )
__IO_REG32(     PPV1,                            0xFFFF5150,  __READ_WRITE )
__IO_REG16(     PPV1L,                           0xFFFF5150,  __READ_WRITE )
__IO_REG8_BIT(  PPV1LL,                          0xFFFF5150,  __READ_WRITE )
__IO_REG8_BIT(  PPV1LH,                          0xFFFF5151,  __READ_WRITE )
__IO_REG16(     PPV1H,                           0xFFFF5152,  __READ_WRITE )
__IO_REG8_BIT(  PPV1HL,                          0xFFFF5152,  __READ_WRITE )
__IO_REG8_BIT(  PPV1HH,                          0xFFFF5153,  __READ_WRITE )
__IO_REG32(     PPT1,                            0xFFFF5154,  __READ_WRITE )
__IO_REG16(     PPT1L,                           0xFFFF5154,  __READ_WRITE )
__IO_REG8_BIT(  PPT1LL,                          0xFFFF5154,  __READ_WRITE )
__IO_REG8_BIT(  PPT1LH,                          0xFFFF5155,  __READ_WRITE )
__IO_REG16(     PPT1H,                           0xFFFF5156,  __READ_WRITE )
__IO_REG8_BIT(  PPT1HL,                          0xFFFF5156,  __READ_WRITE )
__IO_REG8_BIT(  PPT1HH,                          0xFFFF5157,  __READ_WRITE )
__IO_REG32(     PPP1,                            0xFFFF5158,  __READ_WRITE )
__IO_REG16(     PPP1L,                           0xFFFF5158,  __READ_WRITE )
__IO_REG8_BIT(  PPP1LL,                          0xFFFF5158,  __READ_WRITE )
__IO_REG8_BIT(  PPP1LH,                          0xFFFF5159,  __READ_WRITE )
__IO_REG16(     PPP1H,                           0xFFFF515A,  __READ_WRITE )
__IO_REG8_BIT(  PPP1HL,                          0xFFFF515A,  __READ_WRITE )
__IO_REG8_BIT(  PPP1HH,                          0xFFFF515B,  __READ_WRITE )
__IO_REG32(     PPS1,                            0xFFFF515C,  __READ_WRITE )
__IO_REG16(     PPS1L,                           0xFFFF515C,  __READ_WRITE )
__IO_REG8_BIT(  PPS1LL,                          0xFFFF515C,  __READ_WRITE )
__IO_REG8_BIT(  PPS1LH,                          0xFFFF515D,  __READ_WRITE )
__IO_REG16(     PPS1H,                           0xFFFF515E,  __READ_WRITE )
__IO_REG8_BIT(  PPS1HL,                          0xFFFF515E,  __READ_WRITE )
__IO_REG8_BIT(  PPS1HH,                          0xFFFF515F,  __READ_WRITE )
__IO_REG32(     PPV2,                            0xFFFF5160,  __READ_WRITE )
__IO_REG16(     PPV2L,                           0xFFFF5160,  __READ_WRITE )
__IO_REG8_BIT(  PPV2LL,                          0xFFFF5160,  __READ_WRITE )
__IO_REG8_BIT(  PPV2LH,                          0xFFFF5161,  __READ_WRITE )
__IO_REG16(     PPV2H,                           0xFFFF5162,  __READ_WRITE )
__IO_REG8_BIT(  PPV2HL,                          0xFFFF5162,  __READ_WRITE )
__IO_REG8_BIT(  PPV2HH,                          0xFFFF5163,  __READ_WRITE )
__IO_REG32(     PPT2,                            0xFFFF5164,  __READ_WRITE )
__IO_REG16(     PPT2L,                           0xFFFF5164,  __READ_WRITE )
__IO_REG8_BIT(  PPT2LL,                          0xFFFF5164,  __READ_WRITE )
__IO_REG8_BIT(  PPT2LH,                          0xFFFF5165,  __READ_WRITE )
__IO_REG16(     PPT2H,                           0xFFFF5166,  __READ_WRITE )
__IO_REG8_BIT(  PPT2HL,                          0xFFFF5166,  __READ_WRITE )
__IO_REG8_BIT(  PPT2HH,                          0xFFFF5167,  __READ_WRITE )
__IO_REG32(     PPP2,                            0xFFFF5168,  __READ_WRITE )
__IO_REG16(     PPP2L,                           0xFFFF5168,  __READ_WRITE )
__IO_REG8_BIT(  PPP2LL,                          0xFFFF5168,  __READ_WRITE )
__IO_REG8_BIT(  PPP2LH,                          0xFFFF5169,  __READ_WRITE )
__IO_REG16(     PPP2H,                           0xFFFF516A,  __READ_WRITE )
__IO_REG8_BIT(  PPP2HL,                          0xFFFF516A,  __READ_WRITE )
__IO_REG8_BIT(  PPP2HH,                          0xFFFF516B,  __READ_WRITE )
__IO_REG32(     PPS2,                            0xFFFF516C,  __READ_WRITE )
__IO_REG16(     PPS2L,                           0xFFFF516C,  __READ_WRITE )
__IO_REG8_BIT(  PPS2LL,                          0xFFFF516C,  __READ_WRITE )
__IO_REG8_BIT(  PPS2LH,                          0xFFFF516D,  __READ_WRITE )
__IO_REG16(     PPS2H,                           0xFFFF516E,  __READ_WRITE )
__IO_REG8_BIT(  PPS2HL,                          0xFFFF516E,  __READ_WRITE )
__IO_REG8_BIT(  PPS2HH,                          0xFFFF516F,  __READ_WRITE )
__IO_REG32(     PPV3,                            0xFFFF5170,  __READ_WRITE )
__IO_REG16(     PPV3L,                           0xFFFF5170,  __READ_WRITE )
__IO_REG8_BIT(  PPV3LL,                          0xFFFF5170,  __READ_WRITE )
__IO_REG8_BIT(  PPV3LH,                          0xFFFF5171,  __READ_WRITE )
__IO_REG16(     PPV3H,                           0xFFFF5172,  __READ_WRITE )
__IO_REG8_BIT(  PPV3HL,                          0xFFFF5172,  __READ_WRITE )
__IO_REG8_BIT(  PPV3HH,                          0xFFFF5173,  __READ_WRITE )
__IO_REG32(     PPT3,                            0xFFFF5174,  __READ_WRITE )
__IO_REG16(     PPT3L,                           0xFFFF5174,  __READ_WRITE )
__IO_REG8_BIT(  PPT3LL,                          0xFFFF5174,  __READ_WRITE )
__IO_REG8_BIT(  PPT3LH,                          0xFFFF5175,  __READ_WRITE )
__IO_REG16(     PPT3H,                           0xFFFF5176,  __READ_WRITE )
__IO_REG8_BIT(  PPT3HL,                          0xFFFF5176,  __READ_WRITE )
__IO_REG8_BIT(  PPT3HH,                          0xFFFF5177,  __READ_WRITE )
__IO_REG32(     PPP3,                            0xFFFF5178,  __READ_WRITE )
__IO_REG16(     PPP3L,                           0xFFFF5178,  __READ_WRITE )
__IO_REG8_BIT(  PPP3LL,                          0xFFFF5178,  __READ_WRITE )
__IO_REG8_BIT(  PPP3LH,                          0xFFFF5179,  __READ_WRITE )
__IO_REG16(     PPP3H,                           0xFFFF517A,  __READ_WRITE )
__IO_REG8_BIT(  PPP3HL,                          0xFFFF517A,  __READ_WRITE )
__IO_REG8_BIT(  PPP3HH,                          0xFFFF517B,  __READ_WRITE )
__IO_REG32(     PPS3,                            0xFFFF517C,  __READ_WRITE )
__IO_REG16(     PPS3L,                           0xFFFF517C,  __READ_WRITE )
__IO_REG8_BIT(  PPS3LL,                          0xFFFF517C,  __READ_WRITE )
__IO_REG8_BIT(  PPS3LH,                          0xFFFF517D,  __READ_WRITE )
__IO_REG16(     PPS3H,                           0xFFFF517E,  __READ_WRITE )
__IO_REG8_BIT(  PPS3HL,                          0xFFFF517E,  __READ_WRITE )
__IO_REG8_BIT(  PPS3HH,                          0xFFFF517F,  __READ_WRITE )
__IO_REG32(     PPV4,                            0xFFFF5180,  __READ_WRITE )
__IO_REG16(     PPV4L,                           0xFFFF5180,  __READ_WRITE )
__IO_REG8_BIT(  PPV4LL,                          0xFFFF5180,  __READ_WRITE )
__IO_REG8_BIT(  PPV4LH,                          0xFFFF5181,  __READ_WRITE )
__IO_REG16(     PPV4H,                           0xFFFF5182,  __READ_WRITE )
__IO_REG8_BIT(  PPV4HL,                          0xFFFF5182,  __READ_WRITE )
__IO_REG8_BIT(  PPV4HH,                          0xFFFF5183,  __READ_WRITE )
__IO_REG32(     PPT4,                            0xFFFF5184,  __READ_WRITE )
__IO_REG16(     PPT4L,                           0xFFFF5184,  __READ_WRITE )
__IO_REG8_BIT(  PPT4LL,                          0xFFFF5184,  __READ_WRITE )
__IO_REG8_BIT(  PPT4LH,                          0xFFFF5185,  __READ_WRITE )
__IO_REG16(     PPT4H,                           0xFFFF5186,  __READ_WRITE )
__IO_REG8_BIT(  PPT4HL,                          0xFFFF5186,  __READ_WRITE )
__IO_REG8_BIT(  PPT4HH,                          0xFFFF5187,  __READ_WRITE )
__IO_REG32(     PPP4,                            0xFFFF5188,  __READ_WRITE )
__IO_REG16(     PPP4L,                           0xFFFF5188,  __READ_WRITE )
__IO_REG8_BIT(  PPP4LL,                          0xFFFF5188,  __READ_WRITE )
__IO_REG8_BIT(  PPP4LH,                          0xFFFF5189,  __READ_WRITE )
__IO_REG16(     PPP4H,                           0xFFFF518A,  __READ_WRITE )
__IO_REG8_BIT(  PPP4HL,                          0xFFFF518A,  __READ_WRITE )
__IO_REG8_BIT(  PPP4HH,                          0xFFFF518B,  __READ_WRITE )
__IO_REG32(     PPS4,                            0xFFFF518C,  __READ_WRITE )
__IO_REG16(     PPS4L,                           0xFFFF518C,  __READ_WRITE )
__IO_REG8_BIT(  PPS4LL,                          0xFFFF518C,  __READ_WRITE )
__IO_REG8_BIT(  PPS4LH,                          0xFFFF518D,  __READ_WRITE )
__IO_REG16(     PPS4H,                           0xFFFF518E,  __READ_WRITE )
__IO_REG8_BIT(  PPS4HL,                          0xFFFF518E,  __READ_WRITE )
__IO_REG8_BIT(  PPS4HH,                          0xFFFF518F,  __READ_WRITE )
__IO_REG32(     PPV5,                            0xFFFF5190,  __READ_WRITE )
__IO_REG16(     PPV5L,                           0xFFFF5190,  __READ_WRITE )
__IO_REG8_BIT(  PPV5LL,                          0xFFFF5190,  __READ_WRITE )
__IO_REG8_BIT(  PPV5LH,                          0xFFFF5191,  __READ_WRITE )
__IO_REG16(     PPV5H,                           0xFFFF5192,  __READ_WRITE )
__IO_REG8_BIT(  PPV5HL,                          0xFFFF5192,  __READ_WRITE )
__IO_REG8_BIT(  PPV5HH,                          0xFFFF5193,  __READ_WRITE )
__IO_REG32(     PPT5,                            0xFFFF5194,  __READ_WRITE )
__IO_REG16(     PPT5L,                           0xFFFF5194,  __READ_WRITE )
__IO_REG8_BIT(  PPT5LL,                          0xFFFF5194,  __READ_WRITE )
__IO_REG8_BIT(  PPT5LH,                          0xFFFF5195,  __READ_WRITE )
__IO_REG16(     PPT5H,                           0xFFFF5196,  __READ_WRITE )
__IO_REG8_BIT(  PPT5HL,                          0xFFFF5196,  __READ_WRITE )
__IO_REG8_BIT(  PPT5HH,                          0xFFFF5197,  __READ_WRITE )
__IO_REG32(     PPP5,                            0xFFFF5198,  __READ_WRITE )
__IO_REG16(     PPP5L,                           0xFFFF5198,  __READ_WRITE )
__IO_REG8_BIT(  PPP5LL,                          0xFFFF5198,  __READ_WRITE )
__IO_REG8_BIT(  PPP5LH,                          0xFFFF5199,  __READ_WRITE )
__IO_REG16(     PPP5H,                           0xFFFF519A,  __READ_WRITE )
__IO_REG8_BIT(  PPP5HL,                          0xFFFF519A,  __READ_WRITE )
__IO_REG8_BIT(  PPP5HH,                          0xFFFF519B,  __READ_WRITE )
__IO_REG32(     PPS5,                            0xFFFF519C,  __READ_WRITE )
__IO_REG16(     PPS5L,                           0xFFFF519C,  __READ_WRITE )
__IO_REG8_BIT(  PPS5LL,                          0xFFFF519C,  __READ_WRITE )
__IO_REG8_BIT(  PPS5LH,                          0xFFFF519D,  __READ_WRITE )
__IO_REG16(     PPS5H,                           0xFFFF519E,  __READ_WRITE )
__IO_REG8_BIT(  PPS5HL,                          0xFFFF519E,  __READ_WRITE )
__IO_REG8_BIT(  PPS5HH,                          0xFFFF519F,  __READ_WRITE )
__IO_REG32(     PPV6,                            0xFFFF51A0,  __READ_WRITE )
__IO_REG16(     PPV6L,                           0xFFFF51A0,  __READ_WRITE )
__IO_REG8_BIT(  PPV6LL,                          0xFFFF51A0,  __READ_WRITE )
__IO_REG8_BIT(  PPV6LH,                          0xFFFF51A1,  __READ_WRITE )
__IO_REG16(     PPV6H,                           0xFFFF51A2,  __READ_WRITE )
__IO_REG8_BIT(  PPV6HL,                          0xFFFF51A2,  __READ_WRITE )
__IO_REG8_BIT(  PPV6HH,                          0xFFFF51A3,  __READ_WRITE )
__IO_REG32(     PPT6,                            0xFFFF51A4,  __READ_WRITE )
__IO_REG16(     PPT6L,                           0xFFFF51A4,  __READ_WRITE )
__IO_REG8_BIT(  PPT6LL,                          0xFFFF51A4,  __READ_WRITE )
__IO_REG8_BIT(  PPT6LH,                          0xFFFF51A5,  __READ_WRITE )
__IO_REG16(     PPT6H,                           0xFFFF51A6,  __READ_WRITE )
__IO_REG8_BIT(  PPT6HL,                          0xFFFF51A6,  __READ_WRITE )
__IO_REG8_BIT(  PPT6HH,                          0xFFFF51A7,  __READ_WRITE )
__IO_REG32(     PPP6,                            0xFFFF51A8,  __READ_WRITE )
__IO_REG16(     PPP6L,                           0xFFFF51A8,  __READ_WRITE )
__IO_REG8_BIT(  PPP6LL,                          0xFFFF51A8,  __READ_WRITE )
__IO_REG8_BIT(  PPP6LH,                          0xFFFF51A9,  __READ_WRITE )
__IO_REG16(     PPP6H,                           0xFFFF51AA,  __READ_WRITE )
__IO_REG8_BIT(  PPP6HL,                          0xFFFF51AA,  __READ_WRITE )
__IO_REG8_BIT(  PPP6HH,                          0xFFFF51AB,  __READ_WRITE )
__IO_REG32(     PPS6,                            0xFFFF51AC,  __READ_WRITE )
__IO_REG16(     PPS6L,                           0xFFFF51AC,  __READ_WRITE )
__IO_REG8_BIT(  PPS6LL,                          0xFFFF51AC,  __READ_WRITE )
__IO_REG8_BIT(  PPS6LH,                          0xFFFF51AD,  __READ_WRITE )
__IO_REG16(     PPS6H,                           0xFFFF51AE,  __READ_WRITE )
__IO_REG8_BIT(  PPS6HL,                          0xFFFF51AE,  __READ_WRITE )
__IO_REG8_BIT(  PPS6HH,                          0xFFFF51AF,  __READ_WRITE )
__IO_REG32(     PPV7,                            0xFFFF51B0,  __READ_WRITE )
__IO_REG16(     PPV7L,                           0xFFFF51B0,  __READ_WRITE )
__IO_REG8_BIT(  PPV7LL,                          0xFFFF51B0,  __READ_WRITE )
__IO_REG8_BIT(  PPV7LH,                          0xFFFF51B1,  __READ_WRITE )
__IO_REG16(     PPV7H,                           0xFFFF51B2,  __READ_WRITE )
__IO_REG8_BIT(  PPV7HL,                          0xFFFF51B2,  __READ_WRITE )
__IO_REG8_BIT(  PPV7HH,                          0xFFFF51B3,  __READ_WRITE )
__IO_REG32(     PPT7,                            0xFFFF51B4,  __READ_WRITE )
__IO_REG16(     PPT7L,                           0xFFFF51B4,  __READ_WRITE )
__IO_REG8_BIT(  PPT7LL,                          0xFFFF51B4,  __READ_WRITE )
__IO_REG8_BIT(  PPT7LH,                          0xFFFF51B5,  __READ_WRITE )
__IO_REG16(     PPT7H,                           0xFFFF51B6,  __READ_WRITE )
__IO_REG8_BIT(  PPT7HL,                          0xFFFF51B6,  __READ_WRITE )
__IO_REG8_BIT(  PPT7HH,                          0xFFFF51B7,  __READ_WRITE )
__IO_REG32(     PPP7,                            0xFFFF51B8,  __READ_WRITE )
__IO_REG16(     PPP7L,                           0xFFFF51B8,  __READ_WRITE )
__IO_REG8_BIT(  PPP7LL,                          0xFFFF51B8,  __READ_WRITE )
__IO_REG8_BIT(  PPP7LH,                          0xFFFF51B9,  __READ_WRITE )
__IO_REG16(     PPP7H,                           0xFFFF51BA,  __READ_WRITE )
__IO_REG8_BIT(  PPP7HL,                          0xFFFF51BA,  __READ_WRITE )
__IO_REG8_BIT(  PPP7HH,                          0xFFFF51BB,  __READ_WRITE )
__IO_REG32(     PPS7,                            0xFFFF51BC,  __READ_WRITE )
__IO_REG16(     PPS7L,                           0xFFFF51BC,  __READ_WRITE )
__IO_REG8_BIT(  PPS7LL,                          0xFFFF51BC,  __READ_WRITE )
__IO_REG8_BIT(  PPS7LH,                          0xFFFF51BD,  __READ_WRITE )
__IO_REG16(     PPS7H,                           0xFFFF51BE,  __READ_WRITE )
__IO_REG8_BIT(  PPS7HL,                          0xFFFF51BE,  __READ_WRITE )
__IO_REG8_BIT(  PPS7HH,                          0xFFFF51BF,  __READ_WRITE )
__IO_REG32(     PPV8,                            0xFFFF51C0,  __READ_WRITE )
__IO_REG16(     PPV8L,                           0xFFFF51C0,  __READ_WRITE )
__IO_REG8_BIT(  PPV8LL,                          0xFFFF51C0,  __READ_WRITE )
__IO_REG8_BIT(  PPV8LH,                          0xFFFF51C1,  __READ_WRITE )
__IO_REG16(     PPV8H,                           0xFFFF51C2,  __READ_WRITE )
__IO_REG8_BIT(  PPV8HL,                          0xFFFF51C2,  __READ_WRITE )
__IO_REG8_BIT(  PPV8HH,                          0xFFFF51C3,  __READ_WRITE )
__IO_REG32(     PPT8,                            0xFFFF51C4,  __READ_WRITE )
__IO_REG16(     PPT8L,                           0xFFFF51C4,  __READ_WRITE )
__IO_REG8_BIT(  PPT8LL,                          0xFFFF51C4,  __READ_WRITE )
__IO_REG8_BIT(  PPT8LH,                          0xFFFF51C5,  __READ_WRITE )
__IO_REG16(     PPT8H,                           0xFFFF51C6,  __READ_WRITE )
__IO_REG8_BIT(  PPT8HL,                          0xFFFF51C6,  __READ_WRITE )
__IO_REG8_BIT(  PPT8HH,                          0xFFFF51C7,  __READ_WRITE )
__IO_REG32(     PPP8,                            0xFFFF51C8,  __READ_WRITE )
__IO_REG16(     PPP8L,                           0xFFFF51C8,  __READ_WRITE )
__IO_REG8_BIT(  PPP8LL,                          0xFFFF51C8,  __READ_WRITE )
__IO_REG8_BIT(  PPP8LH,                          0xFFFF51C9,  __READ_WRITE )
__IO_REG16(     PPP8H,                           0xFFFF51CA,  __READ_WRITE )
__IO_REG8_BIT(  PPP8HL,                          0xFFFF51CA,  __READ_WRITE )
__IO_REG8_BIT(  PPP8HH,                          0xFFFF51CB,  __READ_WRITE )
__IO_REG32(     PPS8,                            0xFFFF51CC,  __READ_WRITE )
__IO_REG16(     PPS8L,                           0xFFFF51CC,  __READ_WRITE )
__IO_REG8_BIT(  PPS8LL,                          0xFFFF51CC,  __READ_WRITE )
__IO_REG8_BIT(  PPS8LH,                          0xFFFF51CD,  __READ_WRITE )
__IO_REG16(     PPS8H,                           0xFFFF51CE,  __READ_WRITE )
__IO_REG8_BIT(  PPS8HL,                          0xFFFF51CE,  __READ_WRITE )
__IO_REG8_BIT(  PPS8HH,                          0xFFFF51CF,  __READ_WRITE )

__IO_REG16(     ICWDTA0,                         0xFFFF6014,  __READ_WRITE )
__IO_REG8_BIT(  ICWDTA0L,                        0xFFFF6014,  __READ_WRITE )
__IO_REG8_BIT(  ICWDTA0H,                        0xFFFF6015,  __READ_WRITE )

__IO_REG16(     ICOSTM0,                         0xFFFF6018,  __READ_WRITE )
__IO_REG8_BIT(  ICOSTM0L,                        0xFFFF6018,  __READ_WRITE )
__IO_REG8_BIT(  ICOSTM0H,                        0xFFFF6019,  __READ_WRITE )

__IO_REG16(     ICP0,                            0xFFFF601C,  __READ_WRITE )
__IO_REG8_BIT(  ICP0L,                           0xFFFF601C,  __READ_WRITE )
__IO_REG8_BIT(  ICP0H,                           0xFFFF601D,  __READ_WRITE )
__IO_REG16(     ICP1,                            0xFFFF601E,  __READ_WRITE )
__IO_REG8_BIT(  ICP1L,                           0xFFFF601E,  __READ_WRITE )
__IO_REG8_BIT(  ICP1H,                           0xFFFF601F,  __READ_WRITE )
__IO_REG16(     ICP2,                            0xFFFF6020,  __READ_WRITE )
__IO_REG8_BIT(  ICP2L,                           0xFFFF6020,  __READ_WRITE )
__IO_REG8_BIT(  ICP2H,                           0xFFFF6021,  __READ_WRITE )
__IO_REG16(     ICP3,                            0xFFFF6022,  __READ_WRITE )
__IO_REG8_BIT(  ICP3L,                           0xFFFF6022,  __READ_WRITE )
__IO_REG8_BIT(  ICP3H,                           0xFFFF6023,  __READ_WRITE )
__IO_REG16(     ICP4,                            0xFFFF6024,  __READ_WRITE )
__IO_REG8_BIT(  ICP4L,                           0xFFFF6024,  __READ_WRITE )
__IO_REG8_BIT(  ICP4H,                           0xFFFF6025,  __READ_WRITE )
__IO_REG16(     ICP5,                            0xFFFF6026,  __READ_WRITE )
__IO_REG8_BIT(  ICP5L,                           0xFFFF6026,  __READ_WRITE )
__IO_REG8_BIT(  ICP5H,                           0xFFFF6027,  __READ_WRITE )
__IO_REG16(     ICP6,                            0xFFFF6028,  __READ_WRITE )
__IO_REG8_BIT(  ICP6L,                           0xFFFF6028,  __READ_WRITE )
__IO_REG8_BIT(  ICP6H,                           0xFFFF6029,  __READ_WRITE )
__IO_REG16(     ICP7,                            0xFFFF602A,  __READ_WRITE )
__IO_REG8_BIT(  ICP7L,                           0xFFFF602A,  __READ_WRITE )
__IO_REG8_BIT(  ICP7H,                           0xFFFF602B,  __READ_WRITE )
__IO_REG16(     ICP8,                            0xFFFF602C,  __READ_WRITE )
__IO_REG8_BIT(  ICP8L,                           0xFFFF602C,  __READ_WRITE )
__IO_REG8_BIT(  ICP8H,                           0xFFFF602D,  __READ_WRITE )
__IO_REG16(     ICP9,                            0xFFFF602E,  __READ_WRITE )
__IO_REG8_BIT(  ICP9L,                           0xFFFF602E,  __READ_WRITE )
__IO_REG8_BIT(  ICP9H,                           0xFFFF602F,  __READ_WRITE )
__IO_REG16(     ICP10,                           0xFFFF6030,  __READ_WRITE )
__IO_REG8_BIT(  ICP10L,                          0xFFFF6030,  __READ_WRITE )
__IO_REG8_BIT(  ICP10H,                          0xFFFF6031,  __READ_WRITE )
__IO_REG16(     ICP11,                           0xFFFF6032,  __READ_WRITE )
__IO_REG8_BIT(  ICP11L,                          0xFFFF6032,  __READ_WRITE )
__IO_REG8_BIT(  ICP11H,                          0xFFFF6033,  __READ_WRITE )
__IO_REG16(     ICP12,                           0xFFFF6034,  __READ_WRITE )
__IO_REG8_BIT(  ICP12L,                          0xFFFF6034,  __READ_WRITE )
__IO_REG8_BIT(  ICP12H,                          0xFFFF6035,  __READ_WRITE )
__IO_REG16(     ICP13,                           0xFFFF6036,  __READ_WRITE )
__IO_REG8_BIT(  ICP13L,                          0xFFFF6036,  __READ_WRITE )
__IO_REG8_BIT(  ICP13H,                          0xFFFF6037,  __READ_WRITE )
__IO_REG16(     ICP14,                           0xFFFF6038,  __READ_WRITE )
__IO_REG8_BIT(  ICP14L,                          0xFFFF6038,  __READ_WRITE )
__IO_REG8_BIT(  ICP14H,                          0xFFFF6039,  __READ_WRITE )
__IO_REG16(     ICP15,                           0xFFFF603A,  __READ_WRITE )
__IO_REG8_BIT(  ICP15L,                          0xFFFF603A,  __READ_WRITE )
__IO_REG8_BIT(  ICP15H,                          0xFFFF603B,  __READ_WRITE )
__IO_REG16(     ICP16,                           0xFFFF603C,  __READ_WRITE )
__IO_REG8_BIT(  ICP16L,                          0xFFFF603C,  __READ_WRITE )
__IO_REG8_BIT(  ICP16H,                          0xFFFF603D,  __READ_WRITE )
__IO_REG16(     ICP17,                           0xFFFF603E,  __READ_WRITE )
__IO_REG8_BIT(  ICP17L,                          0xFFFF603E,  __READ_WRITE )
__IO_REG8_BIT(  ICP17H,                          0xFFFF603F,  __READ_WRITE )
__IO_REG16(     ICP18,                           0xFFFF6040,  __READ_WRITE )
__IO_REG8_BIT(  ICP18L,                          0xFFFF6040,  __READ_WRITE )
__IO_REG8_BIT(  ICP18H,                          0xFFFF6041,  __READ_WRITE )
__IO_REG16(     ICP19,                           0xFFFF6042,  __READ_WRITE )
__IO_REG8_BIT(  ICP19L,                          0xFFFF6042,  __READ_WRITE )
__IO_REG8_BIT(  ICP19H,                          0xFFFF6043,  __READ_WRITE )
__IO_REG16(     ICP20,                           0xFFFF6044,  __READ_WRITE )
__IO_REG8_BIT(  ICP20L,                          0xFFFF6044,  __READ_WRITE )
__IO_REG8_BIT(  ICP20H,                          0xFFFF6045,  __READ_WRITE )
__IO_REG16(     ICP21,                           0xFFFF6046,  __READ_WRITE )
__IO_REG8_BIT(  ICP21L,                          0xFFFF6046,  __READ_WRITE )
__IO_REG8_BIT(  ICP21H,                          0xFFFF6047,  __READ_WRITE )
__IO_REG16(     ICP22,                           0xFFFF6048,  __READ_WRITE )
__IO_REG8_BIT(  ICP22L,                          0xFFFF6048,  __READ_WRITE )
__IO_REG8_BIT(  ICP22H,                          0xFFFF6049,  __READ_WRITE )
__IO_REG16(     ICP23,                           0xFFFF604A,  __READ_WRITE )
__IO_REG8_BIT(  ICP23L,                          0xFFFF604A,  __READ_WRITE )
__IO_REG8_BIT(  ICP23H,                          0xFFFF604B,  __READ_WRITE )
__IO_REG16(     ICP24,                           0xFFFF604C,  __READ_WRITE )
__IO_REG8_BIT(  ICP24L,                          0xFFFF604C,  __READ_WRITE )
__IO_REG8_BIT(  ICP24H,                          0xFFFF604D,  __READ_WRITE )
__IO_REG16(     ICP25,                           0xFFFF604E,  __READ_WRITE )
__IO_REG8_BIT(  ICP25L,                          0xFFFF604E,  __READ_WRITE )
__IO_REG8_BIT(  ICP25H,                          0xFFFF604F,  __READ_WRITE )
__IO_REG16(     ICP26,                           0xFFFF6050,  __READ_WRITE )
__IO_REG8_BIT(  ICP26L,                          0xFFFF6050,  __READ_WRITE )
__IO_REG8_BIT(  ICP26H,                          0xFFFF6051,  __READ_WRITE )
__IO_REG16(     ICP27,                           0xFFFF6052,  __READ_WRITE )
__IO_REG8_BIT(  ICP27L,                          0xFFFF6052,  __READ_WRITE )
__IO_REG8_BIT(  ICP27H,                          0xFFFF6053,  __READ_WRITE )
__IO_REG16(     ICESO0,                          0xFFFF6054,  __READ_WRITE )
__IO_REG8_BIT(  ICESO0L,                         0xFFFF6054,  __READ_WRITE )
__IO_REG8_BIT(  ICESO0H,                         0xFFFF6055,  __READ_WRITE )
__IO_REG16(     ICESO1,                          0xFFFF6056,  __READ_WRITE )
__IO_REG8_BIT(  ICESO1L,                         0xFFFF6056,  __READ_WRITE )
__IO_REG8_BIT(  ICESO1H,                         0xFFFF6057,  __READ_WRITE )
__IO_REG16(     ICESO2,                          0xFFFF6058,  __READ_WRITE )
__IO_REG8_BIT(  ICESO2L,                         0xFFFF6058,  __READ_WRITE )
__IO_REG8_BIT(  ICESO2H,                         0xFFFF6059,  __READ_WRITE )
__IO_REG16(     ICESO3,                          0xFFFF605A,  __READ_WRITE )
__IO_REG8_BIT(  ICESO3L,                         0xFFFF605A,  __READ_WRITE )
__IO_REG8_BIT(  ICESO3H,                         0xFFFF605B,  __READ_WRITE )
__IO_REG16(     ICADCA0ERR,                      0xFFFF605C,  __READ_WRITE )
__IO_REG8_BIT(  ICADCA0ERRL,                     0xFFFF605C,  __READ_WRITE )
__IO_REG8_BIT(  ICADCA0ERRH,                     0xFFFF605D,  __READ_WRITE )
__IO_REG16(     ICADCA0I0,                       0xFFFF605E,  __READ_WRITE )
__IO_REG8_BIT(  ICADCA0I0L,                      0xFFFF605E,  __READ_WRITE )
__IO_REG8_BIT(  ICADCA0I0H,                      0xFFFF605F,  __READ_WRITE )
__IO_REG16(     ICADCA0I1,                       0xFFFF6060,  __READ_WRITE )
__IO_REG8_BIT(  ICADCA0I1L,                      0xFFFF6060,  __READ_WRITE )
__IO_REG8_BIT(  ICADCA0I1H,                      0xFFFF6061,  __READ_WRITE )
__IO_REG16(     ICADCA0I2,                       0xFFFF6062,  __READ_WRITE )
__IO_REG8_BIT(  ICADCA0I2L,                      0xFFFF6062,  __READ_WRITE )
__IO_REG8_BIT(  ICADCA0I2H,                      0xFFFF6063,  __READ_WRITE )

__IO_REG16(     ICTAUA0I0,                       0xFFFF6066,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA0I0L,                      0xFFFF6066,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA0I0H,                      0xFFFF6067,  __READ_WRITE )
__IO_REG16(     ICTAUA0I1,                       0xFFFF6068,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA0I1L,                      0xFFFF6068,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA0I1H,                      0xFFFF6069,  __READ_WRITE )
__IO_REG16(     ICTAUA0I2,                       0xFFFF606A,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA0I2L,                      0xFFFF606A,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA0I2H,                      0xFFFF606B,  __READ_WRITE )
__IO_REG16(     ICTAUA0I3,                       0xFFFF606C,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA0I3L,                      0xFFFF606C,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA0I3H,                      0xFFFF606D,  __READ_WRITE )
__IO_REG16(     ICTAUA0I4,                       0xFFFF606E,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA0I4L,                      0xFFFF606E,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA0I4H,                      0xFFFF606F,  __READ_WRITE )
__IO_REG16(     ICTAUA0I5,                       0xFFFF6070,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA0I5L,                      0xFFFF6070,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA0I5H,                      0xFFFF6071,  __READ_WRITE )
__IO_REG16(     ICTAUA0I6,                       0xFFFF6072,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA0I6L,                      0xFFFF6072,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA0I6H,                      0xFFFF6073,  __READ_WRITE )
__IO_REG16(     ICTAUA0I7,                       0xFFFF6074,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA0I7L,                      0xFFFF6074,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA0I7H,                      0xFFFF6075,  __READ_WRITE )
__IO_REG16(     ICTAUA0I8,                       0xFFFF6076,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA0I8L,                      0xFFFF6076,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA0I8H,                      0xFFFF6077,  __READ_WRITE )
__IO_REG16(     ICTAUA0I9,                       0xFFFF6078,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA0I9L,                      0xFFFF6078,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA0I9H,                      0xFFFF6079,  __READ_WRITE )
__IO_REG16(     ICTAUA0I10,                      0xFFFF607A,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA0I10L,                     0xFFFF607A,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA0I10H,                     0xFFFF607B,  __READ_WRITE )
__IO_REG16(     ICTAUA0I11,                      0xFFFF607C,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA0I11L,                     0xFFFF607C,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA0I11H,                     0xFFFF607D,  __READ_WRITE )
__IO_REG16(     ICTAUA0I12,                      0xFFFF607E,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA0I12L,                     0xFFFF607E,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA0I12H,                     0xFFFF607F,  __READ_WRITE )
__IO_REG16(     ICTAUA0I13,                      0xFFFF6080,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA0I13L,                     0xFFFF6080,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA0I13H,                     0xFFFF6081,  __READ_WRITE )
__IO_REG16(     ICTAUA0I14,                      0xFFFF6082,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA0I14L,                     0xFFFF6082,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA0I14H,                     0xFFFF6083,  __READ_WRITE )
__IO_REG16(     ICTAUA0I15,                      0xFFFF6084,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA0I15L,                     0xFFFF6084,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA0I15H,                     0xFFFF6085,  __READ_WRITE )
__IO_REG16(     ICTAUA1I0,                       0xFFFF6086,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA1I0L,                      0xFFFF6086,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA1I0H,                      0xFFFF6087,  __READ_WRITE )
__IO_REG16(     ICTAUA1I1,                       0xFFFF6088,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA1I1L,                      0xFFFF6088,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA1I1H,                      0xFFFF6089,  __READ_WRITE )
__IO_REG16(     ICTAUA1I2,                       0xFFFF608A,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA1I2L,                      0xFFFF608A,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA1I2H,                      0xFFFF608B,  __READ_WRITE )
__IO_REG16(     ICTAUA1I3,                       0xFFFF608C,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA1I3L,                      0xFFFF608C,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA1I3H,                      0xFFFF608D,  __READ_WRITE )
__IO_REG16(     ICTAUA1I4,                       0xFFFF608E,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA1I4L,                      0xFFFF608E,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA1I4H,                      0xFFFF608F,  __READ_WRITE )
__IO_REG16(     ICTAUA1I5,                       0xFFFF6090,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA1I5L,                      0xFFFF6090,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA1I5H,                      0xFFFF6091,  __READ_WRITE )
__IO_REG16(     ICTAUA1I6,                       0xFFFF6092,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA1I6L,                      0xFFFF6092,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA1I6H,                      0xFFFF6093,  __READ_WRITE )
__IO_REG16(     ICTAUA1I7,                       0xFFFF6094,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA1I7L,                      0xFFFF6094,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA1I7H,                      0xFFFF6095,  __READ_WRITE )
__IO_REG16(     ICTAUA1I8,                       0xFFFF6096,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA1I8L,                      0xFFFF6096,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA1I8H,                      0xFFFF6097,  __READ_WRITE )
__IO_REG16(     ICTAUA1I9,                       0xFFFF6098,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA1I9L,                      0xFFFF6098,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA1I9H,                      0xFFFF6099,  __READ_WRITE )
__IO_REG16(     ICTAUA1I10,                      0xFFFF609A,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA1I10L,                     0xFFFF609A,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA1I10H,                     0xFFFF609B,  __READ_WRITE )
__IO_REG16(     ICTAUA1I11,                      0xFFFF609C,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA1I11L,                     0xFFFF609C,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA1I11H,                     0xFFFF609D,  __READ_WRITE )
__IO_REG16(     ICTAUA1I12,                      0xFFFF609E,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA1I12L,                     0xFFFF609E,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA1I12H,                     0xFFFF609F,  __READ_WRITE )
__IO_REG16(     ICTAUA1I13,                      0xFFFF60A0,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA1I13L,                     0xFFFF60A0,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA1I13H,                     0xFFFF60A1,  __READ_WRITE )
__IO_REG16(     ICTAUA1I14,                      0xFFFF60A2,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA1I14L,                     0xFFFF60A2,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA1I14H,                     0xFFFF60A3,  __READ_WRITE )
__IO_REG16(     ICTAUA1I15,                      0xFFFF60A4,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA1I15L,                     0xFFFF60A4,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA1I15H,                     0xFFFF60A5,  __READ_WRITE )
__IO_REG16(     ICTAUA2I0,                       0xFFFF60A6,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA2I0L,                      0xFFFF60A6,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA2I0H,                      0xFFFF60A7,  __READ_WRITE )
__IO_REG16(     ICTAUA2I1,                       0xFFFF60A8,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA2I1L,                      0xFFFF60A8,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA2I1H,                      0xFFFF60A9,  __READ_WRITE )
__IO_REG16(     ICTAUA2I2,                       0xFFFF60AA,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA2I2L,                      0xFFFF60AA,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA2I2H,                      0xFFFF60AB,  __READ_WRITE )
__IO_REG16(     ICTAUA2I3,                       0xFFFF60AC,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA2I3L,                      0xFFFF60AC,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA2I3H,                      0xFFFF60AD,  __READ_WRITE )
__IO_REG16(     ICTAUA2I4,                       0xFFFF60AE,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA2I4L,                      0xFFFF60AE,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA2I4H,                      0xFFFF60AF,  __READ_WRITE )
__IO_REG16(     ICTAUA2I5,                       0xFFFF60B0,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA2I5L,                      0xFFFF60B0,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA2I5H,                      0xFFFF60B1,  __READ_WRITE )
__IO_REG16(     ICTAUA2I6,                       0xFFFF60B2,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA2I6L,                      0xFFFF60B2,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA2I6H,                      0xFFFF60B3,  __READ_WRITE )
__IO_REG16(     ICTAUA2I7,                       0xFFFF60B4,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA2I7L,                      0xFFFF60B4,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA2I7H,                      0xFFFF60B5,  __READ_WRITE )
__IO_REG16(     ICTAUA2I8,                       0xFFFF60B6,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA2I8L,                      0xFFFF60B6,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA2I8H,                      0xFFFF60B7,  __READ_WRITE )
__IO_REG16(     ICTAUA2I9,                       0xFFFF60B8,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA2I9L,                      0xFFFF60B8,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA2I9H,                      0xFFFF60B9,  __READ_WRITE )
__IO_REG16(     ICTAUA2I10,                      0xFFFF60BA,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA2I10L,                     0xFFFF60BA,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA2I10H,                     0xFFFF60BB,  __READ_WRITE )
__IO_REG16(     ICTAUA2I11,                      0xFFFF60BC,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA2I11L,                     0xFFFF60BC,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA2I11H,                     0xFFFF60BD,  __READ_WRITE )
__IO_REG16(     ICTAUA2I12,                      0xFFFF60BE,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA2I12L,                     0xFFFF60BE,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA2I12H,                     0xFFFF60BF,  __READ_WRITE )
__IO_REG16(     ICTAUA2I13,                      0xFFFF60C0,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA2I13L,                     0xFFFF60C0,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA2I13H,                     0xFFFF60C1,  __READ_WRITE )
__IO_REG16(     ICTAUA2I14,                      0xFFFF60C2,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA2I14L,                     0xFFFF60C2,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA2I14H,                     0xFFFF60C3,  __READ_WRITE )
__IO_REG16(     ICTAUA2I15,                      0xFFFF60C4,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA2I15L,                     0xFFFF60C4,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA2I15H,                     0xFFFF60C5,  __READ_WRITE )
__IO_REG16(     ICTAUA3I0,                       0xFFFF60C6,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA3I0L,                      0xFFFF60C6,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA3I0H,                      0xFFFF60C7,  __READ_WRITE )
__IO_REG16(     ICTAUA3I1,                       0xFFFF60C8,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA3I1L,                      0xFFFF60C8,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA3I1H,                      0xFFFF60C9,  __READ_WRITE )
__IO_REG16(     ICTAUA3I2,                       0xFFFF60CA,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA3I2L,                      0xFFFF60CA,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA3I2H,                      0xFFFF60CB,  __READ_WRITE )
__IO_REG16(     ICTAUA3I3,                       0xFFFF60CC,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA3I3L,                      0xFFFF60CC,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA3I3H,                      0xFFFF60CD,  __READ_WRITE )
__IO_REG16(     ICTAUA3I4,                       0xFFFF60CE,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA3I4L,                      0xFFFF60CE,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA3I4H,                      0xFFFF60CF,  __READ_WRITE )
__IO_REG16(     ICTAUA3I5,                       0xFFFF60D0,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA3I5L,                      0xFFFF60D0,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA3I5H,                      0xFFFF60D1,  __READ_WRITE )
__IO_REG16(     ICTAUA3I6,                       0xFFFF60D2,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA3I6L,                      0xFFFF60D2,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA3I6H,                      0xFFFF60D3,  __READ_WRITE )
__IO_REG16(     ICTAUA3I7,                       0xFFFF60D4,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA3I7L,                      0xFFFF60D4,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA3I7H,                      0xFFFF60D5,  __READ_WRITE )
__IO_REG16(     ICTAUA3I8,                       0xFFFF60D6,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA3I8L,                      0xFFFF60D6,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA3I8H,                      0xFFFF60D7,  __READ_WRITE )
__IO_REG16(     ICTAUA3I9,                       0xFFFF60D8,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA3I9L,                      0xFFFF60D8,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA3I9H,                      0xFFFF60D9,  __READ_WRITE )
__IO_REG16(     ICTAUA3I10,                      0xFFFF60DA,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA3I10L,                     0xFFFF60DA,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA3I10H,                     0xFFFF60DB,  __READ_WRITE )
__IO_REG16(     ICTAUA3I11,                      0xFFFF60DC,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA3I11L,                     0xFFFF60DC,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA3I11H,                     0xFFFF60DD,  __READ_WRITE )
__IO_REG16(     ICTAUA3I12,                      0xFFFF60DE,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA3I12L,                     0xFFFF60DE,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA3I12H,                     0xFFFF60DF,  __READ_WRITE )
__IO_REG16(     ICTAUA3I13,                      0xFFFF60E0,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA3I13L,                     0xFFFF60E0,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA3I13H,                     0xFFFF60E1,  __READ_WRITE )
__IO_REG16(     ICTAUA3I14,                      0xFFFF60E2,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA3I14L,                     0xFFFF60E2,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA3I14H,                     0xFFFF60E3,  __READ_WRITE )
__IO_REG16(     ICTAUA3I15,                      0xFFFF60E4,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA3I15L,                     0xFFFF60E4,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUA3I15H,                     0xFFFF60E5,  __READ_WRITE )
__IO_REG16(     ICTAUJ0I0,                       0xFFFF60E6,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUJ0I0L,                      0xFFFF60E6,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUJ0I0H,                      0xFFFF60E7,  __READ_WRITE )
__IO_REG16(     ICTAUJ0I1,                       0xFFFF60E8,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUJ0I1L,                      0xFFFF60E8,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUJ0I1H,                      0xFFFF60E9,  __READ_WRITE )
__IO_REG16(     ICTAUJ0I2,                       0xFFFF60EA,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUJ0I2L,                      0xFFFF60EA,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUJ0I2H,                      0xFFFF60EB,  __READ_WRITE )
__IO_REG16(     ICTAUJ0I3,                       0xFFFF60EC,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUJ0I3L,                      0xFFFF60EC,  __READ_WRITE )
__IO_REG8_BIT(  ICTAUJ0I3H,                      0xFFFF60ED,  __READ_WRITE )
__IO_REG16(     ICENCA0IOV,                      0xFFFF60EE,  __READ_WRITE )
__IO_REG8_BIT(  ICENCA0IOVL,                     0xFFFF60EE,  __READ_WRITE )
__IO_REG8_BIT(  ICENCA0IOVH,                     0xFFFF60EF,  __READ_WRITE )
__IO_REG16(     ICENCA0IUD,                      0xFFFF60F0,  __READ_WRITE )
__IO_REG8_BIT(  ICENCA0IUDL,                     0xFFFF60F0,  __READ_WRITE )
__IO_REG8_BIT(  ICENCA0IUDH,                     0xFFFF60F1,  __READ_WRITE )
__IO_REG16(     ICENCA0I0,                       0xFFFF60F2,  __READ_WRITE )
__IO_REG8_BIT(  ICENCA0I0L,                      0xFFFF60F2,  __READ_WRITE )
__IO_REG8_BIT(  ICENCA0I0H,                      0xFFFF60F3,  __READ_WRITE )
__IO_REG16(     ICENCA0I1,                       0xFFFF60F4,  __READ_WRITE )
__IO_REG8_BIT(  ICENCA0I1L,                      0xFFFF60F4,  __READ_WRITE )
__IO_REG8_BIT(  ICENCA0I1H,                      0xFFFF60F5,  __READ_WRITE )
__IO_REG16(     ICENCA0IEC,                      0xFFFF60F6,  __READ_WRITE )
__IO_REG8_BIT(  ICENCA0IECL,                     0xFFFF60F6,  __READ_WRITE )
__IO_REG8_BIT(  ICENCA0IECH,                     0xFFFF60F7,  __READ_WRITE )
__IO_REG16(     ICENCA1IOV,                      0xFFFF60F8,  __READ_WRITE )
__IO_REG8_BIT(  ICENCA1IOVL,                     0xFFFF60F8,  __READ_WRITE )
__IO_REG8_BIT(  ICENCA1IOVH,                     0xFFFF60F9,  __READ_WRITE )
__IO_REG16(     ICENCA1IUD,                      0xFFFF60FA,  __READ_WRITE )
__IO_REG8_BIT(  ICENCA1IUDL,                     0xFFFF60FA,  __READ_WRITE )
__IO_REG8_BIT(  ICENCA1IUDH,                     0xFFFF60FB,  __READ_WRITE )
__IO_REG16(     ICENCA1I0,                       0xFFFF60FC,  __READ_WRITE )
__IO_REG8_BIT(  ICENCA1I0L,                      0xFFFF60FC,  __READ_WRITE )
__IO_REG8_BIT(  ICENCA1I0H,                      0xFFFF60FD,  __READ_WRITE )
__IO_REG16(     ICENCA1I1,                       0xFFFF60FE,  __READ_WRITE )
__IO_REG8_BIT(  ICENCA1I1L,                      0xFFFF60FE,  __READ_WRITE )
__IO_REG8_BIT(  ICENCA1I1H,                      0xFFFF60FF,  __READ_WRITE )
__IO_REG16(     ICENCA1IEC,                      0xFFFF6100,  __READ_WRITE )
__IO_REG8_BIT(  ICENCA1IECL,                     0xFFFF6100,  __READ_WRITE )
__IO_REG8_BIT(  ICENCA1IECH,                     0xFFFF6101,  __READ_WRITE )

__IO_REG16(     ICTAPA0IPEK0,                    0xFFFF6106,  __READ_WRITE )
__IO_REG8_BIT(  ICTAPA0IPEK0L,                   0xFFFF6106,  __READ_WRITE )
__IO_REG8_BIT(  ICTAPA0IPEK0H,                   0xFFFF6107,  __READ_WRITE )
__IO_REG16(     ICTAPA0IVLY0,                    0xFFFF6108,  __READ_WRITE )
__IO_REG8_BIT(  ICTAPA0IVLY0L,                   0xFFFF6108,  __READ_WRITE )
__IO_REG8_BIT(  ICTAPA0IVLY0H,                   0xFFFF6109,  __READ_WRITE )

__IO_REG16(     ICTAPA2ADOUT0,                   0xFFFF610C,  __READ_WRITE )
__IO_REG8_BIT(  ICTAPA2ADOUT0L,                  0xFFFF610C,  __READ_WRITE )
__IO_REG8_BIT(  ICTAPA2ADOUT0H,                  0xFFFF610D,  __READ_WRITE )
__IO_REG16(     ICTAPA0ADOUT0,                   0xFFFF610E,  __READ_WRITE )
__IO_REG8_BIT(  ICTAPA0ADOUT0L,                  0xFFFF610E,  __READ_WRITE )
__IO_REG8_BIT(  ICTAPA0ADOUT0H,                  0xFFFF610F,  __READ_WRITE )
__IO_REG16(     ICTAPA0ADOUT1,                   0xFFFF6110,  __READ_WRITE )
__IO_REG8_BIT(  ICTAPA0ADOUT1L,                  0xFFFF6110,  __READ_WRITE )
__IO_REG8_BIT(  ICTAPA0ADOUT1H,                  0xFFFF6111,  __READ_WRITE )
__IO_REG16(     ICTAPA1IPEK0,                    0xFFFF6112,  __READ_WRITE )
__IO_REG8_BIT(  ICTAPA1IPEK0L,                   0xFFFF6112,  __READ_WRITE )
__IO_REG8_BIT(  ICTAPA1IPEK0H,                   0xFFFF6113,  __READ_WRITE )
__IO_REG16(     ICTAPA1IVLY0,                    0xFFFF6114,  __READ_WRITE )
__IO_REG8_BIT(  ICTAPA1IVLY0L,                   0xFFFF6114,  __READ_WRITE )
__IO_REG8_BIT(  ICTAPA1IVLY0H,                   0xFFFF6115,  __READ_WRITE )

__IO_REG16(     ICTAPA3ADOUT0,                   0xFFFF6118,  __READ_WRITE )
__IO_REG8_BIT(  ICTAPA3ADOUT0L,                  0xFFFF6118,  __READ_WRITE )
__IO_REG8_BIT(  ICTAPA3ADOUT0H,                  0xFFFF6119,  __READ_WRITE )
__IO_REG16(     ICTAPA1ADOUT0,                   0xFFFF611A,  __READ_WRITE )
__IO_REG8_BIT(  ICTAPA1ADOUT0L,                  0xFFFF611A,  __READ_WRITE )
__IO_REG8_BIT(  ICTAPA1ADOUT0H,                  0xFFFF611B,  __READ_WRITE )
__IO_REG16(     ICTAPA1ADOUT1,                   0xFFFF611C,  __READ_WRITE )
__IO_REG8_BIT(  ICTAPA1ADOUT1L,                  0xFFFF611C,  __READ_WRITE )
__IO_REG8_BIT(  ICTAPA1ADOUT1H,                  0xFFFF611D,  __READ_WRITE )
__IO_REG16(     ICCSIH0IRE,                      0xFFFF611E,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIH0IREL,                     0xFFFF611E,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIH0IREH,                     0xFFFF611F,  __READ_WRITE )
__IO_REG16(     ICCSIH0IR,                       0xFFFF6120,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIH0IRL,                      0xFFFF6120,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIH0IRH,                      0xFFFF6121,  __READ_WRITE )
__IO_REG16(     ICCSIH0IC,                       0xFFFF6122,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIH0ICL,                      0xFFFF6122,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIH0ICH,                      0xFFFF6123,  __READ_WRITE )
__IO_REG16(     ICCSIH0IJC,                      0xFFFF6124,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIH0IJCL,                     0xFFFF6124,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIH0IJCH,                     0xFFFF6125,  __READ_WRITE )
__IO_REG16(     ICCSIH1IRE,                      0xFFFF6126,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIH1IREL,                     0xFFFF6126,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIH1IREH,                     0xFFFF6127,  __READ_WRITE )
__IO_REG16(     ICCSIH1IR,                       0xFFFF6128,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIH1IRL,                      0xFFFF6128,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIH1IRH,                      0xFFFF6129,  __READ_WRITE )
__IO_REG16(     ICCSIH1IC,                       0xFFFF612A,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIH1ICL,                      0xFFFF612A,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIH1ICH,                      0xFFFF612B,  __READ_WRITE )
__IO_REG16(     ICCSIH1IJC,                      0xFFFF612C,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIH1IJCL,                     0xFFFF612C,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIH1IJCH,                     0xFFFF612D,  __READ_WRITE )
__IO_REG16(     ICCSIH2IRE,                      0xFFFF612E,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIH2IREL,                     0xFFFF612E,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIH2IREH,                     0xFFFF612F,  __READ_WRITE )
__IO_REG16(     ICCSIH2IR,                       0xFFFF6130,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIH2IRL,                      0xFFFF6130,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIH2IRH,                      0xFFFF6131,  __READ_WRITE )
__IO_REG16(     ICCSIH2IC,                       0xFFFF6132,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIH2ICL,                      0xFFFF6132,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIH2ICH,                      0xFFFF6133,  __READ_WRITE )
__IO_REG16(     ICCSIH2IJC,                      0xFFFF6134,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIH2IJCL,                     0xFFFF6134,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIH2IJCH,                     0xFFFF6135,  __READ_WRITE )
__IO_REG16(     ICCSIH3IRE,                      0xFFFF6136,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIH3IREL,                     0xFFFF6136,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIH3IREH,                     0xFFFF6137,  __READ_WRITE )
__IO_REG16(     ICCSIH3IR,                       0xFFFF6138,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIH3IRL,                      0xFFFF6138,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIH3IRH,                      0xFFFF6139,  __READ_WRITE )
__IO_REG16(     ICCSIH3IC,                       0xFFFF613A,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIH3ICL,                      0xFFFF613A,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIH3ICH,                      0xFFFF613B,  __READ_WRITE )
__IO_REG16(     ICCSIH3IJC,                      0xFFFF613C,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIH3IJCL,                     0xFFFF613C,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIH3IJCH,                     0xFFFF613D,  __READ_WRITE )
__IO_REG16(     ICCSIG0IRE,                      0xFFFF613E,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIG0IREL,                     0xFFFF613E,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIG0IREH,                     0xFFFF613F,  __READ_WRITE )
__IO_REG16(     ICCSIG0IR,                       0xFFFF6140,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIG0IRL,                      0xFFFF6140,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIG0IRH,                      0xFFFF6141,  __READ_WRITE )
__IO_REG16(     ICCSIG0IC,                       0xFFFF6142,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIG0ICL,                      0xFFFF6142,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIG0ICH,                      0xFFFF6143,  __READ_WRITE )
__IO_REG16(     ICCSIG1IRE,                      0xFFFF6144,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIG1IREL,                     0xFFFF6144,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIG1IREH,                     0xFFFF6145,  __READ_WRITE )
__IO_REG16(     ICCSIG1IR,                       0xFFFF6146,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIG1IRL,                      0xFFFF6146,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIG1IRH,                      0xFFFF6147,  __READ_WRITE )
__IO_REG16(     ICCSIG1IC,                       0xFFFF6148,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIG1ICL,                      0xFFFF6148,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIG1ICH,                      0xFFFF6149,  __READ_WRITE )
__IO_REG16(     ICCSIG2IRE,                      0xFFFF614A,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIG2IREL,                     0xFFFF614A,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIG2IREH,                     0xFFFF614B,  __READ_WRITE )
__IO_REG16(     ICCSIG2IR,                       0xFFFF614C,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIG2IRL,                      0xFFFF614C,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIG2IRH,                      0xFFFF614D,  __READ_WRITE )
__IO_REG16(     ICCSIG2IC,                       0xFFFF614E,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIG2ICL,                      0xFFFF614E,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIG2ICH,                      0xFFFF614F,  __READ_WRITE )
__IO_REG16(     ICCSIG3IRE,                      0xFFFF6150,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIG3IREL,                     0xFFFF6150,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIG3IREH,                     0xFFFF6151,  __READ_WRITE )
__IO_REG16(     ICCSIG3IR,                       0xFFFF6152,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIG3IRL,                      0xFFFF6152,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIG3IRH,                      0xFFFF6153,  __READ_WRITE )
__IO_REG16(     ICCSIG3IC,                       0xFFFF6154,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIG3ICL,                      0xFFFF6154,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIG3ICH,                      0xFFFF6155,  __READ_WRITE )
__IO_REG16(     ICCSIG4IRE,                      0xFFFF6156,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIG4IREL,                     0xFFFF6156,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIG4IREH,                     0xFFFF6157,  __READ_WRITE )
__IO_REG16(     ICCSIG4IR,                       0xFFFF6158,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIG4IRL,                      0xFFFF6158,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIG4IRH,                      0xFFFF6159,  __READ_WRITE )
__IO_REG16(     ICCSIG4IC,                       0xFFFF615A,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIG4ICL,                      0xFFFF615A,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIG4ICH,                      0xFFFF615B,  __READ_WRITE )
__IO_REG16(     ICCSIG5IRE,                      0xFFFF615C,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIG5IREL,                     0xFFFF615C,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIG5IREH,                     0xFFFF615D,  __READ_WRITE )
__IO_REG16(     ICCSIG5IR,                       0xFFFF615E,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIG5IRL,                      0xFFFF615E,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIG5IRH,                      0xFFFF615F,  __READ_WRITE )
__IO_REG16(     ICCSIG5IC,                       0xFFFF6160,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIG5ICL,                      0xFFFF6160,  __READ_WRITE )
__IO_REG8_BIT(  ICCSIG5ICH,                      0xFFFF6161,  __READ_WRITE )
__IO_REG16(     ICFCNWUP,                        0xFFFF6162,  __READ_WRITE )
__IO_REG8_BIT(  ICFCNWUPL,                       0xFFFF6162,  __READ_WRITE )
__IO_REG8_BIT(  ICFCNWUPH,                       0xFFFF6163,  __READ_WRITE )
__IO_REG16(     ICETHA0SRX,                      0xFFFF6164,  __READ_WRITE )
__IO_REG8_BIT(  ICETHA0SRXL,                     0xFFFF6164,  __READ_WRITE )
__IO_REG8_BIT(  ICETHA0SRXH,                     0xFFFF6165,  __READ_WRITE )
__IO_REG16(     ICETHA0SCRX,                     0xFFFF6166,  __READ_WRITE )
__IO_REG8_BIT(  ICETHA0SCRXL,                    0xFFFF6166,  __READ_WRITE )
__IO_REG8_BIT(  ICETHA0SCRXH,                    0xFFFF6167,  __READ_WRITE )
__IO_REG16(     ICETHA0SCTX,                     0xFFFF6168,  __READ_WRITE )
__IO_REG8_BIT(  ICETHA0SCTXL,                    0xFFFF6168,  __READ_WRITE )
__IO_REG8_BIT(  ICETHA0SCTXH,                    0xFFFF6169,  __READ_WRITE )
__IO_REG16(     ICETHA0RS,                       0xFFFF616A,  __READ_WRITE )
__IO_REG8_BIT(  ICETHA0RSL,                      0xFFFF616A,  __READ_WRITE )
__IO_REG8_BIT(  ICETHA0RSH,                      0xFFFF616B,  __READ_WRITE )
__IO_REG16(     ICETHA0TS,                       0xFFFF616C,  __READ_WRITE )
__IO_REG8_BIT(  ICETHA0TSL,                      0xFFFF616C,  __READ_WRITE )
__IO_REG8_BIT(  ICETHA0TSH,                      0xFFFF616D,  __READ_WRITE )
__IO_REG16(     ICETHA0FS,                       0xFFFF616E,  __READ_WRITE )
__IO_REG8_BIT(  ICETHA0FSL,                      0xFFFF616E,  __READ_WRITE )
__IO_REG8_BIT(  ICETHA0FSH,                      0xFFFF616F,  __READ_WRITE )
__IO_REG16(     ICETHA0MAC,                      0xFFFF6170,  __READ_WRITE )
__IO_REG8_BIT(  ICETHA0MACL,                     0xFFFF6170,  __READ_WRITE )
__IO_REG8_BIT(  ICETHA0MACH,                     0xFFFF6171,  __READ_WRITE )
__IO_REG16(     ICETHA0SCRXTCH,                  0xFFFF6172,  __READ_WRITE )
__IO_REG8_BIT(  ICETHA0SCRXTCHL,                 0xFFFF6172,  __READ_WRITE )
__IO_REG8_BIT(  ICETHA0SCRXTCHH,                 0xFFFF6173,  __READ_WRITE )
__IO_REG16(     ICETHA0SCTXTCH,                  0xFFFF6174,  __READ_WRITE )
__IO_REG8_BIT(  ICETHA0SCTXTCHL,                 0xFFFF6174,  __READ_WRITE )
__IO_REG8_BIT(  ICETHA0SCTXTCHH,                 0xFFFF6175,  __READ_WRITE )
__IO_REG16(     ICUSFA0I0,                       0xFFFF6176,  __READ_WRITE )
__IO_REG8_BIT(  ICUSFA0I0L,                      0xFFFF6176,  __READ_WRITE )
__IO_REG8_BIT(  ICUSFA0I0H,                      0xFFFF6177,  __READ_WRITE )
__IO_REG16(     ICUSFA0I1,                       0xFFFF6178,  __READ_WRITE )
__IO_REG8_BIT(  ICUSFA0I1L,                      0xFFFF6178,  __READ_WRITE )
__IO_REG8_BIT(  ICUSFA0I1H,                      0xFFFF6179,  __READ_WRITE )
__IO_REG16(     ICUSFA0I2,                       0xFFFF617A,  __READ_WRITE )
__IO_REG8_BIT(  ICUSFA0I2L,                      0xFFFF617A,  __READ_WRITE )
__IO_REG8_BIT(  ICUSFA0I2H,                      0xFFFF617B,  __READ_WRITE )
__IO_REG16(     ICUSHA0I0,                       0xFFFF617C,  __READ_WRITE )
__IO_REG8_BIT(  ICUSHA0I0L,                      0xFFFF617C,  __READ_WRITE )
__IO_REG8_BIT(  ICUSHA0I0H,                      0xFFFF617D,  __READ_WRITE )
__IO_REG16(     ICUSHA0I1,                       0xFFFF617E,  __READ_WRITE )
__IO_REG8_BIT(  ICUSHA0I1L,                      0xFFFF617E,  __READ_WRITE )
__IO_REG8_BIT(  ICUSHA0I1H,                      0xFFFF617F,  __READ_WRITE )
__IO_REG16(     ICUSHA0PME,                      0xFFFF6180,  __READ_WRITE )
__IO_REG8_BIT(  ICUSHA0PMEL,                     0xFFFF6180,  __READ_WRITE )
__IO_REG8_BIT(  ICUSHA0PMEH,                     0xFFFF6181,  __READ_WRITE )
__IO_REG16(     ICDMA0,                          0xFFFF6182,  __READ_WRITE )
__IO_REG8_BIT(  ICDMA0L,                         0xFFFF6182,  __READ_WRITE )
__IO_REG8_BIT(  ICDMA0H,                         0xFFFF6183,  __READ_WRITE )
__IO_REG16(     ICDMA1,                          0xFFFF6184,  __READ_WRITE )
__IO_REG8_BIT(  ICDMA1L,                         0xFFFF6184,  __READ_WRITE )
__IO_REG8_BIT(  ICDMA1H,                         0xFFFF6185,  __READ_WRITE )
__IO_REG16(     ICDMA2,                          0xFFFF6186,  __READ_WRITE )
__IO_REG8_BIT(  ICDMA2L,                         0xFFFF6186,  __READ_WRITE )
__IO_REG8_BIT(  ICDMA2H,                         0xFFFF6187,  __READ_WRITE )
__IO_REG16(     ICDMA3,                          0xFFFF6188,  __READ_WRITE )
__IO_REG8_BIT(  ICDMA3L,                         0xFFFF6188,  __READ_WRITE )
__IO_REG8_BIT(  ICDMA3H,                         0xFFFF6189,  __READ_WRITE )
__IO_REG16(     ICDMA4,                          0xFFFF618A,  __READ_WRITE )
__IO_REG8_BIT(  ICDMA4L,                         0xFFFF618A,  __READ_WRITE )
__IO_REG8_BIT(  ICDMA4H,                         0xFFFF618B,  __READ_WRITE )
__IO_REG16(     ICDMA5,                          0xFFFF618C,  __READ_WRITE )
__IO_REG8_BIT(  ICDMA5L,                         0xFFFF618C,  __READ_WRITE )
__IO_REG8_BIT(  ICDMA5H,                         0xFFFF618D,  __READ_WRITE )
__IO_REG16(     ICDMA6,                          0xFFFF618E,  __READ_WRITE )
__IO_REG8_BIT(  ICDMA6L,                         0xFFFF618E,  __READ_WRITE )
__IO_REG8_BIT(  ICDMA6H,                         0xFFFF618F,  __READ_WRITE )
__IO_REG16(     ICDMA7,                          0xFFFF6190,  __READ_WRITE )
__IO_REG8_BIT(  ICDMA7L,                         0xFFFF6190,  __READ_WRITE )
__IO_REG8_BIT(  ICDMA7H,                         0xFFFF6191,  __READ_WRITE )
__IO_REG16(     ICDMA8,                          0xFFFF6192,  __READ_WRITE )
__IO_REG8_BIT(  ICDMA8L,                         0xFFFF6192,  __READ_WRITE )
__IO_REG8_BIT(  ICDMA8H,                         0xFFFF6193,  __READ_WRITE )
__IO_REG16(     ICDMA9,                          0xFFFF6194,  __READ_WRITE )
__IO_REG8_BIT(  ICDMA9L,                         0xFFFF6194,  __READ_WRITE )
__IO_REG8_BIT(  ICDMA9H,                         0xFFFF6195,  __READ_WRITE )
__IO_REG16(     ICDMA10,                         0xFFFF6196,  __READ_WRITE )
__IO_REG8_BIT(  ICDMA10L,                        0xFFFF6196,  __READ_WRITE )
__IO_REG8_BIT(  ICDMA10H,                        0xFFFF6197,  __READ_WRITE )
__IO_REG16(     ICDMA11,                         0xFFFF6198,  __READ_WRITE )
__IO_REG8_BIT(  ICDMA11L,                        0xFFFF6198,  __READ_WRITE )
__IO_REG8_BIT(  ICDMA11H,                        0xFFFF6199,  __READ_WRITE )
__IO_REG16(     ICDMA12,                         0xFFFF619A,  __READ_WRITE )
__IO_REG8_BIT(  ICDMA12L,                        0xFFFF619A,  __READ_WRITE )
__IO_REG8_BIT(  ICDMA12H,                        0xFFFF619B,  __READ_WRITE )
__IO_REG16(     ICDMA13,                         0xFFFF619C,  __READ_WRITE )
__IO_REG8_BIT(  ICDMA13L,                        0xFFFF619C,  __READ_WRITE )
__IO_REG8_BIT(  ICDMA13H,                        0xFFFF619D,  __READ_WRITE )
__IO_REG16(     ICDMA14,                         0xFFFF619E,  __READ_WRITE )
__IO_REG8_BIT(  ICDMA14L,                        0xFFFF619E,  __READ_WRITE )
__IO_REG8_BIT(  ICDMA14H,                        0xFFFF619F,  __READ_WRITE )
__IO_REG16(     ICDMA15,                         0xFFFF61A0,  __READ_WRITE )
__IO_REG8_BIT(  ICDMA15L,                        0xFFFF61A0,  __READ_WRITE )
__IO_REG8_BIT(  ICDMA15H,                        0xFFFF61A1,  __READ_WRITE )
__IO_REG16(     ICDMACT0,                        0xFFFF61A2,  __READ_WRITE )
__IO_REG8_BIT(  ICDMACT0L,                       0xFFFF61A2,  __READ_WRITE )
__IO_REG8_BIT(  ICDMACT0H,                       0xFFFF61A3,  __READ_WRITE )
__IO_REG16(     ICDMACT1,                        0xFFFF61A4,  __READ_WRITE )
__IO_REG8_BIT(  ICDMACT1L,                       0xFFFF61A4,  __READ_WRITE )
__IO_REG8_BIT(  ICDMACT1H,                       0xFFFF61A5,  __READ_WRITE )
__IO_REG16(     ICDMACT2,                        0xFFFF61A6,  __READ_WRITE )
__IO_REG8_BIT(  ICDMACT2L,                       0xFFFF61A6,  __READ_WRITE )
__IO_REG8_BIT(  ICDMACT2H,                       0xFFFF61A7,  __READ_WRITE )
__IO_REG16(     ICDMACT3,                        0xFFFF61A8,  __READ_WRITE )
__IO_REG8_BIT(  ICDMACT3L,                       0xFFFF61A8,  __READ_WRITE )
__IO_REG8_BIT(  ICDMACT3H,                       0xFFFF61A9,  __READ_WRITE )
__IO_REG16(     ICDMACT4,                        0xFFFF61AA,  __READ_WRITE )
__IO_REG8_BIT(  ICDMACT4L,                       0xFFFF61AA,  __READ_WRITE )
__IO_REG8_BIT(  ICDMACT4H,                       0xFFFF61AB,  __READ_WRITE )
__IO_REG16(     ICDMACT5,                        0xFFFF61AC,  __READ_WRITE )
__IO_REG8_BIT(  ICDMACT5L,                       0xFFFF61AC,  __READ_WRITE )
__IO_REG8_BIT(  ICDMACT5H,                       0xFFFF61AD,  __READ_WRITE )
__IO_REG16(     ICDMACT6,                        0xFFFF61AE,  __READ_WRITE )
__IO_REG8_BIT(  ICDMACT6L,                       0xFFFF61AE,  __READ_WRITE )
__IO_REG8_BIT(  ICDMACT6H,                       0xFFFF61AF,  __READ_WRITE )
__IO_REG16(     ICDMACT7,                        0xFFFF61B0,  __READ_WRITE )
__IO_REG8_BIT(  ICDMACT7L,                       0xFFFF61B0,  __READ_WRITE )
__IO_REG8_BIT(  ICDMACT7H,                       0xFFFF61B1,  __READ_WRITE )
__IO_REG16(     ICDMACT8,                        0xFFFF61B2,  __READ_WRITE )
__IO_REG8_BIT(  ICDMACT8L,                       0xFFFF61B2,  __READ_WRITE )
__IO_REG8_BIT(  ICDMACT8H,                       0xFFFF61B3,  __READ_WRITE )
__IO_REG16(     ICDMACT9,                        0xFFFF61B4,  __READ_WRITE )
__IO_REG8_BIT(  ICDMACT9L,                       0xFFFF61B4,  __READ_WRITE )
__IO_REG8_BIT(  ICDMACT9H,                       0xFFFF61B5,  __READ_WRITE )
__IO_REG16(     ICDMACT10,                       0xFFFF61B6,  __READ_WRITE )
__IO_REG8_BIT(  ICDMACT10L,                      0xFFFF61B6,  __READ_WRITE )
__IO_REG8_BIT(  ICDMACT10H,                      0xFFFF61B7,  __READ_WRITE )
__IO_REG16(     ICDMACT11,                       0xFFFF61B8,  __READ_WRITE )
__IO_REG8_BIT(  ICDMACT11L,                      0xFFFF61B8,  __READ_WRITE )
__IO_REG8_BIT(  ICDMACT11H,                      0xFFFF61B9,  __READ_WRITE )
__IO_REG16(     ICDMACT12,                       0xFFFF61BA,  __READ_WRITE )
__IO_REG8_BIT(  ICDMACT12L,                      0xFFFF61BA,  __READ_WRITE )
__IO_REG8_BIT(  ICDMACT12H,                      0xFFFF61BB,  __READ_WRITE )
__IO_REG16(     ICDMACT13,                       0xFFFF61BC,  __READ_WRITE )
__IO_REG8_BIT(  ICDMACT13L,                      0xFFFF61BC,  __READ_WRITE )
__IO_REG8_BIT(  ICDMACT13H,                      0xFFFF61BD,  __READ_WRITE )
__IO_REG16(     ICDMACT14,                       0xFFFF61BE,  __READ_WRITE )
__IO_REG8_BIT(  ICDMACT14L,                      0xFFFF61BE,  __READ_WRITE )
__IO_REG8_BIT(  ICDMACT14H,                      0xFFFF61BF,  __READ_WRITE )
__IO_REG16(     ICDMACT15,                       0xFFFF61C0,  __READ_WRITE )
__IO_REG8_BIT(  ICDMACT15L,                      0xFFFF61C0,  __READ_WRITE )
__IO_REG8_BIT(  ICDMACT15H,                      0xFFFF61C1,  __READ_WRITE )
__IO_REG16(     ICHDMAERR,                       0xFFFF61C2,  __READ_WRITE )
__IO_REG8_BIT(  ICHDMAERRL,                      0xFFFF61C2,  __READ_WRITE )
__IO_REG8_BIT(  ICHDMAERRH,                      0xFFFF61C3,  __READ_WRITE )
__IO_REG16(     ICHDMA0,                         0xFFFF61C4,  __READ_WRITE )
__IO_REG8_BIT(  ICHDMA0L,                        0xFFFF61C4,  __READ_WRITE )
__IO_REG8_BIT(  ICHDMA0H,                        0xFFFF61C5,  __READ_WRITE )
__IO_REG16(     ICHDMA1,                         0xFFFF61C6,  __READ_WRITE )
__IO_REG8_BIT(  ICHDMA1L,                        0xFFFF61C6,  __READ_WRITE )
__IO_REG8_BIT(  ICHDMA1H,                        0xFFFF61C7,  __READ_WRITE )
__IO_REG16(     ICHDMA2,                         0xFFFF61C8,  __READ_WRITE )
__IO_REG8_BIT(  ICHDMA2L,                        0xFFFF61C8,  __READ_WRITE )
__IO_REG8_BIT(  ICHDMA2H,                        0xFFFF61C9,  __READ_WRITE )
__IO_REG16(     ICHDMA3,                         0xFFFF61CA,  __READ_WRITE )
__IO_REG8_BIT(  ICHDMA3L,                        0xFFFF61CA,  __READ_WRITE )
__IO_REG8_BIT(  ICHDMA3H,                        0xFFFF61CB,  __READ_WRITE )
__IO_REG16(     ICHDMA4,                         0xFFFF61CC,  __READ_WRITE )
__IO_REG8_BIT(  ICHDMA4L,                        0xFFFF61CC,  __READ_WRITE )
__IO_REG8_BIT(  ICHDMA4H,                        0xFFFF61CD,  __READ_WRITE )
__IO_REG16(     ICHDMA5,                         0xFFFF61CE,  __READ_WRITE )
__IO_REG8_BIT(  ICHDMA5L,                        0xFFFF61CE,  __READ_WRITE )
__IO_REG8_BIT(  ICHDMA5H,                        0xFFFF61CF,  __READ_WRITE )
__IO_REG16(     ICHDMA6,                         0xFFFF61D0,  __READ_WRITE )
__IO_REG8_BIT(  ICHDMA6L,                        0xFFFF61D0,  __READ_WRITE )
__IO_REG8_BIT(  ICHDMA6H,                        0xFFFF61D1,  __READ_WRITE )
__IO_REG16(     ICHDMA7,                         0xFFFF61D2,  __READ_WRITE )
__IO_REG8_BIT(  ICHDMA7L,                        0xFFFF61D2,  __READ_WRITE )
__IO_REG8_BIT(  ICHDMA7H,                        0xFFFF61D3,  __READ_WRITE )

__IO_REG16(     IMR0,                            0xFFFF6400,  __READ_WRITE )
__IO_REG8_BIT(  IMR0H,                           0xFFFF6401,  __READ_WRITE )
__IO_REG16(     IMR1,                            0xFFFF6402,  __READ_WRITE )
__IO_REG8_BIT(  IMR1L,                           0xFFFF6402,  __READ_WRITE )
__IO_REG8_BIT(  IMR1H,                           0xFFFF6403,  __READ_WRITE )
__IO_REG16(     IMR2,                            0xFFFF6404,  __READ_WRITE )
__IO_REG8_BIT(  IMR2L,                           0xFFFF6404,  __READ_WRITE )
__IO_REG8_BIT(  IMR2H,                           0xFFFF6405,  __READ_WRITE )
__IO_REG16(     IMR3,                            0xFFFF6406,  __READ_WRITE )
__IO_REG8_BIT(  IMR3L,                           0xFFFF6406,  __READ_WRITE )
__IO_REG8_BIT(  IMR3H,                           0xFFFF6407,  __READ_WRITE )
__IO_REG16(     IMR4,                            0xFFFF6408,  __READ_WRITE )
__IO_REG8_BIT(  IMR4L,                           0xFFFF6408,  __READ_WRITE )
__IO_REG8_BIT(  IMR4H,                           0xFFFF6409,  __READ_WRITE )
__IO_REG16(     IMR5,                            0xFFFF640A,  __READ_WRITE )
__IO_REG8_BIT(  IMR5L,                           0xFFFF640A,  __READ_WRITE )
__IO_REG8_BIT(  IMR5H,                           0xFFFF640B,  __READ_WRITE )
__IO_REG16(     IMR6,                            0xFFFF640C,  __READ_WRITE )
__IO_REG8_BIT(  IMR6L,                           0xFFFF640C,  __READ_WRITE )
__IO_REG8_BIT(  IMR6H,                           0xFFFF640D,  __READ_WRITE )
__IO_REG16(     IMR7,                            0xFFFF640E,  __READ_WRITE )
__IO_REG8_BIT(  IMR7L,                           0xFFFF640E,  __READ_WRITE )
__IO_REG8_BIT(  IMR7H,                           0xFFFF640F,  __READ_WRITE )
__IO_REG16(     IMR8,                            0xFFFF6410,  __READ_WRITE )
__IO_REG8_BIT(  IMR8L,                           0xFFFF6410,  __READ_WRITE )
__IO_REG8_BIT(  IMR8H,                           0xFFFF6411,  __READ_WRITE )
__IO_REG16(     IMR9,                            0xFFFF6412,  __READ_WRITE )
__IO_REG8_BIT(  IMR9L,                           0xFFFF6412,  __READ_WRITE )
__IO_REG8_BIT(  IMR9H,                           0xFFFF6413,  __READ_WRITE )
__IO_REG16(     IMR10,                           0xFFFF6414,  __READ_WRITE )
__IO_REG8_BIT(  IMR10L,                          0xFFFF6414,  __READ_WRITE )
__IO_REG8_BIT(  IMR10H,                          0xFFFF6415,  __READ_WRITE )
__IO_REG16(     IMR11,                           0xFFFF6416,  __READ_WRITE )
__IO_REG8_BIT(  IMR11L,                          0xFFFF6416,  __READ_WRITE )
__IO_REG8_BIT(  IMR11H,                          0xFFFF6417,  __READ_WRITE )
__IO_REG16(     IMR12,                           0xFFFF6418,  __READ_WRITE )
__IO_REG8_BIT(  IMR12L,                          0xFFFF6418,  __READ_WRITE )
__IO_REG8_BIT(  IMR12H,                          0xFFFF6419,  __READ_WRITE )
__IO_REG16(     IMR13,                           0xFFFF641A,  __READ_WRITE )
__IO_REG8_BIT(  IMR13L,                          0xFFFF641A,  __READ_WRITE )
__IO_REG8_BIT(  IMR13H,                          0xFFFF641B,  __READ_WRITE )
__IO_REG16(     IMR14,                           0xFFFF641C,  __READ_WRITE )
__IO_REG8_BIT(  IMR14L,                          0xFFFF641C,  __READ_WRITE )
__IO_REG8_BIT(  IMR14H,                          0xFFFF641D,  __READ_WRITE )

__IO_REG16(     ISPR,                            0xFFFF6440,  __READ_WRITE )
__IO_REG8(      ISPRL,                           0xFFFF6440,  __READ       )
__IO_REG8(      ISPRH,                           0xFFFF6441,  __READ       )

__IO_REG16(     PMR,                             0xFFFF6448,  __READ_WRITE )
__IO_REG8_BIT(  PMRL,                            0xFFFF6448,  __READ_WRITE )
__IO_REG8_BIT(  PMRH,                            0xFFFF6449,  __READ_WRITE )

__IO_REG16(     ISPC,                            0xFFFF6450,  __READ_WRITE )

__IO_REG16(     SCR,                             0xFFFF6458,  __READ       )
__IO_REG8(      SCRL,                            0xFFFF6458,  __READ       )
__IO_REG8(      SCRH,                            0xFFFF6459,  __READ       )
__IO_REG16(     ICSR,                            0xFFFF645A,  __READ       )
__IO_REG8_BIT(  ICSRL,                           0xFFFF645A,  __READ       )
__IO_REG8_BIT(  ICSRH,                           0xFFFF645B,  __READ       )
__IO_REG16(     FNC,                             0xFFFF645C,  __READ       )
__IO_REG8_BIT(  FNCH,                            0xFFFF645D,  __READ       )
__IO_REG16(     FIC,                             0xFFFF645E,  __READ       )
__IO_REG8_BIT(  FICH,                            0xFFFF645F,  __READ       )

__IO_REG16(     FCCTL0,                          0xFFFF6480,  __READ_WRITE )
__IO_REG16(     FCCTL1,                          0xFFFF6482,  __READ_WRITE )
__IO_REG8_BIT(  FCCTL1L,                         0xFFFF6482,  __READ_WRITE )

__IO_REG16(     PEID,                            0xFFFF6490,  __READ       )

__IO_REG16(     SEG_CONT,                        0xFFFF64B0,  __READ_WRITE )
__IO_REG8_BIT(  SEG_CONTL,                       0xFFFF64B0,  __READ_WRITE )
__IO_REG8(      SEG_CONTH,                       0xFFFF64B1,  __READ       )
__IO_REG16(     SEG_FLAG,                        0xFFFF64B2,  __READ_WRITE )
__IO_REG8_BIT(  SEG_FLAGL,                       0xFFFF64B2,  __READ_WRITE )
__IO_REG8(      SEG_FLAGH,                       0xFFFF64B3,  __READ       )

__IO_REG16(     ETACFG,                          0xFFFF7100,  __READ_WRITE )
__IO_REG16(     ETACMD,                          0xFFFF7102,  __READ_WRITE )
__IO_REG8_BIT(  ETACMDL,                         0xFFFF7102,  __READ_WRITE )

__IO_REG16(     ETAWRL,                          0xFFFF7106,  __READ_WRITE )

__IO_REG16(     ETARCFG0,                        0xFFFF7140,  __READ_WRITE )
__IO_REG16(     ETARCFG1,                        0xFFFF7142,  __READ_WRITE )
__IO_REG16(     ETARCFG2,                        0xFFFF7144,  __READ_WRITE )
__IO_REG16(     ETARCFG3,                        0xFFFF7146,  __READ_WRITE )

__IO_REG32(     ETARADRS0,                       0xFFFF7150,  __READ_WRITE )
__IO_REG16(     ETARADRS0L,                      0xFFFF7150,  __READ_WRITE )
__IO_REG16(     ETARADRS0H,                      0xFFFF7152,  __READ_WRITE )
__IO_REG32(     ETARMASK0,                       0xFFFF7154,  __READ_WRITE )
__IO_REG16(     ETARMASK0L,                      0xFFFF7154,  __READ_WRITE )
__IO_REG16(     ETARMASK0H,                      0xFFFF7156,  __READ_WRITE )
__IO_REG32(     ETARADRS1,                       0xFFFF7158,  __READ_WRITE )
__IO_REG16(     ETARADRS1L,                      0xFFFF7158,  __READ_WRITE )
__IO_REG16(     ETARADRS1H,                      0xFFFF715A,  __READ_WRITE )
__IO_REG32(     ETARMASK1,                       0xFFFF715C,  __READ_WRITE )
__IO_REG16(     ETARMASK1L,                      0xFFFF715C,  __READ_WRITE )
__IO_REG16(     ETARMASK1H,                      0xFFFF715E,  __READ_WRITE )
__IO_REG32(     ETARADRS2,                       0xFFFF7160,  __READ_WRITE )
__IO_REG16(     ETARADRS2L,                      0xFFFF7160,  __READ_WRITE )
__IO_REG16(     ETARADRS2H,                      0xFFFF7162,  __READ_WRITE )
__IO_REG32(     ETARMASK2,                       0xFFFF7164,  __READ_WRITE )
__IO_REG16(     ETARMASK2L,                      0xFFFF7164,  __READ_WRITE )
__IO_REG16(     ETARMASK2H,                      0xFFFF7166,  __READ_WRITE )
__IO_REG32(     ETARADRS3,                       0xFFFF7168,  __READ_WRITE )
__IO_REG16(     ETARADRS3L,                      0xFFFF7168,  __READ_WRITE )
__IO_REG16(     ETARADRS3H,                      0xFFFF716A,  __READ_WRITE )
__IO_REG32(     ETARMASK3,                       0xFFFF716C,  __READ_WRITE )
__IO_REG16(     ETARMASK3L,                      0xFFFF716C,  __READ_WRITE )
__IO_REG16(     ETARMASK3H,                      0xFFFF716E,  __READ_WRITE )

__IO_REG16(     BSC,                             0xFFFF7200,  __READ_WRITE )
__IO_REG16(     DEC,                             0xFFFF7202,  __READ_WRITE )

__IO_REG16(     DWC0,                            0xFFFF7208,  __READ_WRITE )

__IO_REG16(     DHC,                             0xFFFF720C,  __READ_WRITE )

__IO_REG16(     ICC0,                            0xFFFF7214,  __READ_WRITE )
__IO_REG16(     ICC1,                            0xFFFF7216,  __READ_WRITE )

__IO_REG16(     EWC,                             0xFFFF721A,  __READ_WRITE )

__IO_REG8(      SEN,                             0xFFFF7220,  __READ_WRITE )
__IO_REG16(     SDCR,                            0xFFFF7222,  __READ_WRITE )
__IO_REG8(      STR,                             0xFFFF7224,  __READ       )
__IO_REG16(     RFS,                             0xFFFF7226,  __READ_WRITE )

__IO_REG8_BIT(  DTRC0,                           0xFFFF7300,  __READ_WRITE )

__IO_REG16(     DTRS0,                           0xFFFF7310,  __READ_WRITE )
__IO_REG32(     DSA0,                            0xFFFF7314,  __READ_WRITE )
__IO_REG16(     DSA0L,                           0xFFFF7314,  __READ_WRITE )
__IO_REG16(     DSA0H,                           0xFFFF7316,  __READ_WRITE )
__IO_REG16(     DSC0,                            0xFFFF7318,  __READ_WRITE )
__IO_REG32(     DNSA0,                           0xFFFF731C,  __READ_WRITE )
__IO_REG16(     DNSA0L,                          0xFFFF731C,  __READ_WRITE )
__IO_REG16(     DNSA0H,                          0xFFFF731E,  __READ_WRITE )
__IO_REG16(     DNSC0,                           0xFFFF7320,  __READ_WRITE )
__IO_REG32(     DDA0,                            0xFFFF7324,  __READ_WRITE )
__IO_REG16(     DDA0L,                           0xFFFF7324,  __READ_WRITE )
__IO_REG16(     DDA0H,                           0xFFFF7326,  __READ_WRITE )
__IO_REG16(     DDC0,                            0xFFFF7328,  __READ_WRITE )
__IO_REG32(     DNDA0,                           0xFFFF732C,  __READ_WRITE )
__IO_REG16(     DNDA0L,                          0xFFFF732C,  __READ_WRITE )
__IO_REG16(     DNDA0H,                          0xFFFF732E,  __READ_WRITE )
__IO_REG16(     DNDC0,                           0xFFFF7330,  __READ_WRITE )
__IO_REG16(     DTC0,                            0xFFFF7332,  __READ_WRITE )
__IO_REG16(     DNTC0,                           0xFFFF7334,  __READ_WRITE )
__IO_REG16(     DTCC0,                           0xFFFF7336,  __READ_WRITE )
__IO_REG16(     DTCT0,                           0xFFFF7338,  __READ_WRITE )
__IO_REG8_BIT(  DTS0,                            0xFFFF733A,  __READ_WRITE )

__IO_REG16(     DTRS1,                           0xFFFF7340,  __READ_WRITE )
__IO_REG32(     DSA1,                            0xFFFF7344,  __READ_WRITE )
__IO_REG16(     DSA1L,                           0xFFFF7344,  __READ_WRITE )
__IO_REG16(     DSA1H,                           0xFFFF7346,  __READ_WRITE )
__IO_REG16(     DSC1,                            0xFFFF7348,  __READ_WRITE )
__IO_REG32(     DNSA1,                           0xFFFF734C,  __READ_WRITE )
__IO_REG16(     DNSA1L,                          0xFFFF734C,  __READ_WRITE )
__IO_REG16(     DNSA1H,                          0xFFFF734E,  __READ_WRITE )
__IO_REG16(     DNSC1,                           0xFFFF7350,  __READ_WRITE )
__IO_REG32(     DDA1,                            0xFFFF7354,  __READ_WRITE )
__IO_REG16(     DDA1L,                           0xFFFF7354,  __READ_WRITE )
__IO_REG16(     DDA1H,                           0xFFFF7356,  __READ_WRITE )
__IO_REG16(     DDC1,                            0xFFFF7358,  __READ_WRITE )
__IO_REG32(     DNDA1,                           0xFFFF735C,  __READ_WRITE )
__IO_REG16(     DNDA1L,                          0xFFFF735C,  __READ_WRITE )
__IO_REG16(     DNDA1H,                          0xFFFF735E,  __READ_WRITE )
__IO_REG16(     DNDC1,                           0xFFFF7360,  __READ_WRITE )
__IO_REG16(     DTC1,                            0xFFFF7362,  __READ_WRITE )
__IO_REG16(     DNTC1,                           0xFFFF7364,  __READ_WRITE )
__IO_REG16(     DTCC1,                           0xFFFF7366,  __READ_WRITE )
__IO_REG16(     DTCT1,                           0xFFFF7368,  __READ_WRITE )
__IO_REG8_BIT(  DTS1,                            0xFFFF736A,  __READ_WRITE )

__IO_REG16(     DTRS2,                           0xFFFF7370,  __READ_WRITE )
__IO_REG32(     DSA2,                            0xFFFF7374,  __READ_WRITE )
__IO_REG16(     DSA2L,                           0xFFFF7374,  __READ_WRITE )
__IO_REG16(     DSA2H,                           0xFFFF7376,  __READ_WRITE )
__IO_REG16(     DSC2,                            0xFFFF7378,  __READ_WRITE )
__IO_REG32(     DNSA2,                           0xFFFF737C,  __READ_WRITE )
__IO_REG16(     DNSA2L,                          0xFFFF737C,  __READ_WRITE )
__IO_REG16(     DNSA2H,                          0xFFFF737E,  __READ_WRITE )
__IO_REG16(     DNSC2,                           0xFFFF7380,  __READ_WRITE )
__IO_REG32(     DDA2,                            0xFFFF7384,  __READ_WRITE )
__IO_REG16(     DDA2L,                           0xFFFF7384,  __READ_WRITE )
__IO_REG16(     DDA2H,                           0xFFFF7386,  __READ_WRITE )
__IO_REG16(     DDC2,                            0xFFFF7388,  __READ_WRITE )
__IO_REG32(     DNDA2,                           0xFFFF738C,  __READ_WRITE )
__IO_REG16(     DNDA2L,                          0xFFFF738C,  __READ_WRITE )
__IO_REG16(     DNDA2H,                          0xFFFF738E,  __READ_WRITE )
__IO_REG16(     DNDC2,                           0xFFFF7390,  __READ_WRITE )
__IO_REG16(     DTC2,                            0xFFFF7392,  __READ_WRITE )
__IO_REG16(     DNTC2,                           0xFFFF7394,  __READ_WRITE )
__IO_REG16(     DTCC2,                           0xFFFF7396,  __READ_WRITE )
__IO_REG16(     DTCT2,                           0xFFFF7398,  __READ_WRITE )
__IO_REG8_BIT(  DTS2,                            0xFFFF739A,  __READ_WRITE )

__IO_REG16(     DTRS3,                           0xFFFF73A0,  __READ_WRITE )
__IO_REG32(     DSA3,                            0xFFFF73A4,  __READ_WRITE )
__IO_REG16(     DSA3L,                           0xFFFF73A4,  __READ_WRITE )
__IO_REG16(     DSA3H,                           0xFFFF73A6,  __READ_WRITE )
__IO_REG16(     DSC3,                            0xFFFF73A8,  __READ_WRITE )
__IO_REG32(     DNSA3,                           0xFFFF73AC,  __READ_WRITE )
__IO_REG16(     DNSA3L,                          0xFFFF73AC,  __READ_WRITE )
__IO_REG16(     DNSA3H,                          0xFFFF73AE,  __READ_WRITE )
__IO_REG16(     DNSC3,                           0xFFFF73B0,  __READ_WRITE )
__IO_REG32(     DDA3,                            0xFFFF73B4,  __READ_WRITE )
__IO_REG16(     DDA3L,                           0xFFFF73B4,  __READ_WRITE )
__IO_REG16(     DDA3H,                           0xFFFF73B6,  __READ_WRITE )
__IO_REG16(     DDC3,                            0xFFFF73B8,  __READ_WRITE )
__IO_REG32(     DNDA3,                           0xFFFF73BC,  __READ_WRITE )
__IO_REG16(     DNDA3L,                          0xFFFF73BC,  __READ_WRITE )
__IO_REG16(     DNDA3H,                          0xFFFF73BE,  __READ_WRITE )
__IO_REG16(     DNDC3,                           0xFFFF73C0,  __READ_WRITE )
__IO_REG16(     DTC3,                            0xFFFF73C2,  __READ_WRITE )
__IO_REG16(     DNTC3,                           0xFFFF73C4,  __READ_WRITE )
__IO_REG16(     DTCC3,                           0xFFFF73C6,  __READ_WRITE )
__IO_REG16(     DTCT3,                           0xFFFF73C8,  __READ_WRITE )
__IO_REG8_BIT(  DTS3,                            0xFFFF73CA,  __READ_WRITE )

__IO_REG16(     DTRS4,                           0xFFFF73D0,  __READ_WRITE )
__IO_REG32(     DSA4,                            0xFFFF73D4,  __READ_WRITE )
__IO_REG16(     DSA4L,                           0xFFFF73D4,  __READ_WRITE )
__IO_REG16(     DSA4H,                           0xFFFF73D6,  __READ_WRITE )
__IO_REG16(     DSC4,                            0xFFFF73D8,  __READ_WRITE )
__IO_REG32(     DNSA4,                           0xFFFF73DC,  __READ_WRITE )
__IO_REG16(     DNSA4L,                          0xFFFF73DC,  __READ_WRITE )
__IO_REG16(     DNSA4H,                          0xFFFF73DE,  __READ_WRITE )
__IO_REG16(     DNSC4,                           0xFFFF73E0,  __READ_WRITE )
__IO_REG32(     DDA4,                            0xFFFF73E4,  __READ_WRITE )
__IO_REG16(     DDA4L,                           0xFFFF73E4,  __READ_WRITE )
__IO_REG16(     DDA4H,                           0xFFFF73E6,  __READ_WRITE )
__IO_REG16(     DDC4,                            0xFFFF73E8,  __READ_WRITE )
__IO_REG32(     DNDA4,                           0xFFFF73EC,  __READ_WRITE )
__IO_REG16(     DNDA4L,                          0xFFFF73EC,  __READ_WRITE )
__IO_REG16(     DNDA4H,                          0xFFFF73EE,  __READ_WRITE )
__IO_REG16(     DNDC4,                           0xFFFF73F0,  __READ_WRITE )
__IO_REG16(     DTC4,                            0xFFFF73F2,  __READ_WRITE )
__IO_REG16(     DNTC4,                           0xFFFF73F4,  __READ_WRITE )
__IO_REG16(     DTCC4,                           0xFFFF73F6,  __READ_WRITE )
__IO_REG16(     DTCT4,                           0xFFFF73F8,  __READ_WRITE )
__IO_REG8_BIT(  DTS4,                            0xFFFF73FA,  __READ_WRITE )

__IO_REG16(     DTRS5,                           0xFFFF7400,  __READ_WRITE )
__IO_REG32(     DSA5,                            0xFFFF7404,  __READ_WRITE )
__IO_REG16(     DSA5L,                           0xFFFF7404,  __READ_WRITE )
__IO_REG16(     DSA5H,                           0xFFFF7406,  __READ_WRITE )
__IO_REG16(     DSC5,                            0xFFFF7408,  __READ_WRITE )
__IO_REG32(     DNSA5,                           0xFFFF740C,  __READ_WRITE )
__IO_REG16(     DNSA5L,                          0xFFFF740C,  __READ_WRITE )
__IO_REG16(     DNSA5H,                          0xFFFF740E,  __READ_WRITE )
__IO_REG16(     DNSC5,                           0xFFFF7410,  __READ_WRITE )
__IO_REG32(     DDA5,                            0xFFFF7414,  __READ_WRITE )
__IO_REG16(     DDA5L,                           0xFFFF7414,  __READ_WRITE )
__IO_REG16(     DDA5H,                           0xFFFF7416,  __READ_WRITE )
__IO_REG16(     DDC5,                            0xFFFF7418,  __READ_WRITE )
__IO_REG32(     DNDA5,                           0xFFFF741C,  __READ_WRITE )
__IO_REG16(     DNDA5L,                          0xFFFF741C,  __READ_WRITE )
__IO_REG16(     DNDA5H,                          0xFFFF741E,  __READ_WRITE )
__IO_REG16(     DNDC5,                           0xFFFF7420,  __READ_WRITE )
__IO_REG16(     DTC5,                            0xFFFF7422,  __READ_WRITE )
__IO_REG16(     DNTC5,                           0xFFFF7424,  __READ_WRITE )
__IO_REG16(     DTCC5,                           0xFFFF7426,  __READ_WRITE )
__IO_REG16(     DTCT5,                           0xFFFF7428,  __READ_WRITE )
__IO_REG8_BIT(  DTS5,                            0xFFFF742A,  __READ_WRITE )

__IO_REG16(     DTRS6,                           0xFFFF7430,  __READ_WRITE )
__IO_REG32(     DSA6,                            0xFFFF7434,  __READ_WRITE )
__IO_REG16(     DSA6L,                           0xFFFF7434,  __READ_WRITE )
__IO_REG16(     DSA6H,                           0xFFFF7436,  __READ_WRITE )
__IO_REG16(     DSC6,                            0xFFFF7438,  __READ_WRITE )
__IO_REG32(     DNSA6,                           0xFFFF743C,  __READ_WRITE )
__IO_REG16(     DNSA6L,                          0xFFFF743C,  __READ_WRITE )
__IO_REG16(     DNSA6H,                          0xFFFF743E,  __READ_WRITE )
__IO_REG16(     DNSC6,                           0xFFFF7440,  __READ_WRITE )
__IO_REG32(     DDA6,                            0xFFFF7444,  __READ_WRITE )
__IO_REG16(     DDA6L,                           0xFFFF7444,  __READ_WRITE )
__IO_REG16(     DDA6H,                           0xFFFF7446,  __READ_WRITE )
__IO_REG16(     DDC6,                            0xFFFF7448,  __READ_WRITE )
__IO_REG32(     DNDA6,                           0xFFFF744C,  __READ_WRITE )
__IO_REG16(     DNDA6L,                          0xFFFF744C,  __READ_WRITE )
__IO_REG16(     DNDA6H,                          0xFFFF744E,  __READ_WRITE )
__IO_REG16(     DNDC6,                           0xFFFF7450,  __READ_WRITE )
__IO_REG16(     DTC6,                            0xFFFF7452,  __READ_WRITE )
__IO_REG16(     DNTC6,                           0xFFFF7454,  __READ_WRITE )
__IO_REG16(     DTCC6,                           0xFFFF7456,  __READ_WRITE )
__IO_REG16(     DTCT6,                           0xFFFF7458,  __READ_WRITE )
__IO_REG8_BIT(  DTS6,                            0xFFFF745A,  __READ_WRITE )

__IO_REG16(     DTRS7,                           0xFFFF7460,  __READ_WRITE )
__IO_REG32(     DSA7,                            0xFFFF7464,  __READ_WRITE )
__IO_REG16(     DSA7L,                           0xFFFF7464,  __READ_WRITE )
__IO_REG16(     DSA7H,                           0xFFFF7466,  __READ_WRITE )
__IO_REG16(     DSC7,                            0xFFFF7468,  __READ_WRITE )
__IO_REG32(     DNSA7,                           0xFFFF746C,  __READ_WRITE )
__IO_REG16(     DNSA7L,                          0xFFFF746C,  __READ_WRITE )
__IO_REG16(     DNSA7H,                          0xFFFF746E,  __READ_WRITE )
__IO_REG16(     DNSC7,                           0xFFFF7470,  __READ_WRITE )
__IO_REG32(     DDA7,                            0xFFFF7474,  __READ_WRITE )
__IO_REG16(     DDA7L,                           0xFFFF7474,  __READ_WRITE )
__IO_REG16(     DDA7H,                           0xFFFF7476,  __READ_WRITE )
__IO_REG16(     DDC7,                            0xFFFF7478,  __READ_WRITE )
__IO_REG32(     DNDA7,                           0xFFFF747C,  __READ_WRITE )
__IO_REG16(     DNDA7L,                          0xFFFF747C,  __READ_WRITE )
__IO_REG16(     DNDA7H,                          0xFFFF747E,  __READ_WRITE )
__IO_REG16(     DNDC7,                           0xFFFF7480,  __READ_WRITE )
__IO_REG16(     DTC7,                            0xFFFF7482,  __READ_WRITE )
__IO_REG16(     DNTC7,                           0xFFFF7484,  __READ_WRITE )
__IO_REG16(     DTCC7,                           0xFFFF7486,  __READ_WRITE )
__IO_REG16(     DTCT7,                           0xFFFF7488,  __READ_WRITE )
__IO_REG8_BIT(  DTS7,                            0xFFFF748A,  __READ_WRITE )

__IO_REG8_BIT(  DTRC1,                           0xFFFF7500,  __READ_WRITE )

__IO_REG16(     DTRS8,                           0xFFFF7510,  __READ_WRITE )
__IO_REG32(     DSA8,                            0xFFFF7514,  __READ_WRITE )
__IO_REG16(     DSA8L,                           0xFFFF7514,  __READ_WRITE )
__IO_REG16(     DSA8H,                           0xFFFF7516,  __READ_WRITE )
__IO_REG16(     DSC8,                            0xFFFF7518,  __READ_WRITE )
__IO_REG32(     DNSA8,                           0xFFFF751C,  __READ_WRITE )
__IO_REG16(     DNSA8L,                          0xFFFF751C,  __READ_WRITE )
__IO_REG16(     DNSA8H,                          0xFFFF751E,  __READ_WRITE )
__IO_REG16(     DNSC8,                           0xFFFF7520,  __READ_WRITE )
__IO_REG32(     DDA8,                            0xFFFF7524,  __READ_WRITE )
__IO_REG16(     DDA8L,                           0xFFFF7524,  __READ_WRITE )
__IO_REG16(     DDA8H,                           0xFFFF7526,  __READ_WRITE )
__IO_REG16(     DDC8,                            0xFFFF7528,  __READ_WRITE )
__IO_REG32(     DNDA8,                           0xFFFF752C,  __READ_WRITE )
__IO_REG16(     DNDA8L,                          0xFFFF752C,  __READ_WRITE )
__IO_REG16(     DNDA8H,                          0xFFFF752E,  __READ_WRITE )
__IO_REG16(     DNDC8,                           0xFFFF7530,  __READ_WRITE )
__IO_REG16(     DTC8,                            0xFFFF7532,  __READ_WRITE )
__IO_REG16(     DNTC8,                           0xFFFF7534,  __READ_WRITE )
__IO_REG16(     DTCC8,                           0xFFFF7536,  __READ_WRITE )
__IO_REG16(     DTCT8,                           0xFFFF7538,  __READ_WRITE )
__IO_REG8_BIT(  DTS8,                            0xFFFF753A,  __READ_WRITE )

__IO_REG16(     DTRS9,                           0xFFFF7540,  __READ_WRITE )
__IO_REG32(     DSA9,                            0xFFFF7544,  __READ_WRITE )
__IO_REG16(     DSA9L,                           0xFFFF7544,  __READ_WRITE )
__IO_REG16(     DSA9H,                           0xFFFF7546,  __READ_WRITE )
__IO_REG16(     DSC9,                            0xFFFF7548,  __READ_WRITE )
__IO_REG32(     DNSA9,                           0xFFFF754C,  __READ_WRITE )
__IO_REG16(     DNSA9L,                          0xFFFF754C,  __READ_WRITE )
__IO_REG16(     DNSA9H,                          0xFFFF754E,  __READ_WRITE )
__IO_REG16(     DNSC9,                           0xFFFF7550,  __READ_WRITE )
__IO_REG32(     DDA9,                            0xFFFF7554,  __READ_WRITE )
__IO_REG16(     DDA9L,                           0xFFFF7554,  __READ_WRITE )
__IO_REG16(     DDA9H,                           0xFFFF7556,  __READ_WRITE )
__IO_REG16(     DDC9,                            0xFFFF7558,  __READ_WRITE )
__IO_REG32(     DNDA9,                           0xFFFF755C,  __READ_WRITE )
__IO_REG16(     DNDA9L,                          0xFFFF755C,  __READ_WRITE )
__IO_REG16(     DNDA9H,                          0xFFFF755E,  __READ_WRITE )
__IO_REG16(     DNDC9,                           0xFFFF7560,  __READ_WRITE )
__IO_REG16(     DTC9,                            0xFFFF7562,  __READ_WRITE )
__IO_REG16(     DNTC9,                           0xFFFF7564,  __READ_WRITE )
__IO_REG16(     DTCC9,                           0xFFFF7566,  __READ_WRITE )
__IO_REG16(     DTCT9,                           0xFFFF7568,  __READ_WRITE )
__IO_REG8_BIT(  DTS9,                            0xFFFF756A,  __READ_WRITE )

__IO_REG16(     DTRS10,                          0xFFFF7570,  __READ_WRITE )
__IO_REG32(     DSA10,                           0xFFFF7574,  __READ_WRITE )
__IO_REG16(     DSA10L,                          0xFFFF7574,  __READ_WRITE )
__IO_REG16(     DSA10H,                          0xFFFF7576,  __READ_WRITE )
__IO_REG16(     DSC10,                           0xFFFF7578,  __READ_WRITE )
__IO_REG32(     DNSA10,                          0xFFFF757C,  __READ_WRITE )
__IO_REG16(     DNSA10L,                         0xFFFF757C,  __READ_WRITE )
__IO_REG16(     DNSA10H,                         0xFFFF757E,  __READ_WRITE )
__IO_REG16(     DNSC10,                          0xFFFF7580,  __READ_WRITE )
__IO_REG32(     DDA10,                           0xFFFF7584,  __READ_WRITE )
__IO_REG16(     DDA10L,                          0xFFFF7584,  __READ_WRITE )
__IO_REG16(     DDA10H,                          0xFFFF7586,  __READ_WRITE )
__IO_REG16(     DDC10,                           0xFFFF7588,  __READ_WRITE )
__IO_REG32(     DNDA10,                          0xFFFF758C,  __READ_WRITE )
__IO_REG16(     DNDA10L,                         0xFFFF758C,  __READ_WRITE )
__IO_REG16(     DNDA10H,                         0xFFFF758E,  __READ_WRITE )
__IO_REG16(     DNDC10,                          0xFFFF7590,  __READ_WRITE )
__IO_REG16(     DTC10,                           0xFFFF7592,  __READ_WRITE )
__IO_REG16(     DNTC10,                          0xFFFF7594,  __READ_WRITE )
__IO_REG16(     DTCC10,                          0xFFFF7596,  __READ_WRITE )
__IO_REG16(     DTCT10,                          0xFFFF7598,  __READ_WRITE )
__IO_REG8_BIT(  DTS10,                           0xFFFF759A,  __READ_WRITE )

__IO_REG16(     DTRS11,                          0xFFFF75A0,  __READ_WRITE )
__IO_REG32(     DSA11,                           0xFFFF75A4,  __READ_WRITE )
__IO_REG16(     DSA11L,                          0xFFFF75A4,  __READ_WRITE )
__IO_REG16(     DSA11H,                          0xFFFF75A6,  __READ_WRITE )
__IO_REG16(     DSC11,                           0xFFFF75A8,  __READ_WRITE )
__IO_REG32(     DNSA11,                          0xFFFF75AC,  __READ_WRITE )
__IO_REG16(     DNSA11L,                         0xFFFF75AC,  __READ_WRITE )
__IO_REG16(     DNSA11H,                         0xFFFF75AE,  __READ_WRITE )
__IO_REG16(     DNSC11,                          0xFFFF75B0,  __READ_WRITE )
__IO_REG32(     DDA11,                           0xFFFF75B4,  __READ_WRITE )
__IO_REG16(     DDA11L,                          0xFFFF75B4,  __READ_WRITE )
__IO_REG16(     DDA11H,                          0xFFFF75B6,  __READ_WRITE )
__IO_REG16(     DDC11,                           0xFFFF75B8,  __READ_WRITE )
__IO_REG32(     DNDA11,                          0xFFFF75BC,  __READ_WRITE )
__IO_REG16(     DNDA11L,                         0xFFFF75BC,  __READ_WRITE )
__IO_REG16(     DNDA11H,                         0xFFFF75BE,  __READ_WRITE )
__IO_REG16(     DNDC11,                          0xFFFF75C0,  __READ_WRITE )
__IO_REG16(     DTC11,                           0xFFFF75C2,  __READ_WRITE )
__IO_REG16(     DNTC11,                          0xFFFF75C4,  __READ_WRITE )
__IO_REG16(     DTCC11,                          0xFFFF75C6,  __READ_WRITE )
__IO_REG16(     DTCT11,                          0xFFFF75C8,  __READ_WRITE )
__IO_REG8_BIT(  DTS11,                           0xFFFF75CA,  __READ_WRITE )

__IO_REG16(     DTRS12,                          0xFFFF75D0,  __READ_WRITE )
__IO_REG32(     DSA12,                           0xFFFF75D4,  __READ_WRITE )
__IO_REG16(     DSA12L,                          0xFFFF75D4,  __READ_WRITE )
__IO_REG16(     DSA12H,                          0xFFFF75D6,  __READ_WRITE )
__IO_REG16(     DSC12,                           0xFFFF75D8,  __READ_WRITE )
__IO_REG32(     DNSA12,                          0xFFFF75DC,  __READ_WRITE )
__IO_REG16(     DNSA12L,                         0xFFFF75DC,  __READ_WRITE )
__IO_REG16(     DNSA12H,                         0xFFFF75DE,  __READ_WRITE )
__IO_REG16(     DNSC12,                          0xFFFF75E0,  __READ_WRITE )
__IO_REG32(     DDA12,                           0xFFFF75E4,  __READ_WRITE )
__IO_REG16(     DDA12L,                          0xFFFF75E4,  __READ_WRITE )
__IO_REG16(     DDA12H,                          0xFFFF75E6,  __READ_WRITE )
__IO_REG16(     DDC12,                           0xFFFF75E8,  __READ_WRITE )
__IO_REG32(     DNDA12,                          0xFFFF75EC,  __READ_WRITE )
__IO_REG16(     DNDA12L,                         0xFFFF75EC,  __READ_WRITE )
__IO_REG16(     DNDA12H,                         0xFFFF75EE,  __READ_WRITE )
__IO_REG16(     DNDC12,                          0xFFFF75F0,  __READ_WRITE )
__IO_REG16(     DTC12,                           0xFFFF75F2,  __READ_WRITE )
__IO_REG16(     DNTC12,                          0xFFFF75F4,  __READ_WRITE )
__IO_REG16(     DTCC12,                          0xFFFF75F6,  __READ_WRITE )
__IO_REG16(     DTCT12,                          0xFFFF75F8,  __READ_WRITE )
__IO_REG8_BIT(  DTS12,                           0xFFFF75FA,  __READ_WRITE )

__IO_REG16(     DTRS13,                          0xFFFF7600,  __READ_WRITE )
__IO_REG32(     DSA13,                           0xFFFF7604,  __READ_WRITE )
__IO_REG16(     DSA13L,                          0xFFFF7604,  __READ_WRITE )
__IO_REG16(     DSA13H,                          0xFFFF7606,  __READ_WRITE )
__IO_REG16(     DSC13,                           0xFFFF7608,  __READ_WRITE )
__IO_REG32(     DNSA13,                          0xFFFF760C,  __READ_WRITE )
__IO_REG16(     DNSA13L,                         0xFFFF760C,  __READ_WRITE )
__IO_REG16(     DNSA13H,                         0xFFFF760E,  __READ_WRITE )
__IO_REG16(     DNSC13,                          0xFFFF7610,  __READ_WRITE )
__IO_REG32(     DDA13,                           0xFFFF7614,  __READ_WRITE )
__IO_REG16(     DDA13L,                          0xFFFF7614,  __READ_WRITE )
__IO_REG16(     DDA13H,                          0xFFFF7616,  __READ_WRITE )
__IO_REG16(     DDC13,                           0xFFFF7618,  __READ_WRITE )
__IO_REG32(     DNDA13,                          0xFFFF761C,  __READ_WRITE )
__IO_REG16(     DNDA13L,                         0xFFFF761C,  __READ_WRITE )
__IO_REG16(     DNDA13H,                         0xFFFF761E,  __READ_WRITE )
__IO_REG16(     DNDC13,                          0xFFFF7620,  __READ_WRITE )
__IO_REG16(     DTC13,                           0xFFFF7622,  __READ_WRITE )
__IO_REG16(     DNTC13,                          0xFFFF7624,  __READ_WRITE )
__IO_REG16(     DTCC13,                          0xFFFF7626,  __READ_WRITE )
__IO_REG16(     DTCT13,                          0xFFFF7628,  __READ_WRITE )
__IO_REG8_BIT(  DTS13,                           0xFFFF762A,  __READ_WRITE )

__IO_REG16(     DTRS14,                          0xFFFF7630,  __READ_WRITE )
__IO_REG32(     DSA14,                           0xFFFF7634,  __READ_WRITE )
__IO_REG16(     DSA14L,                          0xFFFF7634,  __READ_WRITE )
__IO_REG16(     DSA14H,                          0xFFFF7636,  __READ_WRITE )
__IO_REG16(     DSC14,                           0xFFFF7638,  __READ_WRITE )
__IO_REG32(     DNSA14,                          0xFFFF763C,  __READ_WRITE )
__IO_REG16(     DNSA14L,                         0xFFFF763C,  __READ_WRITE )
__IO_REG16(     DNSA14H,                         0xFFFF763E,  __READ_WRITE )
__IO_REG16(     DNSC14,                          0xFFFF7640,  __READ_WRITE )
__IO_REG32(     DDA14,                           0xFFFF7644,  __READ_WRITE )
__IO_REG16(     DDA14L,                          0xFFFF7644,  __READ_WRITE )
__IO_REG16(     DDA14H,                          0xFFFF7646,  __READ_WRITE )
__IO_REG16(     DDC14,                           0xFFFF7648,  __READ_WRITE )
__IO_REG32(     DNDA14,                          0xFFFF764C,  __READ_WRITE )
__IO_REG16(     DNDA14L,                         0xFFFF764C,  __READ_WRITE )
__IO_REG16(     DNDA14H,                         0xFFFF764E,  __READ_WRITE )
__IO_REG16(     DNDC14,                          0xFFFF7650,  __READ_WRITE )
__IO_REG16(     DTC14,                           0xFFFF7652,  __READ_WRITE )
__IO_REG16(     DNTC14,                          0xFFFF7654,  __READ_WRITE )
__IO_REG16(     DTCC14,                          0xFFFF7656,  __READ_WRITE )
__IO_REG16(     DTCT14,                          0xFFFF7658,  __READ_WRITE )
__IO_REG8_BIT(  DTS14,                           0xFFFF765A,  __READ_WRITE )

__IO_REG16(     DTRS15,                          0xFFFF7660,  __READ_WRITE )
__IO_REG32(     DSA15,                           0xFFFF7664,  __READ_WRITE )
__IO_REG16(     DSA15L,                          0xFFFF7664,  __READ_WRITE )
__IO_REG16(     DSA15H,                          0xFFFF7666,  __READ_WRITE )
__IO_REG16(     DSC15,                           0xFFFF7668,  __READ_WRITE )
__IO_REG32(     DNSA15,                          0xFFFF766C,  __READ_WRITE )
__IO_REG16(     DNSA15L,                         0xFFFF766C,  __READ_WRITE )
__IO_REG16(     DNSA15H,                         0xFFFF766E,  __READ_WRITE )
__IO_REG16(     DNSC15,                          0xFFFF7670,  __READ_WRITE )
__IO_REG32(     DDA15,                           0xFFFF7674,  __READ_WRITE )
__IO_REG16(     DDA15L,                          0xFFFF7674,  __READ_WRITE )
__IO_REG16(     DDA15H,                          0xFFFF7676,  __READ_WRITE )
__IO_REG16(     DDC15,                           0xFFFF7678,  __READ_WRITE )
__IO_REG32(     DNDA15,                          0xFFFF767C,  __READ_WRITE )
__IO_REG16(     DNDA15L,                         0xFFFF767C,  __READ_WRITE )
__IO_REG16(     DNDA15H,                         0xFFFF767E,  __READ_WRITE )
__IO_REG16(     DNDC15,                          0xFFFF7680,  __READ_WRITE )
__IO_REG16(     DTC15,                           0xFFFF7682,  __READ_WRITE )
__IO_REG16(     DNTC15,                          0xFFFF7684,  __READ_WRITE )
__IO_REG16(     DTCC15,                          0xFFFF7686,  __READ_WRITE )
__IO_REG16(     DTCT15,                          0xFFFF7688,  __READ_WRITE )
__IO_REG8_BIT(  DTS15,                           0xFFFF768A,  __READ_WRITE )

__IO_REG16(     DTFR0,                           0xFFFF7B00,  __READ_WRITE )
__IO_REG16(     DTFR1,                           0xFFFF7B02,  __READ_WRITE )
__IO_REG16(     DTFR2,                           0xFFFF7B04,  __READ_WRITE )
__IO_REG16(     DTFR3,                           0xFFFF7B06,  __READ_WRITE )
__IO_REG16(     DTFR4,                           0xFFFF7B08,  __READ_WRITE )
__IO_REG16(     DTFR5,                           0xFFFF7B0A,  __READ_WRITE )
__IO_REG16(     DTFR6,                           0xFFFF7B0C,  __READ_WRITE )
__IO_REG16(     DTFR7,                           0xFFFF7B0E,  __READ_WRITE )
__IO_REG16(     DTFR8,                           0xFFFF7B10,  __READ_WRITE )
__IO_REG16(     DTFR9,                           0xFFFF7B12,  __READ_WRITE )
__IO_REG16(     DTFR10,                          0xFFFF7B14,  __READ_WRITE )
__IO_REG16(     DTFR11,                          0xFFFF7B16,  __READ_WRITE )
__IO_REG16(     DTFR12,                          0xFFFF7B18,  __READ_WRITE )
__IO_REG16(     DTFR13,                          0xFFFF7B1A,  __READ_WRITE )
__IO_REG16(     DTFR14,                          0xFFFF7B1C,  __READ_WRITE )
__IO_REG16(     DTFR15,                          0xFFFF7B1E,  __READ_WRITE )

__IO_REG16(     DRQCLR,                          0xFFFF7B40,  __READ_WRITE )

__IO_REG16(     DRQSTR,                          0xFFFF7B44,  __READ       )

__IO_REG8(      DTS0TSR,                         0xFFFF7C00,  __READ       )

__IO_REG8(      DTS0TRC,                         0xFFFF7C04,  __READ_WRITE )

__IO_REG16(     DTS0ICR,                         0xFFFF7C08,  __READ_WRITE )
__IO_REG8(      DTS0ICH,                         0xFFFF7C08,  __READ_WRITE )
__IO_REG8(      DTS0ITR,                         0xFFFF7C09,  __READ_WRITE )
__IO_REG32(     DTS0BTR,                         0xFFFF7C0C,  __READ_WRITE )
__IO_REG32(     DTS0BVR,                         0xFFFF7C10,  __READ_WRITE )

__IO_REG16(     DTS0ACR,                         0xFFFF7C14,  __READ       )

__IO_REG8(      DTS0HST,                         0xFFFF7C18,  __READ       )

__IO_REG32(     DTS0HC,                          0xFFFF7C20,  __READ       )
__IO_REG8(      DTS0HC0,                         0xFFFF7C20,  __READ       )
__IO_REG8(      DTS0HC1,                         0xFFFF7C21,  __READ       )
__IO_REG8(      DTS0HC2,                         0xFFFF7C22,  __READ       )
__IO_REG8(      DTS0HC3,                         0xFFFF7C23,  __READ       )

__IO_REG8(      DTSEN000,                        0xFFFF7D00,  __READ_WRITE )
__IO_REG8(      DTSEN001,                        0xFFFF7D02,  __READ_WRITE )
__IO_REG8(      DTSEN002,                        0xFFFF7D04,  __READ_WRITE )
__IO_REG8(      DTSEN003,                        0xFFFF7D06,  __READ_WRITE )
__IO_REG8(      DTSEN004,                        0xFFFF7D08,  __READ_WRITE )
__IO_REG8(      DTSEN005,                        0xFFFF7D0A,  __READ_WRITE )
__IO_REG8(      DTSEN006,                        0xFFFF7D0C,  __READ_WRITE )
__IO_REG8(      DTSEN007,                        0xFFFF7D0E,  __READ_WRITE )
__IO_REG8(      DTSEN008,                        0xFFFF7D10,  __READ_WRITE )
__IO_REG8(      DTSEN009,                        0xFFFF7D12,  __READ_WRITE )
__IO_REG8(      DTSEN010,                        0xFFFF7D14,  __READ_WRITE )
__IO_REG8(      DTSEN011,                        0xFFFF7D16,  __READ_WRITE )
__IO_REG8(      DTSEN012,                        0xFFFF7D18,  __READ_WRITE )
__IO_REG8(      DTSEN013,                        0xFFFF7D1A,  __READ_WRITE )
__IO_REG8(      DTSEN014,                        0xFFFF7D1C,  __READ_WRITE )
__IO_REG8(      DTSEN015,                        0xFFFF7D1E,  __READ_WRITE )
__IO_REG8(      DTSEN016,                        0xFFFF7D20,  __READ_WRITE )
__IO_REG8(      DTSEN017,                        0xFFFF7D22,  __READ_WRITE )
__IO_REG8(      DTSEN018,                        0xFFFF7D24,  __READ_WRITE )
__IO_REG8(      DTSEN019,                        0xFFFF7D26,  __READ_WRITE )
__IO_REG8(      DTSEN020,                        0xFFFF7D28,  __READ_WRITE )
__IO_REG8(      DTSEN021,                        0xFFFF7D2A,  __READ_WRITE )
__IO_REG8(      DTSEN022,                        0xFFFF7D2C,  __READ_WRITE )
__IO_REG8(      DTSEN023,                        0xFFFF7D2E,  __READ_WRITE )
__IO_REG8(      DTSEN024,                        0xFFFF7D30,  __READ_WRITE )
__IO_REG8(      DTSEN025,                        0xFFFF7D32,  __READ_WRITE )
__IO_REG8(      DTSEN026,                        0xFFFF7D34,  __READ_WRITE )
__IO_REG8(      DTSEN027,                        0xFFFF7D36,  __READ_WRITE )
__IO_REG8(      DTSEN028,                        0xFFFF7D38,  __READ_WRITE )
__IO_REG8(      DTSEN029,                        0xFFFF7D3A,  __READ_WRITE )
__IO_REG8(      DTSEN030,                        0xFFFF7D3C,  __READ_WRITE )

__IO_REG8(      DTSEN032,                        0xFFFF7D40,  __READ_WRITE )
__IO_REG8(      DTSEN033,                        0xFFFF7D42,  __READ_WRITE )
__IO_REG8(      DTSEN034,                        0xFFFF7D44,  __READ_WRITE )
__IO_REG8(      DTSEN035,                        0xFFFF7D46,  __READ_WRITE )
__IO_REG8(      DTSEN036,                        0xFFFF7D48,  __READ_WRITE )
__IO_REG8(      DTSEN037,                        0xFFFF7D4A,  __READ_WRITE )
__IO_REG8(      DTSEN038,                        0xFFFF7D4C,  __READ_WRITE )
__IO_REG8(      DTSEN039,                        0xFFFF7D4E,  __READ_WRITE )
__IO_REG8(      DTSEN040,                        0xFFFF7D50,  __READ_WRITE )
__IO_REG8(      DTSEN041,                        0xFFFF7D52,  __READ_WRITE )
__IO_REG8(      DTSEN042,                        0xFFFF7D54,  __READ_WRITE )
__IO_REG8(      DTSEN043,                        0xFFFF7D56,  __READ_WRITE )
__IO_REG8(      DTSEN044,                        0xFFFF7D58,  __READ_WRITE )
__IO_REG8(      DTSEN045,                        0xFFFF7D5A,  __READ_WRITE )
__IO_REG8(      DTSEN046,                        0xFFFF7D5C,  __READ_WRITE )
__IO_REG8(      DTSEN047,                        0xFFFF7D5E,  __READ_WRITE )
__IO_REG8(      DTSEN048,                        0xFFFF7D60,  __READ_WRITE )
__IO_REG8(      DTSEN049,                        0xFFFF7D62,  __READ_WRITE )
__IO_REG8(      DTSEN050,                        0xFFFF7D64,  __READ_WRITE )
__IO_REG8(      DTSEN051,                        0xFFFF7D66,  __READ_WRITE )
__IO_REG8(      DTSEN052,                        0xFFFF7D68,  __READ_WRITE )
__IO_REG8(      DTSEN053,                        0xFFFF7D6A,  __READ_WRITE )
__IO_REG8(      DTSEN054,                        0xFFFF7D6C,  __READ_WRITE )
__IO_REG8(      DTSEN055,                        0xFFFF7D6E,  __READ_WRITE )
__IO_REG8(      DTSEN056,                        0xFFFF7D70,  __READ_WRITE )
__IO_REG8(      DTSEN057,                        0xFFFF7D72,  __READ_WRITE )
__IO_REG8(      DTSEN058,                        0xFFFF7D74,  __READ_WRITE )
__IO_REG8(      DTSEN059,                        0xFFFF7D76,  __READ_WRITE )
__IO_REG8(      DTSEN060,                        0xFFFF7D78,  __READ_WRITE )
__IO_REG8(      DTSEN061,                        0xFFFF7D7A,  __READ_WRITE )
__IO_REG8(      DTSEN062,                        0xFFFF7D7C,  __READ_WRITE )
__IO_REG8(      DTSEN063,                        0xFFFF7D7E,  __READ_WRITE )
__IO_REG8(      DTSEN064,                        0xFFFF7D80,  __READ_WRITE )
__IO_REG8(      DTSEN065,                        0xFFFF7D82,  __READ_WRITE )
__IO_REG8(      DTSEN066,                        0xFFFF7D84,  __READ_WRITE )
__IO_REG8(      DTSEN067,                        0xFFFF7D86,  __READ_WRITE )
__IO_REG8(      DTSEN068,                        0xFFFF7D88,  __READ_WRITE )
__IO_REG8(      DTSEN069,                        0xFFFF7D8A,  __READ_WRITE )
__IO_REG8(      DTSEN070,                        0xFFFF7D8C,  __READ_WRITE )
__IO_REG8(      DTSEN071,                        0xFFFF7D8E,  __READ_WRITE )
__IO_REG8(      DTSEN072,                        0xFFFF7D90,  __READ_WRITE )
__IO_REG8(      DTSEN073,                        0xFFFF7D92,  __READ_WRITE )
__IO_REG8(      DTSEN074,                        0xFFFF7D94,  __READ_WRITE )
__IO_REG8(      DTSEN075,                        0xFFFF7D96,  __READ_WRITE )
__IO_REG8(      DTSEN076,                        0xFFFF7D98,  __READ_WRITE )
__IO_REG8(      DTSEN077,                        0xFFFF7D9A,  __READ_WRITE )
__IO_REG8(      DTSEN078,                        0xFFFF7D9C,  __READ_WRITE )
__IO_REG8(      DTSEN079,                        0xFFFF7D9E,  __READ_WRITE )
__IO_REG8(      DTSEN080,                        0xFFFF7DA0,  __READ_WRITE )
__IO_REG8(      DTSEN081,                        0xFFFF7DA2,  __READ_WRITE )
__IO_REG8(      DTSEN082,                        0xFFFF7DA4,  __READ_WRITE )
__IO_REG8(      DTSEN083,                        0xFFFF7DA6,  __READ_WRITE )
__IO_REG8(      DTSEN084,                        0xFFFF7DA8,  __READ_WRITE )
__IO_REG8(      DTSEN085,                        0xFFFF7DAA,  __READ_WRITE )
__IO_REG8(      DTSEN086,                        0xFFFF7DAC,  __READ_WRITE )
__IO_REG8(      DTSEN087,                        0xFFFF7DAE,  __READ_WRITE )
__IO_REG8(      DTSEN088,                        0xFFFF7DB0,  __READ_WRITE )
__IO_REG8(      DTSEN089,                        0xFFFF7DB2,  __READ_WRITE )
__IO_REG8(      DTSEN090,                        0xFFFF7DB4,  __READ_WRITE )
__IO_REG8(      DTSEN091,                        0xFFFF7DB6,  __READ_WRITE )
__IO_REG8(      DTSEN092,                        0xFFFF7DB8,  __READ_WRITE )
__IO_REG8(      DTSEN093,                        0xFFFF7DBA,  __READ_WRITE )
__IO_REG8(      DTSEN094,                        0xFFFF7DBC,  __READ_WRITE )
__IO_REG8(      DTSEN095,                        0xFFFF7DBE,  __READ_WRITE )
__IO_REG8(      DTSEN096,                        0xFFFF7DC0,  __READ_WRITE )
__IO_REG8(      DTSEN097,                        0xFFFF7DC2,  __READ_WRITE )
__IO_REG8(      DTSEN098,                        0xFFFF7DC4,  __READ_WRITE )
__IO_REG8(      DTSEN099,                        0xFFFF7DC6,  __READ_WRITE )
__IO_REG8(      DTSEN100,                        0xFFFF7DC8,  __READ_WRITE )
__IO_REG8(      DTSEN101,                        0xFFFF7DCA,  __READ_WRITE )
__IO_REG8(      DTSEN102,                        0xFFFF7DCC,  __READ_WRITE )
__IO_REG8(      DTSEN103,                        0xFFFF7DCE,  __READ_WRITE )
__IO_REG8(      DTSEN104,                        0xFFFF7DD0,  __READ_WRITE )
__IO_REG8(      DTSEN105,                        0xFFFF7DD2,  __READ_WRITE )
__IO_REG8(      DTSEN106,                        0xFFFF7DD4,  __READ_WRITE )
__IO_REG8(      DTSEN107,                        0xFFFF7DD6,  __READ_WRITE )
__IO_REG8(      DTSEN108,                        0xFFFF7DD8,  __READ_WRITE )
__IO_REG8(      DTSEN109,                        0xFFFF7DDA,  __READ_WRITE )
__IO_REG8(      DTSEN110,                        0xFFFF7DDC,  __READ_WRITE )
__IO_REG8(      DTSEN111,                        0xFFFF7DDE,  __READ_WRITE )
__IO_REG8(      DTSEN112,                        0xFFFF7DE0,  __READ_WRITE )
__IO_REG8(      DTSEN113,                        0xFFFF7DE2,  __READ_WRITE )
__IO_REG8(      DTSEN114,                        0xFFFF7DE4,  __READ_WRITE )
__IO_REG8(      DTSEN115,                        0xFFFF7DE6,  __READ_WRITE )
__IO_REG8(      DTSEN116,                        0xFFFF7DE8,  __READ_WRITE )
__IO_REG8(      DTSEN117,                        0xFFFF7DEA,  __READ_WRITE )
__IO_REG8(      DTSEN118,                        0xFFFF7DEC,  __READ_WRITE )
__IO_REG8(      DTSEN119,                        0xFFFF7DEE,  __READ_WRITE )
__IO_REG8(      DTSEN120,                        0xFFFF7DF0,  __READ_WRITE )
__IO_REG8(      DTSEN121,                        0xFFFF7DF2,  __READ_WRITE )

__IO_REG16(     DTSHEN0,                         0xFFFF7E00,  __READ_WRITE )
__IO_REG16(     DTSHEN1,                         0xFFFF7E02,  __READ_WRITE )
__IO_REG16(     DTSHEN2,                         0xFFFF7E04,  __READ_WRITE )
__IO_REG16(     DTSHEN3,                         0xFFFF7E06,  __READ_WRITE )

__IO_REG16(     P0,                              0xFFFF8000,  __READ_WRITE )

__IO_REG16(     P1,                              0xFFFF8004,  __READ_WRITE )

__IO_REG16(     P2,                              0xFFFF8008,  __READ_WRITE )

__IO_REG16(     P3,                              0xFFFF800C,  __READ_WRITE )

__IO_REG16(     P4,                              0xFFFF8010,  __READ_WRITE )

__IO_REG16(     P5,                              0xFFFF8014,  __READ_WRITE )

__IO_REG16(     P6,                              0xFFFF8018,  __READ_WRITE )

__IO_REG16(     P7,                              0xFFFF801C,  __READ_WRITE )

__IO_REG16(     P8,                              0xFFFF8020,  __READ_WRITE )

__IO_REG16(     P9,                              0xFFFF8024,  __READ_WRITE )

__IO_REG16(     P10,                             0xFFFF8028,  __READ_WRITE )

__IO_REG16(     P11,                             0xFFFF802C,  __READ_WRITE )

__IO_REG16(     P12,                             0xFFFF8030,  __READ_WRITE )

__IO_REG16(     P13,                             0xFFFF8034,  __READ_WRITE )

__IO_REG32(     PSR0,                            0xFFFF8100,  __READ_WRITE )
__IO_REG32(     PSR1,                            0xFFFF8104,  __READ_WRITE )
__IO_REG32(     PSR2,                            0xFFFF8108,  __READ_WRITE )
__IO_REG32(     PSR3,                            0xFFFF810C,  __READ_WRITE )
__IO_REG32(     PSR4,                            0xFFFF8110,  __READ_WRITE )
__IO_REG32(     PSR5,                            0xFFFF8114,  __READ_WRITE )
__IO_REG32(     PSR6,                            0xFFFF8118,  __READ_WRITE )
__IO_REG32(     PSR7,                            0xFFFF811C,  __READ_WRITE )
__IO_REG32(     PSR8,                            0xFFFF8120,  __READ_WRITE )
__IO_REG32(     PSR9,                            0xFFFF8124,  __READ_WRITE )
__IO_REG32(     PSR10,                           0xFFFF8128,  __READ_WRITE )
__IO_REG32(     PSR11,                           0xFFFF812C,  __READ_WRITE )
__IO_REG32(     PSR12,                           0xFFFF8130,  __READ_WRITE )
__IO_REG32(     PSR13,                           0xFFFF8134,  __READ_WRITE )

__IO_REG16(     PPR0,                            0xFFFF8200,  __READ       )

__IO_REG16(     PPR1,                            0xFFFF8204,  __READ       )

__IO_REG16(     PPR2,                            0xFFFF8208,  __READ       )

__IO_REG16(     PPR3,                            0xFFFF820C,  __READ       )

__IO_REG16(     PPR4,                            0xFFFF8210,  __READ       )

__IO_REG16(     PPR5,                            0xFFFF8214,  __READ       )

__IO_REG16(     PPR6,                            0xFFFF8218,  __READ       )

__IO_REG16(     PPR7,                            0xFFFF821C,  __READ       )

__IO_REG16(     PPR8,                            0xFFFF8220,  __READ       )

__IO_REG16(     PPR9,                            0xFFFF8224,  __READ       )

__IO_REG16(     PPR10,                           0xFFFF8228,  __READ       )

__IO_REG16(     PPR11,                           0xFFFF822C,  __READ       )

__IO_REG16(     PPR12,                           0xFFFF8230,  __READ       )

__IO_REG16(     PPR13,                           0xFFFF8234,  __READ       )

__IO_REG16(     PPR14,                           0xFFFF8238,  __READ       )

__IO_REG16(     PM0,                             0xFFFF8300,  __READ_WRITE )

__IO_REG16(     PM1,                             0xFFFF8304,  __READ_WRITE )

__IO_REG16(     PM2,                             0xFFFF8308,  __READ_WRITE )

__IO_REG16(     PM3,                             0xFFFF830C,  __READ_WRITE )

__IO_REG16(     PM4,                             0xFFFF8310,  __READ_WRITE )

__IO_REG16(     PM5,                             0xFFFF8314,  __READ_WRITE )

__IO_REG16(     PM6,                             0xFFFF8318,  __READ_WRITE )

__IO_REG16(     PM7,                             0xFFFF831C,  __READ_WRITE )

__IO_REG16(     PM8,                             0xFFFF8320,  __READ_WRITE )

__IO_REG16(     PM9,                             0xFFFF8324,  __READ_WRITE )

__IO_REG16(     PM10,                            0xFFFF8328,  __READ_WRITE )

__IO_REG16(     PM11,                            0xFFFF832C,  __READ_WRITE )

__IO_REG16(     PM12,                            0xFFFF8330,  __READ_WRITE )

__IO_REG16(     PM13,                            0xFFFF8334,  __READ_WRITE )

__IO_REG16(     PMC0,                            0xFFFF8400,  __READ_WRITE )

__IO_REG16(     PMC1,                            0xFFFF8404,  __READ_WRITE )

__IO_REG16(     PMC2,                            0xFFFF8408,  __READ_WRITE )

__IO_REG16(     PMC3,                            0xFFFF840C,  __READ_WRITE )

__IO_REG16(     PMC4,                            0xFFFF8410,  __READ_WRITE )

__IO_REG16(     PMC5,                            0xFFFF8414,  __READ_WRITE )

__IO_REG16(     PMC6,                            0xFFFF8418,  __READ_WRITE )

__IO_REG16(     PMC7,                            0xFFFF841C,  __READ_WRITE )

__IO_REG16(     PMC8,                            0xFFFF8420,  __READ_WRITE )

__IO_REG16(     PMC9,                            0xFFFF8424,  __READ_WRITE )

__IO_REG16(     PMC10,                           0xFFFF8428,  __READ_WRITE )

__IO_REG16(     PMC11,                           0xFFFF842C,  __READ_WRITE )

__IO_REG16(     PMC12,                           0xFFFF8430,  __READ_WRITE )

__IO_REG16(     PMC13,                           0xFFFF8434,  __READ_WRITE )

__IO_REG16(     PFC0,                            0xFFFF8500,  __READ_WRITE )

__IO_REG16(     PFC1,                            0xFFFF8504,  __READ_WRITE )

__IO_REG16(     PFC2,                            0xFFFF8508,  __READ_WRITE )

__IO_REG16(     PFC3,                            0xFFFF850C,  __READ_WRITE )

__IO_REG16(     PFC4,                            0xFFFF8510,  __READ_WRITE )

__IO_REG16(     PFC5,                            0xFFFF8514,  __READ_WRITE )

__IO_REG16(     PFC6,                            0xFFFF8518,  __READ_WRITE )

__IO_REG16(     PFC7,                            0xFFFF851C,  __READ_WRITE )

__IO_REG16(     PFC8,                            0xFFFF8520,  __READ_WRITE )

__IO_REG16(     PFC9,                            0xFFFF8524,  __READ_WRITE )

__IO_REG16(     PFC10,                           0xFFFF8528,  __READ_WRITE )

__IO_REG16(     PFC11,                           0xFFFF852C,  __READ_WRITE )

__IO_REG16(     PFC12,                           0xFFFF8530,  __READ_WRITE )

__IO_REG16(     PFC13,                           0xFFFF8534,  __READ_WRITE )

__IO_REG16(     PFCE0,                           0xFFFF8600,  __READ_WRITE )

__IO_REG16(     PFCE1,                           0xFFFF8604,  __READ_WRITE )

__IO_REG16(     PFCE2,                           0xFFFF8608,  __READ_WRITE )

__IO_REG16(     PFCE3,                           0xFFFF860C,  __READ_WRITE )

__IO_REG16(     PFCE4,                           0xFFFF8610,  __READ_WRITE )

__IO_REG16(     PFCE5,                           0xFFFF8614,  __READ_WRITE )

__IO_REG16(     PFCE6,                           0xFFFF8618,  __READ_WRITE )

__IO_REG16(     PFCE7,                           0xFFFF861C,  __READ_WRITE )

__IO_REG16(     PFCE8,                           0xFFFF8620,  __READ_WRITE )

__IO_REG16(     PFCE9,                           0xFFFF8624,  __READ_WRITE )

__IO_REG16(     PFCE10,                          0xFFFF8628,  __READ_WRITE )

__IO_REG16(     PFCE11,                          0xFFFF862C,  __READ_WRITE )

__IO_REG16(     PFCE12,                          0xFFFF8630,  __READ_WRITE )

__IO_REG16(     PFCE13,                          0xFFFF8634,  __READ_WRITE )

__IO_REG16(     PNOT0,                           0xFFFF8700,  __WRITE      )

__IO_REG16(     PNOT1,                           0xFFFF8704,  __WRITE      )

__IO_REG16(     PNOT2,                           0xFFFF8708,  __WRITE      )

__IO_REG16(     PNOT3,                           0xFFFF870C,  __WRITE      )

__IO_REG16(     PNOT4,                           0xFFFF8710,  __WRITE      )

__IO_REG16(     PNOT5,                           0xFFFF8714,  __WRITE      )

__IO_REG16(     PNOT6,                           0xFFFF8718,  __WRITE      )

__IO_REG16(     PNOT7,                           0xFFFF871C,  __WRITE      )

__IO_REG16(     PNOT8,                           0xFFFF8720,  __WRITE      )

__IO_REG16(     PNOT9,                           0xFFFF8724,  __WRITE      )

__IO_REG16(     PNOT10,                          0xFFFF8728,  __WRITE      )

__IO_REG16(     PNOT11,                          0xFFFF872C,  __WRITE      )

__IO_REG16(     PNOT12,                          0xFFFF8730,  __WRITE      )

__IO_REG16(     PNOT13,                          0xFFFF8734,  __WRITE      )

__IO_REG32(     PMSR0,                           0xFFFF8800,  __READ_WRITE )
__IO_REG32(     PMSR1,                           0xFFFF8804,  __READ_WRITE )
__IO_REG32(     PMSR2,                           0xFFFF8808,  __READ_WRITE )
__IO_REG32(     PMSR3,                           0xFFFF880C,  __READ_WRITE )
__IO_REG32(     PMSR4,                           0xFFFF8810,  __READ_WRITE )
__IO_REG32(     PMSR5,                           0xFFFF8814,  __READ_WRITE )
__IO_REG32(     PMSR6,                           0xFFFF8818,  __READ_WRITE )
__IO_REG32(     PMSR7,                           0xFFFF881C,  __READ_WRITE )
__IO_REG32(     PMSR8,                           0xFFFF8820,  __READ_WRITE )
__IO_REG32(     PMSR9,                           0xFFFF8824,  __READ_WRITE )
__IO_REG32(     PMSR10,                          0xFFFF8828,  __READ_WRITE )
__IO_REG32(     PMSR11,                          0xFFFF882C,  __READ_WRITE )
__IO_REG32(     PMSR12,                          0xFFFF8830,  __READ_WRITE )
__IO_REG32(     PMSR13,                          0xFFFF8834,  __READ_WRITE )

__IO_REG32(     PMCSR0,                          0xFFFF8900,  __READ_WRITE )
__IO_REG32(     PMCSR1,                          0xFFFF8904,  __READ_WRITE )
__IO_REG32(     PMCSR2,                          0xFFFF8908,  __READ_WRITE )
__IO_REG32(     PMCSR3,                          0xFFFF890C,  __READ_WRITE )
__IO_REG32(     PMCSR4,                          0xFFFF8910,  __READ_WRITE )
__IO_REG32(     PMCSR5,                          0xFFFF8914,  __READ_WRITE )
__IO_REG32(     PMCSR6,                          0xFFFF8918,  __READ_WRITE )
__IO_REG32(     PMCSR7,                          0xFFFF891C,  __READ_WRITE )
__IO_REG32(     PMCSR8,                          0xFFFF8920,  __READ_WRITE )
__IO_REG32(     PMCSR9,                          0xFFFF8924,  __READ_WRITE )
__IO_REG32(     PMCSR10,                         0xFFFF8928,  __READ_WRITE )
__IO_REG32(     PMCSR11,                         0xFFFF892C,  __READ_WRITE )
__IO_REG32(     PMCSR12,                         0xFFFF8930,  __READ_WRITE )
__IO_REG32(     PMCSR13,                         0xFFFF8934,  __READ_WRITE )

__IO_REG8(      WDTA0WDTE,                       0xFFFFC000,  __READ_WRITE )

__IO_REG8(      WDTA0MD,                         0xFFFFC00C,  __READ_WRITE )

__IO_REG32(     TAUJ0CDR0,                       0xFFFFC200,  __READ_WRITE )
__IO_REG32(     TAUJ0CDR1,                       0xFFFFC204,  __READ_WRITE )
__IO_REG32(     TAUJ0CDR2,                       0xFFFFC208,  __READ_WRITE )
__IO_REG32(     TAUJ0CDR3,                       0xFFFFC20C,  __READ_WRITE )
__IO_REG32(     TAUJ0CNT0,                       0xFFFFC210,  __READ       )
__IO_REG32(     TAUJ0CNT1,                       0xFFFFC214,  __READ       )
__IO_REG32(     TAUJ0CNT2,                       0xFFFFC218,  __READ       )
__IO_REG32(     TAUJ0CNT3,                       0xFFFFC21C,  __READ       )

__IO_REG8(      TAUJ0CMUR0,                      0xFFFFC220,  __READ_WRITE )

__IO_REG8(      TAUJ0CMUR1,                      0xFFFFC224,  __READ_WRITE )

__IO_REG8(      TAUJ0CMUR2,                      0xFFFFC228,  __READ_WRITE )

__IO_REG8(      TAUJ0CMUR3,                      0xFFFFC22C,  __READ_WRITE )

__IO_REG8(      TAUJ0CSR0,                       0xFFFFC230,  __READ       )

__IO_REG8(      TAUJ0CSR1,                       0xFFFFC234,  __READ       )

__IO_REG8(      TAUJ0CSR2,                       0xFFFFC238,  __READ       )

__IO_REG8(      TAUJ0CSR3,                       0xFFFFC23C,  __READ       )

__IO_REG8(      TAUJ0CSC0,                       0xFFFFC240,  __WRITE      )

__IO_REG8(      TAUJ0CSC1,                       0xFFFFC244,  __WRITE      )

__IO_REG8(      TAUJ0CSC2,                       0xFFFFC248,  __WRITE      )

__IO_REG8(      TAUJ0CSC3,                       0xFFFFC24C,  __WRITE      )

__IO_REG8(      TAUJ0TE,                         0xFFFFC250,  __READ       )

__IO_REG8(      TAUJ0TS,                         0xFFFFC254,  __WRITE      )

__IO_REG8(      TAUJ0TT,                         0xFFFFC258,  __WRITE      )

__IO_REG8(      TAUJ0TO,                         0xFFFFC25C,  __READ_WRITE )

__IO_REG8(      TAUJ0TOE,                        0xFFFFC260,  __READ_WRITE )

__IO_REG8(      TAUJ0TOL,                        0xFFFFC264,  __READ_WRITE )

__IO_REG8(      TAUJ0RDT,                        0xFFFFC268,  __WRITE      )

__IO_REG8(      TAUJ0RSF,                        0xFFFFC26C,  __READ       )

__IO_REG16(     TAUA0CDR0,                       0xFFFFC400,  __READ_WRITE )

__IO_REG16(     TAUA0CDR1,                       0xFFFFC404,  __READ_WRITE )

__IO_REG16(     TAUA0CDR2,                       0xFFFFC408,  __READ_WRITE )

__IO_REG16(     TAUA0CDR3,                       0xFFFFC40C,  __READ_WRITE )

__IO_REG16(     TAUA0CDR4,                       0xFFFFC410,  __READ_WRITE )

__IO_REG16(     TAUA0CDR5,                       0xFFFFC414,  __READ_WRITE )

__IO_REG16(     TAUA0CDR6,                       0xFFFFC418,  __READ_WRITE )

__IO_REG16(     TAUA0CDR7,                       0xFFFFC41C,  __READ_WRITE )

__IO_REG16(     TAUA0CDR8,                       0xFFFFC420,  __READ_WRITE )

__IO_REG16(     TAUA0CDR9,                       0xFFFFC424,  __READ_WRITE )

__IO_REG16(     TAUA0CDR10,                      0xFFFFC428,  __READ_WRITE )

__IO_REG16(     TAUA0CDR11,                      0xFFFFC42C,  __READ_WRITE )

__IO_REG16(     TAUA0CDR12,                      0xFFFFC430,  __READ_WRITE )

__IO_REG16(     TAUA0CDR13,                      0xFFFFC434,  __READ_WRITE )

__IO_REG16(     TAUA0CDR14,                      0xFFFFC438,  __READ_WRITE )

__IO_REG16(     TAUA0CDR15,                      0xFFFFC43C,  __READ_WRITE )

__IO_REG16(     TAUA0TOL,                        0xFFFFC440,  __READ_WRITE )

__IO_REG16(     TAUA0RDT,                        0xFFFFC444,  __WRITE      )

__IO_REG16(     TAUA0RSF,                        0xFFFFC448,  __READ       )

__IO_REG16(     TAUA0TRO,                        0xFFFFC44C,  __READ_WRITE )

__IO_REG16(     TAUA0TME,                        0xFFFFC450,  __READ_WRITE )

__IO_REG16(     TAUA0TDL,                        0xFFFFC454,  __READ_WRITE )

__IO_REG16(     TAUA0TO,                         0xFFFFC458,  __READ_WRITE )

__IO_REG16(     TAUA0TOE,                        0xFFFFC45C,  __READ_WRITE )

__IO_REG16(     TAUA0CNT0,                       0xFFFFC480,  __READ       )

__IO_REG16(     TAUA0CNT1,                       0xFFFFC484,  __READ       )

__IO_REG16(     TAUA0CNT2,                       0xFFFFC488,  __READ       )

__IO_REG16(     TAUA0CNT3,                       0xFFFFC48C,  __READ       )

__IO_REG16(     TAUA0CNT4,                       0xFFFFC490,  __READ       )

__IO_REG16(     TAUA0CNT5,                       0xFFFFC494,  __READ       )

__IO_REG16(     TAUA0CNT6,                       0xFFFFC498,  __READ       )

__IO_REG16(     TAUA0CNT7,                       0xFFFFC49C,  __READ       )

__IO_REG16(     TAUA0CNT8,                       0xFFFFC4A0,  __READ       )

__IO_REG16(     TAUA0CNT9,                       0xFFFFC4A4,  __READ       )

__IO_REG16(     TAUA0CNT10,                      0xFFFFC4A8,  __READ       )

__IO_REG16(     TAUA0CNT11,                      0xFFFFC4AC,  __READ       )

__IO_REG16(     TAUA0CNT12,                      0xFFFFC4B0,  __READ       )

__IO_REG16(     TAUA0CNT13,                      0xFFFFC4B4,  __READ       )

__IO_REG16(     TAUA0CNT14,                      0xFFFFC4B8,  __READ       )

__IO_REG16(     TAUA0CNT15,                      0xFFFFC4BC,  __READ       )

__IO_REG8(      TAUA0CMUR0,                      0xFFFFC4C0,  __READ_WRITE )

__IO_REG8(      TAUA0CMUR1,                      0xFFFFC4C4,  __READ_WRITE )

__IO_REG8(      TAUA0CMUR2,                      0xFFFFC4C8,  __READ_WRITE )

__IO_REG8(      TAUA0CMUR3,                      0xFFFFC4CC,  __READ_WRITE )

__IO_REG8(      TAUA0CMUR4,                      0xFFFFC4D0,  __READ_WRITE )

__IO_REG8(      TAUA0CMUR5,                      0xFFFFC4D4,  __READ_WRITE )

__IO_REG8(      TAUA0CMUR6,                      0xFFFFC4D8,  __READ_WRITE )

__IO_REG8(      TAUA0CMUR7,                      0xFFFFC4DC,  __READ_WRITE )

__IO_REG8(      TAUA0CMUR8,                      0xFFFFC4E0,  __READ_WRITE )

__IO_REG8(      TAUA0CMUR9,                      0xFFFFC4E4,  __READ_WRITE )

__IO_REG8(      TAUA0CMUR10,                     0xFFFFC4E8,  __READ_WRITE )

__IO_REG8(      TAUA0CMUR11,                     0xFFFFC4EC,  __READ_WRITE )

__IO_REG8(      TAUA0CMUR12,                     0xFFFFC4F0,  __READ_WRITE )

__IO_REG8(      TAUA0CMUR13,                     0xFFFFC4F4,  __READ_WRITE )

__IO_REG8(      TAUA0CMUR14,                     0xFFFFC4F8,  __READ_WRITE )

__IO_REG8(      TAUA0CMUR15,                     0xFFFFC4FC,  __READ_WRITE )

__IO_REG16(     TAUA0DWR0,                       0xFFFFC500,  __READ_WRITE )

__IO_REG16(     TAUA0DWR1,                       0xFFFFC504,  __READ_WRITE )

__IO_REG16(     TAUA0DWR2,                       0xFFFFC508,  __READ_WRITE )

__IO_REG16(     TAUA0DWR3,                       0xFFFFC50C,  __READ_WRITE )

__IO_REG16(     TAUA0DWR4,                       0xFFFFC510,  __READ_WRITE )

__IO_REG16(     TAUA0DWR5,                       0xFFFFC514,  __READ_WRITE )

__IO_REG16(     TAUA0DWR6,                       0xFFFFC518,  __READ_WRITE )

__IO_REG16(     TAUA0DWR7,                       0xFFFFC51C,  __READ_WRITE )

__IO_REG16(     TAUA0DWR8,                       0xFFFFC520,  __READ_WRITE )

__IO_REG16(     TAUA0DWR9,                       0xFFFFC524,  __READ_WRITE )

__IO_REG16(     TAUA0DWR10,                      0xFFFFC528,  __READ_WRITE )

__IO_REG16(     TAUA0DWR11,                      0xFFFFC52C,  __READ_WRITE )

__IO_REG16(     TAUA0DWR12,                      0xFFFFC530,  __READ_WRITE )

__IO_REG16(     TAUA0DWR13,                      0xFFFFC534,  __READ_WRITE )

__IO_REG16(     TAUA0DWR14,                      0xFFFFC538,  __READ_WRITE )

__IO_REG16(     TAUA0DWR15,                      0xFFFFC53C,  __READ_WRITE )

__IO_REG8(      TAUA0CSR0,                       0xFFFFC540,  __READ       )

__IO_REG8(      TAUA0CSR1,                       0xFFFFC544,  __READ       )

__IO_REG8(      TAUA0CSR2,                       0xFFFFC548,  __READ       )

__IO_REG8(      TAUA0CSR3,                       0xFFFFC54C,  __READ       )

__IO_REG8(      TAUA0CSR4,                       0xFFFFC550,  __READ       )

__IO_REG8(      TAUA0CSR5,                       0xFFFFC554,  __READ       )

__IO_REG8(      TAUA0CSR6,                       0xFFFFC558,  __READ       )

__IO_REG8(      TAUA0CSR7,                       0xFFFFC55C,  __READ       )

__IO_REG8(      TAUA0CSR8,                       0xFFFFC560,  __READ       )

__IO_REG8(      TAUA0CSR9,                       0xFFFFC564,  __READ       )

__IO_REG8(      TAUA0CSR10,                      0xFFFFC568,  __READ       )

__IO_REG8(      TAUA0CSR11,                      0xFFFFC56C,  __READ       )

__IO_REG8(      TAUA0CSR12,                      0xFFFFC570,  __READ       )

__IO_REG8(      TAUA0CSR13,                      0xFFFFC574,  __READ       )

__IO_REG8(      TAUA0CSR14,                      0xFFFFC578,  __READ       )

__IO_REG8(      TAUA0CSR15,                      0xFFFFC57C,  __READ       )

__IO_REG8(      TAUA0CSC0,                       0xFFFFC580,  __WRITE      )

__IO_REG8(      TAUA0CSC1,                       0xFFFFC584,  __WRITE      )

__IO_REG8(      TAUA0CSC2,                       0xFFFFC588,  __WRITE      )

__IO_REG8(      TAUA0CSC3,                       0xFFFFC58C,  __WRITE      )

__IO_REG8(      TAUA0CSC4,                       0xFFFFC590,  __WRITE      )

__IO_REG8(      TAUA0CSC5,                       0xFFFFC594,  __WRITE      )

__IO_REG8(      TAUA0CSC6,                       0xFFFFC598,  __WRITE      )

__IO_REG8(      TAUA0CSC7,                       0xFFFFC59C,  __WRITE      )

__IO_REG8(      TAUA0CSC8,                       0xFFFFC5A0,  __WRITE      )

__IO_REG8(      TAUA0CSC9,                       0xFFFFC5A4,  __WRITE      )

__IO_REG8(      TAUA0CSC10,                      0xFFFFC5A8,  __WRITE      )

__IO_REG8(      TAUA0CSC11,                      0xFFFFC5AC,  __WRITE      )

__IO_REG8(      TAUA0CSC12,                      0xFFFFC5B0,  __WRITE      )

__IO_REG8(      TAUA0CSC13,                      0xFFFFC5B4,  __WRITE      )

__IO_REG8(      TAUA0CSC14,                      0xFFFFC5B8,  __WRITE      )

__IO_REG8(      TAUA0CSC15,                      0xFFFFC5BC,  __WRITE      )

__IO_REG16(     TAUA0TE,                         0xFFFFC5C0,  __READ       )

__IO_REG16(     TAUA0TS,                         0xFFFFC5C4,  __WRITE      )

__IO_REG16(     TAUA0TT,                         0xFFFFC5C8,  __WRITE      )

__IO_REG16(     TAUA1CDR0,                       0xFFFFC800,  __READ_WRITE )

__IO_REG16(     TAUA1CDR1,                       0xFFFFC804,  __READ_WRITE )

__IO_REG16(     TAUA1CDR2,                       0xFFFFC808,  __READ_WRITE )

__IO_REG16(     TAUA1CDR3,                       0xFFFFC80C,  __READ_WRITE )

__IO_REG16(     TAUA1CDR4,                       0xFFFFC810,  __READ_WRITE )

__IO_REG16(     TAUA1CDR5,                       0xFFFFC814,  __READ_WRITE )

__IO_REG16(     TAUA1CDR6,                       0xFFFFC818,  __READ_WRITE )

__IO_REG16(     TAUA1CDR7,                       0xFFFFC81C,  __READ_WRITE )

__IO_REG16(     TAUA1CDR8,                       0xFFFFC820,  __READ_WRITE )

__IO_REG16(     TAUA1CDR9,                       0xFFFFC824,  __READ_WRITE )

__IO_REG16(     TAUA1CDR10,                      0xFFFFC828,  __READ_WRITE )

__IO_REG16(     TAUA1CDR11,                      0xFFFFC82C,  __READ_WRITE )

__IO_REG16(     TAUA1CDR12,                      0xFFFFC830,  __READ_WRITE )

__IO_REG16(     TAUA1CDR13,                      0xFFFFC834,  __READ_WRITE )

__IO_REG16(     TAUA1CDR14,                      0xFFFFC838,  __READ_WRITE )

__IO_REG16(     TAUA1CDR15,                      0xFFFFC83C,  __READ_WRITE )

__IO_REG16(     TAUA1TOL,                        0xFFFFC840,  __READ_WRITE )

__IO_REG16(     TAUA1RDT,                        0xFFFFC844,  __WRITE      )

__IO_REG16(     TAUA1RSF,                        0xFFFFC848,  __READ       )

__IO_REG16(     TAUA1TRO,                        0xFFFFC84C,  __READ_WRITE )

__IO_REG16(     TAUA1TME,                        0xFFFFC850,  __READ_WRITE )

__IO_REG16(     TAUA1TDL,                        0xFFFFC854,  __READ_WRITE )

__IO_REG16(     TAUA1TO,                         0xFFFFC858,  __READ_WRITE )

__IO_REG16(     TAUA1TOE,                        0xFFFFC85C,  __READ_WRITE )

__IO_REG16(     TAUA1CNT0,                       0xFFFFC880,  __READ       )

__IO_REG16(     TAUA1CNT1,                       0xFFFFC884,  __READ       )

__IO_REG16(     TAUA1CNT2,                       0xFFFFC888,  __READ       )

__IO_REG16(     TAUA1CNT3,                       0xFFFFC88C,  __READ       )

__IO_REG16(     TAUA1CNT4,                       0xFFFFC890,  __READ       )

__IO_REG16(     TAUA1CNT5,                       0xFFFFC894,  __READ       )

__IO_REG16(     TAUA1CNT6,                       0xFFFFC898,  __READ       )

__IO_REG16(     TAUA1CNT7,                       0xFFFFC89C,  __READ       )

__IO_REG16(     TAUA1CNT8,                       0xFFFFC8A0,  __READ       )

__IO_REG16(     TAUA1CNT9,                       0xFFFFC8A4,  __READ       )

__IO_REG16(     TAUA1CNT10,                      0xFFFFC8A8,  __READ       )

__IO_REG16(     TAUA1CNT11,                      0xFFFFC8AC,  __READ       )

__IO_REG16(     TAUA1CNT12,                      0xFFFFC8B0,  __READ       )

__IO_REG16(     TAUA1CNT13,                      0xFFFFC8B4,  __READ       )

__IO_REG16(     TAUA1CNT14,                      0xFFFFC8B8,  __READ       )

__IO_REG16(     TAUA1CNT15,                      0xFFFFC8BC,  __READ       )

__IO_REG8(      TAUA1CMUR0,                      0xFFFFC8C0,  __READ_WRITE )

__IO_REG8(      TAUA1CMUR1,                      0xFFFFC8C4,  __READ_WRITE )

__IO_REG8(      TAUA1CMUR2,                      0xFFFFC8C8,  __READ_WRITE )

__IO_REG8(      TAUA1CMUR3,                      0xFFFFC8CC,  __READ_WRITE )

__IO_REG8(      TAUA1CMUR4,                      0xFFFFC8D0,  __READ_WRITE )

__IO_REG8(      TAUA1CMUR5,                      0xFFFFC8D4,  __READ_WRITE )

__IO_REG8(      TAUA1CMUR6,                      0xFFFFC8D8,  __READ_WRITE )

__IO_REG8(      TAUA1CMUR7,                      0xFFFFC8DC,  __READ_WRITE )

__IO_REG8(      TAUA1CMUR8,                      0xFFFFC8E0,  __READ_WRITE )

__IO_REG8(      TAUA1CMUR9,                      0xFFFFC8E4,  __READ_WRITE )

__IO_REG8(      TAUA1CMUR10,                     0xFFFFC8E8,  __READ_WRITE )

__IO_REG8(      TAUA1CMUR11,                     0xFFFFC8EC,  __READ_WRITE )

__IO_REG8(      TAUA1CMUR12,                     0xFFFFC8F0,  __READ_WRITE )

__IO_REG8(      TAUA1CMUR13,                     0xFFFFC8F4,  __READ_WRITE )

__IO_REG8(      TAUA1CMUR14,                     0xFFFFC8F8,  __READ_WRITE )

__IO_REG8(      TAUA1CMUR15,                     0xFFFFC8FC,  __READ_WRITE )

__IO_REG16(     TAUA1DWR0,                       0xFFFFC900,  __READ_WRITE )

__IO_REG16(     TAUA1DWR1,                       0xFFFFC904,  __READ_WRITE )

__IO_REG16(     TAUA1DWR2,                       0xFFFFC908,  __READ_WRITE )

__IO_REG16(     TAUA1DWR3,                       0xFFFFC90C,  __READ_WRITE )

__IO_REG16(     TAUA1DWR4,                       0xFFFFC910,  __READ_WRITE )

__IO_REG16(     TAUA1DWR5,                       0xFFFFC914,  __READ_WRITE )

__IO_REG16(     TAUA1DWR6,                       0xFFFFC918,  __READ_WRITE )

__IO_REG16(     TAUA1DWR7,                       0xFFFFC91C,  __READ_WRITE )

__IO_REG16(     TAUA1DWR8,                       0xFFFFC920,  __READ_WRITE )

__IO_REG16(     TAUA1DWR9,                       0xFFFFC924,  __READ_WRITE )

__IO_REG16(     TAUA1DWR10,                      0xFFFFC928,  __READ_WRITE )

__IO_REG16(     TAUA1DWR11,                      0xFFFFC92C,  __READ_WRITE )

__IO_REG16(     TAUA1DWR12,                      0xFFFFC930,  __READ_WRITE )

__IO_REG16(     TAUA1DWR13,                      0xFFFFC934,  __READ_WRITE )

__IO_REG16(     TAUA1DWR14,                      0xFFFFC938,  __READ_WRITE )

__IO_REG16(     TAUA1DWR15,                      0xFFFFC93C,  __READ_WRITE )

__IO_REG8(      TAUA1CSR0,                       0xFFFFC940,  __READ       )

__IO_REG8(      TAUA1CSR1,                       0xFFFFC944,  __READ       )

__IO_REG8(      TAUA1CSR2,                       0xFFFFC948,  __READ       )

__IO_REG8(      TAUA1CSR3,                       0xFFFFC94C,  __READ       )

__IO_REG8(      TAUA1CSR4,                       0xFFFFC950,  __READ       )

__IO_REG8(      TAUA1CSR5,                       0xFFFFC954,  __READ       )

__IO_REG8(      TAUA1CSR6,                       0xFFFFC958,  __READ       )

__IO_REG8(      TAUA1CSR7,                       0xFFFFC95C,  __READ       )

__IO_REG8(      TAUA1CSR8,                       0xFFFFC960,  __READ       )

__IO_REG8(      TAUA1CSR9,                       0xFFFFC964,  __READ       )

__IO_REG8(      TAUA1CSR10,                      0xFFFFC968,  __READ       )

__IO_REG8(      TAUA1CSR11,                      0xFFFFC96C,  __READ       )

__IO_REG8(      TAUA1CSR12,                      0xFFFFC970,  __READ       )

__IO_REG8(      TAUA1CSR13,                      0xFFFFC974,  __READ       )

__IO_REG8(      TAUA1CSR14,                      0xFFFFC978,  __READ       )

__IO_REG8(      TAUA1CSR15,                      0xFFFFC97C,  __READ       )

__IO_REG8(      TAUA1CSC0,                       0xFFFFC980,  __WRITE      )

__IO_REG8(      TAUA1CSC1,                       0xFFFFC984,  __WRITE      )

__IO_REG8(      TAUA1CSC2,                       0xFFFFC988,  __WRITE      )

__IO_REG8(      TAUA1CSC3,                       0xFFFFC98C,  __WRITE      )

__IO_REG8(      TAUA1CSC4,                       0xFFFFC990,  __WRITE      )

__IO_REG8(      TAUA1CSC5,                       0xFFFFC994,  __WRITE      )

__IO_REG8(      TAUA1CSC6,                       0xFFFFC998,  __WRITE      )

__IO_REG8(      TAUA1CSC7,                       0xFFFFC99C,  __WRITE      )

__IO_REG8(      TAUA1CSC8,                       0xFFFFC9A0,  __WRITE      )

__IO_REG8(      TAUA1CSC9,                       0xFFFFC9A4,  __WRITE      )

__IO_REG8(      TAUA1CSC10,                      0xFFFFC9A8,  __WRITE      )

__IO_REG8(      TAUA1CSC11,                      0xFFFFC9AC,  __WRITE      )

__IO_REG8(      TAUA1CSC12,                      0xFFFFC9B0,  __WRITE      )

__IO_REG8(      TAUA1CSC13,                      0xFFFFC9B4,  __WRITE      )

__IO_REG8(      TAUA1CSC14,                      0xFFFFC9B8,  __WRITE      )

__IO_REG8(      TAUA1CSC15,                      0xFFFFC9BC,  __WRITE      )

__IO_REG16(     TAUA1TE,                         0xFFFFC9C0,  __READ       )

__IO_REG16(     TAUA1TS,                         0xFFFFC9C4,  __WRITE      )

__IO_REG16(     TAUA1TT,                         0xFFFFC9C8,  __WRITE      )

__IO_REG16(     TAUA2CDR0,                       0xFFFFCC00,  __READ_WRITE )

__IO_REG16(     TAUA2CDR1,                       0xFFFFCC04,  __READ_WRITE )

__IO_REG16(     TAUA2CDR2,                       0xFFFFCC08,  __READ_WRITE )

__IO_REG16(     TAUA2CDR3,                       0xFFFFCC0C,  __READ_WRITE )

__IO_REG16(     TAUA2CDR4,                       0xFFFFCC10,  __READ_WRITE )

__IO_REG16(     TAUA2CDR5,                       0xFFFFCC14,  __READ_WRITE )

__IO_REG16(     TAUA2CDR6,                       0xFFFFCC18,  __READ_WRITE )

__IO_REG16(     TAUA2CDR7,                       0xFFFFCC1C,  __READ_WRITE )

__IO_REG16(     TAUA2CDR8,                       0xFFFFCC20,  __READ_WRITE )

__IO_REG16(     TAUA2CDR9,                       0xFFFFCC24,  __READ_WRITE )

__IO_REG16(     TAUA2CDR10,                      0xFFFFCC28,  __READ_WRITE )

__IO_REG16(     TAUA2CDR11,                      0xFFFFCC2C,  __READ_WRITE )

__IO_REG16(     TAUA2CDR12,                      0xFFFFCC30,  __READ_WRITE )

__IO_REG16(     TAUA2CDR13,                      0xFFFFCC34,  __READ_WRITE )

__IO_REG16(     TAUA2CDR14,                      0xFFFFCC38,  __READ_WRITE )

__IO_REG16(     TAUA2CDR15,                      0xFFFFCC3C,  __READ_WRITE )

__IO_REG16(     TAUA2TOL,                        0xFFFFCC40,  __READ_WRITE )

__IO_REG16(     TAUA2RDT,                        0xFFFFCC44,  __WRITE      )

__IO_REG16(     TAUA2RSF,                        0xFFFFCC48,  __READ       )

__IO_REG16(     TAUA2TRO,                        0xFFFFCC4C,  __READ_WRITE )

__IO_REG16(     TAUA2TME,                        0xFFFFCC50,  __READ_WRITE )

__IO_REG16(     TAUA2TDL,                        0xFFFFCC54,  __READ_WRITE )

__IO_REG16(     TAUA2TO,                         0xFFFFCC58,  __READ_WRITE )

__IO_REG16(     TAUA2TOE,                        0xFFFFCC5C,  __READ_WRITE )

__IO_REG16(     TAUA2CNT0,                       0xFFFFCC80,  __READ       )

__IO_REG16(     TAUA2CNT1,                       0xFFFFCC84,  __READ       )

__IO_REG16(     TAUA2CNT2,                       0xFFFFCC88,  __READ       )

__IO_REG16(     TAUA2CNT3,                       0xFFFFCC8C,  __READ       )

__IO_REG16(     TAUA2CNT4,                       0xFFFFCC90,  __READ       )

__IO_REG16(     TAUA2CNT5,                       0xFFFFCC94,  __READ       )

__IO_REG16(     TAUA2CNT6,                       0xFFFFCC98,  __READ       )

__IO_REG16(     TAUA2CNT7,                       0xFFFFCC9C,  __READ       )

__IO_REG16(     TAUA2CNT8,                       0xFFFFCCA0,  __READ       )

__IO_REG16(     TAUA2CNT9,                       0xFFFFCCA4,  __READ       )

__IO_REG16(     TAUA2CNT10,                      0xFFFFCCA8,  __READ       )

__IO_REG16(     TAUA2CNT11,                      0xFFFFCCAC,  __READ       )

__IO_REG16(     TAUA2CNT12,                      0xFFFFCCB0,  __READ       )

__IO_REG16(     TAUA2CNT13,                      0xFFFFCCB4,  __READ       )

__IO_REG16(     TAUA2CNT14,                      0xFFFFCCB8,  __READ       )

__IO_REG16(     TAUA2CNT15,                      0xFFFFCCBC,  __READ       )

__IO_REG8(      TAUA2CMUR0,                      0xFFFFCCC0,  __READ_WRITE )

__IO_REG8(      TAUA2CMUR1,                      0xFFFFCCC4,  __READ_WRITE )

__IO_REG8(      TAUA2CMUR2,                      0xFFFFCCC8,  __READ_WRITE )

__IO_REG8(      TAUA2CMUR3,                      0xFFFFCCCC,  __READ_WRITE )

__IO_REG8(      TAUA2CMUR4,                      0xFFFFCCD0,  __READ_WRITE )

__IO_REG8(      TAUA2CMUR5,                      0xFFFFCCD4,  __READ_WRITE )

__IO_REG8(      TAUA2CMUR6,                      0xFFFFCCD8,  __READ_WRITE )

__IO_REG8(      TAUA2CMUR7,                      0xFFFFCCDC,  __READ_WRITE )

__IO_REG8(      TAUA2CMUR8,                      0xFFFFCCE0,  __READ_WRITE )

__IO_REG8(      TAUA2CMUR9,                      0xFFFFCCE4,  __READ_WRITE )

__IO_REG8(      TAUA2CMUR10,                     0xFFFFCCE8,  __READ_WRITE )

__IO_REG8(      TAUA2CMUR11,                     0xFFFFCCEC,  __READ_WRITE )

__IO_REG8(      TAUA2CMUR12,                     0xFFFFCCF0,  __READ_WRITE )

__IO_REG8(      TAUA2CMUR13,                     0xFFFFCCF4,  __READ_WRITE )

__IO_REG8(      TAUA2CMUR14,                     0xFFFFCCF8,  __READ_WRITE )

__IO_REG8(      TAUA2CMUR15,                     0xFFFFCCFC,  __READ_WRITE )

__IO_REG16(     TAUA2DWR0,                       0xFFFFCD00,  __READ_WRITE )

__IO_REG16(     TAUA2DWR1,                       0xFFFFCD04,  __READ_WRITE )

__IO_REG16(     TAUA2DWR2,                       0xFFFFCD08,  __READ_WRITE )

__IO_REG16(     TAUA2DWR3,                       0xFFFFCD0C,  __READ_WRITE )

__IO_REG16(     TAUA2DWR4,                       0xFFFFCD10,  __READ_WRITE )

__IO_REG16(     TAUA2DWR5,                       0xFFFFCD14,  __READ_WRITE )

__IO_REG16(     TAUA2DWR6,                       0xFFFFCD18,  __READ_WRITE )

__IO_REG16(     TAUA2DWR7,                       0xFFFFCD1C,  __READ_WRITE )

__IO_REG16(     TAUA2DWR8,                       0xFFFFCD20,  __READ_WRITE )

__IO_REG16(     TAUA2DWR9,                       0xFFFFCD24,  __READ_WRITE )

__IO_REG16(     TAUA2DWR10,                      0xFFFFCD28,  __READ_WRITE )

__IO_REG16(     TAUA2DWR11,                      0xFFFFCD2C,  __READ_WRITE )

__IO_REG16(     TAUA2DWR12,                      0xFFFFCD30,  __READ_WRITE )

__IO_REG16(     TAUA2DWR13,                      0xFFFFCD34,  __READ_WRITE )

__IO_REG16(     TAUA2DWR14,                      0xFFFFCD38,  __READ_WRITE )

__IO_REG16(     TAUA2DWR15,                      0xFFFFCD3C,  __READ_WRITE )

__IO_REG8(      TAUA2CSR0,                       0xFFFFCD40,  __READ       )

__IO_REG8(      TAUA2CSR1,                       0xFFFFCD44,  __READ       )

__IO_REG8(      TAUA2CSR2,                       0xFFFFCD48,  __READ       )

__IO_REG8(      TAUA2CSR3,                       0xFFFFCD4C,  __READ       )

__IO_REG8(      TAUA2CSR4,                       0xFFFFCD50,  __READ       )

__IO_REG8(      TAUA2CSR5,                       0xFFFFCD54,  __READ       )

__IO_REG8(      TAUA2CSR6,                       0xFFFFCD58,  __READ       )

__IO_REG8(      TAUA2CSR7,                       0xFFFFCD5C,  __READ       )

__IO_REG8(      TAUA2CSR8,                       0xFFFFCD60,  __READ       )

__IO_REG8(      TAUA2CSR9,                       0xFFFFCD64,  __READ       )

__IO_REG8(      TAUA2CSR10,                      0xFFFFCD68,  __READ       )

__IO_REG8(      TAUA2CSR11,                      0xFFFFCD6C,  __READ       )

__IO_REG8(      TAUA2CSR12,                      0xFFFFCD70,  __READ       )

__IO_REG8(      TAUA2CSR13,                      0xFFFFCD74,  __READ       )

__IO_REG8(      TAUA2CSR14,                      0xFFFFCD78,  __READ       )

__IO_REG8(      TAUA2CSR15,                      0xFFFFCD7C,  __READ       )

__IO_REG8(      TAUA2CSC0,                       0xFFFFCD80,  __WRITE      )

__IO_REG8(      TAUA2CSC1,                       0xFFFFCD84,  __WRITE      )

__IO_REG8(      TAUA2CSC2,                       0xFFFFCD88,  __WRITE      )

__IO_REG8(      TAUA2CSC3,                       0xFFFFCD8C,  __WRITE      )

__IO_REG8(      TAUA2CSC4,                       0xFFFFCD90,  __WRITE      )

__IO_REG8(      TAUA2CSC5,                       0xFFFFCD94,  __WRITE      )

__IO_REG8(      TAUA2CSC6,                       0xFFFFCD98,  __WRITE      )

__IO_REG8(      TAUA2CSC7,                       0xFFFFCD9C,  __WRITE      )

__IO_REG8(      TAUA2CSC8,                       0xFFFFCDA0,  __WRITE      )

__IO_REG8(      TAUA2CSC9,                       0xFFFFCDA4,  __WRITE      )

__IO_REG8(      TAUA2CSC10,                      0xFFFFCDA8,  __WRITE      )

__IO_REG8(      TAUA2CSC11,                      0xFFFFCDAC,  __WRITE      )

__IO_REG8(      TAUA2CSC12,                      0xFFFFCDB0,  __WRITE      )

__IO_REG8(      TAUA2CSC13,                      0xFFFFCDB4,  __WRITE      )

__IO_REG8(      TAUA2CSC14,                      0xFFFFCDB8,  __WRITE      )

__IO_REG8(      TAUA2CSC15,                      0xFFFFCDBC,  __WRITE      )

__IO_REG16(     TAUA2TE,                         0xFFFFCDC0,  __READ       )

__IO_REG16(     TAUA2TS,                         0xFFFFCDC4,  __WRITE      )

__IO_REG16(     TAUA2TT,                         0xFFFFCDC8,  __WRITE      )

__IO_REG16(     TAUA3CDR0,                       0xFFFFD000,  __READ_WRITE )

__IO_REG16(     TAUA3CDR1,                       0xFFFFD004,  __READ_WRITE )

__IO_REG16(     TAUA3CDR2,                       0xFFFFD008,  __READ_WRITE )

__IO_REG16(     TAUA3CDR3,                       0xFFFFD00C,  __READ_WRITE )

__IO_REG16(     TAUA3CDR4,                       0xFFFFD010,  __READ_WRITE )

__IO_REG16(     TAUA3CDR5,                       0xFFFFD014,  __READ_WRITE )

__IO_REG16(     TAUA3CDR6,                       0xFFFFD018,  __READ_WRITE )

__IO_REG16(     TAUA3CDR7,                       0xFFFFD01C,  __READ_WRITE )

__IO_REG16(     TAUA3CDR8,                       0xFFFFD020,  __READ_WRITE )

__IO_REG16(     TAUA3CDR9,                       0xFFFFD024,  __READ_WRITE )

__IO_REG16(     TAUA3CDR10,                      0xFFFFD028,  __READ_WRITE )

__IO_REG16(     TAUA3CDR11,                      0xFFFFD02C,  __READ_WRITE )

__IO_REG16(     TAUA3CDR12,                      0xFFFFD030,  __READ_WRITE )

__IO_REG16(     TAUA3CDR13,                      0xFFFFD034,  __READ_WRITE )

__IO_REG16(     TAUA3CDR14,                      0xFFFFD038,  __READ_WRITE )

__IO_REG16(     TAUA3CDR15,                      0xFFFFD03C,  __READ_WRITE )

__IO_REG16(     TAUA3TOL,                        0xFFFFD040,  __READ_WRITE )

__IO_REG16(     TAUA3RDT,                        0xFFFFD044,  __WRITE      )

__IO_REG16(     TAUA3RSF,                        0xFFFFD048,  __READ       )

__IO_REG16(     TAUA3TRO,                        0xFFFFD04C,  __READ_WRITE )

__IO_REG16(     TAUA3TME,                        0xFFFFD050,  __READ_WRITE )

__IO_REG16(     TAUA3TDL,                        0xFFFFD054,  __READ_WRITE )

__IO_REG16(     TAUA3TO,                         0xFFFFD058,  __READ_WRITE )

__IO_REG16(     TAUA3TOE,                        0xFFFFD05C,  __READ_WRITE )

__IO_REG16(     TAUA3CNT0,                       0xFFFFD080,  __READ       )

__IO_REG16(     TAUA3CNT1,                       0xFFFFD084,  __READ       )

__IO_REG16(     TAUA3CNT2,                       0xFFFFD088,  __READ       )

__IO_REG16(     TAUA3CNT3,                       0xFFFFD08C,  __READ       )

__IO_REG16(     TAUA3CNT4,                       0xFFFFD090,  __READ       )

__IO_REG16(     TAUA3CNT5,                       0xFFFFD094,  __READ       )

__IO_REG16(     TAUA3CNT6,                       0xFFFFD098,  __READ       )

__IO_REG16(     TAUA3CNT7,                       0xFFFFD09C,  __READ       )

__IO_REG16(     TAUA3CNT8,                       0xFFFFD0A0,  __READ       )

__IO_REG16(     TAUA3CNT9,                       0xFFFFD0A4,  __READ       )

__IO_REG16(     TAUA3CNT10,                      0xFFFFD0A8,  __READ       )

__IO_REG16(     TAUA3CNT11,                      0xFFFFD0AC,  __READ       )

__IO_REG16(     TAUA3CNT12,                      0xFFFFD0B0,  __READ       )

__IO_REG16(     TAUA3CNT13,                      0xFFFFD0B4,  __READ       )

__IO_REG16(     TAUA3CNT14,                      0xFFFFD0B8,  __READ       )

__IO_REG16(     TAUA3CNT15,                      0xFFFFD0BC,  __READ       )

__IO_REG8(      TAUA3CMUR0,                      0xFFFFD0C0,  __READ_WRITE )

__IO_REG8(      TAUA3CMUR1,                      0xFFFFD0C4,  __READ_WRITE )

__IO_REG8(      TAUA3CMUR2,                      0xFFFFD0C8,  __READ_WRITE )

__IO_REG8(      TAUA3CMUR3,                      0xFFFFD0CC,  __READ_WRITE )

__IO_REG8(      TAUA3CMUR4,                      0xFFFFD0D0,  __READ_WRITE )

__IO_REG8(      TAUA3CMUR5,                      0xFFFFD0D4,  __READ_WRITE )

__IO_REG8(      TAUA3CMUR6,                      0xFFFFD0D8,  __READ_WRITE )

__IO_REG8(      TAUA3CMUR7,                      0xFFFFD0DC,  __READ_WRITE )

__IO_REG8(      TAUA3CMUR8,                      0xFFFFD0E0,  __READ_WRITE )

__IO_REG8(      TAUA3CMUR9,                      0xFFFFD0E4,  __READ_WRITE )

__IO_REG8(      TAUA3CMUR10,                     0xFFFFD0E8,  __READ_WRITE )

__IO_REG8(      TAUA3CMUR11,                     0xFFFFD0EC,  __READ_WRITE )

__IO_REG8(      TAUA3CMUR12,                     0xFFFFD0F0,  __READ_WRITE )

__IO_REG8(      TAUA3CMUR13,                     0xFFFFD0F4,  __READ_WRITE )

__IO_REG8(      TAUA3CMUR14,                     0xFFFFD0F8,  __READ_WRITE )

__IO_REG8(      TAUA3CMUR15,                     0xFFFFD0FC,  __READ_WRITE )

__IO_REG16(     TAUA3DWR0,                       0xFFFFD100,  __READ_WRITE )

__IO_REG16(     TAUA3DWR1,                       0xFFFFD104,  __READ_WRITE )

__IO_REG16(     TAUA3DWR2,                       0xFFFFD108,  __READ_WRITE )

__IO_REG16(     TAUA3DWR3,                       0xFFFFD10C,  __READ_WRITE )

__IO_REG16(     TAUA3DWR4,                       0xFFFFD110,  __READ_WRITE )

__IO_REG16(     TAUA3DWR5,                       0xFFFFD114,  __READ_WRITE )

__IO_REG16(     TAUA3DWR6,                       0xFFFFD118,  __READ_WRITE )

__IO_REG16(     TAUA3DWR7,                       0xFFFFD11C,  __READ_WRITE )

__IO_REG16(     TAUA3DWR8,                       0xFFFFD120,  __READ_WRITE )

__IO_REG16(     TAUA3DWR9,                       0xFFFFD124,  __READ_WRITE )

__IO_REG16(     TAUA3DWR10,                      0xFFFFD128,  __READ_WRITE )

__IO_REG16(     TAUA3DWR11,                      0xFFFFD12C,  __READ_WRITE )

__IO_REG16(     TAUA3DWR12,                      0xFFFFD130,  __READ_WRITE )

__IO_REG16(     TAUA3DWR13,                      0xFFFFD134,  __READ_WRITE )

__IO_REG16(     TAUA3DWR14,                      0xFFFFD138,  __READ_WRITE )

__IO_REG16(     TAUA3DWR15,                      0xFFFFD13C,  __READ_WRITE )

__IO_REG8(      TAUA3CSR0,                       0xFFFFD140,  __READ       )

__IO_REG8(      TAUA3CSR1,                       0xFFFFD144,  __READ       )

__IO_REG8(      TAUA3CSR2,                       0xFFFFD148,  __READ       )

__IO_REG8(      TAUA3CSR3,                       0xFFFFD14C,  __READ       )

__IO_REG8(      TAUA3CSR4,                       0xFFFFD150,  __READ       )

__IO_REG8(      TAUA3CSR5,                       0xFFFFD154,  __READ       )

__IO_REG8(      TAUA3CSR6,                       0xFFFFD158,  __READ       )

__IO_REG8(      TAUA3CSR7,                       0xFFFFD15C,  __READ       )

__IO_REG8(      TAUA3CSR8,                       0xFFFFD160,  __READ       )

__IO_REG8(      TAUA3CSR9,                       0xFFFFD164,  __READ       )

__IO_REG8(      TAUA3CSR10,                      0xFFFFD168,  __READ       )

__IO_REG8(      TAUA3CSR11,                      0xFFFFD16C,  __READ       )

__IO_REG8(      TAUA3CSR12,                      0xFFFFD170,  __READ       )

__IO_REG8(      TAUA3CSR13,                      0xFFFFD174,  __READ       )

__IO_REG8(      TAUA3CSR14,                      0xFFFFD178,  __READ       )

__IO_REG8(      TAUA3CSR15,                      0xFFFFD17C,  __READ       )

__IO_REG8(      TAUA3CSC0,                       0xFFFFD180,  __WRITE      )

__IO_REG8(      TAUA3CSC1,                       0xFFFFD184,  __WRITE      )

__IO_REG8(      TAUA3CSC2,                       0xFFFFD188,  __WRITE      )

__IO_REG8(      TAUA3CSC3,                       0xFFFFD18C,  __WRITE      )

__IO_REG8(      TAUA3CSC4,                       0xFFFFD190,  __WRITE      )

__IO_REG8(      TAUA3CSC5,                       0xFFFFD194,  __WRITE      )

__IO_REG8(      TAUA3CSC6,                       0xFFFFD198,  __WRITE      )

__IO_REG8(      TAUA3CSC7,                       0xFFFFD19C,  __WRITE      )

__IO_REG8(      TAUA3CSC8,                       0xFFFFD1A0,  __WRITE      )

__IO_REG8(      TAUA3CSC9,                       0xFFFFD1A4,  __WRITE      )

__IO_REG8(      TAUA3CSC10,                      0xFFFFD1A8,  __WRITE      )

__IO_REG8(      TAUA3CSC11,                      0xFFFFD1AC,  __WRITE      )

__IO_REG8(      TAUA3CSC12,                      0xFFFFD1B0,  __WRITE      )

__IO_REG8(      TAUA3CSC13,                      0xFFFFD1B4,  __WRITE      )

__IO_REG8(      TAUA3CSC14,                      0xFFFFD1B8,  __WRITE      )

__IO_REG8(      TAUA3CSC15,                      0xFFFFD1BC,  __WRITE      )

__IO_REG16(     TAUA3TE,                         0xFFFFD1C0,  __READ       )

__IO_REG16(     TAUA3TS,                         0xFFFFD1C4,  __WRITE      )

__IO_REG16(     TAUA3TT,                         0xFFFFD1C8,  __WRITE      )

__IO_REG16(     TAPA0FLG,                        0xFFFFD400,  __READ       )

__IO_REG8(      TAPA0ACWE,                       0xFFFFD404,  __READ_WRITE )

__IO_REG8(      TAPA0ACTS,                       0xFFFFD408,  __WRITE      )

__IO_REG8(      TAPA0ACTT,                       0xFFFFD40C,  __WRITE      )

__IO_REG8(      TAPA0OPHS,                       0xFFFFD414,  __WRITE      )

__IO_REG8(      TAPA0OPHT,                       0xFFFFD418,  __WRITE      )

__IO_REG16(     TAPA1FLG,                        0xFFFFD500,  __READ       )

__IO_REG8(      TAPA1ACWE,                       0xFFFFD504,  __READ_WRITE )

__IO_REG8(      TAPA1ACTS,                       0xFFFFD508,  __WRITE      )

__IO_REG8(      TAPA1ACTT,                       0xFFFFD50C,  __WRITE      )

__IO_REG8(      TAPA1OPHS,                       0xFFFFD514,  __WRITE      )

__IO_REG8(      TAPA1OPHT,                       0xFFFFD518,  __WRITE      )

__IO_REG16(     TAPA2FLG,                        0xFFFFD600,  __READ       )

__IO_REG8(      TAPA2ACWE,                       0xFFFFD604,  __READ_WRITE )

__IO_REG8(      TAPA2ACTS,                       0xFFFFD608,  __WRITE      )

__IO_REG8(      TAPA2ACTT,                       0xFFFFD60C,  __WRITE      )

__IO_REG8(      TAPA2OPHS,                       0xFFFFD614,  __WRITE      )

__IO_REG8(      TAPA2OPHT,                       0xFFFFD618,  __WRITE      )

__IO_REG16(     TAPA3FLG,                        0xFFFFD700,  __READ       )

__IO_REG8(      TAPA3ACWE,                       0xFFFFD704,  __READ_WRITE )

__IO_REG8(      TAPA3ACTS,                       0xFFFFD708,  __WRITE      )

__IO_REG8(      TAPA3ACTT,                       0xFFFFD70C,  __WRITE      )

__IO_REG8(      TAPA3OPHS,                       0xFFFFD714,  __WRITE      )

__IO_REG8(      TAPA3OPHT,                       0xFFFFD718,  __WRITE      )

__IO_REG16(     ENCA0CCR0,                       0xFFFFD800,  __READ_WRITE )

__IO_REG16(     ENCA0CCR1,                       0xFFFFD804,  __READ_WRITE )

__IO_REG16(     ENCA0CNT,                        0xFFFFD808,  __READ_WRITE )

__IO_REG8(      ENCA0FLG,                        0xFFFFD80C,  __READ       )

__IO_REG8(      ENCA0FGC,                        0xFFFFD810,  __WRITE      )

__IO_REG8(      ENCA0TE,                         0xFFFFD814,  __READ       )

__IO_REG8(      ENCA0TS,                         0xFFFFD818,  __WRITE      )

__IO_REG8(      ENCA0TT,                         0xFFFFD81C,  __WRITE      )

__IO_REG8(      ENCA0IOC0,                       0xFFFFD820,  __READ_WRITE )

__IO_REG16(     ENCA1CCR0,                       0xFFFFD900,  __READ_WRITE )

__IO_REG16(     ENCA1CCR1,                       0xFFFFD904,  __READ_WRITE )

__IO_REG16(     ENCA1CNT,                        0xFFFFD908,  __READ_WRITE )

__IO_REG8(      ENCA1FLG,                        0xFFFFD90C,  __READ       )

__IO_REG8(      ENCA1FGC,                        0xFFFFD910,  __WRITE      )

__IO_REG8(      ENCA1TE,                         0xFFFFD914,  __READ       )

__IO_REG8(      ENCA1TS,                         0xFFFFD918,  __WRITE      )

__IO_REG8(      ENCA1TT,                         0xFFFFD91C,  __WRITE      )

__IO_REG8(      ENCA1IOC0,                       0xFFFFD920,  __READ_WRITE )

__IO_REG32(     WNMISTAT,                        0xFFFFDA00,  __READ       )
__IO_REG32(     SWRSTEN,                         0xFFFFDA04,  __READ_WRITE )

__IO_REG8_BIT(  PIC0SST,                         0xFFFFDB04,  __WRITE      )

__IO_REG32(     ADCA0CG0,                        0xFFFFDC00,  __READ_WRITE )
__IO_REG32(     ADCA0CG1,                        0xFFFFDC04,  __READ_WRITE )
__IO_REG32(     ADCA0CG2,                        0xFFFFDC08,  __READ_WRITE )
__IO_REG32(     ADCA0IOC0,                       0xFFFFDC0C,  __READ_WRITE )
__IO_REG32(     ADCA0IOC1,                       0xFFFFDC10,  __READ_WRITE )
__IO_REG32(     ADCA0IOC2,                       0xFFFFDC14,  __READ_WRITE )
__IO_REG32(     ADCA0CTL2,                       0xFFFFDC18,  __READ_WRITE )

__IO_REG16(     ADCA0UL,                         0xFFFFDC1C,  __READ_WRITE )

__IO_REG16(     ADCA0LL,                         0xFFFFDC20,  __READ_WRITE )
__IO_REG32(     ADCA0STR0,                       0xFFFFDC24,  __READ       )
__IO_REG32(     ADCA0STR1,                       0xFFFFDC28,  __READ       )

__IO_REG16(     ADCA0STR2,                       0xFFFFDC2C,  __READ       )
__IO_REG32(     ADCA0STC0,                       0xFFFFDC30,  __WRITE      )
__IO_REG32(     ADCA0STC1,                       0xFFFFDC34,  __WRITE      )

__IO_REG8(      ADCA0STC2,                       0xFFFFDC38,  __WRITE      )
__IO_REG32(     ADCA0C00CR,                      0xFFFFDC3C,  __READ       )
__IO_REG32(     ADCA0C01CR,                      0xFFFFDC40,  __READ       )
__IO_REG32(     ADCA0C02CR,                      0xFFFFDC44,  __READ       )
__IO_REG32(     ADCA0C03CR,                      0xFFFFDC48,  __READ       )
__IO_REG32(     ADCA0C04CR,                      0xFFFFDC4C,  __READ       )
__IO_REG32(     ADCA0C05CR,                      0xFFFFDC50,  __READ       )
__IO_REG32(     ADCA0C06CR,                      0xFFFFDC54,  __READ       )
__IO_REG32(     ADCA0C07CR,                      0xFFFFDC58,  __READ       )
__IO_REG32(     ADCA0C08CR,                      0xFFFFDC5C,  __READ       )
__IO_REG32(     ADCA0C09CR,                      0xFFFFDC60,  __READ       )
__IO_REG32(     ADCA0C10CR,                      0xFFFFDC64,  __READ       )
__IO_REG32(     ADCA0C11CR,                      0xFFFFDC68,  __READ       )

__IO_REG32(     ADCA0LCR,                        0xFFFFDCA0,  __READ       )

__IO_REG8(      ADCA0TRG0,                       0xFFFFDCA4,  __WRITE      )

__IO_REG8(      ADCA0TRG1,                       0xFFFFDCA8,  __WRITE      )

__IO_REG8(      ADCA0TRG2,                       0xFFFFDCAC,  __WRITE      )

__IO_REG8(      ADCA0TRG4,                       0xFFFFDCB4,  __WRITE      )

__IO_REG8(      ADCA0TRG5,                       0xFFFFDCB8,  __WRITE      )

__IO_REG8(      ADCA0TRG6,                       0xFFFFDCBC,  __WRITE      )

__IO_REG32(     ADCA0DB0CR,                      0xFFFFDCC4,  __READ       )
__IO_REG32(     ADCA0DB1CR,                      0xFFFFDCC8,  __READ       )
__IO_REG32(     ADCA0DB2CR,                      0xFFFFDCCC,  __READ       )

__IO_REG16(     ADCA0DB0CRL,                     0xFFFFDCD0,  __READ       )

__IO_REG16(     ADCA0DB1CRL,                     0xFFFFDCD4,  __READ       )

__IO_REG16(     ADCA0DB2CRL,                     0xFFFFDCD8,  __READ       )

__IO_REG8_BIT(  CSIH0CTL0,                       0xFFFFE000,  __READ_WRITE )
__IO_REG32(     CSIH0STR0,                       0xFFFFE004,  __READ_WRITE )

__IO_REG16(     CSIH0STCR0,                      0xFFFFE008,  __READ_WRITE )

__IO_REG32(     CSIH0MCTL1,                      0xFFFFE080,  __READ_WRITE )
__IO_REG32(     CSIH0MCTL2,                      0xFFFFE084,  __READ_WRITE )
__IO_REG32(     CSIH0TX0W,                       0xFFFFE088,  __READ_WRITE )

__IO_REG16(     CSIH0TX0H,                       0xFFFFE08C,  __READ_WRITE )
__IO_REG32(     CSIH0RX0W,                       0xFFFFE090,  __READ       )

__IO_REG16(     CSIH0RX0H,                       0xFFFFE094,  __READ       )
__IO_REG32(     CSIH0MRWP0,                      0xFFFFE098,  __READ_WRITE )

__IO_REG8_BIT(  CSIH1CTL0,                       0xFFFFE100,  __READ_WRITE )
__IO_REG32(     CSIH1STR0,                       0xFFFFE104,  __READ_WRITE )

__IO_REG16(     CSIH1STCR0,                      0xFFFFE108,  __READ_WRITE )

__IO_REG32(     CSIH1MCTL1,                      0xFFFFE180,  __READ_WRITE )
__IO_REG32(     CSIH1MCTL2,                      0xFFFFE184,  __READ_WRITE )
__IO_REG32(     CSIH1TX0W,                       0xFFFFE188,  __READ_WRITE )

__IO_REG16(     CSIH1TX0H,                       0xFFFFE18C,  __READ_WRITE )
__IO_REG32(     CSIH1RX0W,                       0xFFFFE190,  __READ       )

__IO_REG16(     CSIH1RX0H,                       0xFFFFE194,  __READ       )
__IO_REG32(     CSIH1MRWP0,                      0xFFFFE198,  __READ_WRITE )

__IO_REG8_BIT(  CSIH2CTL0,                       0xFFFFE200,  __READ_WRITE )
__IO_REG32(     CSIH2STR0,                       0xFFFFE204,  __READ_WRITE )

__IO_REG16(     CSIH2STCR0,                      0xFFFFE208,  __READ_WRITE )

__IO_REG32(     CSIH2MCTL1,                      0xFFFFE280,  __READ_WRITE )
__IO_REG32(     CSIH2MCTL2,                      0xFFFFE284,  __READ_WRITE )
__IO_REG32(     CSIH2TX0W,                       0xFFFFE288,  __READ_WRITE )

__IO_REG16(     CSIH2TX0H,                       0xFFFFE28C,  __READ_WRITE )
__IO_REG32(     CSIH2RX0W,                       0xFFFFE290,  __READ       )

__IO_REG16(     CSIH2RX0H,                       0xFFFFE294,  __READ       )
__IO_REG32(     CSIH2MRWP0,                      0xFFFFE298,  __READ_WRITE )

__IO_REG8_BIT(  CSIH3CTL0,                       0xFFFFE300,  __READ_WRITE )
__IO_REG32(     CSIH3STR0,                       0xFFFFE304,  __READ_WRITE )

__IO_REG16(     CSIH3STCR0,                      0xFFFFE308,  __READ_WRITE )

__IO_REG32(     CSIH3MCTL1,                      0xFFFFE380,  __READ_WRITE )
__IO_REG32(     CSIH3MCTL2,                      0xFFFFE384,  __READ_WRITE )
__IO_REG32(     CSIH3TX0W,                       0xFFFFE388,  __READ_WRITE )

__IO_REG16(     CSIH3TX0H,                       0xFFFFE38C,  __READ_WRITE )
__IO_REG32(     CSIH3RX0W,                       0xFFFFE390,  __READ       )

__IO_REG16(     CSIH3RX0H,                       0xFFFFE394,  __READ       )
__IO_REG32(     CSIH3MRWP0,                      0xFFFFE398,  __READ_WRITE )

__IO_REG8_BIT(  CSIG0CTL0,                       0xFFFFE400,  __READ_WRITE )
__IO_REG32(     CSIG0STR0,                       0xFFFFE404,  __READ_WRITE )

__IO_REG16(     CSIG0STCR0,                      0xFFFFE408,  __READ_WRITE )

__IO_REG8_BIT(  CSIG0BCTL0,                      0xFFFFE480,  __READ_WRITE )
__IO_REG32(     CSIG0TX0W,                       0xFFFFE484,  __READ_WRITE )

__IO_REG16(     CSIG0TX0H,                       0xFFFFE488,  __READ_WRITE )

__IO_REG16(     CSIG0RX0,                        0xFFFFE48C,  __READ       )

__IO_REG8_BIT(  CSIG1CTL0,                       0xFFFFE500,  __READ_WRITE )
__IO_REG32(     CSIG1STR0,                       0xFFFFE504,  __READ_WRITE )

__IO_REG16(     CSIG1STCR0,                      0xFFFFE508,  __READ_WRITE )

__IO_REG8_BIT(  CSIG1BCTL0,                      0xFFFFE580,  __READ_WRITE )
__IO_REG32(     CSIG1TX0W,                       0xFFFFE584,  __READ_WRITE )

__IO_REG16(     CSIG1TX0H,                       0xFFFFE588,  __READ_WRITE )

__IO_REG16(     CSIG1RX0,                        0xFFFFE58C,  __READ       )

__IO_REG8_BIT(  CSIG2CTL0,                       0xFFFFE600,  __READ_WRITE )
__IO_REG32(     CSIG2STR0,                       0xFFFFE604,  __READ_WRITE )

__IO_REG16(     CSIG2STCR0,                      0xFFFFE608,  __READ_WRITE )

__IO_REG8_BIT(  CSIG2BCTL0,                      0xFFFFE680,  __READ_WRITE )
__IO_REG32(     CSIG2TX0W,                       0xFFFFE684,  __READ_WRITE )

__IO_REG16(     CSIG2TX0H,                       0xFFFFE688,  __READ_WRITE )

__IO_REG16(     CSIG2RX0,                        0xFFFFE68C,  __READ       )

__IO_REG8_BIT(  CSIG3CTL0,                       0xFFFFE700,  __READ_WRITE )
__IO_REG32(     CSIG3STR0,                       0xFFFFE704,  __READ_WRITE )

__IO_REG16(     CSIG3STCR0,                      0xFFFFE708,  __READ_WRITE )

__IO_REG8_BIT(  CSIG3BCTL0,                      0xFFFFE780,  __READ_WRITE )
__IO_REG32(     CSIG3TX0W,                       0xFFFFE784,  __READ_WRITE )

__IO_REG16(     CSIG3TX0H,                       0xFFFFE788,  __READ_WRITE )

__IO_REG16(     CSIG3RX0,                        0xFFFFE78C,  __READ       )

__IO_REG8_BIT(  CSIG4CTL0,                       0xFFFFE800,  __READ_WRITE )
__IO_REG32(     CSIG4STR0,                       0xFFFFE804,  __READ_WRITE )

__IO_REG16(     CSIG4STCR0,                      0xFFFFE808,  __READ_WRITE )

__IO_REG8_BIT(  CSIG4BCTL0,                      0xFFFFE880,  __READ_WRITE )
__IO_REG32(     CSIG4TX0W,                       0xFFFFE884,  __READ_WRITE )

__IO_REG16(     CSIG4TX0H,                       0xFFFFE888,  __READ_WRITE )

__IO_REG16(     CSIG4RX0,                        0xFFFFE88C,  __READ       )

__IO_REG8_BIT(  CSIG5CTL0,                       0xFFFFE900,  __READ_WRITE )
__IO_REG32(     CSIG5STR0,                       0xFFFFE904,  __READ_WRITE )

__IO_REG16(     CSIG5STCR0,                      0xFFFFE908,  __READ_WRITE )

__IO_REG8_BIT(  CSIG5BCTL0,                      0xFFFFE980,  __READ_WRITE )
__IO_REG32(     CSIG5TX0W,                       0xFFFFE984,  __READ_WRITE )

__IO_REG16(     CSIG5TX0H,                       0xFFFFE988,  __READ_WRITE )

__IO_REG16(     CSIG5RX0,                        0xFFFFE98C,  __READ       )

__IO_REG8_BIT(  URTJ0CTL0,                       0xFFFFEA00,  __READ_WRITE )

__IO_REG8_BIT(  URTJ0TRG,                        0xFFFFEA04,  __READ_WRITE )

__IO_REG8(      URTJ0STR0,                       0xFFFFEA08,  __READ       )

__IO_REG8(      URTJ0STR1,                       0xFFFFEA0C,  __READ       )

__IO_REG8_BIT(  URTJ0STC,                        0xFFFFEA10,  __READ_WRITE )

__IO_REG16(     URTJ0FCTL0,                      0xFFFFEA80,  __READ_WRITE )

__IO_REG16(     URTJ0FSTR0,                      0xFFFFEA84,  __READ       )

__IO_REG8(      URTJ0FSTR1,                      0xFFFFEA88,  __READ       )

__IO_REG8_BIT(  URTJ0FSTC,                       0xFFFFEA8C,  __READ_WRITE )

__IO_REG16(     URTJ0FRX,                        0xFFFFEA90,  __READ       )

__IO_REG8(      URTJ0FTX,                        0xFFFFEA94,  __READ_WRITE )

__IO_REG8_BIT(  URTJ1CTL0,                       0xFFFFEB00,  __READ_WRITE )

__IO_REG8_BIT(  URTJ1TRG,                        0xFFFFEB04,  __READ_WRITE )

__IO_REG8(      URTJ1STR0,                       0xFFFFEB08,  __READ       )

__IO_REG8(      URTJ1STR1,                       0xFFFFEB0C,  __READ       )

__IO_REG8_BIT(  URTJ1STC,                        0xFFFFEB10,  __READ_WRITE )

__IO_REG16(     URTJ1FCTL0,                      0xFFFFEB80,  __READ_WRITE )

__IO_REG16(     URTJ1FSTR0,                      0xFFFFEB84,  __READ       )

__IO_REG8(      URTJ1FSTR1,                      0xFFFFEB88,  __READ       )

__IO_REG8_BIT(  URTJ1FSTC,                       0xFFFFEB8C,  __READ_WRITE )

__IO_REG16(     URTJ1FRX,                        0xFFFFEB90,  __READ       )

__IO_REG8(      URTJ1FTX,                        0xFFFFEB94,  __READ_WRITE )

__IO_REG8_BIT(  URTJ2CTL0,                       0xFFFFEC00,  __READ_WRITE )

__IO_REG8_BIT(  URTJ2TRG,                        0xFFFFEC04,  __READ_WRITE )

__IO_REG8(      URTJ2STR0,                       0xFFFFEC08,  __READ       )

__IO_REG8(      URTJ2STR1,                       0xFFFFEC0C,  __READ       )

__IO_REG8_BIT(  URTJ2STC,                        0xFFFFEC10,  __READ_WRITE )

__IO_REG16(     URTJ2FCTL0,                      0xFFFFEC80,  __READ_WRITE )

__IO_REG16(     URTJ2FSTR0,                      0xFFFFEC84,  __READ       )

__IO_REG8(      URTJ2FSTR1,                      0xFFFFEC88,  __READ       )

__IO_REG8_BIT(  URTJ2FSTC,                       0xFFFFEC8C,  __READ_WRITE )

__IO_REG16(     URTJ2FRX,                        0xFFFFEC90,  __READ       )

__IO_REG8(      URTJ2FTX,                        0xFFFFEC94,  __READ_WRITE )

__IO_REG8_BIT(  URTJ3CTL0,                       0xFFFFED00,  __READ_WRITE )

__IO_REG8_BIT(  URTJ3TRG,                        0xFFFFED04,  __READ_WRITE )

__IO_REG8(      URTJ3STR0,                       0xFFFFED08,  __READ       )

__IO_REG8(      URTJ3STR1,                       0xFFFFED0C,  __READ       )

__IO_REG8_BIT(  URTJ3STC,                        0xFFFFED10,  __READ_WRITE )

__IO_REG16(     URTJ3FCTL0,                      0xFFFFED80,  __READ_WRITE )

__IO_REG16(     URTJ3FSTR0,                      0xFFFFED84,  __READ       )

__IO_REG8(      URTJ3FSTR1,                      0xFFFFED88,  __READ       )

__IO_REG8_BIT(  URTJ3FSTC,                       0xFFFFED8C,  __READ_WRITE )

__IO_REG16(     URTJ3FRX,                        0xFFFFED90,  __READ       )

__IO_REG8(      URTJ3FTX,                        0xFFFFED94,  __READ_WRITE )

__IO_REG8_BIT(  URTE0CTL0,                       0xFFFFEE00,  __READ_WRITE )

__IO_REG8_BIT(  URTE0TRG,                        0xFFFFEE04,  __READ_WRITE )

__IO_REG8(      URTE0STR0,                       0xFFFFEE08,  __READ       )

__IO_REG8(      URTE0STR1,                       0xFFFFEE0C,  __READ       )

__IO_REG8_BIT(  URTE0STC,                        0xFFFFEE10,  __READ_WRITE )

__IO_REG8(      URTE0RX,                         0xFFFFEE14,  __READ       )

__IO_REG8(      URTE0TX,                         0xFFFFEE18,  __READ_WRITE )

__IO_REG8_BIT(  URTE1CTL0,                       0xFFFFEF00,  __READ_WRITE )

__IO_REG8_BIT(  URTE1TRG,                        0xFFFFEF04,  __READ_WRITE )

__IO_REG8(      URTE1STR0,                       0xFFFFEF08,  __READ       )

__IO_REG8(      URTE1STR1,                       0xFFFFEF0C,  __READ       )

__IO_REG8_BIT(  URTE1STC,                        0xFFFFEF10,  __READ_WRITE )

__IO_REG8(      URTE1RX,                         0xFFFFEF14,  __READ       )

__IO_REG8(      URTE1TX,                         0xFFFFEF18,  __READ_WRITE )

__IO_REG8_BIT(  URTE2CTL0,                       0xFFFFF000,  __READ_WRITE )

__IO_REG8_BIT(  URTE2TRG,                        0xFFFFF004,  __READ_WRITE )

__IO_REG8(      URTE2STR0,                       0xFFFFF008,  __READ       )

__IO_REG8(      URTE2STR1,                       0xFFFFF00C,  __READ       )

__IO_REG8_BIT(  URTE2STC,                        0xFFFFF010,  __READ_WRITE )

__IO_REG8(      URTE2RX,                         0xFFFFF014,  __READ       )

__IO_REG8(      URTE2TX,                         0xFFFFF018,  __READ_WRITE )

__IO_REG8_BIT(  URTE3CTL0,                       0xFFFFF100,  __READ_WRITE )

__IO_REG8_BIT(  URTE3TRG,                        0xFFFFF104,  __READ_WRITE )

__IO_REG8(      URTE3STR0,                       0xFFFFF108,  __READ       )

__IO_REG8(      URTE3STR1,                       0xFFFFF10C,  __READ       )

__IO_REG8_BIT(  URTE3STC,                        0xFFFFF110,  __READ_WRITE )

__IO_REG8(      URTE3RX,                         0xFFFFF114,  __READ       )

__IO_REG8(      URTE3TX,                         0xFFFFF118,  __READ_WRITE )

__IO_REG8_BIT(  URTE4CTL0,                       0xFFFFF200,  __READ_WRITE )

__IO_REG8_BIT(  URTE4TRG,                        0xFFFFF204,  __READ_WRITE )

__IO_REG8(      URTE4STR0,                       0xFFFFF208,  __READ       )

__IO_REG8(      URTE4STR1,                       0xFFFFF20C,  __READ       )

__IO_REG8_BIT(  URTE4STC,                        0xFFFFF210,  __READ_WRITE )

__IO_REG8(      URTE4RX,                         0xFFFFF214,  __READ       )

__IO_REG8(      URTE4TX,                         0xFFFFF218,  __READ_WRITE )

__IO_REG8_BIT(  URTE5CTL0,                       0xFFFFF300,  __READ_WRITE )

__IO_REG8_BIT(  URTE5TRG,                        0xFFFFF304,  __READ_WRITE )

__IO_REG8(      URTE5STR0,                       0xFFFFF308,  __READ       )

__IO_REG8(      URTE5STR1,                       0xFFFFF30C,  __READ       )

__IO_REG8_BIT(  URTE5STC,                        0xFFFFF310,  __READ_WRITE )

__IO_REG8(      URTE5RX,                         0xFFFFF314,  __READ       )

__IO_REG8(      URTE5TX,                         0xFFFFF318,  __READ_WRITE )

__IO_REG8(      IICB0DAT,                        0xFFFFF400,  __READ_WRITE )

__IO_REG8(      IICB0SVA,                        0xFFFFF404,  __READ_WRITE )

__IO_REG8_BIT(  IICB0CTL0,                       0xFFFFF408,  __READ_WRITE )

__IO_REG8_BIT(  IICB0TRG,                        0xFFFFF40C,  __READ_WRITE )

__IO_REG16(     IICB0STR0,                       0xFFFFF410,  __READ       )

__IO_REG8(      IICB0STR1,                       0xFFFFF414,  __READ       )

__IO_REG8(      IICB0STRC,                       0xFFFFF418,  __READ_WRITE )

__IO_REG8(      IICB1DAT,                        0xFFFFF500,  __READ_WRITE )

__IO_REG8(      IICB1SVA,                        0xFFFFF504,  __READ_WRITE )

__IO_REG8_BIT(  IICB1CTL0,                       0xFFFFF508,  __READ_WRITE )

__IO_REG8_BIT(  IICB1TRG,                        0xFFFFF50C,  __READ_WRITE )

__IO_REG16(     IICB1STR0,                       0xFFFFF510,  __READ       )

__IO_REG8(      IICB1STR1,                       0xFFFFF514,  __READ       )

__IO_REG8(      IICB1STRC,                       0xFFFFF518,  __READ_WRITE )

__IO_REG8(      IICB2DAT,                        0xFFFFF600,  __READ_WRITE )

__IO_REG8(      IICB2SVA,                        0xFFFFF604,  __READ_WRITE )

__IO_REG8_BIT(  IICB2CTL0,                       0xFFFFF608,  __READ_WRITE )

__IO_REG8_BIT(  IICB2TRG,                        0xFFFFF60C,  __READ_WRITE )

__IO_REG16(     IICB2STR0,                       0xFFFFF610,  __READ       )

__IO_REG8(      IICB2STR1,                       0xFFFFF614,  __READ       )

__IO_REG8(      IICB2STRC,                       0xFFFFF618,  __READ_WRITE )

__IO_REG8(      IICB3DAT,                        0xFFFFF700,  __READ_WRITE )

__IO_REG8(      IICB3SVA,                        0xFFFFF704,  __READ_WRITE )

__IO_REG8_BIT(  IICB3CTL0,                       0xFFFFF708,  __READ_WRITE )

__IO_REG8_BIT(  IICB3TRG,                        0xFFFFF70C,  __READ_WRITE )

__IO_REG16(     IICB3STR0,                       0xFFFFF710,  __READ       )

__IO_REG8(      IICB3STR1,                       0xFFFFF714,  __READ       )

__IO_REG8(      IICB3STRC,                       0xFFFFF718,  __READ_WRITE )

__IO_REG8(      IICB4DAT,                        0xFFFFF800,  __READ_WRITE )

__IO_REG8(      IICB4SVA,                        0xFFFFF804,  __READ_WRITE )

__IO_REG8_BIT(  IICB4CTL0,                       0xFFFFF808,  __READ_WRITE )

__IO_REG8_BIT(  IICB4TRG,                        0xFFFFF80C,  __READ_WRITE )

__IO_REG16(     IICB4STR0,                       0xFFFFF810,  __READ       )

__IO_REG8(      IICB4STR1,                       0xFFFFF814,  __READ       )

__IO_REG8(      IICB4STRC,                       0xFFFFF818,  __READ_WRITE )

__IO_REG8(      IICB5DAT,                        0xFFFFF900,  __READ_WRITE )

__IO_REG8(      IICB5SVA,                        0xFFFFF904,  __READ_WRITE )

__IO_REG8_BIT(  IICB5CTL0,                       0xFFFFF908,  __READ_WRITE )

__IO_REG8_BIT(  IICB5TRG,                        0xFFFFF90C,  __READ_WRITE )

__IO_REG16(     IICB5STR0,                       0xFFFFF910,  __READ       )

__IO_REG8(      IICB5STR1,                       0xFFFFF914,  __READ       )

__IO_REG8(      IICB5STRC,                       0xFFFFF918,  __READ_WRITE )

__IO_REG32(     DTSSEL0,                         0xFFFFFE00,  __READ_WRITE )
__IO_REG32(     DTSSEL1,                         0xFFFFFE04,  __READ_WRITE )
__IO_REG32(     DTSSEL2,                         0xFFFFFE08,  __READ_WRITE )
__IO_REG32(     DTSSEL3,                         0xFFFFFE0C,  __READ_WRITE )
__IO_REG32(     DTSSEL4,                         0xFFFFFE10,  __READ_WRITE )
__IO_REG32(     DTSSEL5,                         0xFFFFFE14,  __READ_WRITE )
__IO_REG32(     DTSSEL6,                         0xFFFFFE18,  __READ_WRITE )
__IO_REG32(     DTSSEL7,                         0xFFFFFE1C,  __READ_WRITE )
__IO_REG32(     DTSSEL8,                         0xFFFFFE20,  __READ_WRITE )
__IO_REG32(     DTSSEL9,                         0xFFFFFE24,  __READ_WRITE )
__IO_REG32(     DTSSEL10,                        0xFFFFFE28,  __READ_WRITE )
__IO_REG32(     DTSSEL11,                        0xFFFFFE2C,  __READ_WRITE )
__IO_REG32(     DTSSEL12,                        0xFFFFFE30,  __READ_WRITE )
__IO_REG32(     DTSSEL13,                        0xFFFFFE34,  __READ_WRITE )
__IO_REG32(     DTSSEL14,                        0xFFFFFE38,  __READ_WRITE )
__IO_REG32(     DTSSEL15,                        0xFFFFFE3C,  __READ_WRITE )

/***********************************************
 *       Peripheral I/O bit declarations
 ***********************************************/

#ifdef __IAR_SYSTEMS_ICC__

#define DNFA0NFEN8                        DNFA0ENH_bit.no0
#define DNFA0NFEN9                        DNFA0ENH_bit.no1
#define DNFA0NFEN10                       DNFA0ENH_bit.no2
#define DNFA0NFEN11                       DNFA0ENH_bit.no3
#define DNFA0NFEN12                       DNFA0ENH_bit.no4
#define DNFA0NFEN13                       DNFA0ENH_bit.no5
#define DNFA0NFEN14                       DNFA0ENH_bit.no6
#define DNFA0NFEN15                       DNFA0ENH_bit.no7

#define DNFA0NFEN0                        DNFA0ENL_bit.no0
#define DNFA0NFEN1                        DNFA0ENL_bit.no1
#define DNFA0NFEN2                        DNFA0ENL_bit.no2
#define DNFA0NFEN3                        DNFA0ENL_bit.no3
#define DNFA0NFEN4                        DNFA0ENL_bit.no4
#define DNFA0NFEN5                        DNFA0ENL_bit.no5
#define DNFA0NFEN6                        DNFA0ENL_bit.no6
#define DNFA0NFEN7                        DNFA0ENL_bit.no7

#define DNFA2NFEN8                        DNFA2ENH_bit.no0
#define DNFA2NFEN9                        DNFA2ENH_bit.no1
#define DNFA2NFEN10                       DNFA2ENH_bit.no2
#define DNFA2NFEN11                       DNFA2ENH_bit.no3
#define DNFA2NFEN12                       DNFA2ENH_bit.no4
#define DNFA2NFEN13                       DNFA2ENH_bit.no5
#define DNFA2NFEN14                       DNFA2ENH_bit.no6
#define DNFA2NFEN15                       DNFA2ENH_bit.no7

#define DNFA2NFEN0                        DNFA2ENL_bit.no0
#define DNFA2NFEN1                        DNFA2ENL_bit.no1
#define DNFA2NFEN2                        DNFA2ENL_bit.no2
#define DNFA2NFEN3                        DNFA2ENL_bit.no3
#define DNFA2NFEN4                        DNFA2ENL_bit.no4
#define DNFA2NFEN5                        DNFA2ENL_bit.no5
#define DNFA2NFEN6                        DNFA2ENL_bit.no6
#define DNFA2NFEN7                        DNFA2ENL_bit.no7

#define DNFA4NFEN8                        DNFA4ENH_bit.no0
#define DNFA4NFEN9                        DNFA4ENH_bit.no1
#define DNFA4NFEN10                       DNFA4ENH_bit.no2
#define DNFA4NFEN11                       DNFA4ENH_bit.no3
#define DNFA4NFEN12                       DNFA4ENH_bit.no4
#define DNFA4NFEN13                       DNFA4ENH_bit.no5
#define DNFA4NFEN14                       DNFA4ENH_bit.no6
#define DNFA4NFEN15                       DNFA4ENH_bit.no7

#define DNFA4NFEN0                        DNFA4ENL_bit.no0
#define DNFA4NFEN1                        DNFA4ENL_bit.no1
#define DNFA4NFEN2                        DNFA4ENL_bit.no2
#define DNFA4NFEN3                        DNFA4ENL_bit.no3
#define DNFA4NFEN4                        DNFA4ENL_bit.no4
#define DNFA4NFEN5                        DNFA4ENL_bit.no5
#define DNFA4NFEN6                        DNFA4ENL_bit.no6
#define DNFA4NFEN7                        DNFA4ENL_bit.no7

#define DNFA6NFEN8                        DNFA6ENH_bit.no0
#define DNFA6NFEN9                        DNFA6ENH_bit.no1
#define DNFA6NFEN10                       DNFA6ENH_bit.no2
#define DNFA6NFEN11                       DNFA6ENH_bit.no3
#define DNFA6NFEN12                       DNFA6ENH_bit.no4
#define DNFA6NFEN13                       DNFA6ENH_bit.no5
#define DNFA6NFEN14                       DNFA6ENH_bit.no6
#define DNFA6NFEN15                       DNFA6ENH_bit.no7

#define DNFA6NFEN0                        DNFA6ENL_bit.no0
#define DNFA6NFEN1                        DNFA6ENL_bit.no1
#define DNFA6NFEN2                        DNFA6ENL_bit.no2
#define DNFA6NFEN3                        DNFA6ENL_bit.no3
#define DNFA6NFEN4                        DNFA6ENL_bit.no4
#define DNFA6NFEN5                        DNFA6ENL_bit.no5
#define DNFA6NFEN6                        DNFA6ENL_bit.no6
#define DNFA6NFEN7                        DNFA6ENL_bit.no7

#define DNFA8NFEN0                        DNFA8ENL_bit.no0
#define DNFA8NFEN1                        DNFA8ENL_bit.no1
#define DNFA8NFEN2                        DNFA8ENL_bit.no2
#define DNFA8NFEN3                        DNFA8ENL_bit.no3
#define DNFA8NFEN4                        DNFA8ENL_bit.no4

#define DNFA9NFEN0                        DNFA9ENL_bit.no0
#define DNFA9NFEN1                        DNFA9ENL_bit.no1
#define DNFA9NFEN2                        DNFA9ENL_bit.no2
#define DNFA9NFEN3                        DNFA9ENL_bit.no3
#define DNFA9NFEN4                        DNFA9ENL_bit.no4

#define DNFA10NFEN0                       DNFA10ENL_bit.no0
#define DNFA10NFEN1                       DNFA10ENL_bit.no1
#define DNFA10NFEN2                       DNFA10ENL_bit.no2
#define DNFA10NFEN3                       DNFA10ENL_bit.no3

#define DNFA11NFEN0                       DNFA11ENL_bit.no0
#define DNFA11NFEN1                       DNFA11ENL_bit.no1
#define DNFA11NFEN2                       DNFA11ENL_bit.no2
#define DNFA11NFEN3                       DNFA11ENL_bit.no3
#define DNFA11NFEN4                       DNFA11ENL_bit.no4
#define DNFA11NFEN5                       DNFA11ENL_bit.no5

#define DNFA12NFEN0                       DNFA12ENL_bit.no0
#define DNFA12NFEN1                       DNFA12ENL_bit.no1
#define DNFA12NFEN2                       DNFA12ENL_bit.no2
#define DNFA12NFEN3                       DNFA12ENL_bit.no3
#define DNFA12NFEN4                       DNFA12ENL_bit.no4
#define DNFA12NFEN5                       DNFA12ENL_bit.no5
#define DNFA12NFEN6                       DNFA12ENL_bit.no6
#define DNFA12NFEN7                       DNFA12ENL_bit.no7

#define DNFA13NFEN0                       DNFA13ENL_bit.no0
#define DNFA13NFEN1                       DNFA13ENL_bit.no1
#define DNFA13NFEN2                       DNFA13ENL_bit.no2
#define DNFA13NFEN3                       DNFA13ENL_bit.no3
#define DNFA13NFEN4                       DNFA13ENL_bit.no4
#define DNFA13NFEN5                       DNFA13ENL_bit.no5
#define DNFA13NFEN6                       DNFA13ENL_bit.no6
#define DNFA13NFEN7                       DNFA13ENL_bit.no7

#define DNFA14NFEN0                       DNFA14ENL_bit.no0
#define DNFA14NFEN1                       DNFA14ENL_bit.no1
#define DNFA14NFEN2                       DNFA14ENL_bit.no2
#define DNFA14NFEN3                       DNFA14ENL_bit.no3
#define DNFA14NFEN4                       DNFA14ENL_bit.no4
#define DNFA14NFEN5                       DNFA14ENL_bit.no5
#define DNFA14NFEN6                       DNFA14ENL_bit.no6

#define PIC0HIZCEN00                      PIC0HIZCEN0_bit.no0

#define PIC0HIZCEN10                      PIC0HIZCEN1_bit.no0

#define PIC0HIZCEN20                      PIC0HIZCEN2_bit.no0

#define PIC0HIZCEN30                      PIC0HIZCEN3_bit.no0

#define IICB0SLRS                         IICB0CTL1_bit.no0
#define IICB0SLSE                         IICB0CTL1_bit.no1
#define IICB0LGDF0                        IICB0CTL1_bit.no4
#define IICB0LGDF1                        IICB0CTL1_bit.no5
#define IICB0LGDF2                        IICB0CTL1_bit.no6
#define IICB0MDSC                         IICB0CTL1_bit.no7

#define IICB1SLRS                         IICB1CTL1_bit.no0
#define IICB1SLSE                         IICB1CTL1_bit.no1
#define IICB1LGDF0                        IICB1CTL1_bit.no4
#define IICB1LGDF1                        IICB1CTL1_bit.no5
#define IICB1LGDF2                        IICB1CTL1_bit.no6
#define IICB1MDSC                         IICB1CTL1_bit.no7

#define IICB2SLRS                         IICB2CTL1_bit.no0
#define IICB2SLSE                         IICB2CTL1_bit.no1
#define IICB2LGDF0                        IICB2CTL1_bit.no4
#define IICB2LGDF1                        IICB2CTL1_bit.no5
#define IICB2LGDF2                        IICB2CTL1_bit.no6
#define IICB2MDSC                         IICB2CTL1_bit.no7

#define IICB3SLRS                         IICB3CTL1_bit.no0
#define IICB3SLSE                         IICB3CTL1_bit.no1
#define IICB3LGDF0                        IICB3CTL1_bit.no4
#define IICB3LGDF1                        IICB3CTL1_bit.no5
#define IICB3LGDF2                        IICB3CTL1_bit.no6
#define IICB3MDSC                         IICB3CTL1_bit.no7

#define IICB4SLRS                         IICB4CTL1_bit.no0
#define IICB4SLSE                         IICB4CTL1_bit.no1
#define IICB4LGDF0                        IICB4CTL1_bit.no4
#define IICB4LGDF1                        IICB4CTL1_bit.no5
#define IICB4LGDF2                        IICB4CTL1_bit.no6
#define IICB4MDSC                         IICB4CTL1_bit.no7

#define IICB5SLRS                         IICB5CTL1_bit.no0
#define IICB5SLSE                         IICB5CTL1_bit.no1
#define IICB5LGDF0                        IICB5CTL1_bit.no4
#define IICB5LGDF1                        IICB5CTL1_bit.no5
#define IICB5LGDF2                        IICB5CTL1_bit.no6
#define IICB5MDSC                         IICB5CTL1_bit.no7

#define TSECESUP                          TSECLL_bit.no0

#define PPMSK                             PPMLL_bit.no0

#define PPV00                             PPV0LL_bit.no0
#define PPV01                             PPV0LL_bit.no1
#define PPV02                             PPV0LL_bit.no2
#define PPV03                             PPV0LL_bit.no3
#define PPV04                             PPV0LL_bit.no4
#define PPV05                             PPV0LL_bit.no5
#define PPV06                             PPV0LL_bit.no6
#define PPV07                             PPV0LL_bit.no7

#define PPV08                             PPV0LH_bit.no0
#define PPV09                             PPV0LH_bit.no1
#define PPV010                            PPV0LH_bit.no2
#define PPV011                            PPV0LH_bit.no3
#define PPV012                            PPV0LH_bit.no4
#define PPV013                            PPV0LH_bit.no5
#define PPV014                            PPV0LH_bit.no6
#define PPV015                            PPV0LH_bit.no7

#define PPV016                            PPV0HL_bit.no0
#define PPV017                            PPV0HL_bit.no1
#define PPV018                            PPV0HL_bit.no2
#define PPV019                            PPV0HL_bit.no3
#define PPV020                            PPV0HL_bit.no4
#define PPV021                            PPV0HL_bit.no5
#define PPV022                            PPV0HL_bit.no6
#define PPV023                            PPV0HL_bit.no7

#define PPV024                            PPV0HH_bit.no0
#define PPV025                            PPV0HH_bit.no1
#define PPV026                            PPV0HH_bit.no2
#define PPV027                            PPV0HH_bit.no3
#define PPV028                            PPV0HH_bit.no4
#define PPV029                            PPV0HH_bit.no5
#define PPV030                            PPV0HH_bit.no6
#define PPV031                            PPV0HH_bit.no7

#define PPT00                             PPT0LL_bit.no0
#define PPT01                             PPT0LL_bit.no1
#define PPT02                             PPT0LL_bit.no2
#define PPT03                             PPT0LL_bit.no3
#define PPT04                             PPT0LL_bit.no4
#define PPT05                             PPT0LL_bit.no5
#define PPT06                             PPT0LL_bit.no6
#define PPT07                             PPT0LL_bit.no7

#define PPT08                             PPT0LH_bit.no0
#define PPT09                             PPT0LH_bit.no1
#define PPT010                            PPT0LH_bit.no2
#define PPT011                            PPT0LH_bit.no3
#define PPT012                            PPT0LH_bit.no4
#define PPT013                            PPT0LH_bit.no5
#define PPT014                            PPT0LH_bit.no6
#define PPT015                            PPT0LH_bit.no7

#define PPT016                            PPT0HL_bit.no0
#define PPT017                            PPT0HL_bit.no1
#define PPT018                            PPT0HL_bit.no2
#define PPT019                            PPT0HL_bit.no3
#define PPT020                            PPT0HL_bit.no4
#define PPT021                            PPT0HL_bit.no5
#define PPT022                            PPT0HL_bit.no6
#define PPT023                            PPT0HL_bit.no7

#define PPT024                            PPT0HH_bit.no0
#define PPT025                            PPT0HH_bit.no1
#define PPT026                            PPT0HH_bit.no2
#define PPT027                            PPT0HH_bit.no3
#define PPT028                            PPT0HH_bit.no4
#define PPT029                            PPT0HH_bit.no5
#define PPT030                            PPT0HH_bit.no6
#define PPT031                            PPT0HH_bit.no7

#define PPP00                             PPP0LL_bit.no0
#define PPP01                             PPP0LL_bit.no1
#define PPP02                             PPP0LL_bit.no2
#define PPP03                             PPP0LL_bit.no3
#define PPP04                             PPP0LL_bit.no4
#define PPP05                             PPP0LL_bit.no5
#define PPP06                             PPP0LL_bit.no6
#define PPP07                             PPP0LL_bit.no7

#define PPP08                             PPP0LH_bit.no0
#define PPP09                             PPP0LH_bit.no1
#define PPP010                            PPP0LH_bit.no2
#define PPP011                            PPP0LH_bit.no3
#define PPP012                            PPP0LH_bit.no4
#define PPP013                            PPP0LH_bit.no5
#define PPP014                            PPP0LH_bit.no6
#define PPP015                            PPP0LH_bit.no7

#define PPP016                            PPP0HL_bit.no0
#define PPP017                            PPP0HL_bit.no1
#define PPP018                            PPP0HL_bit.no2
#define PPP019                            PPP0HL_bit.no3
#define PPP020                            PPP0HL_bit.no4
#define PPP021                            PPP0HL_bit.no5
#define PPP022                            PPP0HL_bit.no6
#define PPP023                            PPP0HL_bit.no7

#define PPP024                            PPP0HH_bit.no0
#define PPP025                            PPP0HH_bit.no1
#define PPP026                            PPP0HH_bit.no2
#define PPP027                            PPP0HH_bit.no3
#define PPP028                            PPP0HH_bit.no4
#define PPP029                            PPP0HH_bit.no5
#define PPP030                            PPP0HH_bit.no6
#define PPP031                            PPP0HH_bit.no7

#define PPS00                             PPS0LL_bit.no0
#define PPS01                             PPS0LL_bit.no1
#define PPS02                             PPS0LL_bit.no2
#define PPS03                             PPS0LL_bit.no3
#define PPS04                             PPS0LL_bit.no4
#define PPS05                             PPS0LL_bit.no5
#define PPS06                             PPS0LL_bit.no6
#define PPS07                             PPS0LL_bit.no7

#define PPS08                             PPS0LH_bit.no0
#define PPS09                             PPS0LH_bit.no1
#define PPS010                            PPS0LH_bit.no2
#define PPS011                            PPS0LH_bit.no3
#define PPS012                            PPS0LH_bit.no4
#define PPS013                            PPS0LH_bit.no5
#define PPS014                            PPS0LH_bit.no6
#define PPS015                            PPS0LH_bit.no7

#define PPS016                            PPS0HL_bit.no0
#define PPS017                            PPS0HL_bit.no1
#define PPS018                            PPS0HL_bit.no2
#define PPS019                            PPS0HL_bit.no3
#define PPS020                            PPS0HL_bit.no4
#define PPS021                            PPS0HL_bit.no5
#define PPS022                            PPS0HL_bit.no6
#define PPS023                            PPS0HL_bit.no7

#define PPS024                            PPS0HH_bit.no0
#define PPS025                            PPS0HH_bit.no1
#define PPS026                            PPS0HH_bit.no2
#define PPS027                            PPS0HH_bit.no3
#define PPS028                            PPS0HH_bit.no4
#define PPS029                            PPS0HH_bit.no5
#define PPS030                            PPS0HH_bit.no6
#define PPS031                            PPS0HH_bit.no7

#define PPV10                             PPV1LL_bit.no0
#define PPV11                             PPV1LL_bit.no1
#define PPV12                             PPV1LL_bit.no2
#define PPV13                             PPV1LL_bit.no3
#define PPV14                             PPV1LL_bit.no4
#define PPV15                             PPV1LL_bit.no5
#define PPV16                             PPV1LL_bit.no6
#define PPV17                             PPV1LL_bit.no7

#define PPV18                             PPV1LH_bit.no0
#define PPV19                             PPV1LH_bit.no1
#define PPV110                            PPV1LH_bit.no2
#define PPV111                            PPV1LH_bit.no3
#define PPV112                            PPV1LH_bit.no4
#define PPV113                            PPV1LH_bit.no5
#define PPV114                            PPV1LH_bit.no6
#define PPV115                            PPV1LH_bit.no7

#define PPV116                            PPV1HL_bit.no0
#define PPV117                            PPV1HL_bit.no1
#define PPV118                            PPV1HL_bit.no2
#define PPV119                            PPV1HL_bit.no3
#define PPV120                            PPV1HL_bit.no4
#define PPV121                            PPV1HL_bit.no5
#define PPV122                            PPV1HL_bit.no6
#define PPV123                            PPV1HL_bit.no7

#define PPV124                            PPV1HH_bit.no0
#define PPV125                            PPV1HH_bit.no1
#define PPV126                            PPV1HH_bit.no2
#define PPV127                            PPV1HH_bit.no3
#define PPV128                            PPV1HH_bit.no4
#define PPV129                            PPV1HH_bit.no5
#define PPV130                            PPV1HH_bit.no6
#define PPV131                            PPV1HH_bit.no7

#define PPT10                             PPT1LL_bit.no0
#define PPT11                             PPT1LL_bit.no1
#define PPT12                             PPT1LL_bit.no2
#define PPT13                             PPT1LL_bit.no3
#define PPT14                             PPT1LL_bit.no4
#define PPT15                             PPT1LL_bit.no5
#define PPT16                             PPT1LL_bit.no6
#define PPT17                             PPT1LL_bit.no7

#define PPT18                             PPT1LH_bit.no0
#define PPT19                             PPT1LH_bit.no1
#define PPT110                            PPT1LH_bit.no2
#define PPT111                            PPT1LH_bit.no3
#define PPT112                            PPT1LH_bit.no4
#define PPT113                            PPT1LH_bit.no5
#define PPT114                            PPT1LH_bit.no6
#define PPT115                            PPT1LH_bit.no7

#define PPT116                            PPT1HL_bit.no0
#define PPT117                            PPT1HL_bit.no1
#define PPT118                            PPT1HL_bit.no2
#define PPT119                            PPT1HL_bit.no3
#define PPT120                            PPT1HL_bit.no4
#define PPT121                            PPT1HL_bit.no5
#define PPT122                            PPT1HL_bit.no6
#define PPT123                            PPT1HL_bit.no7

#define PPT124                            PPT1HH_bit.no0
#define PPT125                            PPT1HH_bit.no1
#define PPT126                            PPT1HH_bit.no2
#define PPT127                            PPT1HH_bit.no3
#define PPT128                            PPT1HH_bit.no4
#define PPT129                            PPT1HH_bit.no5
#define PPT130                            PPT1HH_bit.no6
#define PPT131                            PPT1HH_bit.no7

#define PPP10                             PPP1LL_bit.no0
#define PPP11                             PPP1LL_bit.no1
#define PPP12                             PPP1LL_bit.no2
#define PPP13                             PPP1LL_bit.no3
#define PPP14                             PPP1LL_bit.no4
#define PPP15                             PPP1LL_bit.no5
#define PPP16                             PPP1LL_bit.no6
#define PPP17                             PPP1LL_bit.no7

#define PPP18                             PPP1LH_bit.no0
#define PPP19                             PPP1LH_bit.no1
#define PPP110                            PPP1LH_bit.no2
#define PPP111                            PPP1LH_bit.no3
#define PPP112                            PPP1LH_bit.no4
#define PPP113                            PPP1LH_bit.no5
#define PPP114                            PPP1LH_bit.no6
#define PPP115                            PPP1LH_bit.no7

#define PPP116                            PPP1HL_bit.no0
#define PPP117                            PPP1HL_bit.no1
#define PPP118                            PPP1HL_bit.no2
#define PPP119                            PPP1HL_bit.no3
#define PPP120                            PPP1HL_bit.no4
#define PPP121                            PPP1HL_bit.no5
#define PPP122                            PPP1HL_bit.no6
#define PPP123                            PPP1HL_bit.no7

#define PPP124                            PPP1HH_bit.no0
#define PPP125                            PPP1HH_bit.no1
#define PPP126                            PPP1HH_bit.no2
#define PPP127                            PPP1HH_bit.no3
#define PPP128                            PPP1HH_bit.no4
#define PPP129                            PPP1HH_bit.no5
#define PPP130                            PPP1HH_bit.no6
#define PPP131                            PPP1HH_bit.no7

#define PPS10                             PPS1LL_bit.no0
#define PPS11                             PPS1LL_bit.no1
#define PPS12                             PPS1LL_bit.no2
#define PPS13                             PPS1LL_bit.no3
#define PPS14                             PPS1LL_bit.no4
#define PPS15                             PPS1LL_bit.no5
#define PPS16                             PPS1LL_bit.no6
#define PPS17                             PPS1LL_bit.no7

#define PPS18                             PPS1LH_bit.no0
#define PPS19                             PPS1LH_bit.no1
#define PPS110                            PPS1LH_bit.no2
#define PPS111                            PPS1LH_bit.no3
#define PPS112                            PPS1LH_bit.no4
#define PPS113                            PPS1LH_bit.no5
#define PPS114                            PPS1LH_bit.no6
#define PPS115                            PPS1LH_bit.no7

#define PPS116                            PPS1HL_bit.no0
#define PPS117                            PPS1HL_bit.no1
#define PPS118                            PPS1HL_bit.no2
#define PPS119                            PPS1HL_bit.no3
#define PPS120                            PPS1HL_bit.no4
#define PPS121                            PPS1HL_bit.no5
#define PPS122                            PPS1HL_bit.no6
#define PPS123                            PPS1HL_bit.no7

#define PPS124                            PPS1HH_bit.no0
#define PPS125                            PPS1HH_bit.no1
#define PPS126                            PPS1HH_bit.no2
#define PPS127                            PPS1HH_bit.no3
#define PPS128                            PPS1HH_bit.no4
#define PPS129                            PPS1HH_bit.no5
#define PPS130                            PPS1HH_bit.no6
#define PPS131                            PPS1HH_bit.no7

#define PPV20                             PPV2LL_bit.no0
#define PPV21                             PPV2LL_bit.no1
#define PPV22                             PPV2LL_bit.no2
#define PPV23                             PPV2LL_bit.no3
#define PPV24                             PPV2LL_bit.no4
#define PPV25                             PPV2LL_bit.no5
#define PPV26                             PPV2LL_bit.no6
#define PPV27                             PPV2LL_bit.no7

#define PPV28                             PPV2LH_bit.no0
#define PPV29                             PPV2LH_bit.no1
#define PPV210                            PPV2LH_bit.no2
#define PPV211                            PPV2LH_bit.no3
#define PPV212                            PPV2LH_bit.no4
#define PPV213                            PPV2LH_bit.no5
#define PPV214                            PPV2LH_bit.no6
#define PPV215                            PPV2LH_bit.no7

#define PPV216                            PPV2HL_bit.no0
#define PPV217                            PPV2HL_bit.no1
#define PPV218                            PPV2HL_bit.no2
#define PPV219                            PPV2HL_bit.no3
#define PPV220                            PPV2HL_bit.no4
#define PPV221                            PPV2HL_bit.no5
#define PPV222                            PPV2HL_bit.no6
#define PPV223                            PPV2HL_bit.no7

#define PPV224                            PPV2HH_bit.no0
#define PPV225                            PPV2HH_bit.no1
#define PPV226                            PPV2HH_bit.no2
#define PPV227                            PPV2HH_bit.no3
#define PPV228                            PPV2HH_bit.no4
#define PPV229                            PPV2HH_bit.no5
#define PPV230                            PPV2HH_bit.no6
#define PPV231                            PPV2HH_bit.no7

#define PPT20                             PPT2LL_bit.no0
#define PPT21                             PPT2LL_bit.no1
#define PPT22                             PPT2LL_bit.no2
#define PPT23                             PPT2LL_bit.no3
#define PPT24                             PPT2LL_bit.no4
#define PPT25                             PPT2LL_bit.no5
#define PPT26                             PPT2LL_bit.no6
#define PPT27                             PPT2LL_bit.no7

#define PPT28                             PPT2LH_bit.no0
#define PPT29                             PPT2LH_bit.no1
#define PPT210                            PPT2LH_bit.no2
#define PPT211                            PPT2LH_bit.no3
#define PPT212                            PPT2LH_bit.no4
#define PPT213                            PPT2LH_bit.no5
#define PPT214                            PPT2LH_bit.no6
#define PPT215                            PPT2LH_bit.no7

#define PPT216                            PPT2HL_bit.no0
#define PPT217                            PPT2HL_bit.no1
#define PPT218                            PPT2HL_bit.no2
#define PPT219                            PPT2HL_bit.no3
#define PPT220                            PPT2HL_bit.no4
#define PPT221                            PPT2HL_bit.no5
#define PPT222                            PPT2HL_bit.no6
#define PPT223                            PPT2HL_bit.no7

#define PPT224                            PPT2HH_bit.no0
#define PPT225                            PPT2HH_bit.no1
#define PPT226                            PPT2HH_bit.no2
#define PPT227                            PPT2HH_bit.no3
#define PPT228                            PPT2HH_bit.no4
#define PPT229                            PPT2HH_bit.no5
#define PPT230                            PPT2HH_bit.no6
#define PPT231                            PPT2HH_bit.no7

#define PPP20                             PPP2LL_bit.no0
#define PPP21                             PPP2LL_bit.no1
#define PPP22                             PPP2LL_bit.no2
#define PPP23                             PPP2LL_bit.no3
#define PPP24                             PPP2LL_bit.no4
#define PPP25                             PPP2LL_bit.no5
#define PPP26                             PPP2LL_bit.no6
#define PPP27                             PPP2LL_bit.no7

#define PPP28                             PPP2LH_bit.no0
#define PPP29                             PPP2LH_bit.no1
#define PPP210                            PPP2LH_bit.no2
#define PPP211                            PPP2LH_bit.no3
#define PPP212                            PPP2LH_bit.no4
#define PPP213                            PPP2LH_bit.no5
#define PPP214                            PPP2LH_bit.no6
#define PPP215                            PPP2LH_bit.no7

#define PPP216                            PPP2HL_bit.no0
#define PPP217                            PPP2HL_bit.no1
#define PPP218                            PPP2HL_bit.no2
#define PPP219                            PPP2HL_bit.no3
#define PPP220                            PPP2HL_bit.no4
#define PPP221                            PPP2HL_bit.no5
#define PPP222                            PPP2HL_bit.no6
#define PPP223                            PPP2HL_bit.no7

#define PPP224                            PPP2HH_bit.no0
#define PPP225                            PPP2HH_bit.no1
#define PPP226                            PPP2HH_bit.no2
#define PPP227                            PPP2HH_bit.no3
#define PPP228                            PPP2HH_bit.no4
#define PPP229                            PPP2HH_bit.no5
#define PPP230                            PPP2HH_bit.no6
#define PPP231                            PPP2HH_bit.no7

#define PPS20                             PPS2LL_bit.no0
#define PPS21                             PPS2LL_bit.no1
#define PPS22                             PPS2LL_bit.no2
#define PPS23                             PPS2LL_bit.no3
#define PPS24                             PPS2LL_bit.no4
#define PPS25                             PPS2LL_bit.no5
#define PPS26                             PPS2LL_bit.no6
#define PPS27                             PPS2LL_bit.no7

#define PPS28                             PPS2LH_bit.no0
#define PPS29                             PPS2LH_bit.no1
#define PPS210                            PPS2LH_bit.no2
#define PPS211                            PPS2LH_bit.no3
#define PPS212                            PPS2LH_bit.no4
#define PPS213                            PPS2LH_bit.no5
#define PPS214                            PPS2LH_bit.no6
#define PPS215                            PPS2LH_bit.no7

#define PPS216                            PPS2HL_bit.no0
#define PPS217                            PPS2HL_bit.no1
#define PPS218                            PPS2HL_bit.no2
#define PPS219                            PPS2HL_bit.no3
#define PPS220                            PPS2HL_bit.no4
#define PPS221                            PPS2HL_bit.no5
#define PPS222                            PPS2HL_bit.no6
#define PPS223                            PPS2HL_bit.no7

#define PPS224                            PPS2HH_bit.no0
#define PPS225                            PPS2HH_bit.no1
#define PPS226                            PPS2HH_bit.no2
#define PPS227                            PPS2HH_bit.no3
#define PPS228                            PPS2HH_bit.no4
#define PPS229                            PPS2HH_bit.no5
#define PPS230                            PPS2HH_bit.no6
#define PPS231                            PPS2HH_bit.no7

#define PPV30                             PPV3LL_bit.no0
#define PPV31                             PPV3LL_bit.no1
#define PPV32                             PPV3LL_bit.no2
#define PPV33                             PPV3LL_bit.no3
#define PPV34                             PPV3LL_bit.no4
#define PPV35                             PPV3LL_bit.no5
#define PPV36                             PPV3LL_bit.no6
#define PPV37                             PPV3LL_bit.no7

#define PPV38                             PPV3LH_bit.no0
#define PPV39                             PPV3LH_bit.no1
#define PPV310                            PPV3LH_bit.no2
#define PPV311                            PPV3LH_bit.no3
#define PPV312                            PPV3LH_bit.no4
#define PPV313                            PPV3LH_bit.no5
#define PPV314                            PPV3LH_bit.no6
#define PPV315                            PPV3LH_bit.no7

#define PPV316                            PPV3HL_bit.no0
#define PPV317                            PPV3HL_bit.no1
#define PPV318                            PPV3HL_bit.no2
#define PPV319                            PPV3HL_bit.no3
#define PPV320                            PPV3HL_bit.no4
#define PPV321                            PPV3HL_bit.no5
#define PPV322                            PPV3HL_bit.no6
#define PPV323                            PPV3HL_bit.no7

#define PPV324                            PPV3HH_bit.no0
#define PPV325                            PPV3HH_bit.no1
#define PPV326                            PPV3HH_bit.no2
#define PPV327                            PPV3HH_bit.no3
#define PPV328                            PPV3HH_bit.no4
#define PPV329                            PPV3HH_bit.no5
#define PPV330                            PPV3HH_bit.no6
#define PPV331                            PPV3HH_bit.no7

#define PPT30                             PPT3LL_bit.no0
#define PPT31                             PPT3LL_bit.no1
#define PPT32                             PPT3LL_bit.no2
#define PPT33                             PPT3LL_bit.no3
#define PPT34                             PPT3LL_bit.no4
#define PPT35                             PPT3LL_bit.no5
#define PPT36                             PPT3LL_bit.no6
#define PPT37                             PPT3LL_bit.no7

#define PPT38                             PPT3LH_bit.no0
#define PPT39                             PPT3LH_bit.no1
#define PPT310                            PPT3LH_bit.no2
#define PPT311                            PPT3LH_bit.no3
#define PPT312                            PPT3LH_bit.no4
#define PPT313                            PPT3LH_bit.no5
#define PPT314                            PPT3LH_bit.no6
#define PPT315                            PPT3LH_bit.no7

#define PPT316                            PPT3HL_bit.no0
#define PPT317                            PPT3HL_bit.no1
#define PPT318                            PPT3HL_bit.no2
#define PPT319                            PPT3HL_bit.no3
#define PPT320                            PPT3HL_bit.no4
#define PPT321                            PPT3HL_bit.no5
#define PPT322                            PPT3HL_bit.no6
#define PPT323                            PPT3HL_bit.no7

#define PPT324                            PPT3HH_bit.no0
#define PPT325                            PPT3HH_bit.no1
#define PPT326                            PPT3HH_bit.no2
#define PPT327                            PPT3HH_bit.no3
#define PPT328                            PPT3HH_bit.no4
#define PPT329                            PPT3HH_bit.no5
#define PPT330                            PPT3HH_bit.no6
#define PPT331                            PPT3HH_bit.no7

#define PPP30                             PPP3LL_bit.no0
#define PPP31                             PPP3LL_bit.no1
#define PPP32                             PPP3LL_bit.no2
#define PPP33                             PPP3LL_bit.no3
#define PPP34                             PPP3LL_bit.no4
#define PPP35                             PPP3LL_bit.no5
#define PPP36                             PPP3LL_bit.no6
#define PPP37                             PPP3LL_bit.no7

#define PPP38                             PPP3LH_bit.no0
#define PPP39                             PPP3LH_bit.no1
#define PPP310                            PPP3LH_bit.no2
#define PPP311                            PPP3LH_bit.no3
#define PPP312                            PPP3LH_bit.no4
#define PPP313                            PPP3LH_bit.no5
#define PPP314                            PPP3LH_bit.no6
#define PPP315                            PPP3LH_bit.no7

#define PPP316                            PPP3HL_bit.no0
#define PPP317                            PPP3HL_bit.no1
#define PPP318                            PPP3HL_bit.no2
#define PPP319                            PPP3HL_bit.no3
#define PPP320                            PPP3HL_bit.no4
#define PPP321                            PPP3HL_bit.no5
#define PPP322                            PPP3HL_bit.no6
#define PPP323                            PPP3HL_bit.no7

#define PPP324                            PPP3HH_bit.no0
#define PPP325                            PPP3HH_bit.no1
#define PPP326                            PPP3HH_bit.no2
#define PPP327                            PPP3HH_bit.no3
#define PPP328                            PPP3HH_bit.no4
#define PPP329                            PPP3HH_bit.no5
#define PPP330                            PPP3HH_bit.no6
#define PPP331                            PPP3HH_bit.no7

#define PPS30                             PPS3LL_bit.no0
#define PPS31                             PPS3LL_bit.no1
#define PPS32                             PPS3LL_bit.no2
#define PPS33                             PPS3LL_bit.no3
#define PPS34                             PPS3LL_bit.no4
#define PPS35                             PPS3LL_bit.no5
#define PPS36                             PPS3LL_bit.no6
#define PPS37                             PPS3LL_bit.no7

#define PPS38                             PPS3LH_bit.no0
#define PPS39                             PPS3LH_bit.no1
#define PPS310                            PPS3LH_bit.no2
#define PPS311                            PPS3LH_bit.no3
#define PPS312                            PPS3LH_bit.no4
#define PPS313                            PPS3LH_bit.no5
#define PPS314                            PPS3LH_bit.no6
#define PPS315                            PPS3LH_bit.no7

#define PPS316                            PPS3HL_bit.no0
#define PPS317                            PPS3HL_bit.no1
#define PPS318                            PPS3HL_bit.no2
#define PPS319                            PPS3HL_bit.no3
#define PPS320                            PPS3HL_bit.no4
#define PPS321                            PPS3HL_bit.no5
#define PPS322                            PPS3HL_bit.no6
#define PPS323                            PPS3HL_bit.no7

#define PPS324                            PPS3HH_bit.no0
#define PPS325                            PPS3HH_bit.no1
#define PPS326                            PPS3HH_bit.no2
#define PPS327                            PPS3HH_bit.no3
#define PPS328                            PPS3HH_bit.no4
#define PPS329                            PPS3HH_bit.no5
#define PPS330                            PPS3HH_bit.no6
#define PPS331                            PPS3HH_bit.no7

#define PPV40                             PPV4LL_bit.no0
#define PPV41                             PPV4LL_bit.no1
#define PPV42                             PPV4LL_bit.no2
#define PPV43                             PPV4LL_bit.no3
#define PPV44                             PPV4LL_bit.no4
#define PPV45                             PPV4LL_bit.no5
#define PPV46                             PPV4LL_bit.no6
#define PPV47                             PPV4LL_bit.no7

#define PPV48                             PPV4LH_bit.no0
#define PPV49                             PPV4LH_bit.no1
#define PPV410                            PPV4LH_bit.no2
#define PPV411                            PPV4LH_bit.no3
#define PPV412                            PPV4LH_bit.no4
#define PPV413                            PPV4LH_bit.no5
#define PPV414                            PPV4LH_bit.no6
#define PPV415                            PPV4LH_bit.no7

#define PPV416                            PPV4HL_bit.no0
#define PPV417                            PPV4HL_bit.no1
#define PPV418                            PPV4HL_bit.no2
#define PPV419                            PPV4HL_bit.no3
#define PPV420                            PPV4HL_bit.no4
#define PPV421                            PPV4HL_bit.no5
#define PPV422                            PPV4HL_bit.no6
#define PPV423                            PPV4HL_bit.no7

#define PPV424                            PPV4HH_bit.no0
#define PPV425                            PPV4HH_bit.no1
#define PPV426                            PPV4HH_bit.no2
#define PPV427                            PPV4HH_bit.no3
#define PPV428                            PPV4HH_bit.no4
#define PPV429                            PPV4HH_bit.no5
#define PPV430                            PPV4HH_bit.no6
#define PPV431                            PPV4HH_bit.no7

#define PPT40                             PPT4LL_bit.no0
#define PPT41                             PPT4LL_bit.no1
#define PPT42                             PPT4LL_bit.no2
#define PPT43                             PPT4LL_bit.no3
#define PPT44                             PPT4LL_bit.no4
#define PPT45                             PPT4LL_bit.no5
#define PPT46                             PPT4LL_bit.no6
#define PPT47                             PPT4LL_bit.no7

#define PPT48                             PPT4LH_bit.no0
#define PPT49                             PPT4LH_bit.no1
#define PPT410                            PPT4LH_bit.no2
#define PPT411                            PPT4LH_bit.no3
#define PPT412                            PPT4LH_bit.no4
#define PPT413                            PPT4LH_bit.no5
#define PPT414                            PPT4LH_bit.no6
#define PPT415                            PPT4LH_bit.no7

#define PPT416                            PPT4HL_bit.no0
#define PPT417                            PPT4HL_bit.no1
#define PPT418                            PPT4HL_bit.no2
#define PPT419                            PPT4HL_bit.no3
#define PPT420                            PPT4HL_bit.no4
#define PPT421                            PPT4HL_bit.no5
#define PPT422                            PPT4HL_bit.no6
#define PPT423                            PPT4HL_bit.no7

#define PPT424                            PPT4HH_bit.no0
#define PPT425                            PPT4HH_bit.no1
#define PPT426                            PPT4HH_bit.no2
#define PPT427                            PPT4HH_bit.no3
#define PPT428                            PPT4HH_bit.no4
#define PPT429                            PPT4HH_bit.no5
#define PPT430                            PPT4HH_bit.no6
#define PPT431                            PPT4HH_bit.no7

#define PPP40                             PPP4LL_bit.no0
#define PPP41                             PPP4LL_bit.no1
#define PPP42                             PPP4LL_bit.no2
#define PPP43                             PPP4LL_bit.no3
#define PPP44                             PPP4LL_bit.no4
#define PPP45                             PPP4LL_bit.no5
#define PPP46                             PPP4LL_bit.no6
#define PPP47                             PPP4LL_bit.no7

#define PPP48                             PPP4LH_bit.no0
#define PPP49                             PPP4LH_bit.no1
#define PPP410                            PPP4LH_bit.no2
#define PPP411                            PPP4LH_bit.no3
#define PPP412                            PPP4LH_bit.no4
#define PPP413                            PPP4LH_bit.no5
#define PPP414                            PPP4LH_bit.no6
#define PPP415                            PPP4LH_bit.no7

#define PPP416                            PPP4HL_bit.no0
#define PPP417                            PPP4HL_bit.no1
#define PPP418                            PPP4HL_bit.no2
#define PPP419                            PPP4HL_bit.no3
#define PPP420                            PPP4HL_bit.no4
#define PPP421                            PPP4HL_bit.no5
#define PPP422                            PPP4HL_bit.no6
#define PPP423                            PPP4HL_bit.no7

#define PPP424                            PPP4HH_bit.no0
#define PPP425                            PPP4HH_bit.no1
#define PPP426                            PPP4HH_bit.no2
#define PPP427                            PPP4HH_bit.no3
#define PPP428                            PPP4HH_bit.no4
#define PPP429                            PPP4HH_bit.no5
#define PPP430                            PPP4HH_bit.no6
#define PPP431                            PPP4HH_bit.no7

#define PPS40                             PPS4LL_bit.no0
#define PPS41                             PPS4LL_bit.no1
#define PPS42                             PPS4LL_bit.no2
#define PPS43                             PPS4LL_bit.no3
#define PPS44                             PPS4LL_bit.no4
#define PPS45                             PPS4LL_bit.no5
#define PPS46                             PPS4LL_bit.no6
#define PPS47                             PPS4LL_bit.no7

#define PPS48                             PPS4LH_bit.no0
#define PPS49                             PPS4LH_bit.no1
#define PPS410                            PPS4LH_bit.no2
#define PPS411                            PPS4LH_bit.no3
#define PPS412                            PPS4LH_bit.no4
#define PPS413                            PPS4LH_bit.no5
#define PPS414                            PPS4LH_bit.no6
#define PPS415                            PPS4LH_bit.no7

#define PPS416                            PPS4HL_bit.no0
#define PPS417                            PPS4HL_bit.no1
#define PPS418                            PPS4HL_bit.no2
#define PPS419                            PPS4HL_bit.no3
#define PPS420                            PPS4HL_bit.no4
#define PPS421                            PPS4HL_bit.no5
#define PPS422                            PPS4HL_bit.no6
#define PPS423                            PPS4HL_bit.no7

#define PPS424                            PPS4HH_bit.no0
#define PPS425                            PPS4HH_bit.no1
#define PPS426                            PPS4HH_bit.no2
#define PPS427                            PPS4HH_bit.no3
#define PPS428                            PPS4HH_bit.no4
#define PPS429                            PPS4HH_bit.no5
#define PPS430                            PPS4HH_bit.no6
#define PPS431                            PPS4HH_bit.no7

#define PPV50                             PPV5LL_bit.no0
#define PPV51                             PPV5LL_bit.no1
#define PPV52                             PPV5LL_bit.no2
#define PPV53                             PPV5LL_bit.no3
#define PPV54                             PPV5LL_bit.no4
#define PPV55                             PPV5LL_bit.no5
#define PPV56                             PPV5LL_bit.no6
#define PPV57                             PPV5LL_bit.no7

#define PPV58                             PPV5LH_bit.no0
#define PPV59                             PPV5LH_bit.no1
#define PPV510                            PPV5LH_bit.no2
#define PPV511                            PPV5LH_bit.no3
#define PPV512                            PPV5LH_bit.no4
#define PPV513                            PPV5LH_bit.no5
#define PPV514                            PPV5LH_bit.no6
#define PPV515                            PPV5LH_bit.no7

#define PPV516                            PPV5HL_bit.no0
#define PPV517                            PPV5HL_bit.no1
#define PPV518                            PPV5HL_bit.no2
#define PPV519                            PPV5HL_bit.no3
#define PPV520                            PPV5HL_bit.no4
#define PPV521                            PPV5HL_bit.no5
#define PPV522                            PPV5HL_bit.no6
#define PPV523                            PPV5HL_bit.no7

#define PPV524                            PPV5HH_bit.no0
#define PPV525                            PPV5HH_bit.no1
#define PPV526                            PPV5HH_bit.no2
#define PPV527                            PPV5HH_bit.no3
#define PPV528                            PPV5HH_bit.no4
#define PPV529                            PPV5HH_bit.no5
#define PPV530                            PPV5HH_bit.no6
#define PPV531                            PPV5HH_bit.no7

#define PPT50                             PPT5LL_bit.no0
#define PPT51                             PPT5LL_bit.no1
#define PPT52                             PPT5LL_bit.no2
#define PPT53                             PPT5LL_bit.no3
#define PPT54                             PPT5LL_bit.no4
#define PPT55                             PPT5LL_bit.no5
#define PPT56                             PPT5LL_bit.no6
#define PPT57                             PPT5LL_bit.no7

#define PPT58                             PPT5LH_bit.no0
#define PPT59                             PPT5LH_bit.no1
#define PPT510                            PPT5LH_bit.no2
#define PPT511                            PPT5LH_bit.no3
#define PPT512                            PPT5LH_bit.no4
#define PPT513                            PPT5LH_bit.no5
#define PPT514                            PPT5LH_bit.no6
#define PPT515                            PPT5LH_bit.no7

#define PPT516                            PPT5HL_bit.no0
#define PPT517                            PPT5HL_bit.no1
#define PPT518                            PPT5HL_bit.no2
#define PPT519                            PPT5HL_bit.no3
#define PPT520                            PPT5HL_bit.no4
#define PPT521                            PPT5HL_bit.no5
#define PPT522                            PPT5HL_bit.no6
#define PPT523                            PPT5HL_bit.no7

#define PPT524                            PPT5HH_bit.no0
#define PPT525                            PPT5HH_bit.no1
#define PPT526                            PPT5HH_bit.no2
#define PPT527                            PPT5HH_bit.no3
#define PPT528                            PPT5HH_bit.no4
#define PPT529                            PPT5HH_bit.no5
#define PPT530                            PPT5HH_bit.no6
#define PPT531                            PPT5HH_bit.no7

#define PPP50                             PPP5LL_bit.no0
#define PPP51                             PPP5LL_bit.no1
#define PPP52                             PPP5LL_bit.no2
#define PPP53                             PPP5LL_bit.no3
#define PPP54                             PPP5LL_bit.no4
#define PPP55                             PPP5LL_bit.no5
#define PPP56                             PPP5LL_bit.no6
#define PPP57                             PPP5LL_bit.no7

#define PPP58                             PPP5LH_bit.no0
#define PPP59                             PPP5LH_bit.no1
#define PPP510                            PPP5LH_bit.no2
#define PPP511                            PPP5LH_bit.no3
#define PPP512                            PPP5LH_bit.no4
#define PPP513                            PPP5LH_bit.no5
#define PPP514                            PPP5LH_bit.no6
#define PPP515                            PPP5LH_bit.no7

#define PPP516                            PPP5HL_bit.no0
#define PPP517                            PPP5HL_bit.no1
#define PPP518                            PPP5HL_bit.no2
#define PPP519                            PPP5HL_bit.no3
#define PPP520                            PPP5HL_bit.no4
#define PPP521                            PPP5HL_bit.no5
#define PPP522                            PPP5HL_bit.no6
#define PPP523                            PPP5HL_bit.no7

#define PPP524                            PPP5HH_bit.no0
#define PPP525                            PPP5HH_bit.no1
#define PPP526                            PPP5HH_bit.no2
#define PPP527                            PPP5HH_bit.no3
#define PPP528                            PPP5HH_bit.no4
#define PPP529                            PPP5HH_bit.no5
#define PPP530                            PPP5HH_bit.no6
#define PPP531                            PPP5HH_bit.no7

#define PPS50                             PPS5LL_bit.no0
#define PPS51                             PPS5LL_bit.no1
#define PPS52                             PPS5LL_bit.no2
#define PPS53                             PPS5LL_bit.no3
#define PPS54                             PPS5LL_bit.no4
#define PPS55                             PPS5LL_bit.no5
#define PPS56                             PPS5LL_bit.no6
#define PPS57                             PPS5LL_bit.no7

#define PPS58                             PPS5LH_bit.no0
#define PPS59                             PPS5LH_bit.no1
#define PPS510                            PPS5LH_bit.no2
#define PPS511                            PPS5LH_bit.no3
#define PPS512                            PPS5LH_bit.no4
#define PPS513                            PPS5LH_bit.no5
#define PPS514                            PPS5LH_bit.no6
#define PPS515                            PPS5LH_bit.no7

#define PPS516                            PPS5HL_bit.no0
#define PPS517                            PPS5HL_bit.no1
#define PPS518                            PPS5HL_bit.no2
#define PPS519                            PPS5HL_bit.no3
#define PPS520                            PPS5HL_bit.no4
#define PPS521                            PPS5HL_bit.no5
#define PPS522                            PPS5HL_bit.no6
#define PPS523                            PPS5HL_bit.no7

#define PPS524                            PPS5HH_bit.no0
#define PPS525                            PPS5HH_bit.no1
#define PPS526                            PPS5HH_bit.no2
#define PPS527                            PPS5HH_bit.no3
#define PPS528                            PPS5HH_bit.no4
#define PPS529                            PPS5HH_bit.no5
#define PPS530                            PPS5HH_bit.no6
#define PPS531                            PPS5HH_bit.no7

#define PPV60                             PPV6LL_bit.no0
#define PPV61                             PPV6LL_bit.no1
#define PPV62                             PPV6LL_bit.no2
#define PPV63                             PPV6LL_bit.no3
#define PPV64                             PPV6LL_bit.no4
#define PPV65                             PPV6LL_bit.no5
#define PPV66                             PPV6LL_bit.no6
#define PPV67                             PPV6LL_bit.no7

#define PPV68                             PPV6LH_bit.no0
#define PPV69                             PPV6LH_bit.no1
#define PPV610                            PPV6LH_bit.no2
#define PPV611                            PPV6LH_bit.no3
#define PPV612                            PPV6LH_bit.no4
#define PPV613                            PPV6LH_bit.no5
#define PPV614                            PPV6LH_bit.no6
#define PPV615                            PPV6LH_bit.no7

#define PPV616                            PPV6HL_bit.no0
#define PPV617                            PPV6HL_bit.no1
#define PPV618                            PPV6HL_bit.no2
#define PPV619                            PPV6HL_bit.no3
#define PPV620                            PPV6HL_bit.no4
#define PPV621                            PPV6HL_bit.no5
#define PPV622                            PPV6HL_bit.no6
#define PPV623                            PPV6HL_bit.no7

#define PPV624                            PPV6HH_bit.no0
#define PPV625                            PPV6HH_bit.no1
#define PPV626                            PPV6HH_bit.no2
#define PPV627                            PPV6HH_bit.no3
#define PPV628                            PPV6HH_bit.no4
#define PPV629                            PPV6HH_bit.no5
#define PPV630                            PPV6HH_bit.no6
#define PPV631                            PPV6HH_bit.no7

#define PPT60                             PPT6LL_bit.no0
#define PPT61                             PPT6LL_bit.no1
#define PPT62                             PPT6LL_bit.no2
#define PPT63                             PPT6LL_bit.no3
#define PPT64                             PPT6LL_bit.no4
#define PPT65                             PPT6LL_bit.no5
#define PPT66                             PPT6LL_bit.no6
#define PPT67                             PPT6LL_bit.no7

#define PPT68                             PPT6LH_bit.no0
#define PPT69                             PPT6LH_bit.no1
#define PPT610                            PPT6LH_bit.no2
#define PPT611                            PPT6LH_bit.no3
#define PPT612                            PPT6LH_bit.no4
#define PPT613                            PPT6LH_bit.no5
#define PPT614                            PPT6LH_bit.no6
#define PPT615                            PPT6LH_bit.no7

#define PPT616                            PPT6HL_bit.no0
#define PPT617                            PPT6HL_bit.no1
#define PPT618                            PPT6HL_bit.no2
#define PPT619                            PPT6HL_bit.no3
#define PPT620                            PPT6HL_bit.no4
#define PPT621                            PPT6HL_bit.no5
#define PPT622                            PPT6HL_bit.no6
#define PPT623                            PPT6HL_bit.no7

#define PPT624                            PPT6HH_bit.no0
#define PPT625                            PPT6HH_bit.no1
#define PPT626                            PPT6HH_bit.no2
#define PPT627                            PPT6HH_bit.no3
#define PPT628                            PPT6HH_bit.no4
#define PPT629                            PPT6HH_bit.no5
#define PPT630                            PPT6HH_bit.no6
#define PPT631                            PPT6HH_bit.no7

#define PPP60                             PPP6LL_bit.no0
#define PPP61                             PPP6LL_bit.no1
#define PPP62                             PPP6LL_bit.no2
#define PPP63                             PPP6LL_bit.no3
#define PPP64                             PPP6LL_bit.no4
#define PPP65                             PPP6LL_bit.no5
#define PPP66                             PPP6LL_bit.no6
#define PPP67                             PPP6LL_bit.no7

#define PPP68                             PPP6LH_bit.no0
#define PPP69                             PPP6LH_bit.no1
#define PPP610                            PPP6LH_bit.no2
#define PPP611                            PPP6LH_bit.no3
#define PPP612                            PPP6LH_bit.no4
#define PPP613                            PPP6LH_bit.no5
#define PPP614                            PPP6LH_bit.no6
#define PPP615                            PPP6LH_bit.no7

#define PPP616                            PPP6HL_bit.no0
#define PPP617                            PPP6HL_bit.no1
#define PPP618                            PPP6HL_bit.no2
#define PPP619                            PPP6HL_bit.no3
#define PPP620                            PPP6HL_bit.no4
#define PPP621                            PPP6HL_bit.no5
#define PPP622                            PPP6HL_bit.no6
#define PPP623                            PPP6HL_bit.no7

#define PPP624                            PPP6HH_bit.no0
#define PPP625                            PPP6HH_bit.no1
#define PPP626                            PPP6HH_bit.no2
#define PPP627                            PPP6HH_bit.no3
#define PPP628                            PPP6HH_bit.no4
#define PPP629                            PPP6HH_bit.no5
#define PPP630                            PPP6HH_bit.no6
#define PPP631                            PPP6HH_bit.no7

#define PPS60                             PPS6LL_bit.no0
#define PPS61                             PPS6LL_bit.no1
#define PPS62                             PPS6LL_bit.no2
#define PPS63                             PPS6LL_bit.no3
#define PPS64                             PPS6LL_bit.no4
#define PPS65                             PPS6LL_bit.no5
#define PPS66                             PPS6LL_bit.no6
#define PPS67                             PPS6LL_bit.no7

#define PPS68                             PPS6LH_bit.no0
#define PPS69                             PPS6LH_bit.no1
#define PPS610                            PPS6LH_bit.no2
#define PPS611                            PPS6LH_bit.no3
#define PPS612                            PPS6LH_bit.no4
#define PPS613                            PPS6LH_bit.no5
#define PPS614                            PPS6LH_bit.no6
#define PPS615                            PPS6LH_bit.no7

#define PPS616                            PPS6HL_bit.no0
#define PPS617                            PPS6HL_bit.no1
#define PPS618                            PPS6HL_bit.no2
#define PPS619                            PPS6HL_bit.no3
#define PPS620                            PPS6HL_bit.no4
#define PPS621                            PPS6HL_bit.no5
#define PPS622                            PPS6HL_bit.no6
#define PPS623                            PPS6HL_bit.no7

#define PPS624                            PPS6HH_bit.no0
#define PPS625                            PPS6HH_bit.no1
#define PPS626                            PPS6HH_bit.no2
#define PPS627                            PPS6HH_bit.no3
#define PPS628                            PPS6HH_bit.no4
#define PPS629                            PPS6HH_bit.no5
#define PPS630                            PPS6HH_bit.no6
#define PPS631                            PPS6HH_bit.no7

#define PPV70                             PPV7LL_bit.no0
#define PPV71                             PPV7LL_bit.no1
#define PPV72                             PPV7LL_bit.no2
#define PPV73                             PPV7LL_bit.no3
#define PPV74                             PPV7LL_bit.no4
#define PPV75                             PPV7LL_bit.no5
#define PPV76                             PPV7LL_bit.no6
#define PPV77                             PPV7LL_bit.no7

#define PPV78                             PPV7LH_bit.no0
#define PPV79                             PPV7LH_bit.no1
#define PPV710                            PPV7LH_bit.no2
#define PPV711                            PPV7LH_bit.no3
#define PPV712                            PPV7LH_bit.no4
#define PPV713                            PPV7LH_bit.no5
#define PPV714                            PPV7LH_bit.no6
#define PPV715                            PPV7LH_bit.no7

#define PPV716                            PPV7HL_bit.no0
#define PPV717                            PPV7HL_bit.no1
#define PPV718                            PPV7HL_bit.no2
#define PPV719                            PPV7HL_bit.no3
#define PPV720                            PPV7HL_bit.no4
#define PPV721                            PPV7HL_bit.no5
#define PPV722                            PPV7HL_bit.no6
#define PPV723                            PPV7HL_bit.no7

#define PPV724                            PPV7HH_bit.no0
#define PPV725                            PPV7HH_bit.no1
#define PPV726                            PPV7HH_bit.no2
#define PPV727                            PPV7HH_bit.no3
#define PPV728                            PPV7HH_bit.no4
#define PPV729                            PPV7HH_bit.no5
#define PPV730                            PPV7HH_bit.no6
#define PPV731                            PPV7HH_bit.no7

#define PPT70                             PPT7LL_bit.no0
#define PPT71                             PPT7LL_bit.no1
#define PPT72                             PPT7LL_bit.no2
#define PPT73                             PPT7LL_bit.no3
#define PPT74                             PPT7LL_bit.no4
#define PPT75                             PPT7LL_bit.no5
#define PPT76                             PPT7LL_bit.no6
#define PPT77                             PPT7LL_bit.no7

#define PPT78                             PPT7LH_bit.no0
#define PPT79                             PPT7LH_bit.no1
#define PPT710                            PPT7LH_bit.no2
#define PPT711                            PPT7LH_bit.no3
#define PPT712                            PPT7LH_bit.no4
#define PPT713                            PPT7LH_bit.no5
#define PPT714                            PPT7LH_bit.no6
#define PPT715                            PPT7LH_bit.no7

#define PPT716                            PPT7HL_bit.no0
#define PPT717                            PPT7HL_bit.no1
#define PPT718                            PPT7HL_bit.no2
#define PPT719                            PPT7HL_bit.no3
#define PPT720                            PPT7HL_bit.no4
#define PPT721                            PPT7HL_bit.no5
#define PPT722                            PPT7HL_bit.no6
#define PPT723                            PPT7HL_bit.no7

#define PPT724                            PPT7HH_bit.no0
#define PPT725                            PPT7HH_bit.no1
#define PPT726                            PPT7HH_bit.no2
#define PPT727                            PPT7HH_bit.no3
#define PPT728                            PPT7HH_bit.no4
#define PPT729                            PPT7HH_bit.no5
#define PPT730                            PPT7HH_bit.no6
#define PPT731                            PPT7HH_bit.no7

#define PPP70                             PPP7LL_bit.no0
#define PPP71                             PPP7LL_bit.no1
#define PPP72                             PPP7LL_bit.no2
#define PPP73                             PPP7LL_bit.no3
#define PPP74                             PPP7LL_bit.no4
#define PPP75                             PPP7LL_bit.no5
#define PPP76                             PPP7LL_bit.no6
#define PPP77                             PPP7LL_bit.no7

#define PPP78                             PPP7LH_bit.no0
#define PPP79                             PPP7LH_bit.no1
#define PPP710                            PPP7LH_bit.no2
#define PPP711                            PPP7LH_bit.no3
#define PPP712                            PPP7LH_bit.no4
#define PPP713                            PPP7LH_bit.no5
#define PPP714                            PPP7LH_bit.no6
#define PPP715                            PPP7LH_bit.no7

#define PPP716                            PPP7HL_bit.no0
#define PPP717                            PPP7HL_bit.no1
#define PPP718                            PPP7HL_bit.no2
#define PPP719                            PPP7HL_bit.no3
#define PPP720                            PPP7HL_bit.no4
#define PPP721                            PPP7HL_bit.no5
#define PPP722                            PPP7HL_bit.no6
#define PPP723                            PPP7HL_bit.no7

#define PPP724                            PPP7HH_bit.no0
#define PPP725                            PPP7HH_bit.no1
#define PPP726                            PPP7HH_bit.no2
#define PPP727                            PPP7HH_bit.no3
#define PPP728                            PPP7HH_bit.no4
#define PPP729                            PPP7HH_bit.no5
#define PPP730                            PPP7HH_bit.no6
#define PPP731                            PPP7HH_bit.no7

#define PPS70                             PPS7LL_bit.no0
#define PPS71                             PPS7LL_bit.no1
#define PPS72                             PPS7LL_bit.no2
#define PPS73                             PPS7LL_bit.no3
#define PPS74                             PPS7LL_bit.no4
#define PPS75                             PPS7LL_bit.no5
#define PPS76                             PPS7LL_bit.no6
#define PPS77                             PPS7LL_bit.no7

#define PPS78                             PPS7LH_bit.no0
#define PPS79                             PPS7LH_bit.no1
#define PPS710                            PPS7LH_bit.no2
#define PPS711                            PPS7LH_bit.no3
#define PPS712                            PPS7LH_bit.no4
#define PPS713                            PPS7LH_bit.no5
#define PPS714                            PPS7LH_bit.no6
#define PPS715                            PPS7LH_bit.no7

#define PPS716                            PPS7HL_bit.no0
#define PPS717                            PPS7HL_bit.no1
#define PPS718                            PPS7HL_bit.no2
#define PPS719                            PPS7HL_bit.no3
#define PPS720                            PPS7HL_bit.no4
#define PPS721                            PPS7HL_bit.no5
#define PPS722                            PPS7HL_bit.no6
#define PPS723                            PPS7HL_bit.no7

#define PPS724                            PPS7HH_bit.no0
#define PPS725                            PPS7HH_bit.no1
#define PPS726                            PPS7HH_bit.no2
#define PPS727                            PPS7HH_bit.no3
#define PPS728                            PPS7HH_bit.no4
#define PPS729                            PPS7HH_bit.no5
#define PPS730                            PPS7HH_bit.no6
#define PPS731                            PPS7HH_bit.no7

#define PPV80                             PPV8LL_bit.no0
#define PPV81                             PPV8LL_bit.no1
#define PPV82                             PPV8LL_bit.no2
#define PPV83                             PPV8LL_bit.no3
#define PPV84                             PPV8LL_bit.no4
#define PPV85                             PPV8LL_bit.no5
#define PPV86                             PPV8LL_bit.no6
#define PPV87                             PPV8LL_bit.no7

#define PPV88                             PPV8LH_bit.no0
#define PPV89                             PPV8LH_bit.no1
#define PPV810                            PPV8LH_bit.no2
#define PPV811                            PPV8LH_bit.no3
#define PPV812                            PPV8LH_bit.no4
#define PPV813                            PPV8LH_bit.no5
#define PPV814                            PPV8LH_bit.no6
#define PPV815                            PPV8LH_bit.no7

#define PPV816                            PPV8HL_bit.no0
#define PPV817                            PPV8HL_bit.no1
#define PPV818                            PPV8HL_bit.no2
#define PPV819                            PPV8HL_bit.no3
#define PPV820                            PPV8HL_bit.no4
#define PPV821                            PPV8HL_bit.no5
#define PPV822                            PPV8HL_bit.no6
#define PPV823                            PPV8HL_bit.no7

#define PPV824                            PPV8HH_bit.no0
#define PPV825                            PPV8HH_bit.no1
#define PPV826                            PPV8HH_bit.no2
#define PPV827                            PPV8HH_bit.no3
#define PPV828                            PPV8HH_bit.no4
#define PPV829                            PPV8HH_bit.no5
#define PPV830                            PPV8HH_bit.no6
#define PPV831                            PPV8HH_bit.no7

#define PPT80                             PPT8LL_bit.no0
#define PPT81                             PPT8LL_bit.no1
#define PPT82                             PPT8LL_bit.no2
#define PPT83                             PPT8LL_bit.no3
#define PPT84                             PPT8LL_bit.no4
#define PPT85                             PPT8LL_bit.no5
#define PPT86                             PPT8LL_bit.no6
#define PPT87                             PPT8LL_bit.no7

#define PPT88                             PPT8LH_bit.no0
#define PPT89                             PPT8LH_bit.no1
#define PPT810                            PPT8LH_bit.no2
#define PPT811                            PPT8LH_bit.no3
#define PPT812                            PPT8LH_bit.no4
#define PPT813                            PPT8LH_bit.no5
#define PPT814                            PPT8LH_bit.no6
#define PPT815                            PPT8LH_bit.no7

#define PPT816                            PPT8HL_bit.no0
#define PPT817                            PPT8HL_bit.no1
#define PPT818                            PPT8HL_bit.no2
#define PPT819                            PPT8HL_bit.no3
#define PPT820                            PPT8HL_bit.no4
#define PPT821                            PPT8HL_bit.no5
#define PPT822                            PPT8HL_bit.no6
#define PPT823                            PPT8HL_bit.no7

#define PPT824                            PPT8HH_bit.no0
#define PPT825                            PPT8HH_bit.no1
#define PPT826                            PPT8HH_bit.no2
#define PPT827                            PPT8HH_bit.no3
#define PPT828                            PPT8HH_bit.no4
#define PPT829                            PPT8HH_bit.no5
#define PPT830                            PPT8HH_bit.no6
#define PPT831                            PPT8HH_bit.no7

#define PPP80                             PPP8LL_bit.no0
#define PPP81                             PPP8LL_bit.no1
#define PPP82                             PPP8LL_bit.no2
#define PPP83                             PPP8LL_bit.no3
#define PPP84                             PPP8LL_bit.no4
#define PPP85                             PPP8LL_bit.no5
#define PPP86                             PPP8LL_bit.no6
#define PPP87                             PPP8LL_bit.no7

#define PPP88                             PPP8LH_bit.no0
#define PPP89                             PPP8LH_bit.no1
#define PPP810                            PPP8LH_bit.no2
#define PPP811                            PPP8LH_bit.no3
#define PPP812                            PPP8LH_bit.no4
#define PPP813                            PPP8LH_bit.no5
#define PPP814                            PPP8LH_bit.no6
#define PPP815                            PPP8LH_bit.no7

#define PPP816                            PPP8HL_bit.no0
#define PPP817                            PPP8HL_bit.no1
#define PPP818                            PPP8HL_bit.no2
#define PPP819                            PPP8HL_bit.no3
#define PPP820                            PPP8HL_bit.no4
#define PPP821                            PPP8HL_bit.no5
#define PPP822                            PPP8HL_bit.no6
#define PPP823                            PPP8HL_bit.no7

#define PPP824                            PPP8HH_bit.no0
#define PPP825                            PPP8HH_bit.no1
#define PPP826                            PPP8HH_bit.no2
#define PPP827                            PPP8HH_bit.no3
#define PPP828                            PPP8HH_bit.no4
#define PPP829                            PPP8HH_bit.no5
#define PPP830                            PPP8HH_bit.no6
#define PPP831                            PPP8HH_bit.no7

#define PPS80                             PPS8LL_bit.no0
#define PPS81                             PPS8LL_bit.no1
#define PPS82                             PPS8LL_bit.no2
#define PPS83                             PPS8LL_bit.no3
#define PPS84                             PPS8LL_bit.no4
#define PPS85                             PPS8LL_bit.no5
#define PPS86                             PPS8LL_bit.no6
#define PPS87                             PPS8LL_bit.no7

#define PPS88                             PPS8LH_bit.no0
#define PPS89                             PPS8LH_bit.no1
#define PPS810                            PPS8LH_bit.no2
#define PPS811                            PPS8LH_bit.no3
#define PPS812                            PPS8LH_bit.no4
#define PPS813                            PPS8LH_bit.no5
#define PPS814                            PPS8LH_bit.no6
#define PPS815                            PPS8LH_bit.no7

#define PPS816                            PPS8HL_bit.no0
#define PPS817                            PPS8HL_bit.no1
#define PPS818                            PPS8HL_bit.no2
#define PPS819                            PPS8HL_bit.no3
#define PPS820                            PPS8HL_bit.no4
#define PPS821                            PPS8HL_bit.no5
#define PPS822                            PPS8HL_bit.no6
#define PPS823                            PPS8HL_bit.no7

#define PPS824                            PPS8HH_bit.no0
#define PPS825                            PPS8HH_bit.no1
#define PPS826                            PPS8HH_bit.no2
#define PPS827                            PPS8HH_bit.no3
#define PPS828                            PPS8HH_bit.no4
#define PPS829                            PPS8HH_bit.no5
#define PPS830                            PPS8HH_bit.no6
#define PPS831                            PPS8HH_bit.no7

#define P0WDTA0                           ICWDTA0L_bit.no0
#define P1WDTA0                           ICWDTA0L_bit.no1
#define P2WDTA0                           ICWDTA0L_bit.no2
#define P3WDTA0                           ICWDTA0L_bit.no3
#define MKWDTA0                           ICWDTA0L_bit.no7

#define RFWDTA0                           ICWDTA0H_bit.no4

#define P0OSTM0                           ICOSTM0L_bit.no0
#define P1OSTM0                           ICOSTM0L_bit.no1
#define P2OSTM0                           ICOSTM0L_bit.no2
#define P3OSTM0                           ICOSTM0L_bit.no3
#define MKOSTM0                           ICOSTM0L_bit.no7

#define RFOSTM0                           ICOSTM0H_bit.no4

#define P0P0                              ICP0L_bit.no0
#define P1P0                              ICP0L_bit.no1
#define P2P0                              ICP0L_bit.no2
#define P3P0                              ICP0L_bit.no3
#define MKP0                              ICP0L_bit.no7

#define RFP0                              ICP0H_bit.no4

#define P0P1                              ICP1L_bit.no0
#define P1P1                              ICP1L_bit.no1
#define P2P1                              ICP1L_bit.no2
#define P3P1                              ICP1L_bit.no3
#define MKP1                              ICP1L_bit.no7

#define RFP1                              ICP1H_bit.no4

#define P0P2                              ICP2L_bit.no0
#define P1P2                              ICP2L_bit.no1
#define P2P2                              ICP2L_bit.no2
#define P3P2                              ICP2L_bit.no3
#define MKP2                              ICP2L_bit.no7

#define RFP2                              ICP2H_bit.no4

#define P0P3                              ICP3L_bit.no0
#define P1P3                              ICP3L_bit.no1
#define P2P3                              ICP3L_bit.no2
#define P3P3                              ICP3L_bit.no3
#define MKP3                              ICP3L_bit.no7

#define RFP3                              ICP3H_bit.no4

#define P0P4                              ICP4L_bit.no0
#define P1P4                              ICP4L_bit.no1
#define P2P4                              ICP4L_bit.no2
#define P3P4                              ICP4L_bit.no3
#define MKP4                              ICP4L_bit.no7

#define RFP4                              ICP4H_bit.no4

#define P0P5                              ICP5L_bit.no0
#define P1P5                              ICP5L_bit.no1
#define P2P5                              ICP5L_bit.no2
#define P3P5                              ICP5L_bit.no3
#define MKP5                              ICP5L_bit.no7

#define RFP5                              ICP5H_bit.no4

#define P0P6                              ICP6L_bit.no0
#define P1P6                              ICP6L_bit.no1
#define P2P6                              ICP6L_bit.no2
#define P3P6                              ICP6L_bit.no3
#define MKP6                              ICP6L_bit.no7

#define RFP6                              ICP6H_bit.no4

#define P0P7                              ICP7L_bit.no0
#define P1P7                              ICP7L_bit.no1
#define P2P7                              ICP7L_bit.no2
#define P3P7                              ICP7L_bit.no3
#define MKP7                              ICP7L_bit.no7

#define RFP7                              ICP7H_bit.no4

#define P0P8                              ICP8L_bit.no0
#define P1P8                              ICP8L_bit.no1
#define P2P8                              ICP8L_bit.no2
#define P3P8                              ICP8L_bit.no3
#define MKP8                              ICP8L_bit.no7

#define RFP8                              ICP8H_bit.no4

#define P0P9                              ICP9L_bit.no0
#define P1P9                              ICP9L_bit.no1
#define P2P9                              ICP9L_bit.no2
#define P3P9                              ICP9L_bit.no3
#define MKP9                              ICP9L_bit.no7

#define RFP9                              ICP9H_bit.no4

#define P0P10                             ICP10L_bit.no0
#define P1P10                             ICP10L_bit.no1
#define P2P10                             ICP10L_bit.no2
#define P3P10                             ICP10L_bit.no3
#define MKP10                             ICP10L_bit.no7

#define RFP10                             ICP10H_bit.no4

#define P0P11                             ICP11L_bit.no0
#define P1P11                             ICP11L_bit.no1
#define P2P11                             ICP11L_bit.no2
#define P3P11                             ICP11L_bit.no3
#define MKP11                             ICP11L_bit.no7

#define RFP11                             ICP11H_bit.no4

#define P0P12                             ICP12L_bit.no0
#define P1P12                             ICP12L_bit.no1
#define P2P12                             ICP12L_bit.no2
#define P3P12                             ICP12L_bit.no3
#define MKP12                             ICP12L_bit.no7

#define RFP12                             ICP12H_bit.no4

#define P0P13                             ICP13L_bit.no0
#define P1P13                             ICP13L_bit.no1
#define P2P13                             ICP13L_bit.no2
#define P3P13                             ICP13L_bit.no3
#define MKP13                             ICP13L_bit.no7

#define RFP13                             ICP13H_bit.no4

#define P0P14                             ICP14L_bit.no0
#define P1P14                             ICP14L_bit.no1
#define P2P14                             ICP14L_bit.no2
#define P3P14                             ICP14L_bit.no3
#define MKP14                             ICP14L_bit.no7

#define RFP14                             ICP14H_bit.no4

#define P0P15                             ICP15L_bit.no0
#define P1P15                             ICP15L_bit.no1
#define P2P15                             ICP15L_bit.no2
#define P3P15                             ICP15L_bit.no3
#define MKP15                             ICP15L_bit.no7

#define RFP15                             ICP15H_bit.no4

#define P0P16                             ICP16L_bit.no0
#define P1P16                             ICP16L_bit.no1
#define P2P16                             ICP16L_bit.no2
#define P3P16                             ICP16L_bit.no3
#define MKP16                             ICP16L_bit.no7

#define RFP16                             ICP16H_bit.no4

#define P0P17                             ICP17L_bit.no0
#define P1P17                             ICP17L_bit.no1
#define P2P17                             ICP17L_bit.no2
#define P3P17                             ICP17L_bit.no3
#define MKP17                             ICP17L_bit.no7

#define RFP17                             ICP17H_bit.no4

#define P0P18                             ICP18L_bit.no0
#define P1P18                             ICP18L_bit.no1
#define P2P18                             ICP18L_bit.no2
#define P3P18                             ICP18L_bit.no3
#define MKP18                             ICP18L_bit.no7

#define RFP18                             ICP18H_bit.no4

#define P0P19                             ICP19L_bit.no0
#define P1P19                             ICP19L_bit.no1
#define P2P19                             ICP19L_bit.no2
#define P3P19                             ICP19L_bit.no3
#define MKP19                             ICP19L_bit.no7

#define RFP19                             ICP19H_bit.no4

#define P0P20                             ICP20L_bit.no0
#define P1P20                             ICP20L_bit.no1
#define P2P20                             ICP20L_bit.no2
#define P3P20                             ICP20L_bit.no3
#define MKP20                             ICP20L_bit.no7

#define RFP20                             ICP20H_bit.no4

#define P0P21                             ICP21L_bit.no0
#define P1P21                             ICP21L_bit.no1
#define P2P21                             ICP21L_bit.no2
#define P3P21                             ICP21L_bit.no3
#define MKP21                             ICP21L_bit.no7

#define RFP21                             ICP21H_bit.no4

#define P0P22                             ICP22L_bit.no0
#define P1P22                             ICP22L_bit.no1
#define P2P22                             ICP22L_bit.no2
#define P3P22                             ICP22L_bit.no3
#define MKP22                             ICP22L_bit.no7

#define RFP22                             ICP22H_bit.no4

#define P0P23                             ICP23L_bit.no0
#define P1P23                             ICP23L_bit.no1
#define P2P23                             ICP23L_bit.no2
#define P3P23                             ICP23L_bit.no3
#define MKP23                             ICP23L_bit.no7

#define RFP23                             ICP23H_bit.no4

#define P0P24                             ICP24L_bit.no0
#define P1P24                             ICP24L_bit.no1
#define P2P24                             ICP24L_bit.no2
#define P3P24                             ICP24L_bit.no3
#define MKP24                             ICP24L_bit.no7

#define RFP24                             ICP24H_bit.no4

#define P0P25                             ICP25L_bit.no0
#define P1P25                             ICP25L_bit.no1
#define P2P25                             ICP25L_bit.no2
#define P3P25                             ICP25L_bit.no3
#define MKP25                             ICP25L_bit.no7

#define RFP25                             ICP25H_bit.no4

#define P0P26                             ICP26L_bit.no0
#define P1P26                             ICP26L_bit.no1
#define P2P26                             ICP26L_bit.no2
#define P3P26                             ICP26L_bit.no3
#define MKP26                             ICP26L_bit.no7

#define RFP26                             ICP26H_bit.no4

#define P0P27                             ICP27L_bit.no0
#define P1P27                             ICP27L_bit.no1
#define P2P27                             ICP27L_bit.no2
#define P3P27                             ICP27L_bit.no3
#define MKP27                             ICP27L_bit.no7

#define RFP27                             ICP27H_bit.no4

#define P0ESO0                            ICESO0L_bit.no0
#define P1ESO0                            ICESO0L_bit.no1
#define P2ESO0                            ICESO0L_bit.no2
#define P3ESO0                            ICESO0L_bit.no3
#define MKESO0                            ICESO0L_bit.no7

#define RFESO0                            ICESO0H_bit.no4

#define P0ESO1                            ICESO1L_bit.no0
#define P1ESO1                            ICESO1L_bit.no1
#define P2ESO1                            ICESO1L_bit.no2
#define P3ESO1                            ICESO1L_bit.no3
#define MKESO1                            ICESO1L_bit.no7

#define RFESO1                            ICESO1H_bit.no4

#define P0ESO2                            ICESO2L_bit.no0
#define P1ESO2                            ICESO2L_bit.no1
#define P2ESO2                            ICESO2L_bit.no2
#define P3ESO2                            ICESO2L_bit.no3
#define MKESO2                            ICESO2L_bit.no7

#define RFESO2                            ICESO2H_bit.no4

#define P0ESO3                            ICESO3L_bit.no0
#define P1ESO3                            ICESO3L_bit.no1
#define P2ESO3                            ICESO3L_bit.no2
#define P3ESO3                            ICESO3L_bit.no3
#define MKESO3                            ICESO3L_bit.no7

#define RFESO3                            ICESO3H_bit.no4

#define P0ADCA0ERR                        ICADCA0ERRL_bit.no0
#define P1ADCA0ERR                        ICADCA0ERRL_bit.no1
#define P2ADCA0ERR                        ICADCA0ERRL_bit.no2
#define P3ADCA0ERR                        ICADCA0ERRL_bit.no3
#define MKADCA0ERR                        ICADCA0ERRL_bit.no7

#define RFADCA0ERR                        ICADCA0ERRH_bit.no4

#define P0ADCA0I0                         ICADCA0I0L_bit.no0
#define P1ADCA0I0                         ICADCA0I0L_bit.no1
#define P2ADCA0I0                         ICADCA0I0L_bit.no2
#define P3ADCA0I0                         ICADCA0I0L_bit.no3
#define MKADCA0I0                         ICADCA0I0L_bit.no7

#define RFADCA0I0                         ICADCA0I0H_bit.no4

#define P0ADCA0I1                         ICADCA0I1L_bit.no0
#define P1ADCA0I1                         ICADCA0I1L_bit.no1
#define P2ADCA0I1                         ICADCA0I1L_bit.no2
#define P3ADCA0I1                         ICADCA0I1L_bit.no3
#define MKADCA0I1                         ICADCA0I1L_bit.no7

#define RFADCA0I1                         ICADCA0I1H_bit.no4

#define P0ADCA0I2                         ICADCA0I2L_bit.no0
#define P1ADCA0I2                         ICADCA0I2L_bit.no1
#define P2ADCA0I2                         ICADCA0I2L_bit.no2
#define P3ADCA0I2                         ICADCA0I2L_bit.no3
#define MKADCA0I2                         ICADCA0I2L_bit.no7

#define RFADCA0I2                         ICADCA0I2H_bit.no4

#define P0TAUA0I0                         ICTAUA0I0L_bit.no0
#define P1TAUA0I0                         ICTAUA0I0L_bit.no1
#define P2TAUA0I0                         ICTAUA0I0L_bit.no2
#define P3TAUA0I0                         ICTAUA0I0L_bit.no3
#define MKTAUA0I0                         ICTAUA0I0L_bit.no7

#define RFTAUA0I0                         ICTAUA0I0H_bit.no4

#define P0TAUA0I1                         ICTAUA0I1L_bit.no0
#define P1TAUA0I1                         ICTAUA0I1L_bit.no1
#define P2TAUA0I1                         ICTAUA0I1L_bit.no2
#define P3TAUA0I1                         ICTAUA0I1L_bit.no3
#define MKTAUA0I1                         ICTAUA0I1L_bit.no7

#define RFTAUA0I1                         ICTAUA0I1H_bit.no4

#define P0TAUA0I2                         ICTAUA0I2L_bit.no0
#define P1TAUA0I2                         ICTAUA0I2L_bit.no1
#define P2TAUA0I2                         ICTAUA0I2L_bit.no2
#define P3TAUA0I2                         ICTAUA0I2L_bit.no3
#define MKTAUA0I2                         ICTAUA0I2L_bit.no7

#define RFTAUA0I2                         ICTAUA0I2H_bit.no4

#define P0TAUA0I3                         ICTAUA0I3L_bit.no0
#define P1TAUA0I3                         ICTAUA0I3L_bit.no1
#define P2TAUA0I3                         ICTAUA0I3L_bit.no2
#define P3TAUA0I3                         ICTAUA0I3L_bit.no3
#define MKTAUA0I3                         ICTAUA0I3L_bit.no7

#define RFTAUA0I3                         ICTAUA0I3H_bit.no4

#define P0TAUA0I4                         ICTAUA0I4L_bit.no0
#define P1TAUA0I4                         ICTAUA0I4L_bit.no1
#define P2TAUA0I4                         ICTAUA0I4L_bit.no2
#define P3TAUA0I4                         ICTAUA0I4L_bit.no3
#define MKTAUA0I4                         ICTAUA0I4L_bit.no7

#define RFTAUA0I4                         ICTAUA0I4H_bit.no4

#define P0TAUA0I5                         ICTAUA0I5L_bit.no0
#define P1TAUA0I5                         ICTAUA0I5L_bit.no1
#define P2TAUA0I5                         ICTAUA0I5L_bit.no2
#define P3TAUA0I5                         ICTAUA0I5L_bit.no3
#define MKTAUA0I5                         ICTAUA0I5L_bit.no7

#define RFTAUA0I5                         ICTAUA0I5H_bit.no4

#define P0TAUA0I6                         ICTAUA0I6L_bit.no0
#define P1TAUA0I6                         ICTAUA0I6L_bit.no1
#define P2TAUA0I6                         ICTAUA0I6L_bit.no2
#define P3TAUA0I6                         ICTAUA0I6L_bit.no3
#define MKTAUA0I6                         ICTAUA0I6L_bit.no7

#define RFTAUA0I6                         ICTAUA0I6H_bit.no4

#define P0TAUA0I7                         ICTAUA0I7L_bit.no0
#define P1TAUA0I7                         ICTAUA0I7L_bit.no1
#define P2TAUA0I7                         ICTAUA0I7L_bit.no2
#define P3TAUA0I7                         ICTAUA0I7L_bit.no3
#define MKTAUA0I7                         ICTAUA0I7L_bit.no7

#define RFTAUA0I7                         ICTAUA0I7H_bit.no4

#define P0TAUA0I8                         ICTAUA0I8L_bit.no0
#define P1TAUA0I8                         ICTAUA0I8L_bit.no1
#define P2TAUA0I8                         ICTAUA0I8L_bit.no2
#define P3TAUA0I8                         ICTAUA0I8L_bit.no3
#define MKTAUA0I8                         ICTAUA0I8L_bit.no7

#define RFTAUA0I8                         ICTAUA0I8H_bit.no4

#define P0TAUA0I9                         ICTAUA0I9L_bit.no0
#define P1TAUA0I9                         ICTAUA0I9L_bit.no1
#define P2TAUA0I9                         ICTAUA0I9L_bit.no2
#define P3TAUA0I9                         ICTAUA0I9L_bit.no3
#define MKTAUA0I9                         ICTAUA0I9L_bit.no7

#define RFTAUA0I9                         ICTAUA0I9H_bit.no4

#define P0TAUA0I10                        ICTAUA0I10L_bit.no0
#define P1TAUA0I10                        ICTAUA0I10L_bit.no1
#define P2TAUA0I10                        ICTAUA0I10L_bit.no2
#define P3TAUA0I10                        ICTAUA0I10L_bit.no3
#define MKTAUA0I10                        ICTAUA0I10L_bit.no7

#define RFTAUA0I10                        ICTAUA0I10H_bit.no4

#define P0TAUA0I11                        ICTAUA0I11L_bit.no0
#define P1TAUA0I11                        ICTAUA0I11L_bit.no1
#define P2TAUA0I11                        ICTAUA0I11L_bit.no2
#define P3TAUA0I11                        ICTAUA0I11L_bit.no3
#define MKTAUA0I11                        ICTAUA0I11L_bit.no7

#define RFTAUA0I11                        ICTAUA0I11H_bit.no4

#define P0TAUA0I12                        ICTAUA0I12L_bit.no0
#define P1TAUA0I12                        ICTAUA0I12L_bit.no1
#define P2TAUA0I12                        ICTAUA0I12L_bit.no2
#define P3TAUA0I12                        ICTAUA0I12L_bit.no3
#define MKTAUA0I12                        ICTAUA0I12L_bit.no7

#define RFTAUA0I12                        ICTAUA0I12H_bit.no4

#define P0TAUA0I13                        ICTAUA0I13L_bit.no0
#define P1TAUA0I13                        ICTAUA0I13L_bit.no1
#define P2TAUA0I13                        ICTAUA0I13L_bit.no2
#define P3TAUA0I13                        ICTAUA0I13L_bit.no3
#define MKTAUA0I13                        ICTAUA0I13L_bit.no7

#define RFTAUA0I13                        ICTAUA0I13H_bit.no4

#define P0TAUA0I14                        ICTAUA0I14L_bit.no0
#define P1TAUA0I14                        ICTAUA0I14L_bit.no1
#define P2TAUA0I14                        ICTAUA0I14L_bit.no2
#define P3TAUA0I14                        ICTAUA0I14L_bit.no3
#define MKTAUA0I14                        ICTAUA0I14L_bit.no7

#define RFTAUA0I14                        ICTAUA0I14H_bit.no4

#define P0TAUA0I15                        ICTAUA0I15L_bit.no0
#define P1TAUA0I15                        ICTAUA0I15L_bit.no1
#define P2TAUA0I15                        ICTAUA0I15L_bit.no2
#define P3TAUA0I15                        ICTAUA0I15L_bit.no3
#define MKTAUA0I15                        ICTAUA0I15L_bit.no7

#define RFTAUA0I15                        ICTAUA0I15H_bit.no4

#define P0TAUA1I0                         ICTAUA1I0L_bit.no0
#define P1TAUA1I0                         ICTAUA1I0L_bit.no1
#define P2TAUA1I0                         ICTAUA1I0L_bit.no2
#define P3TAUA1I0                         ICTAUA1I0L_bit.no3
#define MKTAUA1I0                         ICTAUA1I0L_bit.no7

#define RFTAUA1I0                         ICTAUA1I0H_bit.no4

#define P0TAUA1I1                         ICTAUA1I1L_bit.no0
#define P1TAUA1I1                         ICTAUA1I1L_bit.no1
#define P2TAUA1I1                         ICTAUA1I1L_bit.no2
#define P3TAUA1I1                         ICTAUA1I1L_bit.no3
#define MKTAUA1I1                         ICTAUA1I1L_bit.no7

#define RFTAUA1I1                         ICTAUA1I1H_bit.no4

#define P0TAUA1I2                         ICTAUA1I2L_bit.no0
#define P1TAUA1I2                         ICTAUA1I2L_bit.no1
#define P2TAUA1I2                         ICTAUA1I2L_bit.no2
#define P3TAUA1I2                         ICTAUA1I2L_bit.no3
#define MKTAUA1I2                         ICTAUA1I2L_bit.no7

#define RFTAUA1I2                         ICTAUA1I2H_bit.no4

#define P0TAUA1I3                         ICTAUA1I3L_bit.no0
#define P1TAUA1I3                         ICTAUA1I3L_bit.no1
#define P2TAUA1I3                         ICTAUA1I3L_bit.no2
#define P3TAUA1I3                         ICTAUA1I3L_bit.no3
#define MKTAUA1I3                         ICTAUA1I3L_bit.no7

#define RFTAUA1I3                         ICTAUA1I3H_bit.no4

#define P0TAUA1I4                         ICTAUA1I4L_bit.no0
#define P1TAUA1I4                         ICTAUA1I4L_bit.no1
#define P2TAUA1I4                         ICTAUA1I4L_bit.no2
#define P3TAUA1I4                         ICTAUA1I4L_bit.no3
#define MKTAUA1I4                         ICTAUA1I4L_bit.no7

#define RFTAUA1I4                         ICTAUA1I4H_bit.no4

#define P0TAUA1I5                         ICTAUA1I5L_bit.no0
#define P1TAUA1I5                         ICTAUA1I5L_bit.no1
#define P2TAUA1I5                         ICTAUA1I5L_bit.no2
#define P3TAUA1I5                         ICTAUA1I5L_bit.no3
#define MKTAUA1I5                         ICTAUA1I5L_bit.no7

#define RFTAUA1I5                         ICTAUA1I5H_bit.no4

#define P0TAUA1I6                         ICTAUA1I6L_bit.no0
#define P1TAUA1I6                         ICTAUA1I6L_bit.no1
#define P2TAUA1I6                         ICTAUA1I6L_bit.no2
#define P3TAUA1I6                         ICTAUA1I6L_bit.no3
#define MKTAUA1I6                         ICTAUA1I6L_bit.no7

#define RFTAUA1I6                         ICTAUA1I6H_bit.no4

#define P0TAUA1I7                         ICTAUA1I7L_bit.no0
#define P1TAUA1I7                         ICTAUA1I7L_bit.no1
#define P2TAUA1I7                         ICTAUA1I7L_bit.no2
#define P3TAUA1I7                         ICTAUA1I7L_bit.no3
#define MKTAUA1I7                         ICTAUA1I7L_bit.no7

#define RFTAUA1I7                         ICTAUA1I7H_bit.no4

#define P0TAUA1I8                         ICTAUA1I8L_bit.no0
#define P1TAUA1I8                         ICTAUA1I8L_bit.no1
#define P2TAUA1I8                         ICTAUA1I8L_bit.no2
#define P3TAUA1I8                         ICTAUA1I8L_bit.no3
#define MKTAUA1I8                         ICTAUA1I8L_bit.no7

#define RFTAUA1I8                         ICTAUA1I8H_bit.no4

#define P0TAUA1I9                         ICTAUA1I9L_bit.no0
#define P1TAUA1I9                         ICTAUA1I9L_bit.no1
#define P2TAUA1I9                         ICTAUA1I9L_bit.no2
#define P3TAUA1I9                         ICTAUA1I9L_bit.no3
#define MKTAUA1I9                         ICTAUA1I9L_bit.no7

#define RFTAUA1I9                         ICTAUA1I9H_bit.no4

#define P0TAUA1I10                        ICTAUA1I10L_bit.no0
#define P1TAUA1I10                        ICTAUA1I10L_bit.no1
#define P2TAUA1I10                        ICTAUA1I10L_bit.no2
#define P3TAUA1I10                        ICTAUA1I10L_bit.no3
#define MKTAUA1I10                        ICTAUA1I10L_bit.no7

#define RFTAUA1I10                        ICTAUA1I10H_bit.no4

#define P0TAUA1I11                        ICTAUA1I11L_bit.no0
#define P1TAUA1I11                        ICTAUA1I11L_bit.no1
#define P2TAUA1I11                        ICTAUA1I11L_bit.no2
#define P3TAUA1I11                        ICTAUA1I11L_bit.no3
#define MKTAUA1I11                        ICTAUA1I11L_bit.no7

#define RFTAUA1I11                        ICTAUA1I11H_bit.no4

#define P0TAUA1I12                        ICTAUA1I12L_bit.no0
#define P1TAUA1I12                        ICTAUA1I12L_bit.no1
#define P2TAUA1I12                        ICTAUA1I12L_bit.no2
#define P3TAUA1I12                        ICTAUA1I12L_bit.no3
#define MKTAUA1I12                        ICTAUA1I12L_bit.no7

#define RFTAUA1I12                        ICTAUA1I12H_bit.no4

#define P0TAUA1I13                        ICTAUA1I13L_bit.no0
#define P1TAUA1I13                        ICTAUA1I13L_bit.no1
#define P2TAUA1I13                        ICTAUA1I13L_bit.no2
#define P3TAUA1I13                        ICTAUA1I13L_bit.no3
#define MKTAUA1I13                        ICTAUA1I13L_bit.no7

#define RFTAUA1I13                        ICTAUA1I13H_bit.no4

#define P0TAUA1I14                        ICTAUA1I14L_bit.no0
#define P1TAUA1I14                        ICTAUA1I14L_bit.no1
#define P2TAUA1I14                        ICTAUA1I14L_bit.no2
#define P3TAUA1I14                        ICTAUA1I14L_bit.no3
#define MKTAUA1I14                        ICTAUA1I14L_bit.no7

#define RFTAUA1I14                        ICTAUA1I14H_bit.no4

#define P0TAUA1I15                        ICTAUA1I15L_bit.no0
#define P1TAUA1I15                        ICTAUA1I15L_bit.no1
#define P2TAUA1I15                        ICTAUA1I15L_bit.no2
#define P3TAUA1I15                        ICTAUA1I15L_bit.no3
#define MKTAUA1I15                        ICTAUA1I15L_bit.no7

#define RFTAUA1I15                        ICTAUA1I15H_bit.no4

#define P0TAUA2I0                         ICTAUA2I0L_bit.no0
#define P1TAUA2I0                         ICTAUA2I0L_bit.no1
#define P2TAUA2I0                         ICTAUA2I0L_bit.no2
#define P3TAUA2I0                         ICTAUA2I0L_bit.no3
#define MKTAUA2I0                         ICTAUA2I0L_bit.no7

#define RFTAUA2I0                         ICTAUA2I0H_bit.no4

#define P0TAUA2I1                         ICTAUA2I1L_bit.no0
#define P1TAUA2I1                         ICTAUA2I1L_bit.no1
#define P2TAUA2I1                         ICTAUA2I1L_bit.no2
#define P3TAUA2I1                         ICTAUA2I1L_bit.no3
#define MKTAUA2I1                         ICTAUA2I1L_bit.no7

#define RFTAUA2I1                         ICTAUA2I1H_bit.no4

#define P0TAUA2I2                         ICTAUA2I2L_bit.no0
#define P1TAUA2I2                         ICTAUA2I2L_bit.no1
#define P2TAUA2I2                         ICTAUA2I2L_bit.no2
#define P3TAUA2I2                         ICTAUA2I2L_bit.no3
#define MKTAUA2I2                         ICTAUA2I2L_bit.no7

#define RFTAUA2I2                         ICTAUA2I2H_bit.no4

#define P0TAUA2I3                         ICTAUA2I3L_bit.no0
#define P1TAUA2I3                         ICTAUA2I3L_bit.no1
#define P2TAUA2I3                         ICTAUA2I3L_bit.no2
#define P3TAUA2I3                         ICTAUA2I3L_bit.no3
#define MKTAUA2I3                         ICTAUA2I3L_bit.no7

#define RFTAUA2I3                         ICTAUA2I3H_bit.no4

#define P0TAUA2I4                         ICTAUA2I4L_bit.no0
#define P1TAUA2I4                         ICTAUA2I4L_bit.no1
#define P2TAUA2I4                         ICTAUA2I4L_bit.no2
#define P3TAUA2I4                         ICTAUA2I4L_bit.no3
#define MKTAUA2I4                         ICTAUA2I4L_bit.no7

#define RFTAUA2I4                         ICTAUA2I4H_bit.no4

#define P0TAUA2I5                         ICTAUA2I5L_bit.no0
#define P1TAUA2I5                         ICTAUA2I5L_bit.no1
#define P2TAUA2I5                         ICTAUA2I5L_bit.no2
#define P3TAUA2I5                         ICTAUA2I5L_bit.no3
#define MKTAUA2I5                         ICTAUA2I5L_bit.no7

#define RFTAUA2I5                         ICTAUA2I5H_bit.no4

#define P0TAUA2I6                         ICTAUA2I6L_bit.no0
#define P1TAUA2I6                         ICTAUA2I6L_bit.no1
#define P2TAUA2I6                         ICTAUA2I6L_bit.no2
#define P3TAUA2I6                         ICTAUA2I6L_bit.no3
#define MKTAUA2I6                         ICTAUA2I6L_bit.no7

#define RFTAUA2I6                         ICTAUA2I6H_bit.no4

#define P0TAUA2I7                         ICTAUA2I7L_bit.no0
#define P1TAUA2I7                         ICTAUA2I7L_bit.no1
#define P2TAUA2I7                         ICTAUA2I7L_bit.no2
#define P3TAUA2I7                         ICTAUA2I7L_bit.no3
#define MKTAUA2I7                         ICTAUA2I7L_bit.no7

#define RFTAUA2I7                         ICTAUA2I7H_bit.no4

#define P0TAUA2I8                         ICTAUA2I8L_bit.no0
#define P1TAUA2I8                         ICTAUA2I8L_bit.no1
#define P2TAUA2I8                         ICTAUA2I8L_bit.no2
#define P3TAUA2I8                         ICTAUA2I8L_bit.no3
#define MKTAUA2I8                         ICTAUA2I8L_bit.no7

#define RFTAUA2I8                         ICTAUA2I8H_bit.no4

#define P0TAUA2I9                         ICTAUA2I9L_bit.no0
#define P1TAUA2I9                         ICTAUA2I9L_bit.no1
#define P2TAUA2I9                         ICTAUA2I9L_bit.no2
#define P3TAUA2I9                         ICTAUA2I9L_bit.no3
#define MKTAUA2I9                         ICTAUA2I9L_bit.no7

#define RFTAUA2I9                         ICTAUA2I9H_bit.no4

#define P0TAUA2I10                        ICTAUA2I10L_bit.no0
#define P1TAUA2I10                        ICTAUA2I10L_bit.no1
#define P2TAUA2I10                        ICTAUA2I10L_bit.no2
#define P3TAUA2I10                        ICTAUA2I10L_bit.no3
#define MKTAUA2I10                        ICTAUA2I10L_bit.no7

#define RFTAUA2I10                        ICTAUA2I10H_bit.no4

#define P0TAUA2I11                        ICTAUA2I11L_bit.no0
#define P1TAUA2I11                        ICTAUA2I11L_bit.no1
#define P2TAUA2I11                        ICTAUA2I11L_bit.no2
#define P3TAUA2I11                        ICTAUA2I11L_bit.no3
#define MKTAUA2I11                        ICTAUA2I11L_bit.no7

#define RFTAUA2I11                        ICTAUA2I11H_bit.no4

#define P0TAUA2I12                        ICTAUA2I12L_bit.no0
#define P1TAUA2I12                        ICTAUA2I12L_bit.no1
#define P2TAUA2I12                        ICTAUA2I12L_bit.no2
#define P3TAUA2I12                        ICTAUA2I12L_bit.no3
#define MKTAUA2I12                        ICTAUA2I12L_bit.no7

#define RFTAUA2I12                        ICTAUA2I12H_bit.no4

#define P0TAUA2I13                        ICTAUA2I13L_bit.no0
#define P1TAUA2I13                        ICTAUA2I13L_bit.no1
#define P2TAUA2I13                        ICTAUA2I13L_bit.no2
#define P3TAUA2I13                        ICTAUA2I13L_bit.no3
#define MKTAUA2I13                        ICTAUA2I13L_bit.no7

#define RFTAUA2I13                        ICTAUA2I13H_bit.no4

#define P0TAUA2I14                        ICTAUA2I14L_bit.no0
#define P1TAUA2I14                        ICTAUA2I14L_bit.no1
#define P2TAUA2I14                        ICTAUA2I14L_bit.no2
#define P3TAUA2I14                        ICTAUA2I14L_bit.no3
#define MKTAUA2I14                        ICTAUA2I14L_bit.no7

#define RFTAUA2I14                        ICTAUA2I14H_bit.no4

#define P0TAUA2I15                        ICTAUA2I15L_bit.no0
#define P1TAUA2I15                        ICTAUA2I15L_bit.no1
#define P2TAUA2I15                        ICTAUA2I15L_bit.no2
#define P3TAUA2I15                        ICTAUA2I15L_bit.no3
#define MKTAUA2I15                        ICTAUA2I15L_bit.no7

#define RFTAUA2I15                        ICTAUA2I15H_bit.no4

#define P0TAUA3I0                         ICTAUA3I0L_bit.no0
#define P1TAUA3I0                         ICTAUA3I0L_bit.no1
#define P2TAUA3I0                         ICTAUA3I0L_bit.no2
#define P3TAUA3I0                         ICTAUA3I0L_bit.no3
#define MKTAUA3I0                         ICTAUA3I0L_bit.no7

#define RFTAUA3I0                         ICTAUA3I0H_bit.no4

#define P0TAUA3I1                         ICTAUA3I1L_bit.no0
#define P1TAUA3I1                         ICTAUA3I1L_bit.no1
#define P2TAUA3I1                         ICTAUA3I1L_bit.no2
#define P3TAUA3I1                         ICTAUA3I1L_bit.no3
#define MKTAUA3I1                         ICTAUA3I1L_bit.no7

#define RFTAUA3I1                         ICTAUA3I1H_bit.no4

#define P0TAUA3I2                         ICTAUA3I2L_bit.no0
#define P1TAUA3I2                         ICTAUA3I2L_bit.no1
#define P2TAUA3I2                         ICTAUA3I2L_bit.no2
#define P3TAUA3I2                         ICTAUA3I2L_bit.no3
#define MKTAUA3I2                         ICTAUA3I2L_bit.no7

#define RFTAUA3I2                         ICTAUA3I2H_bit.no4

#define P0TAUA3I3                         ICTAUA3I3L_bit.no0
#define P1TAUA3I3                         ICTAUA3I3L_bit.no1
#define P2TAUA3I3                         ICTAUA3I3L_bit.no2
#define P3TAUA3I3                         ICTAUA3I3L_bit.no3
#define MKTAUA3I3                         ICTAUA3I3L_bit.no7

#define RFTAUA3I3                         ICTAUA3I3H_bit.no4

#define P0TAUA3I4                         ICTAUA3I4L_bit.no0
#define P1TAUA3I4                         ICTAUA3I4L_bit.no1
#define P2TAUA3I4                         ICTAUA3I4L_bit.no2
#define P3TAUA3I4                         ICTAUA3I4L_bit.no3
#define MKTAUA3I4                         ICTAUA3I4L_bit.no7

#define RFTAUA3I4                         ICTAUA3I4H_bit.no4

#define P0TAUA3I5                         ICTAUA3I5L_bit.no0
#define P1TAUA3I5                         ICTAUA3I5L_bit.no1
#define P2TAUA3I5                         ICTAUA3I5L_bit.no2
#define P3TAUA3I5                         ICTAUA3I5L_bit.no3
#define MKTAUA3I5                         ICTAUA3I5L_bit.no7

#define RFTAUA3I5                         ICTAUA3I5H_bit.no4

#define P0TAUA3I6                         ICTAUA3I6L_bit.no0
#define P1TAUA3I6                         ICTAUA3I6L_bit.no1
#define P2TAUA3I6                         ICTAUA3I6L_bit.no2
#define P3TAUA3I6                         ICTAUA3I6L_bit.no3
#define MKTAUA3I6                         ICTAUA3I6L_bit.no7

#define RFTAUA3I6                         ICTAUA3I6H_bit.no4

#define P0TAUA3I7                         ICTAUA3I7L_bit.no0
#define P1TAUA3I7                         ICTAUA3I7L_bit.no1
#define P2TAUA3I7                         ICTAUA3I7L_bit.no2
#define P3TAUA3I7                         ICTAUA3I7L_bit.no3
#define MKTAUA3I7                         ICTAUA3I7L_bit.no7

#define RFTAUA3I7                         ICTAUA3I7H_bit.no4

#define P0TAUA3I8                         ICTAUA3I8L_bit.no0
#define P1TAUA3I8                         ICTAUA3I8L_bit.no1
#define P2TAUA3I8                         ICTAUA3I8L_bit.no2
#define P3TAUA3I8                         ICTAUA3I8L_bit.no3
#define MKTAUA3I8                         ICTAUA3I8L_bit.no7

#define RFTAUA3I8                         ICTAUA3I8H_bit.no4

#define P0TAUA3I9                         ICTAUA3I9L_bit.no0
#define P1TAUA3I9                         ICTAUA3I9L_bit.no1
#define P2TAUA3I9                         ICTAUA3I9L_bit.no2
#define P3TAUA3I9                         ICTAUA3I9L_bit.no3
#define MKTAUA3I9                         ICTAUA3I9L_bit.no7

#define RFTAUA3I9                         ICTAUA3I9H_bit.no4

#define P0TAUA3I10                        ICTAUA3I10L_bit.no0
#define P1TAUA3I10                        ICTAUA3I10L_bit.no1
#define P2TAUA3I10                        ICTAUA3I10L_bit.no2
#define P3TAUA3I10                        ICTAUA3I10L_bit.no3
#define MKTAUA3I10                        ICTAUA3I10L_bit.no7

#define RFTAUA3I10                        ICTAUA3I10H_bit.no4

#define P0TAUA3I11                        ICTAUA3I11L_bit.no0
#define P1TAUA3I11                        ICTAUA3I11L_bit.no1
#define P2TAUA3I11                        ICTAUA3I11L_bit.no2
#define P3TAUA3I11                        ICTAUA3I11L_bit.no3
#define MKTAUA3I11                        ICTAUA3I11L_bit.no7

#define RFTAUA3I11                        ICTAUA3I11H_bit.no4

#define P0TAUA3I12                        ICTAUA3I12L_bit.no0
#define P1TAUA3I12                        ICTAUA3I12L_bit.no1
#define P2TAUA3I12                        ICTAUA3I12L_bit.no2
#define P3TAUA3I12                        ICTAUA3I12L_bit.no3
#define MKTAUA3I12                        ICTAUA3I12L_bit.no7

#define RFTAUA3I12                        ICTAUA3I12H_bit.no4

#define P0TAUA3I13                        ICTAUA3I13L_bit.no0
#define P1TAUA3I13                        ICTAUA3I13L_bit.no1
#define P2TAUA3I13                        ICTAUA3I13L_bit.no2
#define P3TAUA3I13                        ICTAUA3I13L_bit.no3
#define MKTAUA3I13                        ICTAUA3I13L_bit.no7

#define RFTAUA3I13                        ICTAUA3I13H_bit.no4

#define P0TAUA3I14                        ICTAUA3I14L_bit.no0
#define P1TAUA3I14                        ICTAUA3I14L_bit.no1
#define P2TAUA3I14                        ICTAUA3I14L_bit.no2
#define P3TAUA3I14                        ICTAUA3I14L_bit.no3
#define MKTAUA3I14                        ICTAUA3I14L_bit.no7

#define RFTAUA3I14                        ICTAUA3I14H_bit.no4

#define P0TAUA3I15                        ICTAUA3I15L_bit.no0
#define P1TAUA3I15                        ICTAUA3I15L_bit.no1
#define P2TAUA3I15                        ICTAUA3I15L_bit.no2
#define P3TAUA3I15                        ICTAUA3I15L_bit.no3
#define MKTAUA3I15                        ICTAUA3I15L_bit.no7

#define RFTAUA3I15                        ICTAUA3I15H_bit.no4

#define P0TAUJ0I0                         ICTAUJ0I0L_bit.no0
#define P1TAUJ0I0                         ICTAUJ0I0L_bit.no1
#define P2TAUJ0I0                         ICTAUJ0I0L_bit.no2
#define P3TAUJ0I0                         ICTAUJ0I0L_bit.no3
#define MKTAUJ0I0                         ICTAUJ0I0L_bit.no7

#define RFTAUJ0I0                         ICTAUJ0I0H_bit.no4

#define P0TAUJ0I1                         ICTAUJ0I1L_bit.no0
#define P1TAUJ0I1                         ICTAUJ0I1L_bit.no1
#define P2TAUJ0I1                         ICTAUJ0I1L_bit.no2
#define P3TAUJ0I1                         ICTAUJ0I1L_bit.no3
#define MKTAUJ0I1                         ICTAUJ0I1L_bit.no7

#define RFTAUJ0I1                         ICTAUJ0I1H_bit.no4

#define P0TAUJ0I2                         ICTAUJ0I2L_bit.no0
#define P1TAUJ0I2                         ICTAUJ0I2L_bit.no1
#define P2TAUJ0I2                         ICTAUJ0I2L_bit.no2
#define P3TAUJ0I2                         ICTAUJ0I2L_bit.no3
#define MKTAUJ0I2                         ICTAUJ0I2L_bit.no7

#define RFTAUJ0I2                         ICTAUJ0I2H_bit.no4

#define P0TAUJ0I3                         ICTAUJ0I3L_bit.no0
#define P1TAUJ0I3                         ICTAUJ0I3L_bit.no1
#define P2TAUJ0I3                         ICTAUJ0I3L_bit.no2
#define P3TAUJ0I3                         ICTAUJ0I3L_bit.no3
#define MKTAUJ0I3                         ICTAUJ0I3L_bit.no7

#define RFTAUJ0I3                         ICTAUJ0I3H_bit.no4

#define P0ENCA0IOV                        ICENCA0IOVL_bit.no0
#define P1ENCA0IOV                        ICENCA0IOVL_bit.no1
#define P2ENCA0IOV                        ICENCA0IOVL_bit.no2
#define P3ENCA0IOV                        ICENCA0IOVL_bit.no3
#define MKENCA0IOV                        ICENCA0IOVL_bit.no7

#define RFENCA0IOV                        ICENCA0IOVH_bit.no4

#define P0ENCA0IUD                        ICENCA0IUDL_bit.no0
#define P1ENCA0IUD                        ICENCA0IUDL_bit.no1
#define P2ENCA0IUD                        ICENCA0IUDL_bit.no2
#define P3ENCA0IUD                        ICENCA0IUDL_bit.no3
#define MKENCA0IUD                        ICENCA0IUDL_bit.no7

#define RFENCA0IUD                        ICENCA0IUDH_bit.no4

#define P0ENCA0I0                         ICENCA0I0L_bit.no0
#define P1ENCA0I0                         ICENCA0I0L_bit.no1
#define P2ENCA0I0                         ICENCA0I0L_bit.no2
#define P3ENCA0I0                         ICENCA0I0L_bit.no3
#define MKENCA0I0                         ICENCA0I0L_bit.no7

#define RFENCA0I0                         ICENCA0I0H_bit.no4

#define P0ENCA0I1                         ICENCA0I1L_bit.no0
#define P1ENCA0I1                         ICENCA0I1L_bit.no1
#define P2ENCA0I1                         ICENCA0I1L_bit.no2
#define P3ENCA0I1                         ICENCA0I1L_bit.no3
#define MKENCA0I1                         ICENCA0I1L_bit.no7

#define RFENCA0I1                         ICENCA0I1H_bit.no4

#define P0ENCA0IEC                        ICENCA0IECL_bit.no0
#define P1ENCA0IEC                        ICENCA0IECL_bit.no1
#define P2ENCA0IEC                        ICENCA0IECL_bit.no2
#define P3ENCA0IEC                        ICENCA0IECL_bit.no3
#define MKENCA0IEC                        ICENCA0IECL_bit.no7

#define RFENCA0IEC                        ICENCA0IECH_bit.no4

#define P0ENCA1IOV                        ICENCA1IOVL_bit.no0
#define P1ENCA1IOV                        ICENCA1IOVL_bit.no1
#define P2ENCA1IOV                        ICENCA1IOVL_bit.no2
#define P3ENCA1IOV                        ICENCA1IOVL_bit.no3
#define MKENCA1IOV                        ICENCA1IOVL_bit.no7

#define RFENCA1IOV                        ICENCA1IOVH_bit.no4

#define P0ENCA1IUD                        ICENCA1IUDL_bit.no0
#define P1ENCA1IUD                        ICENCA1IUDL_bit.no1
#define P2ENCA1IUD                        ICENCA1IUDL_bit.no2
#define P3ENCA1IUD                        ICENCA1IUDL_bit.no3
#define MKENCA1IUD                        ICENCA1IUDL_bit.no7

#define RFENCA1IUD                        ICENCA1IUDH_bit.no4

#define P0ENCA1I0                         ICENCA1I0L_bit.no0
#define P1ENCA1I0                         ICENCA1I0L_bit.no1
#define P2ENCA1I0                         ICENCA1I0L_bit.no2
#define P3ENCA1I0                         ICENCA1I0L_bit.no3
#define MKENCA1I0                         ICENCA1I0L_bit.no7

#define RFENCA1I0                         ICENCA1I0H_bit.no4

#define P0ENCA1I1                         ICENCA1I1L_bit.no0
#define P1ENCA1I1                         ICENCA1I1L_bit.no1
#define P2ENCA1I1                         ICENCA1I1L_bit.no2
#define P3ENCA1I1                         ICENCA1I1L_bit.no3
#define MKENCA1I1                         ICENCA1I1L_bit.no7

#define RFENCA1I1                         ICENCA1I1H_bit.no4

#define P0ENCA1IEC                        ICENCA1IECL_bit.no0
#define P1ENCA1IEC                        ICENCA1IECL_bit.no1
#define P2ENCA1IEC                        ICENCA1IECL_bit.no2
#define P3ENCA1IEC                        ICENCA1IECL_bit.no3
#define MKENCA1IEC                        ICENCA1IECL_bit.no7

#define RFENCA1IEC                        ICENCA1IECH_bit.no4

#define P0TAPA0IPEK0                      ICTAPA0IPEK0L_bit.no0
#define P1TAPA0IPEK0                      ICTAPA0IPEK0L_bit.no1
#define P2TAPA0IPEK0                      ICTAPA0IPEK0L_bit.no2
#define P3TAPA0IPEK0                      ICTAPA0IPEK0L_bit.no3
#define MKTAPA0IPEK0                      ICTAPA0IPEK0L_bit.no7

#define RFTAPA0IPEK0                      ICTAPA0IPEK0H_bit.no4

#define P0TAPA0IVLY0                      ICTAPA0IVLY0L_bit.no0
#define P1TAPA0IVLY0                      ICTAPA0IVLY0L_bit.no1
#define P2TAPA0IVLY0                      ICTAPA0IVLY0L_bit.no2
#define P3TAPA0IVLY0                      ICTAPA0IVLY0L_bit.no3
#define MKTAPA0IVLY0                      ICTAPA0IVLY0L_bit.no7

#define RFTAPA0IVLY0                      ICTAPA0IVLY0H_bit.no4

#define P0TAPA2ADOUT0                     ICTAPA2ADOUT0L_bit.no0
#define P1TAPA2ADOUT0                     ICTAPA2ADOUT0L_bit.no1
#define P2TAPA2ADOUT0                     ICTAPA2ADOUT0L_bit.no2
#define P3TAPA2ADOUT0                     ICTAPA2ADOUT0L_bit.no3
#define MKTAPA2ADOUT0                     ICTAPA2ADOUT0L_bit.no7

#define RFTAPA2ADOUT0                     ICTAPA2ADOUT0H_bit.no4

#define P0TAPA0ADOUT0                     ICTAPA0ADOUT0L_bit.no0
#define P1TAPA0ADOUT0                     ICTAPA0ADOUT0L_bit.no1
#define P2TAPA0ADOUT0                     ICTAPA0ADOUT0L_bit.no2
#define P3TAPA0ADOUT0                     ICTAPA0ADOUT0L_bit.no3
#define MKTAPA0ADOUT0                     ICTAPA0ADOUT0L_bit.no7

#define RFTAPA0ADOUT0                     ICTAPA0ADOUT0H_bit.no4

#define P0TAPA0ADOUT1                     ICTAPA0ADOUT1L_bit.no0
#define P1TAPA0ADOUT1                     ICTAPA0ADOUT1L_bit.no1
#define P2TAPA0ADOUT1                     ICTAPA0ADOUT1L_bit.no2
#define P3TAPA0ADOUT1                     ICTAPA0ADOUT1L_bit.no3
#define MKTAPA0ADOUT1                     ICTAPA0ADOUT1L_bit.no7

#define RFTAPA0ADOUT1                     ICTAPA0ADOUT1H_bit.no4

#define P0TAPA1IPEK0                      ICTAPA1IPEK0L_bit.no0
#define P1TAPA1IPEK0                      ICTAPA1IPEK0L_bit.no1
#define P2TAPA1IPEK0                      ICTAPA1IPEK0L_bit.no2
#define P3TAPA1IPEK0                      ICTAPA1IPEK0L_bit.no3
#define MKTAPA1IPEK0                      ICTAPA1IPEK0L_bit.no7

#define RFTAPA1IPEK0                      ICTAPA1IPEK0H_bit.no4

#define P0TAPA1IVLY0                      ICTAPA1IVLY0L_bit.no0
#define P1TAPA1IVLY0                      ICTAPA1IVLY0L_bit.no1
#define P2TAPA1IVLY0                      ICTAPA1IVLY0L_bit.no2
#define P3TAPA1IVLY0                      ICTAPA1IVLY0L_bit.no3
#define MKTAPA1IVLY0                      ICTAPA1IVLY0L_bit.no7

#define RFTAPA1IVLY0                      ICTAPA1IVLY0H_bit.no4

#define P0TAPA3ADOUT0                     ICTAPA3ADOUT0L_bit.no0
#define P1TAPA3ADOUT0                     ICTAPA3ADOUT0L_bit.no1
#define P2TAPA3ADOUT0                     ICTAPA3ADOUT0L_bit.no2
#define P3TAPA3ADOUT0                     ICTAPA3ADOUT0L_bit.no3
#define MKTAPA3ADOUT0                     ICTAPA3ADOUT0L_bit.no7

#define RFTAPA3ADOUT0                     ICTAPA3ADOUT0H_bit.no4

#define P0TAPA1ADOUT0                     ICTAPA1ADOUT0L_bit.no0
#define P1TAPA1ADOUT0                     ICTAPA1ADOUT0L_bit.no1
#define P2TAPA1ADOUT0                     ICTAPA1ADOUT0L_bit.no2
#define P3TAPA1ADOUT0                     ICTAPA1ADOUT0L_bit.no3
#define MKTAPA1ADOUT0                     ICTAPA1ADOUT0L_bit.no7

#define RFTAPA1ADOUT0                     ICTAPA1ADOUT0H_bit.no4

#define P0TAPA1ADOUT1                     ICTAPA1ADOUT1L_bit.no0
#define P1TAPA1ADOUT1                     ICTAPA1ADOUT1L_bit.no1
#define P2TAPA1ADOUT1                     ICTAPA1ADOUT1L_bit.no2
#define P3TAPA1ADOUT1                     ICTAPA1ADOUT1L_bit.no3
#define MKTAPA1ADOUT1                     ICTAPA1ADOUT1L_bit.no7

#define RFTAPA1ADOUT1                     ICTAPA1ADOUT1H_bit.no4

#define P0CSIH0IRE                        ICCSIH0IREL_bit.no0
#define P1CSIH0IRE                        ICCSIH0IREL_bit.no1
#define P2CSIH0IRE                        ICCSIH0IREL_bit.no2
#define P3CSIH0IRE                        ICCSIH0IREL_bit.no3
#define MKCSIH0IRE                        ICCSIH0IREL_bit.no7

#define RFCSIH0IRE                        ICCSIH0IREH_bit.no4

#define P0CSIH0IR                         ICCSIH0IRL_bit.no0
#define P1CSIH0IR                         ICCSIH0IRL_bit.no1
#define P2CSIH0IR                         ICCSIH0IRL_bit.no2
#define P3CSIH0IR                         ICCSIH0IRL_bit.no3
#define MKCSIH0IR                         ICCSIH0IRL_bit.no7

#define RFCSIH0IR                         ICCSIH0IRH_bit.no4

#define P0CSIH0IC                         ICCSIH0ICL_bit.no0
#define P1CSIH0IC                         ICCSIH0ICL_bit.no1
#define P2CSIH0IC                         ICCSIH0ICL_bit.no2
#define P3CSIH0IC                         ICCSIH0ICL_bit.no3
#define MKCSIH0IC                         ICCSIH0ICL_bit.no7

#define RFCSIH0IC                         ICCSIH0ICH_bit.no4

#define P0CSIH0IJC                        ICCSIH0IJCL_bit.no0
#define P1CSIH0IJC                        ICCSIH0IJCL_bit.no1
#define P2CSIH0IJC                        ICCSIH0IJCL_bit.no2
#define P3CSIH0IJC                        ICCSIH0IJCL_bit.no3
#define MKCSIH0IJC                        ICCSIH0IJCL_bit.no7

#define RFCSIH0IJC                        ICCSIH0IJCH_bit.no4

#define P0CSIH1IRE                        ICCSIH1IREL_bit.no0
#define P1CSIH1IRE                        ICCSIH1IREL_bit.no1
#define P2CSIH1IRE                        ICCSIH1IREL_bit.no2
#define P3CSIH1IRE                        ICCSIH1IREL_bit.no3
#define MKCSIH1IRE                        ICCSIH1IREL_bit.no7

#define RFCSIH1IRE                        ICCSIH1IREH_bit.no4

#define P0CSIH1IR                         ICCSIH1IRL_bit.no0
#define P1CSIH1IR                         ICCSIH1IRL_bit.no1
#define P2CSIH1IR                         ICCSIH1IRL_bit.no2
#define P3CSIH1IR                         ICCSIH1IRL_bit.no3
#define MKCSIH1IR                         ICCSIH1IRL_bit.no7

#define RFCSIH1IR                         ICCSIH1IRH_bit.no4

#define P0CSIH1IC                         ICCSIH1ICL_bit.no0
#define P1CSIH1IC                         ICCSIH1ICL_bit.no1
#define P2CSIH1IC                         ICCSIH1ICL_bit.no2
#define P3CSIH1IC                         ICCSIH1ICL_bit.no3
#define MKCSIH1IC                         ICCSIH1ICL_bit.no7

#define RFCSIH1IC                         ICCSIH1ICH_bit.no4

#define P0CSIH1IJC                        ICCSIH1IJCL_bit.no0
#define P1CSIH1IJC                        ICCSIH1IJCL_bit.no1
#define P2CSIH1IJC                        ICCSIH1IJCL_bit.no2
#define P3CSIH1IJC                        ICCSIH1IJCL_bit.no3
#define MKCSIH1IJC                        ICCSIH1IJCL_bit.no7

#define RFCSIH1IJC                        ICCSIH1IJCH_bit.no4

#define P0CSIH2IRE                        ICCSIH2IREL_bit.no0
#define P1CSIH2IRE                        ICCSIH2IREL_bit.no1
#define P2CSIH2IRE                        ICCSIH2IREL_bit.no2
#define P3CSIH2IRE                        ICCSIH2IREL_bit.no3
#define MKCSIH2IRE                        ICCSIH2IREL_bit.no7

#define RFCSIH2IRE                        ICCSIH2IREH_bit.no4

#define P0CSIH2IR                         ICCSIH2IRL_bit.no0
#define P1CSIH2IR                         ICCSIH2IRL_bit.no1
#define P2CSIH2IR                         ICCSIH2IRL_bit.no2
#define P3CSIH2IR                         ICCSIH2IRL_bit.no3
#define MKCSIH2IR                         ICCSIH2IRL_bit.no7

#define RFCSIH2IR                         ICCSIH2IRH_bit.no4

#define P0CSIH2IC                         ICCSIH2ICL_bit.no0
#define P1CSIH2IC                         ICCSIH2ICL_bit.no1
#define P2CSIH2IC                         ICCSIH2ICL_bit.no2
#define P3CSIH2IC                         ICCSIH2ICL_bit.no3
#define MKCSIH2IC                         ICCSIH2ICL_bit.no7

#define RFCSIH2IC                         ICCSIH2ICH_bit.no4

#define P0CSIH2IJC                        ICCSIH2IJCL_bit.no0
#define P1CSIH2IJC                        ICCSIH2IJCL_bit.no1
#define P2CSIH2IJC                        ICCSIH2IJCL_bit.no2
#define P3CSIH2IJC                        ICCSIH2IJCL_bit.no3
#define MKCSIH2IJC                        ICCSIH2IJCL_bit.no7

#define RFCSIH2IJC                        ICCSIH2IJCH_bit.no4

#define P0CSIH3IRE                        ICCSIH3IREL_bit.no0
#define P1CSIH3IRE                        ICCSIH3IREL_bit.no1
#define P2CSIH3IRE                        ICCSIH3IREL_bit.no2
#define P3CSIH3IRE                        ICCSIH3IREL_bit.no3
#define MKCSIH3IRE                        ICCSIH3IREL_bit.no7

#define RFCSIH3IRE                        ICCSIH3IREH_bit.no4

#define P0CSIH3IR                         ICCSIH3IRL_bit.no0
#define P1CSIH3IR                         ICCSIH3IRL_bit.no1
#define P2CSIH3IR                         ICCSIH3IRL_bit.no2
#define P3CSIH3IR                         ICCSIH3IRL_bit.no3
#define MKCSIH3IR                         ICCSIH3IRL_bit.no7

#define RFCSIH3IR                         ICCSIH3IRH_bit.no4

#define P0CSIH3IC                         ICCSIH3ICL_bit.no0
#define P1CSIH3IC                         ICCSIH3ICL_bit.no1
#define P2CSIH3IC                         ICCSIH3ICL_bit.no2
#define P3CSIH3IC                         ICCSIH3ICL_bit.no3
#define MKCSIH3IC                         ICCSIH3ICL_bit.no7

#define RFCSIH3IC                         ICCSIH3ICH_bit.no4

#define P0CSIH3IJC                        ICCSIH3IJCL_bit.no0
#define P1CSIH3IJC                        ICCSIH3IJCL_bit.no1
#define P2CSIH3IJC                        ICCSIH3IJCL_bit.no2
#define P3CSIH3IJC                        ICCSIH3IJCL_bit.no3
#define MKCSIH3IJC                        ICCSIH3IJCL_bit.no7

#define RFCSIH3IJC                        ICCSIH3IJCH_bit.no4

#define P0CSIG0IRE                        ICCSIG0IREL_bit.no0
#define P1CSIG0IRE                        ICCSIG0IREL_bit.no1
#define P2CSIG0IRE                        ICCSIG0IREL_bit.no2
#define P3CSIG0IRE                        ICCSIG0IREL_bit.no3
#define MKCSIG0IRE                        ICCSIG0IREL_bit.no7

#define RFCSIG0IRE                        ICCSIG0IREH_bit.no4

#define P0CSIG0IR                         ICCSIG0IRL_bit.no0
#define P1CSIG0IR                         ICCSIG0IRL_bit.no1
#define P2CSIG0IR                         ICCSIG0IRL_bit.no2
#define P3CSIG0IR                         ICCSIG0IRL_bit.no3
#define MKCSIG0IR                         ICCSIG0IRL_bit.no7

#define RFCSIG0IR                         ICCSIG0IRH_bit.no4

#define P0CSIG0IC                         ICCSIG0ICL_bit.no0
#define P1CSIG0IC                         ICCSIG0ICL_bit.no1
#define P2CSIG0IC                         ICCSIG0ICL_bit.no2
#define P3CSIG0IC                         ICCSIG0ICL_bit.no3
#define MKCSIG0IC                         ICCSIG0ICL_bit.no7

#define RFCSIG0IC                         ICCSIG0ICH_bit.no4

#define P0CSIG1IRE                        ICCSIG1IREL_bit.no0
#define P1CSIG1IRE                        ICCSIG1IREL_bit.no1
#define P2CSIG1IRE                        ICCSIG1IREL_bit.no2
#define P3CSIG1IRE                        ICCSIG1IREL_bit.no3
#define MKCSIG1IRE                        ICCSIG1IREL_bit.no7

#define RFCSIG1IRE                        ICCSIG1IREH_bit.no4

#define P0CSIG1IR                         ICCSIG1IRL_bit.no0
#define P1CSIG1IR                         ICCSIG1IRL_bit.no1
#define P2CSIG1IR                         ICCSIG1IRL_bit.no2
#define P3CSIG1IR                         ICCSIG1IRL_bit.no3
#define MKCSIG1IR                         ICCSIG1IRL_bit.no7

#define RFCSIG1IR                         ICCSIG1IRH_bit.no4

#define P0CSIG1IC                         ICCSIG1ICL_bit.no0
#define P1CSIG1IC                         ICCSIG1ICL_bit.no1
#define P2CSIG1IC                         ICCSIG1ICL_bit.no2
#define P3CSIG1IC                         ICCSIG1ICL_bit.no3
#define MKCSIG1IC                         ICCSIG1ICL_bit.no7

#define RFCSIG1IC                         ICCSIG1ICH_bit.no4

#define P0CSIG2IRE                        ICCSIG2IREL_bit.no0
#define P1CSIG2IRE                        ICCSIG2IREL_bit.no1
#define P2CSIG2IRE                        ICCSIG2IREL_bit.no2
#define P3CSIG2IRE                        ICCSIG2IREL_bit.no3
#define MKCSIG2IRE                        ICCSIG2IREL_bit.no7

#define RFCSIG2IRE                        ICCSIG2IREH_bit.no4

#define P0CSIG2IR                         ICCSIG2IRL_bit.no0
#define P1CSIG2IR                         ICCSIG2IRL_bit.no1
#define P2CSIG2IR                         ICCSIG2IRL_bit.no2
#define P3CSIG2IR                         ICCSIG2IRL_bit.no3
#define MKCSIG2IR                         ICCSIG2IRL_bit.no7

#define RFCSIG2IR                         ICCSIG2IRH_bit.no4

#define P0CSIG2IC                         ICCSIG2ICL_bit.no0
#define P1CSIG2IC                         ICCSIG2ICL_bit.no1
#define P2CSIG2IC                         ICCSIG2ICL_bit.no2
#define P3CSIG2IC                         ICCSIG2ICL_bit.no3
#define MKCSIG2IC                         ICCSIG2ICL_bit.no7

#define RFCSIG2IC                         ICCSIG2ICH_bit.no4

#define P0CSIG3IRE                        ICCSIG3IREL_bit.no0
#define P1CSIG3IRE                        ICCSIG3IREL_bit.no1
#define P2CSIG3IRE                        ICCSIG3IREL_bit.no2
#define P3CSIG3IRE                        ICCSIG3IREL_bit.no3
#define MKCSIG3IRE                        ICCSIG3IREL_bit.no7

#define RFCSIG3IRE                        ICCSIG3IREH_bit.no4

#define P0CSIG3IR                         ICCSIG3IRL_bit.no0
#define P1CSIG3IR                         ICCSIG3IRL_bit.no1
#define P2CSIG3IR                         ICCSIG3IRL_bit.no2
#define P3CSIG3IR                         ICCSIG3IRL_bit.no3
#define MKCSIG3IR                         ICCSIG3IRL_bit.no7

#define RFCSIG3IR                         ICCSIG3IRH_bit.no4

#define P0CSIG3IC                         ICCSIG3ICL_bit.no0
#define P1CSIG3IC                         ICCSIG3ICL_bit.no1
#define P2CSIG3IC                         ICCSIG3ICL_bit.no2
#define P3CSIG3IC                         ICCSIG3ICL_bit.no3
#define MKCSIG3IC                         ICCSIG3ICL_bit.no7

#define RFCSIG3IC                         ICCSIG3ICH_bit.no4

#define P0CSIG4IRE                        ICCSIG4IREL_bit.no0
#define P1CSIG4IRE                        ICCSIG4IREL_bit.no1
#define P2CSIG4IRE                        ICCSIG4IREL_bit.no2
#define P3CSIG4IRE                        ICCSIG4IREL_bit.no3
#define MKCSIG4IRE                        ICCSIG4IREL_bit.no7

#define RFCSIG4IRE                        ICCSIG4IREH_bit.no4

#define P0CSIG4IR                         ICCSIG4IRL_bit.no0
#define P1CSIG4IR                         ICCSIG4IRL_bit.no1
#define P2CSIG4IR                         ICCSIG4IRL_bit.no2
#define P3CSIG4IR                         ICCSIG4IRL_bit.no3
#define MKCSIG4IR                         ICCSIG4IRL_bit.no7

#define RFCSIG4IR                         ICCSIG4IRH_bit.no4

#define P0CSIG4IC                         ICCSIG4ICL_bit.no0
#define P1CSIG4IC                         ICCSIG4ICL_bit.no1
#define P2CSIG4IC                         ICCSIG4ICL_bit.no2
#define P3CSIG4IC                         ICCSIG4ICL_bit.no3
#define MKCSIG4IC                         ICCSIG4ICL_bit.no7

#define RFCSIG4IC                         ICCSIG4ICH_bit.no4

#define P0CSIG5IRE                        ICCSIG5IREL_bit.no0
#define P1CSIG5IRE                        ICCSIG5IREL_bit.no1
#define P2CSIG5IRE                        ICCSIG5IREL_bit.no2
#define P3CSIG5IRE                        ICCSIG5IREL_bit.no3
#define MKCSIG5IRE                        ICCSIG5IREL_bit.no7

#define RFCSIG5IRE                        ICCSIG5IREH_bit.no4

#define P0CSIG5IR                         ICCSIG5IRL_bit.no0
#define P1CSIG5IR                         ICCSIG5IRL_bit.no1
#define P2CSIG5IR                         ICCSIG5IRL_bit.no2
#define P3CSIG5IR                         ICCSIG5IRL_bit.no3
#define MKCSIG5IR                         ICCSIG5IRL_bit.no7

#define RFCSIG5IR                         ICCSIG5IRH_bit.no4

#define P0CSIG5IC                         ICCSIG5ICL_bit.no0
#define P1CSIG5IC                         ICCSIG5ICL_bit.no1
#define P2CSIG5IC                         ICCSIG5ICL_bit.no2
#define P3CSIG5IC                         ICCSIG5ICL_bit.no3
#define MKCSIG5IC                         ICCSIG5ICL_bit.no7

#define RFCSIG5IC                         ICCSIG5ICH_bit.no4

#define P0FCNWUP                          ICFCNWUPL_bit.no0
#define P1FCNWUP                          ICFCNWUPL_bit.no1
#define P2FCNWUP                          ICFCNWUPL_bit.no2
#define P3FCNWUP                          ICFCNWUPL_bit.no3
#define MKFCNWUP                          ICFCNWUPL_bit.no7

#define RFFCNWUP                          ICFCNWUPH_bit.no4

#define P0ETHA0SRX                        ICETHA0SRXL_bit.no0
#define P1ETHA0SRX                        ICETHA0SRXL_bit.no1
#define P2ETHA0SRX                        ICETHA0SRXL_bit.no2
#define P3ETHA0SRX                        ICETHA0SRXL_bit.no3
#define MKETHA0SRX                        ICETHA0SRXL_bit.no7

#define RFETHA0SRX                        ICETHA0SRXH_bit.no4

#define P0ETHA0SCRX                       ICETHA0SCRXL_bit.no0
#define P1ETHA0SCRX                       ICETHA0SCRXL_bit.no1
#define P2ETHA0SCRX                       ICETHA0SCRXL_bit.no2
#define P3ETHA0SCRX                       ICETHA0SCRXL_bit.no3
#define MKETHA0SCRX                       ICETHA0SCRXL_bit.no7

#define RFETHA0SCRX                       ICETHA0SCRXH_bit.no4

#define P0ETHA0SCTX                       ICETHA0SCTXL_bit.no0
#define P1ETHA0SCTX                       ICETHA0SCTXL_bit.no1
#define P2ETHA0SCTX                       ICETHA0SCTXL_bit.no2
#define P3ETHA0SCTX                       ICETHA0SCTXL_bit.no3
#define MKETHA0SCTX                       ICETHA0SCTXL_bit.no7

#define RFETHA0SCTX                       ICETHA0SCTXH_bit.no4

#define P0ETHA0RS                         ICETHA0RSL_bit.no0
#define P1ETHA0RS                         ICETHA0RSL_bit.no1
#define P2ETHA0RS                         ICETHA0RSL_bit.no2
#define P3ETHA0RS                         ICETHA0RSL_bit.no3
#define MKETHA0RS                         ICETHA0RSL_bit.no7

#define RFETHA0RS                         ICETHA0RSH_bit.no4

#define P0ETHA0TS                         ICETHA0TSL_bit.no0
#define P1ETHA0TS                         ICETHA0TSL_bit.no1
#define P2ETHA0TS                         ICETHA0TSL_bit.no2
#define P3ETHA0TS                         ICETHA0TSL_bit.no3
#define MKETHA0TS                         ICETHA0TSL_bit.no7

#define RFETHA0TS                         ICETHA0TSH_bit.no4

#define P0ETHA0FS                         ICETHA0FSL_bit.no0
#define P1ETHA0FS                         ICETHA0FSL_bit.no1
#define P2ETHA0FS                         ICETHA0FSL_bit.no2
#define P3ETHA0FS                         ICETHA0FSL_bit.no3
#define MKETHA0FS                         ICETHA0FSL_bit.no7

#define RFETHA0FS                         ICETHA0FSH_bit.no4

#define P0ETHA0MAC                        ICETHA0MACL_bit.no0
#define P1ETHA0MAC                        ICETHA0MACL_bit.no1
#define P2ETHA0MAC                        ICETHA0MACL_bit.no2
#define P3ETHA0MAC                        ICETHA0MACL_bit.no3
#define MKETHA0MAC                        ICETHA0MACL_bit.no7

#define RFETHA0MAC                        ICETHA0MACH_bit.no4

#define P0ETHA0SCRXTCH                    ICETHA0SCRXTCHL_bit.no0
#define P1ETHA0SCRXTCH                    ICETHA0SCRXTCHL_bit.no1
#define P2ETHA0SCRXTCH                    ICETHA0SCRXTCHL_bit.no2
#define P3ETHA0SCRXTCH                    ICETHA0SCRXTCHL_bit.no3
#define MKETHA0SCRXTCH                    ICETHA0SCRXTCHL_bit.no7

#define RFETHA0SCRXTCH                    ICETHA0SCRXTCHH_bit.no4

#define P0ETHA0SCTXTCH                    ICETHA0SCTXTCHL_bit.no0
#define P1ETHA0SCTXTCH                    ICETHA0SCTXTCHL_bit.no1
#define P2ETHA0SCTXTCH                    ICETHA0SCTXTCHL_bit.no2
#define P3ETHA0SCTXTCH                    ICETHA0SCTXTCHL_bit.no3
#define MKETHA0SCTXTCH                    ICETHA0SCTXTCHL_bit.no7

#define RFETHA0SCTXTCH                    ICETHA0SCTXTCHH_bit.no4

#define P0USFA0I0                         ICUSFA0I0L_bit.no0
#define P1USFA0I0                         ICUSFA0I0L_bit.no1
#define P2USFA0I0                         ICUSFA0I0L_bit.no2
#define P3USFA0I0                         ICUSFA0I0L_bit.no3
#define MKUSFA0I0                         ICUSFA0I0L_bit.no7

#define RFUSFA0I0                         ICUSFA0I0H_bit.no4

#define P0USFA0I1                         ICUSFA0I1L_bit.no0
#define P1USFA0I1                         ICUSFA0I1L_bit.no1
#define P2USFA0I1                         ICUSFA0I1L_bit.no2
#define P3USFA0I1                         ICUSFA0I1L_bit.no3
#define MKUSFA0I1                         ICUSFA0I1L_bit.no7

#define RFUSFA0I1                         ICUSFA0I1H_bit.no4

#define P0USFA0I2                         ICUSFA0I2L_bit.no0
#define P1USFA0I2                         ICUSFA0I2L_bit.no1
#define P2USFA0I2                         ICUSFA0I2L_bit.no2
#define P3USFA0I2                         ICUSFA0I2L_bit.no3
#define MKUSFA0I2                         ICUSFA0I2L_bit.no7

#define RFUSFA0I2                         ICUSFA0I2H_bit.no4

#define P0USHA0I0                         ICUSHA0I0L_bit.no0
#define P1USHA0I0                         ICUSHA0I0L_bit.no1
#define P2USHA0I0                         ICUSHA0I0L_bit.no2
#define P3USHA0I0                         ICUSHA0I0L_bit.no3
#define MKUSHA0I0                         ICUSHA0I0L_bit.no7

#define RFUSHA0I0                         ICUSHA0I0H_bit.no4

#define P0USHA0I1                         ICUSHA0I1L_bit.no0
#define P1USHA0I1                         ICUSHA0I1L_bit.no1
#define P2USHA0I1                         ICUSHA0I1L_bit.no2
#define P3USHA0I1                         ICUSHA0I1L_bit.no3
#define MKUSHA0I1                         ICUSHA0I1L_bit.no7

#define RFUSHA0I1                         ICUSHA0I1H_bit.no4

#define P0USHA0PME                        ICUSHA0PMEL_bit.no0
#define P1USHA0PME                        ICUSHA0PMEL_bit.no1
#define P2USHA0PME                        ICUSHA0PMEL_bit.no2
#define P3USHA0PME                        ICUSHA0PMEL_bit.no3
#define MKUSHA0PME                        ICUSHA0PMEL_bit.no7

#define RFUSHA0PME                        ICUSHA0PMEH_bit.no4

#define P0DMA0                            ICDMA0L_bit.no0
#define P1DMA0                            ICDMA0L_bit.no1
#define P2DMA0                            ICDMA0L_bit.no2
#define P3DMA0                            ICDMA0L_bit.no3
#define MKDMA0                            ICDMA0L_bit.no7

#define RFDMA0                            ICDMA0H_bit.no4

#define P0DMA1                            ICDMA1L_bit.no0
#define P1DMA1                            ICDMA1L_bit.no1
#define P2DMA1                            ICDMA1L_bit.no2
#define P3DMA1                            ICDMA1L_bit.no3
#define MKDMA1                            ICDMA1L_bit.no7

#define RFDMA1                            ICDMA1H_bit.no4

#define P0DMA2                            ICDMA2L_bit.no0
#define P1DMA2                            ICDMA2L_bit.no1
#define P2DMA2                            ICDMA2L_bit.no2
#define P3DMA2                            ICDMA2L_bit.no3
#define MKDMA2                            ICDMA2L_bit.no7

#define RFDMA2                            ICDMA2H_bit.no4

#define P0DMA3                            ICDMA3L_bit.no0
#define P1DMA3                            ICDMA3L_bit.no1
#define P2DMA3                            ICDMA3L_bit.no2
#define P3DMA3                            ICDMA3L_bit.no3
#define MKDMA3                            ICDMA3L_bit.no7

#define RFDMA3                            ICDMA3H_bit.no4

#define P0DMA4                            ICDMA4L_bit.no0
#define P1DMA4                            ICDMA4L_bit.no1
#define P2DMA4                            ICDMA4L_bit.no2
#define P3DMA4                            ICDMA4L_bit.no3
#define MKDMA4                            ICDMA4L_bit.no7

#define RFDMA4                            ICDMA4H_bit.no4

#define P0DMA5                            ICDMA5L_bit.no0
#define P1DMA5                            ICDMA5L_bit.no1
#define P2DMA5                            ICDMA5L_bit.no2
#define P3DMA5                            ICDMA5L_bit.no3
#define MKDMA5                            ICDMA5L_bit.no7

#define RFDMA5                            ICDMA5H_bit.no4

#define P0DMA6                            ICDMA6L_bit.no0
#define P1DMA6                            ICDMA6L_bit.no1
#define P2DMA6                            ICDMA6L_bit.no2
#define P3DMA6                            ICDMA6L_bit.no3
#define MKDMA6                            ICDMA6L_bit.no7

#define RFDMA6                            ICDMA6H_bit.no4

#define P0DMA7                            ICDMA7L_bit.no0
#define P1DMA7                            ICDMA7L_bit.no1
#define P2DMA7                            ICDMA7L_bit.no2
#define P3DMA7                            ICDMA7L_bit.no3
#define MKDMA7                            ICDMA7L_bit.no7

#define RFDMA7                            ICDMA7H_bit.no4

#define P0DMA8                            ICDMA8L_bit.no0
#define P1DMA8                            ICDMA8L_bit.no1
#define P2DMA8                            ICDMA8L_bit.no2
#define P3DMA8                            ICDMA8L_bit.no3
#define MKDMA8                            ICDMA8L_bit.no7

#define RFDMA8                            ICDMA8H_bit.no4

#define P0DMA9                            ICDMA9L_bit.no0
#define P1DMA9                            ICDMA9L_bit.no1
#define P2DMA9                            ICDMA9L_bit.no2
#define P3DMA9                            ICDMA9L_bit.no3
#define MKDMA9                            ICDMA9L_bit.no7

#define RFDMA9                            ICDMA9H_bit.no4

#define P0DMA10                           ICDMA10L_bit.no0
#define P1DMA10                           ICDMA10L_bit.no1
#define P2DMA10                           ICDMA10L_bit.no2
#define P3DMA10                           ICDMA10L_bit.no3
#define MKDMA10                           ICDMA10L_bit.no7

#define RFDMA10                           ICDMA10H_bit.no4

#define P0DMA11                           ICDMA11L_bit.no0
#define P1DMA11                           ICDMA11L_bit.no1
#define P2DMA11                           ICDMA11L_bit.no2
#define P3DMA11                           ICDMA11L_bit.no3
#define MKDMA11                           ICDMA11L_bit.no7

#define RFDMA11                           ICDMA11H_bit.no4

#define P0DMA12                           ICDMA12L_bit.no0
#define P1DMA12                           ICDMA12L_bit.no1
#define P2DMA12                           ICDMA12L_bit.no2
#define P3DMA12                           ICDMA12L_bit.no3
#define MKDMA12                           ICDMA12L_bit.no7

#define RFDMA12                           ICDMA12H_bit.no4

#define P0DMA13                           ICDMA13L_bit.no0
#define P1DMA13                           ICDMA13L_bit.no1
#define P2DMA13                           ICDMA13L_bit.no2
#define P3DMA13                           ICDMA13L_bit.no3
#define MKDMA13                           ICDMA13L_bit.no7

#define RFDMA13                           ICDMA13H_bit.no4

#define P0DMA14                           ICDMA14L_bit.no0
#define P1DMA14                           ICDMA14L_bit.no1
#define P2DMA14                           ICDMA14L_bit.no2
#define P3DMA14                           ICDMA14L_bit.no3
#define MKDMA14                           ICDMA14L_bit.no7

#define RFDMA14                           ICDMA14H_bit.no4

#define P0DMA15                           ICDMA15L_bit.no0
#define P1DMA15                           ICDMA15L_bit.no1
#define P2DMA15                           ICDMA15L_bit.no2
#define P3DMA15                           ICDMA15L_bit.no3
#define MKDMA15                           ICDMA15L_bit.no7

#define RFDMA15                           ICDMA15H_bit.no4

#define P0DMACT0                          ICDMACT0L_bit.no0
#define P1DMACT0                          ICDMACT0L_bit.no1
#define P2DMACT0                          ICDMACT0L_bit.no2
#define P3DMACT0                          ICDMACT0L_bit.no3
#define MKDMACT0                          ICDMACT0L_bit.no7

#define RFDMACT0                          ICDMACT0H_bit.no4

#define P0DMACT1                          ICDMACT1L_bit.no0
#define P1DMACT1                          ICDMACT1L_bit.no1
#define P2DMACT1                          ICDMACT1L_bit.no2
#define P3DMACT1                          ICDMACT1L_bit.no3
#define MKDMACT1                          ICDMACT1L_bit.no7

#define RFDMACT1                          ICDMACT1H_bit.no4

#define P0DMACT2                          ICDMACT2L_bit.no0
#define P1DMACT2                          ICDMACT2L_bit.no1
#define P2DMACT2                          ICDMACT2L_bit.no2
#define P3DMACT2                          ICDMACT2L_bit.no3
#define MKDMACT2                          ICDMACT2L_bit.no7

#define RFDMACT2                          ICDMACT2H_bit.no4

#define P0DMACT3                          ICDMACT3L_bit.no0
#define P1DMACT3                          ICDMACT3L_bit.no1
#define P2DMACT3                          ICDMACT3L_bit.no2
#define P3DMACT3                          ICDMACT3L_bit.no3
#define MKDMACT3                          ICDMACT3L_bit.no7

#define RFDMACT3                          ICDMACT3H_bit.no4

#define P0DMACT4                          ICDMACT4L_bit.no0
#define P1DMACT4                          ICDMACT4L_bit.no1
#define P2DMACT4                          ICDMACT4L_bit.no2
#define P3DMACT4                          ICDMACT4L_bit.no3
#define MKDMACT4                          ICDMACT4L_bit.no7

#define RFDMACT4                          ICDMACT4H_bit.no4

#define P0DMACT5                          ICDMACT5L_bit.no0
#define P1DMACT5                          ICDMACT5L_bit.no1
#define P2DMACT5                          ICDMACT5L_bit.no2
#define P3DMACT5                          ICDMACT5L_bit.no3
#define MKDMACT5                          ICDMACT5L_bit.no7

#define RFDMACT5                          ICDMACT5H_bit.no4

#define P0DMACT6                          ICDMACT6L_bit.no0
#define P1DMACT6                          ICDMACT6L_bit.no1
#define P2DMACT6                          ICDMACT6L_bit.no2
#define P3DMACT6                          ICDMACT6L_bit.no3
#define MKDMACT6                          ICDMACT6L_bit.no7

#define RFDMACT6                          ICDMACT6H_bit.no4

#define P0DMACT7                          ICDMACT7L_bit.no0
#define P1DMACT7                          ICDMACT7L_bit.no1
#define P2DMACT7                          ICDMACT7L_bit.no2
#define P3DMACT7                          ICDMACT7L_bit.no3
#define MKDMACT7                          ICDMACT7L_bit.no7

#define RFDMACT7                          ICDMACT7H_bit.no4

#define P0DMACT8                          ICDMACT8L_bit.no0
#define P1DMACT8                          ICDMACT8L_bit.no1
#define P2DMACT8                          ICDMACT8L_bit.no2
#define P3DMACT8                          ICDMACT8L_bit.no3
#define MKDMACT8                          ICDMACT8L_bit.no7

#define RFDMACT8                          ICDMACT8H_bit.no4

#define P0DMACT9                          ICDMACT9L_bit.no0
#define P1DMACT9                          ICDMACT9L_bit.no1
#define P2DMACT9                          ICDMACT9L_bit.no2
#define P3DMACT9                          ICDMACT9L_bit.no3
#define MKDMACT9                          ICDMACT9L_bit.no7

#define RFDMACT9                          ICDMACT9H_bit.no4

#define P0DMACT10                         ICDMACT10L_bit.no0
#define P1DMACT10                         ICDMACT10L_bit.no1
#define P2DMACT10                         ICDMACT10L_bit.no2
#define P3DMACT10                         ICDMACT10L_bit.no3
#define MKDMACT10                         ICDMACT10L_bit.no7

#define RFDMACT10                         ICDMACT10H_bit.no4

#define P0DMACT11                         ICDMACT11L_bit.no0
#define P1DMACT11                         ICDMACT11L_bit.no1
#define P2DMACT11                         ICDMACT11L_bit.no2
#define P3DMACT11                         ICDMACT11L_bit.no3
#define MKDMACT11                         ICDMACT11L_bit.no7

#define RFDMACT11                         ICDMACT11H_bit.no4

#define P0DMACT12                         ICDMACT12L_bit.no0
#define P1DMACT12                         ICDMACT12L_bit.no1
#define P2DMACT12                         ICDMACT12L_bit.no2
#define P3DMACT12                         ICDMACT12L_bit.no3
#define MKDMACT12                         ICDMACT12L_bit.no7

#define RFDMACT12                         ICDMACT12H_bit.no4

#define P0DMACT13                         ICDMACT13L_bit.no0
#define P1DMACT13                         ICDMACT13L_bit.no1
#define P2DMACT13                         ICDMACT13L_bit.no2
#define P3DMACT13                         ICDMACT13L_bit.no3
#define MKDMACT13                         ICDMACT13L_bit.no7

#define RFDMACT13                         ICDMACT13H_bit.no4

#define P0DMACT14                         ICDMACT14L_bit.no0
#define P1DMACT14                         ICDMACT14L_bit.no1
#define P2DMACT14                         ICDMACT14L_bit.no2
#define P3DMACT14                         ICDMACT14L_bit.no3
#define MKDMACT14                         ICDMACT14L_bit.no7

#define RFDMACT14                         ICDMACT14H_bit.no4

#define P0DMACT15                         ICDMACT15L_bit.no0
#define P1DMACT15                         ICDMACT15L_bit.no1
#define P2DMACT15                         ICDMACT15L_bit.no2
#define P3DMACT15                         ICDMACT15L_bit.no3
#define MKDMACT15                         ICDMACT15L_bit.no7

#define RFDMACT15                         ICDMACT15H_bit.no4

#define P0HDMAERR                         ICHDMAERRL_bit.no0
#define P1HDMAERR                         ICHDMAERRL_bit.no1
#define P2HDMAERR                         ICHDMAERRL_bit.no2
#define P3HDMAERR                         ICHDMAERRL_bit.no3
#define MKHDMAERR                         ICHDMAERRL_bit.no7

#define RFHDMAERR                         ICHDMAERRH_bit.no4

#define P0HDMA0                           ICHDMA0L_bit.no0
#define P1HDMA0                           ICHDMA0L_bit.no1
#define P2HDMA0                           ICHDMA0L_bit.no2
#define P3HDMA0                           ICHDMA0L_bit.no3
#define MKHDMA0                           ICHDMA0L_bit.no7

#define RFHDMA0                           ICHDMA0H_bit.no4

#define P0HDMA1                           ICHDMA1L_bit.no0
#define P1HDMA1                           ICHDMA1L_bit.no1
#define P2HDMA1                           ICHDMA1L_bit.no2
#define P3HDMA1                           ICHDMA1L_bit.no3
#define MKHDMA1                           ICHDMA1L_bit.no7

#define RFHDMA1                           ICHDMA1H_bit.no4

#define P0HDMA2                           ICHDMA2L_bit.no0
#define P1HDMA2                           ICHDMA2L_bit.no1
#define P2HDMA2                           ICHDMA2L_bit.no2
#define P3HDMA2                           ICHDMA2L_bit.no3
#define MKHDMA2                           ICHDMA2L_bit.no7

#define RFHDMA2                           ICHDMA2H_bit.no4

#define P0HDMA3                           ICHDMA3L_bit.no0
#define P1HDMA3                           ICHDMA3L_bit.no1
#define P2HDMA3                           ICHDMA3L_bit.no2
#define P3HDMA3                           ICHDMA3L_bit.no3
#define MKHDMA3                           ICHDMA3L_bit.no7

#define RFHDMA3                           ICHDMA3H_bit.no4

#define P0HDMA4                           ICHDMA4L_bit.no0
#define P1HDMA4                           ICHDMA4L_bit.no1
#define P2HDMA4                           ICHDMA4L_bit.no2
#define P3HDMA4                           ICHDMA4L_bit.no3
#define MKHDMA4                           ICHDMA4L_bit.no7

#define RFHDMA4                           ICHDMA4H_bit.no4

#define P0HDMA5                           ICHDMA5L_bit.no0
#define P1HDMA5                           ICHDMA5L_bit.no1
#define P2HDMA5                           ICHDMA5L_bit.no2
#define P3HDMA5                           ICHDMA5L_bit.no3
#define MKHDMA5                           ICHDMA5L_bit.no7

#define RFHDMA5                           ICHDMA5H_bit.no4

#define P0HDMA6                           ICHDMA6L_bit.no0
#define P1HDMA6                           ICHDMA6L_bit.no1
#define P2HDMA6                           ICHDMA6L_bit.no2
#define P3HDMA6                           ICHDMA6L_bit.no3
#define MKHDMA6                           ICHDMA6L_bit.no7

#define RFHDMA6                           ICHDMA6H_bit.no4

#define P0HDMA7                           ICHDMA7L_bit.no0
#define P1HDMA7                           ICHDMA7L_bit.no1
#define P2HDMA7                           ICHDMA7L_bit.no2
#define P3HDMA7                           ICHDMA7L_bit.no3
#define MKHDMA7                           ICHDMA7L_bit.no7

#define RFHDMA7                           ICHDMA7H_bit.no4

#define IMR0EIMK10                        IMR0H_bit.no2
#define IMR0EIMK12                        IMR0H_bit.no4
#define IMR0EIMK14                        IMR0H_bit.no6
#define IMR0EIMK15                        IMR0H_bit.no7

#define IMR1EIMK16                        IMR1L_bit.no0
#define IMR1EIMK17                        IMR1L_bit.no1
#define IMR1EIMK18                        IMR1L_bit.no2
#define IMR1EIMK19                        IMR1L_bit.no3
#define IMR1EIMK20                        IMR1L_bit.no4
#define IMR1EIMK21                        IMR1L_bit.no5
#define IMR1EIMK22                        IMR1L_bit.no6
#define IMR1EIMK23                        IMR1L_bit.no7

#define IMR1EIMK24                        IMR1H_bit.no0
#define IMR1EIMK25                        IMR1H_bit.no1
#define IMR1EIMK26                        IMR1H_bit.no2
#define IMR1EIMK27                        IMR1H_bit.no3
#define IMR1EIMK28                        IMR1H_bit.no4
#define IMR1EIMK29                        IMR1H_bit.no5
#define IMR1EIMK30                        IMR1H_bit.no6
#define IMR1EIMK31                        IMR1H_bit.no7

#define IMR2EIMK32                        IMR2L_bit.no0
#define IMR2EIMK33                        IMR2L_bit.no1
#define IMR2EIMK34                        IMR2L_bit.no2
#define IMR2EIMK35                        IMR2L_bit.no3
#define IMR2EIMK36                        IMR2L_bit.no4
#define IMR2EIMK37                        IMR2L_bit.no5
#define IMR2EIMK38                        IMR2L_bit.no6
#define IMR2EIMK39                        IMR2L_bit.no7

#define IMR2EIMK40                        IMR2H_bit.no0
#define IMR2EIMK41                        IMR2H_bit.no1
#define IMR2EIMK42                        IMR2H_bit.no2
#define IMR2EIMK43                        IMR2H_bit.no3
#define IMR2EIMK44                        IMR2H_bit.no4
#define IMR2EIMK45                        IMR2H_bit.no5
#define IMR2EIMK46                        IMR2H_bit.no6
#define IMR2EIMK47                        IMR2H_bit.no7

#define IMR3EIMK48                        IMR3L_bit.no0
#define IMR3EIMK49                        IMR3L_bit.no1
#define IMR3EIMK51                        IMR3L_bit.no3
#define IMR3EIMK52                        IMR3L_bit.no4
#define IMR3EIMK53                        IMR3L_bit.no5
#define IMR3EIMK54                        IMR3L_bit.no6
#define IMR3EIMK55                        IMR3L_bit.no7

#define IMR3EIMK56                        IMR3H_bit.no0
#define IMR3EIMK57                        IMR3H_bit.no1
#define IMR3EIMK58                        IMR3H_bit.no2
#define IMR3EIMK59                        IMR3H_bit.no3
#define IMR3EIMK60                        IMR3H_bit.no4
#define IMR3EIMK61                        IMR3H_bit.no5
#define IMR3EIMK62                        IMR3H_bit.no6
#define IMR3EIMK63                        IMR3H_bit.no7

#define IMR4EIMK64                        IMR4L_bit.no0
#define IMR4EIMK65                        IMR4L_bit.no1
#define IMR4EIMK66                        IMR4L_bit.no2
#define IMR4EIMK67                        IMR4L_bit.no3
#define IMR4EIMK68                        IMR4L_bit.no4
#define IMR4EIMK69                        IMR4L_bit.no5
#define IMR4EIMK70                        IMR4L_bit.no6
#define IMR4EIMK71                        IMR4L_bit.no7

#define IMR4EIMK72                        IMR4H_bit.no0
#define IMR4EIMK73                        IMR4H_bit.no1
#define IMR4EIMK74                        IMR4H_bit.no2
#define IMR4EIMK75                        IMR4H_bit.no3
#define IMR4EIMK76                        IMR4H_bit.no4
#define IMR4EIMK77                        IMR4H_bit.no5
#define IMR4EIMK78                        IMR4H_bit.no6
#define IMR4EIMK79                        IMR4H_bit.no7

#define IMR5EIMK80                        IMR5L_bit.no0
#define IMR5EIMK81                        IMR5L_bit.no1
#define IMR5EIMK82                        IMR5L_bit.no2
#define IMR5EIMK83                        IMR5L_bit.no3
#define IMR5EIMK84                        IMR5L_bit.no4
#define IMR5EIMK85                        IMR5L_bit.no5
#define IMR5EIMK86                        IMR5L_bit.no6
#define IMR5EIMK87                        IMR5L_bit.no7

#define IMR5EIMK88                        IMR5H_bit.no0
#define IMR5EIMK89                        IMR5H_bit.no1
#define IMR5EIMK90                        IMR5H_bit.no2
#define IMR5EIMK91                        IMR5H_bit.no3
#define IMR5EIMK92                        IMR5H_bit.no4
#define IMR5EIMK93                        IMR5H_bit.no5
#define IMR5EIMK94                        IMR5H_bit.no6
#define IMR5EIMK95                        IMR5H_bit.no7

#define IMR6EIMK96                        IMR6L_bit.no0
#define IMR6EIMK97                        IMR6L_bit.no1
#define IMR6EIMK98                        IMR6L_bit.no2
#define IMR6EIMK99                        IMR6L_bit.no3
#define IMR6EIMK100                       IMR6L_bit.no4
#define IMR6EIMK101                       IMR6L_bit.no5
#define IMR6EIMK102                       IMR6L_bit.no6
#define IMR6EIMK103                       IMR6L_bit.no7

#define IMR6EIMK104                       IMR6H_bit.no0
#define IMR6EIMK105                       IMR6H_bit.no1
#define IMR6EIMK106                       IMR6H_bit.no2
#define IMR6EIMK107                       IMR6H_bit.no3
#define IMR6EIMK108                       IMR6H_bit.no4
#define IMR6EIMK109                       IMR6H_bit.no5
#define IMR6EIMK110                       IMR6H_bit.no6
#define IMR6EIMK111                       IMR6H_bit.no7

#define IMR7EIMK112                       IMR7L_bit.no0
#define IMR7EIMK113                       IMR7L_bit.no1
#define IMR7EIMK114                       IMR7L_bit.no2
#define IMR7EIMK115                       IMR7L_bit.no3
#define IMR7EIMK116                       IMR7L_bit.no4
#define IMR7EIMK117                       IMR7L_bit.no5
#define IMR7EIMK118                       IMR7L_bit.no6
#define IMR7EIMK119                       IMR7L_bit.no7

#define IMR7EIMK120                       IMR7H_bit.no0
#define IMR7EIMK121                       IMR7H_bit.no1
#define IMR7EIMK122                       IMR7H_bit.no2
#define IMR7EIMK123                       IMR7H_bit.no3
#define IMR7EIMK124                       IMR7H_bit.no4
#define IMR7EIMK125                       IMR7H_bit.no5
#define IMR7EIMK126                       IMR7H_bit.no6
#define IMR7EIMK127                       IMR7H_bit.no7

#define IMR8EIMK128                       IMR8L_bit.no0
#define IMR8EIMK131                       IMR8L_bit.no3
#define IMR8EIMK132                       IMR8L_bit.no4
#define IMR8EIMK134                       IMR8L_bit.no6
#define IMR8EIMK135                       IMR8L_bit.no7

#define IMR8EIMK136                       IMR8H_bit.no0
#define IMR8EIMK137                       IMR8H_bit.no1
#define IMR8EIMK138                       IMR8H_bit.no2
#define IMR8EIMK140                       IMR8H_bit.no4
#define IMR8EIMK141                       IMR8H_bit.no5
#define IMR8EIMK142                       IMR8H_bit.no6
#define IMR8EIMK143                       IMR8H_bit.no7

#define IMR9EIMK144                       IMR9L_bit.no0
#define IMR9EIMK145                       IMR9L_bit.no1
#define IMR9EIMK146                       IMR9L_bit.no2
#define IMR9EIMK147                       IMR9L_bit.no3
#define IMR9EIMK148                       IMR9L_bit.no4
#define IMR9EIMK149                       IMR9L_bit.no5
#define IMR9EIMK150                       IMR9L_bit.no6
#define IMR9EIMK151                       IMR9L_bit.no7

#define IMR9EIMK152                       IMR9H_bit.no0
#define IMR9EIMK153                       IMR9H_bit.no1
#define IMR9EIMK154                       IMR9H_bit.no2
#define IMR9EIMK155                       IMR9H_bit.no3
#define IMR9EIMK156                       IMR9H_bit.no4
#define IMR9EIMK157                       IMR9H_bit.no5
#define IMR9EIMK158                       IMR9H_bit.no6
#define IMR9EIMK159                       IMR9H_bit.no7

#define IMR10EIMK160                      IMR10L_bit.no0
#define IMR10EIMK161                      IMR10L_bit.no1
#define IMR10EIMK162                      IMR10L_bit.no2
#define IMR10EIMK163                      IMR10L_bit.no3
#define IMR10EIMK164                      IMR10L_bit.no4
#define IMR10EIMK165                      IMR10L_bit.no5
#define IMR10EIMK166                      IMR10L_bit.no6
#define IMR10EIMK167                      IMR10L_bit.no7

#define IMR10EIMK168                      IMR10H_bit.no0
#define IMR10EIMK169                      IMR10H_bit.no1
#define IMR10EIMK170                      IMR10H_bit.no2
#define IMR10EIMK171                      IMR10H_bit.no3
#define IMR10EIMK172                      IMR10H_bit.no4
#define IMR10EIMK173                      IMR10H_bit.no5
#define IMR10EIMK174                      IMR10H_bit.no6
#define IMR10EIMK175                      IMR10H_bit.no7

#define IMR11EIMK176                      IMR11L_bit.no0
#define IMR11EIMK177                      IMR11L_bit.no1
#define IMR11EIMK178                      IMR11L_bit.no2
#define IMR11EIMK179                      IMR11L_bit.no3
#define IMR11EIMK180                      IMR11L_bit.no4
#define IMR11EIMK181                      IMR11L_bit.no5
#define IMR11EIMK182                      IMR11L_bit.no6
#define IMR11EIMK183                      IMR11L_bit.no7

#define IMR11EIMK184                      IMR11H_bit.no0
#define IMR11EIMK185                      IMR11H_bit.no1
#define IMR11EIMK186                      IMR11H_bit.no2
#define IMR11EIMK187                      IMR11H_bit.no3
#define IMR11EIMK188                      IMR11H_bit.no4
#define IMR11EIMK189                      IMR11H_bit.no5
#define IMR11EIMK190                      IMR11H_bit.no6
#define IMR11EIMK191                      IMR11H_bit.no7

#define IMR12EIMK192                      IMR12L_bit.no0
#define IMR12EIMK193                      IMR12L_bit.no1
#define IMR12EIMK194                      IMR12L_bit.no2
#define IMR12EIMK195                      IMR12L_bit.no3
#define IMR12EIMK196                      IMR12L_bit.no4
#define IMR12EIMK197                      IMR12L_bit.no5
#define IMR12EIMK198                      IMR12L_bit.no6
#define IMR12EIMK199                      IMR12L_bit.no7

#define IMR12EIMK200                      IMR12H_bit.no0
#define IMR12EIMK201                      IMR12H_bit.no1
#define IMR12EIMK202                      IMR12H_bit.no2
#define IMR12EIMK203                      IMR12H_bit.no3
#define IMR12EIMK204                      IMR12H_bit.no4
#define IMR12EIMK205                      IMR12H_bit.no5
#define IMR12EIMK206                      IMR12H_bit.no6
#define IMR12EIMK207                      IMR12H_bit.no7

#define IMR13EIMK208                      IMR13L_bit.no0
#define IMR13EIMK209                      IMR13L_bit.no1
#define IMR13EIMK210                      IMR13L_bit.no2
#define IMR13EIMK211                      IMR13L_bit.no3
#define IMR13EIMK212                      IMR13L_bit.no4
#define IMR13EIMK213                      IMR13L_bit.no5
#define IMR13EIMK214                      IMR13L_bit.no6
#define IMR13EIMK215                      IMR13L_bit.no7

#define IMR13EIMK216                      IMR13H_bit.no0
#define IMR13EIMK217                      IMR13H_bit.no1
#define IMR13EIMK218                      IMR13H_bit.no2
#define IMR13EIMK219                      IMR13H_bit.no3
#define IMR13EIMK220                      IMR13H_bit.no4
#define IMR13EIMK221                      IMR13H_bit.no5
#define IMR13EIMK222                      IMR13H_bit.no6
#define IMR13EIMK223                      IMR13H_bit.no7

#define IMR14EIMK224                      IMR14L_bit.no0
#define IMR14EIMK225                      IMR14L_bit.no1
#define IMR14EIMK226                      IMR14L_bit.no2
#define IMR14EIMK227                      IMR14L_bit.no3
#define IMR14EIMK228                      IMR14L_bit.no4
#define IMR14EIMK229                      IMR14L_bit.no5
#define IMR14EIMK230                      IMR14L_bit.no6
#define IMR14EIMK231                      IMR14L_bit.no7

#define IMR14EIMK232                      IMR14H_bit.no0
#define IMR14EIMK233                      IMR14H_bit.no1

#define PMR0                              PMRL_bit.no0
#define PMR1                              PMRL_bit.no1
#define PMR2                              PMRL_bit.no2
#define PMR3                              PMRL_bit.no3
#define PMR4                              PMRL_bit.no4
#define PMR5                              PMRL_bit.no5
#define PMR6                              PMRL_bit.no6
#define PMR7                              PMRL_bit.no7

#define PMR8                              PMRH_bit.no0
#define PMR9                              PMRH_bit.no1
#define PMR10                             PMRH_bit.no2
#define PMR11                             PMRH_bit.no3
#define PMR12                             PMRH_bit.no4
#define PMR13                             PMRH_bit.no5
#define PMR14                             PMRH_bit.no6
#define PMR15                             PMRH_bit.no7

#define ICSREIE                           ICSRL_bit.no0
#define ICSRFIE                           ICSRL_bit.no1
#define ICSRFNE                           ICSRL_bit.no2
#define ICSREIR                           ICSRL_bit.no4
#define ICSRFIR                           ICSRL_bit.no5
#define ICSRFNR                           ICSRL_bit.no6

#define ICSRPMF                           ICSRH_bit.no0

#define FNRF                              FNCH_bit.no4

#define FIRF                              FICH_bit.no4

#define FCCTL1CHCLR                       FCCTL1L_bit.no0

#define SEG_CONTEXTE                      SEG_CONTL_bit.no2
#define SEG_CONTSEGE                      SEG_CONTL_bit.no5
#define SEG_CONTDMAE                      SEG_CONTL_bit.no7

#define SEG_FLAGEXTF                      SEG_FLAGL_bit.no2
#define SEG_FLAGSEGF                      SEG_FLAGL_bit.no5
#define SEG_FLAGDMAF                      SEG_FLAGL_bit.no7

#define ETACMDCFL                         ETACMDL_bit.no0

#define DTRC0ADS                          DTRC0_bit.no0
#define DTRC0ERR                          DTRC0_bit.no7

#define DTS0DTE                           DTS0_bit.no0
#define DTS0SR                            DTS0_bit.no1
#define DTS0DR                            DTS0_bit.no2
#define DTS0ER                            DTS0_bit.no3
#define DTS0DT                            DTS0_bit.no6
#define DTS0TC                            DTS0_bit.no7

#define DTS1DTE                           DTS1_bit.no0
#define DTS1SR                            DTS1_bit.no1
#define DTS1DR                            DTS1_bit.no2
#define DTS1ER                            DTS1_bit.no3
#define DTS1DT                            DTS1_bit.no6
#define DTS1TC                            DTS1_bit.no7

#define DTS2DTE                           DTS2_bit.no0
#define DTS2SR                            DTS2_bit.no1
#define DTS2DR                            DTS2_bit.no2
#define DTS2ER                            DTS2_bit.no3
#define DTS2DT                            DTS2_bit.no6
#define DTS2TC                            DTS2_bit.no7

#define DTS3DTE                           DTS3_bit.no0
#define DTS3SR                            DTS3_bit.no1
#define DTS3DR                            DTS3_bit.no2
#define DTS3ER                            DTS3_bit.no3
#define DTS3DT                            DTS3_bit.no6
#define DTS3TC                            DTS3_bit.no7

#define DTS4DTE                           DTS4_bit.no0
#define DTS4SR                            DTS4_bit.no1
#define DTS4DR                            DTS4_bit.no2
#define DTS4ER                            DTS4_bit.no3
#define DTS4DT                            DTS4_bit.no6
#define DTS4TC                            DTS4_bit.no7

#define DTS5DTE                           DTS5_bit.no0
#define DTS5SR                            DTS5_bit.no1
#define DTS5DR                            DTS5_bit.no2
#define DTS5ER                            DTS5_bit.no3
#define DTS5DT                            DTS5_bit.no6
#define DTS5TC                            DTS5_bit.no7

#define DTS6DTE                           DTS6_bit.no0
#define DTS6SR                            DTS6_bit.no1
#define DTS6DR                            DTS6_bit.no2
#define DTS6ER                            DTS6_bit.no3
#define DTS6DT                            DTS6_bit.no6
#define DTS6TC                            DTS6_bit.no7

#define DTS7DTE                           DTS7_bit.no0
#define DTS7SR                            DTS7_bit.no1
#define DTS7DR                            DTS7_bit.no2
#define DTS7ER                            DTS7_bit.no3
#define DTS7DT                            DTS7_bit.no6
#define DTS7TC                            DTS7_bit.no7

#define DTRC1ADS                          DTRC1_bit.no0
#define DTRC1ERR                          DTRC1_bit.no7

#define DTS8DTE                           DTS8_bit.no0
#define DTS8SR                            DTS8_bit.no1
#define DTS8DR                            DTS8_bit.no2
#define DTS8ER                            DTS8_bit.no3
#define DTS8DT                            DTS8_bit.no6
#define DTS8TC                            DTS8_bit.no7

#define DTS9DTE                           DTS9_bit.no0
#define DTS9SR                            DTS9_bit.no1
#define DTS9DR                            DTS9_bit.no2
#define DTS9ER                            DTS9_bit.no3
#define DTS9DT                            DTS9_bit.no6
#define DTS9TC                            DTS9_bit.no7

#define DTS10DTE                          DTS10_bit.no0
#define DTS10SR                           DTS10_bit.no1
#define DTS10DR                           DTS10_bit.no2
#define DTS10ER                           DTS10_bit.no3
#define DTS10DT                           DTS10_bit.no6
#define DTS10TC                           DTS10_bit.no7

#define DTS11DTE                          DTS11_bit.no0
#define DTS11SR                           DTS11_bit.no1
#define DTS11DR                           DTS11_bit.no2
#define DTS11ER                           DTS11_bit.no3
#define DTS11DT                           DTS11_bit.no6
#define DTS11TC                           DTS11_bit.no7

#define DTS12DTE                          DTS12_bit.no0
#define DTS12SR                           DTS12_bit.no1
#define DTS12DR                           DTS12_bit.no2
#define DTS12ER                           DTS12_bit.no3
#define DTS12DT                           DTS12_bit.no6
#define DTS12TC                           DTS12_bit.no7

#define DTS13DTE                          DTS13_bit.no0
#define DTS13SR                           DTS13_bit.no1
#define DTS13DR                           DTS13_bit.no2
#define DTS13ER                           DTS13_bit.no3
#define DTS13DT                           DTS13_bit.no6
#define DTS13TC                           DTS13_bit.no7

#define DTS14DTE                          DTS14_bit.no0
#define DTS14SR                           DTS14_bit.no1
#define DTS14DR                           DTS14_bit.no2
#define DTS14ER                           DTS14_bit.no3
#define DTS14DT                           DTS14_bit.no6
#define DTS14TC                           DTS14_bit.no7

#define DTS15DTE                          DTS15_bit.no0
#define DTS15SR                           DTS15_bit.no1
#define DTS15DR                           DTS15_bit.no2
#define DTS15ER                           DTS15_bit.no3
#define DTS15DT                           DTS15_bit.no6
#define DTS15TC                           DTS15_bit.no7

#define SYNCTRG                           PIC0SST_bit.no0

#define CSIH0MBS                          CSIH0CTL0_bit.no0
#define CSIH0JOBE                         CSIH0CTL0_bit.no1
#define CSIH0RXE                          CSIH0CTL0_bit.no5
#define CSIH0TXE                          CSIH0CTL0_bit.no6
#define CSIH0PWR                          CSIH0CTL0_bit.no7

#define CSIH1MBS                          CSIH1CTL0_bit.no0
#define CSIH1JOBE                         CSIH1CTL0_bit.no1
#define CSIH1RXE                          CSIH1CTL0_bit.no5
#define CSIH1TXE                          CSIH1CTL0_bit.no6
#define CSIH1PWR                          CSIH1CTL0_bit.no7

#define CSIH2MBS                          CSIH2CTL0_bit.no0
#define CSIH2JOBE                         CSIH2CTL0_bit.no1
#define CSIH2RXE                          CSIH2CTL0_bit.no5
#define CSIH2TXE                          CSIH2CTL0_bit.no6
#define CSIH2PWR                          CSIH2CTL0_bit.no7

#define CSIH3MBS                          CSIH3CTL0_bit.no0
#define CSIH3JOBE                         CSIH3CTL0_bit.no1
#define CSIH3RXE                          CSIH3CTL0_bit.no5
#define CSIH3TXE                          CSIH3CTL0_bit.no6
#define CSIH3PWR                          CSIH3CTL0_bit.no7

#define CSIG0MBS                          CSIG0CTL0_bit.no0
#define CSIG0RXE                          CSIG0CTL0_bit.no5
#define CSIG0TXE                          CSIG0CTL0_bit.no6
#define CSIG0PWR                          CSIG0CTL0_bit.no7

#define CSIG0SCE                          CSIG0BCTL0_bit.no0

#define CSIG1MBS                          CSIG1CTL0_bit.no0
#define CSIG1RXE                          CSIG1CTL0_bit.no5
#define CSIG1TXE                          CSIG1CTL0_bit.no6
#define CSIG1PWR                          CSIG1CTL0_bit.no7

#define CSIG1SCE                          CSIG1BCTL0_bit.no0

#define CSIG2MBS                          CSIG2CTL0_bit.no0
#define CSIG2RXE                          CSIG2CTL0_bit.no5
#define CSIG2TXE                          CSIG2CTL0_bit.no6
#define CSIG2PWR                          CSIG2CTL0_bit.no7

#define CSIG2SCE                          CSIG2BCTL0_bit.no0

#define CSIG3MBS                          CSIG3CTL0_bit.no0
#define CSIG3RXE                          CSIG3CTL0_bit.no5
#define CSIG3TXE                          CSIG3CTL0_bit.no6
#define CSIG3PWR                          CSIG3CTL0_bit.no7

#define CSIG3SCE                          CSIG3BCTL0_bit.no0

#define CSIG4MBS                          CSIG4CTL0_bit.no0
#define CSIG4RXE                          CSIG4CTL0_bit.no5
#define CSIG4TXE                          CSIG4CTL0_bit.no6
#define CSIG4PWR                          CSIG4CTL0_bit.no7

#define CSIG4SCE                          CSIG4BCTL0_bit.no0

#define CSIG5MBS                          CSIG5CTL0_bit.no0
#define CSIG5RXE                          CSIG5CTL0_bit.no5
#define CSIG5TXE                          CSIG5CTL0_bit.no6
#define CSIG5PWR                          CSIG5CTL0_bit.no7

#define CSIG5SCE                          CSIG5BCTL0_bit.no0

#define URTJ0SLDC                         URTJ0CTL0_bit.no0
#define URTJ0RXE                          URTJ0CTL0_bit.no5
#define URTJ0TXE                          URTJ0CTL0_bit.no6
#define URTJ0PW                           URTJ0CTL0_bit.no7

#define URTJ0BTT                          URTJ0TRG_bit.no5
#define URTJ0BRT                          URTJ0TRG_bit.no6

#define URTJ0CLF                          URTJ0STC_bit.no1
#define URTJ0CLP                          URTJ0STC_bit.no2
#define URTJ0CLDC                         URTJ0STC_bit.no3
#define URTJ0CLBS                         URTJ0STC_bit.no4

#define URTJ0CLRP                         URTJ0FSTC_bit.no0
#define URTJ0CLTP                         URTJ0FSTC_bit.no1
#define URTJ0CLRO                         URTJ0FSTC_bit.no5
#define URTJ0CLTO                         URTJ0FSTC_bit.no6
#define URTJ0CLTM                         URTJ0FSTC_bit.no7

#define URTJ1SLDC                         URTJ1CTL0_bit.no0
#define URTJ1RXE                          URTJ1CTL0_bit.no5
#define URTJ1TXE                          URTJ1CTL0_bit.no6
#define URTJ1PW                           URTJ1CTL0_bit.no7

#define URTJ1BTT                          URTJ1TRG_bit.no5
#define URTJ1BRT                          URTJ1TRG_bit.no6

#define URTJ1CLF                          URTJ1STC_bit.no1
#define URTJ1CLP                          URTJ1STC_bit.no2
#define URTJ1CLDC                         URTJ1STC_bit.no3
#define URTJ1CLBS                         URTJ1STC_bit.no4

#define URTJ1CLRP                         URTJ1FSTC_bit.no0
#define URTJ1CLTP                         URTJ1FSTC_bit.no1
#define URTJ1CLRO                         URTJ1FSTC_bit.no5
#define URTJ1CLTO                         URTJ1FSTC_bit.no6
#define URTJ1CLTM                         URTJ1FSTC_bit.no7

#define URTJ2SLDC                         URTJ2CTL0_bit.no0
#define URTJ2RXE                          URTJ2CTL0_bit.no5
#define URTJ2TXE                          URTJ2CTL0_bit.no6
#define URTJ2PW                           URTJ2CTL0_bit.no7

#define URTJ2BTT                          URTJ2TRG_bit.no5
#define URTJ2BRT                          URTJ2TRG_bit.no6

#define URTJ2CLF                          URTJ2STC_bit.no1
#define URTJ2CLP                          URTJ2STC_bit.no2
#define URTJ2CLDC                         URTJ2STC_bit.no3
#define URTJ2CLBS                         URTJ2STC_bit.no4

#define URTJ2CLRP                         URTJ2FSTC_bit.no0
#define URTJ2CLTP                         URTJ2FSTC_bit.no1
#define URTJ2CLRO                         URTJ2FSTC_bit.no5
#define URTJ2CLTO                         URTJ2FSTC_bit.no6
#define URTJ2CLTM                         URTJ2FSTC_bit.no7
#define URTJ3CLTM                         URTJ2FSTC_bit.no7

#define URTJ3SLDC                         URTJ3CTL0_bit.no0
#define URTJ3RXE                          URTJ3CTL0_bit.no5
#define URTJ3TXE                          URTJ3CTL0_bit.no6
#define URTJ3PW                           URTJ3CTL0_bit.no7

#define URTJ3BTT                          URTJ3TRG_bit.no5
#define URTJ3BRT                          URTJ3TRG_bit.no6

#define URTJ3CLF                          URTJ3STC_bit.no1
#define URTJ3CLP                          URTJ3STC_bit.no2
#define URTJ3CLDC                         URTJ3STC_bit.no3
#define URTJ3CLBS                         URTJ3STC_bit.no4

#define URTJ3CLRP                         URTJ3FSTC_bit.no0
#define URTJ3CLTP                         URTJ3FSTC_bit.no1
#define URTJ3CLRO                         URTJ3FSTC_bit.no5
#define URTJ3CLTO                         URTJ3FSTC_bit.no6

#define URTE0SLDC                         URTE0CTL0_bit.no0
#define URTE0RXE                          URTE0CTL0_bit.no5
#define URTE0TXE                          URTE0CTL0_bit.no6
#define URTE0PW                           URTE0CTL0_bit.no7

#define URTE0BTT                          URTE0TRG_bit.no5
#define URTE0BRT                          URTE0TRG_bit.no6

#define URTE0CLOV                         URTE0STC_bit.no0
#define URTE0CLF                          URTE0STC_bit.no1
#define URTE0CLP                          URTE0STC_bit.no2
#define URTE0CLDC                         URTE0STC_bit.no3
#define URTE0CLBS                         URTE0STC_bit.no4

#define URTE1SLDC                         URTE1CTL0_bit.no0
#define URTE1RXE                          URTE1CTL0_bit.no5
#define URTE1TXE                          URTE1CTL0_bit.no6
#define URTE1PW                           URTE1CTL0_bit.no7

#define URTE1BTT                          URTE1TRG_bit.no5
#define URTE1BRT                          URTE1TRG_bit.no6

#define URTE1CLOV                         URTE1STC_bit.no0
#define URTE1CLF                          URTE1STC_bit.no1
#define URTE1CLP                          URTE1STC_bit.no2
#define URTE1CLDC                         URTE1STC_bit.no3
#define URTE1CLBS                         URTE1STC_bit.no4

#define URTE2SLDC                         URTE2CTL0_bit.no0
#define URTE2RXE                          URTE2CTL0_bit.no5
#define URTE2TXE                          URTE2CTL0_bit.no6
#define URTE2PW                           URTE2CTL0_bit.no7

#define URTE2BTT                          URTE2TRG_bit.no5
#define URTE2BRT                          URTE2TRG_bit.no6

#define URTE2CLOV                         URTE2STC_bit.no0
#define URTE2CLF                          URTE2STC_bit.no1
#define URTE2CLP                          URTE2STC_bit.no2
#define URTE2CLDC                         URTE2STC_bit.no3
#define URTE2CLBS                         URTE2STC_bit.no4

#define URTE3SLDC                         URTE3CTL0_bit.no0
#define URTE3RXE                          URTE3CTL0_bit.no5
#define URTE3TXE                          URTE3CTL0_bit.no6
#define URTE3PW                           URTE3CTL0_bit.no7

#define URTE3BTT                          URTE3TRG_bit.no5
#define URTE3BRT                          URTE3TRG_bit.no6

#define URTE3CLOV                         URTE3STC_bit.no0
#define URTE3CLF                          URTE3STC_bit.no1
#define URTE3CLP                          URTE3STC_bit.no2
#define URTE3CLDC                         URTE3STC_bit.no3
#define URTE3CLBS                         URTE3STC_bit.no4

#define URTE4SLDC                         URTE4CTL0_bit.no0
#define URTE4RXE                          URTE4CTL0_bit.no5
#define URTE4TXE                          URTE4CTL0_bit.no6
#define URTE4PW                           URTE4CTL0_bit.no7

#define URTE4BTT                          URTE4TRG_bit.no5
#define URTE4BRT                          URTE4TRG_bit.no6

#define URTE4CLOV                         URTE4STC_bit.no0
#define URTE4CLF                          URTE4STC_bit.no1
#define URTE4CLP                          URTE4STC_bit.no2
#define URTE4CLDC                         URTE4STC_bit.no3
#define URTE4CLBS                         URTE4STC_bit.no4

#define URTE5SLDC                         URTE5CTL0_bit.no0
#define URTE5RXE                          URTE5CTL0_bit.no5
#define URTE5TXE                          URTE5CTL0_bit.no6
#define URTE5PW                           URTE5CTL0_bit.no7

#define URTE5BTT                          URTE5TRG_bit.no5
#define URTE5BRT                          URTE5TRG_bit.no6

#define URTE5CLOV                         URTE5STC_bit.no0
#define URTE5CLF                          URTE5STC_bit.no1
#define URTE5CLP                          URTE5STC_bit.no2
#define URTE5CLDC                         URTE5STC_bit.no3
#define URTE5CLBS                         URTE5STC_bit.no4

#define IICB0SLAC                         IICB0CTL0_bit.no0
#define IICB0SLWT                         IICB0CTL0_bit.no1
#define IICB0SLSI                         IICB0CTL0_bit.no2
#define IICB0MDTX0                        IICB0CTL0_bit.no3
#define IICB0MDTX1                        IICB0CTL0_bit.no4
#define IICB0IICE                         IICB0CTL0_bit.no7

#define IICB0SPT                          IICB0TRG_bit.no0
#define IICB0STT                          IICB0TRG_bit.no1
#define IICB0WRET                         IICB0TRG_bit.no2
#define IICB0LRET                         IICB0TRG_bit.no3

#define IICB1SLAC                         IICB1CTL0_bit.no0
#define IICB1SLWT                         IICB1CTL0_bit.no1
#define IICB1SLSI                         IICB1CTL0_bit.no2
#define IICB1MDTX0                        IICB1CTL0_bit.no3
#define IICB1MDTX1                        IICB1CTL0_bit.no4
#define IICB1IICE                         IICB1CTL0_bit.no7

#define IICB1SPT                          IICB1TRG_bit.no0
#define IICB1STT                          IICB1TRG_bit.no1
#define IICB1WRET                         IICB1TRG_bit.no2
#define IICB1LRET                         IICB1TRG_bit.no3

#define IICB2SLAC                         IICB2CTL0_bit.no0
#define IICB2SLWT                         IICB2CTL0_bit.no1
#define IICB2SLSI                         IICB2CTL0_bit.no2
#define IICB2MDTX0                        IICB2CTL0_bit.no3
#define IICB2MDTX1                        IICB2CTL0_bit.no4
#define IICB2IICE                         IICB2CTL0_bit.no7

#define IICB2SPT                          IICB2TRG_bit.no0
#define IICB2STT                          IICB2TRG_bit.no1
#define IICB2WRET                         IICB2TRG_bit.no2
#define IICB2LRET                         IICB2TRG_bit.no3

#define IICB3SLAC                         IICB3CTL0_bit.no0
#define IICB3SLWT                         IICB3CTL0_bit.no1
#define IICB3SLSI                         IICB3CTL0_bit.no2
#define IICB3MDTX0                        IICB3CTL0_bit.no3
#define IICB3MDTX1                        IICB3CTL0_bit.no4
#define IICB3IICE                         IICB3CTL0_bit.no7

#define IICB3SPT                          IICB3TRG_bit.no0
#define IICB3STT                          IICB3TRG_bit.no1
#define IICB3WRET                         IICB3TRG_bit.no2
#define IICB3LRET                         IICB3TRG_bit.no3

#define IICB4SLAC                         IICB4CTL0_bit.no0
#define IICB4SLWT                         IICB4CTL0_bit.no1
#define IICB4SLSI                         IICB4CTL0_bit.no2
#define IICB4MDTX0                        IICB4CTL0_bit.no3
#define IICB4MDTX1                        IICB4CTL0_bit.no4
#define IICB4IICE                         IICB4CTL0_bit.no7

#define IICB4SPT                          IICB4TRG_bit.no0
#define IICB4STT                          IICB4TRG_bit.no1
#define IICB4WRET                         IICB4TRG_bit.no2
#define IICB4LRET                         IICB4TRG_bit.no3

#define IICB5SLAC                         IICB5CTL0_bit.no0
#define IICB5SLWT                         IICB5CTL0_bit.no1
#define IICB5SLSI                         IICB5CTL0_bit.no2
#define IICB5MDTX0                        IICB5CTL0_bit.no3
#define IICB5MDTX1                        IICB5CTL0_bit.no4
#define IICB5IICE                         IICB5CTL0_bit.no7

#define IICB5SPT                          IICB5TRG_bit.no0
#define IICB5STT                          IICB5TRG_bit.no1
#define IICB5WRET                         IICB5TRG_bit.no2
#define IICB5LRET                         IICB5TRG_bit.no3

#endif /* __IAR_SYSTEMS_ICC__ */

/***********************************************
 *       Interrupt/Exeption table declarations
 ***********************************************/

#define RESET_vector                             (0x0000)
#define SYSCALLEX_vector                         (0x0000)
#define FEINT_vector                             (0x0010)
#define FENMI_vector                             (0x0020)
#define FETRAPEX_vector                          (0x0030)
#define MDP_vector                               (0x0030)
#define MEP_vector                               (0x0030)
#define MIP_vector                               (0x0030)
#define PPI_vector                               (0x0030)
#define RIEX_vector                              (0x0030)
#define SYSERR_vector                            (0x0030)
#define TSI_vector                               (0x0030)
#define EITRAP0_vector                           (0x0040)
#define EITRAP1_vector                           (0x0050)
#define ASYNCDB_vector                           (0x0060)
#define DBTRAPEX_vector                          (0x0060)
#define SS_vector                               #define SYNCDB_vector                            (0x0060)
#define FPI_vector                               (0x0070)
#define FPP_vector                               (0x0070)
#define INTWDTA0_vector                          (0x0120)
#define INTOSTM0_vector                          (0x0140)
#define INTP0_vector                             (0x0160)
#define INTP1_vector                             (0x0170)
#define INTP2_vector                             (0x0180)
#define INTP3_vector                             (0x0190)
#define INTP4_vector                             (0x01A0)
#define INTP5_vector                             (0x01B0)
#define INTP6_vector                             (0x01C0)
#define INTP7_vector                             (0x01D0)
#define INTP8_vector                             (0x01E0)
#define INTP9_vector                             (0x01F0)
#define INTP10_vector                            (0x0200)
#define INTP11_vector                            (0x0210)
#define INTP12_vector                            (0x0220)
#define INTP13_vector                            (0x0230)
#define INTP14_vector                            (0x0240)
#define INTP15_vector                            (0x0250)
#define INTP16_vector                            (0x0260)
#define INTP17_vector                            (0x0270)
#define INTP18_vector                            (0x0280)
#define INTP19_vector                            (0x0290)
#define INTP20_vector                            (0x02A0)
#define INTP21_vector                            (0x02B0)
#define INTP22_vector                            (0x02C0)
#define INTP23_vector                            (0x02D0)
#define INTP24_vector                            (0x02E0)
#define INTP25_vector                            (0x02F0)
#define INTP26_vector                            (0x0300)
#define INTP27_vector                            (0x0310)
#define INTESO0_vector                           (0x0320)
#define INTESO1_vector                           (0x0330)
#define INTESO2_vector                           (0x0340)
#define INTESO3_vector                           (0x0350)
#define INTADCA0ERR_vector                       (0x0360)
#define INTADCA0I0_vector                        (0x0370)
#define INTADCA0I1_vector                        (0x0380)
#define INTADCA0I2_vector                        (0x0390)
#define INTTAUA0I0_vector                        (0x03B0)
#define INTTAUA0I1_vector                        (0x03C0)
#define INTTAUA0I2_vector                        (0x03D0)
#define INTTAUA0I3_vector                        (0x03E0)
#define INTTAUA0I4_vector                        (0x03F0)
#define INTTAUA0I5_vector                        (0x0400)
#define INTTAUA0I6_vector                        (0x0410)
#define INTTAUA0I7_vector                        (0x0420)
#define INTTAUA0I8_vector                        (0x0430)
#define INTTAUA0I9_vector                        (0x0440)
#define INTTAUA0I10_vector                       (0x0450)
#define INTTAUA0I11_vector                       (0x0460)
#define INTTAUA0I12_vector                       (0x0470)
#define INTTAUA0I13_vector                       (0x0480)
#define INTTAUA0I14_vector                       (0x0490)
#define INTTAUA0I15_vector                       (0x04A0)
#define INTTAUA1I0_vector                        (0x04B0)
#define INTTAUA1I1_vector                        (0x04C0)
#define INTTAUA1I2_vector                        (0x04D0)
#define INTTAUA1I3_vector                        (0x04E0)
#define INTTAUA1I4_vector                        (0x04F0)
#define INTTAUA1I5_vector                        (0x0500)
#define INTTAUA1I6_vector                        (0x0510)
#define INTTAUA1I7_vector                        (0x0520)
#define INTTAUA1I8_vector                        (0x0530)
#define INTTAUA1I9_vector                        (0x0540)
#define INTTAUA1I10_vector                       (0x0550)
#define INTTAUA1I11_vector                       (0x0560)
#define INTTAUA1I12_vector                       (0x0570)
#define INTTAUA1I13_vector                       (0x0580)
#define INTTAUA1I14_vector                       (0x0590)
#define INTTAUA1I15_vector                       (0x05A0)
#define INTTAUA2I0_vector                        (0x05B0)
#define INTTAUA2I1_vector                        (0x05C0)
#define INTTAUA2I2_vector                        (0x05D0)
#define INTTAUA2I3_vector                        (0x05E0)
#define INTTAUA2I4_vector                        (0x05F0)
#define INTTAUA2I5_vector                        (0x0600)
#define INTTAUA2I6_vector                        (0x0610)
#define INTTAUA2I7_vector                        (0x0620)
#define INTTAUA2I8_vector                        (0x0630)
#define INTTAUA2I9_vector                        (0x0640)
#define INTTAUA2I10_vector                       (0x0650)
#define INTTAUA2I11_vector                       (0x0660)
#define INTTAUA2I12_vector                       (0x0670)
#define INTTAUA2I13_vector                       (0x0680)
#define INTTAUA2I14_vector                       (0x0690)
#define INTTAUA2I15_vector                       (0x06A0)
#define INTTAUA3I0_vector                        (0x06B0)
#define INTTAUA3I1_vector                        (0x06C0)
#define INTTAUA3I2_vector                        (0x06D0)
#define INTTAUA3I3_vector                        (0x06E0)
#define INTTAUA3I4_vector                        (0x06F0)
#define INTTAUA3I5_vector                        (0x0700)
#define INTTAUA3I6_vector                        (0x0710)
#define INTTAUA3I7_vector                        (0x0720)
#define INTTAUA3I8_vector                        (0x0730)
#define INTTAUA3I9_vector                        (0x0740)
#define INTTAUA3I10_vector                       (0x0750)
#define INTTAUA3I11_vector                       (0x0760)
#define INTTAUA3I12_vector                       (0x0770)
#define INTTAUA3I13_vector                       (0x0780)
#define INTTAUA3I14_vector                       (0x0790)
#define INTTAUA3I15_vector                       (0x07A0)
#define INTTAUJ0I0_vector                        (0x07B0)
#define INTTAUJ0I1_vector                        (0x07C0)
#define INTTAUJ0I2_vector                        (0x07D0)
#define INTTAUJ0I3_vector                        (0x07E0)
#define INTENCA0IOV_vector                       (0x07F0)
#define INTENCA0IUD_vector                       (0x0800)
#define INTENCA0I0_vector                        (0x0810)
#define INTENCA0I1_vector                        (0x0820)
#define INTENCA0IEC_vector                       (0x0830)
#define INTENCA1IOV_vector                       (0x0840)
#define INTENCA1IUD_vector                       (0x0850)
#define INTENCA1I0_vector                        (0x0860)
#define INTENCA1I1_vector                        (0x0870)
#define INTENCA1IEC_vector                       (0x0880)
#define INTTAPA0IPEK0_vector                     (0x08B0)
#define INTTAPA0IVLY0_vector                     (0x08C0)
#define INTTAPA2ADOUT0_vector                    (0x08E0)
#define INTTAPA0ADOUT0_vector                    (0x08F0)
#define INTTAPA0ADOUT1_vector                    (0x0900)
#define INTTAPA1IPEK0_vector                     (0x0910)
#define INTTAPA1IVLY0_vector                     (0x0920)
#define INTTAPA3ADOUT0_vector                    (0x0940)
#define INTTAPA1ADOUT0_vector                    (0x0950)
#define INTTAPA1ADOUT1_vector                    (0x0960)
#define INTCSIH0IRE_vector                       (0x0970)
#define INTCSIH0IR_vector                        (0x0980)
#define INTCSIH0IC_vector                        (0x0990)
#define INTCSIH0IJC_vector                       (0x09A0)
#define INTCSIH1IRE_vector                       (0x09B0)
#define INTCSIH1IR_vector                        (0x09C0)
#define INTCSIH1IC_vector                        (0x09D0)
#define INTCSIH1IJC_vector                       (0x09E0)
#define INTCSIH2IRE_vector                       (0x09F0)
#define INTCSIH2IR_vector                        (0x0A00)
#define INTCSIH2IC_vector                        (0x0A10)
#define INTCSIH2IJC_vector                       (0x0A20)
#define INTCSIH3IRE_vector                       (0x0A30)
#define INTCSIH3IR_vector                        (0x0A40)
#define INTCSIH3IC_vector                        (0x0A50)
#define INTCSIH3IJC_vector                       (0x0A60)
#define INTCSIG0IRE_vector                       (0x0A70)
#define INTCSIG0IR_vector                        (0x0A80)
#define INTCSIG0IC_vector                        (0x0A90)
#define INTCSIG1IRE_vector                       (0x0AA0)
#define INTCSIG1IR_vector                        (0x0AB0)
#define INTCSIG1IC_vector                        (0x0AC0)
#define INTCSIG2IRE_vector                       (0x0AD0)
#define INTCSIG2IR_vector                        (0x0AE0)
#define INTCSIG2IC_vector                        (0x0AF0)
#define INTCSIG3IRE_vector                       (0x0B00)
#define INTCSIG3IR_vector                        (0x0B10)
#define INTCSIG3IC_vector                        (0x0B20)
#define INTCSIG4IRE_vector                       (0x0B30)
#define INTCSIG4IR_vector                        (0x0B40)
#define INTCSIG4IC_vector                        (0x0B50)
#define INTCSIG5IRE_vector                       (0x0B60)
#define INTCSIG5IR_vector                        (0x0B70)
#define INTCSIG5IC_vector                        (0x0B80)
#define INTFCNWUP_vector                         (0x0B90)
#define INTETHA0SRX_vector                       (0x0BA0)
#define INTETHA0SCRX_vector                      (0x0BB0)
#define INTETHA0SCTX_vector                      (0x0BC0)
#define INTETHA0RS_vector                        (0x0BD0)
#define INTETHA0TS_vector                        (0x0BE0)
#define INTETHA0FS_vector                        (0x0BF0)
#define INTETHA0MAC_vector                       (0x0C00)
#define INTETHA0SCRXTCH_vector                   (0x0C10)
#define INTETHA0SCTXTCH_vector                   (0x0C20)
#define INTUSFA0I0_vector                        (0x0C30)
#define INTUSFA0I1_vector                        (0x0C40)
#define INTUSFA0I2_vector                        (0x0C50)
#define INTUSHA0I0_vector                        (0x0C60)
#define INTUSHA0I1_vector                        (0x0C70)
#define INTUSHA0PME_vector                       (0x0C80)
#define INTDMA0_vector                           (0x0C90)
#define INTDMA1_vector                           (0x0CA0)
#define INTDMA2_vector                           (0x0CB0)
#define INTDMA3_vector                           (0x0CC0)
#define INTDMA4_vector                           (0x0CD0)
#define INTDMA5_vector                           (0x0CE0)
#define INTDMA6_vector                           (0x0CF0)
#define INTDMA7_vector                           (0x0D00)
#define INTDMA8_vector                           (0x0D10)
#define INTDMA9_vector                           (0x0D20)
#define INTDMA10_vector                          (0x0D30)
#define INTDMA11_vector                          (0x0D40)
#define INTDMA12_vector                          (0x0D50)
#define INTDMA13_vector                          (0x0D60)
#define INTDMA14_vector                          (0x0D70)
#define INTDMA15_vector                          (0x0D80)
#define INTDMACT0_vector                         (0x0D90)
#define INTDMACT1_vector                         (0x0DA0)
#define INTDMACT2_vector                         (0x0DB0)
#define INTDMACT3_vector                         (0x0DC0)
#define INTDMACT4_vector                         (0x0DD0)
#define INTDMACT5_vector                         (0x0DE0)
#define INTDMACT6_vector                         (0x0DF0)
#define INTDMACT7_vector                         (0x0E00)
#define INTDMACT8_vector                         (0x0E10)
#define INTDMACT9_vector                         (0x0E20)
#define INTDMACT10_vector                        (0x0E30)
#define INTDMACT11_vector                        (0x0E40)
#define INTDMACT12_vector                        (0x0E50)
#define INTDMACT13_vector                        (0x0E60)
#define INTDMACT14_vector                        (0x0E70)
#define INTDMACT15_vector                        (0x0E80)
#define INTHDMAERR_vector                        (0x0E90)
#define INTHDMA0_vector                          (0x0EA0)
#define INTHDMA1_vector                          (0x0EB0)
#define INTHDMA2_vector                          (0x0EC0)
#define INTHDMA3_vector                          (0x0ED0)
#define INTHDMA4_vector                          (0x0EE0)
#define INTHDMA5_vector                          (0x0EF0)
#define INTHDMA6_vector                          (0x0F00)
#define INTHDMA7_vector                          (0x0F10)

/***********************************************
 *       Trap vectors
 ***********************************************/

#define TRAP00_vector      (0x00)
#define TRAP01_vector      (0x01)
#define TRAP02_vector      (0x02)
#define TRAP03_vector      (0x03)
#define TRAP04_vector      (0x04)
#define TRAP05_vector      (0x05)
#define TRAP06_vector      (0x06)
#define TRAP07_vector      (0x07)
#define TRAP08_vector      (0x08)
#define TRAP09_vector      (0x09)
#define TRAP0A_vector      (0x0A)
#define TRAP0B_vector      (0x0B)
#define TRAP0C_vector      (0x0C)
#define TRAP0D_vector      (0x0D)
#define TRAP0E_vector      (0x0E)
#define TRAP0F_vector      (0x0F)
#define TRAP10_vector      (0x10)
#define TRAP11_vector      (0x11)
#define TRAP12_vector      (0x12)
#define TRAP13_vector      (0x13)
#define TRAP14_vector      (0x14)
#define TRAP15_vector      (0x15)
#define TRAP16_vector      (0x16)
#define TRAP17_vector      (0x17)
#define TRAP18_vector      (0x18)
#define TRAP19_vector      (0x19)
#define TRAP1A_vector      (0x1A)
#define TRAP1B_vector      (0x1B)
#define TRAP1C_vector      (0x1C)
#define TRAP1D_vector      (0x1D)
#define TRAP1E_vector      (0x1E)
#define TRAP1F_vector      (0x1F)

/***********************************************
 *       Callt vectors
 ***********************************************/

#define CALLT00_vector     (0x00)
#define CALLT01_vector     (0x01)
#define CALLT02_vector     (0x02)
#define CALLT03_vector     (0x03)
#define CALLT04_vector     (0x04)
#define CALLT05_vector     (0x05)
#define CALLT06_vector     (0x06)
#define CALLT07_vector     (0x07)
#define CALLT08_vector     (0x08)
#define CALLT09_vector     (0x09)
#define CALLT0A_vector     (0x0A)
#define CALLT0B_vector     (0x0B)
#define CALLT0C_vector     (0x0C)
#define CALLT0D_vector     (0x0D)
#define CALLT0E_vector     (0x0E)
#define CALLT0F_vector     (0x0F)
#define CALLT10_vector     (0x10)
#define CALLT11_vector     (0x11)
#define CALLT12_vector     (0x12)
#define CALLT13_vector     (0x13)
#define CALLT14_vector     (0x14)
#define CALLT15_vector     (0x15)
#define CALLT16_vector     (0x16)
#define CALLT17_vector     (0x17)
#define CALLT18_vector     (0x18)
#define CALLT19_vector     (0x19)
#define CALLT1A_vector     (0x1A)
#define CALLT1B_vector     (0x1B)
#define CALLT1C_vector     (0x1C)
#define CALLT1D_vector     (0x1D)
#define CALLT1E_vector     (0x1E)
#define CALLT1F_vector     (0x1F)
#define CALLT20_vector     (0x20)
#define CALLT21_vector     (0x21)
#define CALLT22_vector     (0x22)
#define CALLT23_vector     (0x23)
#define CALLT24_vector     (0x24)
#define CALLT25_vector     (0x25)
#define CALLT26_vector     (0x26)
#define CALLT27_vector     (0x27)
#define CALLT28_vector     (0x28)
#define CALLT29_vector     (0x29)
#define CALLT2A_vector     (0x2A)
#define CALLT2B_vector     (0x2B)
#define CALLT2C_vector     (0x2C)
#define CALLT2D_vector     (0x2D)
#define CALLT2E_vector     (0x2E)
#define CALLT2F_vector     (0x2F)
#define CALLT30_vector     (0x30)
#define CALLT31_vector     (0x31)
#define CALLT32_vector     (0x32)
#define CALLT33_vector     (0x33)
#define CALLT34_vector     (0x34)
#define CALLT35_vector     (0x35)
#define CALLT36_vector     (0x36)
#define CALLT37_vector     (0x37)
#define CALLT38_vector     (0x38)
#define CALLT39_vector     (0x39)
#define CALLT3A_vector     (0x3A)
#define CALLT3B_vector     (0x3B)
#define CALLT3C_vector     (0x3C)
#define CALLT3D_vector     (0x3D)
#define CALLT3E_vector     (0x3E)
#define CALLT3F_vector     (0x3F)

#pragma language=default

#endif /* __IO70F3512_H__ */
